// tcl wrapper for vtkPlotBag object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlotBag.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPlotBagNewCommand()
{
  vtkPlotBag *temp = vtkPlotBag::New();
  return static_cast<ClientData>(temp);
}

int vtkPlotPointsCppCommand(vtkPlotPoints *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPlotBagCppCommand(vtkPlotBag *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPlotBagCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPlotBagCppCommand(static_cast<vtkPlotBag *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPlotBag_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotBag"),vtkPlotBagNewCommand,vtkPlotBagCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPlotBagCppCommand(vtkPlotBag *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPlotBag",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPlotPointsCppCommand(static_cast<vtkPlotPoints *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPlotPoints"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPlotBag  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlotBag");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPlotBag  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlotBag");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPlotBag  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlotBag");
    return TCL_OK;
  }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
  {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabels",argv[1]))&&(argc == 2))
  {
    vtkStringArray  *temp20;
    temp20 = (op)->GetLabels();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkTable  *temp0;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 6))
  {
    vtkTable  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    vtkIdType   temp3;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
  {
    op->SetInputData(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBagVisible",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetBagVisible(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBagVisible",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetBagVisible();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLinePen",argv[1]))&&(argc == 3))
  {
    vtkPen  *temp0;
    error = 0;

    temp0 = (vtkPen *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPen"),interp,error));
    if (!error)
  {
    op->SetLinePen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLinePen",argv[1]))&&(argc == 2))
  {
    vtkPen  *temp20;
    temp20 = (op)->GetLinePen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
  }
  if ((!strcmp("SetPointPen",argv[1]))&&(argc == 3))
  {
    vtkPen  *temp0;
    error = 0;

    temp0 = (vtkPen *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPen"),interp,error));
    if (!error)
  {
    op->SetPointPen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPointPen",argv[1]))&&(argc == 2))
  {
    vtkPen  *temp20;
    temp20 = (op)->GetPointPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPlotBagCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPlotPointsCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPlotBag:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  Update\n",nullptr);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabels\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetBagVisible\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBagVisible\n",nullptr);
    Tcl_AppendResult(interp,"  SetLinePen\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLinePen\n",nullptr);
    Tcl_AppendResult(interp,"  SetPointPen\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPointPen\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPlotPointsCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "GetLabels" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetBagVisible" );
    Tcl_DStringAppendElement ( &dString, "GetBagVisible" );
    Tcl_DStringAppendElement ( &dString, "SetLinePen" );
    Tcl_DStringAppendElement ( &dString, "GetLinePen" );
    Tcl_DStringAppendElement ( &dString, "SetPointPen" );
    Tcl_DStringAppendElement ( &dString, "GetPointPen" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPlotPointsCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlotBag *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a new Bag Plot object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlotBag *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "void Update() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the XY plot, called whenever the chart needs to be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Paint(vtkContext2D *painter) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabels */
    if ( strcmp ( argv[2], "GetLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabels */
    Tcl_DStringAppendElement ( &dString, " Get the plot labels. If this array has a length greater than 1 the index\n refers to the stacked objects in the plot. See vtkPlotBar for example.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetLabels() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for GetLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Set the input, we are expecting a vtkTable with three columns. The first\n column and the second represent the x,y position . The five others\n columns represent the quartiles used to display the box.\n Inherited method will call the last SetInputData method with default\n parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(vtkTable *table) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputData(vtkTable *table, vtkIdType xColumn, vtkIdType yColumn, vtkIdType densityColumn);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBagVisible */
    if ( strcmp ( argv[2], "SetBagVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBagVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBagVisible */
    Tcl_DStringAppendElement ( &dString, " Set/get the visibility of the bags.\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBagVisible(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for SetBagVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBagVisible */
    if ( strcmp ( argv[2], "GetBagVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBagVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBagVisible */
    Tcl_DStringAppendElement ( &dString, " Set/get the visibility of the bags.\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetBagVisible();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for GetBagVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLinePen */
    if ( strcmp ( argv[2], "SetLinePen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinePen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPen" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinePen */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkPen object that controls how this plot draws boundary lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinePen(vtkPen *pen);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for SetLinePen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLinePen */
    if ( strcmp ( argv[2], "GetLinePen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinePen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinePen */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkPen object that controls how this plot draws boundary lines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPen *GetLinePen();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for GetLinePen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPointPen */
    if ( strcmp ( argv[2], "SetPointPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPen" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointPen */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkPen object that controls how this plot draws points.\n Those are just helpers functions:\n this pen is actually the default Plot pen.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointPen(vtkPen *pen);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for SetPointPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPointPen */
    if ( strcmp ( argv[2], "GetPointPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointPen */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetPointPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlotBag" );
    /* Closing for GetPointPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPlotPointsCppCommand(static_cast<vtkPlotPoints *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
