// tcl wrapper for vtkPlot object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlot.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkContextItemCppCommand(vtkContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPlotCppCommand(vtkPlot *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPlotCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPlotCppCommand(static_cast<vtkPlot *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPlot_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkPlotCppCommand(vtkPlot *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPlot",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkContextItem"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPlot  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPlot  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
  }
  if ((!strcmp("SetLegendVisibility",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetLegendVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLegendVisibility",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLegendVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LegendVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->LegendVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LegendVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->LegendVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetTooltipLabelFormat",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetTooltipLabelFormat();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTooltipNotation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTooltipNotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTooltipNotation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTooltipNotation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTooltipPrecision",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTooltipPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTooltipPrecision",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTooltipPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 6))
  {
    unsigned char     temp0;
    unsigned char     temp1;
    unsigned char     temp2;
    unsigned char     temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = static_cast<unsigned char>(tempi);
    if (!error)
  {
    op->SetColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->GetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetWidth",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPen",argv[1]))&&(argc == 3))
  {
    vtkPen  *temp0;
    error = 0;

    temp0 = (vtkPen *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPen"),interp,error));
    if (!error)
  {
    op->SetPen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPen",argv[1]))&&(argc == 2))
  {
    vtkPen  *temp20;
    temp20 = (op)->GetPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
  }
  if ((!strcmp("SetBrush",argv[1]))&&(argc == 3))
  {
    vtkBrush  *temp0;
    error = 0;

    temp0 = (vtkBrush *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBrush"),interp,error));
    if (!error)
  {
    op->SetBrush(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBrush",argv[1]))&&(argc == 2))
  {
    vtkBrush  *temp20;
    temp20 = (op)->GetBrush();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrush");
    return TCL_OK;
  }
  if ((!strcmp("SetSelectionPen",argv[1]))&&(argc == 3))
  {
    vtkPen  *temp0;
    error = 0;

    temp0 = (vtkPen *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPen"),interp,error));
    if (!error)
  {
    op->SetSelectionPen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectionPen",argv[1]))&&(argc == 2))
  {
    vtkPen  *temp20;
    temp20 = (op)->GetSelectionPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
  }
  if ((!strcmp("SetSelectionBrush",argv[1]))&&(argc == 3))
  {
    vtkBrush  *temp0;
    error = 0;

    temp0 = (vtkBrush *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBrush"),interp,error));
    if (!error)
  {
    op->SetSelectionBrush(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectionBrush",argv[1]))&&(argc == 2))
  {
    vtkBrush  *temp20;
    temp20 = (op)->GetSelectionBrush();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrush");
    return TCL_OK;
  }
  if ((!strcmp("GetLabel",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetLabel();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLabels",argv[1]))&&(argc == 3))
  {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
  {
    op->SetLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabels",argv[1]))&&(argc == 2))
  {
    vtkStringArray  *temp20;
    temp20 = (op)->GetLabels();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLabel",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    vtkStdString   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetLabel(temp0);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetIndexedLabels",argv[1]))&&(argc == 3))
  {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
  {
    op->SetIndexedLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIndexedLabels",argv[1]))&&(argc == 2))
  {
    vtkStringArray  *temp20;
    temp20 = (op)->GetIndexedLabels();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
  }
  if ((!strcmp("GetData",argv[1]))&&(argc == 2))
  {
    vtkContextMapper2D  *temp20;
    temp20 = (op)->GetData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextMapper2D");
    return TCL_OK;
  }
  if ((!strcmp("GetUseIndexForXSeries",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseIndexForXSeries();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseIndexForXSeries",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseIndexForXSeries(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkTable  *temp0;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 5))
  {
    vtkTable  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    op->SetInputData(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
  {
    vtkTable  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
  }
  if ((!strcmp("SetSelectable",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetSelectable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectable",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetSelectable();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SelectableOn",argv[1]))&&(argc == 2))
  {
    op->SelectableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SelectableOff",argv[1]))&&(argc == 2))
  {
    op->SelectableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSelection",argv[1]))&&(argc == 3))
  {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
  {
    op->SetSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelection",argv[1]))&&(argc == 2))
  {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetSelection();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
  }
  if ((!strcmp("GetXAxis",argv[1]))&&(argc == 2))
  {
    vtkAxis  *temp20;
    temp20 = (op)->GetXAxis();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
  }
  if ((!strcmp("SetXAxis",argv[1]))&&(argc == 3))
  {
    vtkAxis  *temp0;
    error = 0;

    temp0 = (vtkAxis *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAxis"),interp,error));
    if (!error)
  {
    op->SetXAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetYAxis",argv[1]))&&(argc == 2))
  {
    vtkAxis  *temp20;
    temp20 = (op)->GetYAxis();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
  }
  if ((!strcmp("SetYAxis",argv[1]))&&(argc == 3))
  {
    vtkAxis  *temp0;
    error = 0;

    temp0 = (vtkAxis *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAxis"),interp,error));
    if (!error)
  {
    op->SetYAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 6))
  {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
  {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUnscaledInputBounds",argv[1]))&&(argc == 6))
  {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
  {
    op->GetUnscaledInputBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("UpdateCache",argv[1]))&&(argc == 2))
  {
    op->UpdateCache();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPlotCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPlot:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetLegendVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLegendVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  LegendVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  LegendVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetTooltipLabelFormat\n",nullptr);
    Tcl_AppendResult(interp,"  SetTooltipNotation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTooltipNotation\n",nullptr);
    Tcl_AppendResult(interp,"  SetTooltipPrecision\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTooltipPrecision\n",nullptr);
    Tcl_AppendResult(interp,"  SetColor\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetColor\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetWidth\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWidth\n",nullptr);
    Tcl_AppendResult(interp,"  SetPen\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPen\n",nullptr);
    Tcl_AppendResult(interp,"  SetBrush\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBrush\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectionPen\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectionPen\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectionBrush\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectionBrush\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabel\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabels\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetIndexedLabels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIndexedLabels\n",nullptr);
    Tcl_AppendResult(interp,"  GetData\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseIndexForXSeries\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseIndexForXSeries\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetInput\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectable\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectable\n",nullptr);
    Tcl_AppendResult(interp,"  SelectableOn\n",nullptr);
    Tcl_AppendResult(interp,"  SelectableOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelection\n",nullptr);
    Tcl_AppendResult(interp,"  GetXAxis\n",nullptr);
    Tcl_AppendResult(interp,"  SetXAxis\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetYAxis\n",nullptr);
    Tcl_AppendResult(interp,"  SetYAxis\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetUnscaledInputBounds\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  UpdateCache\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetLegendVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLegendVisibility" );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "GetTooltipLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetTooltipNotation" );
    Tcl_DStringAppendElement ( &dString, "GetTooltipNotation" );
    Tcl_DStringAppendElement ( &dString, "SetTooltipPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetTooltipPrecision" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    Tcl_DStringAppendElement ( &dString, "SetPen" );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    Tcl_DStringAppendElement ( &dString, "SetBrush" );
    Tcl_DStringAppendElement ( &dString, "GetBrush" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionPen" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionPen" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionBrush" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionBrush" );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    Tcl_DStringAppendElement ( &dString, "SetLabels" );
    Tcl_DStringAppendElement ( &dString, "GetLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    Tcl_DStringAppendElement ( &dString, "SetIndexedLabels" );
    Tcl_DStringAppendElement ( &dString, "GetIndexedLabels" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetUseIndexForXSeries" );
    Tcl_DStringAppendElement ( &dString, "SetUseIndexForXSeries" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetSelectable" );
    Tcl_DStringAppendElement ( &dString, "GetSelectable" );
    Tcl_DStringAppendElement ( &dString, "SelectableOn" );
    Tcl_DStringAppendElement ( &dString, "SelectableOff" );
    Tcl_DStringAppendElement ( &dString, "SetSelection" );
    Tcl_DStringAppendElement ( &dString, "GetSelection" );
    Tcl_DStringAppendElement ( &dString, "GetXAxis" );
    Tcl_DStringAppendElement ( &dString, "SetXAxis" );
    Tcl_DStringAppendElement ( &dString, "GetYAxis" );
    Tcl_DStringAppendElement ( &dString, "SetYAxis" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetUnscaledInputBounds" );
    Tcl_DStringAppendElement ( &dString, "UpdateCache" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlot *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLegendVisibility */
    if ( strcmp ( argv[2], "SetLegendVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegendVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegendVisibility */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot renders an entry in the legend. Default is true.\n vtkPlot::PaintLegend will get called to render the legend marker on when\n this is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLegendVisibility(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetLegendVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLegendVisibility */
    if ( strcmp ( argv[2], "GetLegendVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendVisibility */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot renders an entry in the legend. Default is true.\n vtkPlot::PaintLegend will get called to render the legend marker on when\n this is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLegendVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetLegendVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LegendVisibilityOn */
    if ( strcmp ( argv[2], "LegendVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot renders an entry in the legend. Default is true.\n vtkPlot::PaintLegend will get called to render the legend marker on when\n this is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LegendVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for LegendVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LegendVisibilityOff */
    if ( strcmp ( argv[2], "LegendVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot renders an entry in the legend. Default is true.\n vtkPlot::PaintLegend will get called to render the legend marker on when\n this is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LegendVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for LegendVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTooltipLabelFormat */
    if ( strcmp ( argv[2], "GetTooltipLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTooltipLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTooltipLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Sets/gets a printf-style string to build custom tooltip labels from.\n An empty string generates the default tooltip labels.\n The following case-sensitive format tags (without quotes) are recognized:\n '%x' The X value of the plot element\n '%y' The Y value of the plot element\n '%i' The IndexedLabels entry for the plot element\n '%l' The value of the plot's GetLabel() function\n '%s' (vtkPlotBar only) The Labels entry for the bar segment\n Any other characters or unrecogn ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetTooltipLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetTooltipLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTooltipNotation */
    if ( strcmp ( argv[2], "SetTooltipNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTooltipNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTooltipNotation */
    Tcl_DStringAppendElement ( &dString, " Sets/gets the tooltip notation style.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTooltipNotation(int notation);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetTooltipNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTooltipNotation */
    if ( strcmp ( argv[2], "GetTooltipNotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTooltipNotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTooltipNotation */
    Tcl_DStringAppendElement ( &dString, " Sets/gets the tooltip notation style.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTooltipNotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetTooltipNotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTooltipPrecision */
    if ( strcmp ( argv[2], "SetTooltipPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTooltipPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTooltipPrecision */
    Tcl_DStringAppendElement ( &dString, " Sets/gets the tooltip precision.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTooltipPrecision(int precision);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetTooltipPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTooltipPrecision */
    if ( strcmp ( argv[2], "GetTooltipPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTooltipPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTooltipPrecision */
    Tcl_DStringAppendElement ( &dString, " Sets/gets the tooltip precision.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTooltipPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetTooltipPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the plot color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColor(unsigned char r, unsigned char g, unsigned char b, unsigned char a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the plot color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColor(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " Set the plot color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetColor(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWidth */
    if ( strcmp ( argv[2], "SetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the line.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWidth(float width);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWidth */
    if ( strcmp ( argv[2], "GetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidth */
    Tcl_DStringAppendElement ( &dString, " Get the width of the line.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPen */
    if ( strcmp ( argv[2], "SetPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPen" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPen */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkPen object that controls how this plot draws (out)lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPen(vtkPen *pen);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPen */
    if ( strcmp ( argv[2], "GetPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPen */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkPen object that controls how this plot draws (out)lines.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBrush */
    if ( strcmp ( argv[2], "SetBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBrush" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrush */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkBrush object that controls how this plot fills shapes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBrush(vtkBrush *brush);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBrush */
    if ( strcmp ( argv[2], "GetBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBrush */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkBrush object that controls how this plot fills shapes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBrush *GetBrush();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectionPen */
    if ( strcmp ( argv[2], "SetSelectionPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPen" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionPen */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkBrush object that controls how this plot fills selected\n shapes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionPen(vtkPen *pen);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetSelectionPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectionPen */
    if ( strcmp ( argv[2], "GetSelectionPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionPen */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkBrush object that controls how this plot fills selected\n shapes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetSelectionPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetSelectionPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectionBrush */
    if ( strcmp ( argv[2], "SetSelectionBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBrush" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionBrush */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkBrush object that controls how this plot fills selected\n shapes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionBrush(vtkBrush *brush);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetSelectionBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectionBrush */
    if ( strcmp ( argv[2], "GetSelectionBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionBrush */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkBrush object that controls how this plot fills selected\n shapes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBrush *GetSelectionBrush();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetSelectionBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabel */
    if ( strcmp ( argv[2], "GetLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabel */
    Tcl_DStringAppendElement ( &dString, " Get the label of this plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabels */
    if ( strcmp ( argv[2], "SetLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabels */
    Tcl_DStringAppendElement ( &dString, " Set the plot labels, these are used for stacked chart variants, with the\n index referring to the stacking index.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabels(vtkStringArray *labels);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabels */
    if ( strcmp ( argv[2], "GetLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabels */
    Tcl_DStringAppendElement ( &dString, " Get the plot labels. If this array has a length greater than 1 the index\n refers to the stacked objects in the plot. See vtkPlotBar for example.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLabels */
    if ( strcmp ( argv[2], "GetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Get the number of labels associated with this plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabel */
    if ( strcmp ( argv[2], "GetLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabel */
    Tcl_DStringAppendElement ( &dString, " Get the label at the specified index.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetLabel(vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIndexedLabels */
    if ( strcmp ( argv[2], "SetIndexedLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndexedLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndexedLabels */
    Tcl_DStringAppendElement ( &dString, " Set indexed labels for the plot. If set, this array can be used to provide\n custom labels for each point in a plot. This array should be the same\n length as the points array. Default is null (no indexed labels).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndexedLabels(vtkStringArray *labels);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetIndexedLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIndexedLabels */
    if ( strcmp ( argv[2], "GetIndexedLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndexedLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndexedLabels */
    Tcl_DStringAppendElement ( &dString, " Get the indexed labels array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetIndexedLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetIndexedLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Get the data object that the plot will draw.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContextMapper2D *GetData();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseIndexForXSeries */
    if ( strcmp ( argv[2], "GetUseIndexForXSeries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseIndexForXSeries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseIndexForXSeries */
    Tcl_DStringAppendElement ( &dString, " Use the Y array index for the X value. If true any X column setting will be\n ignored, and the X values will simply be the index of the Y column.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseIndexForXSeries();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetUseIndexForXSeries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseIndexForXSeries */
    if ( strcmp ( argv[2], "SetUseIndexForXSeries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseIndexForXSeries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseIndexForXSeries */
    Tcl_DStringAppendElement ( &dString, " Use the Y array index for the X value. If true any X column setting will be\n ignored, and the X values will simply be the index of the Y column.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseIndexForXSeries(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetUseIndexForXSeries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " This is a convenience function to set the input table and the x, y column\n for the plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputData(vtkTable *table);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " This is a convenience function to set the input table and the x, y column\n for the plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(vtkTable *table, vtkIdType xColumn, vtkIdType yColumn);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get the input table used by the plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTable *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectable */
    if ( strcmp ( argv[2], "SetSelectable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectable */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot can be selected. True by default.\n If not, then SetSelection(), SelectPoints() or SelectPointsInPolygon()\n won't have any effect.\n \\sa SetSelection(), SelectPoints(), SelectPointsInPolygon()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectable(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetSelectable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectable */
    if ( strcmp ( argv[2], "GetSelectable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectable */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot can be selected. True by default.\n If not, then SetSelection(), SelectPoints() or SelectPointsInPolygon()\n won't have any effect.\n \\sa SetSelection(), SelectPoints(), SelectPointsInPolygon()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetSelectable();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetSelectable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SelectableOn */
    if ( strcmp ( argv[2], "SelectableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectableOn */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot can be selected. True by default.\n If not, then SetSelection(), SelectPoints() or SelectPointsInPolygon()\n won't have any effect.\n \\sa SetSelection(), SelectPoints(), SelectPointsInPolygon()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SelectableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SelectableOff */
    if ( strcmp ( argv[2], "SelectableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectableOff */
    Tcl_DStringAppendElement ( &dString, " Set whether the plot can be selected. True by default.\n If not, then SetSelection(), SelectPoints() or SelectPointsInPolygon()\n won't have any effect.\n \\sa SetSelection(), SelectPoints(), SelectPointsInPolygon()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SelectableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelection */
    if ( strcmp ( argv[2], "SetSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelection */
    Tcl_DStringAppendElement ( &dString, " Sets the list of points that must be selected.\n If Selectable is false, then this method does nothing.\n \\sa SetSelectable()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelection(vtkIdTypeArray *id);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelection */
    if ( strcmp ( argv[2], "GetSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelection */
    Tcl_DStringAppendElement ( &dString, " Sets the list of points that must be selected.\n If Selectable is false, then this method does nothing.\n \\sa SetSelectable()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdTypeArray *GetSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetXAxis */
    if ( strcmp ( argv[2], "GetXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxis */
    Tcl_DStringAppendElement ( &dString, " Get/set the X axis associated with this plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAxis *GetXAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetXAxis */
    if ( strcmp ( argv[2], "SetXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXAxis */
    Tcl_DStringAppendElement ( &dString, " Get/set the X axis associated with this plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetXAxis(vtkAxis *axis);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetYAxis */
    if ( strcmp ( argv[2], "GetYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxis */
    Tcl_DStringAppendElement ( &dString, " Get/set the Y axis associated with this plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAxis *GetYAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetYAxis */
    if ( strcmp ( argv[2], "SetYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAxis" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYAxis */
    Tcl_DStringAppendElement ( &dString, " Get/set the Y axis associated with this plot.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetYAxis(vtkAxis *axis);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for SetYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this plot as (Xmin, Xmax, Ymin, Ymax).\n\n * See \\a GetUnscaledInputBounds for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double bounds\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUnscaledInputBounds */
    if ( strcmp ( argv[2], "GetUnscaledInputBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnscaledInputBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnscaledInputBounds */
    Tcl_DStringAppendElement ( &dString, " Provide un-log-scaled bounds for the plot inputs.\n\n * This function is analogous to GetBounds() with 2 exceptions:\n * 1. It will never return log-scaled bounds even when the\n * x- and/or y-axes are log-scaled.\n * 2. It will always return the bounds along the *input* axes\n * rather than the output chart coordinates. Thus GetXAxis()\n * returns the axis associated with the first 2 bounds entries\n * and GetYAxis() returns the axis associated with the next 2\n * bounds e ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetUnscaledInputBounds(double bounds\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for GetUnscaledInputBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UpdateCache */
    if ( strcmp ( argv[2], "UpdateCache" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateCache" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateCache */
    Tcl_DStringAppendElement ( &dString, " Subclasses that build data caches to speed up painting should override this\n method to update such caches. This is called on each Paint, hence\n subclasses must add checks to avoid rebuilding of cache, unless necessary.\n Default implementation is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateCache();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    /* Closing for UpdateCache */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
