// tcl wrapper for vtkCommand object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCommand.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkObjectBaseCppCommand(vtkObjectBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCommandCppCommand(vtkCommand *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkCommandCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkCommandCppCommand(static_cast<vtkCommand *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCommand_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkCommandCppCommand(vtkCommand *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkCommand",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectBaseCppCommand(static_cast<vtkObjectBase *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObjectBase"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 2))
  {
    op->UnRegister();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStringFromEventId",argv[1]))&&(argc == 3))
  {
    unsigned long     temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
  {
    temp20 = (op)->GetStringFromEventId(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("GetEventIdFromString",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    unsigned long     temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->GetEventIdFromString(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("EventHasData",argv[1]))&&(argc == 3))
  {
    unsigned long     temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
  {
    temp20 = (op)->EventHasData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetAbortFlag",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAbortFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAbortFlag",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAbortFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AbortFlagOn",argv[1]))&&(argc == 2))
  {
    op->AbortFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AbortFlagOff",argv[1]))&&(argc == 2))
  {
    op->AbortFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPassiveObserver",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPassiveObserver(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPassiveObserver",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPassiveObserver();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("PassiveObserverOn",argv[1]))&&(argc == 2))
  {
    op->PassiveObserverOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PassiveObserverOff",argv[1]))&&(argc == 2))
  {
    op->PassiveObserverOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkCommandCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectBaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCommand:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UnRegister\n",nullptr);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStringFromEventId\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetEventIdFromString\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  EventHasData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetAbortFlag\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAbortFlag\n",nullptr);
    Tcl_AppendResult(interp,"  AbortFlagOn\n",nullptr);
    Tcl_AppendResult(interp,"  AbortFlagOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPassiveObserver\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPassiveObserver\n",nullptr);
    Tcl_AppendResult(interp,"  PassiveObserverOn\n",nullptr);
    Tcl_AppendResult(interp,"  PassiveObserverOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectBaseCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "GetStringFromEventId" );
    Tcl_DStringAppendElement ( &dString, "GetEventIdFromString" );
    Tcl_DStringAppendElement ( &dString, "EventHasData" );
    Tcl_DStringAppendElement ( &dString, "SetAbortFlag" );
    Tcl_DStringAppendElement ( &dString, "GetAbortFlag" );
    Tcl_DStringAppendElement ( &dString, "AbortFlagOn" );
    Tcl_DStringAppendElement ( &dString, "AbortFlagOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassiveObserver" );
    Tcl_DStringAppendElement ( &dString, "GetPassiveObserver" );
    Tcl_DStringAppendElement ( &dString, "PassiveObserverOn" );
    Tcl_DStringAppendElement ( &dString, "PassiveObserverOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectBaseCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Decrease the reference count (release by another object). This has\n the same effect as invoking Delete() (i.e., it reduces the reference\n count by 1).\n" );
    Tcl_DStringAppendElement ( &dString, "void UnRegister();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UnRegister(vtkObjectBase *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStringFromEventId */
    if ( strcmp ( argv[2], "GetStringFromEventId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringFromEventId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringFromEventId */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for translating between event names and event\n ids.\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetStringFromEventId(unsigned long event);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for GetStringFromEventId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEventIdFromString */
    if ( strcmp ( argv[2], "GetEventIdFromString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventIdFromString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventIdFromString */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for translating between event names and event\n ids.\n" );
    Tcl_DStringAppendElement ( &dString, "static unsigned long GetEventIdFromString(const char *event);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for GetEventIdFromString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EventHasData */
    if ( strcmp ( argv[2], "EventHasData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EventHasData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EventHasData */
    Tcl_DStringAppendElement ( &dString, " Does this event type contain vtkEventData\n" );
    Tcl_DStringAppendElement ( &dString, "static bool EventHasData(unsigned long event);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for EventHasData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAbortFlag */
    if ( strcmp ( argv[2], "SetAbortFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbortFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbortFlag */
    Tcl_DStringAppendElement ( &dString, " Set/Get the abort flag. If this is set to true no further\n commands are executed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbortFlag(int f);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for SetAbortFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAbortFlag */
    if ( strcmp ( argv[2], "GetAbortFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbortFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbortFlag */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAbortFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for GetAbortFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AbortFlagOn */
    if ( strcmp ( argv[2], "AbortFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AbortFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AbortFlagOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AbortFlagOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for AbortFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AbortFlagOff */
    if ( strcmp ( argv[2], "AbortFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AbortFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AbortFlagOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AbortFlagOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for AbortFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPassiveObserver */
    if ( strcmp ( argv[2], "SetPassiveObserver" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassiveObserver" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassiveObserver */
    Tcl_DStringAppendElement ( &dString, " Set/Get the passive observer flag. If this is set to true, this\n indicates that this command does not change the state of the\n system in any way. Passive observers are processed first, and\n are not called even when another command has focus.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassiveObserver(int f);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for SetPassiveObserver */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPassiveObserver */
    if ( strcmp ( argv[2], "GetPassiveObserver" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassiveObserver" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassiveObserver */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPassiveObserver();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for GetPassiveObserver */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassiveObserverOn */
    if ( strcmp ( argv[2], "PassiveObserverOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassiveObserverOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassiveObserverOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PassiveObserverOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for PassiveObserverOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassiveObserverOff */
    if ( strcmp ( argv[2], "PassiveObserverOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassiveObserverOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassiveObserverOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PassiveObserverOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommand" );
    /* Closing for PassiveObserverOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectBaseCppCommand(static_cast<vtkObjectBase *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
