// tcl wrapper for vtkAbstractElectronicData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractElectronicData.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractElectronicDataCppCommand(vtkAbstractElectronicData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAbstractElectronicDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkAbstractElectronicDataCppCommand(static_cast<vtkAbstractElectronicData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractElectronicData_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkAbstractElectronicDataCppCommand(vtkAbstractElectronicData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkAbstractElectronicData",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkAbstractElectronicData  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractElectronicData");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkAbstractElectronicData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractElectronicData");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfMOs",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfMOs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfElectrons",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfElectrons();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMO",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    vtkImageData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetMO(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }
  }
  if ((!strcmp("GetElectronDensity",argv[1]))&&(argc == 2))
  {
    vtkImageData  *temp20;
    temp20 = (op)->GetElectronDensity();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }
  if ((!strcmp("GetHOMO",argv[1]))&&(argc == 2))
  {
    vtkImageData  *temp20;
    temp20 = (op)->GetHOMO();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }
  if ((!strcmp("GetLUMO",argv[1]))&&(argc == 2))
  {
    vtkImageData  *temp20;
    temp20 = (op)->GetLUMO();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }
  if ((!strcmp("GetHOMOOrbitalNumber",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetHOMOOrbitalNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLUMOOrbitalNumber",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetLUMOOrbitalNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsHOMO",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->IsHOMO(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsLUMO",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->IsLUMO(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPadding",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetPadding();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractElectronicDataCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractElectronicData:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfMOs\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfElectrons\n",nullptr);
    Tcl_AppendResult(interp,"  GetMO\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetElectronDensity\n",nullptr);
    Tcl_AppendResult(interp,"  GetHOMO\n",nullptr);
    Tcl_AppendResult(interp,"  GetLUMO\n",nullptr);
    Tcl_AppendResult(interp,"  GetHOMOOrbitalNumber\n",nullptr);
    Tcl_AppendResult(interp,"  GetLUMOOrbitalNumber\n",nullptr);
    Tcl_AppendResult(interp,"  IsHOMO\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsLUMO\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPadding\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMOs" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElectrons" );
    Tcl_DStringAppendElement ( &dString, "GetMO" );
    Tcl_DStringAppendElement ( &dString, "GetElectronDensity" );
    Tcl_DStringAppendElement ( &dString, "GetHOMO" );
    Tcl_DStringAppendElement ( &dString, "GetLUMO" );
    Tcl_DStringAppendElement ( &dString, "GetHOMOOrbitalNumber" );
    Tcl_DStringAppendElement ( &dString, "GetLUMOOrbitalNumber" );
    Tcl_DStringAppendElement ( &dString, "IsHOMO" );
    Tcl_DStringAppendElement ( &dString, "IsLUMO" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAbstractElectronicData *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfMOs */
    if ( strcmp ( argv[2], "GetNumberOfMOs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMOs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfMOs */
    Tcl_DStringAppendElement ( &dString, " Returns the number of molecular orbitals available.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfMOs() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetNumberOfMOs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfElectrons */
    if ( strcmp ( argv[2], "GetNumberOfElectrons" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElectrons" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElectrons */
    Tcl_DStringAppendElement ( &dString, " Returns the number of electrons in the molecule.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfElectrons() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetNumberOfElectrons */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMO */
    if ( strcmp ( argv[2], "GetMO" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMO" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMO */
    Tcl_DStringAppendElement ( &dString, " Returns the vtkImageData for the requested molecular orbital.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageData *GetMO(vtkIdType orbitalNumber) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetMO */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetElectronDensity */
    if ( strcmp ( argv[2], "GetElectronDensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElectronDensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElectronDensity */
    Tcl_DStringAppendElement ( &dString, " Returns vtkImageData for the molecule's electron density. The data\n will be calculated when first requested, and cached for later requests.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageData *GetElectronDensity() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetElectronDensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHOMO */
    if ( strcmp ( argv[2], "GetHOMO" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHOMO" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHOMO */
    Tcl_DStringAppendElement ( &dString, " Returns vtkImageData for the Highest Occupied Molecular Orbital.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetHOMO();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetHOMO */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLUMO */
    if ( strcmp ( argv[2], "GetLUMO" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLUMO" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLUMO */
    Tcl_DStringAppendElement ( &dString, " Returns vtkImageData for the Lowest Unoccupied Molecular Orbital.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetLUMO();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetLUMO */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHOMOOrbitalNumber */
    if ( strcmp ( argv[2], "GetHOMOOrbitalNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHOMOOrbitalNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHOMOOrbitalNumber */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetHOMOOrbitalNumber();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetHOMOOrbitalNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLUMOOrbitalNumber */
    if ( strcmp ( argv[2], "GetLUMOOrbitalNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLUMOOrbitalNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLUMOOrbitalNumber */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetLUMOOrbitalNumber();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetLUMOOrbitalNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsHOMO */
    if ( strcmp ( argv[2], "IsHOMO" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsHOMO" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsHOMO */
    Tcl_DStringAppendElement ( &dString, " Returns true if the given orbital number is the Highest Occupied\n Molecular Orbital, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsHOMO(vtkIdType orbitalNumber);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for IsHOMO */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsLUMO */
    if ( strcmp ( argv[2], "IsLUMO" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLUMO" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLUMO */
    Tcl_DStringAppendElement ( &dString, " Returns true if the given orbital number is the Lowest Unoccupied\n Molecular Orbital, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsLUMO(vtkIdType orbitalNumber);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for IsLUMO */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copies the data object into this.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkDataObject *obj) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPadding */
    if ( strcmp ( argv[2], "GetPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPadding */
    Tcl_DStringAppendElement ( &dString, " Get the padding between the molecule and the cube boundaries. This is\n used to determine the dataset's bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPadding();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractElectronicData" );
    /* Closing for GetPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
