// tcl wrapper for vtkStaticCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStaticCellLocator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkStaticCellLocatorNewCommand()
{
  vtkStaticCellLocator *temp = vtkStaticCellLocator::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractCellLocatorCppCommand(vtkAbstractCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStaticCellLocatorCppCommand(vtkStaticCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkStaticCellLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkStaticCellLocatorCppCommand(static_cast<vtkStaticCellLocator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStaticCellLocator_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkStaticCellLocator"),vtkStaticCellLocatorNewCommand,vtkStaticCellLocatorCommand);
  return 0;
}

int VTKTCL_EXPORT vtkStaticCellLocatorCppCommand(vtkStaticCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkStaticCellLocator",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkAbstractCellLocatorCppCommand(static_cast<vtkAbstractCellLocator *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractCellLocator"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkStaticCellLocator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStaticCellLocator");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkStaticCellLocator  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStaticCellLocator");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkStaticCellLocator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStaticCellLocator");
    return TCL_OK;
  }
  if ((!strcmp("SetDivisions",argv[1]))&&(argc == 5))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    op->SetDivisions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDivisions",argv[1]))&&(argc == 5))
  {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
  {
    op->SetDivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDivisions",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetDivisions();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("FindCell",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    temp20 = (op)->FindCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GenerateRepresentation",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
  {
    op->GenerateRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("FreeSearchStructure",argv[1]))&&(argc == 2))
  {
    op->FreeSearchStructure();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
  {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMaxNumberOfBuckets",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaxNumberOfBuckets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaxNumberOfBucketsMinValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxNumberOfBucketsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxNumberOfBucketsMaxValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxNumberOfBucketsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxNumberOfBuckets",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxNumberOfBuckets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLargeIds",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLargeIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkStaticCellLocatorCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkAbstractCellLocatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStaticCellLocator:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetDivisions\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetDivisions\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetDivisions\n",nullptr);
    Tcl_AppendResult(interp,"  FindCell\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateRepresentation\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  FreeSearchStructure\n",nullptr);
    Tcl_AppendResult(interp,"  BuildLocator\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaxNumberOfBuckets\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxNumberOfBucketsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxNumberOfBucketsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxNumberOfBuckets\n",nullptr);
    Tcl_AppendResult(interp,"  GetLargeIds\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractCellLocatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetDivisions" );
    Tcl_DStringAppendElement ( &dString, "SetDivisions" );
    Tcl_DStringAppendElement ( &dString, "GetDivisions" );
    Tcl_DStringAppendElement ( &dString, "FindCell" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfBuckets" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfBucketsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfBucketsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfBuckets" );
    Tcl_DStringAppendElement ( &dString, "GetLargeIds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractCellLocatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and obtain type-related information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkStaticCellLocator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and obtain type-related information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and obtain type-related information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and obtain type-related information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkStaticCellLocator *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and obtain type-related information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDivisions */
    if ( strcmp ( argv[2], "SetDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDivisions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDivisions(int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for SetDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDivisions */
    if ( strcmp ( argv[2], "SetDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDivisions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDivisions(int a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for SetDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDivisions */
    if ( strcmp ( argv[2], "GetDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDivisions */
    Tcl_DStringAppendElement ( &dString, " Set the number of divisions in x-y-z directions. If the Automatic data\n member is enabled, the Divisions are set according to the\n NumberOfCellsPerNode and MaxNumberOfBuckets data members. The number\n of divisions must be >= 1 in each direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetDivisions();" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for GetDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FindCell */
    if ( strcmp ( argv[2], "FindCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindCell */
    Tcl_DStringAppendElement ( &dString, " Reimplemented from vtkAbstractCellLocator to support bad compilers.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType FindCell(double x\\[3\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for FindCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateRepresentation */
    if ( strcmp ( argv[2], "GenerateRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentation */
    Tcl_DStringAppendElement ( &dString, " Satisfy vtkLocator abstract interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateRepresentation(int level, vtkPolyData *pd) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for GenerateRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FreeSearchStructure */
    if ( strcmp ( argv[2], "FreeSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Satisfy vtkLocator abstract interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeSearchStructure() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for FreeSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildLocator */
    if ( strcmp ( argv[2], "BuildLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocator */
    Tcl_DStringAppendElement ( &dString, " Satisfy vtkLocator abstract interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLocator() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for BuildLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaxNumberOfBuckets */
    if ( strcmp ( argv[2], "SetMaxNumberOfBuckets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfBuckets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxNumberOfBuckets */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of buckets in the locator. By default the value\n is set to VTK_INT_MAX. Note that there are significant performance\n implications at work here. If the number of buckets is set very large\n (meaning > VTK_INT_MAX) then internal sorting may be performed using\n 64-bit integers (which is much slower than using a 32-bit int). Of\n course, memory requirements may dramatically increase as well.  It is\n recommended that the default value be used; but for  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaxNumberOfBuckets(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for SetMaxNumberOfBuckets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxNumberOfBucketsMinValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfBucketsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfBucketsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfBucketsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of buckets in the locator. By default the value\n is set to VTK_INT_MAX. Note that there are significant performance\n implications at work here. If the number of buckets is set very large\n (meaning > VTK_INT_MAX) then internal sorting may be performed using\n 64-bit integers (which is much slower than using a 32-bit int). Of\n course, memory requirements may dramatically increase as well.  It is\n recommended that the default value be used; but for  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaxNumberOfBucketsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for GetMaxNumberOfBucketsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxNumberOfBucketsMaxValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfBucketsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfBucketsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfBucketsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of buckets in the locator. By default the value\n is set to VTK_INT_MAX. Note that there are significant performance\n implications at work here. If the number of buckets is set very large\n (meaning > VTK_INT_MAX) then internal sorting may be performed using\n 64-bit integers (which is much slower than using a 32-bit int). Of\n course, memory requirements may dramatically increase as well.  It is\n recommended that the default value be used; but for  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaxNumberOfBucketsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for GetMaxNumberOfBucketsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxNumberOfBuckets */
    if ( strcmp ( argv[2], "GetMaxNumberOfBuckets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfBuckets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfBuckets */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of buckets in the locator. By default the value\n is set to VTK_INT_MAX. Note that there are significant performance\n implications at work here. If the number of buckets is set very large\n (meaning > VTK_INT_MAX) then internal sorting may be performed using\n 64-bit integers (which is much slower than using a 32-bit int). Of\n course, memory requirements may dramatically increase as well.  It is\n recommended that the default value be used; but for  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaxNumberOfBuckets();" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for GetMaxNumberOfBuckets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLargeIds */
    if ( strcmp ( argv[2], "GetLargeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLargeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLargeIds */
    Tcl_DStringAppendElement ( &dString, " Inform the user as to whether large ids are being used. This flag only\n has meaning after the locator has been built. Large ids are used when the\n number of binned points, or the number of bins, is >= the maximum number\n of buckets (specified by the user). Note that LargeIds are only available\n on 64-bit architectures.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLargeIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkStaticCellLocator" );
    /* Closing for GetLargeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkAbstractCellLocatorCppCommand(static_cast<vtkAbstractCellLocator *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
