// tcl wrapper for vtkHyperTreeGridAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGridAlgorithm.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperTreeGridAlgorithmCppCommand(vtkHyperTreeGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkHyperTreeGridAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkHyperTreeGridAlgorithmCppCommand(static_cast<vtkHyperTreeGridAlgorithm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperTreeGridAlgorithm_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkHyperTreeGridAlgorithmCppCommand(vtkHyperTreeGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkHyperTreeGridAlgorithm",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkHyperTreeGridAlgorithm  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAlgorithm");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAlgorithm");
    return TCL_OK;
  }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
  {
    vtkDataObject  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
  }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
  }
  }
  if ((!strcmp("SetOutput",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHyperTreeGridOutput",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGrid  *temp20;
    temp20 = (op)->GetHyperTreeGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGrid");
    return TCL_OK;
  }
  if ((!strcmp("GetHyperTreeGridOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkHyperTreeGrid  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetHyperTreeGridOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGrid");
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPolyDataOutput",argv[1]))&&(argc == 2))
  {
    vtkPolyData  *temp20;
    temp20 = (op)->GetPolyDataOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
  }
  if ((!strcmp("GetPolyDataOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkPolyData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetPolyDataOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUnstructuredGridOutput",argv[1]))&&(argc == 2))
  {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetUnstructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGrid");
    return TCL_OK;
  }
  if ((!strcmp("GetUnstructuredGridOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkUnstructuredGrid  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetUnstructuredGridOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGrid");
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->AddInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->AddInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkHyperTreeGridAlgorithmCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperTreeGridAlgorithm:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHyperTreeGridOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetHyperTreeGridOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPolyDataOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetPolyDataOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUnstructuredGridOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetUnstructuredGridOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  AddInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  AddInputData\t with 2 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetHyperTreeGridOutput" );
    Tcl_DStringAppendElement ( &dString, "GetHyperTreeGridOutput" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeGridAlgorithm *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetOutput(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutput */
    if ( strcmp ( argv[2], "SetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutput(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for SetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHyperTreeGridOutput */
    if ( strcmp ( argv[2], "GetHyperTreeGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHyperTreeGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHyperTreeGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as a hyper tree grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGrid *GetHyperTreeGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetHyperTreeGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHyperTreeGridOutput */
    if ( strcmp ( argv[2], "GetHyperTreeGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHyperTreeGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHyperTreeGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as a hyper tree grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGrid *GetHyperTreeGridOutput(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetHyperTreeGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPolyDataOutput */
    if ( strcmp ( argv[2], "GetPolyDataOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as a polygonal dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetPolyDataOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetPolyDataOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPolyDataOutput */
    if ( strcmp ( argv[2], "GetPolyDataOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as a polygonal dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetPolyDataOutput(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetPolyDataOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUnstructuredGridOutput */
    if ( strcmp ( argv[2], "GetUnstructuredGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnstructuredGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as an unstructured grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid *GetUnstructuredGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetUnstructuredGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUnstructuredGridOutput */
    if ( strcmp ( argv[2], "GetUnstructuredGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnstructuredGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as an unstructured grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid *GetUnstructuredGridOutput(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for GetUnstructuredGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use SetInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use SetInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(int, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use AddInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use AddInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(int, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
