// tcl wrapper for vtkScalarTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarTree.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkScalarTreeCppCommand(vtkScalarTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkScalarTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkScalarTreeCppCommand(static_cast<vtkScalarTree *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkScalarTree_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkScalarTreeCppCommand(vtkScalarTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkScalarTree",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkScalarTree  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarTree");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkScalarTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarTree");
    return TCL_OK;
  }
  if ((!strcmp("SetDataSet",argv[1]))&&(argc == 3))
  {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->SetDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 2))
  {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  if ((!strcmp("SetScalars",argv[1]))&&(argc == 3))
  {
    vtkDataArray  *temp0;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
  {
    op->SetScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalars",argv[1]))&&(argc == 2))
  {
    vtkDataArray  *temp20;
    temp20 = (op)->GetScalars();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
  }
  if ((!strcmp("BuildTree",argv[1]))&&(argc == 2))
  {
    op->BuildTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
  {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InitTraversal",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->InitTraversal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetScalarValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfCellBatches",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfCellBatches();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkScalarTreeCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkScalarTree:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetDataSet\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDataSet\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalars\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalars\n",nullptr);
    Tcl_AppendResult(interp,"  BuildTree\n",nullptr);
    Tcl_AppendResult(interp,"  Initialize\n",nullptr);
    Tcl_AppendResult(interp,"  InitTraversal\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfCellBatches\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    Tcl_DStringAppendElement ( &dString, "SetScalars" );
    Tcl_DStringAppendElement ( &dString, "GetScalars" );
    Tcl_DStringAppendElement ( &dString, "BuildTree" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetScalarValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellBatches" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkScalarTree *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDataSet */
    if ( strcmp ( argv[2], "SetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSet */
    Tcl_DStringAppendElement ( &dString, " Build the tree from the points/cells and scalars defining this\n dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataSet(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for SetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDataSet */
    if ( strcmp ( argv[2], "GetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSet */
    Tcl_DStringAppendElement ( &dString, " Build the tree from the points/cells and scalars defining this\n dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataSet *GetDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for GetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalars */
    if ( strcmp ( argv[2], "SetScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalars */
    Tcl_DStringAppendElement ( &dString, " Build the tree from the points/cells and scalars defining the\n dataset and scalars provided. Typically the scalars come from\n the vtkDataSet specified, but sometimes a separate vtkDataArray\n is provided to specify the scalars. If the scalar array is\n explicitly set, then it takes precedence over the scalars held\n in the vtkDataSet.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalars(vtkDataArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for SetScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalars */
    if ( strcmp ( argv[2], "GetScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalars */
    Tcl_DStringAppendElement ( &dString, " Build the tree from the points/cells and scalars defining the\n dataset and scalars provided. Typically the scalars come from\n the vtkDataSet specified, but sometimes a separate vtkDataArray\n is provided to specify the scalars. If the scalar array is\n explicitly set, then it takes precedence over the scalars held\n in the vtkDataSet.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataArray *GetScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for GetScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildTree */
    if ( strcmp ( argv[2], "BuildTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildTree */
    Tcl_DStringAppendElement ( &dString, " Construct the scalar tree from the dataset provided. Checks build times\n and modified time from input and reconstructs the tree if necessary.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildTree() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for BuildTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize locator. Frees memory and resets object as appropriate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InitTraversal */
    if ( strcmp ( argv[2], "InitTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitTraversal */
    Tcl_DStringAppendElement ( &dString, " Begin to traverse the cells based on a scalar value. Returned cells\n will have scalar values that span the scalar value specified. Note\n that changing the scalarValue does not cause the scalar tree to be\n modified, and hence it does not rebuild.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitTraversal(double scalarValue) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for InitTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarValue */
    if ( strcmp ( argv[2], "GetScalarValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarValue */
    Tcl_DStringAppendElement ( &dString, " Return the current scalar value over which tree traversal is proceeding.\n This is the scalar value provided in InitTraversal().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScalarValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for GetScalarValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfCellBatches */
    if ( strcmp ( argv[2], "GetNumberOfCellBatches" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellBatches" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellBatches */
    Tcl_DStringAppendElement ( &dString, " Get the number of cell batches available for processing. Note\n that this methods should be called after InitTraversal(). This is\n because the number of batches available is typically a function\n of the isocontour value. Note that the cells found in\n \\[0...(NumberOfCellBatches-1)\\] will contain all the cells\n potentially containing the isocontour.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfCellBatches() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarTree" );
    /* Closing for GetNumberOfCellBatches */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
