// tcl wrapper for vtkStreamingDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingDemandDrivenPipeline.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkStreamingDemandDrivenPipelineNewCommand()
{
  vtkStreamingDemandDrivenPipeline *temp = vtkStreamingDemandDrivenPipeline::New();
  return static_cast<ClientData>(temp);
}

int vtkDemandDrivenPipelineCppCommand(vtkDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkStreamingDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkStreamingDemandDrivenPipelineCppCommand(static_cast<vtkStreamingDemandDrivenPipeline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipeline_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkStreamingDemandDrivenPipeline"),vtkStreamingDemandDrivenPipelineNewCommand,vtkStreamingDemandDrivenPipelineCommand);
  return 0;
}

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkStreamingDemandDrivenPipeline",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkDemandDrivenPipelineCppCommand(static_cast<vtkDemandDrivenPipeline *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkDemandDrivenPipeline"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkStreamingDemandDrivenPipeline  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
  }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->Update();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("Update",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->Update(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->UpdateWholeExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("Update",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkInformationVector  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationVector"),interp,error));
    if (!error)
  {
    temp20 = (op)->Update(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("PropagateUpdateExtent",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->PropagateUpdateExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("PropagateTime",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->PropagateTime(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("UpdateTimeDependentInformation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->UpdateTimeDependentInformation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWholeExtent",argv[1]))&&(argc == 3))
  {
    vtkInformation  *temp0;
    int     *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetWholeExtent(temp0);
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRequestExactExtent",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    temp20 = (op)->SetRequestExactExtent(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRequestExactExtent",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetRequestExactExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUpdatePiece",argv[1]))&&(argc == 3))
  {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetUpdatePiece(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUpdateNumberOfPieces",argv[1]))&&(argc == 3))
  {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetUpdateNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUpdateGhostLevel",argv[1]))&&(argc == 3))
  {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetUpdateGhostLevel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkStreamingDemandDrivenPipelineCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamingDemandDrivenPipeline:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  Update\n",nullptr);
    Tcl_AppendResult(interp,"  Update\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",nullptr);
    Tcl_AppendResult(interp,"  Update\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  PropagateUpdateExtent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  PropagateTime\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UpdateTimeDependentInformation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWholeExtent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetRequestExactExtent\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetRequestExactExtent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUpdatePiece\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUpdateNumberOfPieces\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUpdateGhostLevel\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "PropagateTime" );
    Tcl_DStringAppendElement ( &dString, "UpdateTimeDependentInformation" );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStreamingDemandDrivenPipeline *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStreamingDemandDrivenPipeline *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "int Update() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "int Update(int port) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UpdateWholeExtent */
    if ( strcmp ( argv[2], "UpdateWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdateWholeExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UpdateWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " This method enables the passing of data requests to the algorithm\n to be used during execution (in addition to bringing a particular\n port up-to-date). The requests argument should contain an information\n object for each port that requests need to be passed. For each\n of those, the pipeline will copy all keys to the output information\n before execution. This is equivalent to:\n \\verbatim\n executive->UpdateInformation();\n for (int i=0; i<executive->GetNumberOfOutputP ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update(int port, vtkInformationVector *requests);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PropagateUpdateExtent */
    if ( strcmp ( argv[2], "PropagateUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PropagateUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Propagate the update request from the given output port back\n through the pipeline.  Should be called only when information is\n up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "int PropagateUpdateExtent(int outputPort);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for PropagateUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PropagateTime */
    if ( strcmp ( argv[2], "PropagateTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PropagateTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PropagateTime */
    Tcl_DStringAppendElement ( &dString, " Propagate time through the pipeline. this is a special pass\n only necessary if there is temporal meta data that must be updated\n" );
    Tcl_DStringAppendElement ( &dString, "int PropagateTime(int outputPort);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for PropagateTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UpdateTimeDependentInformation */
    if ( strcmp ( argv[2], "UpdateTimeDependentInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateTimeDependentInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateTimeDependentInformation */
    Tcl_DStringAppendElement ( &dString, " Propagate time through the pipeline. this is a special pass\n only necessary if there is temporal meta data that must be updated\n" );
    Tcl_DStringAppendElement ( &dString, "int UpdateTimeDependentInformation(int outputPort);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UpdateTimeDependentInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWholeExtent */
    if ( strcmp ( argv[2], "GetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole extent of an output port.  The whole extent is\n meta data for structured data sets.  It gets set by the algorithm\n during the update information pass.\n" );
    Tcl_DStringAppendElement ( &dString, "static int *GetWholeExtent(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRequestExactExtent */
    if ( strcmp ( argv[2], "SetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle more\n data than requested for the given port.  Right now it is used in\n vtkImageData.  Image filters can return more data than requested.\n The the consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in\n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetRequestExactExtent(int port, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRequestExactExtent */
    if ( strcmp ( argv[2], "GetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle more\n data than requested for the given port.  Right now it is used in\n vtkImageData.  Image filters can return more data than requested.\n The the consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in\n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRequestExactExtent(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUpdatePiece */
    if ( strcmp ( argv[2], "GetUpdatePiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdatePiece */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetUpdatePiece(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdatePiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUpdateNumberOfPieces */
    if ( strcmp ( argv[2], "GetUpdateNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetUpdateNumberOfPieces(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdateNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUpdateGhostLevel */
    if ( strcmp ( argv[2], "GetUpdateGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetUpdateGhostLevel(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdateGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkDemandDrivenPipelineCppCommand(static_cast<vtkDemandDrivenPipeline *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
