#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAmoebaMinimizer_TclCreate(Tcl_Interp *interp);
int vtkFunctionSet_TclCreate(Tcl_Interp *interp);
int vtkInitialValueProblemSolver_TclCreate(Tcl_Interp *interp);
int vtkMatrix3x3_TclCreate(Tcl_Interp *interp);
int vtkMatrix4x4_TclCreate(Tcl_Interp *interp);
int vtkPolynomialSolversUnivariate_TclCreate(Tcl_Interp *interp);
int vtkQuaternionInterpolator_TclCreate(Tcl_Interp *interp);
int vtkRungeKutta2_TclCreate(Tcl_Interp *interp);
int vtkRungeKutta4_TclCreate(Tcl_Interp *interp);
int vtkRungeKutta45_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkcommonmathtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkcommonmathtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkcommonmathtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkcommonmathtcl_Init(interp);
}


int VTK_EXPORT Vtkcommonmathtcl_Init(Tcl_Interp *interp)
{

  vtkAmoebaMinimizer_TclCreate(interp);
  vtkFunctionSet_TclCreate(interp);
  vtkInitialValueProblemSolver_TclCreate(interp);
  vtkMatrix3x3_TclCreate(interp);
  vtkMatrix4x4_TclCreate(interp);
  vtkPolynomialSolversUnivariate_TclCreate(interp);
  vtkQuaternionInterpolator_TclCreate(interp);
  vtkRungeKutta2_TclCreate(interp);
  vtkRungeKutta4_TclCreate(interp);
  vtkRungeKutta45_TclCreate(interp);
  char pkgName[]="vtkCommonMathTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
