// tcl wrapper for vtkAMRSliceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAMRSliceFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkAMRSliceFilterNewCommand()
{
  vtkAMRSliceFilter *temp = vtkAMRSliceFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkOverlappingAMRAlgorithmCppCommand(vtkOverlappingAMRAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAMRSliceFilterCppCommand(vtkAMRSliceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAMRSliceFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkAMRSliceFilterCppCommand(static_cast<vtkAMRSliceFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAMRSliceFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkAMRSliceFilter"),vtkAMRSliceFilterNewCommand,vtkAMRSliceFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkAMRSliceFilterCppCommand(vtkAMRSliceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkAMRSliceFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkOverlappingAMRAlgorithmCppCommand(static_cast<vtkOverlappingAMRAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkOverlappingAMRAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkAMRSliceFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAMRSliceFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkAMRSliceFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAMRSliceFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkAMRSliceFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAMRSliceFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetOffSetFromOrigin",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetOffSetFromOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOffSetFromOrigin",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetOffSetFromOrigin();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetForwardUpstream",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetForwardUpstream(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetForwardUpstream",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetForwardUpstream();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ForwardUpstreamOn",argv[1]))&&(argc == 2))
  {
    op->ForwardUpstreamOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ForwardUpstreamOff",argv[1]))&&(argc == 2))
  {
    op->ForwardUpstreamOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetEnablePrefetching",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetEnablePrefetching(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetEnablePrefetching",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEnablePrefetching();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("EnablePrefetchingOn",argv[1]))&&(argc == 2))
  {
    op->EnablePrefetchingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EnablePrefetchingOff",argv[1]))&&(argc == 2))
  {
    op->EnablePrefetchingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMaxResolution",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaxResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaxResolution",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaxResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
  {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
  {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
  {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
  }
  if ((!strcmp("FillInputPortInformation",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->FillInputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("FillOutputPortInformation",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->FillOutputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkAMRSliceFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkOverlappingAMRAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAMRSliceFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetOffSetFromOrigin\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOffSetFromOrigin\n",nullptr);
    Tcl_AppendResult(interp,"  SetForwardUpstream\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetForwardUpstream\n",nullptr);
    Tcl_AppendResult(interp,"  ForwardUpstreamOn\n",nullptr);
    Tcl_AppendResult(interp,"  ForwardUpstreamOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetEnablePrefetching\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetEnablePrefetching\n",nullptr);
    Tcl_AppendResult(interp,"  EnablePrefetchingOn\n",nullptr);
    Tcl_AppendResult(interp,"  EnablePrefetchingOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaxResolution\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxResolution\n",nullptr);
    Tcl_AppendResult(interp,"  SetNormal\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNormal\n",nullptr);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetController\n",nullptr);
    Tcl_AppendResult(interp,"  FillInputPortInformation\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  FillOutputPortInformation\t with 2 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkOverlappingAMRAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetOffSetFromOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOffSetFromOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetForwardUpstream" );
    Tcl_DStringAppendElement ( &dString, "GetForwardUpstream" );
    Tcl_DStringAppendElement ( &dString, "ForwardUpstreamOn" );
    Tcl_DStringAppendElement ( &dString, "ForwardUpstreamOff" );
    Tcl_DStringAppendElement ( &dString, "SetEnablePrefetching" );
    Tcl_DStringAppendElement ( &dString, "GetEnablePrefetching" );
    Tcl_DStringAppendElement ( &dString, "EnablePrefetchingOn" );
    Tcl_DStringAppendElement ( &dString, "EnablePrefetchingOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaxResolution" );
    Tcl_DStringAppendElement ( &dString, "GetMaxResolution" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "FillOutputPortInformation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkOverlappingAMRAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAMRSliceFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAMRSliceFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOffSetFromOrigin */
    if ( strcmp ( argv[2], "SetOffSetFromOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffSetFromOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffSetFromOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOffSetFromOrigin(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for SetOffSetFromOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOffSetFromOrigin */
    if ( strcmp ( argv[2], "GetOffSetFromOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffSetFromOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffSetFromOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetOffSetFromOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for GetOffSetFromOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetForwardUpstream */
    if ( strcmp ( argv[2], "SetForwardUpstream" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForwardUpstream" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForwardUpstream */
    Tcl_DStringAppendElement ( &dString, " Set/Get ForwardUpstream property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetForwardUpstream(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for SetForwardUpstream */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetForwardUpstream */
    if ( strcmp ( argv[2], "GetForwardUpstream" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForwardUpstream" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForwardUpstream */
    Tcl_DStringAppendElement ( &dString, " Set/Get ForwardUpstream property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetForwardUpstream();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for GetForwardUpstream */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ForwardUpstreamOn */
    if ( strcmp ( argv[2], "ForwardUpstreamOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForwardUpstreamOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForwardUpstreamOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get ForwardUpstream property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ForwardUpstreamOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for ForwardUpstreamOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ForwardUpstreamOff */
    if ( strcmp ( argv[2], "ForwardUpstreamOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForwardUpstreamOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForwardUpstreamOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get ForwardUpstream property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ForwardUpstreamOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for ForwardUpstreamOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetEnablePrefetching */
    if ( strcmp ( argv[2], "SetEnablePrefetching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnablePrefetching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnablePrefetching */
    Tcl_DStringAppendElement ( &dString, " Set/Get EnablePrefetching property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnablePrefetching(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for SetEnablePrefetching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEnablePrefetching */
    if ( strcmp ( argv[2], "GetEnablePrefetching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnablePrefetching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnablePrefetching */
    Tcl_DStringAppendElement ( &dString, " Set/Get EnablePrefetching property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEnablePrefetching();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for GetEnablePrefetching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EnablePrefetchingOn */
    if ( strcmp ( argv[2], "EnablePrefetchingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnablePrefetchingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnablePrefetchingOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get EnablePrefetching property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EnablePrefetchingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for EnablePrefetchingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EnablePrefetchingOff */
    if ( strcmp ( argv[2], "EnablePrefetchingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnablePrefetchingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnablePrefetchingOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get EnablePrefetching property\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EnablePrefetchingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for EnablePrefetchingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaxResolution */
    if ( strcmp ( argv[2], "SetMaxResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum resolution used in this instance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaxResolution(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for SetMaxResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxResolution */
    if ( strcmp ( argv[2], "GetMaxResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum resolution used in this instance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaxResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for GetMaxResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Axis normal. There are only 3 acceptable values\n 1-(X-Normal); 2-(Y-Normal); 3-(Z-Normal)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNormal(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Axis normal. There are only 3 acceptable values\n 1-(X-Normal); 2-(Y-Normal); 3-(Z-Normal)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get a multiprocess controller for paralle processing.\n By default this parameter is set to nullptr by the constructor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController(vtkMultiProcessController *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get a multiprocess controller for paralle processing.\n By default this parameter is set to nullptr by the constructor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FillInputPortInformation */
    if ( strcmp ( argv[2], "FillInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillInputPortInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int FillInputPortInformation(int port, vtkInformation *info) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for FillInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FillOutputPortInformation */
    if ( strcmp ( argv[2], "FillOutputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillOutputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillOutputPortInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int FillOutputPortInformation(int port, vtkInformation *info) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRSliceFilter" );
    /* Closing for FillOutputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkOverlappingAMRAlgorithmCppCommand(static_cast<vtkOverlappingAMRAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
