// tcl wrapper for vtkFeatureEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFeatureEdges.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkFeatureEdgesNewCommand()
{
  vtkFeatureEdges *temp = vtkFeatureEdges::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFeatureEdgesCppCommand(vtkFeatureEdges *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkFeatureEdgesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkFeatureEdgesCppCommand(static_cast<vtkFeatureEdges *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFeatureEdges_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkFeatureEdges"),vtkFeatureEdgesNewCommand,vtkFeatureEdgesCommand);
  return 0;
}

int VTKTCL_EXPORT vtkFeatureEdgesCppCommand(vtkFeatureEdges *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkFeatureEdges",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkFeatureEdges  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFeatureEdges");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkFeatureEdges  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFeatureEdges");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkFeatureEdges  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFeatureEdges");
    return TCL_OK;
  }
  if ((!strcmp("SetBoundaryEdges",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetBoundaryEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBoundaryEdges",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetBoundaryEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("BoundaryEdgesOn",argv[1]))&&(argc == 2))
  {
    op->BoundaryEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("BoundaryEdgesOff",argv[1]))&&(argc == 2))
  {
    op->BoundaryEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetFeatureEdges",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetFeatureEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFeatureEdges",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetFeatureEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("FeatureEdgesOn",argv[1]))&&(argc == 2))
  {
    op->FeatureEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("FeatureEdgesOff",argv[1]))&&(argc == 2))
  {
    op->FeatureEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetFeatureAngle",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFeatureAngleMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFeatureAngleMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFeatureAngle",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetFeatureAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNonManifoldEdges",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNonManifoldEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNonManifoldEdges",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNonManifoldEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("NonManifoldEdgesOn",argv[1]))&&(argc == 2))
  {
    op->NonManifoldEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("NonManifoldEdgesOff",argv[1]))&&(argc == 2))
  {
    op->NonManifoldEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetManifoldEdges",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetManifoldEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetManifoldEdges",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetManifoldEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ManifoldEdgesOn",argv[1]))&&(argc == 2))
  {
    op->ManifoldEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ManifoldEdgesOff",argv[1]))&&(argc == 2))
  {
    op->ManifoldEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetColoring",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetColoring(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColoring",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetColoring();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ColoringOn",argv[1]))&&(argc == 2))
  {
    op->ColoringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ColoringOff",argv[1]))&&(argc == 2))
  {
    op->ColoringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
  {
    vtkIncrementalPointLocator  *temp0;
    error = 0;

    temp0 = (vtkIncrementalPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIncrementalPointLocator"),interp,error));
    if (!error)
  {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
  {
    vtkIncrementalPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalPointLocator");
    return TCL_OK;
  }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
  {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOutputPointsPrecision",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOutputPointsPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputPointsPrecision",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPointsPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkFeatureEdgesCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFeatureEdges:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetBoundaryEdges\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBoundaryEdges\n",nullptr);
    Tcl_AppendResult(interp,"  BoundaryEdgesOn\n",nullptr);
    Tcl_AppendResult(interp,"  BoundaryEdgesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetFeatureEdges\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureEdges\n",nullptr);
    Tcl_AppendResult(interp,"  FeatureEdgesOn\n",nullptr);
    Tcl_AppendResult(interp,"  FeatureEdgesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetFeatureAngle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureAngleMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureAngleMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureAngle\n",nullptr);
    Tcl_AppendResult(interp,"  SetNonManifoldEdges\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNonManifoldEdges\n",nullptr);
    Tcl_AppendResult(interp,"  NonManifoldEdgesOn\n",nullptr);
    Tcl_AppendResult(interp,"  NonManifoldEdgesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetManifoldEdges\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetManifoldEdges\n",nullptr);
    Tcl_AppendResult(interp,"  ManifoldEdgesOn\n",nullptr);
    Tcl_AppendResult(interp,"  ManifoldEdgesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetColoring\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetColoring\n",nullptr);
    Tcl_AppendResult(interp,"  ColoringOn\n",nullptr);
    Tcl_AppendResult(interp,"  ColoringOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLocator\n",nullptr);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputPointsPrecision\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPointsPrecision\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryEdges" );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryEdges" );
    Tcl_DStringAppendElement ( &dString, "BoundaryEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "BoundaryEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureEdges" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdges" );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "SetNonManifoldEdges" );
    Tcl_DStringAppendElement ( &dString, "GetNonManifoldEdges" );
    Tcl_DStringAppendElement ( &dString, "NonManifoldEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "NonManifoldEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetManifoldEdges" );
    Tcl_DStringAppendElement ( &dString, "GetManifoldEdges" );
    Tcl_DStringAppendElement ( &dString, "ManifoldEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "ManifoldEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetColoring" );
    Tcl_DStringAppendElement ( &dString, "GetColoring" );
    Tcl_DStringAppendElement ( &dString, "ColoringOn" );
    Tcl_DStringAppendElement ( &dString, "ColoringOff" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFeatureEdges *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with feature angle = 30; all types of edges extracted\n and colored.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkFeatureEdges *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBoundaryEdges */
    if ( strcmp ( argv[2], "SetBoundaryEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundaryEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of boundary edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBoundaryEdges(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetBoundaryEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBoundaryEdges */
    if ( strcmp ( argv[2], "GetBoundaryEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundaryEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of boundary edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetBoundaryEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetBoundaryEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BoundaryEdgesOn */
    if ( strcmp ( argv[2], "BoundaryEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundaryEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundaryEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of boundary edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BoundaryEdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for BoundaryEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BoundaryEdgesOff */
    if ( strcmp ( argv[2], "BoundaryEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundaryEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundaryEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of boundary edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BoundaryEdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for BoundaryEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFeatureEdges */
    if ( strcmp ( argv[2], "SetFeatureEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFeatureEdges(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetFeatureEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureEdges */
    if ( strcmp ( argv[2], "GetFeatureEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetFeatureEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetFeatureEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FeatureEdgesOn */
    if ( strcmp ( argv[2], "FeatureEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FeatureEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FeatureEdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for FeatureEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FeatureEdgesOff */
    if ( strcmp ( argv[2], "FeatureEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FeatureEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FeatureEdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for FeatureEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFeatureAngle */
    if ( strcmp ( argv[2], "SetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for extracting feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFeatureAngle(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureAngleMinValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for extracting feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetFeatureAngleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetFeatureAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureAngleMaxValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for extracting feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetFeatureAngleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetFeatureAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureAngle */
    if ( strcmp ( argv[2], "GetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for extracting feature edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetFeatureAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNonManifoldEdges */
    if ( strcmp ( argv[2], "SetNonManifoldEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonManifoldEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonManifoldEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of non-manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNonManifoldEdges(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetNonManifoldEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNonManifoldEdges */
    if ( strcmp ( argv[2], "GetNonManifoldEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonManifoldEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonManifoldEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of non-manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNonManifoldEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetNonManifoldEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NonManifoldEdgesOn */
    if ( strcmp ( argv[2], "NonManifoldEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonManifoldEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonManifoldEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of non-manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NonManifoldEdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for NonManifoldEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NonManifoldEdgesOff */
    if ( strcmp ( argv[2], "NonManifoldEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonManifoldEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonManifoldEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of non-manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NonManifoldEdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for NonManifoldEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetManifoldEdges */
    if ( strcmp ( argv[2], "SetManifoldEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetManifoldEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetManifoldEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetManifoldEdges(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetManifoldEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetManifoldEdges */
    if ( strcmp ( argv[2], "GetManifoldEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetManifoldEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetManifoldEdges */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetManifoldEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetManifoldEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ManifoldEdgesOn */
    if ( strcmp ( argv[2], "ManifoldEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ManifoldEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ManifoldEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ManifoldEdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for ManifoldEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ManifoldEdgesOff */
    if ( strcmp ( argv[2], "ManifoldEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ManifoldEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ManifoldEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of manifold edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ManifoldEdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for ManifoldEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColoring */
    if ( strcmp ( argv[2], "SetColoring" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColoring" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColoring */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of edges by type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColoring(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetColoring */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColoring */
    if ( strcmp ( argv[2], "GetColoring" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColoring" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColoring */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of edges by type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetColoring();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetColoring */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ColoringOn */
    if ( strcmp ( argv[2], "ColoringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColoringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColoringOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of edges by type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ColoringOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for ColoringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ColoringOff */
    if ( strcmp ( argv[2], "ColoringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColoringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColoringOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of edges by type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ColoringOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for ColoringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator(vtkIncrementalPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIncrementalPointLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create default locator. Used to create one when none is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return MTime also considering the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputPointsPrecision */
    if ( strcmp ( argv[2], "SetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputPointsPrecision(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for SetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPointsPrecision */
    if ( strcmp ( argv[2], "GetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPointsPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges" );
    /* Closing for GetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
