// tcl wrapper for vtkPolyDataNormals object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataNormals.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPolyDataNormalsNewCommand()
{
  vtkPolyDataNormals *temp = vtkPolyDataNormals::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolyDataNormalsCppCommand(vtkPolyDataNormals *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPolyDataNormalsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPolyDataNormalsCppCommand(static_cast<vtkPolyDataNormals *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolyDataNormals_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPolyDataNormals"),vtkPolyDataNormalsNewCommand,vtkPolyDataNormalsCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPolyDataNormalsCppCommand(vtkPolyDataNormals *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPolyDataNormals",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPolyDataNormals  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataNormals");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPolyDataNormals  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataNormals");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPolyDataNormals  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataNormals");
    return TCL_OK;
  }
  if ((!strcmp("SetFeatureAngle",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFeatureAngleMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFeatureAngleMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFeatureAngle",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetFeatureAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSplitting",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSplitting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSplitting",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSplitting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SplittingOn",argv[1]))&&(argc == 2))
  {
    op->SplittingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SplittingOff",argv[1]))&&(argc == 2))
  {
    op->SplittingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetConsistency",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetConsistency(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetConsistency",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetConsistency();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ConsistencyOn",argv[1]))&&(argc == 2))
  {
    op->ConsistencyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ConsistencyOff",argv[1]))&&(argc == 2))
  {
    op->ConsistencyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAutoOrientNormals",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAutoOrientNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAutoOrientNormals",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAutoOrientNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AutoOrientNormalsOn",argv[1]))&&(argc == 2))
  {
    op->AutoOrientNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AutoOrientNormalsOff",argv[1]))&&(argc == 2))
  {
    op->AutoOrientNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputePointNormals",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputePointNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputePointNormals",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputePointNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputePointNormalsOn",argv[1]))&&(argc == 2))
  {
    op->ComputePointNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputePointNormalsOff",argv[1]))&&(argc == 2))
  {
    op->ComputePointNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeCellNormals",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputeCellNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeCellNormals",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputeCellNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeCellNormalsOn",argv[1]))&&(argc == 2))
  {
    op->ComputeCellNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeCellNormalsOff",argv[1]))&&(argc == 2))
  {
    op->ComputeCellNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetFlipNormals",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetFlipNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFlipNormals",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetFlipNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("FlipNormalsOn",argv[1]))&&(argc == 2))
  {
    op->FlipNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("FlipNormalsOff",argv[1]))&&(argc == 2))
  {
    op->FlipNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetNonManifoldTraversal",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNonManifoldTraversal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNonManifoldTraversal",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNonManifoldTraversal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("NonManifoldTraversalOn",argv[1]))&&(argc == 2))
  {
    op->NonManifoldTraversalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("NonManifoldTraversalOff",argv[1]))&&(argc == 2))
  {
    op->NonManifoldTraversalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOutputPointsPrecision",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOutputPointsPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputPointsPrecisionMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPointsPrecisionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOutputPointsPrecisionMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPointsPrecisionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOutputPointsPrecision",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPointsPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPolyDataNormalsCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolyDataNormals:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetFeatureAngle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureAngleMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureAngleMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetFeatureAngle\n",nullptr);
    Tcl_AppendResult(interp,"  SetSplitting\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSplitting\n",nullptr);
    Tcl_AppendResult(interp,"  SplittingOn\n",nullptr);
    Tcl_AppendResult(interp,"  SplittingOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetConsistency\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetConsistency\n",nullptr);
    Tcl_AppendResult(interp,"  ConsistencyOn\n",nullptr);
    Tcl_AppendResult(interp,"  ConsistencyOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetAutoOrientNormals\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAutoOrientNormals\n",nullptr);
    Tcl_AppendResult(interp,"  AutoOrientNormalsOn\n",nullptr);
    Tcl_AppendResult(interp,"  AutoOrientNormalsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputePointNormals\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputePointNormals\n",nullptr);
    Tcl_AppendResult(interp,"  ComputePointNormalsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputePointNormalsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeCellNormals\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeCellNormals\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeCellNormalsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeCellNormalsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetFlipNormals\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFlipNormals\n",nullptr);
    Tcl_AppendResult(interp,"  FlipNormalsOn\n",nullptr);
    Tcl_AppendResult(interp,"  FlipNormalsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetNonManifoldTraversal\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNonManifoldTraversal\n",nullptr);
    Tcl_AppendResult(interp,"  NonManifoldTraversalOn\n",nullptr);
    Tcl_AppendResult(interp,"  NonManifoldTraversalOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputPointsPrecision\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPointsPrecisionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPointsPrecisionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPointsPrecision\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "SetSplitting" );
    Tcl_DStringAppendElement ( &dString, "GetSplitting" );
    Tcl_DStringAppendElement ( &dString, "SplittingOn" );
    Tcl_DStringAppendElement ( &dString, "SplittingOff" );
    Tcl_DStringAppendElement ( &dString, "SetConsistency" );
    Tcl_DStringAppendElement ( &dString, "GetConsistency" );
    Tcl_DStringAppendElement ( &dString, "ConsistencyOn" );
    Tcl_DStringAppendElement ( &dString, "ConsistencyOff" );
    Tcl_DStringAppendElement ( &dString, "SetAutoOrientNormals" );
    Tcl_DStringAppendElement ( &dString, "GetAutoOrientNormals" );
    Tcl_DStringAppendElement ( &dString, "AutoOrientNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "AutoOrientNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputePointNormals" );
    Tcl_DStringAppendElement ( &dString, "GetComputePointNormals" );
    Tcl_DStringAppendElement ( &dString, "ComputePointNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputePointNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeCellNormals" );
    Tcl_DStringAppendElement ( &dString, "GetComputeCellNormals" );
    Tcl_DStringAppendElement ( &dString, "ComputeCellNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeCellNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetFlipNormals" );
    Tcl_DStringAppendElement ( &dString, "GetFlipNormals" );
    Tcl_DStringAppendElement ( &dString, "FlipNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "FlipNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetNonManifoldTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetNonManifoldTraversal" );
    Tcl_DStringAppendElement ( &dString, "NonManifoldTraversalOn" );
    Tcl_DStringAppendElement ( &dString, "NonManifoldTraversalOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecisionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecisionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolyDataNormals *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with feature angle=30, splitting and consistency turned on,\n flipNormals turned off, and non-manifold traversal turned on.\n ComputePointNormals is on and ComputeCellNormals is off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolyDataNormals *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFeatureAngle */
    if ( strcmp ( argv[2], "SetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFeatureAngle(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureAngleMinValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetFeatureAngleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetFeatureAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureAngleMaxValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetFeatureAngleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetFeatureAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFeatureAngle */
    if ( strcmp ( argv[2], "GetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetFeatureAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSplitting */
    if ( strcmp ( argv[2], "SetSplitting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitting */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of sharp edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSplitting(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetSplitting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSplitting */
    if ( strcmp ( argv[2], "GetSplitting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitting */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of sharp edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSplitting();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetSplitting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SplittingOn */
    if ( strcmp ( argv[2], "SplittingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplittingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplittingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of sharp edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SplittingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SplittingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SplittingOff */
    if ( strcmp ( argv[2], "SplittingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplittingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplittingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of sharp edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SplittingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SplittingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetConsistency */
    if ( strcmp ( argv[2], "SetConsistency" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConsistency" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConsistency */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the enforcement of consistent polygon ordering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetConsistency(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetConsistency */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetConsistency */
    if ( strcmp ( argv[2], "GetConsistency" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConsistency" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConsistency */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the enforcement of consistent polygon ordering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetConsistency();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetConsistency */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ConsistencyOn */
    if ( strcmp ( argv[2], "ConsistencyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConsistencyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConsistencyOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the enforcement of consistent polygon ordering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ConsistencyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for ConsistencyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ConsistencyOff */
    if ( strcmp ( argv[2], "ConsistencyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConsistencyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConsistencyOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the enforcement of consistent polygon ordering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ConsistencyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for ConsistencyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAutoOrientNormals */
    if ( strcmp ( argv[2], "SetAutoOrientNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoOrientNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoOrientNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the\n FlipNormals flag. However, this flag can work with the FlipNormals\n flag, and if both are ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAutoOrientNormals(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetAutoOrientNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAutoOrientNormals */
    if ( strcmp ( argv[2], "GetAutoOrientNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoOrientNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoOrientNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the\n FlipNormals flag. However, this flag can work with the FlipNormals\n flag, and if both are ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAutoOrientNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetAutoOrientNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AutoOrientNormalsOn */
    if ( strcmp ( argv[2], "AutoOrientNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoOrientNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoOrientNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the\n FlipNormals flag. However, this flag can work with the FlipNormals\n flag, and if both are ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AutoOrientNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for AutoOrientNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AutoOrientNormalsOff */
    if ( strcmp ( argv[2], "AutoOrientNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoOrientNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoOrientNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the\n FlipNormals flag. However, this flag can work with the FlipNormals\n flag, and if both are ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AutoOrientNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for AutoOrientNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputePointNormals */
    if ( strcmp ( argv[2], "SetComputePointNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputePointNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputePointNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of point normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputePointNormals(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetComputePointNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputePointNormals */
    if ( strcmp ( argv[2], "GetComputePointNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputePointNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputePointNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of point normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputePointNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetComputePointNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputePointNormalsOn */
    if ( strcmp ( argv[2], "ComputePointNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputePointNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputePointNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of point normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputePointNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for ComputePointNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputePointNormalsOff */
    if ( strcmp ( argv[2], "ComputePointNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputePointNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputePointNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of point normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputePointNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for ComputePointNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeCellNormals */
    if ( strcmp ( argv[2], "SetComputeCellNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeCellNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeCellNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of cell normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeCellNormals(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetComputeCellNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeCellNormals */
    if ( strcmp ( argv[2], "GetComputeCellNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeCellNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeCellNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of cell normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputeCellNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetComputeCellNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeCellNormalsOn */
    if ( strcmp ( argv[2], "ComputeCellNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeCellNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeCellNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of cell normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeCellNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for ComputeCellNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeCellNormalsOff */
    if ( strcmp ( argv[2], "ComputeCellNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeCellNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeCellNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of cell normals.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeCellNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for ComputeCellNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFlipNormals */
    if ( strcmp ( argv[2], "SetFlipNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlipNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlipNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFlipNormals(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetFlipNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFlipNormals */
    if ( strcmp ( argv[2], "GetFlipNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlipNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlipNormals */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetFlipNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetFlipNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FlipNormalsOn */
    if ( strcmp ( argv[2], "FlipNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FlipNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FlipNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FlipNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for FlipNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FlipNormalsOff */
    if ( strcmp ( argv[2], "FlipNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FlipNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FlipNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FlipNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for FlipNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNonManifoldTraversal */
    if ( strcmp ( argv[2], "SetNonManifoldTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonManifoldTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonManifoldTraversal */
    Tcl_DStringAppendElement ( &dString, " Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNonManifoldTraversal(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetNonManifoldTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNonManifoldTraversal */
    if ( strcmp ( argv[2], "GetNonManifoldTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonManifoldTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonManifoldTraversal */
    Tcl_DStringAppendElement ( &dString, " Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNonManifoldTraversal();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetNonManifoldTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NonManifoldTraversalOn */
    if ( strcmp ( argv[2], "NonManifoldTraversalOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonManifoldTraversalOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonManifoldTraversalOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NonManifoldTraversalOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for NonManifoldTraversalOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NonManifoldTraversalOff */
    if ( strcmp ( argv[2], "NonManifoldTraversalOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonManifoldTraversalOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonManifoldTraversalOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NonManifoldTraversalOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for NonManifoldTraversalOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputPointsPrecision */
    if ( strcmp ( argv[2], "SetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputPointsPrecision(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for SetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPointsPrecisionMinValue */
    if ( strcmp ( argv[2], "GetOutputPointsPrecisionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecisionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPointsPrecisionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPointsPrecisionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetOutputPointsPrecisionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPointsPrecisionMaxValue */
    if ( strcmp ( argv[2], "GetOutputPointsPrecisionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecisionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPointsPrecisionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPointsPrecisionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetOutputPointsPrecisionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPointsPrecision */
    if ( strcmp ( argv[2], "GetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPointsPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataNormals" );
    /* Closing for GetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
