// tcl wrapper for vtkExtractVectorComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractVectorComponents.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkExtractVectorComponentsNewCommand()
{
  vtkExtractVectorComponents *temp = vtkExtractVectorComponents::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractVectorComponentsCppCommand(vtkExtractVectorComponents *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkExtractVectorComponentsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkExtractVectorComponentsCppCommand(static_cast<vtkExtractVectorComponents *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractVectorComponents_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractVectorComponents"),vtkExtractVectorComponentsNewCommand,vtkExtractVectorComponentsCommand);
  return 0;
}

int VTKTCL_EXPORT vtkExtractVectorComponentsCppCommand(vtkExtractVectorComponents *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkExtractVectorComponents",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkExtractVectorComponents  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractVectorComponents");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkExtractVectorComponents  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractVectorComponents");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkExtractVectorComponents  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractVectorComponents");
    return TCL_OK;
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVxComponent",argv[1]))&&(argc == 2))
  {
    vtkDataSet  *temp20;
    temp20 = (op)->GetVxComponent();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  if ((!strcmp("GetVyComponent",argv[1]))&&(argc == 2))
  {
    vtkDataSet  *temp20;
    temp20 = (op)->GetVyComponent();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  if ((!strcmp("GetVzComponent",argv[1]))&&(argc == 2))
  {
    vtkDataSet  *temp20;
    temp20 = (op)->GetVzComponent();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  if ((!strcmp("SetExtractToFieldData",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetExtractToFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExtractToFieldData",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetExtractToFieldData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ExtractToFieldDataOn",argv[1]))&&(argc == 2))
  {
    op->ExtractToFieldDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ExtractToFieldDataOff",argv[1]))&&(argc == 2))
  {
    op->ExtractToFieldDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkExtractVectorComponentsCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractVectorComponents:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVxComponent\n",nullptr);
    Tcl_AppendResult(interp,"  GetVyComponent\n",nullptr);
    Tcl_AppendResult(interp,"  GetVzComponent\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractToFieldData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractToFieldData\n",nullptr);
    Tcl_AppendResult(interp,"  ExtractToFieldDataOn\n",nullptr);
    Tcl_AppendResult(interp,"  ExtractToFieldDataOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "GetVxComponent" );
    Tcl_DStringAppendElement ( &dString, "GetVyComponent" );
    Tcl_DStringAppendElement ( &dString, "GetVzComponent" );
    Tcl_DStringAppendElement ( &dString, "SetExtractToFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetExtractToFieldData" );
    Tcl_DStringAppendElement ( &dString, "ExtractToFieldDataOn" );
    Tcl_DStringAppendElement ( &dString, "ExtractToFieldDataOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractVectorComponents *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractVectorComponents *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Specify the input data or filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputData(vtkDataSet *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVxComponent */
    if ( strcmp ( argv[2], "GetVxComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVxComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVxComponent */
    Tcl_DStringAppendElement ( &dString, " Get the output dataset representing velocity x-component. If output is\n nullptr then input hasn't been set, which is necessary for abstract\n objects. (Note: this method returns the same information as the\n GetOutput() method with an index of 0.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetVxComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for GetVxComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVyComponent */
    if ( strcmp ( argv[2], "GetVyComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVyComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVyComponent */
    Tcl_DStringAppendElement ( &dString, " Get the output dataset representing velocity y-component. If output is\n nullptr then input hasn't been set, which is necessary for abstract\n objects. (Note: this method returns the same information as the\n GetOutput() method with an index of 1.)\n Note that if ExtractToFieldData is true, this output will be empty.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetVyComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for GetVyComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVzComponent */
    if ( strcmp ( argv[2], "GetVzComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVzComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVzComponent */
    Tcl_DStringAppendElement ( &dString, " Get the output dataset representing velocity z-component. If output is\n nullptr then input hasn't been set, which is necessary for abstract\n objects. (Note: this method returns the same information as the\n GetOutput() method with an index of 2.)\n Note that if ExtractToFieldData is true, this output will be empty.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetVzComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for GetVzComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractToFieldData */
    if ( strcmp ( argv[2], "SetExtractToFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractToFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractToFieldData */
    Tcl_DStringAppendElement ( &dString, " Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExtractToFieldData(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for SetExtractToFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractToFieldData */
    if ( strcmp ( argv[2], "GetExtractToFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractToFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractToFieldData */
    Tcl_DStringAppendElement ( &dString, " Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExtractToFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for GetExtractToFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExtractToFieldDataOn */
    if ( strcmp ( argv[2], "ExtractToFieldDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractToFieldDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractToFieldDataOn */
    Tcl_DStringAppendElement ( &dString, " Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExtractToFieldDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for ExtractToFieldDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExtractToFieldDataOff */
    if ( strcmp ( argv[2], "ExtractToFieldDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractToFieldDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractToFieldDataOff */
    Tcl_DStringAppendElement ( &dString, " Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExtractToFieldDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractVectorComponents" );
    /* Closing for ExtractToFieldDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
