// tcl wrapper for vtkLagrangianParticleTracker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLagrangianParticleTracker.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkLagrangianParticleTrackerNewCommand()
{
  vtkLagrangianParticleTracker *temp = vtkLagrangianParticleTracker::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLagrangianParticleTrackerCppCommand(vtkLagrangianParticleTracker *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkLagrangianParticleTrackerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkLagrangianParticleTrackerCppCommand(static_cast<vtkLagrangianParticleTracker *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLagrangianParticleTracker_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkLagrangianParticleTracker"),vtkLagrangianParticleTrackerNewCommand,vtkLagrangianParticleTrackerCommand);
  return 0;
}

int VTKTCL_EXPORT vtkLagrangianParticleTrackerCppCommand(vtkLagrangianParticleTracker *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkLagrangianParticleTracker",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkLagrangianParticleTracker  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLagrangianParticleTracker");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkLagrangianParticleTracker  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLagrangianParticleTracker");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkLagrangianParticleTracker  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLagrangianParticleTracker");
    return TCL_OK;
  }
  if ((!strcmp("SetIntegrationModel",argv[1]))&&(argc == 3))
  {
    vtkLagrangianBasicIntegrationModel  *temp0;
    error = 0;

    temp0 = (vtkLagrangianBasicIntegrationModel *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLagrangianBasicIntegrationModel"),interp,error));
    if (!error)
  {
    op->SetIntegrationModel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntegrationModel",argv[1]))&&(argc == 2))
  {
    vtkLagrangianBasicIntegrationModel  *temp20;
    temp20 = (op)->GetIntegrationModel();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLagrangianBasicIntegrationModel");
    return TCL_OK;
  }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
  {
    vtkInitialValueProblemSolver  *temp0;
    error = 0;

    temp0 = (vtkInitialValueProblemSolver *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInitialValueProblemSolver"),interp,error));
    if (!error)
  {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
  {
    vtkInitialValueProblemSolver  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInitialValueProblemSolver");
    return TCL_OK;
  }
  if ((!strcmp("SetCellLengthComputationMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCellLengthComputationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCellLengthComputationMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCellLengthComputationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetStepFactor",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetStepFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStepFactor",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetStepFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetStepFactorMin",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetStepFactorMin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStepFactorMin",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetStepFactorMin();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetStepFactorMax",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetStepFactorMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStepFactorMax",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetStepFactorMax();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumNumberOfSteps",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumNumberOfSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumNumberOfSteps",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAdaptiveStepReintegration",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetAdaptiveStepReintegration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAdaptiveStepReintegration",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetAdaptiveStepReintegration();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AdaptiveStepReintegrationOn",argv[1]))&&(argc == 2))
  {
    op->AdaptiveStepReintegrationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AdaptiveStepReintegrationOff",argv[1]))&&(argc == 2))
  {
    op->AdaptiveStepReintegrationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetUseParticlePathsRenderingThreshold",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseParticlePathsRenderingThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseParticlePathsRenderingThreshold",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseParticlePathsRenderingThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseParticlePathsRenderingThresholdOn",argv[1]))&&(argc == 2))
  {
    op->UseParticlePathsRenderingThresholdOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseParticlePathsRenderingThresholdOff",argv[1]))&&(argc == 2))
  {
    op->UseParticlePathsRenderingThresholdOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetParticlePathsRenderingPointsThreshold",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetParticlePathsRenderingPointsThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetParticlePathsRenderingPointsThreshold",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetParticlePathsRenderingPointsThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCreateOutOfDomainParticle",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCreateOutOfDomainParticle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCreateOutOfDomainParticle",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCreateOutOfDomainParticle();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CreateOutOfDomainParticleOn",argv[1]))&&(argc == 2))
  {
    op->CreateOutOfDomainParticleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CreateOutOfDomainParticleOff",argv[1]))&&(argc == 2))
  {
    op->CreateOutOfDomainParticleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSourceData",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetSourceData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
  {
    vtkDataObject  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
  }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
  {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
  {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSurfaceData",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetSurfaceData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSurface",argv[1]))&&(argc == 2))
  {
    vtkDataObject  *temp20;
    temp20 = (op)->GetSurface();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
  }
  if ((!strcmp("SetSurfaceConnection",argv[1]))&&(argc == 3))
  {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
  {
    op->SetSurfaceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("FillInputPortInformation",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->FillInputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("FillOutputPortInformation",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->FillOutputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNewParticleId",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNewParticleId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkLagrangianParticleTrackerCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLagrangianParticleTracker:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntegrationModel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntegrationModel\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntegrator\n",nullptr);
    Tcl_AppendResult(interp,"  SetCellLengthComputationMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellLengthComputationMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetStepFactor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStepFactor\n",nullptr);
    Tcl_AppendResult(interp,"  SetStepFactorMin\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStepFactorMin\n",nullptr);
    Tcl_AppendResult(interp,"  SetStepFactorMax\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStepFactorMax\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSteps\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSteps\n",nullptr);
    Tcl_AppendResult(interp,"  SetAdaptiveStepReintegration\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAdaptiveStepReintegration\n",nullptr);
    Tcl_AppendResult(interp,"  AdaptiveStepReintegrationOn\n",nullptr);
    Tcl_AppendResult(interp,"  AdaptiveStepReintegrationOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseParticlePathsRenderingThreshold\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseParticlePathsRenderingThreshold\n",nullptr);
    Tcl_AppendResult(interp,"  UseParticlePathsRenderingThresholdOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseParticlePathsRenderingThresholdOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetParticlePathsRenderingPointsThreshold\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetParticlePathsRenderingPointsThreshold\n",nullptr);
    Tcl_AppendResult(interp,"  SetCreateOutOfDomainParticle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCreateOutOfDomainParticle\n",nullptr);
    Tcl_AppendResult(interp,"  CreateOutOfDomainParticleOn\n",nullptr);
    Tcl_AppendResult(interp,"  CreateOutOfDomainParticleOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSourceData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSource\n",nullptr);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetSurfaceData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurface\n",nullptr);
    Tcl_AppendResult(interp,"  SetSurfaceConnection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  FillInputPortInformation\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  FillOutputPortInformation\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    Tcl_AppendResult(interp,"  GetNewParticleId\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationModel" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationModel" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "SetCellLengthComputationMode" );
    Tcl_DStringAppendElement ( &dString, "GetCellLengthComputationMode" );
    Tcl_DStringAppendElement ( &dString, "SetStepFactor" );
    Tcl_DStringAppendElement ( &dString, "GetStepFactor" );
    Tcl_DStringAppendElement ( &dString, "SetStepFactorMin" );
    Tcl_DStringAppendElement ( &dString, "GetStepFactorMin" );
    Tcl_DStringAppendElement ( &dString, "SetStepFactorMax" );
    Tcl_DStringAppendElement ( &dString, "GetStepFactorMax" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "SetAdaptiveStepReintegration" );
    Tcl_DStringAppendElement ( &dString, "GetAdaptiveStepReintegration" );
    Tcl_DStringAppendElement ( &dString, "AdaptiveStepReintegrationOn" );
    Tcl_DStringAppendElement ( &dString, "AdaptiveStepReintegrationOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseParticlePathsRenderingThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetUseParticlePathsRenderingThreshold" );
    Tcl_DStringAppendElement ( &dString, "UseParticlePathsRenderingThresholdOn" );
    Tcl_DStringAppendElement ( &dString, "UseParticlePathsRenderingThresholdOff" );
    Tcl_DStringAppendElement ( &dString, "SetParticlePathsRenderingPointsThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetParticlePathsRenderingPointsThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetCreateOutOfDomainParticle" );
    Tcl_DStringAppendElement ( &dString, "GetCreateOutOfDomainParticle" );
    Tcl_DStringAppendElement ( &dString, "CreateOutOfDomainParticleOn" );
    Tcl_DStringAppendElement ( &dString, "CreateOutOfDomainParticleOff" );
    Tcl_DStringAppendElement ( &dString, "SetSourceData" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceData" );
    Tcl_DStringAppendElement ( &dString, "GetSurface" );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceConnection" );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "FillOutputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetNewParticleId" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLagrangianParticleTracker *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLagrangianParticleTracker *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntegrationModel */
    if ( strcmp ( argv[2], "SetIntegrationModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationModel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration model.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationModel(vtkLagrangianBasicIntegrationModel *integrationModel);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetIntegrationModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntegrationModel */
    if ( strcmp ( argv[2], "GetIntegrationModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationModel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration model.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkLagrangianBasicIntegrationModel *GetIntegrationModel();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetIntegrationModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntegrator */
    if ( strcmp ( argv[2], "SetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integrator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrator(vtkInitialValueProblemSolver *integrator);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntegrator */
    if ( strcmp ( argv[2], "GetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integrator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInitialValueProblemSolver *GetIntegrator();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCellLengthComputationMode */
    if ( strcmp ( argv[2], "SetCellLengthComputationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellLengthComputationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellLengthComputationMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cell length computation mode.\n Available modes are :\n - STEP_LAST_CELL_LENGTH :\n Compute cell length using getLength method\n on the last cell the particle was in\n - STEP_CUR_CELL_LENGTH :\n Compute cell length using getLength method\n on the current cell the particle is in\n - STEP_LAST_CELL_VEL_DIR :\n Compute cell length using the particle velocity\n and the edges of the last cell the particle was in.\n - STEP_CUR_CELL_VEL_DIR :\n Compute cell length usin ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellLengthComputationMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetCellLengthComputationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellLengthComputationMode */
    if ( strcmp ( argv[2], "GetCellLengthComputationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellLengthComputationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellLengthComputationMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cell length computation mode.\n Available modes are :\n - STEP_LAST_CELL_LENGTH :\n Compute cell length using getLength method\n on the last cell the particle was in\n - STEP_CUR_CELL_LENGTH :\n Compute cell length using getLength method\n on the current cell the particle is in\n - STEP_LAST_CELL_VEL_DIR :\n Compute cell length using the particle velocity\n and the edges of the last cell the particle was in.\n - STEP_CUR_CELL_VEL_DIR :\n Compute cell length usin ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCellLengthComputationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetCellLengthComputationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStepFactor */
    if ( strcmp ( argv[2], "SetStepFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStepFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStepFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration step factor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStepFactor(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetStepFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStepFactor */
    if ( strcmp ( argv[2], "GetStepFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration step factor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetStepFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetStepFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStepFactorMin */
    if ( strcmp ( argv[2], "SetStepFactorMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStepFactorMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStepFactorMin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration step factor min.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStepFactorMin(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetStepFactorMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStepFactorMin */
    if ( strcmp ( argv[2], "GetStepFactorMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepFactorMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepFactorMin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration step factor min.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetStepFactorMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetStepFactorMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStepFactorMax */
    if ( strcmp ( argv[2], "SetStepFactorMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStepFactorMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStepFactorMax */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration step factor max.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStepFactorMax(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetStepFactorMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStepFactorMax */
    if ( strcmp ( argv[2], "GetStepFactorMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepFactorMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepFactorMax */
    Tcl_DStringAppendElement ( &dString, " Set/Get the integration step factor max.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetStepFactorMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetStepFactorMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "SetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of steps.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfSteps(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of steps.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAdaptiveStepReintegration */
    if ( strcmp ( argv[2], "SetAdaptiveStepReintegration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdaptiveStepReintegration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdaptiveStepReintegration */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Adaptive Step Reintegration feature.\n it checks the step size after the integration\n and if it is too big will retry with a smaller step\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAdaptiveStepReintegration(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetAdaptiveStepReintegration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAdaptiveStepReintegration */
    if ( strcmp ( argv[2], "GetAdaptiveStepReintegration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdaptiveStepReintegration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdaptiveStepReintegration */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Adaptive Step Reintegration feature.\n it checks the step size after the integration\n and if it is too big will retry with a smaller step\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetAdaptiveStepReintegration();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetAdaptiveStepReintegration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AdaptiveStepReintegrationOn */
    if ( strcmp ( argv[2], "AdaptiveStepReintegrationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdaptiveStepReintegrationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdaptiveStepReintegrationOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Adaptive Step Reintegration feature.\n it checks the step size after the integration\n and if it is too big will retry with a smaller step\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AdaptiveStepReintegrationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for AdaptiveStepReintegrationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AdaptiveStepReintegrationOff */
    if ( strcmp ( argv[2], "AdaptiveStepReintegrationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdaptiveStepReintegrationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdaptiveStepReintegrationOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Adaptive Step Reintegration feature.\n it checks the step size after the integration\n and if it is too big will retry with a smaller step\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AdaptiveStepReintegrationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for AdaptiveStepReintegrationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseParticlePathsRenderingThreshold */
    if ( strcmp ( argv[2], "SetUseParticlePathsRenderingThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseParticlePathsRenderingThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseParticlePathsRenderingThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Optional Paths Rendering feature\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseParticlePathsRenderingThreshold(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetUseParticlePathsRenderingThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseParticlePathsRenderingThreshold */
    if ( strcmp ( argv[2], "GetUseParticlePathsRenderingThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseParticlePathsRenderingThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseParticlePathsRenderingThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Optional Paths Rendering feature\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseParticlePathsRenderingThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetUseParticlePathsRenderingThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseParticlePathsRenderingThresholdOn */
    if ( strcmp ( argv[2], "UseParticlePathsRenderingThresholdOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseParticlePathsRenderingThresholdOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseParticlePathsRenderingThresholdOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Optional Paths Rendering feature\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseParticlePathsRenderingThresholdOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for UseParticlePathsRenderingThresholdOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseParticlePathsRenderingThresholdOff */
    if ( strcmp ( argv[2], "UseParticlePathsRenderingThresholdOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseParticlePathsRenderingThresholdOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseParticlePathsRenderingThresholdOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Optional Paths Rendering feature\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseParticlePathsRenderingThresholdOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for UseParticlePathsRenderingThresholdOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetParticlePathsRenderingPointsThreshold */
    if ( strcmp ( argv[2], "SetParticlePathsRenderingPointsThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticlePathsRenderingPointsThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticlePathsRenderingPointsThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Optional Paths Rendering feature\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParticlePathsRenderingPointsThreshold(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetParticlePathsRenderingPointsThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetParticlePathsRenderingPointsThreshold */
    if ( strcmp ( argv[2], "GetParticlePathsRenderingPointsThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticlePathsRenderingPointsThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticlePathsRenderingPointsThreshold */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Optional Paths Rendering feature\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetParticlePathsRenderingPointsThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetParticlePathsRenderingPointsThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCreateOutOfDomainParticle */
    if ( strcmp ( argv[2], "SetCreateOutOfDomainParticle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCreateOutOfDomainParticle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCreateOutOfDomainParticle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Creation of particle initially outside of the domain\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCreateOutOfDomainParticle(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetCreateOutOfDomainParticle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCreateOutOfDomainParticle */
    if ( strcmp ( argv[2], "GetCreateOutOfDomainParticle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCreateOutOfDomainParticle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCreateOutOfDomainParticle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Creation of particle initially outside of the domain\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCreateOutOfDomainParticle();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetCreateOutOfDomainParticle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateOutOfDomainParticleOn */
    if ( strcmp ( argv[2], "CreateOutOfDomainParticleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateOutOfDomainParticleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateOutOfDomainParticleOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Creation of particle initially outside of the domain\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateOutOfDomainParticleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for CreateOutOfDomainParticleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateOutOfDomainParticleOff */
    if ( strcmp ( argv[2], "CreateOutOfDomainParticleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateOutOfDomainParticleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateOutOfDomainParticleOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Creation of particle initially outside of the domain\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateOutOfDomainParticleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for CreateOutOfDomainParticleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSourceData */
    if ( strcmp ( argv[2], "SetSourceData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceData */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate particle initial position (seeds).\n Note that this method does not connect the pipeline. The algorithm will\n work on the input data as it is without updating the producer of the data.\n See SetSourceConnection for connecting the pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceData(vtkDataObject *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetSourceData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate particle initial position (seeds).\n Note that this method does not connect the pipeline. The algorithm will\n work on the input data as it is without updating the producer of the data.\n See SetSourceConnection for connecting the pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate particle initial position (seeds).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSurfaceData */
    if ( strcmp ( argv[2], "SetSurfaceData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSurfaceData */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to compute surface interaction with\n Note that this method does not connect the pipeline. The algorithm will\n work on the input data as it is without updating the producer of the data.\n See SetSurfaceConnection for connecting the pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSurfaceData(vtkDataObject *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetSurfaceData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurface */
    if ( strcmp ( argv[2], "GetSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurface */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to compute surface interaction with\n Note that this method does not connect the pipeline. The algorithm will\n work on the input data as it is without updating the producer of the data.\n See SetSurfaceConnection for connecting the pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetSurface();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSurfaceConnection */
    if ( strcmp ( argv[2], "SetSurfaceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSurfaceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify the object used to compute surface interaction with.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSurfaceConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for SetSurfaceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FillInputPortInformation */
    if ( strcmp ( argv[2], "FillInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillInputPortInformation */
    Tcl_DStringAppendElement ( &dString, " Declare input port type\n" );
    Tcl_DStringAppendElement ( &dString, "int FillInputPortInformation(int port, vtkInformation *info) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for FillInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FillOutputPortInformation */
    if ( strcmp ( argv[2], "FillOutputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillOutputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillOutputPortInformation */
    Tcl_DStringAppendElement ( &dString, " Declare output port type\n" );
    Tcl_DStringAppendElement ( &dString, "int FillOutputPortInformation(int port, vtkInformation *info) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for FillOutputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the tracker modified time taking into account the integration model\n and the integrator.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNewParticleId */
    if ( strcmp ( argv[2], "GetNewParticleId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNewParticleId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNewParticleId */
    Tcl_DStringAppendElement ( &dString, " Get an unique id for a particle\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNewParticleId();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    /* Closing for GetNewParticleId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
