// tcl wrapper for vtkDataSetRegionSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetRegionSurfaceFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkDataSetRegionSurfaceFilterNewCommand()
{
  vtkDataSetRegionSurfaceFilter *temp = vtkDataSetRegionSurfaceFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetSurfaceFilterCppCommand(vtkDataSetSurfaceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetRegionSurfaceFilterCppCommand(vtkDataSetRegionSurfaceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkDataSetRegionSurfaceFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkDataSetRegionSurfaceFilterCppCommand(static_cast<vtkDataSetRegionSurfaceFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetRegionSurfaceFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetRegionSurfaceFilter"),vtkDataSetRegionSurfaceFilterNewCommand,vtkDataSetRegionSurfaceFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkDataSetRegionSurfaceFilterCppCommand(vtkDataSetRegionSurfaceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkDataSetRegionSurfaceFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkDataSetSurfaceFilterCppCommand(static_cast<vtkDataSetSurfaceFilter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetSurfaceFilter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkDataSetRegionSurfaceFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetRegionSurfaceFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkDataSetRegionSurfaceFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetRegionSurfaceFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkDataSetRegionSurfaceFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetRegionSurfaceFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetRegionArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetRegionArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRegionArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetRegionArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("UnstructuredGridExecute",argv[1]))&&(argc == 4))
  {
    vtkDataSet  *temp0;
    vtkPolyData  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
  {
    temp20 = (op)->UnstructuredGridExecute(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSingleSided",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetSingleSided(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSingleSided",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetSingleSided();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaterialPropertiesName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetMaterialPropertiesName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaterialPropertiesName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetMaterialPropertiesName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetMaterialIDsName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetMaterialIDsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaterialIDsName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetMaterialIDsName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetMaterialPIDsName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetMaterialPIDsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaterialPIDsName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetMaterialPIDsName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetInterfaceIDsName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetInterfaceIDsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInterfaceIDsName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetInterfaceIDsName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkDataSetRegionSurfaceFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkDataSetSurfaceFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetRegionSurfaceFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetRegionArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRegionArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  UnstructuredGridExecute\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetSingleSided\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSingleSided\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaterialPropertiesName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaterialPropertiesName\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaterialIDsName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaterialIDsName\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaterialPIDsName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaterialPIDsName\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterfaceIDsName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInterfaceIDsName\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetSurfaceFilterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetRegionArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetRegionArrayName" );
    Tcl_DStringAppendElement ( &dString, "UnstructuredGridExecute" );
    Tcl_DStringAppendElement ( &dString, "SetSingleSided" );
    Tcl_DStringAppendElement ( &dString, "GetSingleSided" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialPropertiesName" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialPropertiesName" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialIDsName" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialIDsName" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialPIDsName" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialPIDsName" );
    Tcl_DStringAppendElement ( &dString, "SetInterfaceIDsName" );
    Tcl_DStringAppendElement ( &dString, "GetInterfaceIDsName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetSurfaceFilterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetRegionSurfaceFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetRegionSurfaceFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRegionArrayName */
    if ( strcmp ( argv[2], "SetRegionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRegionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRegionArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the cell based array that we use to extract interfaces from\n Default is \"Regions\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRegionArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for SetRegionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRegionArrayName */
    if ( strcmp ( argv[2], "GetRegionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the cell based array that we use to extract interfaces from\n Default is \"Regions\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetRegionArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for GetRegionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UnstructuredGridExecute */
    if ( strcmp ( argv[2], "UnstructuredGridExecute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnstructuredGridExecute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnstructuredGridExecute */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int UnstructuredGridExecute(vtkDataSet *input, vtkPolyData *output) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for UnstructuredGridExecute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSingleSided */
    if ( strcmp ( argv[2], "SetSingleSided" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSingleSided" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSingleSided */
    Tcl_DStringAppendElement ( &dString, " Whether to return single sided material interfaces or double sided\n Default is single\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSingleSided(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for SetSingleSided */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSingleSided */
    if ( strcmp ( argv[2], "GetSingleSided" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSingleSided" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSingleSided */
    Tcl_DStringAppendElement ( &dString, " Whether to return single sided material interfaces or double sided\n Default is single\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetSingleSided();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for GetSingleSided */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaterialPropertiesName */
    if ( strcmp ( argv[2], "SetMaterialPropertiesName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialPropertiesName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialPropertiesName */
    Tcl_DStringAppendElement ( &dString, " The name of the field array that has characteristics of each material\n Default is \"material_properties\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialPropertiesName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for SetMaterialPropertiesName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaterialPropertiesName */
    if ( strcmp ( argv[2], "GetMaterialPropertiesName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialPropertiesName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialPropertiesName */
    Tcl_DStringAppendElement ( &dString, " The name of the field array that has characteristics of each material\n Default is \"material_properties\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetMaterialPropertiesName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for GetMaterialPropertiesName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaterialIDsName */
    if ( strcmp ( argv[2], "SetMaterialIDsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialIDsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialIDsName */
    Tcl_DStringAppendElement ( &dString, " The name of the field array that has material type identifiers in it\n Default is \"material_ids\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialIDsName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for SetMaterialIDsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaterialIDsName */
    if ( strcmp ( argv[2], "GetMaterialIDsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialIDsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialIDsName */
    Tcl_DStringAppendElement ( &dString, " The name of the field array that has material type identifiers in it\n Default is \"material_ids\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetMaterialIDsName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for GetMaterialIDsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaterialPIDsName */
    if ( strcmp ( argv[2], "SetMaterialPIDsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialPIDsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialPIDsName */
    Tcl_DStringAppendElement ( &dString, " The name of the output field array that records parent materials of each interface\n Default is \"material_ancestors\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterialPIDsName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for SetMaterialPIDsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaterialPIDsName */
    if ( strcmp ( argv[2], "GetMaterialPIDsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialPIDsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialPIDsName */
    Tcl_DStringAppendElement ( &dString, " The name of the output field array that records parent materials of each interface\n Default is \"material_ancestors\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetMaterialPIDsName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for GetMaterialPIDsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterfaceIDsName */
    if ( strcmp ( argv[2], "SetInterfaceIDsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterfaceIDsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterfaceIDsName */
    Tcl_DStringAppendElement ( &dString, " The name of the field array that has material interface type identifiers in it\n Default is \"interface_ids\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterfaceIDsName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for SetInterfaceIDsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInterfaceIDsName */
    if ( strcmp ( argv[2], "GetInterfaceIDsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterfaceIDsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterfaceIDsName */
    Tcl_DStringAppendElement ( &dString, " The name of the field array that has material interface type identifiers in it\n Default is \"interface_ids\"\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetInterfaceIDsName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetRegionSurfaceFilter" );
    /* Closing for GetInterfaceIDsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkDataSetSurfaceFilterCppCommand(static_cast<vtkDataSetSurfaceFilter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
