// tcl wrapper for vtkStructuredAMRGridConnectivity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredAMRGridConnectivity.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkStructuredAMRGridConnectivityNewCommand()
{
  vtkStructuredAMRGridConnectivity *temp = vtkStructuredAMRGridConnectivity::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractGridConnectivityCppCommand(vtkAbstractGridConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStructuredAMRGridConnectivityCppCommand(vtkStructuredAMRGridConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkStructuredAMRGridConnectivityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkStructuredAMRGridConnectivityCppCommand(static_cast<vtkStructuredAMRGridConnectivity *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStructuredAMRGridConnectivity_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkStructuredAMRGridConnectivity"),vtkStructuredAMRGridConnectivityNewCommand,vtkStructuredAMRGridConnectivityCommand);
  return 0;
}

int VTKTCL_EXPORT vtkStructuredAMRGridConnectivityCppCommand(vtkStructuredAMRGridConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkStructuredAMRGridConnectivity",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkAbstractGridConnectivityCppCommand(static_cast<vtkAbstractGridConnectivity *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractGridConnectivity"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkStructuredAMRGridConnectivity  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredAMRGridConnectivity");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkStructuredAMRGridConnectivity  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredAMRGridConnectivity");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkStructuredAMRGridConnectivity  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredAMRGridConnectivity");
    return TCL_OK;
  }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 5))
  {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    op->Initialize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ComputeNeighbors",argv[1]))&&(argc == 2))
  {
    op->ComputeNeighbors();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CreateGhostLayers",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->CreateGhostLayers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBalancedRefinement",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetBalancedRefinement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBalancedRefinement",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetBalancedRefinement();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNodeCentered",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetNodeCentered(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNodeCentered",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetNodeCentered();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCellCentered",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCellCentered(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCellCentered",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCellCentered();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfNeighbors",argv[1]))&&(argc == 3))
  {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetNumberOfNeighbors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkStructuredAMRGridConnectivityCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkAbstractGridConnectivityCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStructuredAMRGridConnectivity:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  Initialize\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeNeighbors\n",nullptr);
    Tcl_AppendResult(interp,"  CreateGhostLayers\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetBalancedRefinement\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBalancedRefinement\n",nullptr);
    Tcl_AppendResult(interp,"  SetNodeCentered\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNodeCentered\n",nullptr);
    Tcl_AppendResult(interp,"  SetCellCentered\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellCentered\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfNeighbors\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractGridConnectivityCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "ComputeNeighbors" );
    Tcl_DStringAppendElement ( &dString, "CreateGhostLayers" );
    Tcl_DStringAppendElement ( &dString, "SetBalancedRefinement" );
    Tcl_DStringAppendElement ( &dString, "GetBalancedRefinement" );
    Tcl_DStringAppendElement ( &dString, "SetNodeCentered" );
    Tcl_DStringAppendElement ( &dString, "GetNodeCentered" );
    Tcl_DStringAppendElement ( &dString, "SetCellCentered" );
    Tcl_DStringAppendElement ( &dString, "GetCellCentered" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNeighbors" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractGridConnectivityCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStructuredAMRGridConnectivity *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStructuredAMRGridConnectivity *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initializes this instance of vtkStructuredAMRGridConnectivity where N\n is the total number of grids in the AMR hierarchy. Optionally, if the\n AMR dataset has a constant refinement, it should be specified during\n initialization as the code optimizes for it. If a -1 or no refinement\n ratio is specified a varying refinement ratio is assumed.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize(const unsigned int NumberOfLevels, const unsigned int N, const int RefinementRatio=-1);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeNeighbors */
    if ( strcmp ( argv[2], "ComputeNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNeighbors */
    Tcl_DStringAppendElement ( &dString, " Computes neighboring information.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeNeighbors() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for ComputeNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateGhostLayers */
    if ( strcmp ( argv[2], "CreateGhostLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateGhostLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateGhostLayers */
    Tcl_DStringAppendElement ( &dString, " Creates ghost layers.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateGhostLayers(const int N=1) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for CreateGhostLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBalancedRefinement */
    if ( strcmp ( argv[2], "SetBalancedRefinement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalancedRefinement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalancedRefinement */
    Tcl_DStringAppendElement ( &dString, " Get/Set macro for BalancedRefinement property, default is true. If the\n refinement is balanced, then, adjacent grids in the AMR hierarchy can\n only differ by one level. By default, a balanced refinement is assumed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBalancedRefinement(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for SetBalancedRefinement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBalancedRefinement */
    if ( strcmp ( argv[2], "GetBalancedRefinement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBalancedRefinement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBalancedRefinement */
    Tcl_DStringAppendElement ( &dString, " Get/Set macro for BalancedRefinement property, default is true. If the\n refinement is balanced, then, adjacent grids in the AMR hierarchy can\n only differ by one level. By default, a balanced refinement is assumed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetBalancedRefinement();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for GetBalancedRefinement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNodeCentered */
    if ( strcmp ( argv[2], "SetNodeCentered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNodeCentered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNodeCentered */
    Tcl_DStringAppendElement ( &dString, " Get/Set macor NodeCentered property which indicates if the data is\n node-centered or cell-centered. By default, node-centered is set to false\n since AMR datasets are primarily cell-centered.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNodeCentered(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for SetNodeCentered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNodeCentered */
    if ( strcmp ( argv[2], "GetNodeCentered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeCentered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeCentered */
    Tcl_DStringAppendElement ( &dString, " Get/Set macor NodeCentered property which indicates if the data is\n node-centered or cell-centered. By default, node-centered is set to false\n since AMR datasets are primarily cell-centered.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetNodeCentered();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for GetNodeCentered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCellCentered */
    if ( strcmp ( argv[2], "SetCellCentered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellCentered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellCentered */
    Tcl_DStringAppendElement ( &dString, " Get/Set CellCentered property which indicates if the data is cell-centered\n By default, cell-centered is set to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellCentered(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for SetCellCentered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellCentered */
    if ( strcmp ( argv[2], "GetCellCentered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellCentered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellCentered */
    Tcl_DStringAppendElement ( &dString, " Get/Set CellCentered property which indicates if the data is cell-centered\n By default, cell-centered is set to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCellCentered();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for GetCellCentered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfNeighbors */
    if ( strcmp ( argv[2], "GetNumberOfNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNeighbors */
    Tcl_DStringAppendElement ( &dString, " Returns the number of neighbors for the grid corresponding to the given\n grid ID.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNeighbors(const int gridID);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredAMRGridConnectivity" );
    /* Closing for GetNumberOfNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkAbstractGridConnectivityCppCommand(static_cast<vtkAbstractGridConnectivity *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
