// tcl wrapper for vtkAdaptiveSubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAdaptiveSubdivisionFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkAdaptiveSubdivisionFilterNewCommand()
{
  vtkAdaptiveSubdivisionFilter *temp = vtkAdaptiveSubdivisionFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAdaptiveSubdivisionFilterCppCommand(vtkAdaptiveSubdivisionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAdaptiveSubdivisionFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkAdaptiveSubdivisionFilterCppCommand(static_cast<vtkAdaptiveSubdivisionFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAdaptiveSubdivisionFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkAdaptiveSubdivisionFilter"),vtkAdaptiveSubdivisionFilterNewCommand,vtkAdaptiveSubdivisionFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkAdaptiveSubdivisionFilterCppCommand(vtkAdaptiveSubdivisionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkAdaptiveSubdivisionFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkAdaptiveSubdivisionFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAdaptiveSubdivisionFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkAdaptiveSubdivisionFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAdaptiveSubdivisionFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkAdaptiveSubdivisionFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAdaptiveSubdivisionFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumEdgeLength",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMaximumEdgeLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumEdgeLengthMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMaximumEdgeLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumEdgeLengthMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMaximumEdgeLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumEdgeLength",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMaximumEdgeLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumTriangleArea",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMaximumTriangleArea(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumTriangleAreaMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMaximumTriangleAreaMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumTriangleAreaMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMaximumTriangleAreaMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumTriangleArea",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMaximumTriangleArea();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumNumberOfTriangles",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumNumberOfTriangles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumNumberOfTrianglesMinValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfTrianglesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfTrianglesMaxValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfTrianglesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfTriangles",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfTriangles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumNumberOfPasses",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumNumberOfPasses(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumNumberOfPassesMinValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPassesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfPassesMaxValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPassesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfPasses",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPasses();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
  {
    vtkIncrementalPointLocator  *temp0;
    error = 0;

    temp0 = (vtkIncrementalPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIncrementalPointLocator"),interp,error));
    if (!error)
  {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
  {
    vtkIncrementalPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalPointLocator");
    return TCL_OK;
  }
  if ((!strcmp("SetOutputPointsPrecision",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOutputPointsPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputPointsPrecision",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPointsPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
  {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkAdaptiveSubdivisionFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAdaptiveSubdivisionFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumEdgeLength\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumEdgeLengthMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumEdgeLengthMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumEdgeLength\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumTriangleArea\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumTriangleAreaMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumTriangleAreaMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumTriangleArea\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfTriangles\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfTrianglesMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfTrianglesMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfTriangles\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPasses\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPassesMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPassesMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPasses\n",nullptr);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLocator\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputPointsPrecision\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPointsPrecision\n",nullptr);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumEdgeLength" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumEdgeLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumEdgeLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumEdgeLength" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumTriangleArea" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTriangleAreaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTriangleAreaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTriangleArea" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfTriangles" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfTrianglesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfTrianglesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfTriangles" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPasses" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPassesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPassesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPasses" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, type info, and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAdaptiveSubdivisionFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, type info, and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, type info, and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, type info, and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAdaptiveSubdivisionFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, type info, and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumEdgeLength */
    if ( strcmp ( argv[2], "SetMaximumEdgeLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumEdgeLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumEdgeLength */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum edge length that a triangle may have. Edges longer\n than this value are split in half and the associated triangles are\n modified accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumEdgeLength(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for SetMaximumEdgeLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumEdgeLengthMinValue */
    if ( strcmp ( argv[2], "GetMaximumEdgeLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumEdgeLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumEdgeLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum edge length that a triangle may have. Edges longer\n than this value are split in half and the associated triangles are\n modified accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaximumEdgeLengthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumEdgeLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumEdgeLengthMaxValue */
    if ( strcmp ( argv[2], "GetMaximumEdgeLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumEdgeLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumEdgeLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum edge length that a triangle may have. Edges longer\n than this value are split in half and the associated triangles are\n modified accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaximumEdgeLengthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumEdgeLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumEdgeLength */
    if ( strcmp ( argv[2], "GetMaximumEdgeLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumEdgeLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumEdgeLength */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum edge length that a triangle may have. Edges longer\n than this value are split in half and the associated triangles are\n modified accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaximumEdgeLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumEdgeLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumTriangleArea */
    if ( strcmp ( argv[2], "SetMaximumTriangleArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumTriangleArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumTriangleArea */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum area that a triangle may have. Triangles larger\n than this value are subdivided to meet this threshold. Note that if\n this criterion is used it may produce non-watertight meshes as a\n result.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumTriangleArea(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for SetMaximumTriangleArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumTriangleAreaMinValue */
    if ( strcmp ( argv[2], "GetMaximumTriangleAreaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTriangleAreaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumTriangleAreaMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum area that a triangle may have. Triangles larger\n than this value are subdivided to meet this threshold. Note that if\n this criterion is used it may produce non-watertight meshes as a\n result.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaximumTriangleAreaMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumTriangleAreaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumTriangleAreaMaxValue */
    if ( strcmp ( argv[2], "GetMaximumTriangleAreaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTriangleAreaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumTriangleAreaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum area that a triangle may have. Triangles larger\n than this value are subdivided to meet this threshold. Note that if\n this criterion is used it may produce non-watertight meshes as a\n result.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaximumTriangleAreaMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumTriangleAreaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumTriangleArea */
    if ( strcmp ( argv[2], "GetMaximumTriangleArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumTriangleArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumTriangleArea */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum area that a triangle may have. Triangles larger\n than this value are subdivided to meet this threshold. Note that if\n this criterion is used it may produce non-watertight meshes as a\n result.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaximumTriangleArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumTriangleArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumNumberOfTriangles */
    if ( strcmp ( argv[2], "SetMaximumNumberOfTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfTriangles */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of triangles that can be created.  If\n the limit is hit, it may result in premature termination of the\n algorithm and the results may be less than satisfactory (for example\n non-watertight meshes may be created). By default, the limit is set to a\n very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfTriangles(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for SetMaximumNumberOfTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfTrianglesMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfTrianglesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfTrianglesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfTrianglesMinValue */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of triangles that can be created.  If\n the limit is hit, it may result in premature termination of the\n algorithm and the results may be less than satisfactory (for example\n non-watertight meshes may be created). By default, the limit is set to a\n very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfTrianglesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumNumberOfTrianglesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfTrianglesMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfTrianglesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfTrianglesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfTrianglesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of triangles that can be created.  If\n the limit is hit, it may result in premature termination of the\n algorithm and the results may be less than satisfactory (for example\n non-watertight meshes may be created). By default, the limit is set to a\n very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfTrianglesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumNumberOfTrianglesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfTriangles */
    if ( strcmp ( argv[2], "GetMaximumNumberOfTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfTriangles */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of triangles that can be created.  If\n the limit is hit, it may result in premature termination of the\n algorithm and the results may be less than satisfactory (for example\n non-watertight meshes may be created). By default, the limit is set to a\n very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfTriangles();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumNumberOfTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumNumberOfPasses */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPasses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPasses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPasses */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the number of passes (i.e., levels of subdivision).  If\n the limit is hit, then the subdivision process stops and additional\n passes (needed to meet other criteria) are aborted. The default limit is\n set to a very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfPasses(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for SetMaximumNumberOfPasses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfPassesMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPassesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPassesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPassesMinValue */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the number of passes (i.e., levels of subdivision).  If\n the limit is hit, then the subdivision process stops and additional\n passes (needed to meet other criteria) are aborted. The default limit is\n set to a very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfPassesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumNumberOfPassesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfPassesMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPassesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPassesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPassesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the number of passes (i.e., levels of subdivision).  If\n the limit is hit, then the subdivision process stops and additional\n passes (needed to meet other criteria) are aborted. The default limit is\n set to a very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfPassesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumNumberOfPassesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfPasses */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPasses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPasses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPasses */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the number of passes (i.e., levels of subdivision).  If\n the limit is hit, then the subdivision process stops and additional\n passes (needed to meet other criteria) are aborted. The default limit is\n set to a very large number (i.e., no effective limit).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfPasses();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMaximumNumberOfPasses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By default,\n an instance of vtkMergePoints is used. This is used to merge\n coincident points during subdivision.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator(vtkIncrementalPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By default,\n an instance of vtkMergePoints is used. This is used to merge\n coincident points during subdivision.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIncrementalPointLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputPointsPrecision */
    if ( strcmp ( argv[2], "SetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::Precision enum for an explanation of the available\n precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputPointsPrecision(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for SetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPointsPrecision */
    if ( strcmp ( argv[2], "GetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::Precision enum for an explanation of the available\n precision settings.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPointsPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create a default locator. Used to create one when none is\n specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Modified GetMTime because of the dependence on the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAdaptiveSubdivisionFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
