// tcl wrapper for vtkAngularPeriodicFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAngularPeriodicFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkAngularPeriodicFilterNewCommand()
{
  vtkAngularPeriodicFilter *temp = vtkAngularPeriodicFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPeriodicFilterCppCommand(vtkPeriodicFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAngularPeriodicFilterCppCommand(vtkAngularPeriodicFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAngularPeriodicFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkAngularPeriodicFilterCppCommand(static_cast<vtkAngularPeriodicFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAngularPeriodicFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkAngularPeriodicFilter"),vtkAngularPeriodicFilterNewCommand,vtkAngularPeriodicFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkAngularPeriodicFilterCppCommand(vtkAngularPeriodicFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkAngularPeriodicFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPeriodicFilterCppCommand(static_cast<vtkPeriodicFilter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPeriodicFilter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkAngularPeriodicFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAngularPeriodicFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkAngularPeriodicFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAngularPeriodicFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkAngularPeriodicFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAngularPeriodicFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetComputeRotationsOnTheFly",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeRotationsOnTheFly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeRotationsOnTheFly",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeRotationsOnTheFly();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeRotationsOnTheFlyOn",argv[1]))&&(argc == 2))
  {
    op->ComputeRotationsOnTheFlyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeRotationsOnTheFlyOff",argv[1]))&&(argc == 2))
  {
    op->ComputeRotationsOnTheFlyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetRotationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRotationModeMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRotationModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRotationModeMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRotationModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRotationMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRotationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationModeToDirectAngle",argv[1]))&&(argc == 2))
  {
    op->SetRotationModeToDirectAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationModeToArrayValue",argv[1]))&&(argc == 2))
  {
    op->SetRotationModeToArrayValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationAngle",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetRotationAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRotationAngle",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRotationAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetRotationArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRotationArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetRotationArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetRotationAxis",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetRotationAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRotationAxisMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRotationAxisMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRotationAxisMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRotationAxisMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRotationAxis",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRotationAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationAxisToX",argv[1]))&&(argc == 2))
  {
    op->SetRotationAxisToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationAxisToY",argv[1]))&&(argc == 2))
  {
    op->SetRotationAxisToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRotationAxisToZ",argv[1]))&&(argc == 2))
  {
    op->SetRotationAxisToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetCenter(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetCenter();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkAngularPeriodicFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPeriodicFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAngularPeriodicFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeRotationsOnTheFly\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeRotationsOnTheFly\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeRotationsOnTheFlyOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeRotationsOnTheFlyOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationModeMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationModeMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationModeToDirectAngle\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationModeToArrayValue\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationAngle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationAngle\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationAxis\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationAxisMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationAxisMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRotationAxis\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationAxisToX\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationAxisToY\n",nullptr);
    Tcl_AppendResult(interp,"  SetRotationAxisToZ\n",nullptr);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetCenter\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPeriodicFilterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetComputeRotationsOnTheFly" );
    Tcl_DStringAppendElement ( &dString, "GetComputeRotationsOnTheFly" );
    Tcl_DStringAppendElement ( &dString, "ComputeRotationsOnTheFlyOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeRotationsOnTheFlyOff" );
    Tcl_DStringAppendElement ( &dString, "SetRotationMode" );
    Tcl_DStringAppendElement ( &dString, "GetRotationModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRotationModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRotationMode" );
    Tcl_DStringAppendElement ( &dString, "SetRotationModeToDirectAngle" );
    Tcl_DStringAppendElement ( &dString, "SetRotationModeToArrayValue" );
    Tcl_DStringAppendElement ( &dString, "SetRotationAngle" );
    Tcl_DStringAppendElement ( &dString, "GetRotationAngle" );
    Tcl_DStringAppendElement ( &dString, "SetRotationArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetRotationArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxis" );
    Tcl_DStringAppendElement ( &dString, "GetRotationAxisMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRotationAxisMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRotationAxis" );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxisToX" );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxisToY" );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxisToZ" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPeriodicFilterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAngularPeriodicFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAngularPeriodicFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeRotationsOnTheFly */
    if ( strcmp ( argv[2], "SetComputeRotationsOnTheFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeRotationsOnTheFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeRotationsOnTheFly */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the rotated array values should be computed\n on-the-fly (default), which is compute-intensive, or the arrays should be\n explicitly generated and stored, at the cost of using more memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeRotationsOnTheFly(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetComputeRotationsOnTheFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeRotationsOnTheFly */
    if ( strcmp ( argv[2], "GetComputeRotationsOnTheFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeRotationsOnTheFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeRotationsOnTheFly */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the rotated array values should be computed\n on-the-fly (default), which is compute-intensive, or the arrays should be\n explicitly generated and stored, at the cost of using more memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeRotationsOnTheFly();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetComputeRotationsOnTheFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeRotationsOnTheFlyOn */
    if ( strcmp ( argv[2], "ComputeRotationsOnTheFlyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeRotationsOnTheFlyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeRotationsOnTheFlyOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the rotated array values should be computed\n on-the-fly (default), which is compute-intensive, or the arrays should be\n explicitly generated and stored, at the cost of using more memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeRotationsOnTheFlyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for ComputeRotationsOnTheFlyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeRotationsOnTheFlyOff */
    if ( strcmp ( argv[2], "ComputeRotationsOnTheFlyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeRotationsOnTheFlyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeRotationsOnTheFlyOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the rotated array values should be computed\n on-the-fly (default), which is compute-intensive, or the arrays should be\n explicitly generated and stored, at the cost of using more memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeRotationsOnTheFlyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for ComputeRotationsOnTheFlyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationMode */
    if ( strcmp ( argv[2], "SetRotationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get The rotation mode.\n VTK_ROTATION_MODE_DIRECT_ANGLE to specifiy a angle value (default),\n VTK_ROTATION_MODE_ARRAY_VALUE to use value from an array in the input dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRotationMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationModeMinValue */
    if ( strcmp ( argv[2], "GetRotationModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get The rotation mode.\n VTK_ROTATION_MODE_DIRECT_ANGLE to specifiy a angle value (default),\n VTK_ROTATION_MODE_ARRAY_VALUE to use value from an array in the input dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRotationModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationModeMaxValue */
    if ( strcmp ( argv[2], "GetRotationModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get The rotation mode.\n VTK_ROTATION_MODE_DIRECT_ANGLE to specifiy a angle value (default),\n VTK_ROTATION_MODE_ARRAY_VALUE to use value from an array in the input dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRotationModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationMode */
    if ( strcmp ( argv[2], "GetRotationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get The rotation mode.\n VTK_ROTATION_MODE_DIRECT_ANGLE to specifiy a angle value (default),\n VTK_ROTATION_MODE_ARRAY_VALUE to use value from an array in the input dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRotationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationModeToDirectAngle */
    if ( strcmp ( argv[2], "SetRotationModeToDirectAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationModeToDirectAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationModeToDirectAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get The rotation mode.\n VTK_ROTATION_MODE_DIRECT_ANGLE to specifiy a angle value (default),\n VTK_ROTATION_MODE_ARRAY_VALUE to use value from an array in the input dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationModeToDirectAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationModeToDirectAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationModeToArrayValue */
    if ( strcmp ( argv[2], "SetRotationModeToArrayValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationModeToArrayValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationModeToArrayValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get The rotation mode.\n VTK_ROTATION_MODE_DIRECT_ANGLE to specifiy a angle value (default),\n VTK_ROTATION_MODE_ARRAY_VALUE to use value from an array in the input dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationModeToArrayValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationModeToArrayValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationAngle */
    if ( strcmp ( argv[2], "SetRotationAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation angle, in degrees.\n Used only with VTK_ROTATION_MODE_DIRECT_ANGLE.\n Default is 180.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRotationAngle(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationAngle */
    if ( strcmp ( argv[2], "GetRotationAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation angle, in degrees.\n Used only with VTK_ROTATION_MODE_DIRECT_ANGLE.\n Default is 180.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRotationAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationArrayName */
    if ( strcmp ( argv[2], "SetRotationArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get Name of array to get the angle from.\n Used only with VTK_ROTATION_MODE_ARRAY_VALUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRotationArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationArrayName */
    if ( strcmp ( argv[2], "GetRotationArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get Name of array to get the angle from.\n Used only with VTK_ROTATION_MODE_ARRAY_VALUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetRotationArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationAxis */
    if ( strcmp ( argv[2], "SetRotationAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationAxis */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation Axis, 0 for X, 1 for Y, 2 for Z\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRotationAxis(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationAxisMinValue */
    if ( strcmp ( argv[2], "GetRotationAxisMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationAxisMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationAxisMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation Axis, 0 for X, 1 for Y, 2 for Z\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRotationAxisMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationAxisMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationAxisMaxValue */
    if ( strcmp ( argv[2], "GetRotationAxisMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationAxisMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationAxisMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation Axis, 0 for X, 1 for Y, 2 for Z\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRotationAxisMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationAxisMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRotationAxis */
    if ( strcmp ( argv[2], "GetRotationAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationAxis */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation Axis, 0 for X, 1 for Y, 2 for Z\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRotationAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetRotationAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationAxisToX */
    if ( strcmp ( argv[2], "SetRotationAxisToX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxisToX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationAxisToX */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation Axis, 0 for X, 1 for Y, 2 for Z\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationAxisToX();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationAxisToX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationAxisToY */
    if ( strcmp ( argv[2], "SetRotationAxisToY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxisToY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationAxisToY */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation Axis, 0 for X, 1 for Y, 2 for Z\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationAxisToY();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationAxisToY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRotationAxisToZ */
    if ( strcmp ( argv[2], "SetRotationAxisToZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationAxisToZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationAxisToZ */
    Tcl_DStringAppendElement ( &dString, " Set/Get Rotation Axis, 0 for X, 1 for Y, 2 for Z\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationAxisToZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetRotationAxisToZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngularPeriodicFilter" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPeriodicFilterCppCommand(static_cast<vtkPeriodicFilter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
