// tcl wrapper for vtkPUnstructuredGridGhostCellsGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPUnstructuredGridGhostCellsGenerator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPUnstructuredGridGhostCellsGeneratorNewCommand()
{
  vtkPUnstructuredGridGhostCellsGenerator *temp = vtkPUnstructuredGridGhostCellsGenerator::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPUnstructuredGridGhostCellsGeneratorCppCommand(vtkPUnstructuredGridGhostCellsGenerator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPUnstructuredGridGhostCellsGeneratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPUnstructuredGridGhostCellsGeneratorCppCommand(static_cast<vtkPUnstructuredGridGhostCellsGenerator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPUnstructuredGridGhostCellsGenerator_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPUnstructuredGridGhostCellsGenerator"),vtkPUnstructuredGridGhostCellsGeneratorNewCommand,vtkPUnstructuredGridGhostCellsGeneratorCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPUnstructuredGridGhostCellsGeneratorCppCommand(vtkPUnstructuredGridGhostCellsGenerator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPUnstructuredGridGhostCellsGenerator",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPUnstructuredGridGhostCellsGenerator  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPUnstructuredGridGhostCellsGenerator");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPUnstructuredGridGhostCellsGenerator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPUnstructuredGridGhostCellsGenerator");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPUnstructuredGridGhostCellsGenerator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPUnstructuredGridGhostCellsGenerator");
    return TCL_OK;
  }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
  {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
  {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
  {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
  }
  if ((!strcmp("SetUseGlobalPointIds",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseGlobalPointIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseGlobalPointIds",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseGlobalPointIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseGlobalPointIdsOn",argv[1]))&&(argc == 2))
  {
    op->UseGlobalPointIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseGlobalPointIdsOff",argv[1]))&&(argc == 2))
  {
    op->UseGlobalPointIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetGlobalPointIdsArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetGlobalPointIdsArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGlobalPointIdsArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetGlobalPointIdsArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetHasGlobalCellIds",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetHasGlobalCellIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHasGlobalCellIds",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetHasGlobalCellIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("HasGlobalCellIdsOn",argv[1]))&&(argc == 2))
  {
    op->HasGlobalCellIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("HasGlobalCellIdsOff",argv[1]))&&(argc == 2))
  {
    op->HasGlobalCellIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetGlobalCellIdsArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetGlobalCellIdsArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGlobalCellIdsArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetGlobalCellIdsArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetBuildIfRequired",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetBuildIfRequired(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBuildIfRequired",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetBuildIfRequired();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("BuildIfRequiredOn",argv[1]))&&(argc == 2))
  {
    op->BuildIfRequiredOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("BuildIfRequiredOff",argv[1]))&&(argc == 2))
  {
    op->BuildIfRequiredOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMinimumNumberOfGhostLevels",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMinimumNumberOfGhostLevels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinimumNumberOfGhostLevelsMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMinimumNumberOfGhostLevelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMinimumNumberOfGhostLevelsMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMinimumNumberOfGhostLevelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMinimumNumberOfGhostLevels",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMinimumNumberOfGhostLevels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPUnstructuredGridGhostCellsGeneratorCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPUnstructuredGridGhostCellsGenerator:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetController\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseGlobalPointIds\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseGlobalPointIds\n",nullptr);
    Tcl_AppendResult(interp,"  UseGlobalPointIdsOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseGlobalPointIdsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetGlobalPointIdsArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGlobalPointIdsArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetHasGlobalCellIds\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHasGlobalCellIds\n",nullptr);
    Tcl_AppendResult(interp,"  HasGlobalCellIdsOn\n",nullptr);
    Tcl_AppendResult(interp,"  HasGlobalCellIdsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetGlobalCellIdsArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGlobalCellIdsArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetBuildIfRequired\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBuildIfRequired\n",nullptr);
    Tcl_AppendResult(interp,"  BuildIfRequiredOn\n",nullptr);
    Tcl_AppendResult(interp,"  BuildIfRequiredOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinimumNumberOfGhostLevels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumNumberOfGhostLevelsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumNumberOfGhostLevelsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumNumberOfGhostLevels\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetUseGlobalPointIds" );
    Tcl_DStringAppendElement ( &dString, "GetUseGlobalPointIds" );
    Tcl_DStringAppendElement ( &dString, "UseGlobalPointIdsOn" );
    Tcl_DStringAppendElement ( &dString, "UseGlobalPointIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalPointIdsArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalPointIdsArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetHasGlobalCellIds" );
    Tcl_DStringAppendElement ( &dString, "GetHasGlobalCellIds" );
    Tcl_DStringAppendElement ( &dString, "HasGlobalCellIdsOn" );
    Tcl_DStringAppendElement ( &dString, "HasGlobalCellIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalCellIdsArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalCellIdsArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetBuildIfRequired" );
    Tcl_DStringAppendElement ( &dString, "GetBuildIfRequired" );
    Tcl_DStringAppendElement ( &dString, "BuildIfRequiredOn" );
    Tcl_DStringAppendElement ( &dString, "BuildIfRequiredOff" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumNumberOfGhostLevels" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfGhostLevelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfGhostLevelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfGhostLevels" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPUnstructuredGridGhostCellsGenerator *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPUnstructuredGridGhostCellsGenerator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the MPI multi process controller object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetController(vtkMultiProcessController *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the MPI multi process controller object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseGlobalPointIds */
    if ( strcmp ( argv[2], "SetUseGlobalPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseGlobalPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseGlobalPointIds */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must take benefit of global point ids if they exist.\n If false, point coordinates are used. Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseGlobalPointIds(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SetUseGlobalPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseGlobalPointIds */
    if ( strcmp ( argv[2], "GetUseGlobalPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseGlobalPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseGlobalPointIds */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must take benefit of global point ids if they exist.\n If false, point coordinates are used. Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseGlobalPointIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetUseGlobalPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseGlobalPointIdsOn */
    if ( strcmp ( argv[2], "UseGlobalPointIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseGlobalPointIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseGlobalPointIdsOn */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must take benefit of global point ids if they exist.\n If false, point coordinates are used. Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseGlobalPointIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for UseGlobalPointIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseGlobalPointIdsOff */
    if ( strcmp ( argv[2], "UseGlobalPointIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseGlobalPointIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseGlobalPointIdsOff */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must take benefit of global point ids if they exist.\n If false, point coordinates are used. Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseGlobalPointIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for UseGlobalPointIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGlobalPointIdsArrayName */
    if ( strcmp ( argv[2], "SetGlobalPointIdsArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalPointIdsArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalPointIdsArrayName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the global point ids data array if the GlobalIds\n attribute array is not set. Default is \"GlobalNodeIds\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGlobalPointIdsArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SetGlobalPointIdsArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGlobalPointIdsArrayName */
    if ( strcmp ( argv[2], "GetGlobalPointIdsArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalPointIdsArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalPointIdsArrayName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the global point ids data array if the GlobalIds\n attribute array is not set. Default is \"GlobalNodeIds\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetGlobalPointIdsArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetGlobalPointIdsArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetHasGlobalCellIds */
    if ( strcmp ( argv[2], "SetHasGlobalCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHasGlobalCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHasGlobalCellIds */
    Tcl_DStringAppendElement ( &dString, " Specify if the data has global cell ids.\n If more than one layer of ghost cells is needed, global cell ids are\n necessary. If global cell ids are not provided, they will be computed\n internally.\n If false, global cell ids will be computed, then deleted afterwards.\n Default is FALSE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHasGlobalCellIds(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SetHasGlobalCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHasGlobalCellIds */
    if ( strcmp ( argv[2], "GetHasGlobalCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHasGlobalCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHasGlobalCellIds */
    Tcl_DStringAppendElement ( &dString, " Specify if the data has global cell ids.\n If more than one layer of ghost cells is needed, global cell ids are\n necessary. If global cell ids are not provided, they will be computed\n internally.\n If false, global cell ids will be computed, then deleted afterwards.\n Default is FALSE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetHasGlobalCellIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetHasGlobalCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HasGlobalCellIdsOn */
    if ( strcmp ( argv[2], "HasGlobalCellIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasGlobalCellIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasGlobalCellIdsOn */
    Tcl_DStringAppendElement ( &dString, " Specify if the data has global cell ids.\n If more than one layer of ghost cells is needed, global cell ids are\n necessary. If global cell ids are not provided, they will be computed\n internally.\n If false, global cell ids will be computed, then deleted afterwards.\n Default is FALSE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HasGlobalCellIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for HasGlobalCellIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HasGlobalCellIdsOff */
    if ( strcmp ( argv[2], "HasGlobalCellIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasGlobalCellIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasGlobalCellIdsOff */
    Tcl_DStringAppendElement ( &dString, " Specify if the data has global cell ids.\n If more than one layer of ghost cells is needed, global cell ids are\n necessary. If global cell ids are not provided, they will be computed\n internally.\n If false, global cell ids will be computed, then deleted afterwards.\n Default is FALSE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HasGlobalCellIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for HasGlobalCellIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGlobalCellIdsArrayName */
    if ( strcmp ( argv[2], "SetGlobalCellIdsArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalCellIdsArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalCellIdsArrayName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the global cell ids data array if the GlobalIds\n attribute array is not set. Default is \"GlobalNodeIds\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGlobalCellIdsArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SetGlobalCellIdsArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGlobalCellIdsArrayName */
    if ( strcmp ( argv[2], "GetGlobalCellIdsArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalCellIdsArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalCellIdsArrayName */
    Tcl_DStringAppendElement ( &dString, " Specify the name of the global cell ids data array if the GlobalIds\n attribute array is not set. Default is \"GlobalNodeIds\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetGlobalCellIdsArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetGlobalCellIdsArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBuildIfRequired */
    if ( strcmp ( argv[2], "SetBuildIfRequired" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBuildIfRequired" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBuildIfRequired */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must generate the ghost cells only if required by\n the pipeline.\n If false, ghost cells are computed even if they are not required.\n Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBuildIfRequired(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SetBuildIfRequired */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBuildIfRequired */
    if ( strcmp ( argv[2], "GetBuildIfRequired" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBuildIfRequired" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBuildIfRequired */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must generate the ghost cells only if required by\n the pipeline.\n If false, ghost cells are computed even if they are not required.\n Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetBuildIfRequired();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetBuildIfRequired */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildIfRequiredOn */
    if ( strcmp ( argv[2], "BuildIfRequiredOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildIfRequiredOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildIfRequiredOn */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must generate the ghost cells only if required by\n the pipeline.\n If false, ghost cells are computed even if they are not required.\n Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildIfRequiredOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for BuildIfRequiredOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildIfRequiredOff */
    if ( strcmp ( argv[2], "BuildIfRequiredOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildIfRequiredOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildIfRequiredOff */
    Tcl_DStringAppendElement ( &dString, " Specify if the filter must generate the ghost cells only if required by\n the pipeline.\n If false, ghost cells are computed even if they are not required.\n Default is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildIfRequiredOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for BuildIfRequiredOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinimumNumberOfGhostLevels */
    if ( strcmp ( argv[2], "SetMinimumNumberOfGhostLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumNumberOfGhostLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumNumberOfGhostLevels */
    Tcl_DStringAppendElement ( &dString, " When BuildIfRequired is `false`, this can be used to set the minimum number\n of ghost levels to generate. Note, if the downstream pipeline requests more\n ghost levels than the number specified here, then the filter will generate\n those extra ghost levels as needed. Accepted values are in the interval\n \\[1, VTK_INT_MAX\\].\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinimumNumberOfGhostLevels(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for SetMinimumNumberOfGhostLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumNumberOfGhostLevelsMinValue */
    if ( strcmp ( argv[2], "GetMinimumNumberOfGhostLevelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfGhostLevelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumNumberOfGhostLevelsMinValue */
    Tcl_DStringAppendElement ( &dString, " When BuildIfRequired is `false`, this can be used to set the minimum number\n of ghost levels to generate. Note, if the downstream pipeline requests more\n ghost levels than the number specified here, then the filter will generate\n those extra ghost levels as needed. Accepted values are in the interval\n \\[1, VTK_INT_MAX\\].\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMinimumNumberOfGhostLevelsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetMinimumNumberOfGhostLevelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumNumberOfGhostLevelsMaxValue */
    if ( strcmp ( argv[2], "GetMinimumNumberOfGhostLevelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfGhostLevelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumNumberOfGhostLevelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " When BuildIfRequired is `false`, this can be used to set the minimum number\n of ghost levels to generate. Note, if the downstream pipeline requests more\n ghost levels than the number specified here, then the filter will generate\n those extra ghost levels as needed. Accepted values are in the interval\n \\[1, VTK_INT_MAX\\].\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMinimumNumberOfGhostLevelsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetMinimumNumberOfGhostLevelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumNumberOfGhostLevels */
    if ( strcmp ( argv[2], "GetMinimumNumberOfGhostLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfGhostLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumNumberOfGhostLevels */
    Tcl_DStringAppendElement ( &dString, " When BuildIfRequired is `false`, this can be used to set the minimum number\n of ghost levels to generate. Note, if the downstream pipeline requests more\n ghost levels than the number specified here, then the filter will generate\n those extra ghost levels as needed. Accepted values are in the interval\n \\[1, VTK_INT_MAX\\].\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMinimumNumberOfGhostLevels();" );
    Tcl_DStringAppendElement ( &dString, "vtkPUnstructuredGridGhostCellsGenerator" );
    /* Closing for GetMinimumNumberOfGhostLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
