#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkDistributedDataFilter_TclCreate(Tcl_Interp *interp);
int vtkPExtractGrid_TclCreate(Tcl_Interp *interp);
int vtkPExtractRectilinearGrid_TclCreate(Tcl_Interp *interp);
int vtkPExtractVOI_TclCreate(Tcl_Interp *interp);
int vtkStructuredImplicitConnectivity_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfiltersparallelmpitcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfiltersparallelmpitcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfiltersparallelmpitcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfiltersparallelmpitcl_Init(interp);
}


int VTK_EXPORT Vtkfiltersparallelmpitcl_Init(Tcl_Interp *interp)
{

  vtkDistributedDataFilter_TclCreate(interp);
  vtkPExtractGrid_TclCreate(interp);
  vtkPExtractRectilinearGrid_TclCreate(interp);
  vtkPExtractVOI_TclCreate(interp);
  vtkStructuredImplicitConnectivity_TclCreate(interp);
  char pkgName[]="vtkFiltersParallelMPITCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
