// tcl wrapper for vtkInterpolationKernel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolationKernel.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInterpolationKernelCppCommand(vtkInterpolationKernel *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkInterpolationKernelCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkInterpolationKernelCppCommand(static_cast<vtkInterpolationKernel *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInterpolationKernel_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkInterpolationKernelCppCommand(vtkInterpolationKernel *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkInterpolationKernel",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkInterpolationKernel  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInterpolationKernel");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkInterpolationKernel  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInterpolationKernel");
    return TCL_OK;
  }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 5))
  {
    vtkAbstractPointLocator  *temp0;
    vtkDataSet  *temp1;
    vtkPointData  *temp2;
    error = 0;

    temp0 = (vtkAbstractPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractPointLocator"),interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    temp2 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
  {
    op->Initialize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRequiresInitialization",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetRequiresInitialization(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRequiresInitialization",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetRequiresInitialization();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("RequiresInitializationOn",argv[1]))&&(argc == 2))
  {
    op->RequiresInitializationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RequiresInitializationOff",argv[1]))&&(argc == 2))
  {
    op->RequiresInitializationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkInterpolationKernelCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInterpolationKernel:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  Initialize\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetRequiresInitialization\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRequiresInitialization\n",nullptr);
    Tcl_AppendResult(interp,"  RequiresInitializationOn\n",nullptr);
    Tcl_AppendResult(interp,"  RequiresInitializationOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "SetRequiresInitialization" );
    Tcl_DStringAppendElement ( &dString, "GetRequiresInitialization" );
    Tcl_DStringAppendElement ( &dString, "RequiresInitializationOn" );
    Tcl_DStringAppendElement ( &dString, "RequiresInitializationOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard method for type and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard method for type and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard method for type and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInterpolationKernel *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard method for type and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the kernel. Pass information into the kernel that is\n necessary to subsequently perform evaluation. The locator refers to the\n points that are to be interpolated from; these points (ds) and the\n associated point data (pd) are provided as well. Note that some kernels\n may require manual setup / initialization, in which case set\n RequiresInitialization to false, do not call Initialize(), and of course\n manually initialize the kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize(vtkAbstractPointLocator *loc, vtkDataSet *ds, vtkPointData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRequiresInitialization */
    if ( strcmp ( argv[2], "SetRequiresInitialization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequiresInitialization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequiresInitialization */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the kernel needs initialization. By default this data\n member is true, and using classes will invoke Initialize() on the\n kernel. However, if the user takes over initialization manually, then\n set RequiresInitialization to false (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRequiresInitialization(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for SetRequiresInitialization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRequiresInitialization */
    if ( strcmp ( argv[2], "GetRequiresInitialization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequiresInitialization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequiresInitialization */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the kernel needs initialization. By default this data\n member is true, and using classes will invoke Initialize() on the\n kernel. However, if the user takes over initialization manually, then\n set RequiresInitialization to false (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetRequiresInitialization();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for GetRequiresInitialization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RequiresInitializationOn */
    if ( strcmp ( argv[2], "RequiresInitializationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequiresInitializationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequiresInitializationOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the kernel needs initialization. By default this data\n member is true, and using classes will invoke Initialize() on the\n kernel. However, if the user takes over initialization manually, then\n set RequiresInitialization to false (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RequiresInitializationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for RequiresInitializationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RequiresInitializationOff */
    if ( strcmp ( argv[2], "RequiresInitializationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequiresInitializationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequiresInitializationOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the kernel needs initialization. By default this data\n member is true, and using classes will invoke Initialize() on the\n kernel. However, if the user takes over initialization manually, then\n set RequiresInitialization to false (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RequiresInitializationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolationKernel" );
    /* Closing for RequiresInitializationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
