// tcl wrapper for vtkPointCloudFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointCloudFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPointCloudFilterCppCommand(vtkPointCloudFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPointCloudFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPointCloudFilterCppCommand(static_cast<vtkPointCloudFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPointCloudFilter_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkPointCloudFilterCppCommand(vtkPointCloudFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPointCloudFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPointCloudFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointCloudFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPointCloudFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointCloudFilter");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfPointsRemoved",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPointsRemoved();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetGenerateOutliers",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetGenerateOutliers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGenerateOutliers",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetGenerateOutliers();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GenerateOutliersOn",argv[1]))&&(argc == 2))
  {
    op->GenerateOutliersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GenerateOutliersOff",argv[1]))&&(argc == 2))
  {
    op->GenerateOutliersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetGenerateVertices",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetGenerateVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGenerateVertices",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetGenerateVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GenerateVerticesOn",argv[1]))&&(argc == 2))
  {
    op->GenerateVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GenerateVerticesOff",argv[1]))&&(argc == 2))
  {
    op->GenerateVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPointCloudFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPointCloudFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfPointsRemoved\n",nullptr);
    Tcl_AppendResult(interp,"  SetGenerateOutliers\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGenerateOutliers\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateOutliersOn\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateOutliersOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetGenerateVertices\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGenerateVertices\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateVerticesOn\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateVerticesOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsRemoved" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateOutliers" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateOutliers" );
    Tcl_DStringAppendElement ( &dString, "GenerateOutliersOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateOutliersOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertices" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertices" );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods to obtain type information, and print information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods to obtain type information, and print information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods to obtain type information, and print information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPointCloudFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods to obtain type information, and print information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfPointsRemoved */
    if ( strcmp ( argv[2], "GetNumberOfPointsRemoved" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointsRemoved" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointsRemoved */
    Tcl_DStringAppendElement ( &dString, " Return the number of points removed after filter execution. The\n information retuned is valid only after the filter executes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfPointsRemoved();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for GetNumberOfPointsRemoved */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGenerateOutliers */
    if ( strcmp ( argv[2], "SetGenerateOutliers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateOutliers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateOutliers */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then a second output will be created\n that contains the outlier points. By default this is off (false).  Note\n that if enabled, the PointMap is modified as well: the outlier points\n are listed as well, with similar meaning, except their value is negated\n and shifted by -1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateOutliers(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for SetGenerateOutliers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGenerateOutliers */
    if ( strcmp ( argv[2], "GetGenerateOutliers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateOutliers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateOutliers */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then a second output will be created\n that contains the outlier points. By default this is off (false).  Note\n that if enabled, the PointMap is modified as well: the outlier points\n are listed as well, with similar meaning, except their value is negated\n and shifted by -1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGenerateOutliers();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for GetGenerateOutliers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateOutliersOn */
    if ( strcmp ( argv[2], "GenerateOutliersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateOutliersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateOutliersOn */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then a second output will be created\n that contains the outlier points. By default this is off (false).  Note\n that if enabled, the PointMap is modified as well: the outlier points\n are listed as well, with similar meaning, except their value is negated\n and shifted by -1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateOutliersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for GenerateOutliersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateOutliersOff */
    if ( strcmp ( argv[2], "GenerateOutliersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateOutliersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateOutliersOff */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then a second output will be created\n that contains the outlier points. By default this is off (false).  Note\n that if enabled, the PointMap is modified as well: the outlier points\n are listed as well, with similar meaning, except their value is negated\n and shifted by -1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateOutliersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for GenerateOutliersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGenerateVertices */
    if ( strcmp ( argv[2], "SetGenerateVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateVertices */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then the outputs will contain a vertex\n cells (i.e., a vtkPolyVertex for each output). This takes a lot more\n memory but some VTK filters need cells to function properly. By default\n this is off (false).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateVertices(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for SetGenerateVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGenerateVertices */
    if ( strcmp ( argv[2], "GetGenerateVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateVertices */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then the outputs will contain a vertex\n cells (i.e., a vtkPolyVertex for each output). This takes a lot more\n memory but some VTK filters need cells to function properly. By default\n this is off (false).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGenerateVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for GetGenerateVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateVerticesOn */
    if ( strcmp ( argv[2], "GenerateVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVerticesOn */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then the outputs will contain a vertex\n cells (i.e., a vtkPolyVertex for each output). This takes a lot more\n memory but some VTK filters need cells to function properly. By default\n this is off (false).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateVerticesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for GenerateVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateVerticesOff */
    if ( strcmp ( argv[2], "GenerateVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVerticesOff */
    Tcl_DStringAppendElement ( &dString, " If this method is enabled (true), then the outputs will contain a vertex\n cells (i.e., a vtkPolyVertex for each output). This takes a lot more\n memory but some VTK filters need cells to function properly. By default\n this is off (false).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateVerticesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointCloudFilter" );
    /* Closing for GenerateVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
