#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkCompassRepresentation_TclCreate(Tcl_Interp *interp);
int vtkCompassWidget_TclCreate(Tcl_Interp *interp);
int vtkGeoAdaptiveArcs_TclCreate(Tcl_Interp *interp);
int vtkGeoAlignedImageSource_TclCreate(Tcl_Interp *interp);
int vtkGeoArcs_TclCreate(Tcl_Interp *interp);
int vtkGeoAssignCoordinates_TclCreate(Tcl_Interp *interp);
int vtkGeoCamera_TclCreate(Tcl_Interp *interp);
int vtkGeoFileImageSource_TclCreate(Tcl_Interp *interp);
int vtkGeoFileTerrainSource_TclCreate(Tcl_Interp *interp);
int vtkGeoGlobeSource_TclCreate(Tcl_Interp *interp);
int vtkGeoGraticule_TclCreate(Tcl_Interp *interp);
int vtkGeoImageNode_TclCreate(Tcl_Interp *interp);
int vtkGeoInteractorStyle_TclCreate(Tcl_Interp *interp);
int vtkGeoProjection_TclCreate(Tcl_Interp *interp);
int vtkGeoProjectionSource_TclCreate(Tcl_Interp *interp);
int vtkGeoRandomGraphSource_TclCreate(Tcl_Interp *interp);
int vtkGeoSampleArcs_TclCreate(Tcl_Interp *interp);
int vtkGeoSource_TclCreate(Tcl_Interp *interp);
int vtkGeoSphereTransform_TclCreate(Tcl_Interp *interp);
int vtkGeoTerrain_TclCreate(Tcl_Interp *interp);
int vtkGeoTerrain2D_TclCreate(Tcl_Interp *interp);
int vtkGeoTerrainNode_TclCreate(Tcl_Interp *interp);
int vtkGeoTransform_TclCreate(Tcl_Interp *interp);
int vtkGeoTreeNode_TclCreate(Tcl_Interp *interp);
int vtkGeoTreeNodeCache_TclCreate(Tcl_Interp *interp);
int vtkGlobeSource_TclCreate(Tcl_Interp *interp);
int vtkGeoAlignedImageRepresentation_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkgeoviscoretcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkgeoviscoretcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkgeoviscoretcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkgeoviscoretcl_Init(interp);
}


int VTK_EXPORT Vtkgeoviscoretcl_Init(Tcl_Interp *interp)
{

  vtkCompassRepresentation_TclCreate(interp);
  vtkCompassWidget_TclCreate(interp);
  vtkGeoAdaptiveArcs_TclCreate(interp);
  vtkGeoAlignedImageSource_TclCreate(interp);
  vtkGeoArcs_TclCreate(interp);
  vtkGeoAssignCoordinates_TclCreate(interp);
  vtkGeoCamera_TclCreate(interp);
  vtkGeoFileImageSource_TclCreate(interp);
  vtkGeoFileTerrainSource_TclCreate(interp);
  vtkGeoGlobeSource_TclCreate(interp);
  vtkGeoGraticule_TclCreate(interp);
  vtkGeoImageNode_TclCreate(interp);
  vtkGeoInteractorStyle_TclCreate(interp);
  vtkGeoProjection_TclCreate(interp);
  vtkGeoProjectionSource_TclCreate(interp);
  vtkGeoRandomGraphSource_TclCreate(interp);
  vtkGeoSampleArcs_TclCreate(interp);
  vtkGeoSource_TclCreate(interp);
  vtkGeoSphereTransform_TclCreate(interp);
  vtkGeoTerrain_TclCreate(interp);
  vtkGeoTerrain2D_TclCreate(interp);
  vtkGeoTerrainNode_TclCreate(interp);
  vtkGeoTransform_TclCreate(interp);
  vtkGeoTreeNode_TclCreate(interp);
  vtkGeoTreeNodeCache_TclCreate(interp);
  vtkGlobeSource_TclCreate(interp);
  vtkGeoAlignedImageRepresentation_TclCreate(interp);
  char pkgName[]="vtkGeovisCoreTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
