// tcl wrapper for vtkExodusIIWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusIIWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkExodusIIWriterNewCommand()
{
  vtkExodusIIWriter *temp = vtkExodusIIWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkWriterCppCommand(vtkWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExodusIIWriterCppCommand(vtkExodusIIWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkExodusIIWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkExodusIIWriterCppCommand(static_cast<vtkExodusIIWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExodusIIWriter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkExodusIIWriter"),vtkExodusIIWriterNewCommand,vtkExodusIIWriterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkExodusIIWriterCppCommand(vtkExodusIIWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkExodusIIWriter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkWriter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkExodusIIWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusIIWriter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkExodusIIWriter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusIIWriter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkExodusIIWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusIIWriter");
    return TCL_OK;
  }
  if ((!strcmp("SetModelMetadata",argv[1]))&&(argc == 3))
  {
    vtkModelMetadata  *temp0;
    error = 0;

    temp0 = (vtkModelMetadata *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkModelMetadata"),interp,error));
    if (!error)
  {
    op->SetModelMetadata(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetModelMetadata",argv[1]))&&(argc == 2))
  {
    vtkModelMetadata  *temp20;
    temp20 = (op)->GetModelMetadata();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModelMetadata");
    return TCL_OK;
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetStoreDoubles",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetStoreDoubles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStoreDoubles",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetStoreDoubles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetGhostLevel",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetGhostLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGhostLevel",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetGhostLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetWriteOutBlockIdArray",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetWriteOutBlockIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWriteOutBlockIdArray",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetWriteOutBlockIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WriteOutBlockIdArrayOn",argv[1]))&&(argc == 2))
  {
    op->WriteOutBlockIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WriteOutBlockIdArrayOff",argv[1]))&&(argc == 2))
  {
    op->WriteOutBlockIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetWriteOutGlobalNodeIdArray",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetWriteOutGlobalNodeIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWriteOutGlobalNodeIdArray",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetWriteOutGlobalNodeIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WriteOutGlobalNodeIdArrayOn",argv[1]))&&(argc == 2))
  {
    op->WriteOutGlobalNodeIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WriteOutGlobalNodeIdArrayOff",argv[1]))&&(argc == 2))
  {
    op->WriteOutGlobalNodeIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetWriteOutGlobalElementIdArray",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetWriteOutGlobalElementIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWriteOutGlobalElementIdArray",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetWriteOutGlobalElementIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WriteOutGlobalElementIdArrayOn",argv[1]))&&(argc == 2))
  {
    op->WriteOutGlobalElementIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WriteOutGlobalElementIdArrayOff",argv[1]))&&(argc == 2))
  {
    op->WriteOutGlobalElementIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetWriteAllTimeSteps",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetWriteAllTimeSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWriteAllTimeSteps",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetWriteAllTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WriteAllTimeStepsOn",argv[1]))&&(argc == 2))
  {
    op->WriteAllTimeStepsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WriteAllTimeStepsOff",argv[1]))&&(argc == 2))
  {
    op->WriteAllTimeStepsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetBlockIdArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetBlockIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBlockIdArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetBlockIdArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetIgnoreMetaDataWarning",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetIgnoreMetaDataWarning(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIgnoreMetaDataWarning",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetIgnoreMetaDataWarning();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IgnoreMetaDataWarningOn",argv[1]))&&(argc == 2))
  {
    op->IgnoreMetaDataWarningOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("IgnoreMetaDataWarningOff",argv[1]))&&(argc == 2))
  {
    op->IgnoreMetaDataWarningOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkExodusIIWriterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExodusIIWriter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetModelMetadata\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetModelMetadata\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  SetStoreDoubles\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStoreDoubles\n",nullptr);
    Tcl_AppendResult(interp,"  SetGhostLevel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGhostLevel\n",nullptr);
    Tcl_AppendResult(interp,"  SetWriteOutBlockIdArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWriteOutBlockIdArray\n",nullptr);
    Tcl_AppendResult(interp,"  WriteOutBlockIdArrayOn\n",nullptr);
    Tcl_AppendResult(interp,"  WriteOutBlockIdArrayOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetWriteOutGlobalNodeIdArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWriteOutGlobalNodeIdArray\n",nullptr);
    Tcl_AppendResult(interp,"  WriteOutGlobalNodeIdArrayOn\n",nullptr);
    Tcl_AppendResult(interp,"  WriteOutGlobalNodeIdArrayOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetWriteOutGlobalElementIdArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWriteOutGlobalElementIdArray\n",nullptr);
    Tcl_AppendResult(interp,"  WriteOutGlobalElementIdArrayOn\n",nullptr);
    Tcl_AppendResult(interp,"  WriteOutGlobalElementIdArrayOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetWriteAllTimeSteps\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWriteAllTimeSteps\n",nullptr);
    Tcl_AppendResult(interp,"  WriteAllTimeStepsOn\n",nullptr);
    Tcl_AppendResult(interp,"  WriteAllTimeStepsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetBlockIdArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBlockIdArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetIgnoreMetaDataWarning\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIgnoreMetaDataWarning\n",nullptr);
    Tcl_AppendResult(interp,"  IgnoreMetaDataWarningOn\n",nullptr);
    Tcl_AppendResult(interp,"  IgnoreMetaDataWarningOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "GetModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetStoreDoubles" );
    Tcl_DStringAppendElement ( &dString, "GetStoreDoubles" );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "SetWriteOutBlockIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetWriteOutBlockIdArray" );
    Tcl_DStringAppendElement ( &dString, "WriteOutBlockIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "WriteOutBlockIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetWriteOutGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetWriteOutGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalNodeIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalNodeIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetWriteOutGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetWriteOutGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalElementIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalElementIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetWriteAllTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "GetWriteAllTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "WriteAllTimeStepsOn" );
    Tcl_DStringAppendElement ( &dString, "WriteAllTimeStepsOff" );
    Tcl_DStringAppendElement ( &dString, "SetBlockIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetBlockIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreMetaDataWarning" );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreMetaDataWarning" );
    Tcl_DStringAppendElement ( &dString, "IgnoreMetaDataWarningOn" );
    Tcl_DStringAppendElement ( &dString, "IgnoreMetaDataWarningOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExodusIIWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExodusIIWriter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetModelMetadata */
    if ( strcmp ( argv[2], "SetModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelMetadata */
    Tcl_DStringAppendElement ( &dString, " Specify the vtkModelMetadata object which contains the Exodus file\n model information (metadata) absent in the vtkUnstructuredGrid.  If you\n have this object, you don't need to set any other values before writing.\n (Just the FileName and the Input.)\n Note that the vtkExodusReader can create and attach a vtkModelMetadata\n object to it's output.  If this has happened, the ExodusIIWriter will\n find it and use it.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModelMetadata(vtkModelMetadata *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetModelMetadata */
    if ( strcmp ( argv[2], "GetModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModelMetadata */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkModelMetadata *GetModelMetadata();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Name for the output file.  If writing in parallel, the number\n of processes and the process rank will be appended to the name,\n so each process is writing out a separate file.\n If not set, this class will make up a file name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStoreDoubles */
    if ( strcmp ( argv[2], "SetStoreDoubles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStoreDoubles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStoreDoubles */
    Tcl_DStringAppendElement ( &dString, " If StoreDoubles is ON, the floating point fields in the Exodus file\n will be double precision fields.  The default is determined by the\n max precision of the input.  If the field data appears to be doubles,\n then StoreDoubles will be ON, otherwise StoreDoubles will be OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStoreDoubles(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetStoreDoubles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStoreDoubles */
    if ( strcmp ( argv[2], "GetStoreDoubles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStoreDoubles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStoreDoubles */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetStoreDoubles();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetStoreDoubles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGhostLevel */
    if ( strcmp ( argv[2], "SetGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGhostLevel */
    Tcl_DStringAppendElement ( &dString, " We never write out ghost cells.  This variable is here to satisfy\n the behavior of ParaView on invoking a parallel writer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGhostLevel(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGhostLevel */
    if ( strcmp ( argv[2], "GetGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostLevel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGhostLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWriteOutBlockIdArray */
    if ( strcmp ( argv[2], "SetWriteOutBlockIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteOutBlockIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteOutBlockIdArray */
    Tcl_DStringAppendElement ( &dString, " By default, the integer array containing the global Block Ids of the\n cells is not included when the new Exodus II file is written out.  If\n you do want to include this array, set WriteOutBlockIdArray to ON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWriteOutBlockIdArray(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetWriteOutBlockIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWriteOutBlockIdArray */
    if ( strcmp ( argv[2], "GetWriteOutBlockIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteOutBlockIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteOutBlockIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetWriteOutBlockIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetWriteOutBlockIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteOutBlockIdArrayOn */
    if ( strcmp ( argv[2], "WriteOutBlockIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteOutBlockIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteOutBlockIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteOutBlockIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteOutBlockIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteOutBlockIdArrayOff */
    if ( strcmp ( argv[2], "WriteOutBlockIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteOutBlockIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteOutBlockIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteOutBlockIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteOutBlockIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWriteOutGlobalNodeIdArray */
    if ( strcmp ( argv[2], "SetWriteOutGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteOutGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteOutGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, " By default, the integer array containing the global Node Ids\n is not included when the new Exodus II file is written out.  If\n you do want to include this array, set WriteOutGlobalNodeIdArray to ON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWriteOutGlobalNodeIdArray(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetWriteOutGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWriteOutGlobalNodeIdArray */
    if ( strcmp ( argv[2], "GetWriteOutGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteOutGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteOutGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetWriteOutGlobalNodeIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetWriteOutGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteOutGlobalNodeIdArrayOn */
    if ( strcmp ( argv[2], "WriteOutGlobalNodeIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalNodeIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteOutGlobalNodeIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteOutGlobalNodeIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteOutGlobalNodeIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteOutGlobalNodeIdArrayOff */
    if ( strcmp ( argv[2], "WriteOutGlobalNodeIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalNodeIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteOutGlobalNodeIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteOutGlobalNodeIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteOutGlobalNodeIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWriteOutGlobalElementIdArray */
    if ( strcmp ( argv[2], "SetWriteOutGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteOutGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteOutGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, " By default, the integer array containing the global Element Ids\n is not included when the new Exodus II file is written out.  If you\n do want to include this array, set WriteOutGlobalElementIdArray to ON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWriteOutGlobalElementIdArray(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetWriteOutGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWriteOutGlobalElementIdArray */
    if ( strcmp ( argv[2], "GetWriteOutGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteOutGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteOutGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetWriteOutGlobalElementIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetWriteOutGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteOutGlobalElementIdArrayOn */
    if ( strcmp ( argv[2], "WriteOutGlobalElementIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalElementIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteOutGlobalElementIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteOutGlobalElementIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteOutGlobalElementIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteOutGlobalElementIdArrayOff */
    if ( strcmp ( argv[2], "WriteOutGlobalElementIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteOutGlobalElementIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteOutGlobalElementIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteOutGlobalElementIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteOutGlobalElementIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWriteAllTimeSteps */
    if ( strcmp ( argv[2], "SetWriteAllTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteAllTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteAllTimeSteps */
    Tcl_DStringAppendElement ( &dString, " When WriteAllTimeSteps is turned ON, the writer is executed once for\n each timestep available from the reader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWriteAllTimeSteps(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetWriteAllTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWriteAllTimeSteps */
    if ( strcmp ( argv[2], "GetWriteAllTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteAllTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteAllTimeSteps */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetWriteAllTimeSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetWriteAllTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteAllTimeStepsOn */
    if ( strcmp ( argv[2], "WriteAllTimeStepsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteAllTimeStepsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteAllTimeStepsOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteAllTimeStepsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteAllTimeStepsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteAllTimeStepsOff */
    if ( strcmp ( argv[2], "WriteAllTimeStepsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteAllTimeStepsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteAllTimeStepsOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteAllTimeStepsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for WriteAllTimeStepsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBlockIdArrayName */
    if ( strcmp ( argv[2], "SetBlockIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlockIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlockIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBlockIdArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetBlockIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBlockIdArrayName */
    if ( strcmp ( argv[2], "GetBlockIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetBlockIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetBlockIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIgnoreMetaDataWarning */
    if ( strcmp ( argv[2], "SetIgnoreMetaDataWarning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreMetaDataWarning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIgnoreMetaDataWarning */
    Tcl_DStringAppendElement ( &dString, " In certain cases we know that metadata doesn't exist and\n we want to ignore that warning.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIgnoreMetaDataWarning(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for SetIgnoreMetaDataWarning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIgnoreMetaDataWarning */
    if ( strcmp ( argv[2], "GetIgnoreMetaDataWarning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreMetaDataWarning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnoreMetaDataWarning */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetIgnoreMetaDataWarning();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for GetIgnoreMetaDataWarning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IgnoreMetaDataWarningOn */
    if ( strcmp ( argv[2], "IgnoreMetaDataWarningOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreMetaDataWarningOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreMetaDataWarningOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void IgnoreMetaDataWarningOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for IgnoreMetaDataWarningOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IgnoreMetaDataWarningOff */
    if ( strcmp ( argv[2], "IgnoreMetaDataWarningOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreMetaDataWarningOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreMetaDataWarningOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void IgnoreMetaDataWarningOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIWriter" );
    /* Closing for IgnoreMetaDataWarningOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
