// tcl wrapper for vtkPTSReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPTSReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPTSReaderNewCommand()
{
  vtkPTSReader *temp = vtkPTSReader::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPTSReaderCppCommand(vtkPTSReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPTSReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPTSReaderCppCommand(static_cast<vtkPTSReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPTSReader_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPTSReader"),vtkPTSReaderNewCommand,vtkPTSReaderCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPTSReaderCppCommand(vtkPTSReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPTSReader",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPTSReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPTSReader");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPTSReader  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPTSReader");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPTSReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPTSReader");
    return TCL_OK;
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("LimitReadToBoundsOn",argv[1]))&&(argc == 2))
  {
    op->LimitReadToBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LimitReadToBoundsOff",argv[1]))&&(argc == 2))
  {
    op->LimitReadToBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLimitReadToBounds",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetLimitReadToBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLimitReadToBounds",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLimitReadToBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetReadBounds",argv[1]))&&(argc == 8))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
  {
    op->SetReadBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetReadBounds",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->SetReadBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetReadBounds",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetReadBounds();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("OutputDataTypeIsDoubleOn",argv[1]))&&(argc == 2))
  {
    op->OutputDataTypeIsDoubleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OutputDataTypeIsDoubleOff",argv[1]))&&(argc == 2))
  {
    op->OutputDataTypeIsDoubleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOutputDataTypeIsDouble",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetOutputDataTypeIsDouble(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputDataTypeIsDouble",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetOutputDataTypeIsDouble();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LimitToMaxNumberOfPointsOn",argv[1]))&&(argc == 2))
  {
    op->LimitToMaxNumberOfPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LimitToMaxNumberOfPointsOff",argv[1]))&&(argc == 2))
  {
    op->LimitToMaxNumberOfPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLimitToMaxNumberOfPoints",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetLimitToMaxNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLimitToMaxNumberOfPoints",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLimitToMaxNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaxNumberOfPoints",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaxNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaxNumberOfPointsMinValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxNumberOfPointsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxNumberOfPointsMaxValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxNumberOfPointsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxNumberOfPoints",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CreateCellsOn",argv[1]))&&(argc == 2))
  {
    op->CreateCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CreateCellsOff",argv[1]))&&(argc == 2))
  {
    op->CreateCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCreateCells",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCreateCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCreateCells",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCreateCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IncludeColorAndLuminanceOn",argv[1]))&&(argc == 2))
  {
    op->IncludeColorAndLuminanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("IncludeColorAndLuminanceOff",argv[1]))&&(argc == 2))
  {
    op->IncludeColorAndLuminanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetIncludeColorAndLuminance",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetIncludeColorAndLuminance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIncludeColorAndLuminance",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetIncludeColorAndLuminance();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPTSReaderCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPTSReader:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  LimitReadToBoundsOn\n",nullptr);
    Tcl_AppendResult(interp,"  LimitReadToBoundsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLimitReadToBounds\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLimitReadToBounds\n",nullptr);
    Tcl_AppendResult(interp,"  SetReadBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetReadBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetReadBounds\n",nullptr);
    Tcl_AppendResult(interp,"  OutputDataTypeIsDoubleOn\n",nullptr);
    Tcl_AppendResult(interp,"  OutputDataTypeIsDoubleOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputDataTypeIsDouble\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputDataTypeIsDouble\n",nullptr);
    Tcl_AppendResult(interp,"  LimitToMaxNumberOfPointsOn\n",nullptr);
    Tcl_AppendResult(interp,"  LimitToMaxNumberOfPointsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLimitToMaxNumberOfPoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLimitToMaxNumberOfPoints\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaxNumberOfPoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxNumberOfPointsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxNumberOfPointsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxNumberOfPoints\n",nullptr);
    Tcl_AppendResult(interp,"  CreateCellsOn\n",nullptr);
    Tcl_AppendResult(interp,"  CreateCellsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetCreateCells\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCreateCells\n",nullptr);
    Tcl_AppendResult(interp,"  IncludeColorAndLuminanceOn\n",nullptr);
    Tcl_AppendResult(interp,"  IncludeColorAndLuminanceOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetIncludeColorAndLuminance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIncludeColorAndLuminance\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "LimitReadToBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "LimitReadToBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetLimitReadToBounds" );
    Tcl_DStringAppendElement ( &dString, "GetLimitReadToBounds" );
    Tcl_DStringAppendElement ( &dString, "SetReadBounds" );
    Tcl_DStringAppendElement ( &dString, "SetReadBounds" );
    Tcl_DStringAppendElement ( &dString, "GetReadBounds" );
    Tcl_DStringAppendElement ( &dString, "OutputDataTypeIsDoubleOn" );
    Tcl_DStringAppendElement ( &dString, "OutputDataTypeIsDoubleOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDataTypeIsDouble" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDataTypeIsDouble" );
    Tcl_DStringAppendElement ( &dString, "LimitToMaxNumberOfPointsOn" );
    Tcl_DStringAppendElement ( &dString, "LimitToMaxNumberOfPointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetLimitToMaxNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetLimitToMaxNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfPointsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfPointsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "CreateCellsOn" );
    Tcl_DStringAppendElement ( &dString, "CreateCellsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCreateCells" );
    Tcl_DStringAppendElement ( &dString, "GetCreateCells" );
    Tcl_DStringAppendElement ( &dString, "IncludeColorAndLuminanceOn" );
    Tcl_DStringAppendElement ( &dString, "IncludeColorAndLuminanceOff" );
    Tcl_DStringAppendElement ( &dString, "SetIncludeColorAndLuminance" );
    Tcl_DStringAppendElement ( &dString, "GetIncludeColorAndLuminance" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPTSReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPTSReader *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(const char *filename);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LimitReadToBoundsOn */
    if ( strcmp ( argv[2], "LimitReadToBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LimitReadToBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LimitReadToBoundsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit points read to a specified\n (ReadBounds) region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LimitReadToBoundsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for LimitReadToBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LimitReadToBoundsOff */
    if ( strcmp ( argv[2], "LimitReadToBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LimitReadToBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LimitReadToBoundsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit points read to a specified\n (ReadBounds) region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LimitReadToBoundsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for LimitReadToBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLimitReadToBounds */
    if ( strcmp ( argv[2], "SetLimitReadToBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLimitReadToBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLimitReadToBounds */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit points read to a specified\n (ReadBounds) region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLimitReadToBounds(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetLimitReadToBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLimitReadToBounds */
    if ( strcmp ( argv[2], "GetLimitReadToBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLimitReadToBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLimitReadToBounds */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit points read to a specified\n (ReadBounds) region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLimitReadToBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetLimitReadToBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetReadBounds */
    if ( strcmp ( argv[2], "SetReadBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetReadBounds(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetReadBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetReadBounds */
    if ( strcmp ( argv[2], "SetReadBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetReadBounds(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetReadBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetReadBounds */
    if ( strcmp ( argv[2], "GetReadBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetReadBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetReadBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OutputDataTypeIsDoubleOn */
    if ( strcmp ( argv[2], "OutputDataTypeIsDoubleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputDataTypeIsDoubleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputDataTypeIsDoubleOn */
    Tcl_DStringAppendElement ( &dString, " The output type defaults to float, but can instead be double.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OutputDataTypeIsDoubleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for OutputDataTypeIsDoubleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OutputDataTypeIsDoubleOff */
    if ( strcmp ( argv[2], "OutputDataTypeIsDoubleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputDataTypeIsDoubleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputDataTypeIsDoubleOff */
    Tcl_DStringAppendElement ( &dString, " The output type defaults to float, but can instead be double.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OutputDataTypeIsDoubleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for OutputDataTypeIsDoubleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputDataTypeIsDouble */
    if ( strcmp ( argv[2], "SetOutputDataTypeIsDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDataTypeIsDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDataTypeIsDouble */
    Tcl_DStringAppendElement ( &dString, " The output type defaults to float, but can instead be double.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputDataTypeIsDouble(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetOutputDataTypeIsDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputDataTypeIsDouble */
    if ( strcmp ( argv[2], "GetOutputDataTypeIsDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDataTypeIsDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDataTypeIsDouble */
    Tcl_DStringAppendElement ( &dString, " The output type defaults to float, but can instead be double.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetOutputDataTypeIsDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetOutputDataTypeIsDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LimitToMaxNumberOfPointsOn */
    if ( strcmp ( argv[2], "LimitToMaxNumberOfPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LimitToMaxNumberOfPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LimitToMaxNumberOfPointsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit number of points read\n based on MaxNumbeOfPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LimitToMaxNumberOfPointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for LimitToMaxNumberOfPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LimitToMaxNumberOfPointsOff */
    if ( strcmp ( argv[2], "LimitToMaxNumberOfPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LimitToMaxNumberOfPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LimitToMaxNumberOfPointsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit number of points read\n based on MaxNumbeOfPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LimitToMaxNumberOfPointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for LimitToMaxNumberOfPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLimitToMaxNumberOfPoints */
    if ( strcmp ( argv[2], "SetLimitToMaxNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLimitToMaxNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLimitToMaxNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit number of points read\n based on MaxNumbeOfPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLimitToMaxNumberOfPoints(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetLimitToMaxNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLimitToMaxNumberOfPoints */
    if ( strcmp ( argv[2], "GetLimitToMaxNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLimitToMaxNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLimitToMaxNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to limit number of points read\n based on MaxNumbeOfPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLimitToMaxNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetLimitToMaxNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaxNumberOfPoints */
    if ( strcmp ( argv[2], "SetMaxNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " The maximum number of points to load if LimitToMaxNumberOfPoints is on/true.\n Sets a temporary onRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaxNumberOfPoints(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetMaxNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxNumberOfPointsMinValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfPointsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfPointsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfPointsMinValue */
    Tcl_DStringAppendElement ( &dString, " The maximum number of points to load if LimitToMaxNumberOfPoints is on/true.\n Sets a temporary onRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaxNumberOfPointsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetMaxNumberOfPointsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxNumberOfPointsMaxValue */
    if ( strcmp ( argv[2], "GetMaxNumberOfPointsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfPointsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfPointsMaxValue */
    Tcl_DStringAppendElement ( &dString, " The maximum number of points to load if LimitToMaxNumberOfPoints is on/true.\n Sets a temporary onRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaxNumberOfPointsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetMaxNumberOfPointsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxNumberOfPoints */
    if ( strcmp ( argv[2], "GetMaxNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " The maximum number of points to load if LimitToMaxNumberOfPoints is on/true.\n Sets a temporary onRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaxNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetMaxNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateCellsOn */
    if ( strcmp ( argv[2], "CreateCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateCellsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to create cells\n for this dataset. Otherwise only points and scalars\n are created. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateCellsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for CreateCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateCellsOff */
    if ( strcmp ( argv[2], "CreateCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateCellsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to create cells\n for this dataset. Otherwise only points and scalars\n are created. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateCellsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for CreateCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCreateCells */
    if ( strcmp ( argv[2], "SetCreateCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCreateCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCreateCells */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to create cells\n for this dataset. Otherwise only points and scalars\n are created. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCreateCells(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetCreateCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCreateCells */
    if ( strcmp ( argv[2], "GetCreateCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCreateCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCreateCells */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates whether or not to create cells\n for this dataset. Otherwise only points and scalars\n are created. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCreateCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetCreateCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IncludeColorAndLuminanceOn */
    if ( strcmp ( argv[2], "IncludeColorAndLuminanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeColorAndLuminanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeColorAndLuminanceOn */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates when color values are present\n if luminance should be read in as well\n Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void IncludeColorAndLuminanceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for IncludeColorAndLuminanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IncludeColorAndLuminanceOff */
    if ( strcmp ( argv[2], "IncludeColorAndLuminanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeColorAndLuminanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeColorAndLuminanceOff */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates when color values are present\n if luminance should be read in as well\n Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void IncludeColorAndLuminanceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for IncludeColorAndLuminanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIncludeColorAndLuminance */
    if ( strcmp ( argv[2], "SetIncludeColorAndLuminance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIncludeColorAndLuminance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIncludeColorAndLuminance */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates when color values are present\n if luminance should be read in as well\n Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIncludeColorAndLuminance(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for SetIncludeColorAndLuminance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIncludeColorAndLuminance */
    if ( strcmp ( argv[2], "GetIncludeColorAndLuminance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncludeColorAndLuminance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncludeColorAndLuminance */
    Tcl_DStringAppendElement ( &dString, " Boolean value indicates when color values are present\n if luminance should be read in as well\n Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetIncludeColorAndLuminance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPTSReader" );
    /* Closing for GetIncludeColorAndLuminance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
