#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkXMLPDataSetWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPDataObjectWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPImageDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPPolyDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPRectilinearGridWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPStructuredDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPStructuredGridWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPTableWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPUnstructuredDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPUnstructuredGridWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPHierarchicalBoxDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPMultiBlockDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPUniformGridAMRWriter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioparallelxmltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioparallelxmltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioparallelxmltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioparallelxmltcl_Init(interp);
}


int VTK_EXPORT Vtkioparallelxmltcl_Init(Tcl_Interp *interp)
{

  vtkXMLPDataSetWriter_TclCreate(interp);
  vtkXMLPDataObjectWriter_TclCreate(interp);
  vtkXMLPDataWriter_TclCreate(interp);
  vtkXMLPImageDataWriter_TclCreate(interp);
  vtkXMLPPolyDataWriter_TclCreate(interp);
  vtkXMLPRectilinearGridWriter_TclCreate(interp);
  vtkXMLPStructuredDataWriter_TclCreate(interp);
  vtkXMLPStructuredGridWriter_TclCreate(interp);
  vtkXMLPTableWriter_TclCreate(interp);
  vtkXMLPUnstructuredDataWriter_TclCreate(interp);
  vtkXMLPUnstructuredGridWriter_TclCreate(interp);
  vtkXMLPHierarchicalBoxDataWriter_TclCreate(interp);
  vtkXMLPMultiBlockDataWriter_TclCreate(interp);
  vtkXMLPUniformGridAMRWriter_TclCreate(interp);
  char pkgName[]="vtkIOParallelXMLTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
