#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageHSIToRGB_TclCreate(Tcl_Interp *interp);
int vtkImageHSVToRGB_TclCreate(Tcl_Interp *interp);
int vtkImageYIQToRGB_TclCreate(Tcl_Interp *interp);
int vtkImageLuminance_TclCreate(Tcl_Interp *interp);
int vtkImageMapToRGBA_TclCreate(Tcl_Interp *interp);
int vtkImageMapToWindowLevelColors_TclCreate(Tcl_Interp *interp);
int vtkImageQuantizeRGBToIndex_TclCreate(Tcl_Interp *interp);
int vtkImageRGBToHSI_TclCreate(Tcl_Interp *interp);
int vtkImageRGBToHSV_TclCreate(Tcl_Interp *interp);
int vtkImageRGBToYIQ_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkimagingcolortcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkimagingcolortcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkimagingcolortcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkimagingcolortcl_Init(interp);
}


int VTK_EXPORT Vtkimagingcolortcl_Init(Tcl_Interp *interp)
{

  vtkImageHSIToRGB_TclCreate(interp);
  vtkImageHSVToRGB_TclCreate(interp);
  vtkImageYIQToRGB_TclCreate(interp);
  vtkImageLuminance_TclCreate(interp);
  vtkImageMapToRGBA_TclCreate(interp);
  vtkImageMapToWindowLevelColors_TclCreate(interp);
  vtkImageQuantizeRGBToIndex_TclCreate(interp);
  vtkImageRGBToHSI_TclCreate(interp);
  vtkImageRGBToHSV_TclCreate(interp);
  vtkImageRGBToYIQ_TclCreate(interp);
  char pkgName[]="vtkImagingColorTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
