#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageAnisotropicDiffusion2D_TclCreate(Tcl_Interp *interp);
int vtkImageAnisotropicDiffusion3D_TclCreate(Tcl_Interp *interp);
int vtkImageCheckerboard_TclCreate(Tcl_Interp *interp);
int vtkImageCityBlockDistance_TclCreate(Tcl_Interp *interp);
int vtkImageConvolve_TclCreate(Tcl_Interp *interp);
int vtkImageCorrelation_TclCreate(Tcl_Interp *interp);
int vtkImageEuclideanDistance_TclCreate(Tcl_Interp *interp);
int vtkImageEuclideanToPolar_TclCreate(Tcl_Interp *interp);
int vtkImageGaussianSmooth_TclCreate(Tcl_Interp *interp);
int vtkImageGradient_TclCreate(Tcl_Interp *interp);
int vtkImageGradientMagnitude_TclCreate(Tcl_Interp *interp);
int vtkImageHybridMedian2D_TclCreate(Tcl_Interp *interp);
int vtkImageLaplacian_TclCreate(Tcl_Interp *interp);
int vtkImageMedian3D_TclCreate(Tcl_Interp *interp);
int vtkImageNormalize_TclCreate(Tcl_Interp *interp);
int vtkImageRange3D_TclCreate(Tcl_Interp *interp);
int vtkImageSeparableConvolution_TclCreate(Tcl_Interp *interp);
int vtkImageSobel2D_TclCreate(Tcl_Interp *interp);
int vtkImageSobel3D_TclCreate(Tcl_Interp *interp);
int vtkImageSpatialAlgorithm_TclCreate(Tcl_Interp *interp);
int vtkImageVariance3D_TclCreate(Tcl_Interp *interp);
int vtkSimpleImageFilterExample_TclCreate(Tcl_Interp *interp);
int vtkImageSlab_TclCreate(Tcl_Interp *interp);
int vtkImageSlabReslice_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkimaginggeneraltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkimaginggeneraltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkimaginggeneraltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkimaginggeneraltcl_Init(interp);
}


int VTK_EXPORT Vtkimaginggeneraltcl_Init(Tcl_Interp *interp)
{

  vtkImageAnisotropicDiffusion2D_TclCreate(interp);
  vtkImageAnisotropicDiffusion3D_TclCreate(interp);
  vtkImageCheckerboard_TclCreate(interp);
  vtkImageCityBlockDistance_TclCreate(interp);
  vtkImageConvolve_TclCreate(interp);
  vtkImageCorrelation_TclCreate(interp);
  vtkImageEuclideanDistance_TclCreate(interp);
  vtkImageEuclideanToPolar_TclCreate(interp);
  vtkImageGaussianSmooth_TclCreate(interp);
  vtkImageGradient_TclCreate(interp);
  vtkImageGradientMagnitude_TclCreate(interp);
  vtkImageHybridMedian2D_TclCreate(interp);
  vtkImageLaplacian_TclCreate(interp);
  vtkImageMedian3D_TclCreate(interp);
  vtkImageNormalize_TclCreate(interp);
  vtkImageRange3D_TclCreate(interp);
  vtkImageSeparableConvolution_TclCreate(interp);
  vtkImageSobel2D_TclCreate(interp);
  vtkImageSobel3D_TclCreate(interp);
  vtkImageSpatialAlgorithm_TclCreate(interp);
  vtkImageVariance3D_TclCreate(interp);
  vtkSimpleImageFilterExample_TclCreate(interp);
  vtkImageSlab_TclCreate(interp);
  vtkImageSlabReslice_TclCreate(interp);
  char pkgName[]="vtkImagingGeneralTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
