#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAddMembershipArray_TclCreate(Tcl_Interp *interp);
int vtkAdjacencyMatrixToEdgeTable_TclCreate(Tcl_Interp *interp);
int vtkArrayNorm_TclCreate(Tcl_Interp *interp);
int vtkArrayToTable_TclCreate(Tcl_Interp *interp);
int vtkCollapseGraph_TclCreate(Tcl_Interp *interp);
int vtkCollapseVerticesByArray_TclCreate(Tcl_Interp *interp);
int vtkContinuousScatterplot_TclCreate(Tcl_Interp *interp);
int vtkDataObjectToTable_TclCreate(Tcl_Interp *interp);
int vtkDotProductSimilarity_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedTree_TclCreate(Tcl_Interp *interp);
int vtkEdgeCenters_TclCreate(Tcl_Interp *interp);
int vtkExpandSelectedGraph_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedGraph_TclCreate(Tcl_Interp *interp);
int vtkGenerateIndexArray_TclCreate(Tcl_Interp *interp);
int vtkGraphHierarchicalBundleEdges_TclCreate(Tcl_Interp *interp);
int vtkGroupLeafVertices_TclCreate(Tcl_Interp *interp);
int vtkMergeColumns_TclCreate(Tcl_Interp *interp);
int vtkMergeGraphs_TclCreate(Tcl_Interp *interp);
int vtkMergeTables_TclCreate(Tcl_Interp *interp);
int vtkMutableGraphHelper_TclCreate(Tcl_Interp *interp);
int vtkNetworkHierarchy_TclCreate(Tcl_Interp *interp);
int vtkPipelineGraphSource_TclCreate(Tcl_Interp *interp);
int vtkPruneTreeFilter_TclCreate(Tcl_Interp *interp);
int vtkRandomGraphSource_TclCreate(Tcl_Interp *interp);
int vtkReduceTable_TclCreate(Tcl_Interp *interp);
int vtkRemoveIsolatedVertices_TclCreate(Tcl_Interp *interp);
int vtkSparseArrayToTable_TclCreate(Tcl_Interp *interp);
int vtkStreamGraph_TclCreate(Tcl_Interp *interp);
int vtkStringToCategory_TclCreate(Tcl_Interp *interp);
int vtkStringToNumeric_TclCreate(Tcl_Interp *interp);
int vtkTableToArray_TclCreate(Tcl_Interp *interp);
int vtkTableToGraph_TclCreate(Tcl_Interp *interp);
int vtkTableToSparseArray_TclCreate(Tcl_Interp *interp);
int vtkTableToTreeFilter_TclCreate(Tcl_Interp *interp);
int vtkThresholdGraph_TclCreate(Tcl_Interp *interp);
int vtkThresholdTable_TclCreate(Tcl_Interp *interp);
int vtkTransferAttributes_TclCreate(Tcl_Interp *interp);
int vtkTransposeMatrix_TclCreate(Tcl_Interp *interp);
int vtkTreeFieldAggregator_TclCreate(Tcl_Interp *interp);
int vtkTreeDifferenceFilter_TclCreate(Tcl_Interp *interp);
int vtkTreeLevelsFilter_TclCreate(Tcl_Interp *interp);
int vtkVertexDegree_TclCreate(Tcl_Interp *interp);
int vtkRemoveHiddenData_TclCreate(Tcl_Interp *interp);
int vtkKCoreDecomposition_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkinfoviscoretcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkinfoviscoretcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkinfoviscoretcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkinfoviscoretcl_Init(interp);
}


int VTK_EXPORT Vtkinfoviscoretcl_Init(Tcl_Interp *interp)
{

  vtkAddMembershipArray_TclCreate(interp);
  vtkAdjacencyMatrixToEdgeTable_TclCreate(interp);
  vtkArrayNorm_TclCreate(interp);
  vtkArrayToTable_TclCreate(interp);
  vtkCollapseGraph_TclCreate(interp);
  vtkCollapseVerticesByArray_TclCreate(interp);
  vtkContinuousScatterplot_TclCreate(interp);
  vtkDataObjectToTable_TclCreate(interp);
  vtkDotProductSimilarity_TclCreate(interp);
  vtkExtractSelectedTree_TclCreate(interp);
  vtkEdgeCenters_TclCreate(interp);
  vtkExpandSelectedGraph_TclCreate(interp);
  vtkExtractSelectedGraph_TclCreate(interp);
  vtkGenerateIndexArray_TclCreate(interp);
  vtkGraphHierarchicalBundleEdges_TclCreate(interp);
  vtkGroupLeafVertices_TclCreate(interp);
  vtkMergeColumns_TclCreate(interp);
  vtkMergeGraphs_TclCreate(interp);
  vtkMergeTables_TclCreate(interp);
  vtkMutableGraphHelper_TclCreate(interp);
  vtkNetworkHierarchy_TclCreate(interp);
  vtkPipelineGraphSource_TclCreate(interp);
  vtkPruneTreeFilter_TclCreate(interp);
  vtkRandomGraphSource_TclCreate(interp);
  vtkReduceTable_TclCreate(interp);
  vtkRemoveIsolatedVertices_TclCreate(interp);
  vtkSparseArrayToTable_TclCreate(interp);
  vtkStreamGraph_TclCreate(interp);
  vtkStringToCategory_TclCreate(interp);
  vtkStringToNumeric_TclCreate(interp);
  vtkTableToArray_TclCreate(interp);
  vtkTableToGraph_TclCreate(interp);
  vtkTableToSparseArray_TclCreate(interp);
  vtkTableToTreeFilter_TclCreate(interp);
  vtkThresholdGraph_TclCreate(interp);
  vtkThresholdTable_TclCreate(interp);
  vtkTransferAttributes_TclCreate(interp);
  vtkTransposeMatrix_TclCreate(interp);
  vtkTreeFieldAggregator_TclCreate(interp);
  vtkTreeDifferenceFilter_TclCreate(interp);
  vtkTreeLevelsFilter_TclCreate(interp);
  vtkVertexDegree_TclCreate(interp);
  vtkRemoveHiddenData_TclCreate(interp);
  vtkKCoreDecomposition_TclCreate(interp);
  char pkgName[]="vtkInfovisCoreTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
