// tcl wrapper for vtkBorderRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBorderRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkBorderRepresentationNewCommand()
{
  vtkBorderRepresentation *temp = vtkBorderRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBorderRepresentationCppCommand(vtkBorderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkBorderRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkBorderRepresentationCppCommand(static_cast<vtkBorderRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBorderRepresentation_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkBorderRepresentation"),vtkBorderRepresentationNewCommand,vtkBorderRepresentationCommand);
  return 0;
}

int VTKTCL_EXPORT vtkBorderRepresentationCppCommand(vtkBorderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkBorderRepresentation",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkBorderRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBorderRepresentation");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkBorderRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBorderRepresentation");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkBorderRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBorderRepresentation");
    return TCL_OK;
  }
  if ((!strcmp("GetPositionCoordinate",argv[1]))&&(argc == 2))
  {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPositionCoordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
  }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
  {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetPosition2Coordinate",argv[1]))&&(argc == 2))
  {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPosition2Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
  }
  if ((!strcmp("SetPosition2",argv[1]))&&(argc == 4))
  {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetPosition2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPosition2",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->SetPosition2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPosition2",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetPosition2();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetShowBorder",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetShowBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetShowBorderMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowBorderMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetShowBorderMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowBorderMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetShowBorder",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetShowBorderToOff",argv[1]))&&(argc == 2))
  {
    op->SetShowBorderToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetShowBorderToOn",argv[1]))&&(argc == 2))
  {
    op->SetShowBorderToOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetShowBorderToActive",argv[1]))&&(argc == 2))
  {
    op->SetShowBorderToActive();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetShowVerticalBorder",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetShowVerticalBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetShowVerticalBorderMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowVerticalBorderMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetShowVerticalBorderMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowVerticalBorderMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetShowVerticalBorder",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowVerticalBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetShowHorizontalBorder",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetShowHorizontalBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetShowHorizontalBorderMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowHorizontalBorderMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetShowHorizontalBorderMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowHorizontalBorderMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetShowHorizontalBorder",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShowHorizontalBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetBorderProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetBorderProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
  }
  if ((!strcmp("SetProportionalResize",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetProportionalResize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetProportionalResize",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetProportionalResize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ProportionalResizeOn",argv[1]))&&(argc == 2))
  {
    op->ProportionalResizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ProportionalResizeOff",argv[1]))&&(argc == 2))
  {
    op->ProportionalResizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMinimumSize",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetMinimumSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetMinimumSize",argv[1]))&&(argc == 4))
  {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
  {
    op->SetMinimumSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinimumSize",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetMinimumSize();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumSize",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetMaximumSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetMaximumSize",argv[1]))&&(argc == 4))
  {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
  {
    op->SetMaximumSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumSize",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetMaximumSize();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetSelectionPoint",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetSelectionPoint();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetMoving",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMoving(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMoving",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMoving();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("MovingOn",argv[1]))&&(argc == 2))
  {
    op->MovingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("MovingOff",argv[1]))&&(argc == 2))
  {
    op->MovingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
  {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->GetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 3))
  {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
  {
    op->GetActors2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkBorderRepresentationCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBorderRepresentation:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetPositionCoordinate\n",nullptr);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPosition\n",nullptr);
    Tcl_AppendResult(interp,"  GetPosition2Coordinate\n",nullptr);
    Tcl_AppendResult(interp,"  SetPosition2\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPosition2\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPosition2\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowBorder\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowBorderMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowBorderMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowBorder\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowBorderToOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowBorderToOn\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowBorderToActive\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowVerticalBorder\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowVerticalBorderMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowVerticalBorderMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowVerticalBorder\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowHorizontalBorder\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowHorizontalBorderMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowHorizontalBorderMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowHorizontalBorder\n",nullptr);
    Tcl_AppendResult(interp,"  GetBorderProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetProportionalResize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetProportionalResize\n",nullptr);
    Tcl_AppendResult(interp,"  ProportionalResizeOn\n",nullptr);
    Tcl_AppendResult(interp,"  ProportionalResizeOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinimumSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinimumSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumSize\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumSize\n",nullptr);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTolerance\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectionPoint\n",nullptr);
    Tcl_AppendResult(interp,"  SetMoving\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMoving\n",nullptr);
    Tcl_AppendResult(interp,"  MovingOn\n",nullptr);
    Tcl_AppendResult(interp,"  MovingOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",nullptr);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetActors2D\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetPositionCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition2Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPosition2" );
    Tcl_DStringAppendElement ( &dString, "SetPosition2" );
    Tcl_DStringAppendElement ( &dString, "GetPosition2" );
    Tcl_DStringAppendElement ( &dString, "SetShowBorder" );
    Tcl_DStringAppendElement ( &dString, "GetShowBorderMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowBorderMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowBorder" );
    Tcl_DStringAppendElement ( &dString, "SetShowBorderToOff" );
    Tcl_DStringAppendElement ( &dString, "SetShowBorderToOn" );
    Tcl_DStringAppendElement ( &dString, "SetShowBorderToActive" );
    Tcl_DStringAppendElement ( &dString, "SetShowVerticalBorder" );
    Tcl_DStringAppendElement ( &dString, "GetShowVerticalBorderMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowVerticalBorderMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowVerticalBorder" );
    Tcl_DStringAppendElement ( &dString, "SetShowHorizontalBorder" );
    Tcl_DStringAppendElement ( &dString, "GetShowHorizontalBorderMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowHorizontalBorderMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShowHorizontalBorder" );
    Tcl_DStringAppendElement ( &dString, "GetBorderProperty" );
    Tcl_DStringAppendElement ( &dString, "SetProportionalResize" );
    Tcl_DStringAppendElement ( &dString, "GetProportionalResize" );
    Tcl_DStringAppendElement ( &dString, "ProportionalResizeOn" );
    Tcl_DStringAppendElement ( &dString, "ProportionalResizeOff" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumSize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumSize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumSize" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumSize" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionPoint" );
    Tcl_DStringAppendElement ( &dString, "SetMoving" );
    Tcl_DStringAppendElement ( &dString, "GetMoving" );
    Tcl_DStringAppendElement ( &dString, "MovingOn" );
    Tcl_DStringAppendElement ( &dString, "MovingOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBorderRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Define standard methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Define standard methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Define standard methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBorderRepresentation *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Define standard methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPositionCoordinate */
    if ( strcmp ( argv[2], "GetPositionCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositionCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositionCoordinate */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetPositionCoordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetPositionCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPosition2Coordinate */
    if ( strcmp ( argv[2], "GetPosition2Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition2Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition2Coordinate */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetPosition2Coordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetPosition2Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPosition2 */
    if ( strcmp ( argv[2], "SetPosition2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition2 */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition2(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetPosition2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPosition2 */
    if ( strcmp ( argv[2], "SetPosition2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition2 */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition2(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetPosition2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPosition2 */
    if ( strcmp ( argv[2], "GetPosition2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition2 */
    Tcl_DStringAppendElement ( &dString, " Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPosition2();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetPosition2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowBorder */
    if ( strcmp ( argv[2], "SetShowBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowBorder */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n This method is provided as conveniency to set both horizontal and\n vertical borders.\n BORDER_ON by default.\n See Also: SetShowHorizontalBorder(), SetShowVerticalBorder()\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShowBorder(int border);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetShowBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowBorderMinValue */
    if ( strcmp ( argv[2], "GetShowBorderMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowBorderMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowBorderMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n This method is provided as conveniency to set both horizontal and\n vertical borders.\n BORDER_ON by default.\n See Also: SetShowHorizontalBorder(), SetShowVerticalBorder()\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowBorderMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowBorderMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowBorderMaxValue */
    if ( strcmp ( argv[2], "GetShowBorderMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowBorderMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowBorderMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n This method is provided as conveniency to set both horizontal and\n vertical borders.\n BORDER_ON by default.\n See Also: SetShowHorizontalBorder(), SetShowVerticalBorder()\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowBorderMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowBorderMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowBorder */
    if ( strcmp ( argv[2], "GetShowBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowBorder */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n This method is provided as conveniency to set both horizontal and\n vertical borders.\n BORDER_ON by default.\n See Also: SetShowHorizontalBorder(), SetShowVerticalBorder()\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowBorderToOff */
    if ( strcmp ( argv[2], "SetShowBorderToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowBorderToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowBorderToOff */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n This method is provided as conveniency to set both horizontal and\n vertical borders.\n BORDER_ON by default.\n See Also: SetShowHorizontalBorder(), SetShowVerticalBorder()\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowBorderToOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetShowBorderToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowBorderToOn */
    if ( strcmp ( argv[2], "SetShowBorderToOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowBorderToOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowBorderToOn */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n This method is provided as conveniency to set both horizontal and\n vertical borders.\n BORDER_ON by default.\n See Also: SetShowHorizontalBorder(), SetShowVerticalBorder()\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowBorderToOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetShowBorderToOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowBorderToActive */
    if ( strcmp ( argv[2], "SetShowBorderToActive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowBorderToActive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowBorderToActive */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n This method is provided as conveniency to set both horizontal and\n vertical borders.\n BORDER_ON by default.\n See Also: SetShowHorizontalBorder(), SetShowVerticalBorder()\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowBorderToActive();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetShowBorderToActive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowVerticalBorder */
    if ( strcmp ( argv[2], "SetShowVerticalBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowVerticalBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowVerticalBorder */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the vertical border should appear.\n See Also: SetShowBorder(), SetShowHorizontalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShowVerticalBorder(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetShowVerticalBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowVerticalBorderMinValue */
    if ( strcmp ( argv[2], "GetShowVerticalBorderMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowVerticalBorderMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowVerticalBorderMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the vertical border should appear.\n See Also: SetShowBorder(), SetShowHorizontalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowVerticalBorderMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowVerticalBorderMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowVerticalBorderMaxValue */
    if ( strcmp ( argv[2], "GetShowVerticalBorderMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowVerticalBorderMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowVerticalBorderMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the vertical border should appear.\n See Also: SetShowBorder(), SetShowHorizontalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowVerticalBorderMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowVerticalBorderMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowVerticalBorder */
    if ( strcmp ( argv[2], "GetShowVerticalBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowVerticalBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowVerticalBorder */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the vertical border should appear.\n See Also: SetShowBorder(), SetShowHorizontalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowVerticalBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowVerticalBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowHorizontalBorder */
    if ( strcmp ( argv[2], "SetShowHorizontalBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowHorizontalBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowHorizontalBorder */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the horizontal border should appear.\n See Also: SetShowBorder(), SetShowVerticalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShowHorizontalBorder(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetShowHorizontalBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowHorizontalBorderMinValue */
    if ( strcmp ( argv[2], "GetShowHorizontalBorderMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowHorizontalBorderMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowHorizontalBorderMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the horizontal border should appear.\n See Also: SetShowBorder(), SetShowVerticalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowHorizontalBorderMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowHorizontalBorderMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowHorizontalBorderMaxValue */
    if ( strcmp ( argv[2], "GetShowHorizontalBorderMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowHorizontalBorderMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowHorizontalBorderMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the horizontal border should appear.\n See Also: SetShowBorder(), SetShowVerticalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowHorizontalBorderMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowHorizontalBorderMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowHorizontalBorder */
    if ( strcmp ( argv[2], "GetShowHorizontalBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowHorizontalBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowHorizontalBorder */
    Tcl_DStringAppendElement ( &dString, " Specify when and if the horizontal border should appear.\n See Also: SetShowBorder(), SetShowVerticalBorder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShowHorizontalBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetShowHorizontalBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBorderProperty */
    if ( strcmp ( argv[2], "GetBorderProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderProperty */
    Tcl_DStringAppendElement ( &dString, " Specify the properties of the border.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProperty2D *GetBorderProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetBorderProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetProportionalResize */
    if ( strcmp ( argv[2], "SetProportionalResize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProportionalResize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProportionalResize */
    Tcl_DStringAppendElement ( &dString, " Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to\n preserve the aspect ratio of the representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProportionalResize(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetProportionalResize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProportionalResize */
    if ( strcmp ( argv[2], "GetProportionalResize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProportionalResize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProportionalResize */
    Tcl_DStringAppendElement ( &dString, " Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to\n preserve the aspect ratio of the representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetProportionalResize();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetProportionalResize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProportionalResizeOn */
    if ( strcmp ( argv[2], "ProportionalResizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProportionalResizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProportionalResizeOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to\n preserve the aspect ratio of the representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProportionalResizeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for ProportionalResizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProportionalResizeOff */
    if ( strcmp ( argv[2], "ProportionalResizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProportionalResizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProportionalResizeOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to\n preserve the aspect ratio of the representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProportionalResizeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for ProportionalResizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinimumSize */
    if ( strcmp ( argv[2], "SetMinimumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetMinimumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinimumSize */
    if ( strcmp ( argv[2], "SetMinimumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetMinimumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumSize */
    if ( strcmp ( argv[2], "GetMinimumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetMinimumSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetMinimumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumSize */
    if ( strcmp ( argv[2], "SetMaximumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetMaximumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumSize */
    if ( strcmp ( argv[2], "SetMaximumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetMaximumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumSize */
    if ( strcmp ( argv[2], "GetMaximumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetMaximumSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetMaximumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTolerance(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectionPoint */
    if ( strcmp ( argv[2], "GetSelectionPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionPoint */
    Tcl_DStringAppendElement ( &dString, " After a selection event within the region interior to the border; the\n normalized selection coordinates may be obtained.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetSelectionPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetSelectionPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMoving */
    if ( strcmp ( argv[2], "SetMoving" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMoving" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMoving */
    Tcl_DStringAppendElement ( &dString, " This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMoving(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for SetMoving */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMoving */
    if ( strcmp ( argv[2], "GetMoving" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMoving" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMoving */
    Tcl_DStringAppendElement ( &dString, " This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMoving();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetMoving */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MovingOn */
    if ( strcmp ( argv[2], "MovingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MovingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MovingOn */
    Tcl_DStringAppendElement ( &dString, " This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MovingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for MovingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MovingOff */
    if ( strcmp ( argv[2], "MovingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MovingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MovingOff */
    Tcl_DStringAppendElement ( &dString, " This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MovingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for MovingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime of this object. It takes into account MTimes\n of position coordinates and border's property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildRepresentation() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void StartWidgetInteraction(double eventPos\\[2\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void WidgetInteraction(double eventPos\\[2\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSize(double size\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "int ComputeInteractionState(int X, int Y, int modify=0) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetActors2D */
    if ( strcmp ( argv[2], "GetActors2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors2D */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetActors2D(vtkPropCollection *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for GetActors2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderTranslucentPolygonalGeometry(vtkViewport *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasTranslucentPolygonalGeometry() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
