// tcl wrapper for vtkSplineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSplineRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkSplineRepresentationNewCommand()
{
  vtkSplineRepresentation *temp = vtkSplineRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkCurveRepresentationCppCommand(vtkCurveRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSplineRepresentationCppCommand(vtkSplineRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkSplineRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkSplineRepresentationCppCommand(static_cast<vtkSplineRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSplineRepresentation_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkSplineRepresentation"),vtkSplineRepresentationNewCommand,vtkSplineRepresentationCommand);
  return 0;
}

int VTKTCL_EXPORT vtkSplineRepresentationCppCommand(vtkSplineRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkSplineRepresentation",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkCurveRepresentationCppCommand(static_cast<vtkCurveRepresentation *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkCurveRepresentation"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkSplineRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSplineRepresentation");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkSplineRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSplineRepresentation");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkSplineRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSplineRepresentation");
    return TCL_OK;
  }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
  {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
  {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetNumberOfHandles",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNumberOfHandles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetParametricSpline",argv[1]))&&(argc == 3))
  {
    vtkParametricSpline  *temp0;
    error = 0;

    temp0 = (vtkParametricSpline *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkParametricSpline"),interp,error));
    if (!error)
  {
    op->SetParametricSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetParametricSpline",argv[1]))&&(argc == 2))
  {
    vtkParametricSpline  *temp20;
    temp20 = (op)->GetParametricSpline();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricSpline");
    return TCL_OK;
  }
  if ((!strcmp("GetHandlePositions",argv[1]))&&(argc == 2))
  {
    vtkDoubleArray  *temp20;
    temp20 = (op)->GetHandlePositions();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDoubleArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSummedLength",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetSummedLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("InitializeHandles",argv[1]))&&(argc == 3))
  {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
  {
    op->InitializeHandles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
  {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkSplineRepresentationCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkCurveRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSplineRepresentation:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetNumberOfHandles\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetResolution\n",nullptr);
    Tcl_AppendResult(interp,"  SetParametricSpline\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetParametricSpline\n",nullptr);
    Tcl_AppendResult(interp,"  GetHandlePositions\n",nullptr);
    Tcl_AppendResult(interp,"  GetSummedLength\n",nullptr);
    Tcl_AppendResult(interp,"  InitializeHandles\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCurveRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHandles" );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    Tcl_DStringAppendElement ( &dString, "SetParametricSpline" );
    Tcl_DStringAppendElement ( &dString, "GetParametricSpline" );
    Tcl_DStringAppendElement ( &dString, "GetHandlePositions" );
    Tcl_DStringAppendElement ( &dString, "GetSummedLength" );
    Tcl_DStringAppendElement ( &dString, "InitializeHandles" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCurveRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSplineRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSplineRepresentation *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that defines the spline.  The\n polydata consists of points and line segments numbering Resolution + 1\n and Resolution, respectively. Points are guaranteed to be up-to-date when\n either the InteractionEvent or  EndInteraction events are invoked. The\n user provides the vtkPolyData and the points and polyline are added to it.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData(vtkPolyData *pd) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNumberOfHandles */
    if ( strcmp ( argv[2], "SetNumberOfHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfHandles */
    Tcl_DStringAppendElement ( &dString, " Set the number of handles for this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfHandles(int npts) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for SetNumberOfHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetResolution */
    if ( strcmp ( argv[2], "SetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of line segments representing the spline for\n this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResolution(int resolution);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for SetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetResolution */
    if ( strcmp ( argv[2], "GetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of line segments representing the spline for\n this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for GetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetParametricSpline */
    if ( strcmp ( argv[2], "SetParametricSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParametricSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkParametricSpline" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParametricSpline */
    Tcl_DStringAppendElement ( &dString, " Set the parametric spline object. Through vtkParametricSpline's API, the\n user can supply and configure one of two types of spline:\n vtkCardinalSpline, vtkKochanekSpline. The widget controls the open\n or closed configuration of the spline.\n WARNING: The widget does not enforce internal consistency so that all\n three are of the same type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParametricSpline(vtkParametricSpline *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for SetParametricSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetParametricSpline */
    if ( strcmp ( argv[2], "GetParametricSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricSpline */
    Tcl_DStringAppendElement ( &dString, " Set the parametric spline object. Through vtkParametricSpline's API, the\n user can supply and configure one of two types of spline:\n vtkCardinalSpline, vtkKochanekSpline. The widget controls the open\n or closed configuration of the spline.\n WARNING: The widget does not enforce internal consistency so that all\n three are of the same type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkParametricSpline *GetParametricSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for GetParametricSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHandlePositions */
    if ( strcmp ( argv[2], "GetHandlePositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandlePositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandlePositions */
    Tcl_DStringAppendElement ( &dString, " Get the position of the spline handles.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray *GetHandlePositions() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for GetHandlePositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSummedLength */
    if ( strcmp ( argv[2], "GetSummedLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSummedLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSummedLength */
    Tcl_DStringAppendElement ( &dString, " Get the approximate vs. the true arc length of the spline. Calculated as\n the summed lengths of the individual straight line segments. Use\n SetResolution to control the accuracy.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSummedLength() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for GetSummedLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InitializeHandles */
    if ( strcmp ( argv[2], "InitializeHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeHandles */
    Tcl_DStringAppendElement ( &dString, " Convenience method to allocate and set the handles from a vtkPoints\n instance.  If the first and last points are the same, the spline sets\n Closed to the on InteractionState and disregards the last point, otherwise Closed\n remains unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeHandles(vtkPoints *points) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for InitializeHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API. Note that a\n version of place widget is available where the center and handle position\n are specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildRepresentation() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSplineRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkCurveRepresentationCppCommand(static_cast<vtkCurveRepresentation *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
