// tcl wrapper for vtkTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTexture.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkTextureNewCommand()
{
  vtkTexture *temp = vtkTexture::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTextureCppCommand(vtkTexture *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkTextureCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkTextureCppCommand(static_cast<vtkTexture *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTexture_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkTexture"),vtkTextureNewCommand,vtkTextureCommand);
  return 0;
}

int VTKTCL_EXPORT vtkTextureCppCommand(vtkTexture *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkTexture",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkTexture  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkTexture  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkTexture  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
  }
  if ((!strcmp("Render",argv[1]))&&(argc == 3))
  {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
  {
    op->Render(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("PostRender",argv[1]))&&(argc == 3))
  {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
  {
    op->PostRender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Load",argv[1]))&&(argc == 3))
  {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
  {
    op->Load(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRepeat",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRepeat();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRepeat",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetRepeat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RepeatOn",argv[1]))&&(argc == 2))
  {
    op->RepeatOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RepeatOff",argv[1]))&&(argc == 2))
  {
    op->RepeatOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetEdgeClamp",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEdgeClamp();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetEdgeClamp",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetEdgeClamp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("EdgeClampOn",argv[1]))&&(argc == 2))
  {
    op->EdgeClampOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EdgeClampOff",argv[1]))&&(argc == 2))
  {
    op->EdgeClampOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetInterpolate",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetInterpolate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInterpolate",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetInterpolate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("InterpolateOn",argv[1]))&&(argc == 2))
  {
    op->InterpolateOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InterpolateOff",argv[1]))&&(argc == 2))
  {
    op->InterpolateOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMipmap",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetMipmap();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMipmap",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetMipmap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("MipmapOn",argv[1]))&&(argc == 2))
  {
    op->MipmapOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("MipmapOff",argv[1]))&&(argc == 2))
  {
    op->MipmapOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetQuality",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetQuality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQuality",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetQuality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetQualityToDefault",argv[1]))&&(argc == 2))
  {
    op->SetQualityToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetQualityTo16Bit",argv[1]))&&(argc == 2))
  {
    op->SetQualityTo16Bit();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetQualityTo32Bit",argv[1]))&&(argc == 2))
  {
    op->SetQualityTo32Bit();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetMapColorScalarsThroughLookupTable",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMapColorScalarsThroughLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetMapColorScalarsThroughLookupTable",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMapColorScalarsThroughLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("MapColorScalarsThroughLookupTableOn",argv[1]))&&(argc == 2))
  {
    op->MapColorScalarsThroughLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("MapColorScalarsThroughLookupTableOff",argv[1]))&&(argc == 2))
  {
    op->MapColorScalarsThroughLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
#endif
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetColorModeToDefault",argv[1]))&&(argc == 2))
  {
    op->SetColorModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetColorModeToMapScalars",argv[1]))&&(argc == 2))
  {
    op->SetColorModeToMapScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetColorModeToDirectScalars",argv[1]))&&(argc == 2))
  {
    op->SetColorModeToDirectScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
  {
    vtkImageData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
  {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
  {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
  {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
  }
  if ((!strcmp("GetMappedScalars",argv[1]))&&(argc == 2))
  {
    vtkUnsignedCharArray  *temp20;
    temp20 = (op)->GetMappedScalars();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
  }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
  {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
  {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
  {
    vtkTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform");
    return TCL_OK;
  }
  if ((!strcmp("GetBlendingMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetBlendingMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetBlendingMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetBlendingMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPremultipliedAlpha",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetPremultipliedAlpha();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPremultipliedAlpha",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetPremultipliedAlpha(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("PremultipliedAlphaOn",argv[1]))&&(argc == 2))
  {
    op->PremultipliedAlphaOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PremultipliedAlphaOff",argv[1]))&&(argc == 2))
  {
    op->PremultipliedAlphaOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetRestrictPowerOf2ImageSmaller",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRestrictPowerOf2ImageSmaller();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRestrictPowerOf2ImageSmaller",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetRestrictPowerOf2ImageSmaller(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RestrictPowerOf2ImageSmallerOn",argv[1]))&&(argc == 2))
  {
    op->RestrictPowerOf2ImageSmallerOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RestrictPowerOf2ImageSmallerOff",argv[1]))&&(argc == 2))
  {
    op->RestrictPowerOf2ImageSmallerOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("IsTranslucent",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->IsTranslucent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTextureUnit",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTextureUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetCubeMap",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCubeMap();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CubeMapOn",argv[1]))&&(argc == 2))
  {
    op->CubeMapOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CubeMapOff",argv[1]))&&(argc == 2))
  {
    op->CubeMapOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCubeMap",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCubeMap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseSRGBColorSpace",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseSRGBColorSpace();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseSRGBColorSpace",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseSRGBColorSpace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("UseSRGBColorSpaceOn",argv[1]))&&(argc == 2))
  {
    op->UseSRGBColorSpaceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseSRGBColorSpaceOff",argv[1]))&&(argc == 2))
  {
    op->UseSRGBColorSpaceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkTextureCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTexture:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  Render\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  PostRender\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Load\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRepeat\n",nullptr);
    Tcl_AppendResult(interp,"  SetRepeat\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RepeatOn\n",nullptr);
    Tcl_AppendResult(interp,"  RepeatOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetEdgeClamp\n",nullptr);
    Tcl_AppendResult(interp,"  SetEdgeClamp\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  EdgeClampOn\n",nullptr);
    Tcl_AppendResult(interp,"  EdgeClampOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetInterpolate\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolate\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateOn\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetMipmap\n",nullptr);
    Tcl_AppendResult(interp,"  SetMipmap\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  MipmapOn\n",nullptr);
    Tcl_AppendResult(interp,"  MipmapOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetQuality\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQuality\n",nullptr);
    Tcl_AppendResult(interp,"  SetQualityToDefault\n",nullptr);
    Tcl_AppendResult(interp,"  SetQualityTo16Bit\n",nullptr);
    Tcl_AppendResult(interp,"  SetQualityTo32Bit\n",nullptr);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetMapColorScalarsThroughLookupTable\t with 1 arg\n",nullptr);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetMapColorScalarsThroughLookupTable\n",nullptr);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  MapColorScalarsThroughLookupTableOn\n",nullptr);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  MapColorScalarsThroughLookupTableOff\n",nullptr);
#endif
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetColorMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetColorModeToDefault\n",nullptr);
    Tcl_AppendResult(interp,"  SetColorModeToMapScalars\n",nullptr);
    Tcl_AppendResult(interp,"  SetColorModeToDirectScalars\n",nullptr);
    Tcl_AppendResult(interp,"  GetInput\n",nullptr);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLookupTable\n",nullptr);
    Tcl_AppendResult(interp,"  GetMappedScalars\n",nullptr);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTransform\n",nullptr);
    Tcl_AppendResult(interp,"  GetBlendingMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetBlendingMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPremultipliedAlpha\n",nullptr);
    Tcl_AppendResult(interp,"  SetPremultipliedAlpha\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  PremultipliedAlphaOn\n",nullptr);
    Tcl_AppendResult(interp,"  PremultipliedAlphaOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetRestrictPowerOf2ImageSmaller\n",nullptr);
    Tcl_AppendResult(interp,"  SetRestrictPowerOf2ImageSmaller\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RestrictPowerOf2ImageSmallerOn\n",nullptr);
    Tcl_AppendResult(interp,"  RestrictPowerOf2ImageSmallerOff\n",nullptr);
    Tcl_AppendResult(interp,"  IsTranslucent\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextureUnit\n",nullptr);
    Tcl_AppendResult(interp,"  GetCubeMap\n",nullptr);
    Tcl_AppendResult(interp,"  CubeMapOn\n",nullptr);
    Tcl_AppendResult(interp,"  CubeMapOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetCubeMap\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseSRGBColorSpace\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseSRGBColorSpace\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UseSRGBColorSpaceOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseSRGBColorSpaceOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "PostRender" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "Load" );
    Tcl_DStringAppendElement ( &dString, "GetRepeat" );
    Tcl_DStringAppendElement ( &dString, "SetRepeat" );
    Tcl_DStringAppendElement ( &dString, "RepeatOn" );
    Tcl_DStringAppendElement ( &dString, "RepeatOff" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeClamp" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeClamp" );
    Tcl_DStringAppendElement ( &dString, "EdgeClampOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeClampOff" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolate" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolate" );
    Tcl_DStringAppendElement ( &dString, "InterpolateOn" );
    Tcl_DStringAppendElement ( &dString, "InterpolateOff" );
    Tcl_DStringAppendElement ( &dString, "GetMipmap" );
    Tcl_DStringAppendElement ( &dString, "SetMipmap" );
    Tcl_DStringAppendElement ( &dString, "MipmapOn" );
    Tcl_DStringAppendElement ( &dString, "MipmapOff" );
    Tcl_DStringAppendElement ( &dString, "SetQuality" );
    Tcl_DStringAppendElement ( &dString, "GetQuality" );
    Tcl_DStringAppendElement ( &dString, "SetQualityToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetQualityTo16Bit" );
    Tcl_DStringAppendElement ( &dString, "SetQualityTo32Bit" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetMapColorScalarsThroughLookupTable" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetMapColorScalarsThroughLookupTable" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "MapColorScalarsThroughLookupTableOn" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "MapColorScalarsThroughLookupTableOff" );
#endif
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToMapScalars" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDirectScalars" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetMappedScalars" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetBlendingMode" );
    Tcl_DStringAppendElement ( &dString, "SetBlendingMode" );
    Tcl_DStringAppendElement ( &dString, "GetPremultipliedAlpha" );
    Tcl_DStringAppendElement ( &dString, "SetPremultipliedAlpha" );
    Tcl_DStringAppendElement ( &dString, "PremultipliedAlphaOn" );
    Tcl_DStringAppendElement ( &dString, "PremultipliedAlphaOff" );
    Tcl_DStringAppendElement ( &dString, "GetRestrictPowerOf2ImageSmaller" );
    Tcl_DStringAppendElement ( &dString, "SetRestrictPowerOf2ImageSmaller" );
    Tcl_DStringAppendElement ( &dString, "RestrictPowerOf2ImageSmallerOn" );
    Tcl_DStringAppendElement ( &dString, "RestrictPowerOf2ImageSmallerOff" );
    Tcl_DStringAppendElement ( &dString, "IsTranslucent" );
    Tcl_DStringAppendElement ( &dString, "GetTextureUnit" );
    Tcl_DStringAppendElement ( &dString, "GetCubeMap" );
    Tcl_DStringAppendElement ( &dString, "CubeMapOn" );
    Tcl_DStringAppendElement ( &dString, "CubeMapOff" );
    Tcl_DStringAppendElement ( &dString, "SetCubeMap" );
    Tcl_DStringAppendElement ( &dString, "GetUseSRGBColorSpace" );
    Tcl_DStringAppendElement ( &dString, "SetUseSRGBColorSpace" );
    Tcl_DStringAppendElement ( &dString, "UseSRGBColorSpaceOn" );
    Tcl_DStringAppendElement ( &dString, "UseSRGBColorSpaceOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTexture *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTexture *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Renders a texture map. It first checks the object's modified time\n to make sure the texture maps Input is valid, then it invokes the\n Load() method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PostRender */
    if ( strcmp ( argv[2], "PostRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PostRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PostRender */
    Tcl_DStringAppendElement ( &dString, " Cleans up after the texture rendering to restore the state of the\n graphics context.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PostRender(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for PostRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this texture.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Load */
    if ( strcmp ( argv[2], "Load" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Load" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Load */
    Tcl_DStringAppendElement ( &dString, " Abstract interface to renderer. Each concrete subclass of\n vtkTexture will load its data into graphics system in response\n to this method invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Load(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for Load */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRepeat */
    if ( strcmp ( argv[2], "GetRepeat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepeat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepeat */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the repetition of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRepeat();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetRepeat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRepeat */
    if ( strcmp ( argv[2], "SetRepeat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepeat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepeat */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the repetition of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRepeat(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetRepeat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RepeatOn */
    if ( strcmp ( argv[2], "RepeatOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RepeatOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RepeatOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the repetition of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RepeatOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for RepeatOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RepeatOff */
    if ( strcmp ( argv[2], "RepeatOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RepeatOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RepeatOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the repetition of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RepeatOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for RepeatOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEdgeClamp */
    if ( strcmp ( argv[2], "GetEdgeClamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeClamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeClamp */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the clamping of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n Only used when Repeat is off, and edge clamping is supported by\n the graphics card.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEdgeClamp();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetEdgeClamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetEdgeClamp */
    if ( strcmp ( argv[2], "SetEdgeClamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeClamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeClamp */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the clamping of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n Only used when Repeat is off, and edge clamping is supported by\n the graphics card.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeClamp(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetEdgeClamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EdgeClampOn */
    if ( strcmp ( argv[2], "EdgeClampOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeClampOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeClampOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the clamping of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n Only used when Repeat is off, and edge clamping is supported by\n the graphics card.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EdgeClampOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for EdgeClampOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EdgeClampOff */
    if ( strcmp ( argv[2], "EdgeClampOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeClampOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeClampOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the clamping of the texture map when the texture\n coords extend beyond the \\[0,1\\] range.\n Only used when Repeat is off, and edge clamping is supported by\n the graphics card.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EdgeClampOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for EdgeClampOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInterpolate */
    if ( strcmp ( argv[2], "GetInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolate */
    Tcl_DStringAppendElement ( &dString, " Turn on/off linear interpolation of the texture map when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInterpolate();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolate */
    if ( strcmp ( argv[2], "SetInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolate */
    Tcl_DStringAppendElement ( &dString, " Turn on/off linear interpolation of the texture map when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterpolate(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateOn */
    if ( strcmp ( argv[2], "InterpolateOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off linear interpolation of the texture map when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for InterpolateOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateOff */
    if ( strcmp ( argv[2], "InterpolateOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off linear interpolation of the texture map when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for InterpolateOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMipmap */
    if ( strcmp ( argv[2], "GetMipmap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMipmap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMipmap */
    Tcl_DStringAppendElement ( &dString, " Turn on/off use of mipmaps when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetMipmap();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetMipmap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMipmap */
    if ( strcmp ( argv[2], "SetMipmap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMipmap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMipmap */
    Tcl_DStringAppendElement ( &dString, " Turn on/off use of mipmaps when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMipmap(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetMipmap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MipmapOn */
    if ( strcmp ( argv[2], "MipmapOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MipmapOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MipmapOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off use of mipmaps when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MipmapOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for MipmapOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MipmapOff */
    if ( strcmp ( argv[2], "MipmapOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MipmapOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MipmapOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off use of mipmaps when rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MipmapOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for MipmapOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQuality */
    if ( strcmp ( argv[2], "SetQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuality */
    Tcl_DStringAppendElement ( &dString, " Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQuality(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQuality */
    if ( strcmp ( argv[2], "GetQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuality */
    Tcl_DStringAppendElement ( &dString, " Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetQuality();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQualityToDefault */
    if ( strcmp ( argv[2], "SetQualityToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityToDefault */
    Tcl_DStringAppendElement ( &dString, " Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetQualityToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQualityTo16Bit */
    if ( strcmp ( argv[2], "SetQualityTo16Bit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityTo16Bit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityTo16Bit */
    Tcl_DStringAppendElement ( &dString, " Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityTo16Bit();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetQualityTo16Bit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQualityTo32Bit */
    if ( strcmp ( argv[2], "SetQualityTo32Bit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQualityTo32Bit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQualityTo32Bit */
    Tcl_DStringAppendElement ( &dString, " Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQualityTo32Bit();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetQualityTo32Bit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetMapColorScalarsThroughLookupTable */
    if ( strcmp ( argv[2], "SetMapColorScalarsThroughLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMapColorScalarsThroughLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMapColorScalarsThroughLookupTable */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n\n @deprecated Use SetColorMode, SetColorModeToDefault,\n SetColorModeToMapScalars, an ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMapColorScalarsThroughLookupTable(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetMapColorScalarsThroughLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetMapColorScalarsThroughLookupTable */
    if ( strcmp ( argv[2], "GetMapColorScalarsThroughLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMapColorScalarsThroughLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMapColorScalarsThroughLookupTable */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n\n @deprecated Use SetColorMode, SetColorModeToDefault,\n SetColorModeToMapScalars, an ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMapColorScalarsThroughLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetMapColorScalarsThroughLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: MapColorScalarsThroughLookupTableOn */
    if ( strcmp ( argv[2], "MapColorScalarsThroughLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MapColorScalarsThroughLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MapColorScalarsThroughLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n\n @deprecated Use SetColorMode, SetColorModeToDefault,\n SetColorModeToMapScalars, an ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void MapColorScalarsThroughLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for MapColorScalarsThroughLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: MapColorScalarsThroughLookupTableOff */
    if ( strcmp ( argv[2], "MapColorScalarsThroughLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MapColorScalarsThroughLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MapColorScalarsThroughLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n\n @deprecated Use SetColorMode, SetColorModeToDefault,\n SetColorModeToMapScalars, an ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void MapColorScalarsThroughLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for MapColorScalarsThroughLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#endif
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " Default: ColorModeToDefault. unsigned char scalars are treated\n as colors, and NOT mapped through the lookup table (set with SetLookupTable),\n while other kinds of scalars are. ColorModeToDirectScalar extends\n ColorModeToDefault such that all integer types are treated as\n colors with values in the range 0-255 and floating types are\n treated as colors with values in the range 0.0-1.0. Setting\n ColorModeToMapScalars means that all scalar data will be mapped\n through th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " Default: ColorModeToDefault. unsigned char scalars are treated\n as colors, and NOT mapped through the lookup table (set with SetLookupTable),\n while other kinds of scalars are. ColorModeToDirectScalar extends\n ColorModeToDefault such that all integer types are treated as\n colors with values in the range 0-255 and floating types are\n treated as colors with values in the range 0.0-1.0. Setting\n ColorModeToMapScalars means that all scalar data will be mapped\n through th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetColorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColorModeToDefault */
    if ( strcmp ( argv[2], "SetColorModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Default: ColorModeToDefault. unsigned char scalars are treated\n as colors, and NOT mapped through the lookup table (set with SetLookupTable),\n while other kinds of scalars are. ColorModeToDirectScalar extends\n ColorModeToDefault such that all integer types are treated as\n colors with values in the range 0-255 and floating types are\n treated as colors with values in the range 0.0-1.0. Setting\n ColorModeToMapScalars means that all scalar data will be mapped\n through th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetColorModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColorModeToMapScalars */
    if ( strcmp ( argv[2], "SetColorModeToMapScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToMapScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToMapScalars */
    Tcl_DStringAppendElement ( &dString, " Default: ColorModeToDefault. unsigned char scalars are treated\n as colors, and NOT mapped through the lookup table (set with SetLookupTable),\n while other kinds of scalars are. ColorModeToDirectScalar extends\n ColorModeToDefault such that all integer types are treated as\n colors with values in the range 0-255 and floating types are\n treated as colors with values in the range 0.0-1.0. Setting\n ColorModeToMapScalars means that all scalar data will be mapped\n through th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToMapScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetColorModeToMapScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColorModeToDirectScalars */
    if ( strcmp ( argv[2], "SetColorModeToDirectScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDirectScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToDirectScalars */
    Tcl_DStringAppendElement ( &dString, " Default: ColorModeToDefault. unsigned char scalars are treated\n as colors, and NOT mapped through the lookup table (set with SetLookupTable),\n while other kinds of scalars are. ColorModeToDirectScalar extends\n ColorModeToDefault such that all integer types are treated as\n colors with values in the range 0-255 and floating types are\n treated as colors with values in the range 0.0-1.0. Setting\n ColorModeToMapScalars means that all scalar data will be mapped\n through th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToDirectScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetColorModeToDirectScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get the input as a vtkImageData object.  This method is for\n backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify the lookup table to convert scalars if necessary\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTable(vtkScalarsToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify the lookup table to convert scalars if necessary\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMappedScalars */
    if ( strcmp ( argv[2], "GetMappedScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMappedScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMappedScalars */
    Tcl_DStringAppendElement ( &dString, " Get Mapped Scalars\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkUnsignedCharArray *GetMappedScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetMappedScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Set a transform on the texture which allows one to scale,\n rotate and translate the texture.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTransform(vtkTransform *transform);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Set a transform on the texture which allows one to scale,\n rotate and translate the texture.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTransform *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBlendingMode */
    if ( strcmp ( argv[2], "GetBlendingMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendingMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendingMode */
    Tcl_DStringAppendElement ( &dString, " Used to specify how the texture will blend its RGB and Alpha values\n with other textures and the fragment the texture is rendered upon.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetBlendingMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetBlendingMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBlendingMode */
    if ( strcmp ( argv[2], "SetBlendingMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendingMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendingMode */
    Tcl_DStringAppendElement ( &dString, " Used to specify how the texture will blend its RGB and Alpha values\n with other textures and the fragment the texture is rendered upon.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBlendingMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetBlendingMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPremultipliedAlpha */
    if ( strcmp ( argv[2], "GetPremultipliedAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPremultipliedAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPremultipliedAlpha */
    Tcl_DStringAppendElement ( &dString, " Whether the texture colors are premultiplied by alpha.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetPremultipliedAlpha();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetPremultipliedAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPremultipliedAlpha */
    if ( strcmp ( argv[2], "SetPremultipliedAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPremultipliedAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPremultipliedAlpha */
    Tcl_DStringAppendElement ( &dString, " Whether the texture colors are premultiplied by alpha.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPremultipliedAlpha(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetPremultipliedAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PremultipliedAlphaOn */
    if ( strcmp ( argv[2], "PremultipliedAlphaOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PremultipliedAlphaOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PremultipliedAlphaOn */
    Tcl_DStringAppendElement ( &dString, " Whether the texture colors are premultiplied by alpha.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PremultipliedAlphaOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for PremultipliedAlphaOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PremultipliedAlphaOff */
    if ( strcmp ( argv[2], "PremultipliedAlphaOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PremultipliedAlphaOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PremultipliedAlphaOff */
    Tcl_DStringAppendElement ( &dString, " Whether the texture colors are premultiplied by alpha.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PremultipliedAlphaOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for PremultipliedAlphaOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRestrictPowerOf2ImageSmaller */
    if ( strcmp ( argv[2], "GetRestrictPowerOf2ImageSmaller" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRestrictPowerOf2ImageSmaller" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRestrictPowerOf2ImageSmaller */
    Tcl_DStringAppendElement ( &dString, " When the texture is forced to be a power of 2, the default behavior is\n for the \"new\" image's dimensions  to be greater than or equal to with\n respects to the original.  Setting RestrictPowerOf2ImageSmaller to be\n 1 (or ON) with force the new image's dimensions to be less than or equal\n to with respects to the original.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRestrictPowerOf2ImageSmaller();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetRestrictPowerOf2ImageSmaller */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRestrictPowerOf2ImageSmaller */
    if ( strcmp ( argv[2], "SetRestrictPowerOf2ImageSmaller" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRestrictPowerOf2ImageSmaller" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRestrictPowerOf2ImageSmaller */
    Tcl_DStringAppendElement ( &dString, " When the texture is forced to be a power of 2, the default behavior is\n for the \"new\" image's dimensions  to be greater than or equal to with\n respects to the original.  Setting RestrictPowerOf2ImageSmaller to be\n 1 (or ON) with force the new image's dimensions to be less than or equal\n to with respects to the original.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRestrictPowerOf2ImageSmaller(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetRestrictPowerOf2ImageSmaller */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RestrictPowerOf2ImageSmallerOn */
    if ( strcmp ( argv[2], "RestrictPowerOf2ImageSmallerOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestrictPowerOf2ImageSmallerOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestrictPowerOf2ImageSmallerOn */
    Tcl_DStringAppendElement ( &dString, " When the texture is forced to be a power of 2, the default behavior is\n for the \"new\" image's dimensions  to be greater than or equal to with\n respects to the original.  Setting RestrictPowerOf2ImageSmaller to be\n 1 (or ON) with force the new image's dimensions to be less than or equal\n to with respects to the original.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RestrictPowerOf2ImageSmallerOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for RestrictPowerOf2ImageSmallerOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RestrictPowerOf2ImageSmallerOff */
    if ( strcmp ( argv[2], "RestrictPowerOf2ImageSmallerOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestrictPowerOf2ImageSmallerOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestrictPowerOf2ImageSmallerOff */
    Tcl_DStringAppendElement ( &dString, " When the texture is forced to be a power of 2, the default behavior is\n for the \"new\" image's dimensions  to be greater than or equal to with\n respects to the original.  Setting RestrictPowerOf2ImageSmaller to be\n 1 (or ON) with force the new image's dimensions to be less than or equal\n to with respects to the original.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RestrictPowerOf2ImageSmallerOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for RestrictPowerOf2ImageSmallerOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTranslucent */
    if ( strcmp ( argv[2], "IsTranslucent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTranslucent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTranslucent */
    Tcl_DStringAppendElement ( &dString, " Is this Texture Translucent?\n returns false (0) if the texture is either fully opaque or has\n only fully transparent pixels and fully opaque pixels and the\n Interpolate flag is turn off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsTranslucent();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for IsTranslucent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextureUnit */
    if ( strcmp ( argv[2], "GetTextureUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureUnit */
    Tcl_DStringAppendElement ( &dString, " Return the texture unit used for this texture\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTextureUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetTextureUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCubeMap */
    if ( strcmp ( argv[2], "GetCubeMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCubeMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCubeMap */
    Tcl_DStringAppendElement ( &dString, " Is this texture a cube map, if so it needs 6 inputs\n one for each side of the cube. You must set this before\n connecting the inputs. The inputs must all have the same\n size, data type, and depth\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCubeMap();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetCubeMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CubeMapOn */
    if ( strcmp ( argv[2], "CubeMapOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CubeMapOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CubeMapOn */
    Tcl_DStringAppendElement ( &dString, " Is this texture a cube map, if so it needs 6 inputs\n one for each side of the cube. You must set this before\n connecting the inputs. The inputs must all have the same\n size, data type, and depth\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CubeMapOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for CubeMapOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CubeMapOff */
    if ( strcmp ( argv[2], "CubeMapOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CubeMapOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CubeMapOff */
    Tcl_DStringAppendElement ( &dString, " Is this texture a cube map, if so it needs 6 inputs\n one for each side of the cube. You must set this before\n connecting the inputs. The inputs must all have the same\n size, data type, and depth\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CubeMapOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for CubeMapOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCubeMap */
    if ( strcmp ( argv[2], "SetCubeMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCubeMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCubeMap */
    Tcl_DStringAppendElement ( &dString, " Is this texture a cube map, if so it needs 6 inputs\n one for each side of the cube. You must set this before\n connecting the inputs. The inputs must all have the same\n size, data type, and depth\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCubeMap(bool val);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetCubeMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseSRGBColorSpace */
    if ( strcmp ( argv[2], "GetUseSRGBColorSpace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseSRGBColorSpace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseSRGBColorSpace */
    Tcl_DStringAppendElement ( &dString, " Is this texture using the sRGB color space. If you are using a\n sRGB framebuffer or window then you probably also want to be\n using sRGB color textures for proper handling of gamma and\n associated color mixing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseSRGBColorSpace();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for GetUseSRGBColorSpace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseSRGBColorSpace */
    if ( strcmp ( argv[2], "SetUseSRGBColorSpace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseSRGBColorSpace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseSRGBColorSpace */
    Tcl_DStringAppendElement ( &dString, " Is this texture using the sRGB color space. If you are using a\n sRGB framebuffer or window then you probably also want to be\n using sRGB color textures for proper handling of gamma and\n associated color mixing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseSRGBColorSpace(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for SetUseSRGBColorSpace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseSRGBColorSpaceOn */
    if ( strcmp ( argv[2], "UseSRGBColorSpaceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseSRGBColorSpaceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseSRGBColorSpaceOn */
    Tcl_DStringAppendElement ( &dString, " Is this texture using the sRGB color space. If you are using a\n sRGB framebuffer or window then you probably also want to be\n using sRGB color textures for proper handling of gamma and\n associated color mixing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseSRGBColorSpaceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for UseSRGBColorSpaceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseSRGBColorSpaceOff */
    if ( strcmp ( argv[2], "UseSRGBColorSpaceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseSRGBColorSpaceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseSRGBColorSpaceOff */
    Tcl_DStringAppendElement ( &dString, " Is this texture using the sRGB color space. If you are using a\n sRGB framebuffer or window then you probably also want to be\n using sRGB color textures for proper handling of gamma and\n associated color mixing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseSRGBColorSpaceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    /* Closing for UseSRGBColorSpaceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
