// tcl wrapper for vtkOpenGLPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLPolyDataMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkOpenGLPolyDataMapperNewCommand()
{
  vtkOpenGLPolyDataMapper *temp = vtkOpenGLPolyDataMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataMapperCppCommand(vtkPolyDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLPolyDataMapperCppCommand(vtkOpenGLPolyDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkOpenGLPolyDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkOpenGLPolyDataMapperCppCommand(static_cast<vtkOpenGLPolyDataMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLPolyDataMapper_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLPolyDataMapper"),vtkOpenGLPolyDataMapperNewCommand,vtkOpenGLPolyDataMapperCommand);
  return 0;
}

int VTKTCL_EXPORT vtkOpenGLPolyDataMapperCppCommand(vtkOpenGLPolyDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkOpenGLPolyDataMapper",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataMapperCppCommand(static_cast<vtkPolyDataMapper *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataMapper"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkOpenGLPolyDataMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLPolyDataMapper");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkOpenGLPolyDataMapper  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLPolyDataMapper");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkOpenGLPolyDataMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLPolyDataMapper");
    return TCL_OK;
  }
  if ((!strcmp("RenderPiece",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
  {
    op->RenderPiece(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderPieceStart",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
  {
    op->RenderPieceStart(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderPieceDraw",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
  {
    op->RenderPieceDraw(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderPieceFinish",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
  {
    op->RenderPieceFinish(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPopulateSelectionSettings",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPopulateSelectionSettings();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPopulateSelectionSettings",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPopulateSelectionSettings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSupportsSelection",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetSupportsSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetIsOpaque",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetIsOpaque();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPointIdArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetPointIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPointIdArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetPointIdArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetCellIdArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetCellIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCellIdArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetCellIdArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetProcessIdArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetProcessIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetProcessIdArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetProcessIdArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetCompositeIdArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetCompositeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCompositeIdArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetCompositeIdArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetVertexShaderCode",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetVertexShaderCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVertexShaderCode",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetVertexShaderCode();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetFragmentShaderCode",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFragmentShaderCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFragmentShaderCode",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFragmentShaderCode();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetGeometryShaderCode",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetGeometryShaderCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGeometryShaderCode",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetGeometryShaderCode();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
  {
    vtkAbstractMapper  *temp0;
    error = 0;

    temp0 = (vtkAbstractMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractMapper"),interp,error));
    if (!error)
  {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ForceHaveAppleBugOff",argv[1]))&&(argc == 2))
  {
    op->ForceHaveAppleBugOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ForceHaveAppleBugOn",argv[1]))&&(argc == 2))
  {
    op->ForceHaveAppleBugOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetHaveAppleBug",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetHaveAppleBug();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetVBOs",argv[1]))&&(argc == 2))
  {
    vtkOpenGLVertexBufferObjectGroup  *temp20;
    temp20 = (op)->GetVBOs();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLVertexBufferObjectGroup");
    return TCL_OK;
  }
  if ((!strcmp("SetVBOShiftScaleMethod",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetVBOShiftScaleMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("MapDataArrayToVertexAttribute",argv[1]))&&(argc == 6))
  {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
  {
    op->MapDataArrayToVertexAttribute(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RemoveVertexAttributeMapping",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->RemoveVertexAttributeMapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RemoveAllVertexAttributeMappings",argv[1]))&&(argc == 2))
  {
    op->RemoveAllVertexAttributeMappings();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLPolyDataMapperCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLPolyDataMapper:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  RenderPiece\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  RenderPieceStart\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  RenderPieceDraw\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  RenderPieceFinish\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPopulateSelectionSettings\n",nullptr);
    Tcl_AppendResult(interp,"  SetPopulateSelectionSettings\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSupportsSelection\n",nullptr);
    Tcl_AppendResult(interp,"  GetIsOpaque\n",nullptr);
    Tcl_AppendResult(interp,"  SetPointIdArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPointIdArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetCellIdArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellIdArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetProcessIdArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetProcessIdArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetCompositeIdArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCompositeIdArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetVertexShaderCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVertexShaderCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetFragmentShaderCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFragmentShaderCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetGeometryShaderCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGeometryShaderCode\n",nullptr);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ForceHaveAppleBugOff\n",nullptr);
    Tcl_AppendResult(interp,"  ForceHaveAppleBugOn\n",nullptr);
    Tcl_AppendResult(interp,"  GetHaveAppleBug\n",nullptr);
    Tcl_AppendResult(interp,"  GetVBOs\n",nullptr);
    Tcl_AppendResult(interp,"  SetVBOShiftScaleMethod\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  MapDataArrayToVertexAttribute\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  RemoveVertexAttributeMapping\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RemoveAllVertexAttributeMappings\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "RenderPiece" );
    Tcl_DStringAppendElement ( &dString, "RenderPieceStart" );
    Tcl_DStringAppendElement ( &dString, "RenderPieceDraw" );
    Tcl_DStringAppendElement ( &dString, "RenderPieceFinish" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetPopulateSelectionSettings" );
    Tcl_DStringAppendElement ( &dString, "SetPopulateSelectionSettings" );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
    Tcl_DStringAppendElement ( &dString, "GetIsOpaque" );
    Tcl_DStringAppendElement ( &dString, "SetPointIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCellIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetProcessIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetProcessIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCompositeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexShaderCode" );
    Tcl_DStringAppendElement ( &dString, "GetVertexShaderCode" );
    Tcl_DStringAppendElement ( &dString, "SetFragmentShaderCode" );
    Tcl_DStringAppendElement ( &dString, "GetFragmentShaderCode" );
    Tcl_DStringAppendElement ( &dString, "SetGeometryShaderCode" );
    Tcl_DStringAppendElement ( &dString, "GetGeometryShaderCode" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "ForceHaveAppleBugOff" );
    Tcl_DStringAppendElement ( &dString, "ForceHaveAppleBugOn" );
    Tcl_DStringAppendElement ( &dString, "GetHaveAppleBug" );
    Tcl_DStringAppendElement ( &dString, "GetVBOs" );
    Tcl_DStringAppendElement ( &dString, "SetVBOShiftScaleMethod" );
    Tcl_DStringAppendElement ( &dString, "MapDataArrayToVertexAttribute" );
    Tcl_DStringAppendElement ( &dString, "RemoveVertexAttributeMapping" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVertexAttributeMappings" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLPolyDataMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLPolyDataMapper *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderPiece */
    if ( strcmp ( argv[2], "RenderPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderPiece */
    Tcl_DStringAppendElement ( &dString, " Implemented by sub classes. Actual rendering is done here.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderPiece(vtkRenderer *ren, vtkActor *act) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for RenderPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderPieceStart */
    if ( strcmp ( argv[2], "RenderPieceStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderPieceStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderPieceStart */
    Tcl_DStringAppendElement ( &dString, " Implemented by sub classes. Actual rendering is done here.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderPieceStart(vtkRenderer *ren, vtkActor *act);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for RenderPieceStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderPieceDraw */
    if ( strcmp ( argv[2], "RenderPieceDraw" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderPieceDraw" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderPieceDraw */
    Tcl_DStringAppendElement ( &dString, " Implemented by sub classes. Actual rendering is done here.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderPieceDraw(vtkRenderer *ren, vtkActor *act);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for RenderPieceDraw */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderPieceFinish */
    if ( strcmp ( argv[2], "RenderPieceFinish" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderPieceFinish" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderPieceFinish */
    Tcl_DStringAppendElement ( &dString, " Implemented by sub classes. Actual rendering is done here.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderPieceFinish(vtkRenderer *ren, vtkActor *act);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for RenderPieceFinish */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPopulateSelectionSettings */
    if ( strcmp ( argv[2], "GetPopulateSelectionSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPopulateSelectionSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPopulateSelectionSettings */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPopulateSelectionSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetPopulateSelectionSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPopulateSelectionSettings */
    if ( strcmp ( argv[2], "SetPopulateSelectionSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPopulateSelectionSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPopulateSelectionSettings */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPopulateSelectionSettings(int v);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetPopulateSelectionSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSupportsSelection */
    if ( strcmp ( argv[2], "GetSupportsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSupportsSelection */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Used by vtkHardwareSelector to determine if the prop supports hardware\n selection.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetSupportsSelection() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetSupportsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIsOpaque */
    if ( strcmp ( argv[2], "GetIsOpaque" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIsOpaque" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIsOpaque */
    Tcl_DStringAppendElement ( &dString, " Returns if the mapper does not expect to have translucent geometry. This\n may happen when using ScalarMode is set to not map scalars i.e. render the\n scalar array directly as colors and the scalar array has opacity i.e. alpha\n component. Note that even if this method returns true, an actor may treat\n the geometry as translucent since a constant translucency is set on the\n property, for example.\n Overridden to use the actual data and ScalarMode to determine if we have\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetIsOpaque() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetIsOpaque */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPointIdArrayName */
    if ( strcmp ( argv[2], "SetPointIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this class uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointIdArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetPointIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPointIdArrayName */
    if ( strcmp ( argv[2], "GetPointIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this class uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetPointIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetPointIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCellIdArrayName */
    if ( strcmp ( argv[2], "SetCellIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this class uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellIdArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetCellIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellIdArrayName */
    if ( strcmp ( argv[2], "GetCellIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this class uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetCellIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetCellIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetProcessIdArrayName */
    if ( strcmp ( argv[2], "SetProcessIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessIdArrayName */
    Tcl_DStringAppendElement ( &dString, " If this class should override the process id using a data-array,\n set this variable to the name of the array to use. It must be a\n point-array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProcessIdArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetProcessIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProcessIdArrayName */
    if ( strcmp ( argv[2], "GetProcessIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessIdArrayName */
    Tcl_DStringAppendElement ( &dString, " If this class should override the process id using a data-array,\n set this variable to the name of the array to use. It must be a\n point-array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetProcessIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetProcessIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCompositeIdArrayName */
    if ( strcmp ( argv[2], "SetCompositeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompositeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompositeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Generally, this class can render the composite id when iterating\n over composite datasets. However in some cases (as in AMR), the rendered\n structure may not correspond to the input data, in which case we need\n to provide a cell array that can be used to render in the composite id in\n selection passes. Set to NULL (default) to not override the composite id\n color set by vtkCompositePainter if any.\n The array *MUST* be a cell array and of type vtkUnsignedIntArray.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCompositeIdArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetCompositeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCompositeIdArrayName */
    if ( strcmp ( argv[2], "GetCompositeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Generally, this class can render the composite id when iterating\n over composite datasets. However in some cases (as in AMR), the rendered\n structure may not correspond to the input data, in which case we need\n to provide a cell array that can be used to render in the composite id in\n selection passes. Set to NULL (default) to not override the composite id\n color set by vtkCompositePainter if any.\n The array *MUST* be a cell array and of type vtkUnsignedIntArray.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetCompositeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetCompositeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVertexShaderCode */
    if ( strcmp ( argv[2], "SetVertexShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexShaderCode(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetVertexShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVertexShaderCode */
    if ( strcmp ( argv[2], "GetVertexShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetVertexShaderCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetVertexShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFragmentShaderCode */
    if ( strcmp ( argv[2], "SetFragmentShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFragmentShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFragmentShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFragmentShaderCode(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetFragmentShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFragmentShaderCode */
    if ( strcmp ( argv[2], "GetFragmentShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFragmentShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFragmentShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFragmentShaderCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetFragmentShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGeometryShaderCode */
    if ( strcmp ( argv[2], "SetGeometryShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometryShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometryShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGeometryShaderCode(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetGeometryShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGeometryShaderCode */
    if ( strcmp ( argv[2], "GetGeometryShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometryShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometryShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetGeometryShaderCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetGeometryShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Make a shallow copy of this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkAbstractMapper *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ForceHaveAppleBugOff */
    if ( strcmp ( argv[2], "ForceHaveAppleBugOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceHaveAppleBugOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceHaveAppleBugOff */
    Tcl_DStringAppendElement ( &dString, " Override the normal test for the apple bug\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceHaveAppleBugOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for ForceHaveAppleBugOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ForceHaveAppleBugOn */
    if ( strcmp ( argv[2], "ForceHaveAppleBugOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceHaveAppleBugOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceHaveAppleBugOn */
    Tcl_DStringAppendElement ( &dString, " Override the normal test for the apple bug\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceHaveAppleBugOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for ForceHaveAppleBugOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHaveAppleBug */
    if ( strcmp ( argv[2], "GetHaveAppleBug" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHaveAppleBug" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHaveAppleBug */
    Tcl_DStringAppendElement ( &dString, " Get the value of HaveAppleBug\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetHaveAppleBug();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetHaveAppleBug */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVBOs */
    if ( strcmp ( argv[2], "GetVBOs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVBOs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVBOs */
    Tcl_DStringAppendElement ( &dString, " Return the mapper's vertex buffer objects.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkOpenGLVertexBufferObjectGroup *GetVBOs();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for GetVBOs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVBOShiftScaleMethod */
    if ( strcmp ( argv[2], "SetVBOShiftScaleMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVBOShiftScaleMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVBOShiftScaleMethod */
    Tcl_DStringAppendElement ( &dString, "\\brief A convenience method for enabling/disabling\n the VBO's shift+scale transform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVBOShiftScaleMethod(int m);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for SetVBOShiftScaleMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MapDataArrayToVertexAttribute */
    if ( strcmp ( argv[2], "MapDataArrayToVertexAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MapDataArrayToVertexAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MapDataArrayToVertexAttribute */
    Tcl_DStringAppendElement ( &dString, " Select a data array from the point/cell data\n and map it to a generic vertex attribute.\n vertexAttributeName is the name of the vertex attribute.\n dataArrayName is the name of the data array.\n fieldAssociation indicates when the data array is a point data array or\n cell data array (vtkDataObject::FIELD_ASSOCIATION_POINTS or\n (vtkDataObject::FIELD_ASSOCIATION_CELLS).\n componentno indicates which component from the data array must be passed as\n the attribute. If -1, t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void MapDataArrayToVertexAttribute(const char *vertexAttributeName, const char *dataArrayName, int fieldAssociation, int componentno=-1) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for MapDataArrayToVertexAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RemoveVertexAttributeMapping */
    if ( strcmp ( argv[2], "RemoveVertexAttributeMapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveVertexAttributeMapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveVertexAttributeMapping */
    Tcl_DStringAppendElement ( &dString, " Remove a vertex attribute mapping.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveVertexAttributeMapping(const char *vertexAttributeName) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for RemoveVertexAttributeMapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RemoveAllVertexAttributeMappings */
    if ( strcmp ( argv[2], "RemoveAllVertexAttributeMappings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVertexAttributeMappings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllVertexAttributeMappings */
    Tcl_DStringAppendElement ( &dString, " Remove all vertex attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllVertexAttributeMappings() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLPolyDataMapper" );
    /* Closing for RemoveAllVertexAttributeMappings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataMapperCppCommand(static_cast<vtkPolyDataMapper *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
