// tcl wrapper for vtkOpenGLRenderUtilities object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLRenderUtilities.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLRenderUtilitiesCppCommand(vtkOpenGLRenderUtilities *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkOpenGLRenderUtilitiesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkOpenGLRenderUtilitiesCppCommand(static_cast<vtkOpenGLRenderUtilities *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLRenderUtilities_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkOpenGLRenderUtilitiesCppCommand(vtkOpenGLRenderUtilities *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkOpenGLRenderUtilities",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkOpenGLRenderUtilities  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLRenderUtilities");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkOpenGLRenderUtilities  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLRenderUtilities");
    return TCL_OK;
  }
  if ((!strcmp("GetFullScreenQuadVertexShader",argv[1]))&&(argc == 2))
  {
    std::string   temp20;
    temp20 = (op)->GetFullScreenQuadVertexShader();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFullScreenQuadFragmentShaderTemplate",argv[1]))&&(argc == 2))
  {
    std::string   temp20;
    temp20 = (op)->GetFullScreenQuadFragmentShaderTemplate();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFullScreenQuadGeometryShader",argv[1]))&&(argc == 2))
  {
    std::string   temp20;
    temp20 = (op)->GetFullScreenQuadGeometryShader();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawFullScreenQuad",argv[1]))&&(argc == 2))
  {
    op->DrawFullScreenQuad();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLRenderUtilitiesCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLRenderUtilities:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetFullScreenQuadVertexShader\n",nullptr);
    Tcl_AppendResult(interp,"  GetFullScreenQuadFragmentShaderTemplate\n",nullptr);
    Tcl_AppendResult(interp,"  GetFullScreenQuadGeometryShader\n",nullptr);
    Tcl_AppendResult(interp,"  DrawFullScreenQuad\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetFullScreenQuadVertexShader" );
    Tcl_DStringAppendElement ( &dString, "GetFullScreenQuadFragmentShaderTemplate" );
    Tcl_DStringAppendElement ( &dString, "GetFullScreenQuadGeometryShader" );
    Tcl_DStringAppendElement ( &dString, "DrawFullScreenQuad" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLRenderUtilities *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFullScreenQuadVertexShader */
    if ( strcmp ( argv[2], "GetFullScreenQuadVertexShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFullScreenQuadVertexShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFullScreenQuadVertexShader */
    Tcl_DStringAppendElement ( &dString, " Draw a full-screen quad:\n * VertexShader and GeometryShader should be used as-is when building the\n ShaderProgram.\n * FragmentShaderTemplate supports the replacements //VTK::FSQ::Decl and\n //VTK::FSQ::Impl for declaring variables and the shader body,\n respectively.\n * The varying texCoord is available to the fragment shader for texture\n lookups into full-screen textures, ie. texture2D(textureName, texCoord).\n * PrepFullScreenVAO initializes a new VAO for drawing a q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static std::string GetFullScreenQuadVertexShader();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for GetFullScreenQuadVertexShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFullScreenQuadFragmentShaderTemplate */
    if ( strcmp ( argv[2], "GetFullScreenQuadFragmentShaderTemplate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFullScreenQuadFragmentShaderTemplate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFullScreenQuadFragmentShaderTemplate */
    Tcl_DStringAppendElement ( &dString, " Draw a full-screen quad:\n * VertexShader and GeometryShader should be used as-is when building the\n ShaderProgram.\n * FragmentShaderTemplate supports the replacements //VTK::FSQ::Decl and\n //VTK::FSQ::Impl for declaring variables and the shader body,\n respectively.\n * The varying texCoord is available to the fragment shader for texture\n lookups into full-screen textures, ie. texture2D(textureName, texCoord).\n * PrepFullScreenVAO initializes a new VAO for drawing a q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static std::string GetFullScreenQuadFragmentShaderTemplate();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for GetFullScreenQuadFragmentShaderTemplate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFullScreenQuadGeometryShader */
    if ( strcmp ( argv[2], "GetFullScreenQuadGeometryShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFullScreenQuadGeometryShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFullScreenQuadGeometryShader */
    Tcl_DStringAppendElement ( &dString, " Draw a full-screen quad:\n * VertexShader and GeometryShader should be used as-is when building the\n ShaderProgram.\n * FragmentShaderTemplate supports the replacements //VTK::FSQ::Decl and\n //VTK::FSQ::Impl for declaring variables and the shader body,\n respectively.\n * The varying texCoord is available to the fragment shader for texture\n lookups into full-screen textures, ie. texture2D(textureName, texCoord).\n * PrepFullScreenVAO initializes a new VAO for drawing a q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static std::string GetFullScreenQuadGeometryShader();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for GetFullScreenQuadGeometryShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawFullScreenQuad */
    if ( strcmp ( argv[2], "DrawFullScreenQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawFullScreenQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawFullScreenQuad */
    Tcl_DStringAppendElement ( &dString, " Draw a full-screen quad:\n * VertexShader and GeometryShader should be used as-is when building the\n ShaderProgram.\n * FragmentShaderTemplate supports the replacements //VTK::FSQ::Decl and\n //VTK::FSQ::Impl for declaring variables and the shader body,\n respectively.\n * The varying texCoord is available to the fragment shader for texture\n lookups into full-screen textures, ie. texture2D(textureName, texCoord).\n * PrepFullScreenVAO initializes a new VAO for drawing a q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static void DrawFullScreenQuad();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderUtilities" );
    /* Closing for DrawFullScreenQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
