// tcl wrapper for vtkMultiBlockVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiBlockVolumeMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkMultiBlockVolumeMapperNewCommand()
{
  vtkMultiBlockVolumeMapper *temp = vtkMultiBlockVolumeMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMultiBlockVolumeMapperCppCommand(vtkMultiBlockVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkMultiBlockVolumeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkMultiBlockVolumeMapperCppCommand(static_cast<vtkMultiBlockVolumeMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMultiBlockVolumeMapper_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiBlockVolumeMapper"),vtkMultiBlockVolumeMapperNewCommand,vtkMultiBlockVolumeMapperCommand);
  return 0;
}

int VTKTCL_EXPORT vtkMultiBlockVolumeMapperCppCommand(vtkMultiBlockVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkMultiBlockVolumeMapper",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkMultiBlockVolumeMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiBlockVolumeMapper");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkMultiBlockVolumeMapper  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiBlockVolumeMapper");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkMultiBlockVolumeMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiBlockVolumeMapper");
    return TCL_OK;
  }
  if ((!strcmp("SelectScalarArray",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SelectScalarArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SelectScalarArray",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SelectScalarArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetArrayAccessMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetArrayAccessMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
  {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetVectorMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetVectorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVectorMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetVectorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetVectorComponent",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetVectorComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVectorComponent",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetVectorComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetJitteringResolution",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetJitteringResolution(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBlendMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetBlendMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetCropping",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCropping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetCroppingRegionPlanes",argv[1]))&&(argc == 8))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
  {
    op->SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetCroppingRegionFlags",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCroppingRegionFlags(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkMultiBlockVolumeMapperCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMultiBlockVolumeMapper:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SelectScalarArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SelectScalarArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetArrayAccessMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetVectorMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVectorMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetVectorComponent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVectorComponent\n",nullptr);
    Tcl_AppendResult(interp,"  SetJitteringResolution\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetBlendMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetCropping\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetCroppingRegionPlanes\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlags\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetArrayAccessMode" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetVectorMode" );
    Tcl_DStringAppendElement ( &dString, "GetVectorMode" );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponent" );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponent" );
    Tcl_DStringAppendElement ( &dString, "SetJitteringResolution" );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMultiBlockVolumeMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMultiBlockVolumeMapper *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SelectScalarArray */
    if ( strcmp ( argv[2], "SelectScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectScalarArray */
    Tcl_DStringAppendElement ( &dString, " \\brief API Superclass\n \\sa vtkAbstractVolumeMapper\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectScalarArray(int arrayNum) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SelectScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SelectScalarArray */
    if ( strcmp ( argv[2], "SelectScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectScalarArray */
    Tcl_DStringAppendElement ( &dString, " \\brief API Superclass\n \\sa vtkAbstractVolumeMapper\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectScalarArray(char const *arrayName) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SelectScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " \\brief API Superclass\n \\sa vtkAbstractVolumeMapper\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode(int ScalarMode) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetArrayAccessMode */
    if ( strcmp ( argv[2], "SetArrayAccessMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayAccessMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayAccessMode */
    Tcl_DStringAppendElement ( &dString, " \\brief API Superclass\n \\sa vtkAbstractVolumeMapper\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrayAccessMode(int accessMode) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetArrayAccessMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Render the current dataset.\n\n \\warning Internal method - not intended for general use, do\n NOT use this method outside of the rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "void Render(vtkRenderer *ren, vtkVolume *vol) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " \\warning Internal method - not intended for general use, do\n NOT use this method outside of the rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *window) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVectorMode */
    if ( strcmp ( argv[2], "SetVectorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorMode */
    Tcl_DStringAppendElement ( &dString, " VectorMode interface exposed from vtkSmartVolumeMapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetVectorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVectorMode */
    if ( strcmp ( argv[2], "GetVectorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorMode */
    Tcl_DStringAppendElement ( &dString, " VectorMode interface exposed from vtkSmartVolumeMapper.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVectorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for GetVectorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVectorComponent */
    if ( strcmp ( argv[2], "SetVectorComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorComponent */
    Tcl_DStringAppendElement ( &dString, " VectorMode interface exposed from vtkSmartVolumeMapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorComponent(int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetVectorComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVectorComponent */
    if ( strcmp ( argv[2], "GetVectorComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorComponent */
    Tcl_DStringAppendElement ( &dString, " VectorMode interface exposed from vtkSmartVolumeMapper.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVectorComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for GetVectorComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetJitteringResolution */
    if ( strcmp ( argv[2], "SetJitteringResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJitteringResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJitteringResolution */
    Tcl_DStringAppendElement ( &dString, " Set the resolution of the noise texture used for ray jittering (viewport's\n resolution is normally a good choice).  In this mapper jittering is used to\n alleviate seam artifacts at the block edges due to discontinuous resolution\n between blocks.  Jittering is disabled by default until valid resolution is\n set (e.g. x > 0 && y > 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJitteringResolution(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetJitteringResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBlendMode */
    if ( strcmp ( argv[2], "SetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Blending mode API from vtkVolumeMapper\n \\sa vtkVolumeMapper::SetBlendMode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendMode(int mode) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCropping */
    if ( strcmp ( argv[2], "SetCropping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCropping */
    Tcl_DStringAppendElement ( &dString, " Cropping API from vtkVolumeMapper\n \\sa vtkVolumeMapper::SetCropping\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCropping(int mode) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetCropping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCroppingRegionPlanes */
    if ( strcmp ( argv[2], "SetCroppingRegionPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionPlanes */
    Tcl_DStringAppendElement ( &dString, " \\sa vtkVolumeMapper::SetCroppingRegionPlanes\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionPlanes(double arg1, double arg2, double arg3, double arg4, double arg5, double arg6) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetCroppingRegionPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCroppingRegionFlags */
    if ( strcmp ( argv[2], "SetCroppingRegionFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlags */
    Tcl_DStringAppendElement ( &dString, " \\sa vtkVolumeMapper::SetCroppingRegionFlags\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionFlags(int mode) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for SetCroppingRegionFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockVolumeMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
