// python wrapper for vtkGeoGraticule
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkGeoGraticule.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoGraticule(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkGeoGraticule_ClassNew(); }

#ifndef DECLARED_PyvtkPolyDataAlgorithm_ClassNew
extern "C" { PyObject *PyvtkPolyDataAlgorithm_ClassNew(); }
#define DECLARED_PyvtkPolyDataAlgorithm_ClassNew
#endif

static const char *PyvtkGeoGraticule_Doc =
  "vtkGeoGraticule - Create a polygonal lat-long grid\n\n"
  "Superclass: vtkPolyDataAlgorithm\n\n"
  "This filter generates polydata to illustrate the distortions\n"
  "introduced by a map projection. The level parameter specifies the\n"
  "number of lines to be drawn. Poles are treated differently than other\n"
  "regions; hence the use of a Level parameter instead of a\n"
  "NumberOfLines parameter. The latitude and longitude are specified as\n"
  "half-open intervals with units of degrees. By default the latitude\n"
  "bounds are [-90,90[ and the longitude bounds are [0,180[.\n\n";

static PyTypeObject PyvtkGeoGraticule_LevelLimits_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoGraticule.LevelLimits", // tp_name
  sizeof(PyIntObject), // tp_basicsize
  0, // tp_itemsize
  nullptr, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  nullptr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  nullptr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  nullptr, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  &PyInt_Type, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  nullptr, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

PyObject *PyvtkGeoGraticule_LevelLimits_FromEnum(int val)
{
#ifdef VTK_PY3K
  PyObject *args = Py_BuildValue("(i)", val);
  PyObject *obj = PyLong_Type.tp_new(&PyvtkGeoGraticule_LevelLimits_Type, args, nullptr);
  Py_DECREF(args);
  return obj;
#else
  PyIntObject *self = PyObject_New(PyIntObject,
    &PyvtkGeoGraticule_LevelLimits_Type);
  self->ob_ival = val;
  return (PyObject *)self;
#endif
}

static PyTypeObject PyvtkGeoGraticule_GeometryType_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoGraticule.GeometryType", // tp_name
  sizeof(PyIntObject), // tp_basicsize
  0, // tp_itemsize
  nullptr, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  nullptr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  nullptr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  nullptr, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  &PyInt_Type, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  nullptr, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

PyObject *PyvtkGeoGraticule_GeometryType_FromEnum(int val)
{
#ifdef VTK_PY3K
  PyObject *args = Py_BuildValue("(i)", val);
  PyObject *obj = PyLong_Type.tp_new(&PyvtkGeoGraticule_GeometryType_Type, args, nullptr);
  Py_DECREF(args);
  return obj;
#else
  PyIntObject *self = PyObject_New(PyIntObject,
    &PyvtkGeoGraticule_GeometryType_Type);
  self->ob_ival = val;
  return (PyObject *)self;
#endif
}


static PyObject *
PyvtkGeoGraticule_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkGeoGraticule::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoGraticule::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkGeoGraticule *tempr = vtkGeoGraticule::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoGraticule *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoGraticule::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_SetLatitudeBounds_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLatitudeBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  double temp0;
  double temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    if (ap.IsBound())
    {
      op->SetLatitudeBounds(temp0, temp1);
    }
    else
    {
      op->vtkGeoGraticule::SetLatitudeBounds(temp0, temp1);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoGraticule_SetLatitudeBounds_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLatitudeBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  const int size0 = 2;
  double temp0[2];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    if (ap.IsBound())
    {
      op->SetLatitudeBounds(temp0);
    }
    else
    {
      op->vtkGeoGraticule::SetLatitudeBounds(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoGraticule_SetLatitudeBounds(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 2:
      return PyvtkGeoGraticule_SetLatitudeBounds_s1(self, args);
    case 1:
      return PyvtkGeoGraticule_SetLatitudeBounds_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "SetLatitudeBounds");
  return nullptr;
}



static PyObject *
PyvtkGeoGraticule_GetLatitudeBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLatitudeBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  int sizer = 2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetLatitudeBounds() :
      op->vtkGeoGraticule::GetLatitudeBounds());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_SetLongitudeBounds_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLongitudeBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  double temp0;
  double temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    if (ap.IsBound())
    {
      op->SetLongitudeBounds(temp0, temp1);
    }
    else
    {
      op->vtkGeoGraticule::SetLongitudeBounds(temp0, temp1);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoGraticule_SetLongitudeBounds_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLongitudeBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  const int size0 = 2;
  double temp0[2];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    if (ap.IsBound())
    {
      op->SetLongitudeBounds(temp0);
    }
    else
    {
      op->vtkGeoGraticule::SetLongitudeBounds(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoGraticule_SetLongitudeBounds(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 2:
      return PyvtkGeoGraticule_SetLongitudeBounds_s1(self, args);
    case 1:
      return PyvtkGeoGraticule_SetLongitudeBounds_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "SetLongitudeBounds");
  return nullptr;
}



static PyObject *
PyvtkGeoGraticule_GetLongitudeBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLongitudeBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  int sizer = 2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetLongitudeBounds() :
      op->vtkGeoGraticule::GetLongitudeBounds());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_SetLatitudeLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLatitudeLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLatitudeLevel(temp0);
    }
    else
    {
      op->vtkGeoGraticule::SetLatitudeLevel(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLatitudeLevelMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLatitudeLevelMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetLatitudeLevelMinValue() :
      op->vtkGeoGraticule::GetLatitudeLevelMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLatitudeLevelMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLatitudeLevelMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetLatitudeLevelMaxValue() :
      op->vtkGeoGraticule::GetLatitudeLevelMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLatitudeLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLatitudeLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetLatitudeLevel() :
      op->vtkGeoGraticule::GetLatitudeLevel());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_SetLongitudeLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLongitudeLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLongitudeLevel(temp0);
    }
    else
    {
      op->vtkGeoGraticule::SetLongitudeLevel(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLongitudeLevelMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLongitudeLevelMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetLongitudeLevelMinValue() :
      op->vtkGeoGraticule::GetLongitudeLevelMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLongitudeLevelMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLongitudeLevelMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetLongitudeLevelMaxValue() :
      op->vtkGeoGraticule::GetLongitudeLevelMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLongitudeLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLongitudeLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetLongitudeLevel() :
      op->vtkGeoGraticule::GetLongitudeLevel());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLatitudeDelta(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetLatitudeDelta");

  int temp0;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    double tempr = vtkGeoGraticule::GetLatitudeDelta(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetLongitudeDelta(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetLongitudeDelta");

  int temp0;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    double tempr = vtkGeoGraticule::GetLongitudeDelta(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_SetGeometryType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGeometryType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetGeometryType(temp0);
    }
    else
    {
      op->vtkGeoGraticule::SetGeometryType(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoGraticule_GetGeometryType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGeometryType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoGraticule *op = static_cast<vtkGeoGraticule *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetGeometryType() :
      op->vtkGeoGraticule::GetGeometryType());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkGeoGraticule_Methods[] = {
  {"IsTypeOf", PyvtkGeoGraticule_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkGeoGraticule_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkGeoGraticule_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkGeoGraticule\nC++: static vtkGeoGraticule *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkGeoGraticule_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkGeoGraticule\nC++: vtkGeoGraticule *NewInstance()\n\n"},
  {"SetLatitudeBounds", PyvtkGeoGraticule_SetLatitudeBounds, METH_VARARGS,
   "V.SetLatitudeBounds(float, float)\nC++: void SetLatitudeBounds(double, double)\nV.SetLatitudeBounds((float, float))\nC++: void SetLatitudeBounds(double a[2])\n\n"},
  {"GetLatitudeBounds", PyvtkGeoGraticule_GetLatitudeBounds, METH_VARARGS,
   "V.GetLatitudeBounds() -> (float, float)\nC++: double *GetLatitudeBounds()\n\n"},
  {"SetLongitudeBounds", PyvtkGeoGraticule_SetLongitudeBounds, METH_VARARGS,
   "V.SetLongitudeBounds(float, float)\nC++: void SetLongitudeBounds(double, double)\nV.SetLongitudeBounds((float, float))\nC++: void SetLongitudeBounds(double a[2])\n\n"},
  {"GetLongitudeBounds", PyvtkGeoGraticule_GetLongitudeBounds, METH_VARARGS,
   "V.GetLongitudeBounds() -> (float, float)\nC++: double *GetLongitudeBounds()\n\n"},
  {"SetLatitudeLevel", PyvtkGeoGraticule_SetLatitudeLevel, METH_VARARGS,
   "V.SetLatitudeLevel(int)\nC++: virtual void SetLatitudeLevel(int _arg)\n\nThe frequency level of latitude lines.\n"},
  {"GetLatitudeLevelMinValue", PyvtkGeoGraticule_GetLatitudeLevelMinValue, METH_VARARGS,
   "V.GetLatitudeLevelMinValue() -> int\nC++: virtual int GetLatitudeLevelMinValue()\n\nThe frequency level of latitude lines.\n"},
  {"GetLatitudeLevelMaxValue", PyvtkGeoGraticule_GetLatitudeLevelMaxValue, METH_VARARGS,
   "V.GetLatitudeLevelMaxValue() -> int\nC++: virtual int GetLatitudeLevelMaxValue()\n\nThe frequency level of latitude lines.\n"},
  {"GetLatitudeLevel", PyvtkGeoGraticule_GetLatitudeLevel, METH_VARARGS,
   "V.GetLatitudeLevel() -> int\nC++: virtual int GetLatitudeLevel()\n\nThe frequency level of latitude lines.\n"},
  {"SetLongitudeLevel", PyvtkGeoGraticule_SetLongitudeLevel, METH_VARARGS,
   "V.SetLongitudeLevel(int)\nC++: virtual void SetLongitudeLevel(int _arg)\n\nThe frequency level of longitude lines.\n"},
  {"GetLongitudeLevelMinValue", PyvtkGeoGraticule_GetLongitudeLevelMinValue, METH_VARARGS,
   "V.GetLongitudeLevelMinValue() -> int\nC++: virtual int GetLongitudeLevelMinValue()\n\nThe frequency level of longitude lines.\n"},
  {"GetLongitudeLevelMaxValue", PyvtkGeoGraticule_GetLongitudeLevelMaxValue, METH_VARARGS,
   "V.GetLongitudeLevelMaxValue() -> int\nC++: virtual int GetLongitudeLevelMaxValue()\n\nThe frequency level of longitude lines.\n"},
  {"GetLongitudeLevel", PyvtkGeoGraticule_GetLongitudeLevel, METH_VARARGS,
   "V.GetLongitudeLevel() -> int\nC++: virtual int GetLongitudeLevel()\n\nThe frequency level of longitude lines.\n"},
  {"GetLatitudeDelta", PyvtkGeoGraticule_GetLatitudeDelta, METH_VARARGS,
   "V.GetLatitudeDelta(int) -> float\nC++: static double GetLatitudeDelta(int level)\n\nThe latitude delta at a certain frequency level.\n"},
  {"GetLongitudeDelta", PyvtkGeoGraticule_GetLongitudeDelta, METH_VARARGS,
   "V.GetLongitudeDelta(int) -> float\nC++: static double GetLongitudeDelta(int level)\n\nThe longitude delta at a certain frequency level.\n"},
  {"SetGeometryType", PyvtkGeoGraticule_SetGeometryType, METH_VARARGS,
   "V.SetGeometryType(int)\nC++: virtual void SetGeometryType(int _arg)\n\nSet//get the type(s) of cells that will be output by the filter.\nBy default, polylines are output. You may also request\nquadrilaterals. This is a bit vector of GeometryType enums.\n"},
  {"GetGeometryType", PyvtkGeoGraticule_GetGeometryType, METH_VARARGS,
   "V.GetGeometryType() -> int\nC++: virtual int GetGeometryType()\n\nSet//get the type(s) of cells that will be output by the filter.\nBy default, polylines are output. You may also request\nquadrilaterals. This is a bit vector of GeometryType enums.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkGeoGraticule_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoGraticule", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkGeoGraticule_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkGeoGraticule_StaticNew()
{
  return vtkGeoGraticule::New();
}

PyObject *PyvtkGeoGraticule_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkGeoGraticule_Type, PyvtkGeoGraticule_Methods,
    "vtkGeoGraticule",
 &PyvtkGeoGraticule_StaticNew);

  PyTypeObject *pytype = &PyvtkGeoGraticule_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkPolyDataAlgorithm_ClassNew();

  PyObject *d = pytype->tp_dict;
  PyObject *o;

  PyType_Ready(&PyvtkGeoGraticule_LevelLimits_Type);
  PyvtkGeoGraticule_LevelLimits_Type.tp_new = nullptr;
  vtkPythonUtil::AddEnumToMap(&PyvtkGeoGraticule_LevelLimits_Type);

  o = (PyObject *)&PyvtkGeoGraticule_LevelLimits_Type;
  if (PyDict_SetItemString(d, "LevelLimits", o) != 0)
  {
    Py_DECREF(o);
  }

  PyType_Ready(&PyvtkGeoGraticule_GeometryType_Type);
  PyvtkGeoGraticule_GeometryType_Type.tp_new = nullptr;
  vtkPythonUtil::AddEnumToMap(&PyvtkGeoGraticule_GeometryType_Type);

  o = (PyObject *)&PyvtkGeoGraticule_GeometryType_Type;
  if (PyDict_SetItemString(d, "GeometryType", o) != 0)
  {
    Py_DECREF(o);
  }

  for (int c = 0; c < 3; c++)
  {
    typedef vtkGeoGraticule::LevelLimits cxx_enum_type;

    static const struct { const char *name; cxx_enum_type value; }
      constants[3] = {
        { "LEVEL_MIN", vtkGeoGraticule::LEVEL_MIN },
        { "LEVEL_MAX", vtkGeoGraticule::LEVEL_MAX },
        { "NUMBER_OF_LEVELS", vtkGeoGraticule::NUMBER_OF_LEVELS },
      };

    o = PyvtkGeoGraticule_LevelLimits_FromEnum(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  for (int c = 0; c < 2; c++)
  {
    static const struct { const char *name; int value; }
      constants[2] = {
        { "POLYLINES", vtkGeoGraticule::POLYLINES },
        { "QUADRILATERALS", vtkGeoGraticule::QUADRILATERALS },
      };

    o = PyvtkGeoGraticule_GeometryType_FromEnum(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkGeoGraticule(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkGeoGraticule_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkGeoGraticule", o) != 0)
  {
    Py_DECREF(o);
  }

}

