// python wrapper for vtkGeoSampleArcs
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkGeoSampleArcs.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoSampleArcs(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkGeoSampleArcs_ClassNew(); }

#ifndef DECLARED_PyvtkPolyDataAlgorithm_ClassNew
extern "C" { PyObject *PyvtkPolyDataAlgorithm_ClassNew(); }
#define DECLARED_PyvtkPolyDataAlgorithm_ClassNew
#endif

static const char *PyvtkGeoSampleArcs_Doc =
  "vtkGeoSampleArcs - Samples geospatial lines at regular intervals.\n\n"
  "Superclass: vtkPolyDataAlgorithm\n\n"
  "vtkGeoSampleArcs refines lines in the input polygonal data so that\n"
  "the distance between adjacent points is no more than a threshold\n"
  "distance. Points are interpolated along the surface of the globe.\n"
  "This is useful in order to keep lines such as political boundaries\n"
  "from intersecting the globe and becoming invisible.\n\n";


static PyObject *
PyvtkGeoSampleArcs_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkGeoSampleArcs::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoSampleArcs::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkGeoSampleArcs *tempr = vtkGeoSampleArcs::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoSampleArcs *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoSampleArcs::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetGlobeRadius(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlobeRadius");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetGlobeRadius(temp0);
    }
    else
    {
      op->vtkGeoSampleArcs::SetGlobeRadius(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_GetGlobeRadius(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlobeRadius");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetGlobeRadius() :
      op->vtkGeoSampleArcs::GetGlobeRadius());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetMaximumDistanceMeters(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumDistanceMeters");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetMaximumDistanceMeters(temp0);
    }
    else
    {
      op->vtkGeoSampleArcs::SetMaximumDistanceMeters(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_GetMaximumDistanceMeters(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumDistanceMeters");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetMaximumDistanceMeters() :
      op->vtkGeoSampleArcs::GetMaximumDistanceMeters());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetInputCoordinateSystem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputCoordinateSystem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetInputCoordinateSystem(temp0);
    }
    else
    {
      op->vtkGeoSampleArcs::SetInputCoordinateSystem(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_GetInputCoordinateSystem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInputCoordinateSystem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetInputCoordinateSystem() :
      op->vtkGeoSampleArcs::GetInputCoordinateSystem());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetInputCoordinateSystemToRectangular(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputCoordinateSystemToRectangular");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->SetInputCoordinateSystemToRectangular();
    }
    else
    {
      op->vtkGeoSampleArcs::SetInputCoordinateSystemToRectangular();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetInputCoordinateSystemToSpherical(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputCoordinateSystemToSpherical");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->SetInputCoordinateSystemToSpherical();
    }
    else
    {
      op->vtkGeoSampleArcs::SetInputCoordinateSystemToSpherical();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetOutputCoordinateSystem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputCoordinateSystem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetOutputCoordinateSystem(temp0);
    }
    else
    {
      op->vtkGeoSampleArcs::SetOutputCoordinateSystem(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_GetOutputCoordinateSystem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputCoordinateSystem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetOutputCoordinateSystem() :
      op->vtkGeoSampleArcs::GetOutputCoordinateSystem());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetOutputCoordinateSystemToRectangular(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputCoordinateSystemToRectangular");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->SetOutputCoordinateSystemToRectangular();
    }
    else
    {
      op->vtkGeoSampleArcs::SetOutputCoordinateSystemToRectangular();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoSampleArcs_SetOutputCoordinateSystemToSpherical(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputCoordinateSystemToSpherical");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoSampleArcs *op = static_cast<vtkGeoSampleArcs *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->SetOutputCoordinateSystemToSpherical();
    }
    else
    {
      op->vtkGeoSampleArcs::SetOutputCoordinateSystemToSpherical();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkGeoSampleArcs_Methods[] = {
  {"IsTypeOf", PyvtkGeoSampleArcs_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkGeoSampleArcs_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkGeoSampleArcs_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkGeoSampleArcs\nC++: static vtkGeoSampleArcs *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkGeoSampleArcs_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkGeoSampleArcs\nC++: vtkGeoSampleArcs *NewInstance()\n\n"},
  {"SetGlobeRadius", PyvtkGeoSampleArcs_SetGlobeRadius, METH_VARARGS,
   "V.SetGlobeRadius(float)\nC++: virtual void SetGlobeRadius(double _arg)\n\nThe base radius used to determine the earth's surface. Default is\nthe earth's radius in meters. TODO: Change this to take in a\nvtkGeoTerrain to get altitude.\n"},
  {"GetGlobeRadius", PyvtkGeoSampleArcs_GetGlobeRadius, METH_VARARGS,
   "V.GetGlobeRadius() -> float\nC++: virtual double GetGlobeRadius()\n\nThe base radius used to determine the earth's surface. Default is\nthe earth's radius in meters. TODO: Change this to take in a\nvtkGeoTerrain to get altitude.\n"},
  {"SetMaximumDistanceMeters", PyvtkGeoSampleArcs_SetMaximumDistanceMeters, METH_VARARGS,
   "V.SetMaximumDistanceMeters(float)\nC++: virtual void SetMaximumDistanceMeters(double _arg)\n\nThe maximum distance, in meters, between adjacent points.\n"},
  {"GetMaximumDistanceMeters", PyvtkGeoSampleArcs_GetMaximumDistanceMeters, METH_VARARGS,
   "V.GetMaximumDistanceMeters() -> float\nC++: virtual double GetMaximumDistanceMeters()\n\nThe maximum distance, in meters, between adjacent points.\n"},
  {"SetInputCoordinateSystem", PyvtkGeoSampleArcs_SetInputCoordinateSystem, METH_VARARGS,
   "V.SetInputCoordinateSystem(int)\nC++: virtual void SetInputCoordinateSystem(int _arg)\n\nThe input coordinate system. RECTANGULAR is x,y,z meters relative\nthe the earth center. SPHERICAL is longitude,latitude,altitude.\n"},
  {"GetInputCoordinateSystem", PyvtkGeoSampleArcs_GetInputCoordinateSystem, METH_VARARGS,
   "V.GetInputCoordinateSystem() -> int\nC++: virtual int GetInputCoordinateSystem()\n\nThe input coordinate system. RECTANGULAR is x,y,z meters relative\nthe the earth center. SPHERICAL is longitude,latitude,altitude.\n"},
  {"SetInputCoordinateSystemToRectangular", PyvtkGeoSampleArcs_SetInputCoordinateSystemToRectangular, METH_VARARGS,
   "V.SetInputCoordinateSystemToRectangular()\nC++: virtual void SetInputCoordinateSystemToRectangular()\n\nThe input coordinate system. RECTANGULAR is x,y,z meters relative\nthe the earth center. SPHERICAL is longitude,latitude,altitude.\n"},
  {"SetInputCoordinateSystemToSpherical", PyvtkGeoSampleArcs_SetInputCoordinateSystemToSpherical, METH_VARARGS,
   "V.SetInputCoordinateSystemToSpherical()\nC++: virtual void SetInputCoordinateSystemToSpherical()\n\nThe input coordinate system. RECTANGULAR is x,y,z meters relative\nthe the earth center. SPHERICAL is longitude,latitude,altitude.\n"},
  {"SetOutputCoordinateSystem", PyvtkGeoSampleArcs_SetOutputCoordinateSystem, METH_VARARGS,
   "V.SetOutputCoordinateSystem(int)\nC++: virtual void SetOutputCoordinateSystem(int _arg)\n\nThe desired output coordinate system. RECTANGULAR is x,y,z meters\nrelative the the earth center. SPHERICAL is\nlongitude,latitude,altitude.\n"},
  {"GetOutputCoordinateSystem", PyvtkGeoSampleArcs_GetOutputCoordinateSystem, METH_VARARGS,
   "V.GetOutputCoordinateSystem() -> int\nC++: virtual int GetOutputCoordinateSystem()\n\nThe desired output coordinate system. RECTANGULAR is x,y,z meters\nrelative the the earth center. SPHERICAL is\nlongitude,latitude,altitude.\n"},
  {"SetOutputCoordinateSystemToRectangular", PyvtkGeoSampleArcs_SetOutputCoordinateSystemToRectangular, METH_VARARGS,
   "V.SetOutputCoordinateSystemToRectangular()\nC++: virtual void SetOutputCoordinateSystemToRectangular()\n\nThe desired output coordinate system. RECTANGULAR is x,y,z meters\nrelative the the earth center. SPHERICAL is\nlongitude,latitude,altitude.\n"},
  {"SetOutputCoordinateSystemToSpherical", PyvtkGeoSampleArcs_SetOutputCoordinateSystemToSpherical, METH_VARARGS,
   "V.SetOutputCoordinateSystemToSpherical()\nC++: virtual void SetOutputCoordinateSystemToSpherical()\n\nThe desired output coordinate system. RECTANGULAR is x,y,z meters\nrelative the the earth center. SPHERICAL is\nlongitude,latitude,altitude.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkGeoSampleArcs_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoSampleArcs", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkGeoSampleArcs_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkGeoSampleArcs_StaticNew()
{
  return vtkGeoSampleArcs::New();
}

PyObject *PyvtkGeoSampleArcs_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkGeoSampleArcs_Type, PyvtkGeoSampleArcs_Methods,
    "vtkGeoSampleArcs",
 &PyvtkGeoSampleArcs_StaticNew);

  PyTypeObject *pytype = &PyvtkGeoSampleArcs_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkPolyDataAlgorithm_ClassNew();

  PyObject *d = pytype->tp_dict;
  PyObject *o;

  for (int c = 0; c < 2; c++)
  {
    static const struct { const char *name; int value; }
      constants[2] = {
        { "RECTANGULAR", vtkGeoSampleArcs::RECTANGULAR },
        { "SPHERICAL", vtkGeoSampleArcs::SPHERICAL },
      };

    o = PyInt_FromLong(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkGeoSampleArcs(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkGeoSampleArcs_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkGeoSampleArcs", o) != 0)
  {
    Py_DECREF(o);
  }

}

