// python wrapper for vtkGeoTerrainNode
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkGeoTerrainNode.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoTerrainNode(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkGeoTerrainNode_ClassNew(); }

#ifndef DECLARED_PyvtkGeoTreeNode_ClassNew
extern "C" { PyObject *PyvtkGeoTreeNode_ClassNew(); }
#define DECLARED_PyvtkGeoTreeNode_ClassNew
#endif

static const char *PyvtkGeoTerrainNode_Doc =
  "vtkGeoTerrainNode - \n\n"
  "Superclass: vtkGeoTreeNode\n\n"
;


static PyObject *
PyvtkGeoTerrainNode_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkGeoTerrainNode::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoTerrainNode::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkGeoTerrainNode *tempr = vtkGeoTerrainNode::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoTerrainNode *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoTerrainNode::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetChild(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChild");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    vtkGeoTerrainNode *tempr = (ap.IsBound() ?
      op->GetChild(temp0) :
      op->vtkGeoTerrainNode::GetChild(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetParent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoTerrainNode *tempr = (ap.IsBound() ?
      op->GetParent() :
      op->vtkGeoTerrainNode::GetParent());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetAltitude(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAltitude");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  double temp0;
  double temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    double tempr = (ap.IsBound() ?
      op->GetAltitude(temp0, temp1) :
      op->vtkGeoTerrainNode::GetAltitude(temp0, temp1));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetModel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetModel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkPolyData *tempr = (ap.IsBound() ?
      op->GetModel() :
      op->vtkGeoTerrainNode::GetModel());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_SetModel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  vtkPolyData *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPolyData"))
  {
    if (ap.IsBound())
    {
      op->SetModel(temp0);
    }
    else
    {
      op->vtkGeoTerrainNode::SetModel(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_UpdateBoundingSphere(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateBoundingSphere");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->UpdateBoundingSphere();
    }
    else
    {
      op->vtkGeoTerrainNode::UpdateBoundingSphere();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetBoundingSphereRadius(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBoundingSphereRadius");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetBoundingSphereRadius() :
      op->vtkGeoTerrainNode::GetBoundingSphereRadius());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetBoundingSphereCenter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBoundingSphereCenter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int sizer = 3;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetBoundingSphereCenter() :
      op->vtkGeoTerrainNode::GetBoundingSphereCenter());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetCornerNormal00(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCornerNormal00");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int sizer = 3;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetCornerNormal00() :
      op->vtkGeoTerrainNode::GetCornerNormal00());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetCornerNormal01(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCornerNormal01");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int sizer = 3;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetCornerNormal01() :
      op->vtkGeoTerrainNode::GetCornerNormal01());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetCornerNormal10(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCornerNormal10");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int sizer = 3;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetCornerNormal10() :
      op->vtkGeoTerrainNode::GetCornerNormal10());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetCornerNormal11(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCornerNormal11");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int sizer = 3;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetCornerNormal11() :
      op->vtkGeoTerrainNode::GetCornerNormal11());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetProjectionBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProjectionBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int sizer = 4;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetProjectionBounds() :
      op->vtkGeoTerrainNode::GetProjectionBounds());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_SetProjectionBounds_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProjectionBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  double temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
  {
    if (ap.IsBound())
    {
      op->SetProjectionBounds(temp0, temp1, temp2, temp3);
    }
    else
    {
      op->vtkGeoTerrainNode::SetProjectionBounds(temp0, temp1, temp2, temp3);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoTerrainNode_SetProjectionBounds_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProjectionBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  const int size0 = 4;
  double temp0[4];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    if (ap.IsBound())
    {
      op->SetProjectionBounds(temp0);
    }
    else
    {
      op->vtkGeoTerrainNode::SetProjectionBounds(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoTerrainNode_SetProjectionBounds(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 4:
      return PyvtkGeoTerrainNode_SetProjectionBounds_s1(self, args);
    case 1:
      return PyvtkGeoTerrainNode_SetProjectionBounds_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "SetProjectionBounds");
  return nullptr;
}



static PyObject *
PyvtkGeoTerrainNode_GetGraticuleLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGraticuleLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetGraticuleLevel() :
      op->vtkGeoTerrainNode::GetGraticuleLevel());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_SetGraticuleLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGraticuleLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetGraticuleLevel(temp0);
    }
    else
    {
      op->vtkGeoTerrainNode::SetGraticuleLevel(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetError(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetError");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetError() :
      op->vtkGeoTerrainNode::GetError());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_SetError(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetError");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetError(temp0);
    }
    else
    {
      op->vtkGeoTerrainNode::SetError(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_GetCoverage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCoverage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    float tempr = (ap.IsBound() ?
      op->GetCoverage() :
      op->vtkGeoTerrainNode::GetCoverage());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_SetCoverage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCoverage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  float temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCoverage(temp0);
    }
    else
    {
      op->vtkGeoTerrainNode::SetCoverage(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_ShallowCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShallowCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  vtkGeoTreeNode *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode"))
  {
    if (ap.IsBound())
    {
      op->ShallowCopy(temp0);
    }
    else
    {
      op->vtkGeoTerrainNode::ShallowCopy(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  vtkGeoTreeNode *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode"))
  {
    if (ap.IsBound())
    {
      op->DeepCopy(temp0);
    }
    else
    {
      op->vtkGeoTerrainNode::DeepCopy(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_HasData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->HasData() :
      op->vtkGeoTerrainNode::HasData());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoTerrainNode_DeleteData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeleteData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoTerrainNode *op = static_cast<vtkGeoTerrainNode *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->DeleteData();
    }
    else
    {
      op->vtkGeoTerrainNode::DeleteData();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkGeoTerrainNode_Methods[] = {
  {"IsTypeOf", PyvtkGeoTerrainNode_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkGeoTerrainNode_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkGeoTerrainNode_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkGeoTerrainNode\nC++: static vtkGeoTerrainNode *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkGeoTerrainNode_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkGeoTerrainNode\nC++: vtkGeoTerrainNode *NewInstance()\n\n"},
  {"GetChild", PyvtkGeoTerrainNode_GetChild, METH_VARARGS,
   "V.GetChild(int) -> vtkGeoTerrainNode\nC++: vtkGeoTerrainNode *GetChild(int idx)\n\nEvery subclass implements these methods returning the specific\ntype. This is easier than templating.\n"},
  {"GetParent", PyvtkGeoTerrainNode_GetParent, METH_VARARGS,
   "V.GetParent() -> vtkGeoTerrainNode\nC++: vtkGeoTerrainNode *GetParent()\n\nEvery subclass implements these methods returning the specific\ntype. This is easier than templating.\n"},
  {"GetAltitude", PyvtkGeoTerrainNode_GetAltitude, METH_VARARGS,
   "V.GetAltitude(float, float) -> float\nC++: double GetAltitude(double longitude, double latitude)\n\nGiven, a long, lat position, return altitude in meters relative\nto  sea level.\n"},
  {"GetModel", PyvtkGeoTerrainNode_GetModel, METH_VARARGS,
   "V.GetModel() -> vtkPolyData\nC++: vtkPolyData *GetModel()\n\nGet the terrrain model.  The user has to copy the terrain into\nthis object.\n"},
  {"SetModel", PyvtkGeoTerrainNode_SetModel, METH_VARARGS,
   "V.SetModel(vtkPolyData)\nC++: void SetModel(vtkPolyData *model)\n\nGet the terrrain model.  The user has to copy the terrain into\nthis object.\n"},
  {"UpdateBoundingSphere", PyvtkGeoTerrainNode_UpdateBoundingSphere, METH_VARARGS,
   "V.UpdateBoundingSphere()\nC++: void UpdateBoundingSphere()\n\nBounding sphere is precomputed for faster updates of terrain.\n"},
  {"GetBoundingSphereRadius", PyvtkGeoTerrainNode_GetBoundingSphereRadius, METH_VARARGS,
   "V.GetBoundingSphereRadius() -> float\nC++: virtual double GetBoundingSphereRadius()\n\nBounding sphere is precomputed for faster updates of terrain.\n"},
  {"GetBoundingSphereCenter", PyvtkGeoTerrainNode_GetBoundingSphereCenter, METH_VARARGS,
   "V.GetBoundingSphereCenter() -> (float, float, float)\nC++: double *GetBoundingSphereCenter()\n\n"},
  {"GetCornerNormal00", PyvtkGeoTerrainNode_GetCornerNormal00, METH_VARARGS,
   "V.GetCornerNormal00() -> (float, float, float)\nC++: double *GetCornerNormal00()\n\n"},
  {"GetCornerNormal01", PyvtkGeoTerrainNode_GetCornerNormal01, METH_VARARGS,
   "V.GetCornerNormal01() -> (float, float, float)\nC++: double *GetCornerNormal01()\n\n"},
  {"GetCornerNormal10", PyvtkGeoTerrainNode_GetCornerNormal10, METH_VARARGS,
   "V.GetCornerNormal10() -> (float, float, float)\nC++: double *GetCornerNormal10()\n\n"},
  {"GetCornerNormal11", PyvtkGeoTerrainNode_GetCornerNormal11, METH_VARARGS,
   "V.GetCornerNormal11() -> (float, float, float)\nC++: double *GetCornerNormal11()\n\n"},
  {"GetProjectionBounds", PyvtkGeoTerrainNode_GetProjectionBounds, METH_VARARGS,
   "V.GetProjectionBounds() -> (float, float, float, float)\nC++: double *GetProjectionBounds()\n\n"},
  {"SetProjectionBounds", PyvtkGeoTerrainNode_SetProjectionBounds, METH_VARARGS,
   "V.SetProjectionBounds(float, float, float, float)\nC++: void SetProjectionBounds(double, double, double, double)\nV.SetProjectionBounds((float, float, float, float))\nC++: void SetProjectionBounds(double a[4])\n\n"},
  {"GetGraticuleLevel", PyvtkGeoTerrainNode_GetGraticuleLevel, METH_VARARGS,
   "V.GetGraticuleLevel() -> int\nC++: virtual int GetGraticuleLevel()\n\nFor 2D projections, store the granularity of the graticule in\nthis node.\n"},
  {"SetGraticuleLevel", PyvtkGeoTerrainNode_SetGraticuleLevel, METH_VARARGS,
   "V.SetGraticuleLevel(int)\nC++: virtual void SetGraticuleLevel(int _arg)\n\nFor 2D projections, store the granularity of the graticule in\nthis node.\n"},
  {"GetError", PyvtkGeoTerrainNode_GetError, METH_VARARGS,
   "V.GetError() -> float\nC++: virtual double GetError()\n\nFor 2D projections, store the maximum deviation of line segment\ncenters from the actual projection value.\n"},
  {"SetError", PyvtkGeoTerrainNode_SetError, METH_VARARGS,
   "V.SetError(float)\nC++: virtual void SetError(double _arg)\n\nFor 2D projections, store the maximum deviation of line segment\ncenters from the actual projection value.\n"},
  {"GetCoverage", PyvtkGeoTerrainNode_GetCoverage, METH_VARARGS,
   "V.GetCoverage() -> float\nC++: virtual float GetCoverage()\n\nFor 2D projections, store the maximum deviation of line segment\ncenters from the actual projection value.\n"},
  {"SetCoverage", PyvtkGeoTerrainNode_SetCoverage, METH_VARARGS,
   "V.SetCoverage(float)\nC++: virtual void SetCoverage(float _arg)\n\nFor 2D projections, store the maximum deviation of line segment\ncenters from the actual projection value.\n"},
  {"ShallowCopy", PyvtkGeoTerrainNode_ShallowCopy, METH_VARARGS,
   "V.ShallowCopy(vtkGeoTreeNode)\nC++: void ShallowCopy(vtkGeoTreeNode *src) override;\n\nShallow and Deep copy.\n"},
  {"DeepCopy", PyvtkGeoTerrainNode_DeepCopy, METH_VARARGS,
   "V.DeepCopy(vtkGeoTreeNode)\nC++: void DeepCopy(vtkGeoTreeNode *src) override;\n\nShallow and Deep copy.\n"},
  {"HasData", PyvtkGeoTerrainNode_HasData, METH_VARARGS,
   "V.HasData() -> bool\nC++: bool HasData() override;\n\nReturns whether this node has valid data associated with it, or\nif it is an \"empty\" node.\n"},
  {"DeleteData", PyvtkGeoTerrainNode_DeleteData, METH_VARARGS,
   "V.DeleteData()\nC++: void DeleteData() override;\n\nDeletes the data associated with the node to make this an \"empty\"\nnode. This is performed when the node has been unused for a\ncertain amount of time.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkGeoTerrainNode_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoTerrainNode", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkGeoTerrainNode_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkGeoTerrainNode_StaticNew()
{
  return vtkGeoTerrainNode::New();
}

PyObject *PyvtkGeoTerrainNode_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkGeoTerrainNode_Type, PyvtkGeoTerrainNode_Methods,
    "vtkGeoTerrainNode",
 &PyvtkGeoTerrainNode_StaticNew);

  PyTypeObject *pytype = &PyvtkGeoTerrainNode_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkGeoTreeNode_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkGeoTerrainNode(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkGeoTerrainNode_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkGeoTerrainNode", o) != 0)
  {
    Py_DECREF(o);
  }

}

