// python wrapper for vtkSMPContourGridManyPieces
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkSMPContourGridManyPieces.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkSMPContourGridManyPieces(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkSMPContourGridManyPieces_ClassNew(); }

#ifndef DECLARED_PyvtkContourGrid_ClassNew
extern "C" { PyObject *PyvtkContourGrid_ClassNew(); }
#define DECLARED_PyvtkContourGrid_ClassNew
#endif

static const char *PyvtkSMPContourGridManyPieces_Doc =
  "vtkSMPContourGridManyPieces - a subclass of vtkContourGrid that works\nin parallel vtkSMPContourGridManyPieces performs the same\nfunctionaliy as vtkContourGrid but does it using multiple threads.\n\n"
  "Superclass: vtkContourGrid\n\n"
  "This filter generates a multi-block of vtkPolyData. It will generate\n"
  "a relatively large number of pieces - the number is dependent on the\n"
  "input size and number of threads available. See vtkSMPContourGrid is\n"
  "you are interested in a filter that merges the piece. This will\n"
  "probably be merged with vtkContourGrid in the future.\n\n";


static PyObject *
PyvtkSMPContourGridManyPieces_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkSMPContourGridManyPieces::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMPContourGridManyPieces_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGridManyPieces *op = static_cast<vtkSMPContourGridManyPieces *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkSMPContourGridManyPieces::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMPContourGridManyPieces_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkSMPContourGridManyPieces *tempr = vtkSMPContourGridManyPieces::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMPContourGridManyPieces_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGridManyPieces *op = static_cast<vtkSMPContourGridManyPieces *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkSMPContourGridManyPieces *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkSMPContourGridManyPieces::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}

static PyMethodDef PyvtkSMPContourGridManyPieces_Methods[] = {
  {"IsTypeOf", PyvtkSMPContourGridManyPieces_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkSMPContourGridManyPieces_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkSMPContourGridManyPieces_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkSMPContourGridManyPieces\nC++: static vtkSMPContourGridManyPieces *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkSMPContourGridManyPieces_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkSMPContourGridManyPieces\nC++: vtkSMPContourGridManyPieces *NewInstance()\n\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkSMPContourGridManyPieces_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkFiltersSMPPython.vtkSMPContourGridManyPieces", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkSMPContourGridManyPieces_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkSMPContourGridManyPieces_StaticNew()
{
  return vtkSMPContourGridManyPieces::New();
}

PyObject *PyvtkSMPContourGridManyPieces_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkSMPContourGridManyPieces_Type, PyvtkSMPContourGridManyPieces_Methods,
    "vtkSMPContourGridManyPieces",
 &PyvtkSMPContourGridManyPieces_StaticNew);

  PyTypeObject *pytype = &PyvtkSMPContourGridManyPieces_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkContourGrid_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkSMPContourGridManyPieces(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkSMPContourGridManyPieces_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkSMPContourGridManyPieces", o) != 0)
  {
    Py_DECREF(o);
  }

}

