// tcl wrapper for vtkChartXY object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChartXY.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkChartXYNewCommand()
{
  vtkChartXY *temp = vtkChartXY::New();
  return static_cast<ClientData>(temp);
}

int vtkChartCppCommand(vtkChart *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkChartXYCppCommand(vtkChartXY *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkChartXYCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkChartXYCppCommand(static_cast<vtkChartXY *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkChartXY_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartXY"),vtkChartXYNewCommand,vtkChartXYCommand);
  return 0;
}

int VTKTCL_EXPORT vtkChartXYCppCommand(vtkChartXY *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkChartXY",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkChartCppCommand(static_cast<vtkChart *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkChart"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkChartXY  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartXY");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkChartXY  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartXY");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkChartXY  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartXY");
    return TCL_OK;
  }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
  {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddPlot",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkPlot  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->AddPlot(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
  }
  }
  if ((!strcmp("AddPlot",argv[1]))&&(argc == 3))
  {
    vtkPlot  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
  {
    temp20 = (op)->AddPlot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RemovePlot",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->RemovePlot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("ClearPlots",argv[1]))&&(argc == 2))
  {
    op->ClearPlots();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetPlot",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    vtkPlot  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetPlot(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPlotIndex",argv[1]))&&(argc == 3))
  {
    vtkPlot  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetPlotIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RaisePlot",argv[1]))&&(argc == 3))
  {
    vtkPlot  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
  {
    temp20 = (op)->RaisePlot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("StackPlotAbove",argv[1]))&&(argc == 4))
  {
    vtkPlot  *temp0;
    vtkPlot  *temp1;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    temp1 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
  {
    temp20 = (op)->StackPlotAbove(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("LowerPlot",argv[1]))&&(argc == 3))
  {
    vtkPlot  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
  {
    temp20 = (op)->LowerPlot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("StackPlotUnder",argv[1]))&&(argc == 4))
  {
    vtkPlot  *temp0;
    vtkPlot  *temp1;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    temp1 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
  {
    temp20 = (op)->StackPlotUnder(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfPlots",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPlots();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPlotCorner",argv[1]))&&(argc == 3))
  {
    vtkPlot  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetPlotCorner(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPlotCorner",argv[1]))&&(argc == 4))
  {
    vtkPlot  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkPlot *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlot"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetPlotCorner(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxis",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkAxis  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetAxis(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
  }
  }
  if ((!strcmp("SetShowLegend",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetShowLegend(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLegend",argv[1]))&&(argc == 2))
  {
    vtkChartLegend  *temp20;
    temp20 = (op)->GetLegend();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartLegend");
    return TCL_OK;
  }
  if ((!strcmp("SetTooltip",argv[1]))&&(argc == 3))
  {
    vtkTooltipItem  *temp0;
    error = 0;

    temp0 = (vtkTooltipItem *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTooltipItem"),interp,error));
    if (!error)
  {
    op->SetTooltip(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTooltip",argv[1]))&&(argc == 2))
  {
    vtkTooltipItem  *temp20;
    temp20 = (op)->GetTooltip();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTooltipItem");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfAxes",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfAxes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("RecalculateBounds",argv[1]))&&(argc == 2))
  {
    op->RecalculateBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSelectionMethod",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSelectionMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDrawAxesAtOrigin",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDrawAxesAtOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawAxesAtOrigin",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDrawAxesAtOrigin();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawAxesAtOriginOn",argv[1]))&&(argc == 2))
  {
    op->DrawAxesAtOriginOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawAxesAtOriginOff",argv[1]))&&(argc == 2))
  {
    op->DrawAxesAtOriginOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAutoAxes",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetAutoAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAutoAxes",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetAutoAxes();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AutoAxesOn",argv[1]))&&(argc == 2))
  {
    op->AutoAxesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AutoAxesOff",argv[1]))&&(argc == 2))
  {
    op->AutoAxesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetHiddenAxisBorder",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetHiddenAxisBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHiddenAxisBorder",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetHiddenAxisBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetForceAxesToBounds",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetForceAxesToBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetForceAxesToBounds",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetForceAxesToBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ForceAxesToBoundsOn",argv[1]))&&(argc == 2))
  {
    op->ForceAxesToBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ForceAxesToBoundsOff",argv[1]))&&(argc == 2))
  {
    op->ForceAxesToBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetBarWidthFraction",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetBarWidthFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBarWidthFraction",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetBarWidthFraction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetZoomWithMouseWheel",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetZoomWithMouseWheel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetZoomWithMouseWheel",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetZoomWithMouseWheel();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ZoomWithMouseWheelOn",argv[1]))&&(argc == 2))
  {
    op->ZoomWithMouseWheelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ZoomWithMouseWheelOff",argv[1]))&&(argc == 2))
  {
    op->ZoomWithMouseWheelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAdjustLowerBoundForLogPlot",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetAdjustLowerBoundForLogPlot(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAdjustLowerBoundForLogPlot",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetAdjustLowerBoundForLogPlot();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AdjustLowerBoundForLogPlotOn",argv[1]))&&(argc == 2))
  {
    op->AdjustLowerBoundForLogPlotOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AdjustLowerBoundForLogPlotOff",argv[1]))&&(argc == 2))
  {
    op->AdjustLowerBoundForLogPlotOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDragPointAlongX",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDragPointAlongX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDragPointAlongX",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDragPointAlongX();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DragPointAlongXOn",argv[1]))&&(argc == 2))
  {
    op->DragPointAlongXOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DragPointAlongXOff",argv[1]))&&(argc == 2))
  {
    op->DragPointAlongXOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDragPointAlongY",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDragPointAlongY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDragPointAlongY",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDragPointAlongY();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DragPointAlongYOn",argv[1]))&&(argc == 2))
  {
    op->DragPointAlongYOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DragPointAlongYOff",argv[1]))&&(argc == 2))
  {
    op->DragPointAlongYOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkChartXYCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkChartCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkChartXY:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  Update\n",nullptr);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  AddPlot\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  AddPlot\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RemovePlot\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ClearPlots\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlot\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlotIndex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RaisePlot\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  StackPlotAbove\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  LowerPlot\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  StackPlotUnder\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfPlots\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlotCorner\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlotCorner\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxis\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowLegend\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLegend\n",nullptr);
    Tcl_AppendResult(interp,"  SetTooltip\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTooltip\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfAxes\n",nullptr);
    Tcl_AppendResult(interp,"  RecalculateBounds\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectionMethod\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawAxesAtOrigin\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawAxesAtOrigin\n",nullptr);
    Tcl_AppendResult(interp,"  DrawAxesAtOriginOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawAxesAtOriginOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetAutoAxes\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAutoAxes\n",nullptr);
    Tcl_AppendResult(interp,"  AutoAxesOn\n",nullptr);
    Tcl_AppendResult(interp,"  AutoAxesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetHiddenAxisBorder\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHiddenAxisBorder\n",nullptr);
    Tcl_AppendResult(interp,"  SetForceAxesToBounds\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetForceAxesToBounds\n",nullptr);
    Tcl_AppendResult(interp,"  ForceAxesToBoundsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ForceAxesToBoundsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetBarWidthFraction\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBarWidthFraction\n",nullptr);
    Tcl_AppendResult(interp,"  SetZoomWithMouseWheel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetZoomWithMouseWheel\n",nullptr);
    Tcl_AppendResult(interp,"  ZoomWithMouseWheelOn\n",nullptr);
    Tcl_AppendResult(interp,"  ZoomWithMouseWheelOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetAdjustLowerBoundForLogPlot\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAdjustLowerBoundForLogPlot\n",nullptr);
    Tcl_AppendResult(interp,"  AdjustLowerBoundForLogPlotOn\n",nullptr);
    Tcl_AppendResult(interp,"  AdjustLowerBoundForLogPlotOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDragPointAlongX\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDragPointAlongX\n",nullptr);
    Tcl_AppendResult(interp,"  DragPointAlongXOn\n",nullptr);
    Tcl_AppendResult(interp,"  DragPointAlongXOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDragPointAlongY\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDragPointAlongY\n",nullptr);
    Tcl_AppendResult(interp,"  DragPointAlongYOn\n",nullptr);
    Tcl_AppendResult(interp,"  DragPointAlongYOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkChartCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    Tcl_DStringAppendElement ( &dString, "RemovePlot" );
    Tcl_DStringAppendElement ( &dString, "ClearPlots" );
    Tcl_DStringAppendElement ( &dString, "GetPlot" );
    Tcl_DStringAppendElement ( &dString, "GetPlotIndex" );
    Tcl_DStringAppendElement ( &dString, "RaisePlot" );
    Tcl_DStringAppendElement ( &dString, "StackPlotAbove" );
    Tcl_DStringAppendElement ( &dString, "LowerPlot" );
    Tcl_DStringAppendElement ( &dString, "StackPlotUnder" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPlots" );
    Tcl_DStringAppendElement ( &dString, "GetPlotCorner" );
    Tcl_DStringAppendElement ( &dString, "SetPlotCorner" );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    Tcl_DStringAppendElement ( &dString, "SetShowLegend" );
    Tcl_DStringAppendElement ( &dString, "GetLegend" );
    Tcl_DStringAppendElement ( &dString, "SetTooltip" );
    Tcl_DStringAppendElement ( &dString, "GetTooltip" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    Tcl_DStringAppendElement ( &dString, "RecalculateBounds" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMethod" );
    Tcl_DStringAppendElement ( &dString, "SetDrawAxesAtOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetDrawAxesAtOrigin" );
    Tcl_DStringAppendElement ( &dString, "DrawAxesAtOriginOn" );
    Tcl_DStringAppendElement ( &dString, "DrawAxesAtOriginOff" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAxes" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAxes" );
    Tcl_DStringAppendElement ( &dString, "AutoAxesOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAxesOff" );
    Tcl_DStringAppendElement ( &dString, "SetHiddenAxisBorder" );
    Tcl_DStringAppendElement ( &dString, "GetHiddenAxisBorder" );
    Tcl_DStringAppendElement ( &dString, "SetForceAxesToBounds" );
    Tcl_DStringAppendElement ( &dString, "GetForceAxesToBounds" );
    Tcl_DStringAppendElement ( &dString, "ForceAxesToBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "ForceAxesToBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetBarWidthFraction" );
    Tcl_DStringAppendElement ( &dString, "GetBarWidthFraction" );
    Tcl_DStringAppendElement ( &dString, "SetZoomWithMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "GetZoomWithMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "ZoomWithMouseWheelOn" );
    Tcl_DStringAppendElement ( &dString, "ZoomWithMouseWheelOff" );
    Tcl_DStringAppendElement ( &dString, "SetAdjustLowerBoundForLogPlot" );
    Tcl_DStringAppendElement ( &dString, "GetAdjustLowerBoundForLogPlot" );
    Tcl_DStringAppendElement ( &dString, "AdjustLowerBoundForLogPlotOn" );
    Tcl_DStringAppendElement ( &dString, "AdjustLowerBoundForLogPlotOff" );
    Tcl_DStringAppendElement ( &dString, "SetDragPointAlongX" );
    Tcl_DStringAppendElement ( &dString, "GetDragPointAlongX" );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongXOn" );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongXOff" );
    Tcl_DStringAppendElement ( &dString, "SetDragPointAlongY" );
    Tcl_DStringAppendElement ( &dString, "GetDragPointAlongY" );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongYOn" );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongYOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkChartCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkChartXY *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a 2D Chart object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkChartXY *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "void Update() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the chart, called whenever the chart needs to be drawn\n" );
    Tcl_DStringAppendElement ( &dString, "bool Paint(vtkContext2D *painter) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddPlot */
    if ( strcmp ( argv[2], "AddPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPlot */
    Tcl_DStringAppendElement ( &dString, " Add a plot to the chart, defaults to using the name of the y column\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot *AddPlot(int type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for AddPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddPlot */
    if ( strcmp ( argv[2], "AddPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPlot */
    Tcl_DStringAppendElement ( &dString, " Adds a plot to the chart\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddPlot(vtkPlot *plot) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for AddPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RemovePlot */
    if ( strcmp ( argv[2], "RemovePlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePlot */
    Tcl_DStringAppendElement ( &dString, " Remove the plot at the specified index, returns true if successful,\n false if the index was invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "bool RemovePlot(vtkIdType index) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for RemovePlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ClearPlots */
    if ( strcmp ( argv[2], "ClearPlots" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearPlots" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearPlots */
    Tcl_DStringAppendElement ( &dString, " Remove all plots from the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearPlots() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for ClearPlots */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlot */
    if ( strcmp ( argv[2], "GetPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlot */
    Tcl_DStringAppendElement ( &dString, " Get the plot at the specified index, returns null if the index is invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot *GetPlot(vtkIdType index) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlotIndex */
    if ( strcmp ( argv[2], "GetPlotIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotIndex */
    Tcl_DStringAppendElement ( &dString, " Get the index of the specified plot, returns -1 if the plot does not\n belong to the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetPlotIndex(vtkPlot *);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetPlotIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RaisePlot */
    if ( strcmp ( argv[2], "RaisePlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RaisePlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RaisePlot */
    Tcl_DStringAppendElement ( &dString, " Raises the \\a plot to the top of the plot's stack.\n \\return The new index of the plot\n \\sa StackPlotAbove(), LowerPlot(), StackPlotUnder()\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType RaisePlot(vtkPlot *plot);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for RaisePlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: StackPlotAbove */
    if ( strcmp ( argv[2], "StackPlotAbove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StackPlotAbove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StackPlotAbove */
    Tcl_DStringAppendElement ( &dString, " Raises the \\a plot above the \\a under plot. If \\a under is null,\n the plot is raised to the top of the plot's stack.\n \\return The new index of the plot\n \\sa RaisePlot(), LowerPlot(), StackPlotUnder()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType StackPlotAbove(vtkPlot *plot, vtkPlot *under);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for StackPlotAbove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LowerPlot */
    if ( strcmp ( argv[2], "LowerPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LowerPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LowerPlot */
    Tcl_DStringAppendElement ( &dString, " Lowers the \\a plot to the bottom of the plot's stack.\n \\return The new index of the plot\n \\sa StackPlotUnder(), RaisePlot(), StackPlotAbove()\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType LowerPlot(vtkPlot *plot);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for LowerPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: StackPlotUnder */
    if ( strcmp ( argv[2], "StackPlotUnder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StackPlotUnder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StackPlotUnder */
    Tcl_DStringAppendElement ( &dString, " Lowers the \\a plot under the \\a above plot. If \\a above is null,\n the plot is lowered to the bottom of the plot's stack\n \\return The new index of the plot\n \\sa StackPlotUnder(), RaisePlot(), StackPlotAbove()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType StackPlotUnder(vtkPlot *plot, vtkPlot *above);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for StackPlotUnder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfPlots */
    if ( strcmp ( argv[2], "GetNumberOfPlots" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPlots" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPlots */
    Tcl_DStringAppendElement ( &dString, " Get the number of plots the chart contains.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfPlots() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetNumberOfPlots */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlotCorner */
    if ( strcmp ( argv[2], "GetPlotCorner" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotCorner" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotCorner */
    Tcl_DStringAppendElement ( &dString, " Figure out which quadrant the plot is in.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotCorner(vtkPlot *plot);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetPlotCorner */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlotCorner */
    if ( strcmp ( argv[2], "SetPlotCorner" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotCorner" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlot" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotCorner */
    Tcl_DStringAppendElement ( &dString, " Figure out which quadrant the plot is in.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotCorner(vtkPlot *plot, int corner);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetPlotCorner */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxis */
    if ( strcmp ( argv[2], "GetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis */
    Tcl_DStringAppendElement ( &dString, " Get the axis specified by axisIndex. This is specified with the vtkAxis\n position enum, valid values are vtkAxis::LEFT, vtkAxis::BOTTOM,\n vtkAxis::RIGHT and vtkAxis::TOP.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis *GetAxis(int axisIndex) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowLegend */
    if ( strcmp ( argv[2], "SetShowLegend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowLegend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowLegend */
    Tcl_DStringAppendElement ( &dString, " Set whether the chart should draw a legend.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowLegend(bool visible) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetShowLegend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLegend */
    if ( strcmp ( argv[2], "GetLegend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegend */
    Tcl_DStringAppendElement ( &dString, " Get the vtkChartLegend object that will be displayed by the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkChartLegend *GetLegend() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetLegend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTooltip */
    if ( strcmp ( argv[2], "SetTooltip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTooltip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTooltipItem" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTooltip */
    Tcl_DStringAppendElement ( &dString, " Set the vtkTooltipItem object that will be displayed by the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTooltip(vtkTooltipItem *tooltip);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetTooltip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTooltip */
    if ( strcmp ( argv[2], "GetTooltip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTooltip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTooltip */
    Tcl_DStringAppendElement ( &dString, " Get the vtkTooltipItem object that will be displayed by the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTooltipItem *GetTooltip();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetTooltip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfAxes */
    if ( strcmp ( argv[2], "GetNumberOfAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAxes */
    Tcl_DStringAppendElement ( &dString, " Get the number of axes in the current chart.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfAxes() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetNumberOfAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RecalculateBounds */
    if ( strcmp ( argv[2], "RecalculateBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RecalculateBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RecalculateBounds */
    Tcl_DStringAppendElement ( &dString, " Request that the chart recalculates the range of its axes. Especially\n useful in applications after the parameters of plots have been modified.\n" );
    Tcl_DStringAppendElement ( &dString, "void RecalculateBounds() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for RecalculateBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectionMethod */
    if ( strcmp ( argv[2], "SetSelectionMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionMethod */
    Tcl_DStringAppendElement ( &dString, " Set the selection method, which controls how selections are handled by the\n chart. The default is SELECTION_ROWS which selects all points in all plots\n in a chart that have values in the rows selected. SELECTION_PLOTS allows\n for finer-grained selections specific to each plot, and so to each XY\n column pair.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionMethod(int method) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetSelectionMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawAxesAtOrigin */
    if ( strcmp ( argv[2], "SetDrawAxesAtOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawAxesAtOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawAxesAtOrigin */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be drawn at the origin (scientific style).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawAxesAtOrigin(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetDrawAxesAtOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawAxesAtOrigin */
    if ( strcmp ( argv[2], "GetDrawAxesAtOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawAxesAtOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawAxesAtOrigin */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be drawn at the origin (scientific style).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDrawAxesAtOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetDrawAxesAtOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawAxesAtOriginOn */
    if ( strcmp ( argv[2], "DrawAxesAtOriginOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawAxesAtOriginOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawAxesAtOriginOn */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be drawn at the origin (scientific style).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawAxesAtOriginOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for DrawAxesAtOriginOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawAxesAtOriginOff */
    if ( strcmp ( argv[2], "DrawAxesAtOriginOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawAxesAtOriginOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawAxesAtOriginOff */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be drawn at the origin (scientific style).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawAxesAtOriginOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for DrawAxesAtOriginOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAutoAxes */
    if ( strcmp ( argv[2], "SetAutoAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAxes */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be turned on and off depending upon whether\n any plots are in that corner. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAutoAxes(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetAutoAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAutoAxes */
    if ( strcmp ( argv[2], "GetAutoAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAxes */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be turned on and off depending upon whether\n any plots are in that corner. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetAutoAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetAutoAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AutoAxesOn */
    if ( strcmp ( argv[2], "AutoAxesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAxesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAxesOn */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be turned on and off depending upon whether\n any plots are in that corner. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AutoAxesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for AutoAxesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AutoAxesOff */
    if ( strcmp ( argv[2], "AutoAxesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAxesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAxesOff */
    Tcl_DStringAppendElement ( &dString, " If true then the axes will be turned on and off depending upon whether\n any plots are in that corner. Defaults to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AutoAxesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for AutoAxesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetHiddenAxisBorder */
    if ( strcmp ( argv[2], "SetHiddenAxisBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHiddenAxisBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHiddenAxisBorder */
    Tcl_DStringAppendElement ( &dString, " Border size of the axes that are hidden (vtkAxis::GetVisible())\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHiddenAxisBorder(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetHiddenAxisBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHiddenAxisBorder */
    if ( strcmp ( argv[2], "GetHiddenAxisBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHiddenAxisBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHiddenAxisBorder */
    Tcl_DStringAppendElement ( &dString, " Border size of the axes that are hidden (vtkAxis::GetVisible())\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetHiddenAxisBorder();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetHiddenAxisBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetForceAxesToBounds */
    if ( strcmp ( argv[2], "SetForceAxesToBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceAxesToBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceAxesToBounds */
    Tcl_DStringAppendElement ( &dString, " Force the axes to have their Minimum and Maximum properties inside the\n plot boundaries. It constrains pan and zoom interaction.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetForceAxesToBounds(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetForceAxesToBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetForceAxesToBounds */
    if ( strcmp ( argv[2], "GetForceAxesToBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceAxesToBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceAxesToBounds */
    Tcl_DStringAppendElement ( &dString, " Force the axes to have their Minimum and Maximum properties inside the\n plot boundaries. It constrains pan and zoom interaction.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetForceAxesToBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetForceAxesToBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ForceAxesToBoundsOn */
    if ( strcmp ( argv[2], "ForceAxesToBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceAxesToBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceAxesToBoundsOn */
    Tcl_DStringAppendElement ( &dString, " Force the axes to have their Minimum and Maximum properties inside the\n plot boundaries. It constrains pan and zoom interaction.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ForceAxesToBoundsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for ForceAxesToBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ForceAxesToBoundsOff */
    if ( strcmp ( argv[2], "ForceAxesToBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceAxesToBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceAxesToBoundsOff */
    Tcl_DStringAppendElement ( &dString, " Force the axes to have their Minimum and Maximum properties inside the\n plot boundaries. It constrains pan and zoom interaction.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ForceAxesToBoundsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for ForceAxesToBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBarWidthFraction */
    if ( strcmp ( argv[2], "SetBarWidthFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBarWidthFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBarWidthFraction */
    Tcl_DStringAppendElement ( &dString, " Set the width fraction for any bar charts drawn in this chart. It is\n assumed that all bar plots will use the same array for the X axis, and that\n this array is regularly spaced. The delta between the first two x values is\n used to calculated the width of the bars, and subdivided between each bar.\n The default value is 0.8, 1.0 would lead to bars that touch.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBarWidthFraction(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetBarWidthFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBarWidthFraction */
    if ( strcmp ( argv[2], "GetBarWidthFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBarWidthFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBarWidthFraction */
    Tcl_DStringAppendElement ( &dString, " Set the width fraction for any bar charts drawn in this chart. It is\n assumed that all bar plots will use the same array for the X axis, and that\n this array is regularly spaced. The delta between the first two x values is\n used to calculated the width of the bars, and subdivided between each bar.\n The default value is 0.8, 1.0 would lead to bars that touch.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetBarWidthFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetBarWidthFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetZoomWithMouseWheel */
    if ( strcmp ( argv[2], "SetZoomWithMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZoomWithMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZoomWithMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Set the behavior of the mouse wheel.  If true, the mouse wheel zooms in/out\n on the chart.  Otherwise, unless MouseWheelEvent is overridden by a subclass\n the mouse wheel does nothing.\n The default value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetZoomWithMouseWheel(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetZoomWithMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetZoomWithMouseWheel */
    if ( strcmp ( argv[2], "GetZoomWithMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZoomWithMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZoomWithMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Set the behavior of the mouse wheel.  If true, the mouse wheel zooms in/out\n on the chart.  Otherwise, unless MouseWheelEvent is overridden by a subclass\n the mouse wheel does nothing.\n The default value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetZoomWithMouseWheel();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetZoomWithMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ZoomWithMouseWheelOn */
    if ( strcmp ( argv[2], "ZoomWithMouseWheelOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZoomWithMouseWheelOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZoomWithMouseWheelOn */
    Tcl_DStringAppendElement ( &dString, " Set the behavior of the mouse wheel.  If true, the mouse wheel zooms in/out\n on the chart.  Otherwise, unless MouseWheelEvent is overridden by a subclass\n the mouse wheel does nothing.\n The default value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ZoomWithMouseWheelOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for ZoomWithMouseWheelOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ZoomWithMouseWheelOff */
    if ( strcmp ( argv[2], "ZoomWithMouseWheelOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZoomWithMouseWheelOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZoomWithMouseWheelOff */
    Tcl_DStringAppendElement ( &dString, " Set the behavior of the mouse wheel.  If true, the mouse wheel zooms in/out\n on the chart.  Otherwise, unless MouseWheelEvent is overridden by a subclass\n the mouse wheel does nothing.\n The default value is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ZoomWithMouseWheelOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for ZoomWithMouseWheelOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAdjustLowerBoundForLogPlot */
    if ( strcmp ( argv[2], "SetAdjustLowerBoundForLogPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdjustLowerBoundForLogPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdjustLowerBoundForLogPlot */
    Tcl_DStringAppendElement ( &dString, " Adjust the minimum of a logarithmic axis to be greater than 0, regardless\n of the minimum data value.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAdjustLowerBoundForLogPlot(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetAdjustLowerBoundForLogPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAdjustLowerBoundForLogPlot */
    if ( strcmp ( argv[2], "GetAdjustLowerBoundForLogPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjustLowerBoundForLogPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjustLowerBoundForLogPlot */
    Tcl_DStringAppendElement ( &dString, " Adjust the minimum of a logarithmic axis to be greater than 0, regardless\n of the minimum data value.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetAdjustLowerBoundForLogPlot();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetAdjustLowerBoundForLogPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AdjustLowerBoundForLogPlotOn */
    if ( strcmp ( argv[2], "AdjustLowerBoundForLogPlotOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustLowerBoundForLogPlotOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustLowerBoundForLogPlotOn */
    Tcl_DStringAppendElement ( &dString, " Adjust the minimum of a logarithmic axis to be greater than 0, regardless\n of the minimum data value.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AdjustLowerBoundForLogPlotOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for AdjustLowerBoundForLogPlotOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AdjustLowerBoundForLogPlotOff */
    if ( strcmp ( argv[2], "AdjustLowerBoundForLogPlotOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustLowerBoundForLogPlotOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustLowerBoundForLogPlotOff */
    Tcl_DStringAppendElement ( &dString, " Adjust the minimum of a logarithmic axis to be greater than 0, regardless\n of the minimum data value.\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AdjustLowerBoundForLogPlotOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for AdjustLowerBoundForLogPlotOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDragPointAlongX */
    if ( strcmp ( argv[2], "SetDragPointAlongX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDragPointAlongX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDragPointAlongX */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along X\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDragPointAlongX(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetDragPointAlongX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDragPointAlongX */
    if ( strcmp ( argv[2], "GetDragPointAlongX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDragPointAlongX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDragPointAlongX */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along X\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDragPointAlongX();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetDragPointAlongX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DragPointAlongXOn */
    if ( strcmp ( argv[2], "DragPointAlongXOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongXOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragPointAlongXOn */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along X\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DragPointAlongXOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for DragPointAlongXOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DragPointAlongXOff */
    if ( strcmp ( argv[2], "DragPointAlongXOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongXOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragPointAlongXOff */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along X\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DragPointAlongXOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for DragPointAlongXOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDragPointAlongY */
    if ( strcmp ( argv[2], "SetDragPointAlongY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDragPointAlongY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDragPointAlongY */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along Y\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDragPointAlongY(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for SetDragPointAlongY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDragPointAlongY */
    if ( strcmp ( argv[2], "GetDragPointAlongY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDragPointAlongY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDragPointAlongY */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along Y\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDragPointAlongY();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for GetDragPointAlongY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DragPointAlongYOn */
    if ( strcmp ( argv[2], "DragPointAlongYOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongYOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragPointAlongYOn */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along Y\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DragPointAlongYOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for DragPointAlongYOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DragPointAlongYOff */
    if ( strcmp ( argv[2], "DragPointAlongYOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragPointAlongYOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragPointAlongYOff */
    Tcl_DStringAppendElement ( &dString, " Set if the point can be dragged along Y\n by the ClickAndDrag Action\n True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DragPointAlongYOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartXY" );
    /* Closing for DragPointAlongYOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkChartCppCommand(static_cast<vtkChart *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
