#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAxis_TclCreate(Tcl_Interp *interp);
int vtkAxisExtended_TclCreate(Tcl_Interp *interp);
int vtkCategoryLegend_TclCreate(Tcl_Interp *interp);
int vtkChart_TclCreate(Tcl_Interp *interp);
int vtkChartBox_TclCreate(Tcl_Interp *interp);
int vtkChartHistogram2D_TclCreate(Tcl_Interp *interp);
int vtkChartLegend_TclCreate(Tcl_Interp *interp);
int vtkChartMatrix_TclCreate(Tcl_Interp *interp);
int vtkChartParallelCoordinates_TclCreate(Tcl_Interp *interp);
int vtkChartPie_TclCreate(Tcl_Interp *interp);
int vtkChartXY_TclCreate(Tcl_Interp *interp);
int vtkChartXYZ_TclCreate(Tcl_Interp *interp);
int vtkColorLegend_TclCreate(Tcl_Interp *interp);
int vtkColorTransferControlPointsItem_TclCreate(Tcl_Interp *interp);
int vtkColorTransferFunctionItem_TclCreate(Tcl_Interp *interp);
int vtkCompositeControlPointsItem_TclCreate(Tcl_Interp *interp);
int vtkCompositeTransferFunctionItem_TclCreate(Tcl_Interp *interp);
int vtkContextArea_TclCreate(Tcl_Interp *interp);
int vtkControlPointsItem_TclCreate(Tcl_Interp *interp);
int vtkInteractiveArea_TclCreate(Tcl_Interp *interp);
int vtkLookupTableItem_TclCreate(Tcl_Interp *interp);
int vtkPiecewiseControlPointsItem_TclCreate(Tcl_Interp *interp);
int vtkPiecewiseFunctionItem_TclCreate(Tcl_Interp *interp);
int vtkPiecewisePointHandleItem_TclCreate(Tcl_Interp *interp);
int vtkPlot_TclCreate(Tcl_Interp *interp);
int vtkPlot3D_TclCreate(Tcl_Interp *interp);
int vtkPlotArea_TclCreate(Tcl_Interp *interp);
int vtkPlotBag_TclCreate(Tcl_Interp *interp);
int vtkPlotBar_TclCreate(Tcl_Interp *interp);
int vtkPlotBox_TclCreate(Tcl_Interp *interp);
int vtkPlotFunctionalBag_TclCreate(Tcl_Interp *interp);
int vtkPlotGrid_TclCreate(Tcl_Interp *interp);
int vtkPlotHistogram2D_TclCreate(Tcl_Interp *interp);
int vtkPlotLine_TclCreate(Tcl_Interp *interp);
int vtkPlotLine3D_TclCreate(Tcl_Interp *interp);
int vtkPlotParallelCoordinates_TclCreate(Tcl_Interp *interp);
int vtkPlotPie_TclCreate(Tcl_Interp *interp);
int vtkPlotPoints_TclCreate(Tcl_Interp *interp);
int vtkPlotPoints3D_TclCreate(Tcl_Interp *interp);
int vtkPlotStacked_TclCreate(Tcl_Interp *interp);
int vtkPlotSurface_TclCreate(Tcl_Interp *interp);
int vtkScalarsToColorsItem_TclCreate(Tcl_Interp *interp);
int vtkScatterPlotMatrix_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkchartscoretcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkchartscoretcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkchartscoretcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkchartscoretcl_Init(interp);
}


int VTK_EXPORT Vtkchartscoretcl_Init(Tcl_Interp *interp)
{

  vtkAxis_TclCreate(interp);
  vtkAxisExtended_TclCreate(interp);
  vtkCategoryLegend_TclCreate(interp);
  vtkChart_TclCreate(interp);
  vtkChartBox_TclCreate(interp);
  vtkChartHistogram2D_TclCreate(interp);
  vtkChartLegend_TclCreate(interp);
  vtkChartMatrix_TclCreate(interp);
  vtkChartParallelCoordinates_TclCreate(interp);
  vtkChartPie_TclCreate(interp);
  vtkChartXY_TclCreate(interp);
  vtkChartXYZ_TclCreate(interp);
  vtkColorLegend_TclCreate(interp);
  vtkColorTransferControlPointsItem_TclCreate(interp);
  vtkColorTransferFunctionItem_TclCreate(interp);
  vtkCompositeControlPointsItem_TclCreate(interp);
  vtkCompositeTransferFunctionItem_TclCreate(interp);
  vtkContextArea_TclCreate(interp);
  vtkControlPointsItem_TclCreate(interp);
  vtkInteractiveArea_TclCreate(interp);
  vtkLookupTableItem_TclCreate(interp);
  vtkPiecewiseControlPointsItem_TclCreate(interp);
  vtkPiecewiseFunctionItem_TclCreate(interp);
  vtkPiecewisePointHandleItem_TclCreate(interp);
  vtkPlot_TclCreate(interp);
  vtkPlot3D_TclCreate(interp);
  vtkPlotArea_TclCreate(interp);
  vtkPlotBag_TclCreate(interp);
  vtkPlotBar_TclCreate(interp);
  vtkPlotBox_TclCreate(interp);
  vtkPlotFunctionalBag_TclCreate(interp);
  vtkPlotGrid_TclCreate(interp);
  vtkPlotHistogram2D_TclCreate(interp);
  vtkPlotLine_TclCreate(interp);
  vtkPlotLine3D_TclCreate(interp);
  vtkPlotParallelCoordinates_TclCreate(interp);
  vtkPlotPie_TclCreate(interp);
  vtkPlotPoints_TclCreate(interp);
  vtkPlotPoints3D_TclCreate(interp);
  vtkPlotStacked_TclCreate(interp);
  vtkPlotSurface_TclCreate(interp);
  vtkScalarsToColorsItem_TclCreate(interp);
  vtkScatterPlotMatrix_TclCreate(interp);
  char pkgName[]="vtkChartsCoreTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
