// tcl wrapper for vtkContextArea object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextArea.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkContextAreaNewCommand()
{
  vtkContextArea *temp = vtkContextArea::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractContextItemCppCommand(vtkAbstractContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContextAreaCppCommand(vtkContextArea *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkContextAreaCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkContextAreaCppCommand(static_cast<vtkContextArea *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContextArea_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextArea"),vtkContextAreaNewCommand,vtkContextAreaCommand);
  return 0;
}

int VTKTCL_EXPORT vtkContextAreaCppCommand(vtkContextArea *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkContextArea",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkAbstractContextItemCppCommand(static_cast<vtkAbstractContextItem *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractContextItem"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkContextArea  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextArea");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkContextArea  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextArea");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkContextArea  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextArea");
    return TCL_OK;
  }
  if ((!strcmp("GetAxis",argv[1]))&&(argc == 3))
  {
    vtkAxis::Location   temp0;
    vtkAxis  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<vtkAxis::Location>(tempi);
    if (!error)
  {
    temp20 = (op)->GetAxis(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawAreaItem",argv[1]))&&(argc == 2))
  {
    vtkAbstractContextItem  *temp20;
    temp20 = (op)->GetDrawAreaItem();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractContextItem");
    return TCL_OK;
  }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawAreaResizeBehavior",argv[1]))&&(argc == 2))
  {
    vtkContextArea::DrawAreaResizeBehaviorType   temp20;
    temp20 = (op)->GetDrawAreaResizeBehavior();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawAreaResizeBehavior",argv[1]))&&(argc == 3))
  {
    vtkContextArea::DrawAreaResizeBehaviorType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<vtkContextArea::DrawAreaResizeBehaviorType>(tempi);
    if (!error)
  {
    op->SetDrawAreaResizeBehavior(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFixedAspect",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetFixedAspect();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetFixedAspect",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetFixedAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFixedRect",argv[1]))&&(argc == 6))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
  {
    op->SetFixedRect(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFixedMarginsArray",argv[1]))&&(argc == 6))
  {
    int    temp0[4];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (!error)
  {
    op->GetFixedMarginsArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFixedMargins",argv[1]))&&(argc == 6))
  {
    int    temp0[4];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (!error)
  {
    op->SetFixedMargins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFixedMargins",argv[1]))&&(argc == 6))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
  {
    op->SetFixedMargins(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFillViewport",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetFillViewport();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetFillViewport",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetFillViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("FillViewportOn",argv[1]))&&(argc == 2))
  {
    op->FillViewportOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("FillViewportOff",argv[1]))&&(argc == 2))
  {
    op->FillViewportOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetShowGrid",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetShowGrid(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetShowGrid",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetShowGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ShowGridOn",argv[1]))&&(argc == 2))
  {
    op->ShowGridOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ShowGridOff",argv[1]))&&(argc == 2))
  {
    op->ShowGridOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkContextAreaCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkAbstractContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContextArea:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxis\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawAreaItem\n",nullptr);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawAreaResizeBehavior\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawAreaResizeBehavior\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFixedAspect\n",nullptr);
    Tcl_AppendResult(interp,"  SetFixedAspect\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetFixedRect\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetFixedMarginsArray\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetFixedMargins\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetFixedMargins\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetFillViewport\n",nullptr);
    Tcl_AppendResult(interp,"  SetFillViewport\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  FillViewportOn\n",nullptr);
    Tcl_AppendResult(interp,"  FillViewportOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetShowGrid\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetShowGrid\n",nullptr);
    Tcl_AppendResult(interp,"  ShowGridOn\n",nullptr);
    Tcl_AppendResult(interp,"  ShowGridOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    Tcl_DStringAppendElement ( &dString, "GetDrawAreaItem" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "GetDrawAreaResizeBehavior" );
    Tcl_DStringAppendElement ( &dString, "SetDrawAreaResizeBehavior" );
    Tcl_DStringAppendElement ( &dString, "GetFixedAspect" );
    Tcl_DStringAppendElement ( &dString, "SetFixedAspect" );
    Tcl_DStringAppendElement ( &dString, "SetFixedRect" );
    Tcl_DStringAppendElement ( &dString, "GetFixedMarginsArray" );
    Tcl_DStringAppendElement ( &dString, "SetFixedMargins" );
    Tcl_DStringAppendElement ( &dString, "SetFixedMargins" );
    Tcl_DStringAppendElement ( &dString, "GetFillViewport" );
    Tcl_DStringAppendElement ( &dString, "SetFillViewport" );
    Tcl_DStringAppendElement ( &dString, "FillViewportOn" );
    Tcl_DStringAppendElement ( &dString, "FillViewportOff" );
    Tcl_DStringAppendElement ( &dString, "SetShowGrid" );
    Tcl_DStringAppendElement ( &dString, "GetShowGrid" );
    Tcl_DStringAppendElement ( &dString, "ShowGridOn" );
    Tcl_DStringAppendElement ( &dString, "ShowGridOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkContextArea *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkContextArea *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxis */
    if ( strcmp ( argv[2], "GetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis */
    Tcl_DStringAppendElement ( &dString, " Get the vtkAxis associated with the specified location.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxis *GetAxis(vtkAxis::Location location);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for GetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawAreaItem */
    if ( strcmp ( argv[2], "GetDrawAreaItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawAreaItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawAreaItem */
    Tcl_DStringAppendElement ( &dString, " Returns the vtkAbstractContextItem that will draw in the clipped,\n transformed space. This is the item to add children for.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextItem *GetDrawAreaItem();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for GetDrawAreaItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the item, called whenever the item needs to be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Paint(vtkContext2D *painter) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawAreaResizeBehavior */
    if ( strcmp ( argv[2], "GetDrawAreaResizeBehavior" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawAreaResizeBehavior" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawAreaResizeBehavior */
    Tcl_DStringAppendElement ( &dString, " Set the resize behavior for the draw area:\n - @a Expand: The default behavior. The draw area will automatically resize\n to take up as much of @a Geometry as possible. Margin sizes are\n minimized based on the space required for axis labels/tick marks.\n - FixedAspect: Same as Expand, but a fixed aspected ratio is enforced.\n See SetFixedAspect.\n - FixedRect: Draw area is always constrained to a fixed rectangle.\n See SetFixedRect.\n - FixMargins: The draw area expands to ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual DrawAreaResizeBehaviorType GetDrawAreaResizeBehavior();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for GetDrawAreaResizeBehavior */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawAreaResizeBehavior */
    if ( strcmp ( argv[2], "SetDrawAreaResizeBehavior" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawAreaResizeBehavior" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawAreaResizeBehavior */
    Tcl_DStringAppendElement ( &dString, " Set the resize behavior for the draw area:\n - @a Expand: The default behavior. The draw area will automatically resize\n to take up as much of @a Geometry as possible. Margin sizes are\n minimized based on the space required for axis labels/tick marks.\n - FixedAspect: Same as Expand, but a fixed aspected ratio is enforced.\n See SetFixedAspect.\n - FixedRect: Draw area is always constrained to a fixed rectangle.\n See SetFixedRect.\n - FixMargins: The draw area expands to ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawAreaResizeBehavior(DrawAreaResizeBehaviorType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SetDrawAreaResizeBehavior */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFixedAspect */
    if ( strcmp ( argv[2], "GetFixedAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedAspect */
    Tcl_DStringAppendElement ( &dString, " The fixed aspect ratio, if DrawAreaResizeBehavior is FixedAspect.\n Defined as width/height. Default is 1.\n Setting the aspect ratio will also set DrawAreaResizeBehavior to\n FixedAspect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetFixedAspect();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for GetFixedAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFixedAspect */
    if ( strcmp ( argv[2], "SetFixedAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedAspect */
    Tcl_DStringAppendElement ( &dString, " The fixed aspect ratio, if DrawAreaResizeBehavior is FixedAspect.\n Defined as width/height. Default is 1.\n Setting the aspect ratio will also set DrawAreaResizeBehavior to\n FixedAspect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFixedAspect(float aspect);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SetFixedAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFixedRect */
    if ( strcmp ( argv[2], "SetFixedRect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedRect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedRect */
    Tcl_DStringAppendElement ( &dString, " The fixed rect to use for the draw area, if DrawAreaResizeBehavior is\n FixedRect. Units are in pixels, default is 300x300+0+0.\n Setting the fixed rect will also set DrawAreaResizeBehavior to\n FixedRect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFixedRect(int x, int y, int width, int height);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SetFixedRect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFixedMarginsArray */
    if ( strcmp ( argv[2], "GetFixedMarginsArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedMarginsArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedMarginsArray */
    Tcl_DStringAppendElement ( &dString, " The left, right, bottom, and top margins for the draw area, if\n DrawAreaResizeBehavior is FixedMargins. Units are in pixels, default is\n { 0, 0, 0, 0 }.\n Setting the fixed margins will also set DrawAreaResizeBehavior to\n FixedMargins.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetFixedMarginsArray(int margins\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for GetFixedMarginsArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFixedMargins */
    if ( strcmp ( argv[2], "SetFixedMargins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedMargins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedMargins */
    Tcl_DStringAppendElement ( &dString, " The left, right, bottom, and top margins for the draw area, if\n DrawAreaResizeBehavior is FixedMargins. Units are in pixels, default is\n { 0, 0, 0, 0 }.\n Setting the fixed margins will also set DrawAreaResizeBehavior to\n FixedMargins.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFixedMargins(int margins\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SetFixedMargins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFixedMargins */
    if ( strcmp ( argv[2], "SetFixedMargins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedMargins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedMargins */
    Tcl_DStringAppendElement ( &dString, " The left, right, bottom, and top margins for the draw area, if\n DrawAreaResizeBehavior is FixedMargins. Units are in pixels, default is\n { 0, 0, 0, 0 }.\n Setting the fixed margins will also set DrawAreaResizeBehavior to\n FixedMargins.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFixedMargins(int left, int right, int bottom, int top);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SetFixedMargins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFillViewport */
    if ( strcmp ( argv[2], "GetFillViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillViewport */
    Tcl_DStringAppendElement ( &dString, " If true, Geometry is set to (0, 0, vpSize\\[0\\], vpSize\\[1\\]) at the start\n of each Paint call. vpSize is vtkContextDevice2D::GetViewportSize. Default\n is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetFillViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for GetFillViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFillViewport */
    if ( strcmp ( argv[2], "SetFillViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillViewport */
    Tcl_DStringAppendElement ( &dString, " If true, Geometry is set to (0, 0, vpSize\\[0\\], vpSize\\[1\\]) at the start\n of each Paint call. vpSize is vtkContextDevice2D::GetViewportSize. Default\n is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFillViewport(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SetFillViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FillViewportOn */
    if ( strcmp ( argv[2], "FillViewportOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillViewportOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillViewportOn */
    Tcl_DStringAppendElement ( &dString, " If true, Geometry is set to (0, 0, vpSize\\[0\\], vpSize\\[1\\]) at the start\n of each Paint call. vpSize is vtkContextDevice2D::GetViewportSize. Default\n is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FillViewportOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for FillViewportOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FillViewportOff */
    if ( strcmp ( argv[2], "FillViewportOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillViewportOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillViewportOff */
    Tcl_DStringAppendElement ( &dString, " If true, Geometry is set to (0, 0, vpSize\\[0\\], vpSize\\[1\\]) at the start\n of each Paint call. vpSize is vtkContextDevice2D::GetViewportSize. Default\n is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FillViewportOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for FillViewportOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShowGrid */
    if ( strcmp ( argv[2], "SetShowGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowGrid */
    Tcl_DStringAppendElement ( &dString, " Turn on/off grid visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShowGrid(bool show);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for SetShowGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShowGrid */
    if ( strcmp ( argv[2], "GetShowGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowGrid */
    Tcl_DStringAppendElement ( &dString, " Turn on/off grid visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetShowGrid();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for GetShowGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShowGridOn */
    if ( strcmp ( argv[2], "ShowGridOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowGridOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowGridOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off grid visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShowGridOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for ShowGridOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShowGridOff */
    if ( strcmp ( argv[2], "ShowGridOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowGridOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowGridOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off grid visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShowGridOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextArea" );
    /* Closing for ShowGridOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkAbstractContextItemCppCommand(static_cast<vtkAbstractContextItem *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
