// tcl wrapper for vtkHyperTreeCursor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeCursor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperTreeCursorCppCommand(vtkHyperTreeCursor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkHyperTreeCursorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkHyperTreeCursorCppCommand(static_cast<vtkHyperTreeCursor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperTreeCursor_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkHyperTreeCursorCppCommand(vtkHyperTreeCursor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkHyperTreeCursor",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkHyperTreeCursor  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeCursor");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeCursor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeCursor");
    return TCL_OK;
  }
  if ((!strcmp("SetTree",argv[1]))&&(argc == 3))
  {
    vtkHyperTree  *temp0;
    error = 0;

    temp0 = (vtkHyperTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTree"),interp,error));
    if (!error)
  {
    op->SetTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTree",argv[1]))&&(argc == 2))
  {
    vtkHyperTree  *temp20;
    temp20 = (op)->GetTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTree");
    return TCL_OK;
  }
  if ((!strcmp("GetVertexId",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetVertexId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsLeaf",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->IsLeaf();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsRoot",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->IsRoot();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetChildIndex",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetChildIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ToRoot",argv[1]))&&(argc == 2))
  {
    op->ToRoot();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ToParent",argv[1]))&&(argc == 2))
  {
    op->ToParent();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ToChild",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->ToChild(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ToSameVertex",argv[1]))&&(argc == 3))
  {
    vtkHyperTreeCursor  *temp0;
    error = 0;

    temp0 = (vtkHyperTreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeCursor"),interp,error));
    if (!error)
  {
    op->ToSameVertex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsEqual",argv[1]))&&(argc == 3))
  {
    vtkHyperTreeCursor  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkHyperTreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeCursor"),interp,error));
    if (!error)
  {
    temp20 = (op)->IsEqual(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("Clone",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeCursor  *temp20;
    temp20 = (op)->Clone();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeCursor");
    return TCL_OK;
  }
  if ((!strcmp("SameTree",argv[1]))&&(argc == 3))
  {
    vtkHyperTreeCursor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkHyperTreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeCursor"),interp,error));
    if (!error)
  {
    temp20 = (op)->SameTree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfChildren",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfChildren();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkHyperTreeCursorCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperTreeCursor:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetTree\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTree\n",nullptr);
    Tcl_AppendResult(interp,"  GetVertexId\n",nullptr);
    Tcl_AppendResult(interp,"  IsLeaf\n",nullptr);
    Tcl_AppendResult(interp,"  IsRoot\n",nullptr);
    Tcl_AppendResult(interp,"  GetLevel\n",nullptr);
    Tcl_AppendResult(interp,"  GetChildIndex\n",nullptr);
    Tcl_AppendResult(interp,"  ToRoot\n",nullptr);
    Tcl_AppendResult(interp,"  ToParent\n",nullptr);
    Tcl_AppendResult(interp,"  ToChild\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ToSameVertex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsEqual\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Clone\n",nullptr);
    Tcl_AppendResult(interp,"  SameTree\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfChildren\n",nullptr);
    Tcl_AppendResult(interp,"  GetDimension\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    Tcl_DStringAppendElement ( &dString, "GetVertexId" );
    Tcl_DStringAppendElement ( &dString, "IsLeaf" );
    Tcl_DStringAppendElement ( &dString, "IsRoot" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "GetChildIndex" );
    Tcl_DStringAppendElement ( &dString, "ToRoot" );
    Tcl_DStringAppendElement ( &dString, "ToParent" );
    Tcl_DStringAppendElement ( &dString, "ToChild" );
    Tcl_DStringAppendElement ( &dString, "ToSameVertex" );
    Tcl_DStringAppendElement ( &dString, "IsEqual" );
    Tcl_DStringAppendElement ( &dString, "Clone" );
    Tcl_DStringAppendElement ( &dString, "SameTree" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeCursor *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTree */
    if ( strcmp ( argv[2], "SetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTree */
    Tcl_DStringAppendElement ( &dString, " Set the HyperTree to which the cursor is pointing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTree(vtkHyperTree *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for SetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTree */
    if ( strcmp ( argv[2], "GetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTree */
    Tcl_DStringAppendElement ( &dString, " Return the HyperTree to which the cursor is pointing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkHyperTree *GetTree() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for GetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVertexId */
    if ( strcmp ( argv[2], "GetVertexId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexId */
    Tcl_DStringAppendElement ( &dString, " Return the index of the current vertex in the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetVertexId() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for GetVertexId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsLeaf */
    if ( strcmp ( argv[2], "IsLeaf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLeaf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLeaf */
    Tcl_DStringAppendElement ( &dString, " Is the cursor pointing to a leaf?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsLeaf() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for IsLeaf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsRoot */
    if ( strcmp ( argv[2], "IsRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsRoot */
    Tcl_DStringAppendElement ( &dString, " Is the cursor at tree root?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsRoot() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for IsRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, " Return the level of the vertex pointed by the cursor.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetLevel() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetChildIndex */
    if ( strcmp ( argv[2], "GetChildIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChildIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChildIndex */
    Tcl_DStringAppendElement ( &dString, " Return the child number of the current vertex relative to its parent.\n \\pre not_root: !IsRoot().\n \\post valid_range: result>=0 && result<GetNumberOfChildren()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetChildIndex() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for GetChildIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToRoot */
    if ( strcmp ( argv[2], "ToRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToRoot */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the root vertex.\n \\pre can be root\n \\post is_root: IsRoot()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToRoot() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for ToRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToParent */
    if ( strcmp ( argv[2], "ToParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToParent */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the parent of the current vertex.\n \\pre not_root: !IsRoot()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToParent() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for ToParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToChild */
    if ( strcmp ( argv[2], "ToChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToChild */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to child `child' of the current vertex.\n \\pre not_leaf: !IsLeaf()\n \\pre valid_child: child>=0 && child<this->GetNumberOfChildren()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToChild(int child) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for ToChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToSameVertex */
    if ( strcmp ( argv[2], "ToSameVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToSameVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToSameVertex */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the same vertex pointed by `other'.\n \\pre other_exists: other!=0\n \\pre same_hypertree: this->SameTree(other);\n \\post equal: this->IsEqual(other)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToSameVertex(vtkHyperTreeCursor *other) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for ToSameVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsEqual */
    if ( strcmp ( argv[2], "IsEqual" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsEqual" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsEqual */
    Tcl_DStringAppendElement ( &dString, " Is `this' equal to `other'?\n \\pre other_exists: other!=0\n \\pre same_hypertree: this->SameTree(other);\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsEqual(vtkHyperTreeCursor *other) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for IsEqual */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Clone */
    if ( strcmp ( argv[2], "Clone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clone */
    Tcl_DStringAppendElement ( &dString, " Create a copy of `this'.\n \\post results_exists:result!=0\n \\post same_tree: result->SameTree(this)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkHyperTreeCursor *Clone() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for Clone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SameTree */
    if ( strcmp ( argv[2], "SameTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SameTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SameTree */
    Tcl_DStringAppendElement ( &dString, " Are `this' and `other' pointing on the same hypertree?\n \\pre other_exists: other!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SameTree(vtkHyperTreeCursor *other) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for SameTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfChildren */
    if ( strcmp ( argv[2], "GetNumberOfChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfChildren */
    Tcl_DStringAppendElement ( &dString, " Return the number of children for each node (non-vertex leaf) of the tree.\n \\post positive_number: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfChildren() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for GetNumberOfChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, " Return the dimension of the tree.\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDimension() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
