// java wrapper for vtkHyperTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperTree",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTree_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetNumberOfLevels_13(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  vtkIdType   temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLevels();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetNumberOfVertices_14(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  vtkIdType   temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVertices();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetNumberOfNodes_15(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  vtkIdType   temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetNumberOfLeaves_16(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  vtkIdType   temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLeaves();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetBranchFactor_17(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  int      temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBranchFactor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetDimension_18(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  int      temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetNumberOfChildren_19(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  vtkIdType   temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfChildren();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTree_SetScale_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperTree *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTree_GetScale_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperTree *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperTree_GetScale_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTree *op;
   unsigned int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTree_CreateInstance_113(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHyperTree *op;
   unsigned int      temp0;
   unsigned int      temp1;
  vtkHyperTree  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateInstance(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTree_NewCursor_114(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
  vtkHyperTreeCursor  *temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewCursor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTree_SubdivideLeaf_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTree *op;
  vtkHyperTreeCursor  *temp0;
  temp0 = (vtkHyperTreeCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SubdivideLeaf(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetActualMemorySize_116(JNIEnv *env, jobject obj)
{
  vtkHyperTree *op;
   unsigned int      temp20;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTree_SetGlobalIndexStart_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTree *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobalIndexStart(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTree_SetGlobalIndexFromLocal_118(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHyperTree *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobalIndexFromLocal(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTree_GetGlobalIndexFromLocal_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTree *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkHyperTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalIndexFromLocal(temp0);
  return temp20;
}
