// java wrapper for vtkAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAlgorithm",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_HasExecutive_12(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasExecutive();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetExecutive_13(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExecutive();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetExecutive_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExecutive(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_ProcessRequest_15(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  vtkCollection  *temp1;
  vtkInformationVector  *temp2;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkCollection *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ProcessRequest(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_ModifyRequest_16(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ModifyRequest(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputPortInformation_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputPortInformation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputPortInformation_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputPortInformation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInformation_19(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformation  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInformation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInformation_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInformation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfInputPorts_111(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInputPorts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfOutputPorts_112(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOutputPorts();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_Register_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UnRegister_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetAbortExecute_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAbortExecute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetAbortExecute_116(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbortExecute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AbortExecuteOn_117(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AbortExecuteOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AbortExecuteOff_118(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AbortExecuteOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetProgress_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAlgorithm *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgress(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgressMinValue_120(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgressMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgress_122(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgress();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateProgress_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAlgorithm *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateProgress(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetProgressText_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithm *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgressText(temp0);
  delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAlgorithm_GetProgressText_125(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  char    *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetErrorCode_126(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
   unsigned long     temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetErrorCode();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1IS_1OPTIONAL_127(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_IS_OPTIONAL();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1IS_1REPEATABLE_128(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_IS_REPEATABLE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1REQUIRED_1FIELDS_129(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_REQUIRED_FIELDS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1REQUIRED_1DATA_1TYPE_130(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationStringVectorKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_REQUIRED_DATA_TYPE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1ARRAYS_1TO_1PROCESS_131(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_ARRAYS_TO_PROCESS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1PORT_132(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_PORT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1CONNECTION_133(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_CONNECTION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_CAN_1PRODUCE_1SUB_1EXTENT_134(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CAN_PRODUCE_SUB_EXTENT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_CAN_1HANDLE_1PIECE_1REQUEST_135(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CAN_HANDLE_PIECE_REQUEST();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_136(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jstring id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char    *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
  delete[] temp4;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_137(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_138(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp1;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_139(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jstring id3,jstring id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  char    *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
  delete[] temp3;
  delete[] temp4;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputArrayInformation_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputArrayInformation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveAllInputs_141(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllInputs();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputDataObject_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputDataObject(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputDataObject_143(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputDataObject(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputConnection_144(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputConnection_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputConnection_146(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputConnection_147(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveInputConnection_148(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveInputConnection_149(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveAllInputConnections_150(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllInputConnections(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputDataObject_151(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputDataObject(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputDataObject_152(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputDataObject(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputDataObject_153(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputDataObject(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputDataObject_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputDataObject(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputPort_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputPort(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputPort_156(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputPort();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfInputConnections_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInputConnections(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetTotalNumberOfInputConnections_158(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfInputConnections();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputConnection_159(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputConnection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputAlgorithm_160(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkAlgorithm  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputAlgorithm(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputAlgorithm_161(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkAlgorithm  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputAlgorithm();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputExecutive_162(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkExecutive  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputExecutive(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputExecutive_163(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputExecutive();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputInformation_164(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkInformation  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputInformation(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputInformation_165(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformation  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputInformation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputInformation_166(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputInformation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_Update_167(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->Update(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_Update_168(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_Update_169(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformationVector  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Update(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_Update_170(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Update(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdatePiece_171(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jintArray id3)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int    temp3[6];
  void *tempArray3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetIntArrayElements(id3,nullptr));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  temp3[2] = ((jint *)tempArray3)[2];
  temp3[3] = ((jint *)tempArray3)[3];
  temp3[4] = ((jint *)tempArray3)[4];
  temp3[5] = ((jint *)tempArray3)[5];

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdatePiece(temp0,temp1,temp2,temp3);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  ((jint *)tempArray3)[2] = temp3[2];
  ((jint *)tempArray3)[3] = temp3[3];
  ((jint *)tempArray3)[4] = temp3[4];
  ((jint *)tempArray3)[5] = temp3[5];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateExtent_172(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkAlgorithm *op;
  int    temp0[6];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateTimeStep_173(JNIEnv *env, jobject obj,jdouble id0,jint id1,jint id2,jint id3,jintArray id4)
{
  vtkAlgorithm *op;
  double   temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int    temp4[6];
  void *tempArray4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  tempArray4 = (void *)(env->GetIntArrayElements(id4,nullptr));
  temp4[0] = ((jint *)tempArray4)[0];
  temp4[1] = ((jint *)tempArray4)[1];
  temp4[2] = ((jint *)tempArray4)[2];
  temp4[3] = ((jint *)tempArray4)[3];
  temp4[4] = ((jint *)tempArray4)[4];
  temp4[5] = ((jint *)tempArray4)[5];

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateTimeStep(temp0,temp1,temp2,temp3,temp4);
  ((jint *)tempArray4)[0] = temp4[0];
  ((jint *)tempArray4)[1] = temp4[1];
  ((jint *)tempArray4)[2] = temp4[2];
  ((jint *)tempArray4)[3] = temp4[3];
  ((jint *)tempArray4)[4] = temp4[4];
  ((jint *)tempArray4)[5] = temp4[5];
  env->ReleaseIntArrayElements(id4,(jint *)tempArray4,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateInformation_174(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateDataObject_175(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateDataObject();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_PropagateUpdateExtent_176(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->PropagateUpdateExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateWholeExtent_177(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateWholeExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetReleaseDataFlag_178(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetReleaseDataFlag_179(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_ReleaseDataFlagOn_180(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_ReleaseDataFlagOff_181(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateExtentIsEmpty_182(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateExtentIsEmpty(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateExtentIsEmpty_183(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateExtentIsEmpty(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetDefaultExecutivePrototype_184(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultExecutivePrototype(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAlgorithm_GetUpdateExtent_185(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int     *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAlgorithm_GetUpdateExtent_186(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  int     *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateExtent(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_GetUpdateExtent_187(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkAlgorithm *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->GetUpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_GetUpdateExtent_188(JNIEnv *env, jobject obj,jint id0,jintArray id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int    temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetIntArrayElements(id1,nullptr));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->GetUpdateExtent(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetUpdatePiece_189(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdatePiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetUpdatePiece_190(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdatePiece(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetUpdateNumberOfPieces_191(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetUpdateNumberOfPieces_192(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateNumberOfPieces(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetUpdateGhostLevel_193(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetUpdateGhostLevel_194(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateGhostLevel(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetProgressObserver_195(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkProgressObserver  *temp0;
  temp0 = (vtkProgressObserver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgressObserver(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetProgressObserver_196(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkProgressObserver  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressObserver();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkAlgorithm *aNewOne = vtkAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
