// tcl wrapper for vtkDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAlgorithm.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkDataSetAlgorithmNewCommand()
{
  vtkDataSetAlgorithm *temp = vtkDataSetAlgorithm::New();
  return static_cast<ClientData>(temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkDataSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetAlgorithm_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataSetAlgorithm"),vtkDataSetAlgorithmNewCommand,vtkDataSetAlgorithmCommand);
  return 0;
}

int VTKTCL_EXPORT vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkDataSetAlgorithm",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkDataSetAlgorithm  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAlgorithm");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkDataSetAlgorithm  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAlgorithm");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkDataSetAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAlgorithm");
    return TCL_OK;
  }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
  {
    vtkDataSet  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkDataSet  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
  {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
  }
  if ((!strcmp("GetPolyDataOutput",argv[1]))&&(argc == 2))
  {
    vtkPolyData  *temp20;
    temp20 = (op)->GetPolyDataOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
  }
  if ((!strcmp("GetStructuredPointsOutput",argv[1]))&&(argc == 2))
  {
    vtkStructuredPoints  *temp20;
    temp20 = (op)->GetStructuredPointsOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredPoints");
    return TCL_OK;
  }
  if ((!strcmp("GetImageDataOutput",argv[1]))&&(argc == 2))
  {
    vtkImageData  *temp20;
    temp20 = (op)->GetImageDataOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }
  if ((!strcmp("GetStructuredGridOutput",argv[1]))&&(argc == 2))
  {
    vtkStructuredGrid  *temp20;
    temp20 = (op)->GetStructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredGrid");
    return TCL_OK;
  }
  if ((!strcmp("GetUnstructuredGridOutput",argv[1]))&&(argc == 2))
  {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetUnstructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGrid");
    return TCL_OK;
  }
  if ((!strcmp("GetRectilinearGridOutput",argv[1]))&&(argc == 2))
  {
    vtkRectilinearGrid  *temp20;
    temp20 = (op)->GetRectilinearGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectilinearGrid");
    return TCL_OK;
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkDataSet  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->AddInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 3))
  {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->AddInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkDataSet  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->AddInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->AddInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkDataSetAlgorithmCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetAlgorithm:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInput\n",nullptr);
    Tcl_AppendResult(interp,"  GetPolyDataOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetStructuredPointsOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetImageDataOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetStructuredGridOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetUnstructuredGridOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetRectilinearGridOutput\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  AddInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  AddInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  AddInputData\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  AddInputData\t with 2 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    Tcl_DStringAppendElement ( &dString, "GetStructuredPointsOutput" );
    Tcl_DStringAppendElement ( &dString, "GetImageDataOutput" );
    Tcl_DStringAppendElement ( &dString, "GetStructuredGridOutput" );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    Tcl_DStringAppendElement ( &dString, "GetRectilinearGridOutput" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetAlgorithm *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetAlgorithm *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetOutput(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get the input data object. This method is not recommended for use, but\n lots of old style filters use it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPolyDataOutput */
    if ( strcmp ( argv[2], "GetPolyDataOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetPolyDataOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetPolyDataOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStructuredPointsOutput */
    if ( strcmp ( argv[2], "GetStructuredPointsOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStructuredPointsOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStructuredPointsOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as vtkStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredPoints *GetStructuredPointsOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetStructuredPointsOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetImageDataOutput */
    if ( strcmp ( argv[2], "GetImageDataOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageDataOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageDataOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as vtkStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetImageDataOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetImageDataOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStructuredGridOutput */
    if ( strcmp ( argv[2], "GetStructuredGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStructuredGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStructuredGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as vtkStructuredGrid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid *GetStructuredGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetStructuredGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUnstructuredGridOutput */
    if ( strcmp ( argv[2], "GetUnstructuredGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnstructuredGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnstructuredGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as vtkUnstructuredGrid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid *GetUnstructuredGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetUnstructuredGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRectilinearGridOutput */
    if ( strcmp ( argv[2], "GetRectilinearGridOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRectilinearGridOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRectilinearGridOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output as vtkRectilinearGrid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGrid *GetRectilinearGridOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for GetRectilinearGridOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use SetInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use SetInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(int, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use SetInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use SetInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(int, vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use AddInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use AddInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use AddInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(int, vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Assign a data object as input. Note that this method does not\n establish a pipeline connection. Use AddInputConnection() to\n setup a pipeline connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(int, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
