// tcl wrapper for vtkCellDataToPointData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellDataToPointData.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkCellDataToPointDataNewCommand()
{
  vtkCellDataToPointData *temp = vtkCellDataToPointData::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellDataToPointDataCppCommand(vtkCellDataToPointData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkCellDataToPointDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkCellDataToPointDataCppCommand(static_cast<vtkCellDataToPointData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellDataToPointData_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellDataToPointData"),vtkCellDataToPointDataNewCommand,vtkCellDataToPointDataCommand);
  return 0;
}

int VTKTCL_EXPORT vtkCellDataToPointDataCppCommand(vtkCellDataToPointData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkCellDataToPointData",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkCellDataToPointData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellDataToPointData");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkCellDataToPointData  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellDataToPointData");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkCellDataToPointData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellDataToPointData");
    return TCL_OK;
  }
  if ((!strcmp("SetPassCellData",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPassCellData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPassCellData",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPassCellData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("PassCellDataOn",argv[1]))&&(argc == 2))
  {
    op->PassCellDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PassCellDataOff",argv[1]))&&(argc == 2))
  {
    op->PassCellDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetContributingCellOption",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetContributingCellOption(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetContributingCellOptionMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetContributingCellOptionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetContributingCellOptionMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetContributingCellOptionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetContributingCellOption",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetContributingCellOption();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkCellDataToPointDataCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellDataToPointData:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetPassCellData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPassCellData\n",nullptr);
    Tcl_AppendResult(interp,"  PassCellDataOn\n",nullptr);
    Tcl_AppendResult(interp,"  PassCellDataOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetContributingCellOption\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetContributingCellOptionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetContributingCellOptionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetContributingCellOption\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetPassCellData" );
    Tcl_DStringAppendElement ( &dString, "GetPassCellData" );
    Tcl_DStringAppendElement ( &dString, "PassCellDataOn" );
    Tcl_DStringAppendElement ( &dString, "PassCellDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetContributingCellOption" );
    Tcl_DStringAppendElement ( &dString, "GetContributingCellOptionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetContributingCellOptionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetContributingCellOption" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellDataToPointData *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellDataToPointData *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPassCellData */
    if ( strcmp ( argv[2], "SetPassCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassCellData */
    Tcl_DStringAppendElement ( &dString, " Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPassCellData(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for SetPassCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPassCellData */
    if ( strcmp ( argv[2], "GetPassCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassCellData */
    Tcl_DStringAppendElement ( &dString, " Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPassCellData();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for GetPassCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassCellDataOn */
    if ( strcmp ( argv[2], "PassCellDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassCellDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassCellDataOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassCellDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for PassCellDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassCellDataOff */
    if ( strcmp ( argv[2], "PassCellDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassCellDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassCellDataOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassCellDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for PassCellDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetContributingCellOption */
    if ( strcmp ( argv[2], "SetContributingCellOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContributingCellOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContributingCellOption */
    Tcl_DStringAppendElement ( &dString, " Option to specify what cells to include in the gradient computation.\n Options are all cells (All, Patch and DataSetMax). The default is All.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetContributingCellOption(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for SetContributingCellOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetContributingCellOptionMinValue */
    if ( strcmp ( argv[2], "GetContributingCellOptionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContributingCellOptionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContributingCellOptionMinValue */
    Tcl_DStringAppendElement ( &dString, " Option to specify what cells to include in the gradient computation.\n Options are all cells (All, Patch and DataSetMax). The default is All.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetContributingCellOptionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for GetContributingCellOptionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetContributingCellOptionMaxValue */
    if ( strcmp ( argv[2], "GetContributingCellOptionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContributingCellOptionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContributingCellOptionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Option to specify what cells to include in the gradient computation.\n Options are all cells (All, Patch and DataSetMax). The default is All.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetContributingCellOptionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for GetContributingCellOptionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetContributingCellOption */
    if ( strcmp ( argv[2], "GetContributingCellOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContributingCellOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContributingCellOption */
    Tcl_DStringAppendElement ( &dString, " Option to specify what cells to include in the gradient computation.\n Options are all cells (All, Patch and DataSetMax). The default is All.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetContributingCellOption();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellDataToPointData" );
    /* Closing for GetContributingCellOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
