// tcl wrapper for vtkPlaneCutter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlaneCutter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPlaneCutterNewCommand()
{
  vtkPlaneCutter *temp = vtkPlaneCutter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPlaneCutterCppCommand(vtkPlaneCutter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPlaneCutterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPlaneCutterCppCommand(static_cast<vtkPlaneCutter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPlaneCutter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlaneCutter"),vtkPlaneCutterNewCommand,vtkPlaneCutterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPlaneCutterCppCommand(vtkPlaneCutter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPlaneCutter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPlaneCutter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneCutter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPlaneCutter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneCutter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPlaneCutter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneCutter");
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPlane",argv[1]))&&(argc == 3))
  {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
  {
    op->SetPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPlane",argv[1]))&&(argc == 2))
  {
    vtkPlane  *temp20;
    temp20 = (op)->GetPlane();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlane");
    return TCL_OK;
  }
  if ((!strcmp("SetComputeNormals",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeNormals",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeNormalsOn",argv[1]))&&(argc == 2))
  {
    op->ComputeNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeNormalsOff",argv[1]))&&(argc == 2))
  {
    op->ComputeNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetInterpolateAttributes",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetInterpolateAttributes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInterpolateAttributes",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetInterpolateAttributes();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("InterpolateAttributesOn",argv[1]))&&(argc == 2))
  {
    op->InterpolateAttributesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InterpolateAttributesOff",argv[1]))&&(argc == 2))
  {
    op->InterpolateAttributesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetGeneratePolygons",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetGeneratePolygons(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGeneratePolygons",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetGeneratePolygons();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GeneratePolygonsOn",argv[1]))&&(argc == 2))
  {
    op->GeneratePolygonsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GeneratePolygonsOff",argv[1]))&&(argc == 2))
  {
    op->GeneratePolygonsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetBuildTree",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetBuildTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBuildTree",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetBuildTree();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("BuildTreeOn",argv[1]))&&(argc == 2))
  {
    op->BuildTreeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("BuildTreeOff",argv[1]))&&(argc == 2))
  {
    op->BuildTreeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetBuildHierarchy",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetBuildHierarchy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBuildHierarchy",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetBuildHierarchy();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("BuildHierarchyOn",argv[1]))&&(argc == 2))
  {
    op->BuildHierarchyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("BuildHierarchyOff",argv[1]))&&(argc == 2))
  {
    op->BuildHierarchyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPlaneCutterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPlaneCutter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlane\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlane\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeNormals\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeNormals\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeNormalsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeNormalsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolateAttributes\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInterpolateAttributes\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateAttributesOn\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateAttributesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetGeneratePolygons\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGeneratePolygons\n",nullptr);
    Tcl_AppendResult(interp,"  GeneratePolygonsOn\n",nullptr);
    Tcl_AppendResult(interp,"  GeneratePolygonsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetBuildTree\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBuildTree\n",nullptr);
    Tcl_AppendResult(interp,"  BuildTreeOn\n",nullptr);
    Tcl_AppendResult(interp,"  BuildTreeOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetBuildHierarchy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBuildHierarchy\n",nullptr);
    Tcl_AppendResult(interp,"  BuildHierarchyOn\n",nullptr);
    Tcl_AppendResult(interp,"  BuildHierarchyOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetPlane" );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateAttributes" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOn" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOff" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePolygons" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePolygons" );
    Tcl_DStringAppendElement ( &dString, "GeneratePolygonsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePolygonsOff" );
    Tcl_DStringAppendElement ( &dString, "SetBuildTree" );
    Tcl_DStringAppendElement ( &dString, "GetBuildTree" );
    Tcl_DStringAppendElement ( &dString, "BuildTreeOn" );
    Tcl_DStringAppendElement ( &dString, "BuildTreeOff" );
    Tcl_DStringAppendElement ( &dString, "SetBuildHierarchy" );
    Tcl_DStringAppendElement ( &dString, "GetBuildHierarchy" );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOn" );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard construction and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlaneCutter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard construction and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard construction and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard construction and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlaneCutter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard construction and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " The modified time depends on the delegated cut plane.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlane */
    if ( strcmp ( argv[2], "SetPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlane */
    Tcl_DStringAppendElement ( &dString, " Specify the plane (an implicit function) to perform the cutting. The\n definition of the plane (its origin and normal) is controlled via this\n instance of vtkPlane.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlane(vtkPlane *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for SetPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlane */
    if ( strcmp ( argv[2], "GetPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlane */
    Tcl_DStringAppendElement ( &dString, " Specify the plane (an implicit function) to perform the cutting. The\n definition of the plane (its origin and normal) is controlled via this\n instance of vtkPlane.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPlane *GetPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GetPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeNormals */
    if ( strcmp ( argv[2], "SetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. The normal generated is simply the\n cut plane normal. The normal, if generated, is defined by cell data\n associated with the output polygons. By default computing of normals is\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeNormals(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for SetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeNormals */
    if ( strcmp ( argv[2], "GetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. The normal generated is simply the\n cut plane normal. The normal, if generated, is defined by cell data\n associated with the output polygons. By default computing of normals is\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeNormalsOn */
    if ( strcmp ( argv[2], "ComputeNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. The normal generated is simply the\n cut plane normal. The normal, if generated, is defined by cell data\n associated with the output polygons. By default computing of normals is\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for ComputeNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeNormalsOff */
    if ( strcmp ( argv[2], "ComputeNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. The normal generated is simply the\n cut plane normal. The normal, if generated, is defined by cell data\n associated with the output polygons. By default computing of normals is\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for ComputeNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolateAttributes */
    if ( strcmp ( argv[2], "SetInterpolateAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolateAttributes */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate attribute data. By default this is\n enabled. Note that both cell data and point data is interpolated and\n outputted, except for image data input where only point data are outputted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterpolateAttributes(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for SetInterpolateAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInterpolateAttributes */
    if ( strcmp ( argv[2], "GetInterpolateAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolateAttributes */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate attribute data. By default this is\n enabled. Note that both cell data and point data is interpolated and\n outputted, except for image data input where only point data are outputted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetInterpolateAttributes();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GetInterpolateAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateAttributesOn */
    if ( strcmp ( argv[2], "InterpolateAttributesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAttributesOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate attribute data. By default this is\n enabled. Note that both cell data and point data is interpolated and\n outputted, except for image data input where only point data are outputted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateAttributesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for InterpolateAttributesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateAttributesOff */
    if ( strcmp ( argv[2], "InterpolateAttributesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAttributesOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate attribute data. By default this is\n enabled. Note that both cell data and point data is interpolated and\n outputted, except for image data input where only point data are outputted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateAttributesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for InterpolateAttributesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGeneratePolygons */
    if ( strcmp ( argv[2], "SetGeneratePolygons" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePolygons" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePolygons */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to generate polygons instead of triangles when cutting\n structured and rectilinear grid.\n No effect with other kinds of inputs, enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGeneratePolygons(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for SetGeneratePolygons */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGeneratePolygons */
    if ( strcmp ( argv[2], "GetGeneratePolygons" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePolygons" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePolygons */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to generate polygons instead of triangles when cutting\n structured and rectilinear grid.\n No effect with other kinds of inputs, enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGeneratePolygons();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GetGeneratePolygons */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GeneratePolygonsOn */
    if ( strcmp ( argv[2], "GeneratePolygonsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePolygonsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePolygonsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to generate polygons instead of triangles when cutting\n structured and rectilinear grid.\n No effect with other kinds of inputs, enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GeneratePolygonsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GeneratePolygonsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GeneratePolygonsOff */
    if ( strcmp ( argv[2], "GeneratePolygonsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePolygonsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePolygonsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to generate polygons instead of triangles when cutting\n structured and rectilinear grid.\n No effect with other kinds of inputs, enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GeneratePolygonsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GeneratePolygonsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBuildTree */
    if ( strcmp ( argv[2], "SetBuildTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBuildTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBuildTree */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build the sphere tree. Computing the sphere\n will take some time on the first computation\n but if the input does not change, the computation of all further\n slice will be much faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBuildTree(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for SetBuildTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBuildTree */
    if ( strcmp ( argv[2], "GetBuildTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBuildTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBuildTree */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build the sphere tree. Computing the sphere\n will take some time on the first computation\n but if the input does not change, the computation of all further\n slice will be much faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetBuildTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GetBuildTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildTreeOn */
    if ( strcmp ( argv[2], "BuildTreeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildTreeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildTreeOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build the sphere tree. Computing the sphere\n will take some time on the first computation\n but if the input does not change, the computation of all further\n slice will be much faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildTreeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for BuildTreeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildTreeOff */
    if ( strcmp ( argv[2], "BuildTreeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildTreeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildTreeOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build the sphere tree. Computing the sphere\n will take some time on the first computation\n but if the input does not change, the computation of all further\n slice will be much faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildTreeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for BuildTreeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBuildHierarchy */
    if ( strcmp ( argv[2], "SetBuildHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBuildHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBuildHierarchy */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build tree hierarchy. Computing the tree\n hierarchy can take some time on the first computation but if\n the input does not change, the computation of all further\n slice will be faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBuildHierarchy(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for SetBuildHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBuildHierarchy */
    if ( strcmp ( argv[2], "GetBuildHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBuildHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBuildHierarchy */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build tree hierarchy. Computing the tree\n hierarchy can take some time on the first computation but if\n the input does not change, the computation of all further\n slice will be faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetBuildHierarchy();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for GetBuildHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildHierarchyOn */
    if ( strcmp ( argv[2], "BuildHierarchyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildHierarchyOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build tree hierarchy. Computing the tree\n hierarchy can take some time on the first computation but if\n the input does not change, the computation of all further\n slice will be faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildHierarchyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for BuildHierarchyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildHierarchyOff */
    if ( strcmp ( argv[2], "BuildHierarchyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildHierarchyOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to build tree hierarchy. Computing the tree\n hierarchy can take some time on the first computation but if\n the input does not change, the computation of all further\n slice will be faster. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildHierarchyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCutter" );
    /* Closing for BuildHierarchyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
