// tcl wrapper for vtkResampleWithDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResampleWithDataSet.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkResampleWithDataSetNewCommand()
{
  vtkResampleWithDataSet *temp = vtkResampleWithDataSet::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkResampleWithDataSetCppCommand(vtkResampleWithDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkResampleWithDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkResampleWithDataSetCppCommand(static_cast<vtkResampleWithDataSet *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkResampleWithDataSet_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkResampleWithDataSet"),vtkResampleWithDataSetNewCommand,vtkResampleWithDataSetCommand);
  return 0;
}

int VTKTCL_EXPORT vtkResampleWithDataSetCppCommand(vtkResampleWithDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkResampleWithDataSet",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkResampleWithDataSet  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResampleWithDataSet");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkResampleWithDataSet  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResampleWithDataSet");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkResampleWithDataSet  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResampleWithDataSet");
    return TCL_OK;
  }
  if ((!strcmp("SetSourceData",argv[1]))&&(argc == 3))
  {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    op->SetSourceData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
  {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
  {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetCategoricalData",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCategoricalData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCategoricalData",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCategoricalData();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPassCellArrays",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetPassCellArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPassCellArrays",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetPassCellArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("PassCellArraysOn",argv[1]))&&(argc == 2))
  {
    op->PassCellArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PassCellArraysOff",argv[1]))&&(argc == 2))
  {
    op->PassCellArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPassPointArrays",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetPassPointArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPassPointArrays",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetPassPointArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("PassPointArraysOn",argv[1]))&&(argc == 2))
  {
    op->PassPointArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PassPointArraysOff",argv[1]))&&(argc == 2))
  {
    op->PassPointArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPassFieldArrays",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetPassFieldArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPassFieldArrays",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetPassFieldArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("PassFieldArraysOn",argv[1]))&&(argc == 2))
  {
    op->PassFieldArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PassFieldArraysOff",argv[1]))&&(argc == 2))
  {
    op->PassFieldArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeTolerance",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeTolerance",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeToleranceOn",argv[1]))&&(argc == 2))
  {
    op->ComputeToleranceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeToleranceOff",argv[1]))&&(argc == 2))
  {
    op->ComputeToleranceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMarkBlankPointsAndCells",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetMarkBlankPointsAndCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMarkBlankPointsAndCells",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetMarkBlankPointsAndCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("MarkBlankPointsAndCellsOn",argv[1]))&&(argc == 2))
  {
    op->MarkBlankPointsAndCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("MarkBlankPointsAndCellsOff",argv[1]))&&(argc == 2))
  {
    op->MarkBlankPointsAndCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkResampleWithDataSetCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkResampleWithDataSet:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetSourceData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetCategoricalData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCategoricalData\n",nullptr);
    Tcl_AppendResult(interp,"  SetPassCellArrays\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPassCellArrays\n",nullptr);
    Tcl_AppendResult(interp,"  PassCellArraysOn\n",nullptr);
    Tcl_AppendResult(interp,"  PassCellArraysOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPassPointArrays\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPassPointArrays\n",nullptr);
    Tcl_AppendResult(interp,"  PassPointArraysOn\n",nullptr);
    Tcl_AppendResult(interp,"  PassPointArraysOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPassFieldArrays\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPassFieldArrays\n",nullptr);
    Tcl_AppendResult(interp,"  PassFieldArraysOn\n",nullptr);
    Tcl_AppendResult(interp,"  PassFieldArraysOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTolerance\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeTolerance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeTolerance\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeToleranceOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeToleranceOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetMarkBlankPointsAndCells\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMarkBlankPointsAndCells\n",nullptr);
    Tcl_AppendResult(interp,"  MarkBlankPointsAndCellsOn\n",nullptr);
    Tcl_AppendResult(interp,"  MarkBlankPointsAndCellsOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSourceData" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetCategoricalData" );
    Tcl_DStringAppendElement ( &dString, "GetCategoricalData" );
    Tcl_DStringAppendElement ( &dString, "SetPassCellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPassCellArrays" );
    Tcl_DStringAppendElement ( &dString, "PassCellArraysOn" );
    Tcl_DStringAppendElement ( &dString, "PassCellArraysOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassPointArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPassPointArrays" );
    Tcl_DStringAppendElement ( &dString, "PassPointArraysOn" );
    Tcl_DStringAppendElement ( &dString, "PassPointArraysOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassFieldArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPassFieldArrays" );
    Tcl_DStringAppendElement ( &dString, "PassFieldArraysOn" );
    Tcl_DStringAppendElement ( &dString, "PassFieldArraysOff" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetComputeTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetComputeTolerance" );
    Tcl_DStringAppendElement ( &dString, "ComputeToleranceOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeToleranceOff" );
    Tcl_DStringAppendElement ( &dString, "SetMarkBlankPointsAndCells" );
    Tcl_DStringAppendElement ( &dString, "GetMarkBlankPointsAndCells" );
    Tcl_DStringAppendElement ( &dString, "MarkBlankPointsAndCellsOn" );
    Tcl_DStringAppendElement ( &dString, "MarkBlankPointsAndCellsOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkResampleWithDataSet *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkResampleWithDataSet *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSourceData */
    if ( strcmp ( argv[2], "SetSourceData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceData */
    Tcl_DStringAppendElement ( &dString, " Specify the data set that will be probed at the input points.\n The Input gives the geometry (the points and cells) for the output,\n while the Source is probed (interpolated) to generate the scalars,\n vectors, etc. for the output points based on the point locations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceData(vtkDataObject *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetSourceData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify the data set that will be probed at the input points.\n The Input gives the geometry (the points and cells) for the output,\n while the Source is probed (interpolated) to generate the scalars,\n vectors, etc. for the output points based on the point locations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCategoricalData */
    if ( strcmp ( argv[2], "SetCategoricalData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCategoricalData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCategoricalData */
    Tcl_DStringAppendElement ( &dString, " Control whether the source point data is to be treated as categorical. If\n the data is categorical, then the resultant data will be determined by\n a nearest neighbor interpolation scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCategoricalData(bool arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetCategoricalData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCategoricalData */
    if ( strcmp ( argv[2], "GetCategoricalData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCategoricalData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCategoricalData */
    Tcl_DStringAppendElement ( &dString, " Control whether the source point data is to be treated as categorical. If\n the data is categorical, then the resultant data will be determined by\n a nearest neighbor interpolation scheme.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCategoricalData();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetCategoricalData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPassCellArrays */
    if ( strcmp ( argv[2], "SetPassCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassCellArrays */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input cell data arrays to the output.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassCellArrays(bool arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetPassCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPassCellArrays */
    if ( strcmp ( argv[2], "GetPassCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassCellArrays */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input cell data arrays to the output.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPassCellArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetPassCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassCellArraysOn */
    if ( strcmp ( argv[2], "PassCellArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassCellArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassCellArraysOn */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input cell data arrays to the output.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassCellArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for PassCellArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassCellArraysOff */
    if ( strcmp ( argv[2], "PassCellArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassCellArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassCellArraysOff */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input cell data arrays to the output.\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassCellArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for PassCellArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPassPointArrays */
    if ( strcmp ( argv[2], "SetPassPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassPointArrays */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input point data arrays to the output\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassPointArrays(bool arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetPassPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPassPointArrays */
    if ( strcmp ( argv[2], "GetPassPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassPointArrays */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input point data arrays to the output\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPassPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetPassPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassPointArraysOn */
    if ( strcmp ( argv[2], "PassPointArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassPointArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassPointArraysOn */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input point data arrays to the output\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassPointArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for PassPointArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassPointArraysOff */
    if ( strcmp ( argv[2], "PassPointArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassPointArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassPointArraysOff */
    Tcl_DStringAppendElement ( &dString, " Shallow copy the input point data arrays to the output\n Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassPointArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for PassPointArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPassFieldArrays */
    if ( strcmp ( argv[2], "SetPassFieldArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassFieldArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassFieldArrays */
    Tcl_DStringAppendElement ( &dString, " Set whether to pass the field-data arrays from the Input i.e. the input\n providing the geometry to the output. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassFieldArrays(bool arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetPassFieldArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPassFieldArrays */
    if ( strcmp ( argv[2], "GetPassFieldArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassFieldArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassFieldArrays */
    Tcl_DStringAppendElement ( &dString, " Set whether to pass the field-data arrays from the Input i.e. the input\n providing the geometry to the output. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPassFieldArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetPassFieldArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassFieldArraysOn */
    if ( strcmp ( argv[2], "PassFieldArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassFieldArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassFieldArraysOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to pass the field-data arrays from the Input i.e. the input\n providing the geometry to the output. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassFieldArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for PassFieldArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PassFieldArraysOff */
    if ( strcmp ( argv[2], "PassFieldArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassFieldArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassFieldArraysOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to pass the field-data arrays from the Input i.e. the input\n providing the geometry to the output. On by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassFieldArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for PassFieldArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance used to compute whether a point in the\n source is in a cell of the input.  This value is only used\n if ComputeTolerance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance(double arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance used to compute whether a point in the\n source is in a cell of the input.  This value is only used\n if ComputeTolerance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeTolerance */
    if ( strcmp ( argv[2], "SetComputeTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeTolerance */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the Tolerance field or precompute the tolerance.\n When on, the tolerance will be computed and the field\n value is ignored. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeTolerance(bool arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetComputeTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeTolerance */
    if ( strcmp ( argv[2], "GetComputeTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeTolerance */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the Tolerance field or precompute the tolerance.\n When on, the tolerance will be computed and the field\n value is ignored. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetComputeTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetComputeTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeToleranceOn */
    if ( strcmp ( argv[2], "ComputeToleranceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeToleranceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeToleranceOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the Tolerance field or precompute the tolerance.\n When on, the tolerance will be computed and the field\n value is ignored. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeToleranceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for ComputeToleranceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeToleranceOff */
    if ( strcmp ( argv[2], "ComputeToleranceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeToleranceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeToleranceOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the Tolerance field or precompute the tolerance.\n When on, the tolerance will be computed and the field\n value is ignored. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeToleranceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for ComputeToleranceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMarkBlankPointsAndCells */
    if ( strcmp ( argv[2], "SetMarkBlankPointsAndCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMarkBlankPointsAndCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMarkBlankPointsAndCells */
    Tcl_DStringAppendElement ( &dString, " Set whether points without resampled values, and their corresponding cells,\n should be marked as Blank. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMarkBlankPointsAndCells(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for SetMarkBlankPointsAndCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMarkBlankPointsAndCells */
    if ( strcmp ( argv[2], "GetMarkBlankPointsAndCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarkBlankPointsAndCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarkBlankPointsAndCells */
    Tcl_DStringAppendElement ( &dString, " Set whether points without resampled values, and their corresponding cells,\n should be marked as Blank. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetMarkBlankPointsAndCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetMarkBlankPointsAndCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MarkBlankPointsAndCellsOn */
    if ( strcmp ( argv[2], "MarkBlankPointsAndCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MarkBlankPointsAndCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MarkBlankPointsAndCellsOn */
    Tcl_DStringAppendElement ( &dString, " Set whether points without resampled values, and their corresponding cells,\n should be marked as Blank. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MarkBlankPointsAndCellsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for MarkBlankPointsAndCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MarkBlankPointsAndCellsOff */
    if ( strcmp ( argv[2], "MarkBlankPointsAndCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MarkBlankPointsAndCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MarkBlankPointsAndCellsOff */
    Tcl_DStringAppendElement ( &dString, " Set whether points without resampled values, and their corresponding cells,\n should be marked as Blank. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MarkBlankPointsAndCellsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for MarkBlankPointsAndCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkResampleWithDataSet" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
