// tcl wrapper for vtkTransposeTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransposeTable.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkTransposeTableNewCommand()
{
  vtkTransposeTable *temp = vtkTransposeTable::New();
  return static_cast<ClientData>(temp);
}

int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTransposeTableCppCommand(vtkTransposeTable *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkTransposeTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkTransposeTableCppCommand(static_cast<vtkTransposeTable *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTransposeTable_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransposeTable"),vtkTransposeTableNewCommand,vtkTransposeTableCommand);
  return 0;
}

int VTKTCL_EXPORT vtkTransposeTableCppCommand(vtkTransposeTable *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkTransposeTable",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkTransposeTable  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransposeTable");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkTransposeTable  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransposeTable");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkTransposeTable  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransposeTable");
    return TCL_OK;
  }
  if ((!strcmp("GetAddIdColumn",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetAddIdColumn();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAddIdColumn",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetAddIdColumn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddIdColumnOn",argv[1]))&&(argc == 2))
  {
    op->AddIdColumnOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AddIdColumnOff",argv[1]))&&(argc == 2))
  {
    op->AddIdColumnOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetUseIdColumn",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseIdColumn();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseIdColumn",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseIdColumn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("UseIdColumnOn",argv[1]))&&(argc == 2))
  {
    op->UseIdColumnOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseIdColumnOff",argv[1]))&&(argc == 2))
  {
    op->UseIdColumnOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetIdColumnName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetIdColumnName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetIdColumnName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetIdColumnName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkTransposeTableCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTransposeTable:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetAddIdColumn\n",nullptr);
    Tcl_AppendResult(interp,"  SetAddIdColumn\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  AddIdColumnOn\n",nullptr);
    Tcl_AppendResult(interp,"  AddIdColumnOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseIdColumn\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseIdColumn\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UseIdColumnOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseIdColumnOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetIdColumnName\n",nullptr);
    Tcl_AppendResult(interp,"  SetIdColumnName\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetAddIdColumn" );
    Tcl_DStringAppendElement ( &dString, "SetAddIdColumn" );
    Tcl_DStringAppendElement ( &dString, "AddIdColumnOn" );
    Tcl_DStringAppendElement ( &dString, "AddIdColumnOff" );
    Tcl_DStringAppendElement ( &dString, "GetUseIdColumn" );
    Tcl_DStringAppendElement ( &dString, "SetUseIdColumn" );
    Tcl_DStringAppendElement ( &dString, "UseIdColumnOn" );
    Tcl_DStringAppendElement ( &dString, "UseIdColumnOff" );
    Tcl_DStringAppendElement ( &dString, "GetIdColumnName" );
    Tcl_DStringAppendElement ( &dString, "SetIdColumnName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTransposeTable *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTransposeTable *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAddIdColumn */
    if ( strcmp ( argv[2], "GetAddIdColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAddIdColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAddIdColumn */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if a column must be inserted at index 0\n with the names (ids) of the input columns.\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetAddIdColumn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for GetAddIdColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAddIdColumn */
    if ( strcmp ( argv[2], "SetAddIdColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAddIdColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAddIdColumn */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if a column must be inserted at index 0\n with the names (ids) of the input columns.\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAddIdColumn(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for SetAddIdColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddIdColumnOn */
    if ( strcmp ( argv[2], "AddIdColumnOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIdColumnOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIdColumnOn */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if a column must be inserted at index 0\n with the names (ids) of the input columns.\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddIdColumnOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for AddIdColumnOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddIdColumnOff */
    if ( strcmp ( argv[2], "AddIdColumnOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIdColumnOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIdColumnOff */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if a column must be inserted at index 0\n with the names (ids) of the input columns.\n Default: true\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddIdColumnOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for AddIdColumnOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseIdColumn */
    if ( strcmp ( argv[2], "GetUseIdColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseIdColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseIdColumn */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if the output column must be named using the\n names listed in the index 0 column.\n Default: false\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseIdColumn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for GetUseIdColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseIdColumn */
    if ( strcmp ( argv[2], "SetUseIdColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseIdColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseIdColumn */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if the output column must be named using the\n names listed in the index 0 column.\n Default: false\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseIdColumn(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for SetUseIdColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseIdColumnOn */
    if ( strcmp ( argv[2], "UseIdColumnOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseIdColumnOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseIdColumnOn */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if the output column must be named using the\n names listed in the index 0 column.\n Default: false\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseIdColumnOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for UseIdColumnOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseIdColumnOff */
    if ( strcmp ( argv[2], "UseIdColumnOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseIdColumnOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseIdColumnOff */
    Tcl_DStringAppendElement ( &dString, " This flag indicates if the output column must be named using the\n names listed in the index 0 column.\n Default: false\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseIdColumnOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for UseIdColumnOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIdColumnName */
    if ( strcmp ( argv[2], "GetIdColumnName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIdColumnName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIdColumnName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the id column added by option AddIdColumn.\n Default: ColName\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetIdColumnName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for GetIdColumnName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIdColumnName */
    if ( strcmp ( argv[2], "SetIdColumnName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIdColumnName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIdColumnName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the id column added by option AddIdColumn.\n Default: ColName\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIdColumnName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransposeTable" );
    /* Closing for SetIdColumnName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
