// tcl wrapper for vtkLagrangianBasicIntegrationModel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLagrangianBasicIntegrationModel.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkFunctionSetCppCommand(vtkFunctionSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLagrangianBasicIntegrationModelCppCommand(vtkLagrangianBasicIntegrationModel *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkLagrangianBasicIntegrationModelCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkLagrangianBasicIntegrationModelCppCommand(static_cast<vtkLagrangianBasicIntegrationModel *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLagrangianBasicIntegrationModel_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkLagrangianBasicIntegrationModelCppCommand(vtkLagrangianBasicIntegrationModel *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkLagrangianBasicIntegrationModel",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkFunctionSet"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkLagrangianBasicIntegrationModel  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLagrangianBasicIntegrationModel");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkLagrangianBasicIntegrationModel  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLagrangianBasicIntegrationModel");
    return TCL_OK;
  }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
  {
    vtkAbstractCellLocator  *temp0;
    error = 0;

    temp0 = (vtkAbstractCellLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractCellLocator"),interp,error));
    if (!error)
  {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
  {
    vtkAbstractCellLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractCellLocator");
    return TCL_OK;
  }
  if ((!strcmp("GetLocatorsBuilt",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLocatorsBuilt();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLocatorsBuilt",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetLocatorsBuilt(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetTracker",argv[1]))&&(argc == 3))
  {
    vtkLagrangianParticleTracker  *temp0;
    error = 0;

    temp0 = (vtkLagrangianParticleTracker *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLagrangianParticleTracker"),interp,error));
    if (!error)
  {
    op->SetTracker(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 5))
  {
    vtkDataSet  *temp0;
    bool   temp1;
    unsigned int      temp2;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->AddDataSet(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ClearDataSets",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->ClearDataSets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetUseInitialIntegrationTime",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseInitialIntegrationTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseInitialIntegrationTime",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseInitialIntegrationTime();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseInitialIntegrationTimeOn",argv[1]))&&(argc == 2))
  {
    op->UseInitialIntegrationTimeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseInitialIntegrationTimeOff",argv[1]))&&(argc == 2))
  {
    op->UseInitialIntegrationTimeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 7))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
  {
    op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("InitializeVariablesParticleData",argv[1]))&&(argc == 4))
  {
    vtkPointData  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointData"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->InitializeVariablesParticleData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetNonPlanarQuadSupport",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetNonPlanarQuadSupport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNonPlanarQuadSupport",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetNonPlanarQuadSupport();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("NonPlanarQuadSupportOn",argv[1]))&&(argc == 2))
  {
    op->NonPlanarQuadSupportOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("NonPlanarQuadSupportOff",argv[1]))&&(argc == 2))
  {
    op->NonPlanarQuadSupportOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetSeedArrayNames",argv[1]))&&(argc == 2))
  {
    vtkStringArray  *temp20;
    temp20 = (op)->GetSeedArrayNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSeedArrayComps",argv[1]))&&(argc == 2))
  {
    vtkIntArray  *temp20;
    temp20 = (op)->GetSeedArrayComps();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSeedArrayTypes",argv[1]))&&(argc == 2))
  {
    vtkIntArray  *temp20;
    temp20 = (op)->GetSeedArrayTypes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSurfaceArrayNames",argv[1]))&&(argc == 2))
  {
    vtkStringArray  *temp20;
    temp20 = (op)->GetSurfaceArrayNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSurfaceArrayTypes",argv[1]))&&(argc == 2))
  {
    vtkIntArray  *temp20;
    temp20 = (op)->GetSurfaceArrayTypes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSurfaceArrayEnumValues",argv[1]))&&(argc == 2))
  {
    vtkStringArray  *temp20;
    temp20 = (op)->GetSurfaceArrayEnumValues();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSurfaceArrayDefaultValues",argv[1]))&&(argc == 2))
  {
    vtkDoubleArray  *temp20;
    temp20 = (op)->GetSurfaceArrayDefaultValues();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDoubleArray");
    return TCL_OK;
  }
  if ((!strcmp("GetSurfaceArrayComps",argv[1]))&&(argc == 2))
  {
    vtkIntArray  *temp20;
    temp20 = (op)->GetSurfaceArrayComps();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntArray");
    return TCL_OK;
  }
  if ((!strcmp("GetWeightsSize",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetWeightsSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("FinalizeOutputs",argv[1]))&&(argc == 4))
  {
    vtkPolyData  *temp0;
    vtkDataObject  *temp1;
    bool   temp20;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
  {
    temp20 = (op)->FinalizeOutputs(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSeedArray",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkPointData  *temp1;
    vtkAbstractArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetSeedArray(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkLagrangianBasicIntegrationModelCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLagrangianBasicIntegrationModel:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLocator\n",nullptr);
    Tcl_AppendResult(interp,"  GetLocatorsBuilt\n",nullptr);
    Tcl_AppendResult(interp,"  SetLocatorsBuilt\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetTracker\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  AddDataSet\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  ClearDataSets\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseInitialIntegrationTime\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseInitialIntegrationTime\n",nullptr);
    Tcl_AppendResult(interp,"  UseInitialIntegrationTimeOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseInitialIntegrationTimeOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetTolerance\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 5 args\n",nullptr);
    Tcl_AppendResult(interp,"  InitializeVariablesParticleData\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetNonPlanarQuadSupport\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNonPlanarQuadSupport\n",nullptr);
    Tcl_AppendResult(interp,"  NonPlanarQuadSupportOn\n",nullptr);
    Tcl_AppendResult(interp,"  NonPlanarQuadSupportOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetSeedArrayNames\n",nullptr);
    Tcl_AppendResult(interp,"  GetSeedArrayComps\n",nullptr);
    Tcl_AppendResult(interp,"  GetSeedArrayTypes\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceArrayNames\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceArrayTypes\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceArrayEnumValues\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceArrayDefaultValues\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceArrayComps\n",nullptr);
    Tcl_AppendResult(interp,"  GetWeightsSize\n",nullptr);
    Tcl_AppendResult(interp,"  FinalizeOutputs\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSeedArray\t with 2 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocatorsBuilt" );
    Tcl_DStringAppendElement ( &dString, "SetLocatorsBuilt" );
    Tcl_DStringAppendElement ( &dString, "SetTracker" );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    Tcl_DStringAppendElement ( &dString, "ClearDataSets" );
    Tcl_DStringAppendElement ( &dString, "SetUseInitialIntegrationTime" );
    Tcl_DStringAppendElement ( &dString, "GetUseInitialIntegrationTime" );
    Tcl_DStringAppendElement ( &dString, "UseInitialIntegrationTimeOn" );
    Tcl_DStringAppendElement ( &dString, "UseInitialIntegrationTimeOff" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    Tcl_DStringAppendElement ( &dString, "InitializeVariablesParticleData" );
    Tcl_DStringAppendElement ( &dString, "SetNonPlanarQuadSupport" );
    Tcl_DStringAppendElement ( &dString, "GetNonPlanarQuadSupport" );
    Tcl_DStringAppendElement ( &dString, "NonPlanarQuadSupportOn" );
    Tcl_DStringAppendElement ( &dString, "NonPlanarQuadSupportOff" );
    Tcl_DStringAppendElement ( &dString, "GetSeedArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetSeedArrayComps" );
    Tcl_DStringAppendElement ( &dString, "GetSeedArrayTypes" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayTypes" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayEnumValues" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayDefaultValues" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayComps" );
    Tcl_DStringAppendElement ( &dString, "GetWeightsSize" );
    Tcl_DStringAppendElement ( &dString, "FinalizeOutputs" );
    Tcl_DStringAppendElement ( &dString, "GetSeedArray" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkFunctionSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLagrangianBasicIntegrationModel *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the locator used to locate cells in the datasets.\n Only the locator class matter here, as it is used only to\n create NewInstance of it.\n Default is a vtkCellLocator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLocator(vtkAbstractCellLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the locator used to locate cells in the datasets.\n Only the locator class matter here, as it is used only to\n create NewInstance of it.\n Default is a vtkCellLocator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractCellLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLocatorsBuilt */
    if ( strcmp ( argv[2], "GetLocatorsBuilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocatorsBuilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocatorsBuilt */
    Tcl_DStringAppendElement ( &dString, " Get the state of the current locators\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLocatorsBuilt();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetLocatorsBuilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLocatorsBuilt */
    if ( strcmp ( argv[2], "SetLocatorsBuilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocatorsBuilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocatorsBuilt */
    Tcl_DStringAppendElement ( &dString, " Get the state of the current locators\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLocatorsBuilt(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for SetLocatorsBuilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTracker */
    if ( strcmp ( argv[2], "SetTracker" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTracker" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianParticleTracker" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTracker */
    Tcl_DStringAppendElement ( &dString, " Set the parent tracker.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTracker(vtkLagrangianParticleTracker *Tracker);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for SetTracker */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddDataSet */
    if ( strcmp ( argv[2], "AddDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataSet */
    Tcl_DStringAppendElement ( &dString, " Add a dataset to locate cells in\n This create a specific locator for the provided dataset\n using the Locator member of this class\n The surface flag allow to manage surfaces datasets for surface interaction\n instead of flow datasets\n surfaceFlatIndex, used only with composite surface, in order to identify the\n flatIndex of the surface for particle interaction\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDataSet(vtkDataSet *dataset, bool surface=false, unsigned int surfaceFlatIndex=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for AddDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ClearDataSets */
    if ( strcmp ( argv[2], "ClearDataSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearDataSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearDataSets */
    Tcl_DStringAppendElement ( &dString, " Add a dataset to locate cells in\n This create a specific locator for the provided dataset\n using the Locator member of this class\n The surface flag allow to manage surfaces datasets for surface interaction\n instead of flow datasets\n surfaceFlatIndex, used only with composite surface, in order to identify the\n flatIndex of the surface for particle interaction\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearDataSets(bool surface=false);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for ClearDataSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseInitialIntegrationTime */
    if ( strcmp ( argv[2], "SetUseInitialIntegrationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseInitialIntegrationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseInitialIntegrationTime */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Use of initial integration input array to process\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseInitialIntegrationTime(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for SetUseInitialIntegrationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseInitialIntegrationTime */
    if ( strcmp ( argv[2], "GetUseInitialIntegrationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseInitialIntegrationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseInitialIntegrationTime */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Use of initial integration input array to process\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseInitialIntegrationTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetUseInitialIntegrationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseInitialIntegrationTimeOn */
    if ( strcmp ( argv[2], "UseInitialIntegrationTimeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInitialIntegrationTimeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInitialIntegrationTimeOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Use of initial integration input array to process\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseInitialIntegrationTimeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for UseInitialIntegrationTimeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseInitialIntegrationTimeOff */
    if ( strcmp ( argv[2], "UseInitialIntegrationTimeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInitialIntegrationTimeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInitialIntegrationTimeOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Use of initial integration input array to process\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseInitialIntegrationTimeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for UseInitialIntegrationTimeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Get the tolerance to use with this model\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputArrayToProcess */
    if ( strcmp ( argv[2], "SetInputArrayToProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayToProcess */
    Tcl_DStringAppendElement ( &dString, " Set a input array to process at a specific index, indentified by a port,\n connection, fieldAssociation and a name.\n Each inherited class can specify their own input array to process\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputArrayToProcess(int idx, int port, int connection, int fieldAssociation, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for SetInputArrayToProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InitializeVariablesParticleData */
    if ( strcmp ( argv[2], "InitializeVariablesParticleData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeVariablesParticleData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeVariablesParticleData */
    Tcl_DStringAppendElement ( &dString, " Empty method to be reimplemented if necessary\n in inherited classes.\n Allows a intehrited class to create\n Specific array in the output point data\n for storing variables.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitializeVariablesParticleData(vtkPointData *particleData, int maxTuples=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for InitializeVariablesParticleData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNonPlanarQuadSupport */
    if ( strcmp ( argv[2], "SetNonPlanarQuadSupport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonPlanarQuadSupport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonPlanarQuadSupport */
    Tcl_DStringAppendElement ( &dString, " Set/Get Non Planar Quad Support\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNonPlanarQuadSupport(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for SetNonPlanarQuadSupport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNonPlanarQuadSupport */
    if ( strcmp ( argv[2], "GetNonPlanarQuadSupport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonPlanarQuadSupport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonPlanarQuadSupport */
    Tcl_DStringAppendElement ( &dString, " Set/Get Non Planar Quad Support\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetNonPlanarQuadSupport();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetNonPlanarQuadSupport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NonPlanarQuadSupportOn */
    if ( strcmp ( argv[2], "NonPlanarQuadSupportOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonPlanarQuadSupportOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonPlanarQuadSupportOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get Non Planar Quad Support\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NonPlanarQuadSupportOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for NonPlanarQuadSupportOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NonPlanarQuadSupportOff */
    if ( strcmp ( argv[2], "NonPlanarQuadSupportOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonPlanarQuadSupportOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonPlanarQuadSupportOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get Non Planar Quad Support\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NonPlanarQuadSupportOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for NonPlanarQuadSupportOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSeedArrayNames */
    if ( strcmp ( argv[2], "GetSeedArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeedArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeedArrayNames */
    Tcl_DStringAppendElement ( &dString, " Get the seed arrays expected name\n Used Only be the vtkLagrangianSeedHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetSeedArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSeedArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSeedArrayComps */
    if ( strcmp ( argv[2], "GetSeedArrayComps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeedArrayComps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeedArrayComps */
    Tcl_DStringAppendElement ( &dString, " Get the seed arrays expected number of components\n Used Only be the vtkLagrangianSeedHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIntArray *GetSeedArrayComps();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSeedArrayComps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSeedArrayTypes */
    if ( strcmp ( argv[2], "GetSeedArrayTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeedArrayTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeedArrayTypes */
    Tcl_DStringAppendElement ( &dString, " Get the seed arrays expected type\n Used Only be the vtkLagrangianSeedHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIntArray *GetSeedArrayTypes();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSeedArrayTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceArrayNames */
    if ( strcmp ( argv[2], "GetSurfaceArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceArrayNames */
    Tcl_DStringAppendElement ( &dString, " Get the surface arrays expected name\n Used Only be the vtkLagrangianSurfaceHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetSurfaceArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSurfaceArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceArrayTypes */
    if ( strcmp ( argv[2], "GetSurfaceArrayTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceArrayTypes */
    Tcl_DStringAppendElement ( &dString, " Get the surface arrays expected type\n Used Only be the vtkLagrangianSurfaceHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIntArray *GetSurfaceArrayTypes();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSurfaceArrayTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceArrayEnumValues */
    if ( strcmp ( argv[2], "GetSurfaceArrayEnumValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayEnumValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceArrayEnumValues */
    Tcl_DStringAppendElement ( &dString, " Get the surface arrays expected values and associated enums\n Used Only be the vtkLagrangianSurfaceHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetSurfaceArrayEnumValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSurfaceArrayEnumValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceArrayDefaultValues */
    if ( strcmp ( argv[2], "GetSurfaceArrayDefaultValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayDefaultValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceArrayDefaultValues */
    Tcl_DStringAppendElement ( &dString, " Get the surface arrays default values for each leaf\n Used Only be the vtkLagrangianSurfaceHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDoubleArray *GetSurfaceArrayDefaultValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSurfaceArrayDefaultValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceArrayComps */
    if ( strcmp ( argv[2], "GetSurfaceArrayComps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArrayComps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceArrayComps */
    Tcl_DStringAppendElement ( &dString, " Get the seed array expected number of components\n Used Only be the vtkLagrangianSurfaceHelper in ParaView plugins\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIntArray *GetSurfaceArrayComps();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSurfaceArrayComps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWeightsSize */
    if ( strcmp ( argv[2], "GetWeightsSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWeightsSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWeightsSize */
    Tcl_DStringAppendElement ( &dString, " Get the maximum weights size necessary for calling\n FindInLocators with weights\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetWeightsSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetWeightsSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FinalizeOutputs */
    if ( strcmp ( argv[2], "FinalizeOutputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FinalizeOutputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FinalizeOutputs */
    Tcl_DStringAppendElement ( &dString, " Enable model post process on output\n Return true if successful, false otherwise\n Empty and Always return true with basic model\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool FinalizeOutputs(vtkPolyData *particlePathsOutput, vtkDataObject *interractionOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for FinalizeOutputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSeedArray */
    if ( strcmp ( argv[2], "GetSeedArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeedArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeedArray */
    Tcl_DStringAppendElement ( &dString, " Get a seed array, as set in setInputArrayToProcess\n from the provided seed point data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractArray *GetSeedArray(int idx, vtkPointData *pointData);" );
    Tcl_DStringAppendElement ( &dString, "vtkLagrangianBasicIntegrationModel" );
    /* Closing for GetSeedArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
