// tcl wrapper for vtkLoopBooleanPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLoopBooleanPolyDataFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkLoopBooleanPolyDataFilterNewCommand()
{
  vtkLoopBooleanPolyDataFilter *temp = vtkLoopBooleanPolyDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLoopBooleanPolyDataFilterCppCommand(vtkLoopBooleanPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkLoopBooleanPolyDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkLoopBooleanPolyDataFilterCppCommand(static_cast<vtkLoopBooleanPolyDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLoopBooleanPolyDataFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkLoopBooleanPolyDataFilter"),vtkLoopBooleanPolyDataFilterNewCommand,vtkLoopBooleanPolyDataFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkLoopBooleanPolyDataFilterCppCommand(vtkLoopBooleanPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkLoopBooleanPolyDataFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkLoopBooleanPolyDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLoopBooleanPolyDataFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkLoopBooleanPolyDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLoopBooleanPolyDataFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkLoopBooleanPolyDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLoopBooleanPolyDataFilter");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfIntersectionPoints",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfIntersectionPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfIntersectionLines",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfIntersectionLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNoIntersectionOutput",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNoIntersectionOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNoIntersectionOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNoIntersectionOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("NoIntersectionOutputOn",argv[1]))&&(argc == 2))
  {
    op->NoIntersectionOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("NoIntersectionOutputOff",argv[1]))&&(argc == 2))
  {
    op->NoIntersectionOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOperation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOperationMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOperationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOperationMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOperationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOperation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOperationToUnion",argv[1]))&&(argc == 2))
  {
    op->SetOperationToUnion();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOperationToIntersection",argv[1]))&&(argc == 2))
  {
    op->SetOperationToIntersection();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOperationToDifference",argv[1]))&&(argc == 2))
  {
    op->SetOperationToDifference();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetStatus",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkLoopBooleanPolyDataFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLoopBooleanPolyDataFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfIntersectionPoints\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfIntersectionLines\n",nullptr);
    Tcl_AppendResult(interp,"  GetNoIntersectionOutput\n",nullptr);
    Tcl_AppendResult(interp,"  SetNoIntersectionOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NoIntersectionOutputOn\n",nullptr);
    Tcl_AppendResult(interp,"  NoIntersectionOutputOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetOperation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOperationMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOperationMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOperation\n",nullptr);
    Tcl_AppendResult(interp,"  SetOperationToUnion\n",nullptr);
    Tcl_AppendResult(interp,"  SetOperationToIntersection\n",nullptr);
    Tcl_AppendResult(interp,"  SetOperationToDifference\n",nullptr);
    Tcl_AppendResult(interp,"  GetStatus\n",nullptr);
    Tcl_AppendResult(interp,"  GetTolerance\n",nullptr);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionPoints" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionLines" );
    Tcl_DStringAppendElement ( &dString, "GetNoIntersectionOutput" );
    Tcl_DStringAppendElement ( &dString, "SetNoIntersectionOutput" );
    Tcl_DStringAppendElement ( &dString, "NoIntersectionOutputOn" );
    Tcl_DStringAppendElement ( &dString, "NoIntersectionOutputOff" );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    Tcl_DStringAppendElement ( &dString, "GetOperationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOperationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToUnion" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToIntersection" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToDifference" );
    Tcl_DStringAppendElement ( &dString, "GetStatus" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object that computes the boolean surface.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkLoopBooleanPolyDataFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLoopBooleanPolyDataFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfIntersectionPoints */
    if ( strcmp ( argv[2], "GetNumberOfIntersectionPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIntersectionPoints */
    Tcl_DStringAppendElement ( &dString, " Integer describing the number of intersection points and lines\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfIntersectionPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetNumberOfIntersectionPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfIntersectionLines */
    if ( strcmp ( argv[2], "GetNumberOfIntersectionLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIntersectionLines */
    Tcl_DStringAppendElement ( &dString, " Integer describing the number of intersection points and lines\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfIntersectionLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetNumberOfIntersectionLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNoIntersectionOutput */
    if ( strcmp ( argv[2], "GetNoIntersectionOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoIntersectionOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoIntersectionOutput */
    Tcl_DStringAppendElement ( &dString, " ONLY USED IF NO INTERSECTION BETWEEN SURFACES\n Variable to determine what is output if no intersection occurs.\n 0 = neither (default), 1 = first, 2 = second, 3 = both\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNoIntersectionOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetNoIntersectionOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNoIntersectionOutput */
    if ( strcmp ( argv[2], "SetNoIntersectionOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoIntersectionOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoIntersectionOutput */
    Tcl_DStringAppendElement ( &dString, " ONLY USED IF NO INTERSECTION BETWEEN SURFACES\n Variable to determine what is output if no intersection occurs.\n 0 = neither (default), 1 = first, 2 = second, 3 = both\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNoIntersectionOutput(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for SetNoIntersectionOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NoIntersectionOutputOn */
    if ( strcmp ( argv[2], "NoIntersectionOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NoIntersectionOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NoIntersectionOutputOn */
    Tcl_DStringAppendElement ( &dString, " ONLY USED IF NO INTERSECTION BETWEEN SURFACES\n Variable to determine what is output if no intersection occurs.\n 0 = neither (default), 1 = first, 2 = second, 3 = both\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NoIntersectionOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for NoIntersectionOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NoIntersectionOutputOff */
    if ( strcmp ( argv[2], "NoIntersectionOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NoIntersectionOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NoIntersectionOutputOff */
    Tcl_DStringAppendElement ( &dString, " ONLY USED IF NO INTERSECTION BETWEEN SURFACES\n Variable to determine what is output if no intersection occurs.\n 0 = neither (default), 1 = first, 2 = second, 3 = both\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NoIntersectionOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for NoIntersectionOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOperation */
    if ( strcmp ( argv[2], "SetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperation */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOperation(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for SetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOperationMinValue */
    if ( strcmp ( argv[2], "GetOperationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOperationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetOperationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOperationMaxValue */
    if ( strcmp ( argv[2], "GetOperationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOperationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetOperationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOperation */
    if ( strcmp ( argv[2], "GetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperation */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOperation();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOperationToUnion */
    if ( strcmp ( argv[2], "SetOperationToUnion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToUnion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToUnion */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToUnion();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for SetOperationToUnion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOperationToIntersection */
    if ( strcmp ( argv[2], "SetOperationToIntersection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToIntersection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToIntersection */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToIntersection();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for SetOperationToIntersection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOperationToDifference */
    if ( strcmp ( argv[2], "SetOperationToDifference" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToDifference" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToDifference */
    Tcl_DStringAppendElement ( &dString, " Set the boolean operation to perform. Defaults to union.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToDifference();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for SetOperationToDifference */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStatus */
    if ( strcmp ( argv[2], "GetStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStatus */
    Tcl_DStringAppendElement ( &dString, " Check the status of the filter after update. If the status is zero,\n there was an error in the operation. If status is one, everything\n went smoothly\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetStatus();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for geometric tests\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for geometric tests\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTolerance(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkLoopBooleanPolyDataFilter" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
