#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkHyperTreeGridAxisClip_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridAxisCut_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridAxisReflection_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridCellCenters_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridContour_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridDepthLimiter_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridGeometry_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridPlaneCutter_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridThreshold_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridToUnstructuredGrid_TclCreate(Tcl_Interp *interp);
int vtkClipHyperOctree_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeClipCutPointsGrabber_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeContourFilter_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeCutter_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeDepth_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeDualGridContourFilter_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeLimiter_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeSampleFunction_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeSurfaceFilter_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeToUniformGridFilter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfiltershypertreetcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfiltershypertreetcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfiltershypertreetcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfiltershypertreetcl_Init(interp);
}


int VTK_EXPORT Vtkfiltershypertreetcl_Init(Tcl_Interp *interp)
{

  vtkHyperTreeGridAxisClip_TclCreate(interp);
  vtkHyperTreeGridAxisCut_TclCreate(interp);
  vtkHyperTreeGridAxisReflection_TclCreate(interp);
  vtkHyperTreeGridCellCenters_TclCreate(interp);
  vtkHyperTreeGridContour_TclCreate(interp);
  vtkHyperTreeGridDepthLimiter_TclCreate(interp);
  vtkHyperTreeGridGeometry_TclCreate(interp);
  vtkHyperTreeGridPlaneCutter_TclCreate(interp);
  vtkHyperTreeGridThreshold_TclCreate(interp);
  vtkHyperTreeGridToUnstructuredGrid_TclCreate(interp);
  vtkClipHyperOctree_TclCreate(interp);
  vtkHyperOctreeClipCutPointsGrabber_TclCreate(interp);
  vtkHyperOctreeContourFilter_TclCreate(interp);
  vtkHyperOctreeCutter_TclCreate(interp);
  vtkHyperOctreeDepth_TclCreate(interp);
  vtkHyperOctreeDualGridContourFilter_TclCreate(interp);
  vtkHyperOctreeLimiter_TclCreate(interp);
  vtkHyperOctreeSampleFunction_TclCreate(interp);
  vtkHyperOctreeSurfaceFilter_TclCreate(interp);
  vtkHyperOctreeToUniformGridFilter_TclCreate(interp);
  char pkgName[]="vtkFiltersHyperTreeTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
