// java wrapper for vtkHyperTreeGridPlaneCutter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGridPlaneCutter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkHyperTreeGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperTreeGridPlaneCutter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperTreeGridPlaneCutter",dType)) { return me; }
  if ((res= vtkHyperTreeGridAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperTreeGridPlaneCutter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperTreeGridPlaneCutter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_SetPlane_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkHyperTreeGridPlaneCutter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlane(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_SetPlane_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperTreeGridPlaneCutter *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlane(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_GetPlane_14(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridPlaneCutter *op;
  double  *temp20;

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlane();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_SetDual_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGridPlaneCutter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDual(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_GetDual_16(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridPlaneCutter *op;
  int      temp20;

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDual();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_DualOn_17(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridPlaneCutter *op;

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->DualOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_DualOff_18(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridPlaneCutter *op;

  op = (vtkHyperTreeGridPlaneCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->DualOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperTreeGridPlaneCutter_VTKInit(JNIEnv *, jobject)
{
  vtkHyperTreeGridPlaneCutter *aNewOne = vtkHyperTreeGridPlaneCutter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
