// tcl wrapper for vtkContourLoopExtraction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContourLoopExtraction.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkContourLoopExtractionNewCommand()
{
  vtkContourLoopExtraction *temp = vtkContourLoopExtraction::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContourLoopExtractionCppCommand(vtkContourLoopExtraction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkContourLoopExtractionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkContourLoopExtractionCppCommand(static_cast<vtkContourLoopExtraction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContourLoopExtraction_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkContourLoopExtraction"),vtkContourLoopExtractionNewCommand,vtkContourLoopExtractionCommand);
  return 0;
}

int VTKTCL_EXPORT vtkContourLoopExtractionCppCommand(vtkContourLoopExtraction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkContourLoopExtraction",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkContourLoopExtraction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourLoopExtraction");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkContourLoopExtraction  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourLoopExtraction");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkContourLoopExtraction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourLoopExtraction");
    return TCL_OK;
  }
  if ((!strcmp("SetLoopClosure",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetLoopClosure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLoopClosureMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLoopClosureMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLoopClosureMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLoopClosureMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLoopClosure",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLoopClosure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLoopClosureToOff",argv[1]))&&(argc == 2))
  {
    op->SetLoopClosureToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLoopClosureToBoundary",argv[1]))&&(argc == 2))
  {
    op->SetLoopClosureToBoundary();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLoopClosureToAll",argv[1]))&&(argc == 2))
  {
    op->SetLoopClosureToAll();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetLoopClosureAsString",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetLoopClosureAsString();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetScalarThresholding",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetScalarThresholding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarThresholding",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetScalarThresholding();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ScalarThresholdingOn",argv[1]))&&(argc == 2))
  {
    op->ScalarThresholdingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ScalarThresholdingOff",argv[1]))&&(argc == 2))
  {
    op->ScalarThresholdingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
  {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->SetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetNormal();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkContourLoopExtractionCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContourLoopExtraction:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetLoopClosure\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLoopClosureMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetLoopClosureMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetLoopClosure\n",nullptr);
    Tcl_AppendResult(interp,"  SetLoopClosureToOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLoopClosureToBoundary\n",nullptr);
    Tcl_AppendResult(interp,"  SetLoopClosureToAll\n",nullptr);
    Tcl_AppendResult(interp,"  GetLoopClosureAsString\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarThresholding\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarThresholding\n",nullptr);
    Tcl_AppendResult(interp,"  ScalarThresholdingOn\n",nullptr);
    Tcl_AppendResult(interp,"  ScalarThresholdingOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarRange\n",nullptr);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetNormal\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosure" );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosureMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosureMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosure" );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosureToOff" );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosureToBoundary" );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosureToAll" );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosureAsString" );
    Tcl_DStringAppendElement ( &dString, "SetScalarThresholding" );
    Tcl_DStringAppendElement ( &dString, "GetScalarThresholding" );
    Tcl_DStringAppendElement ( &dString, "ScalarThresholdingOn" );
    Tcl_DStringAppendElement ( &dString, "ScalarThresholdingOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and provide type information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkContourLoopExtraction *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and provide type information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and provide type information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and provide type information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkContourLoopExtraction *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods to instantiate, print and provide type information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLoopClosure */
    if ( strcmp ( argv[2], "SetLoopClosure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLoopClosure */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLoopClosure(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetLoopClosure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLoopClosureMinValue */
    if ( strcmp ( argv[2], "GetLoopClosureMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosureMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLoopClosureMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLoopClosureMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for GetLoopClosureMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLoopClosureMaxValue */
    if ( strcmp ( argv[2], "GetLoopClosureMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosureMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLoopClosureMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLoopClosureMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for GetLoopClosureMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLoopClosure */
    if ( strcmp ( argv[2], "GetLoopClosure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLoopClosure */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLoopClosure();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for GetLoopClosure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLoopClosureToOff */
    if ( strcmp ( argv[2], "SetLoopClosureToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosureToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLoopClosureToOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLoopClosureToOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetLoopClosureToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLoopClosureToBoundary */
    if ( strcmp ( argv[2], "SetLoopClosureToBoundary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosureToBoundary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLoopClosureToBoundary */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLoopClosureToBoundary();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetLoopClosureToBoundary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLoopClosureToAll */
    if ( strcmp ( argv[2], "SetLoopClosureToAll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLoopClosureToAll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLoopClosureToAll */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLoopClosureToAll();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetLoopClosureToAll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLoopClosureAsString */
    if ( strcmp ( argv[2], "GetLoopClosureAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLoopClosureAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLoopClosureAsString */
    Tcl_DStringAppendElement ( &dString, " Specify whether to close loops or not. All loops can be closed; boundary\n loops (x or y vertical or horizontal lines) can be closed (default); or\n all loops can be closed.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLoopClosureAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for GetLoopClosureAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarThresholding */
    if ( strcmp ( argv[2], "SetScalarThresholding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarThresholding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarThresholding */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of loops based on scalar thresholding.  Loops\n with scalar values in a specified range can be extracted. If no scalars\n are available from the input than this data member is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarThresholding(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetScalarThresholding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarThresholding */
    if ( strcmp ( argv[2], "GetScalarThresholding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarThresholding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarThresholding */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of loops based on scalar thresholding.  Loops\n with scalar values in a specified range can be extracted. If no scalars\n are available from the input than this data member is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetScalarThresholding();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for GetScalarThresholding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ScalarThresholdingOn */
    if ( strcmp ( argv[2], "ScalarThresholdingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarThresholdingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarThresholdingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of loops based on scalar thresholding.  Loops\n with scalar values in a specified range can be extracted. If no scalars\n are available from the input than this data member is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ScalarThresholdingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for ScalarThresholdingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ScalarThresholdingOff */
    if ( strcmp ( argv[2], "ScalarThresholdingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarThresholdingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarThresholdingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the extraction of loops based on scalar thresholding.  Loops\n with scalar values in a specified range can be extracted. If no scalars\n are available from the input than this data member is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ScalarThresholdingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for ScalarThresholdingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarRange */
    if ( strcmp ( argv[2], "GetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetScalarRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for GetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLoopExtraction" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
