// tcl wrapper for vtkDensifyPointCloudFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDensifyPointCloudFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkDensifyPointCloudFilterNewCommand()
{
  vtkDensifyPointCloudFilter *temp = vtkDensifyPointCloudFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDensifyPointCloudFilterCppCommand(vtkDensifyPointCloudFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkDensifyPointCloudFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkDensifyPointCloudFilterCppCommand(static_cast<vtkDensifyPointCloudFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDensifyPointCloudFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkDensifyPointCloudFilter"),vtkDensifyPointCloudFilterNewCommand,vtkDensifyPointCloudFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkDensifyPointCloudFilterCppCommand(vtkDensifyPointCloudFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkDensifyPointCloudFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkDensifyPointCloudFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDensifyPointCloudFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkDensifyPointCloudFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDensifyPointCloudFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkDensifyPointCloudFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDensifyPointCloudFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetNeighborhoodType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNeighborhoodType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNeighborhoodType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNeighborhoodType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNeighborhoodTypeToRadius",argv[1]))&&(argc == 2))
  {
    op->SetNeighborhoodTypeToRadius();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetNeighborhoodTypeToNClosest",argv[1]))&&(argc == 2))
  {
    op->SetNeighborhoodTypeToNClosest();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNumberOfClosestPoints",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNumberOfClosestPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfClosestPointsMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfClosestPointsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfClosestPointsMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfClosestPointsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfClosestPoints",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfClosestPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTargetDistance",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTargetDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTargetDistanceMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTargetDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTargetDistanceMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTargetDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTargetDistance",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTargetDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumNumberOfIterations",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumNumberOfIterationsMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfIterationsMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfIterations",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumNumberOfPoints",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumNumberOfPointsMinValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPointsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfPointsMaxValue",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPointsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfPoints",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInterpolateAttributeData",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetInterpolateAttributeData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInterpolateAttributeData",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetInterpolateAttributeData();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("InterpolateAttributeDataOn",argv[1]))&&(argc == 2))
  {
    op->InterpolateAttributeDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InterpolateAttributeDataOff",argv[1]))&&(argc == 2))
  {
    op->InterpolateAttributeDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkDensifyPointCloudFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDensifyPointCloudFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetNeighborhoodType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNeighborhoodType\n",nullptr);
    Tcl_AppendResult(interp,"  SetNeighborhoodTypeToRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetNeighborhoodTypeToNClosest\n",nullptr);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetNumberOfClosestPoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfClosestPointsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfClosestPointsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfClosestPoints\n",nullptr);
    Tcl_AppendResult(interp,"  SetTargetDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTargetDistanceMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTargetDistanceMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTargetDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfIterations\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfIterationsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfIterationsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfIterations\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPointsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPointsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPoints\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolateAttributeData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInterpolateAttributeData\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateAttributeDataOn\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateAttributeDataOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodType" );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodType" );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodTypeToRadius" );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodTypeToNClosest" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfClosestPoints" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfClosestPointsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfClosestPointsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfClosestPoints" );
    Tcl_DStringAppendElement ( &dString, "SetTargetDistance" );
    Tcl_DStringAppendElement ( &dString, "GetTargetDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTargetDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTargetDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateAttributeData" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateAttributeData" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributeDataOn" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributeDataOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDensifyPointCloudFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDensifyPointCloudFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNeighborhoodType */
    if ( strcmp ( argv[2], "SetNeighborhoodType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNeighborhoodType */
    Tcl_DStringAppendElement ( &dString, " Specify how the local point neighborhood is defined. By default an N\n closest neighborhood is used. This tends to avoid explosive point\n creation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNeighborhoodType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetNeighborhoodType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNeighborhoodType */
    if ( strcmp ( argv[2], "GetNeighborhoodType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNeighborhoodType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNeighborhoodType */
    Tcl_DStringAppendElement ( &dString, " Specify how the local point neighborhood is defined. By default an N\n closest neighborhood is used. This tends to avoid explosive point\n creation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNeighborhoodType();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetNeighborhoodType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNeighborhoodTypeToRadius */
    if ( strcmp ( argv[2], "SetNeighborhoodTypeToRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodTypeToRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNeighborhoodTypeToRadius */
    Tcl_DStringAppendElement ( &dString, " Specify how the local point neighborhood is defined. By default an N\n closest neighborhood is used. This tends to avoid explosive point\n creation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNeighborhoodTypeToRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetNeighborhoodTypeToRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNeighborhoodTypeToNClosest */
    if ( strcmp ( argv[2], "SetNeighborhoodTypeToNClosest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNeighborhoodTypeToNClosest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNeighborhoodTypeToNClosest */
    Tcl_DStringAppendElement ( &dString, " Specify how the local point neighborhood is defined. By default an N\n closest neighborhood is used. This tends to avoid explosive point\n creation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNeighborhoodTypeToNClosest();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetNeighborhoodTypeToNClosest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood for each point in terms of a local\n radius. By default, the radius is 1.0. This data member is relevant only\n if the neighborhood type is RADIUS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRadius(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood for each point in terms of a local\n radius. By default, the radius is 1.0. This data member is relevant only\n if the neighborhood type is RADIUS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood for each point in terms of a local\n radius. By default, the radius is 1.0. This data member is relevant only\n if the neighborhood type is RADIUS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood for each point in terms of a local\n radius. By default, the radius is 1.0. This data member is relevant only\n if the neighborhood type is RADIUS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNumberOfClosestPoints */
    if ( strcmp ( argv[2], "SetNumberOfClosestPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfClosestPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfClosestPoints */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood in terms of the N closest points. By default\n the number of the closest points is =6. This data member is relevant\n only if the neighborhood type is N_CLOSEST.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfClosestPoints(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetNumberOfClosestPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfClosestPointsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfClosestPointsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfClosestPointsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfClosestPointsMinValue */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood in terms of the N closest points. By default\n the number of the closest points is =6. This data member is relevant\n only if the neighborhood type is N_CLOSEST.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfClosestPointsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetNumberOfClosestPointsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfClosestPointsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfClosestPointsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfClosestPointsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfClosestPointsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood in terms of the N closest points. By default\n the number of the closest points is =6. This data member is relevant\n only if the neighborhood type is N_CLOSEST.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfClosestPointsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetNumberOfClosestPointsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfClosestPoints */
    if ( strcmp ( argv[2], "GetNumberOfClosestPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfClosestPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfClosestPoints */
    Tcl_DStringAppendElement ( &dString, " Define a local neighborhood in terms of the N closest points. By default\n the number of the closest points is =6. This data member is relevant\n only if the neighborhood type is N_CLOSEST.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfClosestPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetNumberOfClosestPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTargetDistance */
    if ( strcmp ( argv[2], "SetTargetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTargetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTargetDistance */
    Tcl_DStringAppendElement ( &dString, " Set / get the target point distance. Points will be created in an\n iterative fashion until all points in their local neighborhood are the\n target distance apart or less. Note that the process may terminate early\n due to the limit on the maximum number of iterations. By default the target\n distance is set to 0.5. Note that the TargetDistance should be less than\n the Radius or nothing will change on output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTargetDistance(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetTargetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTargetDistanceMinValue */
    if ( strcmp ( argv[2], "GetTargetDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the target point distance. Points will be created in an\n iterative fashion until all points in their local neighborhood are the\n target distance apart or less. Note that the process may terminate early\n due to the limit on the maximum number of iterations. By default the target\n distance is set to 0.5. Note that the TargetDistance should be less than\n the Radius or nothing will change on output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTargetDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetTargetDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTargetDistanceMaxValue */
    if ( strcmp ( argv[2], "GetTargetDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the target point distance. Points will be created in an\n iterative fashion until all points in their local neighborhood are the\n target distance apart or less. Note that the process may terminate early\n due to the limit on the maximum number of iterations. By default the target\n distance is set to 0.5. Note that the TargetDistance should be less than\n the Radius or nothing will change on output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTargetDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetTargetDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTargetDistance */
    if ( strcmp ( argv[2], "GetTargetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetDistance */
    Tcl_DStringAppendElement ( &dString, " Set / get the target point distance. Points will be created in an\n iterative fashion until all points in their local neighborhood are the\n target distance apart or less. Note that the process may terminate early\n due to the limit on the maximum number of iterations. By default the target\n distance is set to 0.5. Note that the TargetDistance should be less than\n the Radius or nothing will change on output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTargetDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetTargetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumNumberOfIterations */
    if ( strcmp ( argv[2], "SetMaximumNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " The maximum number of iterations to run. By default the maximum is\n one.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfIterations(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetMaximumNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfIterationsMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " The maximum number of iterations to run. By default the maximum is\n one.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfIterationsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetMaximumNumberOfIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfIterationsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " The maximum number of iterations to run. By default the maximum is\n one.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfIterationsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetMaximumNumberOfIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfIterations */
    if ( strcmp ( argv[2], "GetMaximumNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " The maximum number of iterations to run. By default the maximum is\n one.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfIterations();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetMaximumNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumNumberOfPoints */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of points that can be created. This\n data member serves as a crude barrier to explosive point creation; it does\n not guarantee that precisely these many points will be created. Once this\n limit is hit, it may result in premature termination of the\n algorithm. Consider it a pressure relief valve.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfPoints(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetMaximumNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfPointsMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPointsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPointsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of points that can be created. This\n data member serves as a crude barrier to explosive point creation; it does\n not guarantee that precisely these many points will be created. Once this\n limit is hit, it may result in premature termination of the\n algorithm. Consider it a pressure relief valve.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfPointsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetMaximumNumberOfPointsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfPointsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPointsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPointsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of points that can be created. This\n data member serves as a crude barrier to explosive point creation; it does\n not guarantee that precisely these many points will be created. Once this\n limit is hit, it may result in premature termination of the\n algorithm. Consider it a pressure relief valve.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfPointsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetMaximumNumberOfPointsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfPoints */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Set a limit on the maximum number of points that can be created. This\n data member serves as a crude barrier to explosive point creation; it does\n not guarantee that precisely these many points will be created. Once this\n limit is hit, it may result in premature termination of the\n algorithm. Consider it a pressure relief valve.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetMaximumNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolateAttributeData */
    if ( strcmp ( argv[2], "SetInterpolateAttributeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateAttributeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolateAttributeData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the interpolation of attribute data from the input point\n cloud to new, added points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterpolateAttributeData(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for SetInterpolateAttributeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInterpolateAttributeData */
    if ( strcmp ( argv[2], "GetInterpolateAttributeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateAttributeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolateAttributeData */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the interpolation of attribute data from the input point\n cloud to new, added points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetInterpolateAttributeData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for GetInterpolateAttributeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateAttributeDataOn */
    if ( strcmp ( argv[2], "InterpolateAttributeDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributeDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAttributeDataOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the interpolation of attribute data from the input point\n cloud to new, added points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateAttributeDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for InterpolateAttributeDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateAttributeDataOff */
    if ( strcmp ( argv[2], "InterpolateAttributeDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributeDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAttributeDataOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the interpolation of attribute data from the input point\n cloud to new, added points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateAttributeDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDensifyPointCloudFilter" );
    /* Closing for InterpolateAttributeDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
