// tcl wrapper for vtkEuclideanClusterExtraction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEuclideanClusterExtraction.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkEuclideanClusterExtractionNewCommand()
{
  vtkEuclideanClusterExtraction *temp = vtkEuclideanClusterExtraction::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkEuclideanClusterExtractionCppCommand(vtkEuclideanClusterExtraction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkEuclideanClusterExtractionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkEuclideanClusterExtractionCppCommand(static_cast<vtkEuclideanClusterExtraction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkEuclideanClusterExtraction_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkEuclideanClusterExtraction"),vtkEuclideanClusterExtractionNewCommand,vtkEuclideanClusterExtractionCommand);
  return 0;
}

int VTKTCL_EXPORT vtkEuclideanClusterExtractionCppCommand(vtkEuclideanClusterExtraction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkEuclideanClusterExtraction",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkEuclideanClusterExtraction  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEuclideanClusterExtraction");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkEuclideanClusterExtraction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEuclideanClusterExtraction");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkEuclideanClusterExtraction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEuclideanClusterExtraction");
    return TCL_OK;
  }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetScalarConnectivity",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetScalarConnectivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarConnectivity",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetScalarConnectivity();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ScalarConnectivityOn",argv[1]))&&(argc == 2))
  {
    op->ScalarConnectivityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ScalarConnectivityOff",argv[1]))&&(argc == 2))
  {
    op->ScalarConnectivityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
  {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->SetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetExtractionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExtractionModeMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetExtractionModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetExtractionModeMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetExtractionModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetExtractionMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetExtractionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToPointSeededClusters",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToPointSeededClusters();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToLargestCluster",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToLargestCluster();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToSpecifiedClusters",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToSpecifiedClusters();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToClosestPointCluster",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToClosestPointCluster();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToAllClusters",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToAllClusters();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetExtractionModeAsString",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetExtractionModeAsString();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("InitializeSeedList",argv[1]))&&(argc == 2))
  {
    op->InitializeSeedList();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AddSeed",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->AddSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("DeleteSeed",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->DeleteSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("InitializeSpecifiedClusterList",argv[1]))&&(argc == 2))
  {
    op->InitializeSpecifiedClusterList();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AddSpecifiedCluster",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->AddSpecifiedCluster(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("DeleteSpecifiedCluster",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->DeleteSpecifiedCluster(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetClosestPoint",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetClosestPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetClosestPoint",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetClosestPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetClosestPoint",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetClosestPoint();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfExtractedClusters",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfExtractedClusters();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetColorClusters",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetColorClusters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColorClusters",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetColorClusters();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ColorClustersOn",argv[1]))&&(argc == 2))
  {
    op->ColorClustersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ColorClustersOff",argv[1]))&&(argc == 2))
  {
    op->ColorClustersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
  {
    vtkAbstractPointLocator  *temp0;
    error = 0;

    temp0 = (vtkAbstractPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractPointLocator"),interp,error));
    if (!error)
  {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
  {
    vtkAbstractPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractPointLocator");
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkEuclideanClusterExtractionCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkEuclideanClusterExtraction:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarConnectivity\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarConnectivity\n",nullptr);
    Tcl_AppendResult(interp,"  ScalarConnectivityOn\n",nullptr);
    Tcl_AppendResult(interp,"  ScalarConnectivityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarRange\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractionModeMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractionModeMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractionMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToPointSeededClusters\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToLargestCluster\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToSpecifiedClusters\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToClosestPointCluster\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToAllClusters\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractionModeAsString\n",nullptr);
    Tcl_AppendResult(interp,"  InitializeSeedList\n",nullptr);
    Tcl_AppendResult(interp,"  AddSeed\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DeleteSeed\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  InitializeSpecifiedClusterList\n",nullptr);
    Tcl_AppendResult(interp,"  AddSpecifiedCluster\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DeleteSpecifiedCluster\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetClosestPoint\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetClosestPoint\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetClosestPoint\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfExtractedClusters\n",nullptr);
    Tcl_AppendResult(interp,"  SetColorClusters\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetColorClusters\n",nullptr);
    Tcl_AppendResult(interp,"  ColorClustersOn\n",nullptr);
    Tcl_AppendResult(interp,"  ColorClustersOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLocator\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetScalarConnectivity" );
    Tcl_DStringAppendElement ( &dString, "GetScalarConnectivity" );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOn" );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionMode" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionMode" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPointSeededClusters" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLargestCluster" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToSpecifiedClusters" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToClosestPointCluster" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToAllClusters" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeAsString" );
    Tcl_DStringAppendElement ( &dString, "InitializeSeedList" );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    Tcl_DStringAppendElement ( &dString, "DeleteSeed" );
    Tcl_DStringAppendElement ( &dString, "InitializeSpecifiedClusterList" );
    Tcl_DStringAppendElement ( &dString, "AddSpecifiedCluster" );
    Tcl_DStringAppendElement ( &dString, "DeleteSpecifiedCluster" );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "GetClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfExtractedClusters" );
    Tcl_DStringAppendElement ( &dString, "SetColorClusters" );
    Tcl_DStringAppendElement ( &dString, "GetColorClusters" );
    Tcl_DStringAppendElement ( &dString, "ColorClustersOn" );
    Tcl_DStringAppendElement ( &dString, "ColorClustersOff" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkEuclideanClusterExtraction *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with default extraction mode to extract largest clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkEuclideanClusterExtraction *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Specify the local search radius.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRadius(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the local search radius.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the local search radius.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Specify the local search radius.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarConnectivity */
    if ( strcmp ( argv[2], "SetScalarConnectivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarConnectivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarConnectivity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, points are\n connected only if the are proximal AND the scalar value of a candidate\n point falls in the scalar range specified. Of course input point scalar\n data must be provided.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarConnectivity(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetScalarConnectivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarConnectivity */
    if ( strcmp ( argv[2], "GetScalarConnectivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarConnectivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarConnectivity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, points are\n connected only if the are proximal AND the scalar value of a candidate\n point falls in the scalar range specified. Of course input point scalar\n data must be provided.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetScalarConnectivity();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetScalarConnectivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ScalarConnectivityOn */
    if ( strcmp ( argv[2], "ScalarConnectivityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarConnectivityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, points are\n connected only if the are proximal AND the scalar value of a candidate\n point falls in the scalar range specified. Of course input point scalar\n data must be provided.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ScalarConnectivityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for ScalarConnectivityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ScalarConnectivityOff */
    if ( strcmp ( argv[2], "ScalarConnectivityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarConnectivityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarConnectivityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off connectivity based on scalar value. If on, points are\n connected only if the are proximal AND the scalar value of a candidate\n point falls in the scalar range specified. Of course input point scalar\n data must be provided.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ScalarConnectivityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for ScalarConnectivityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarRange */
    if ( strcmp ( argv[2], "GetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetScalarRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionMode */
    if ( strcmp ( argv[2], "SetExtractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionMode */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExtractionMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetExtractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractionModeMinValue */
    if ( strcmp ( argv[2], "GetExtractionModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExtractionModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetExtractionModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractionModeMaxValue */
    if ( strcmp ( argv[2], "GetExtractionModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExtractionModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetExtractionModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractionMode */
    if ( strcmp ( argv[2], "GetExtractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionMode */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExtractionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetExtractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToPointSeededClusters */
    if ( strcmp ( argv[2], "SetExtractionModeToPointSeededClusters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPointSeededClusters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToPointSeededClusters */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToPointSeededClusters();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetExtractionModeToPointSeededClusters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToLargestCluster */
    if ( strcmp ( argv[2], "SetExtractionModeToLargestCluster" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLargestCluster" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToLargestCluster */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToLargestCluster();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetExtractionModeToLargestCluster */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToSpecifiedClusters */
    if ( strcmp ( argv[2], "SetExtractionModeToSpecifiedClusters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToSpecifiedClusters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToSpecifiedClusters */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToSpecifiedClusters();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetExtractionModeToSpecifiedClusters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToClosestPointCluster */
    if ( strcmp ( argv[2], "SetExtractionModeToClosestPointCluster" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToClosestPointCluster" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToClosestPointCluster */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToClosestPointCluster();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetExtractionModeToClosestPointCluster */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToAllClusters */
    if ( strcmp ( argv[2], "SetExtractionModeToAllClusters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToAllClusters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToAllClusters */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToAllClusters();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetExtractionModeToAllClusters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractionModeAsString */
    if ( strcmp ( argv[2], "GetExtractionModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control the extraction of connected surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetExtractionModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetExtractionModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InitializeSeedList */
    if ( strcmp ( argv[2], "InitializeSeedList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeSeedList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeSeedList */
    Tcl_DStringAppendElement ( &dString, " Initialize the list of point ids used to seed clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeSeedList();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for InitializeSeedList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddSeed */
    if ( strcmp ( argv[2], "AddSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSeed */
    Tcl_DStringAppendElement ( &dString, " Add a seed id (point id). Note: ids are 0-offset.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSeed(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for AddSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DeleteSeed */
    if ( strcmp ( argv[2], "DeleteSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteSeed */
    Tcl_DStringAppendElement ( &dString, " Delete a seed id.a\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteSeed(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for DeleteSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InitializeSpecifiedClusterList */
    if ( strcmp ( argv[2], "InitializeSpecifiedClusterList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeSpecifiedClusterList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeSpecifiedClusterList */
    Tcl_DStringAppendElement ( &dString, " Initialize the list of cluster ids to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeSpecifiedClusterList();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for InitializeSpecifiedClusterList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddSpecifiedCluster */
    if ( strcmp ( argv[2], "AddSpecifiedCluster" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSpecifiedCluster" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSpecifiedCluster */
    Tcl_DStringAppendElement ( &dString, " Add a cluster id to extract. Note: ids are 0-offset.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSpecifiedCluster(int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for AddSpecifiedCluster */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DeleteSpecifiedCluster */
    if ( strcmp ( argv[2], "DeleteSpecifiedCluster" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteSpecifiedCluster" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteSpecifiedCluster */
    Tcl_DStringAppendElement ( &dString, " Delete a cluster id to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteSpecifiedCluster(int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for DeleteSpecifiedCluster */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClosestPoint */
    if ( strcmp ( argv[2], "SetClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosestPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetClosestPoint(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClosestPoint */
    if ( strcmp ( argv[2], "SetClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosestPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetClosestPoint(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClosestPoint */
    if ( strcmp ( argv[2], "GetClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClosestPoint */
    Tcl_DStringAppendElement ( &dString, " Used to specify the x-y-z point coordinates when extracting the cluster\n closest to a specified point.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetClosestPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfExtractedClusters */
    if ( strcmp ( argv[2], "GetNumberOfExtractedClusters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfExtractedClusters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfExtractedClusters */
    Tcl_DStringAppendElement ( &dString, " Obtain the number of connected clusters. This value is valid only after filter execution.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfExtractedClusters();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetNumberOfExtractedClusters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColorClusters */
    if ( strcmp ( argv[2], "SetColorClusters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorClusters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorClusters */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorClusters(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetColorClusters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColorClusters */
    if ( strcmp ( argv[2], "GetColorClusters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorClusters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorClusters */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorClusters();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetColorClusters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ColorClustersOn */
    if ( strcmp ( argv[2], "ColorClustersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorClustersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorClustersOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ColorClustersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for ColorClustersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ColorClustersOff */
    if ( strcmp ( argv[2], "ColorClustersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorClustersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorClustersOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the coloring of connected clusters.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ColorClustersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for ColorClustersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Specify a point locator. By default a vtkStaticPointLocator is\n used. The locator performs efficient proximity searches near a\n specified interpolation position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator(vtkAbstractPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Specify a point locator. By default a vtkStaticPointLocator is\n used. The locator performs efficient proximity searches near a\n specified interpolation position.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractPointLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkEuclideanClusterExtraction" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
