// tcl wrapper for vtkExtractSurface object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractSurface.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkExtractSurfaceNewCommand()
{
  vtkExtractSurface *temp = vtkExtractSurface::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractSurfaceCppCommand(vtkExtractSurface *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkExtractSurfaceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkExtractSurfaceCppCommand(static_cast<vtkExtractSurface *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractSurface_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractSurface"),vtkExtractSurfaceNewCommand,vtkExtractSurfaceCommand);
  return 0;
}

int VTKTCL_EXPORT vtkExtractSurfaceCppCommand(vtkExtractSurface *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkExtractSurface",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkExtractSurface  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractSurface");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkExtractSurface  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractSurface");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkExtractSurface  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractSurface");
    return TCL_OK;
  }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetHoleFilling",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetHoleFilling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHoleFilling",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetHoleFilling();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("HoleFillingOn",argv[1]))&&(argc == 2))
  {
    op->HoleFillingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("HoleFillingOff",argv[1]))&&(argc == 2))
  {
    op->HoleFillingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeNormals",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputeNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeNormals",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputeNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeNormalsOn",argv[1]))&&(argc == 2))
  {
    op->ComputeNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeNormalsOff",argv[1]))&&(argc == 2))
  {
    op->ComputeNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeGradients",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputeGradients(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeGradients",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputeGradients();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeGradientsOn",argv[1]))&&(argc == 2))
  {
    op->ComputeGradientsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeGradientsOff",argv[1]))&&(argc == 2))
  {
    op->ComputeGradientsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkExtractSurfaceCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractSurface:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetHoleFilling\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHoleFilling\n",nullptr);
    Tcl_AppendResult(interp,"  HoleFillingOn\n",nullptr);
    Tcl_AppendResult(interp,"  HoleFillingOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeNormals\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeNormals\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeNormalsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeNormalsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeGradients\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeGradients\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeGradientsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeGradientsOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetHoleFilling" );
    Tcl_DStringAppendElement ( &dString, "GetHoleFilling" );
    Tcl_DStringAppendElement ( &dString, "HoleFillingOn" );
    Tcl_DStringAppendElement ( &dString, "HoleFillingOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradients" );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradients" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating the class, providing type information,\n and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractSurface *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating the class, providing type information,\n and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating the class, providing type information,\n and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating the class, providing type information,\n and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractSurface *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating the class, providing type information,\n and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Specify the radius of influence of the signed distance function. Data\n values (which are distances) that are greater than the radius (i.e., d >\n Radius) are considered empty voxels; those voxel data values d < -Radius\n are considered unseen voxels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRadius(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the radius of influence of the signed distance function. Data\n values (which are distances) that are greater than the radius (i.e., d >\n Radius) are considered empty voxels; those voxel data values d < -Radius\n are considered unseen voxels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadiusMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the radius of influence of the signed distance function. Data\n values (which are distances) that are greater than the radius (i.e., d >\n Radius) are considered empty voxels; those voxel data values d < -Radius\n are considered unseen voxels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadiusMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Specify the radius of influence of the signed distance function. Data\n values (which are distances) that are greater than the radius (i.e., d >\n Radius) are considered empty voxels; those voxel data values d < -Radius\n are considered unseen voxels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetHoleFilling */
    if ( strcmp ( argv[2], "SetHoleFilling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHoleFilling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHoleFilling */
    Tcl_DStringAppendElement ( &dString, " Enable hole filling. This generates separating surfaces between the\n empty and unseen portions of the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHoleFilling(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for SetHoleFilling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHoleFilling */
    if ( strcmp ( argv[2], "GetHoleFilling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHoleFilling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHoleFilling */
    Tcl_DStringAppendElement ( &dString, " Enable hole filling. This generates separating surfaces between the\n empty and unseen portions of the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetHoleFilling();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for GetHoleFilling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HoleFillingOn */
    if ( strcmp ( argv[2], "HoleFillingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HoleFillingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HoleFillingOn */
    Tcl_DStringAppendElement ( &dString, " Enable hole filling. This generates separating surfaces between the\n empty and unseen portions of the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HoleFillingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for HoleFillingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HoleFillingOff */
    if ( strcmp ( argv[2], "HoleFillingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HoleFillingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HoleFillingOff */
    Tcl_DStringAppendElement ( &dString, " Enable hole filling. This generates separating surfaces between the\n empty and unseen portions of the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HoleFillingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for HoleFillingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeNormals */
    if ( strcmp ( argv[2], "SetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeNormals(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for SetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeNormals */
    if ( strcmp ( argv[2], "GetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputeNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for GetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeNormalsOn */
    if ( strcmp ( argv[2], "ComputeNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for ComputeNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeNormalsOff */
    if ( strcmp ( argv[2], "ComputeNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for ComputeNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeGradients */
    if ( strcmp ( argv[2], "SetComputeGradients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeGradients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeGradients(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for SetComputeGradients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeGradients */
    if ( strcmp ( argv[2], "GetComputeGradients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeGradients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputeGradients();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for GetComputeGradients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeGradientsOn */
    if ( strcmp ( argv[2], "ComputeGradientsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeGradientsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for ComputeGradientsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeGradientsOff */
    if ( strcmp ( argv[2], "ComputeGradientsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeGradientsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSurface" );
    /* Closing for ComputeGradientsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
