// tcl wrapper for vtkSMPMergePoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMPMergePoints.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkSMPMergePointsNewCommand()
{
  vtkSMPMergePoints *temp = vtkSMPMergePoints::New();
  return static_cast<ClientData>(temp);
}

int vtkMergePointsCppCommand(vtkMergePoints *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMPMergePointsCppCommand(vtkSMPMergePoints *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkSMPMergePointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkSMPMergePointsCppCommand(static_cast<vtkSMPMergePoints *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMPMergePoints_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkSMPMergePoints"),vtkSMPMergePointsNewCommand,vtkSMPMergePointsCommand);
  return 0;
}

int VTKTCL_EXPORT vtkSMPMergePointsCppCommand(vtkSMPMergePoints *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkSMPMergePoints",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkMergePointsCppCommand(static_cast<vtkMergePoints *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkMergePoints"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkSMPMergePoints  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSMPMergePoints");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkSMPMergePoints  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSMPMergePoints");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkSMPMergePoints  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSMPMergePoints");
    return TCL_OK;
  }
  if ((!strcmp("InitializeMerge",argv[1]))&&(argc == 2))
  {
    op->InitializeMerge();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Merge",argv[1]))&&(argc == 7))
  {
    vtkSMPMergePoints  *temp0;
    vtkIdType   temp1;
    vtkPointData  *temp2;
    vtkPointData  *temp3;
    vtkIdList  *temp4;
    error = 0;

    temp0 = (vtkSMPMergePoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSMPMergePoints"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPointData"),interp,error));
    temp3 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkPointData"),interp,error));
    temp4 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
  {
    op->Merge(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("FixSizeOfPointArray",argv[1]))&&(argc == 2))
  {
    op->FixSizeOfPointArray();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxId",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfIdsInBucket",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetNumberOfIdsInBucket(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfBuckets",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfBuckets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkSMPMergePointsCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkMergePointsCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMPMergePoints:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  InitializeMerge\n",nullptr);
    Tcl_AppendResult(interp,"  Merge\t with 5 args\n",nullptr);
    Tcl_AppendResult(interp,"  FixSizeOfPointArray\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxId\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfIdsInBucket\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfBuckets\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMergePointsCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "InitializeMerge" );
    Tcl_DStringAppendElement ( &dString, "Merge" );
    Tcl_DStringAppendElement ( &dString, "FixSizeOfPointArray" );
    Tcl_DStringAppendElement ( &dString, "GetMaxId" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIdsInBucket" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBuckets" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMergePointsCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSMPMergePoints *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSMPMergePoints *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InitializeMerge */
    if ( strcmp ( argv[2], "InitializeMerge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeMerge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeMerge */
    Tcl_DStringAppendElement ( &dString, " This should be called from 1 thread before any call to Merge.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeMerge();" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for InitializeMerge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Merge */
    if ( strcmp ( argv[2], "Merge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Merge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Merge */
    Tcl_DStringAppendElement ( &dString, " Merge the points of one of the bins from the given locator to\n the same bin of the current locator. Note that this requires that\n the two locators have identical binning structures. This also\n merges point data given in the inPD argument to the outPd.\n Furthermore, it generates a map of the old ids of the input locator\n to the new ids. This is stored in the idList argument. The map\n is idList\\[oldId\\] = newId.\n" );
    Tcl_DStringAppendElement ( &dString, "void Merge(vtkSMPMergePoints *locator, vtkIdType idx, vtkPointData *outPd, vtkPointData *inPd, vtkIdList *idList);" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for Merge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FixSizeOfPointArray */
    if ( strcmp ( argv[2], "FixSizeOfPointArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FixSizeOfPointArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FixSizeOfPointArray */
    Tcl_DStringAppendElement ( &dString, " At the of the merge, this can be called to set the MaxId of the\n points array to the maximum id in the locator. The current design\n usage is as follows:\n - Allocate points with points->Resize(numPts). NumPts should be >= total number of points\n - Do bunch of merging with outLocator->Merge(inLocator\\[i\\], ...)\n - Fix the size of points with outLocator->FixSizeOfPointArray()\n" );
    Tcl_DStringAppendElement ( &dString, "void FixSizeOfPointArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for FixSizeOfPointArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxId */
    if ( strcmp ( argv[2], "GetMaxId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxId */
    Tcl_DStringAppendElement ( &dString, " Returns the biggest id in the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaxId();" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for GetMaxId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfIdsInBucket */
    if ( strcmp ( argv[2], "GetNumberOfIdsInBucket" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIdsInBucket" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIdsInBucket */
    Tcl_DStringAppendElement ( &dString, " Returns the number of points in a bin.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfIdsInBucket(vtkIdType idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for GetNumberOfIdsInBucket */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfBuckets */
    if ( strcmp ( argv[2], "GetNumberOfBuckets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBuckets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBuckets */
    Tcl_DStringAppendElement ( &dString, " Returns the number of bins.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfBuckets() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSMPMergePoints" );
    /* Closing for GetNumberOfBuckets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkMergePointsCppCommand(static_cast<vtkMergePoints *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
