#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAutoCorrelativeStatistics_TclCreate(Tcl_Interp *interp);
int vtkBivariateLinearTableThreshold_TclCreate(Tcl_Interp *interp);
int vtkComputeQuartiles_TclCreate(Tcl_Interp *interp);
int vtkContingencyStatistics_TclCreate(Tcl_Interp *interp);
int vtkCorrelativeStatistics_TclCreate(Tcl_Interp *interp);
int vtkDescriptiveStatistics_TclCreate(Tcl_Interp *interp);
int vtkHighestDensityRegionsStatistics_TclCreate(Tcl_Interp *interp);
int vtkExtractFunctionalBagPlot_TclCreate(Tcl_Interp *interp);
int vtkKMeansDistanceFunctorCalculator_TclCreate(Tcl_Interp *interp);
int vtkKMeansDistanceFunctor_TclCreate(Tcl_Interp *interp);
int vtkKMeansStatistics_TclCreate(Tcl_Interp *interp);
int vtkMultiCorrelativeStatistics_TclCreate(Tcl_Interp *interp);
int vtkOrderStatistics_TclCreate(Tcl_Interp *interp);
int vtkPCAStatistics_TclCreate(Tcl_Interp *interp);
int vtkStatisticsAlgorithm_TclCreate(Tcl_Interp *interp);
int vtkStrahlerMetric_TclCreate(Tcl_Interp *interp);
int vtkStreamingStatistics_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfiltersstatisticstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfiltersstatisticstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfiltersstatisticstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfiltersstatisticstcl_Init(interp);
}


int VTK_EXPORT Vtkfiltersstatisticstcl_Init(Tcl_Interp *interp)
{

  vtkAutoCorrelativeStatistics_TclCreate(interp);
  vtkBivariateLinearTableThreshold_TclCreate(interp);
  vtkComputeQuartiles_TclCreate(interp);
  vtkContingencyStatistics_TclCreate(interp);
  vtkCorrelativeStatistics_TclCreate(interp);
  vtkDescriptiveStatistics_TclCreate(interp);
  vtkHighestDensityRegionsStatistics_TclCreate(interp);
  vtkExtractFunctionalBagPlot_TclCreate(interp);
  vtkKMeansDistanceFunctorCalculator_TclCreate(interp);
  vtkKMeansDistanceFunctor_TclCreate(interp);
  vtkKMeansStatistics_TclCreate(interp);
  vtkMultiCorrelativeStatistics_TclCreate(interp);
  vtkOrderStatistics_TclCreate(interp);
  vtkPCAStatistics_TclCreate(interp);
  vtkStatisticsAlgorithm_TclCreate(interp);
  vtkStrahlerMetric_TclCreate(interp);
  vtkStreamingStatistics_TclCreate(interp);
  char pkgName[]="vtkFiltersStatisticsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
