// tcl wrapper for vtkCellSizeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellSizeFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkCellSizeFilterNewCommand()
{
  vtkCellSizeFilter *temp = vtkCellSizeFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellSizeFilterCppCommand(vtkCellSizeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkCellSizeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkCellSizeFilterCppCommand(static_cast<vtkCellSizeFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellSizeFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellSizeFilter"),vtkCellSizeFilterNewCommand,vtkCellSizeFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkCellSizeFilterCppCommand(vtkCellSizeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkCellSizeFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkCellSizeFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellSizeFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkCellSizeFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellSizeFilter");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkCellSizeFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellSizeFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetComputeVertexCount",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeVertexCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeVertexCount",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeVertexCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeVertexCountOn",argv[1]))&&(argc == 2))
  {
    op->ComputeVertexCountOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeVertexCountOff",argv[1]))&&(argc == 2))
  {
    op->ComputeVertexCountOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeLength",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeLength",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeLengthOn",argv[1]))&&(argc == 2))
  {
    op->ComputeLengthOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeLengthOff",argv[1]))&&(argc == 2))
  {
    op->ComputeLengthOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeArea",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeArea(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeArea",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeArea();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeAreaOn",argv[1]))&&(argc == 2))
  {
    op->ComputeAreaOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeAreaOff",argv[1]))&&(argc == 2))
  {
    op->ComputeAreaOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeVolume",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeVolume",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeVolume();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeVolumeOn",argv[1]))&&(argc == 2))
  {
    op->ComputeVolumeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeVolumeOff",argv[1]))&&(argc == 2))
  {
    op->ComputeVolumeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeSum",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeSum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeSum",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeSum();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeSumOn",argv[1]))&&(argc == 2))
  {
    op->ComputeSumOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeSumOff",argv[1]))&&(argc == 2))
  {
    op->ComputeSumOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetVertexCountArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetVertexCountArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVertexCountArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetVertexCountArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetLengthArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetLengthArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLengthArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetLengthArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetAreaArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetAreaArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAreaArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetAreaArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetVolumeArrayName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetVolumeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVolumeArrayName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetVolumeArrayName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkCellSizeFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellSizeFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeVertexCount\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeVertexCount\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeVertexCountOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeVertexCountOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeLength\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeLength\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeLengthOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeLengthOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeArea\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeArea\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeAreaOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeAreaOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeVolume\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeVolume\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeVolumeOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeVolumeOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeSum\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeSum\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeSumOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeSumOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetVertexCountArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVertexCountArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetLengthArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLengthArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetAreaArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAreaArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetVolumeArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVolumeArrayName\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetComputeVertexCount" );
    Tcl_DStringAppendElement ( &dString, "GetComputeVertexCount" );
    Tcl_DStringAppendElement ( &dString, "ComputeVertexCountOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeVertexCountOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeLength" );
    Tcl_DStringAppendElement ( &dString, "GetComputeLength" );
    Tcl_DStringAppendElement ( &dString, "ComputeLengthOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeLengthOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeArea" );
    Tcl_DStringAppendElement ( &dString, "GetComputeArea" );
    Tcl_DStringAppendElement ( &dString, "ComputeAreaOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeAreaOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeVolume" );
    Tcl_DStringAppendElement ( &dString, "GetComputeVolume" );
    Tcl_DStringAppendElement ( &dString, "ComputeVolumeOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeVolumeOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeSum" );
    Tcl_DStringAppendElement ( &dString, "GetComputeSum" );
    Tcl_DStringAppendElement ( &dString, "ComputeSumOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeSumOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexCountArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexCountArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetLengthArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLengthArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetAreaArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVolumeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeArrayName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellSizeFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellSizeFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeVertexCount */
    if ( strcmp ( argv[2], "SetComputeVertexCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeVertexCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeVertexCount */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for vertex and polyvertex\n cells. The computed value is the number of points in the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeVertexCount(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetComputeVertexCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeVertexCount */
    if ( strcmp ( argv[2], "GetComputeVertexCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeVertexCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeVertexCount */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for vertex and polyvertex\n cells. The computed value is the number of points in the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeVertexCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetComputeVertexCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeVertexCountOn */
    if ( strcmp ( argv[2], "ComputeVertexCountOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVertexCountOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVertexCountOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for vertex and polyvertex\n cells. The computed value is the number of points in the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeVertexCountOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeVertexCountOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeVertexCountOff */
    if ( strcmp ( argv[2], "ComputeVertexCountOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVertexCountOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVertexCountOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for vertex and polyvertex\n cells. The computed value is the number of points in the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeVertexCountOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeVertexCountOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeLength */
    if ( strcmp ( argv[2], "SetComputeLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeLength */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 1D cells\n cells. The computed value is the length of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeLength(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetComputeLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeLength */
    if ( strcmp ( argv[2], "GetComputeLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeLength */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 1D cells\n cells. The computed value is the length of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetComputeLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeLengthOn */
    if ( strcmp ( argv[2], "ComputeLengthOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeLengthOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeLengthOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 1D cells\n cells. The computed value is the length of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeLengthOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeLengthOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeLengthOff */
    if ( strcmp ( argv[2], "ComputeLengthOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeLengthOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeLengthOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 1D cells\n cells. The computed value is the length of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeLengthOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeLengthOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeArea */
    if ( strcmp ( argv[2], "SetComputeArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeArea */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 2D cells\n cells. The computed value is the area of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeArea(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetComputeArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeArea */
    if ( strcmp ( argv[2], "GetComputeArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeArea */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 2D cells\n cells. The computed value is the area of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetComputeArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeAreaOn */
    if ( strcmp ( argv[2], "ComputeAreaOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeAreaOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeAreaOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 2D cells\n cells. The computed value is the area of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeAreaOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeAreaOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeAreaOff */
    if ( strcmp ( argv[2], "ComputeAreaOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeAreaOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeAreaOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 2D cells\n cells. The computed value is the area of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeAreaOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeAreaOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeVolume */
    if ( strcmp ( argv[2], "SetComputeVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeVolume */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 3D cells\n cells. The computed value is the volume of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeVolume(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetComputeVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeVolume */
    if ( strcmp ( argv[2], "GetComputeVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeVolume */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 3D cells\n cells. The computed value is the volume of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetComputeVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeVolumeOn */
    if ( strcmp ( argv[2], "ComputeVolumeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVolumeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVolumeOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 3D cells\n cells. The computed value is the volume of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeVolumeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeVolumeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeVolumeOff */
    if ( strcmp ( argv[2], "ComputeVolumeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVolumeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVolumeOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether or not to compute sizes for 3D cells\n cells. The computed value is the volume of the cell.\n This option is enabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeVolumeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeVolumeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeSum */
    if ( strcmp ( argv[2], "SetComputeSum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeSum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeSum */
    Tcl_DStringAppendElement ( &dString, " Specify whether to sum the computed sizes and put the result in\n a field data array. This option is disabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeSum(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetComputeSum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeSum */
    if ( strcmp ( argv[2], "GetComputeSum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeSum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeSum */
    Tcl_DStringAppendElement ( &dString, " Specify whether to sum the computed sizes and put the result in\n a field data array. This option is disabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeSum();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetComputeSum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeSumOn */
    if ( strcmp ( argv[2], "ComputeSumOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeSumOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeSumOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether to sum the computed sizes and put the result in\n a field data array. This option is disabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeSumOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeSumOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeSumOff */
    if ( strcmp ( argv[2], "ComputeSumOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeSumOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeSumOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to sum the computed sizes and put the result in\n a field data array. This option is disabled by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeSumOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for ComputeSumOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVertexCountArrayName */
    if ( strcmp ( argv[2], "SetVertexCountArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexCountArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexCountArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexCountArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetVertexCountArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVertexCountArrayName */
    if ( strcmp ( argv[2], "GetVertexCountArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexCountArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexCountArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetVertexCountArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetVertexCountArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLengthArrayName */
    if ( strcmp ( argv[2], "SetLengthArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLengthArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLengthArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLengthArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetLengthArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLengthArrayName */
    if ( strcmp ( argv[2], "GetLengthArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLengthArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLengthArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetLengthArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetLengthArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAreaArrayName */
    if ( strcmp ( argv[2], "SetAreaArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetAreaArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAreaArrayName */
    if ( strcmp ( argv[2], "GetAreaArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetAreaArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetAreaArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVolumeArrayName */
    if ( strcmp ( argv[2], "SetVolumeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolumeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolumeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVolumeArrayName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for SetVolumeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVolumeArrayName */
    if ( strcmp ( argv[2], "GetVolumeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the computed arrays. Default names are VertexCount,\n Length, Area and Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetVolumeArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellSizeFilter" );
    /* Closing for GetVolumeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
