// tcl wrapper for vtkRIBProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRIBProperty.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkRIBPropertyNewCommand()
{
  vtkRIBProperty *temp = vtkRIBProperty::New();
  return static_cast<ClientData>(temp);
}

int vtkPropertyCppCommand(vtkProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRIBPropertyCppCommand(vtkRIBProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkRIBPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkRIBPropertyCppCommand(static_cast<vtkRIBProperty *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRIBProperty_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkRIBProperty"),vtkRIBPropertyNewCommand,vtkRIBPropertyCommand);
  return 0;
}

int VTKTCL_EXPORT vtkRIBPropertyCppCommand(vtkRIBProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkRIBProperty",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPropertyCppCommand(static_cast<vtkProperty *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkProperty"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkRIBProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRIBProperty");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkRIBProperty  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRIBProperty");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkRIBProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRIBProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetSurfaceShaderUsesDefaultParameters",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetSurfaceShaderUsesDefaultParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSurfaceShaderUsesDefaultParameters",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetSurfaceShaderUsesDefaultParameters();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SurfaceShaderUsesDefaultParametersOn",argv[1]))&&(argc == 2))
  {
    op->SurfaceShaderUsesDefaultParametersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SurfaceShaderUsesDefaultParametersOff",argv[1]))&&(argc == 2))
  {
    op->SurfaceShaderUsesDefaultParametersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSurfaceShader",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetSurfaceShader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSurfaceShader",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetSurfaceShader();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetDisplacementShader",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetDisplacementShader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDisplacementShader",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetDisplacementShader();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetVariable",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->SetVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddVariable",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->AddVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDeclarations",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetDeclarations();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetParameter",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->SetParameter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddParameter",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->AddParameter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSurfaceShaderParameter",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->SetSurfaceShaderParameter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddSurfaceShaderParameter",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->AddSurfaceShaderParameter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDisplacementShaderParameter",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->SetDisplacementShaderParameter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("AddDisplacementShaderParameter",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->AddDisplacementShaderParameter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetParameters",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetParameters();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetSurfaceShaderParameters",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetSurfaceShaderParameters();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetDisplacementShaderParameters",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetDisplacementShaderParameters();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkRIBPropertyCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPropertyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRIBProperty:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetSurfaceShaderUsesDefaultParameters\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceShaderUsesDefaultParameters\n",nullptr);
    Tcl_AppendResult(interp,"  SurfaceShaderUsesDefaultParametersOn\n",nullptr);
    Tcl_AppendResult(interp,"  SurfaceShaderUsesDefaultParametersOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSurfaceShader\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceShader\n",nullptr);
    Tcl_AppendResult(interp,"  SetDisplacementShader\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDisplacementShader\n",nullptr);
    Tcl_AppendResult(interp,"  SetVariable\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  AddVariable\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetDeclarations\n",nullptr);
    Tcl_AppendResult(interp,"  SetParameter\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  AddParameter\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetSurfaceShaderParameter\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  AddSurfaceShaderParameter\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetDisplacementShaderParameter\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  AddDisplacementShaderParameter\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetParameters\n",nullptr);
    Tcl_AppendResult(interp,"  GetSurfaceShaderParameters\n",nullptr);
    Tcl_AppendResult(interp,"  GetDisplacementShaderParameters\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPropertyCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceShaderUsesDefaultParameters" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceShaderUsesDefaultParameters" );
    Tcl_DStringAppendElement ( &dString, "SurfaceShaderUsesDefaultParametersOn" );
    Tcl_DStringAppendElement ( &dString, "SurfaceShaderUsesDefaultParametersOff" );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceShader" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceShader" );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementShader" );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementShader" );
    Tcl_DStringAppendElement ( &dString, "SetVariable" );
    Tcl_DStringAppendElement ( &dString, "AddVariable" );
    Tcl_DStringAppendElement ( &dString, "GetDeclarations" );
    Tcl_DStringAppendElement ( &dString, "SetParameter" );
    Tcl_DStringAppendElement ( &dString, "AddParameter" );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceShaderParameter" );
    Tcl_DStringAppendElement ( &dString, "AddSurfaceShaderParameter" );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementShaderParameter" );
    Tcl_DStringAppendElement ( &dString, "AddDisplacementShaderParameter" );
    Tcl_DStringAppendElement ( &dString, "GetParameters" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceShaderParameters" );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementShaderParameters" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPropertyCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRIBProperty *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRIBProperty *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSurfaceShaderUsesDefaultParameters */
    if ( strcmp ( argv[2], "SetSurfaceShaderUsesDefaultParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceShaderUsesDefaultParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSurfaceShaderUsesDefaultParameters */
    Tcl_DStringAppendElement ( &dString, " If true (default) the surface shader uses the usual shader parameters:\n Ka - Ambient amount\n Kd - Diffuse amount\n Ks - Specular amount\n Roughness\n SpecularColor\n Additional surface shader parameters can be added with the\n Set/AddSurfaceShaderParameter methods.\n If false, all surface shader parameters must be specified\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSurfaceShaderUsesDefaultParameters(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SetSurfaceShaderUsesDefaultParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceShaderUsesDefaultParameters */
    if ( strcmp ( argv[2], "GetSurfaceShaderUsesDefaultParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceShaderUsesDefaultParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceShaderUsesDefaultParameters */
    Tcl_DStringAppendElement ( &dString, " If true (default) the surface shader uses the usual shader parameters:\n Ka - Ambient amount\n Kd - Diffuse amount\n Ks - Specular amount\n Roughness\n SpecularColor\n Additional surface shader parameters can be added with the\n Set/AddSurfaceShaderParameter methods.\n If false, all surface shader parameters must be specified\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetSurfaceShaderUsesDefaultParameters();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for GetSurfaceShaderUsesDefaultParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SurfaceShaderUsesDefaultParametersOn */
    if ( strcmp ( argv[2], "SurfaceShaderUsesDefaultParametersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SurfaceShaderUsesDefaultParametersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SurfaceShaderUsesDefaultParametersOn */
    Tcl_DStringAppendElement ( &dString, " If true (default) the surface shader uses the usual shader parameters:\n Ka - Ambient amount\n Kd - Diffuse amount\n Ks - Specular amount\n Roughness\n SpecularColor\n Additional surface shader parameters can be added with the\n Set/AddSurfaceShaderParameter methods.\n If false, all surface shader parameters must be specified\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SurfaceShaderUsesDefaultParametersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SurfaceShaderUsesDefaultParametersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SurfaceShaderUsesDefaultParametersOff */
    if ( strcmp ( argv[2], "SurfaceShaderUsesDefaultParametersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SurfaceShaderUsesDefaultParametersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SurfaceShaderUsesDefaultParametersOff */
    Tcl_DStringAppendElement ( &dString, " If true (default) the surface shader uses the usual shader parameters:\n Ka - Ambient amount\n Kd - Diffuse amount\n Ks - Specular amount\n Roughness\n SpecularColor\n Additional surface shader parameters can be added with the\n Set/AddSurfaceShaderParameter methods.\n If false, all surface shader parameters must be specified\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SurfaceShaderUsesDefaultParametersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SurfaceShaderUsesDefaultParametersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSurfaceShader */
    if ( strcmp ( argv[2], "SetSurfaceShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSurfaceShader */
    Tcl_DStringAppendElement ( &dString, " Specify the name of a surface shader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSurfaceShader(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SetSurfaceShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceShader */
    if ( strcmp ( argv[2], "GetSurfaceShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceShader */
    Tcl_DStringAppendElement ( &dString, " Specify the name of a surface shader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetSurfaceShader();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for GetSurfaceShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDisplacementShader */
    if ( strcmp ( argv[2], "SetDisplacementShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplacementShader */
    Tcl_DStringAppendElement ( &dString, " Specify the name of a displacement shader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplacementShader(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SetDisplacementShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDisplacementShader */
    if ( strcmp ( argv[2], "GetDisplacementShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplacementShader */
    Tcl_DStringAppendElement ( &dString, " Specify the name of a displacement shader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetDisplacementShader();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for GetDisplacementShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVariable */
    if ( strcmp ( argv[2], "SetVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVariable */
    Tcl_DStringAppendElement ( &dString, " Specify declarations for variables..\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVariable(const char *variable, const char *declaration);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SetVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddVariable */
    if ( strcmp ( argv[2], "AddVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVariable */
    Tcl_DStringAppendElement ( &dString, " Specify declarations for variables..\n" );
    Tcl_DStringAppendElement ( &dString, "void AddVariable(const char *variable, const char *declaration);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for AddVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDeclarations */
    if ( strcmp ( argv[2], "GetDeclarations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeclarations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeclarations */
    Tcl_DStringAppendElement ( &dString, " Get variable declarations\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDeclarations();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for GetDeclarations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetParameter */
    if ( strcmp ( argv[2], "SetParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParameter */
    Tcl_DStringAppendElement ( &dString, " Specify parameter values for variables.\n DEPRECATED: use (Set/Add)SurfaceShaderParameter instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParameter(const char *parameter, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SetParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddParameter */
    if ( strcmp ( argv[2], "AddParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddParameter */
    Tcl_DStringAppendElement ( &dString, " Specify parameter values for variables.\n DEPRECATED: use (Set/Add)SurfaceShaderParameter instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddParameter(const char *parameter, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for AddParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSurfaceShaderParameter */
    if ( strcmp ( argv[2], "SetSurfaceShaderParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSurfaceShaderParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSurfaceShaderParameter */
    Tcl_DStringAppendElement ( &dString, " Specify parameter values for surface shader parameters\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSurfaceShaderParameter(const char *parameter, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SetSurfaceShaderParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddSurfaceShaderParameter */
    if ( strcmp ( argv[2], "AddSurfaceShaderParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSurfaceShaderParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSurfaceShaderParameter */
    Tcl_DStringAppendElement ( &dString, " Specify parameter values for surface shader parameters\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSurfaceShaderParameter(const char *parameter, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for AddSurfaceShaderParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDisplacementShaderParameter */
    if ( strcmp ( argv[2], "SetDisplacementShaderParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementShaderParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplacementShaderParameter */
    Tcl_DStringAppendElement ( &dString, " Specify parameter values for displacement shader parameters\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplacementShaderParameter(const char *parameter, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for SetDisplacementShaderParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddDisplacementShaderParameter */
    if ( strcmp ( argv[2], "AddDisplacementShaderParameter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDisplacementShaderParameter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDisplacementShaderParameter */
    Tcl_DStringAppendElement ( &dString, " Specify parameter values for displacement shader parameters\n" );
    Tcl_DStringAppendElement ( &dString, "void AddDisplacementShaderParameter(const char *parameter, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for AddDisplacementShaderParameter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetParameters */
    if ( strcmp ( argv[2], "GetParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParameters */
    Tcl_DStringAppendElement ( &dString, " Get parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetParameters();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for GetParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSurfaceShaderParameters */
    if ( strcmp ( argv[2], "GetSurfaceShaderParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceShaderParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceShaderParameters */
    Tcl_DStringAppendElement ( &dString, " Get parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetSurfaceShaderParameters();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for GetSurfaceShaderParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDisplacementShaderParameters */
    if ( strcmp ( argv[2], "GetDisplacementShaderParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementShaderParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplacementShaderParameters */
    Tcl_DStringAppendElement ( &dString, " Get parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDisplacementShaderParameters();" );
    Tcl_DStringAppendElement ( &dString, "vtkRIBProperty" );
    /* Closing for GetDisplacementShaderParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPropertyCppCommand(static_cast<vtkProperty *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
