// tcl wrapper for vtkXMLPDataObjectWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPDataObjectWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkXMLWriterCppCommand(vtkXMLWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLPDataObjectWriterCppCommand(vtkXMLPDataObjectWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkXMLPDataObjectWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkXMLPDataObjectWriterCppCommand(static_cast<vtkXMLPDataObjectWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLPDataObjectWriter_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkXMLPDataObjectWriterCppCommand(vtkXMLPDataObjectWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkXMLPDataObjectWriter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkXMLWriterCppCommand(static_cast<vtkXMLWriter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkXMLWriter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkXMLPDataObjectWriter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLPDataObjectWriter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkXMLPDataObjectWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLPDataObjectWriter");
    return TCL_OK;
  }
  if ((!strcmp("SetNumberOfPieces",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfPieces",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetStartPiece",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetStartPiece(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStartPiece",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetStartPiece();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetEndPiece",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetEndPiece(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetEndPiece",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEndPiece();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetGhostLevel",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetGhostLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGhostLevel",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetGhostLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseSubdirectory",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseSubdirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseSubdirectory",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseSubdirectory();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetWriteSummaryFile",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetWriteSummaryFile(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWriteSummaryFile",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetWriteSummaryFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WriteSummaryFileOn",argv[1]))&&(argc == 2))
  {
    op->WriteSummaryFileOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WriteSummaryFileOff",argv[1]))&&(argc == 2))
  {
    op->WriteSummaryFileOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
  {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
  {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
  {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkXMLPDataObjectWriterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkXMLWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLPDataObjectWriter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetNumberOfPieces\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfPieces\n",nullptr);
    Tcl_AppendResult(interp,"  SetStartPiece\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStartPiece\n",nullptr);
    Tcl_AppendResult(interp,"  SetEndPiece\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetEndPiece\n",nullptr);
    Tcl_AppendResult(interp,"  SetGhostLevel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGhostLevel\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseSubdirectory\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseSubdirectory\n",nullptr);
    Tcl_AppendResult(interp,"  SetWriteSummaryFile\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWriteSummaryFile\n",nullptr);
    Tcl_AppendResult(interp,"  WriteSummaryFileOn\n",nullptr);
    Tcl_AppendResult(interp,"  WriteSummaryFileOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetController\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkXMLWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetStartPiece" );
    Tcl_DStringAppendElement ( &dString, "GetStartPiece" );
    Tcl_DStringAppendElement ( &dString, "SetEndPiece" );
    Tcl_DStringAppendElement ( &dString, "GetEndPiece" );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "SetUseSubdirectory" );
    Tcl_DStringAppendElement ( &dString, "GetUseSubdirectory" );
    Tcl_DStringAppendElement ( &dString, "SetWriteSummaryFile" );
    Tcl_DStringAppendElement ( &dString, "GetWriteSummaryFile" );
    Tcl_DStringAppendElement ( &dString, "WriteSummaryFileOn" );
    Tcl_DStringAppendElement ( &dString, "WriteSummaryFileOff" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkXMLWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLPDataObjectWriter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNumberOfPieces */
    if ( strcmp ( argv[2], "SetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of pieces that are being written in parallel.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfPieces(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfPieces */
    if ( strcmp ( argv[2], "GetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of pieces that are being written in parallel.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for GetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStartPiece */
    if ( strcmp ( argv[2], "SetStartPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPiece */
    Tcl_DStringAppendElement ( &dString, " Get/Set the range of pieces assigned to this writer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStartPiece(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SetStartPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStartPiece */
    if ( strcmp ( argv[2], "GetStartPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartPiece */
    Tcl_DStringAppendElement ( &dString, " Get/Set the range of pieces assigned to this writer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetStartPiece();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for GetStartPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetEndPiece */
    if ( strcmp ( argv[2], "SetEndPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndPiece */
    Tcl_DStringAppendElement ( &dString, " Get/Set the range of pieces assigned to this writer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEndPiece(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SetEndPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEndPiece */
    if ( strcmp ( argv[2], "GetEndPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndPiece */
    Tcl_DStringAppendElement ( &dString, " Get/Set the range of pieces assigned to this writer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEndPiece();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for GetEndPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGhostLevel */
    if ( strcmp ( argv[2], "SetGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Get/Set the ghost level used for this writer's piece.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGhostLevel(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SetGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGhostLevel */
    if ( strcmp ( argv[2], "GetGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Get/Set the ghost level used for this writer's piece.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGhostLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for GetGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseSubdirectory */
    if ( strcmp ( argv[2], "SetUseSubdirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseSubdirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseSubdirectory */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether to use a subdirectory to store the pieces\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseSubdirectory(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SetUseSubdirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseSubdirectory */
    if ( strcmp ( argv[2], "GetUseSubdirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseSubdirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseSubdirectory */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether to use a subdirectory to store the pieces\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseSubdirectory();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for GetUseSubdirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWriteSummaryFile */
    if ( strcmp ( argv[2], "SetWriteSummaryFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteSummaryFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteSummaryFile */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the writer should write the summary file that\n refers to all of the pieces' individual files.\n This is on by default. Note that only the first process writes\n the summary file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWriteSummaryFile(int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SetWriteSummaryFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWriteSummaryFile */
    if ( strcmp ( argv[2], "GetWriteSummaryFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteSummaryFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteSummaryFile */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the writer should write the summary file that\n refers to all of the pieces' individual files.\n This is on by default. Note that only the first process writes\n the summary file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetWriteSummaryFile();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for GetWriteSummaryFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteSummaryFileOn */
    if ( strcmp ( argv[2], "WriteSummaryFileOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteSummaryFileOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteSummaryFileOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the writer should write the summary file that\n refers to all of the pieces' individual files.\n This is on by default. Note that only the first process writes\n the summary file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteSummaryFileOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for WriteSummaryFileOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteSummaryFileOff */
    if ( strcmp ( argv[2], "WriteSummaryFileOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteSummaryFileOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteSummaryFileOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the writer should write the summary file that\n refers to all of the pieces' individual files.\n This is on by default. Note that only the first process writes\n the summary file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteSummaryFileOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for WriteSummaryFileOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Controller used to communicate data type of blocks.\n By default, the global controller is used. If you want another\n controller to be used, set it with this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController(vtkMultiProcessController *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Controller used to communicate data type of blocks.\n By default, the global controller is used. If you want another\n controller to be used, set it with this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPDataObjectWriter" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkXMLWriterCppCommand(static_cast<vtkXMLWriter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
