#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkRTXMLPolyDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLCompositeDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLCompositeDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLDataSetWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLDataObjectWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLFileReadTester_TclCreate(Tcl_Interp *interp);
int vtkXMLGenericDataObjectReader_TclCreate(Tcl_Interp *interp);
int vtkXMLHierarchicalBoxDataFileConverter_TclCreate(Tcl_Interp *interp);
int vtkXMLHierarchicalBoxDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLHierarchicalBoxDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLHierarchicalDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLImageDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLImageDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLMultiBlockDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLMultiBlockDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLMultiGroupDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPDataObjectReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPImageDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPolyDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPolyDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLPPolyDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPRectilinearGridReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPStructuredDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPStructuredGridReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPTableReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPUnstructuredDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLPUnstructuredGridReader_TclCreate(Tcl_Interp *interp);
int vtkXMLReader_TclCreate(Tcl_Interp *interp);
int vtkXMLRectilinearGridReader_TclCreate(Tcl_Interp *interp);
int vtkXMLRectilinearGridWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLStructuredDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLStructuredDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLStructuredGridReader_TclCreate(Tcl_Interp *interp);
int vtkXMLStructuredGridWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLTableReader_TclCreate(Tcl_Interp *interp);
int vtkXMLTableWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLUniformGridAMRReader_TclCreate(Tcl_Interp *interp);
int vtkXMLUniformGridAMRWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLUnstructuredDataReader_TclCreate(Tcl_Interp *interp);
int vtkXMLUnstructuredDataWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLUnstructuredGridReader_TclCreate(Tcl_Interp *interp);
int vtkXMLUnstructuredGridWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLWriter_TclCreate(Tcl_Interp *interp);
int vtkXMLHyperOctreeReader_TclCreate(Tcl_Interp *interp);
int vtkXMLHyperOctreeWriter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioxmltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioxmltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioxmltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioxmltcl_Init(interp);
}


int VTK_EXPORT Vtkioxmltcl_Init(Tcl_Interp *interp)
{

  vtkRTXMLPolyDataReader_TclCreate(interp);
  vtkXMLCompositeDataReader_TclCreate(interp);
  vtkXMLCompositeDataWriter_TclCreate(interp);
  vtkXMLDataReader_TclCreate(interp);
  vtkXMLDataSetWriter_TclCreate(interp);
  vtkXMLDataObjectWriter_TclCreate(interp);
  vtkXMLFileReadTester_TclCreate(interp);
  vtkXMLGenericDataObjectReader_TclCreate(interp);
  vtkXMLHierarchicalBoxDataFileConverter_TclCreate(interp);
  vtkXMLHierarchicalBoxDataReader_TclCreate(interp);
  vtkXMLHierarchicalBoxDataWriter_TclCreate(interp);
  vtkXMLHierarchicalDataReader_TclCreate(interp);
  vtkXMLImageDataReader_TclCreate(interp);
  vtkXMLImageDataWriter_TclCreate(interp);
  vtkXMLMultiBlockDataReader_TclCreate(interp);
  vtkXMLMultiBlockDataWriter_TclCreate(interp);
  vtkXMLMultiGroupDataReader_TclCreate(interp);
  vtkXMLPDataReader_TclCreate(interp);
  vtkXMLPDataObjectReader_TclCreate(interp);
  vtkXMLPImageDataReader_TclCreate(interp);
  vtkXMLPolyDataReader_TclCreate(interp);
  vtkXMLPolyDataWriter_TclCreate(interp);
  vtkXMLPPolyDataReader_TclCreate(interp);
  vtkXMLPRectilinearGridReader_TclCreate(interp);
  vtkXMLPStructuredDataReader_TclCreate(interp);
  vtkXMLPStructuredGridReader_TclCreate(interp);
  vtkXMLPTableReader_TclCreate(interp);
  vtkXMLPUnstructuredDataReader_TclCreate(interp);
  vtkXMLPUnstructuredGridReader_TclCreate(interp);
  vtkXMLReader_TclCreate(interp);
  vtkXMLRectilinearGridReader_TclCreate(interp);
  vtkXMLRectilinearGridWriter_TclCreate(interp);
  vtkXMLStructuredDataReader_TclCreate(interp);
  vtkXMLStructuredDataWriter_TclCreate(interp);
  vtkXMLStructuredGridReader_TclCreate(interp);
  vtkXMLStructuredGridWriter_TclCreate(interp);
  vtkXMLTableReader_TclCreate(interp);
  vtkXMLTableWriter_TclCreate(interp);
  vtkXMLUniformGridAMRReader_TclCreate(interp);
  vtkXMLUniformGridAMRWriter_TclCreate(interp);
  vtkXMLUnstructuredDataReader_TclCreate(interp);
  vtkXMLUnstructuredDataWriter_TclCreate(interp);
  vtkXMLUnstructuredGridReader_TclCreate(interp);
  vtkXMLUnstructuredGridWriter_TclCreate(interp);
  vtkXMLWriter_TclCreate(interp);
  vtkXMLHyperOctreeReader_TclCreate(interp);
  vtkXMLHyperOctreeWriter_TclCreate(interp);
  char pkgName[]="vtkIOXMLTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
