// tcl wrapper for vtkXMLPTableReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPTableReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkXMLPTableReaderNewCommand()
{
  vtkXMLPTableReader *temp = vtkXMLPTableReader::New();
  return static_cast<ClientData>(temp);
}

int vtkXMLPDataObjectReaderCppCommand(vtkXMLPDataObjectReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLPTableReaderCppCommand(vtkXMLPTableReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkXMLPTableReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkXMLPTableReaderCppCommand(static_cast<vtkXMLPTableReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLPTableReader_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLPTableReader"),vtkXMLPTableReaderNewCommand,vtkXMLPTableReaderCommand);
  return 0;
}

int VTKTCL_EXPORT vtkXMLPTableReaderCppCommand(vtkXMLPTableReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkXMLPTableReader",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkXMLPDataObjectReaderCppCommand(static_cast<vtkXMLPDataObjectReader *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkXMLPDataObjectReader"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkXMLPTableReader  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLPTableReader");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkXMLPTableReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLPTableReader");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkXMLPTableReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLPTableReader");
    return TCL_OK;
  }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
  {
    vtkTable  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
  }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    vtkTable  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
  }
  }
  if ((!strcmp("CopyOutputInformation",argv[1]))&&(argc == 4))
  {
    vtkInformation  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->CopyOutputInformation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfColumnArrays",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfColumnArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetColumnArrayName",argv[1]))&&(argc == 3))
  {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetColumnArrayName(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColumnArrayStatus",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->GetColumnArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetColumnArrayStatus",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetColumnArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColumnSelection",argv[1]))&&(argc == 2))
  {
    vtkDataArraySelection  *temp20;
    temp20 = (op)->GetColumnSelection();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArraySelection");
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkXMLPTableReaderCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkXMLPDataObjectReaderCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLPTableReader:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  CopyOutputInformation\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfColumnArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetColumnArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetColumnArrayStatus\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetColumnArrayStatus\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetColumnSelection\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkXMLPDataObjectReaderCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "CopyOutputInformation" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnArrays" );
    Tcl_DStringAppendElement ( &dString, "GetColumnArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetColumnArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetColumnArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetColumnSelection" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkXMLPDataObjectReaderCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLPTableReader *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLPTableReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the reader's output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTable *GetOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the reader's output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTable *GetOutput(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CopyOutputInformation */
    if ( strcmp ( argv[2], "CopyOutputInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyOutputInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyOutputInformation */
    Tcl_DStringAppendElement ( &dString, " For the specified port, copy the information this reader sets up in\n SetupOutputInformation to outInfo\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyOutputInformation(vtkInformation *outInfo, int port) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for CopyOutputInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfColumnArrays */
    if ( strcmp ( argv[2], "GetNumberOfColumnArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColumnArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of columns arrays available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfColumnArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for GetNumberOfColumnArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColumnArrayName */
    if ( strcmp ( argv[2], "GetColumnArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the column with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetColumnArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for GetColumnArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColumnArrayStatus */
    if ( strcmp ( argv[2], "GetColumnArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the column array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColumnArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for GetColumnArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColumnArrayStatus */
    if ( strcmp ( argv[2], "SetColumnArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColumnArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColumnArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the column array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColumnArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for SetColumnArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColumnSelection */
    if ( strcmp ( argv[2], "GetColumnSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnSelection */
    Tcl_DStringAppendElement ( &dString, " Get the data array selection tables used to configure which data\n arrays are loaded by the reader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataArraySelection *GetColumnSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLPTableReader" );
    /* Closing for GetColumnSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkXMLPDataObjectReaderCppCommand(static_cast<vtkXMLPDataObjectReader *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
