#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageCanvasSource2D_TclCreate(Tcl_Interp *interp);
int vtkImageEllipsoidSource_TclCreate(Tcl_Interp *interp);
int vtkImageGaussianSource_TclCreate(Tcl_Interp *interp);
int vtkImageGridSource_TclCreate(Tcl_Interp *interp);
int vtkImageMandelbrotSource_TclCreate(Tcl_Interp *interp);
int vtkImageNoiseSource_TclCreate(Tcl_Interp *interp);
int vtkImageSinusoidSource_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkimagingsourcestcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkimagingsourcestcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkimagingsourcestcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkimagingsourcestcl_Init(interp);
}


int VTK_EXPORT Vtkimagingsourcestcl_Init(Tcl_Interp *interp)
{

  vtkImageCanvasSource2D_TclCreate(interp);
  vtkImageEllipsoidSource_TclCreate(interp);
  vtkImageGaussianSource_TclCreate(interp);
  vtkImageGridSource_TclCreate(interp);
  vtkImageMandelbrotSource_TclCreate(interp);
  vtkImageNoiseSource_TclCreate(interp);
  vtkImageSinusoidSource_TclCreate(interp);
  char pkgName[]="vtkImagingSourcesTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
