#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageStencil_TclCreate(Tcl_Interp *interp);
int vtkImageStencilToImage_TclCreate(Tcl_Interp *interp);
int vtkImageToImageStencil_TclCreate(Tcl_Interp *interp);
int vtkImplicitFunctionToImageStencil_TclCreate(Tcl_Interp *interp);
int vtkLassoStencilSource_TclCreate(Tcl_Interp *interp);
int vtkPolyDataToImageStencil_TclCreate(Tcl_Interp *interp);
int vtkROIStencilSource_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkimagingstenciltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkimagingstenciltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkimagingstenciltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkimagingstenciltcl_Init(interp);
}


int VTK_EXPORT Vtkimagingstenciltcl_Init(Tcl_Interp *interp)
{

  vtkImageStencil_TclCreate(interp);
  vtkImageStencilToImage_TclCreate(interp);
  vtkImageToImageStencil_TclCreate(interp);
  vtkImplicitFunctionToImageStencil_TclCreate(interp);
  vtkLassoStencilSource_TclCreate(interp);
  vtkPolyDataToImageStencil_TclCreate(interp);
  vtkROIStencilSource_TclCreate(interp);
  char pkgName[]="vtkImagingStencilTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
