// tcl wrapper for vtkIncrementalForceLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIncrementalForceLayout.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkIncrementalForceLayoutNewCommand()
{
  vtkIncrementalForceLayout *temp = vtkIncrementalForceLayout::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkIncrementalForceLayoutCppCommand(vtkIncrementalForceLayout *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkIncrementalForceLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkIncrementalForceLayoutCppCommand(static_cast<vtkIncrementalForceLayout *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkIncrementalForceLayout_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkIncrementalForceLayout"),vtkIncrementalForceLayoutNewCommand,vtkIncrementalForceLayoutCommand);
  return 0;
}

int VTKTCL_EXPORT vtkIncrementalForceLayoutCppCommand(vtkIncrementalForceLayout *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkIncrementalForceLayout",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkIncrementalForceLayout  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalForceLayout");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkIncrementalForceLayout  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalForceLayout");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkIncrementalForceLayout  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalForceLayout");
    return TCL_OK;
  }
  if ((!strcmp("SetGraph",argv[1]))&&(argc == 3))
  {
    vtkGraph  *temp0;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
  {
    op->SetGraph(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGraph",argv[1]))&&(argc == 2))
  {
    vtkGraph  *temp20;
    temp20 = (op)->GetGraph();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraph");
    return TCL_OK;
  }
  if ((!strcmp("SetFixed",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetFixed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFixed",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetFixed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAlpha",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetAlpha(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAlpha",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetAlpha();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTheta",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTheta(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTheta",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetTheta();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCharge",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetCharge(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCharge",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetCharge();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetStrength",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetStrength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStrength",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetStrength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDistance",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDistance",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetGravity",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetGravity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGravity",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetGravity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetFriction",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetFriction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFriction",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetFriction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UpdatePositions",argv[1]))&&(argc == 2))
  {
    op->UpdatePositions();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkIncrementalForceLayoutCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkIncrementalForceLayout:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetGraph\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGraph\n",nullptr);
    Tcl_AppendResult(interp,"  SetFixed\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFixed\n",nullptr);
    Tcl_AppendResult(interp,"  SetAlpha\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAlpha\n",nullptr);
    Tcl_AppendResult(interp,"  SetTheta\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTheta\n",nullptr);
    Tcl_AppendResult(interp,"  SetCharge\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCharge\n",nullptr);
    Tcl_AppendResult(interp,"  SetStrength\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetStrength\n",nullptr);
    Tcl_AppendResult(interp,"  SetDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetGravity\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGravity\n",nullptr);
    Tcl_AppendResult(interp,"  SetFriction\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFriction\n",nullptr);
    Tcl_AppendResult(interp,"  UpdatePositions\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetGraph" );
    Tcl_DStringAppendElement ( &dString, "GetGraph" );
    Tcl_DStringAppendElement ( &dString, "SetFixed" );
    Tcl_DStringAppendElement ( &dString, "GetFixed" );
    Tcl_DStringAppendElement ( &dString, "SetAlpha" );
    Tcl_DStringAppendElement ( &dString, "GetAlpha" );
    Tcl_DStringAppendElement ( &dString, "SetTheta" );
    Tcl_DStringAppendElement ( &dString, "GetTheta" );
    Tcl_DStringAppendElement ( &dString, "SetCharge" );
    Tcl_DStringAppendElement ( &dString, "GetCharge" );
    Tcl_DStringAppendElement ( &dString, "SetStrength" );
    Tcl_DStringAppendElement ( &dString, "GetStrength" );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    Tcl_DStringAppendElement ( &dString, "SetGravity" );
    Tcl_DStringAppendElement ( &dString, "GetGravity" );
    Tcl_DStringAppendElement ( &dString, "SetFriction" );
    Tcl_DStringAppendElement ( &dString, "GetFriction" );
    Tcl_DStringAppendElement ( &dString, "UpdatePositions" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIncrementalForceLayout *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIncrementalForceLayout *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGraph */
    if ( strcmp ( argv[2], "SetGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraph */
    Tcl_DStringAppendElement ( &dString, " Set the graph to be positioned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraph(vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGraph */
    if ( strcmp ( argv[2], "GetGraph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraph */
    Tcl_DStringAppendElement ( &dString, " Set the graph to be positioned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkGraph *GetGraph();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetGraph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFixed */
    if ( strcmp ( argv[2], "SetFixed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixed */
    Tcl_DStringAppendElement ( &dString, " Set the id of the vertex that will not move during the simulation.\n Set to -1 to allow all the vertices to move.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFixed(vtkIdType fixed);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetFixed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFixed */
    if ( strcmp ( argv[2], "GetFixed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixed */
    Tcl_DStringAppendElement ( &dString, " Set the id of the vertex that will not move during the simulation.\n Set to -1 to allow all the vertices to move.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetFixed();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetFixed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAlpha */
    if ( strcmp ( argv[2], "SetAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlpha */
    Tcl_DStringAppendElement ( &dString, " Set the level of activity in the simulation. Default is 0.1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAlpha(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAlpha */
    if ( strcmp ( argv[2], "GetAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlpha */
    Tcl_DStringAppendElement ( &dString, " Set the level of activity in the simulation. Default is 0.1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetAlpha();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTheta */
    if ( strcmp ( argv[2], "SetTheta" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTheta" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTheta */
    Tcl_DStringAppendElement ( &dString, " Set the Barnes-Hut threshold for the simulation. Higher values\n will speed the simulation at the expense of some accuracy.\n Default is 0.8.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTheta(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetTheta */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTheta */
    if ( strcmp ( argv[2], "GetTheta" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTheta" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTheta */
    Tcl_DStringAppendElement ( &dString, " Set the Barnes-Hut threshold for the simulation. Higher values\n will speed the simulation at the expense of some accuracy.\n Default is 0.8.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetTheta();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetTheta */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCharge */
    if ( strcmp ( argv[2], "SetCharge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCharge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCharge */
    Tcl_DStringAppendElement ( &dString, " Set the charge of each vertex. Higher negative values will repel vertices\n from each other more strongly. Default is -30.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCharge(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetCharge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCharge */
    if ( strcmp ( argv[2], "GetCharge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCharge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCharge */
    Tcl_DStringAppendElement ( &dString, " Set the charge of each vertex. Higher negative values will repel vertices\n from each other more strongly. Default is -30.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetCharge();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetCharge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStrength */
    if ( strcmp ( argv[2], "SetStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStrength */
    Tcl_DStringAppendElement ( &dString, " Set the rigitity of links in the simulation. Default is 2.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStrength(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStrength */
    if ( strcmp ( argv[2], "GetStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStrength */
    Tcl_DStringAppendElement ( &dString, " Set the rigitity of links in the simulation. Default is 2.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetStrength();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDistance */
    if ( strcmp ( argv[2], "SetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistance */
    Tcl_DStringAppendElement ( &dString, " Set the resting distance of each link in scene units, which is equal to\n pixels when there is no scene scaling. Default is 20.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDistance(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDistance */
    if ( strcmp ( argv[2], "GetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistance */
    Tcl_DStringAppendElement ( &dString, " Set the resting distance of each link in scene units, which is equal to\n pixels when there is no scene scaling. Default is 20.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGravity */
    if ( strcmp ( argv[2], "SetGravity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGravity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGravity */
    Tcl_DStringAppendElement ( &dString, " Set the amount of gravitational pull toward the gravity point.\n Default is 0.01.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGravity(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetGravity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGravity */
    if ( strcmp ( argv[2], "GetGravity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGravity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGravity */
    Tcl_DStringAppendElement ( &dString, " Set the amount of gravitational pull toward the gravity point.\n Default is 0.01.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetGravity();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetGravity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFriction */
    if ( strcmp ( argv[2], "SetFriction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFriction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFriction */
    Tcl_DStringAppendElement ( &dString, " Set the multiplier for scaling down velocity in the simulation, where values closer to 1\n are more frictionless. Default is 0.95.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFriction(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for SetFriction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFriction */
    if ( strcmp ( argv[2], "GetFriction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFriction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFriction */
    Tcl_DStringAppendElement ( &dString, " Set the multiplier for scaling down velocity in the simulation, where values closer to 1\n are more frictionless. Default is 0.95.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetFriction();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for GetFriction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UpdatePositions */
    if ( strcmp ( argv[2], "UpdatePositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdatePositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdatePositions */
    Tcl_DStringAppendElement ( &dString, " Perform one iteration of the force-directed layout.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdatePositions();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalForceLayout" );
    /* Closing for UpdatePositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
