// tcl wrapper for vtkInteractorStyleSwitch object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleSwitch.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkInteractorStyleSwitchNewCommand()
{
  vtkInteractorStyleSwitch *temp = vtkInteractorStyleSwitch::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleSwitchBaseCppCommand(vtkInteractorStyleSwitchBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleSwitchCppCommand(vtkInteractorStyleSwitch *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkInteractorStyleSwitchCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkInteractorStyleSwitchCppCommand(static_cast<vtkInteractorStyleSwitch *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleSwitch_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleSwitch"),vtkInteractorStyleSwitchNewCommand,vtkInteractorStyleSwitchCommand);
  return 0;
}

int VTKTCL_EXPORT vtkInteractorStyleSwitchCppCommand(vtkInteractorStyleSwitch *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkInteractorStyleSwitch",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkInteractorStyleSwitchBaseCppCommand(static_cast<vtkInteractorStyleSwitchBase *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyleSwitchBase"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkInteractorStyleSwitch  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleSwitch");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkInteractorStyleSwitch  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleSwitch");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkInteractorStyleSwitch  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleSwitch");
    return TCL_OK;
  }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
  {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
  {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetAutoAdjustCameraClippingRange",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAutoAdjustCameraClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCurrentStyle",argv[1]))&&(argc == 2))
  {
    vtkInteractorStyle  *temp20;
    temp20 = (op)->GetCurrentStyle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyle");
    return TCL_OK;
  }
  if ((!strcmp("SetCurrentStyleToJoystickActor",argv[1]))&&(argc == 2))
  {
    op->SetCurrentStyleToJoystickActor();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCurrentStyleToJoystickCamera",argv[1]))&&(argc == 2))
  {
    op->SetCurrentStyleToJoystickCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCurrentStyleToTrackballActor",argv[1]))&&(argc == 2))
  {
    op->SetCurrentStyleToTrackballActor();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCurrentStyleToTrackballCamera",argv[1]))&&(argc == 2))
  {
    op->SetCurrentStyleToTrackballCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCurrentStyleToMultiTouchCamera",argv[1]))&&(argc == 2))
  {
    op->SetCurrentStyleToMultiTouchCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
  {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDefaultRenderer",argv[1]))&&(argc == 3))
  {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
  {
    op->SetDefaultRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetCurrentRenderer",argv[1]))&&(argc == 3))
  {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
  {
    op->SetCurrentRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleSwitchCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkInteractorStyleSwitchBaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleSwitch:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetAutoAdjustCameraClippingRange\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCurrentStyle\n",nullptr);
    Tcl_AppendResult(interp,"  SetCurrentStyleToJoystickActor\n",nullptr);
    Tcl_AppendResult(interp,"  SetCurrentStyleToJoystickCamera\n",nullptr);
    Tcl_AppendResult(interp,"  SetCurrentStyleToTrackballActor\n",nullptr);
    Tcl_AppendResult(interp,"  SetCurrentStyleToTrackballCamera\n",nullptr);
    Tcl_AppendResult(interp,"  SetCurrentStyleToMultiTouchCamera\n",nullptr);
    Tcl_AppendResult(interp,"  OnChar\n",nullptr);
    Tcl_AppendResult(interp,"  SetDefaultRenderer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetCurrentRenderer\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleSwitchBaseCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustCameraClippingRange" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentStyle" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToJoystickActor" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToJoystickCamera" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToTrackballActor" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToTrackballCamera" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToMultiTouchCamera" );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentRenderer" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleSwitchBaseCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleSwitch *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleSwitch *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, " The sub styles need the interactor too.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteractor(vtkRenderWindowInteractor *iren) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAutoAdjustCameraClippingRange */
    if ( strcmp ( argv[2], "SetAutoAdjustCameraClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustCameraClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustCameraClippingRange */
    Tcl_DStringAppendElement ( &dString, " We must override this method in order to pass the setting down to\n the underlying styles\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustCameraClippingRange(int value) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetAutoAdjustCameraClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCurrentStyle */
    if ( strcmp ( argv[2], "GetCurrentStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentStyle */
    Tcl_DStringAppendElement ( &dString, " Set/Get current style\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInteractorStyle *GetCurrentStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for GetCurrentStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCurrentStyleToJoystickActor */
    if ( strcmp ( argv[2], "SetCurrentStyleToJoystickActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToJoystickActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentStyleToJoystickActor */
    Tcl_DStringAppendElement ( &dString, " Set/Get current style\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentStyleToJoystickActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetCurrentStyleToJoystickActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCurrentStyleToJoystickCamera */
    if ( strcmp ( argv[2], "SetCurrentStyleToJoystickCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToJoystickCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentStyleToJoystickCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get current style\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentStyleToJoystickCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetCurrentStyleToJoystickCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCurrentStyleToTrackballActor */
    if ( strcmp ( argv[2], "SetCurrentStyleToTrackballActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToTrackballActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentStyleToTrackballActor */
    Tcl_DStringAppendElement ( &dString, " Set/Get current style\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentStyleToTrackballActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetCurrentStyleToTrackballActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCurrentStyleToTrackballCamera */
    if ( strcmp ( argv[2], "SetCurrentStyleToTrackballCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToTrackballCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentStyleToTrackballCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get current style\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentStyleToTrackballCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetCurrentStyleToTrackballCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCurrentStyleToMultiTouchCamera */
    if ( strcmp ( argv[2], "SetCurrentStyleToMultiTouchCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentStyleToMultiTouchCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentStyleToMultiTouchCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get current style\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentStyleToMultiTouchCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetCurrentStyleToMultiTouchCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OnChar */
    if ( strcmp ( argv[2], "OnChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnChar */
    Tcl_DStringAppendElement ( &dString, " Only care about the char event, which is used to switch between\n different styles.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnChar() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for OnChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDefaultRenderer */
    if ( strcmp ( argv[2], "SetDefaultRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultRenderer */
    Tcl_DStringAppendElement ( &dString, " Overridden from vtkInteractorObserver because the interactor styles\n used by this class must also be updated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultRenderer(vtkRenderer *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetDefaultRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCurrentRenderer */
    if ( strcmp ( argv[2], "SetCurrentRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentRenderer */
    Tcl_DStringAppendElement ( &dString, " Overridden from vtkInteractorObserver because the interactor styles\n used by this class must also be updated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentRenderer(vtkRenderer *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleSwitch" );
    /* Closing for SetCurrentRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkInteractorStyleSwitchBaseCppCommand(static_cast<vtkInteractorStyleSwitchBase *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
