// tcl wrapper for vtkMeasurementCubeHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMeasurementCubeHandleRepresentation3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkMeasurementCubeHandleRepresentation3DNewCommand()
{
  vtkMeasurementCubeHandleRepresentation3D *temp = vtkMeasurementCubeHandleRepresentation3D::New();
  return static_cast<ClientData>(temp);
}

int vtkHandleRepresentationCppCommand(vtkHandleRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMeasurementCubeHandleRepresentation3DCppCommand(vtkMeasurementCubeHandleRepresentation3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkMeasurementCubeHandleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkMeasurementCubeHandleRepresentation3DCppCommand(static_cast<vtkMeasurementCubeHandleRepresentation3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMeasurementCubeHandleRepresentation3D_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkMeasurementCubeHandleRepresentation3D"),vtkMeasurementCubeHandleRepresentation3DNewCommand,vtkMeasurementCubeHandleRepresentation3DCommand);
  return 0;
}

int VTKTCL_EXPORT vtkMeasurementCubeHandleRepresentation3DCppCommand(vtkMeasurementCubeHandleRepresentation3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkMeasurementCubeHandleRepresentation3D",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkHandleRepresentationCppCommand(static_cast<vtkHandleRepresentation *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkHandleRepresentation"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkMeasurementCubeHandleRepresentation3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMeasurementCubeHandleRepresentation3D");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkMeasurementCubeHandleRepresentation3D  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMeasurementCubeHandleRepresentation3D");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkMeasurementCubeHandleRepresentation3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMeasurementCubeHandleRepresentation3D");
    return TCL_OK;
  }
  if ((!strcmp("SetWorldPosition",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetWorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDisplayPosition",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetDisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHandle",argv[1]))&&(argc == 2))
  {
    vtkPolyData  *temp20;
    temp20 = (op)->GetHandle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
  }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSelectedProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetSelectedProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("GetSelectedProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
  {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
  }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
  {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
  {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
  {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
  {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
  {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
  {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
  {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSelectedLabelVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSelectedLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectedLabelVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSelectedLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SelectedLabelVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->SelectedLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SelectedLabelVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->SelectedLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLabelTextInput",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetLabelTextInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelTextInput",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetLabelTextInput();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetLabelText",argv[1]))&&(argc == 2))
  {
    vtkBillboardTextActor3D  *temp20;
    temp20 = (op)->GetLabelText();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBillboardTextActor3D");
    return TCL_OK;
  }
  if ((!strcmp("SetHandleVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetHandleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHandleVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetHandleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("HandleVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->HandleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("HandleVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->HandleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Highlight",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->Highlight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSmoothMotion",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSmoothMotion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSmoothMotion",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSmoothMotion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SmoothMotionOn",argv[1]))&&(argc == 2))
  {
    op->SmoothMotionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SmoothMotionOff",argv[1]))&&(argc == 2))
  {
    op->SmoothMotionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSideLength",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSideLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSideLength",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetSideLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAdaptiveScaling",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAdaptiveScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAdaptiveScaling",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAdaptiveScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AdaptiveScalingOn",argv[1]))&&(argc == 2))
  {
    op->AdaptiveScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AdaptiveScalingOff",argv[1]))&&(argc == 2))
  {
    op->AdaptiveScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRescaleFactor",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetRescaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRescaleFactorMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRescaleFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRescaleFactorMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRescaleFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRescaleFactor",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRescaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMinRelativeCubeScreenArea",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMinRelativeCubeScreenArea(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinRelativeCubeScreenArea",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMinRelativeCubeScreenArea();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaxRelativeCubeScreenArea",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMaxRelativeCubeScreenArea(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaxRelativeCubeScreenArea",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMaxRelativeCubeScreenArea();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLengthUnit",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetLengthUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLengthUnit",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetLengthUnit();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkMeasurementCubeHandleRepresentation3DCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMeasurementCubeHandleRepresentation3D:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetWorldPosition\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetDisplayPosition\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetHandle\n",nullptr);
    Tcl_AppendResult(interp,"  SetProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectedProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetProperty\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectedProperty\n",nullptr);
    Tcl_AppendResult(interp,"  GetTransform\n",nullptr);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",nullptr);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectedLabelVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectedLabelVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  SelectedLabelVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  SelectedLabelVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelTextInput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelTextInput\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelText\n",nullptr);
    Tcl_AppendResult(interp,"  SetHandleVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHandleVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  HandleVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  HandleVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  Highlight\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetSmoothMotion\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSmoothMotion\n",nullptr);
    Tcl_AppendResult(interp,"  SmoothMotionOn\n",nullptr);
    Tcl_AppendResult(interp,"  SmoothMotionOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSideLength\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSideLength\n",nullptr);
    Tcl_AppendResult(interp,"  SetAdaptiveScaling\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAdaptiveScaling\n",nullptr);
    Tcl_AppendResult(interp,"  AdaptiveScalingOn\n",nullptr);
    Tcl_AppendResult(interp,"  AdaptiveScalingOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetRescaleFactor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRescaleFactorMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRescaleFactorMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRescaleFactor\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinRelativeCubeScreenArea\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinRelativeCubeScreenArea\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaxRelativeCubeScreenArea\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxRelativeCubeScreenArea\n",nullptr);
    Tcl_AppendResult(interp,"  SetLengthUnit\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLengthUnit\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetWorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetHandle" );
    Tcl_DStringAppendElement ( &dString, "SetProperty" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedProperty" );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "SelectedLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "SelectedLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextInput" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextInput" );
    Tcl_DStringAppendElement ( &dString, "GetLabelText" );
    Tcl_DStringAppendElement ( &dString, "SetHandleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetHandleVisibility" );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    Tcl_DStringAppendElement ( &dString, "SetSmoothMotion" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothMotion" );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOn" );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOff" );
    Tcl_DStringAppendElement ( &dString, "SetSideLength" );
    Tcl_DStringAppendElement ( &dString, "GetSideLength" );
    Tcl_DStringAppendElement ( &dString, "SetAdaptiveScaling" );
    Tcl_DStringAppendElement ( &dString, "GetAdaptiveScaling" );
    Tcl_DStringAppendElement ( &dString, "AdaptiveScalingOn" );
    Tcl_DStringAppendElement ( &dString, "AdaptiveScalingOff" );
    Tcl_DStringAppendElement ( &dString, "SetRescaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetRescaleFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRescaleFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRescaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetMinRelativeCubeScreenArea" );
    Tcl_DStringAppendElement ( &dString, "GetMinRelativeCubeScreenArea" );
    Tcl_DStringAppendElement ( &dString, "SetMaxRelativeCubeScreenArea" );
    Tcl_DStringAppendElement ( &dString, "GetMaxRelativeCubeScreenArea" );
    Tcl_DStringAppendElement ( &dString, "SetLengthUnit" );
    Tcl_DStringAppendElement ( &dString, "GetLengthUnit" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMeasurementCubeHandleRepresentation3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMeasurementCubeHandleRepresentation3D *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWorldPosition */
    if ( strcmp ( argv[2], "SetWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWorldPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the point in world and display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWorldPosition(double p\\[3\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDisplayPosition */
    if ( strcmp ( argv[2], "SetDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the point in world and display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayPosition(double p\\[3\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHandle */
    if ( strcmp ( argv[2], "GetHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandle */
    Tcl_DStringAppendElement ( &dString, " Get the handle polydata.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetHandle();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetProperty */
    if ( strcmp ( argv[2], "SetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectedProperty */
    if ( strcmp ( argv[2], "SetSelectedProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetSelectedProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProperty */
    if ( strcmp ( argv[2], "GetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProperty *GetProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectedProperty */
    if ( strcmp ( argv[2], "GetSelectedProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProperty *GetSelectedProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetSelectedProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Get the transform used to transform the generic handle polydata before\n placing it in the render window\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractTransform *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildRepresentation() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "void StartWidgetInteraction(double eventPos\\[2\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "void WidgetInteraction(double eventPos\\[2\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "int ComputeInteractionState(int X, int Y, int modify=0) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkProp *prop) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetActors(vtkPropCollection *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *viewport) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderTranslucentPolygonalGeometry(vtkViewport *viewport) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasTranslucentPolygonalGeometry() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelVisibility */
    if ( strcmp ( argv[2], "SetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelVisibility(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelVisibility */
    if ( strcmp ( argv[2], "GetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LabelVisibilityOn */
    if ( strcmp ( argv[2], "LabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for LabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LabelVisibilityOff */
    if ( strcmp ( argv[2], "LabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for LabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectedLabelVisibility */
    if ( strcmp ( argv[2], "SetSelectedLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectedLabelVisibility(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetSelectedLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectedLabelVisibility */
    if ( strcmp ( argv[2], "GetSelectedLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSelectedLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetSelectedLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SelectedLabelVisibilityOn */
    if ( strcmp ( argv[2], "SelectedLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectedLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectedLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectedLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SelectedLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SelectedLabelVisibilityOff */
    if ( strcmp ( argv[2], "SelectedLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectedLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectedLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectedLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SelectedLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelTextInput */
    if ( strcmp ( argv[2], "SetLabelTextInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextInput */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextInput(const char *label);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetLabelTextInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelTextInput */
    if ( strcmp ( argv[2], "GetLabelTextInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextInput */
    Tcl_DStringAppendElement ( &dString, " A label may be associated with the cube. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetLabelTextInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetLabelTextInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelText */
    if ( strcmp ( argv[2], "GetLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelText */
    Tcl_DStringAppendElement ( &dString, " Get the label text actor\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkBillboardTextActor3D *GetLabelText();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetHandleVisibility */
    if ( strcmp ( argv[2], "SetHandleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleVisibility */
    Tcl_DStringAppendElement ( &dString, " Toggle the visibility of the handle on and off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHandleVisibility(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetHandleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHandleVisibility */
    if ( strcmp ( argv[2], "GetHandleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleVisibility */
    Tcl_DStringAppendElement ( &dString, " Toggle the visibility of the handle on and off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetHandleVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetHandleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HandleVisibilityOn */
    if ( strcmp ( argv[2], "HandleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Toggle the visibility of the handle on and off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HandleVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for HandleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HandleVisibilityOff */
    if ( strcmp ( argv[2], "HandleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Toggle the visibility of the handle on and off\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HandleVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for HandleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Highlight */
    if ( strcmp ( argv[2], "Highlight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Highlight */
    Tcl_DStringAppendElement ( &dString, " Toggle highlighting (used when the cube is selected).\n" );
    Tcl_DStringAppendElement ( &dString, "void Highlight(int highlight) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for Highlight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSmoothMotion */
    if ( strcmp ( argv[2], "SetSmoothMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmoothMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmoothMotion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells. In such cases, inherent restrictions on\n handle placement might conflict with a request fo ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSmoothMotion(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetSmoothMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSmoothMotion */
    if ( strcmp ( argv[2], "GetSmoothMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothMotion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells. In such cases, inherent restrictions on\n handle placement might conflict with a request fo ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSmoothMotion();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetSmoothMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SmoothMotionOn */
    if ( strcmp ( argv[2], "SmoothMotionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SmoothMotionOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells. In such cases, inherent restrictions on\n handle placement might conflict with a request fo ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SmoothMotionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SmoothMotionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SmoothMotionOff */
    if ( strcmp ( argv[2], "SmoothMotionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SmoothMotionOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells. In such cases, inherent restrictions on\n handle placement might conflict with a request fo ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SmoothMotionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SmoothMotionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSideLength */
    if ( strcmp ( argv[2], "SetSideLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSideLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSideLength */
    Tcl_DStringAppendElement ( &dString, " Set the length of a side of the cube (default is 1).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSideLength(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetSideLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSideLength */
    if ( strcmp ( argv[2], "GetSideLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideLength */
    Tcl_DStringAppendElement ( &dString, " Set the length of a side of the cube (default is 1).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetSideLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetSideLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAdaptiveScaling */
    if ( strcmp ( argv[2], "SetAdaptiveScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdaptiveScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdaptiveScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off adaptive scaling for the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAdaptiveScaling(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetAdaptiveScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAdaptiveScaling */
    if ( strcmp ( argv[2], "GetAdaptiveScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdaptiveScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdaptiveScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off adaptive scaling for the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAdaptiveScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetAdaptiveScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AdaptiveScalingOn */
    if ( strcmp ( argv[2], "AdaptiveScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdaptiveScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdaptiveScalingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off adaptive scaling for the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AdaptiveScalingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for AdaptiveScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AdaptiveScalingOff */
    if ( strcmp ( argv[2], "AdaptiveScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdaptiveScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdaptiveScalingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off adaptive scaling for the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AdaptiveScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for AdaptiveScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRescaleFactor */
    if ( strcmp ( argv[2], "SetRescaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRescaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRescaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rescaling increment for the cube. This value is applied to\n each dimension, so volume scaling = std::pow(RescaleFactor, 3).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRescaleFactor(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetRescaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRescaleFactorMinValue */
    if ( strcmp ( argv[2], "GetRescaleFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRescaleFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRescaleFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rescaling increment for the cube. This value is applied to\n each dimension, so volume scaling = std::pow(RescaleFactor, 3).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRescaleFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetRescaleFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRescaleFactorMaxValue */
    if ( strcmp ( argv[2], "GetRescaleFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRescaleFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRescaleFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rescaling increment for the cube. This value is applied to\n each dimension, so volume scaling = std::pow(RescaleFactor, 3).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRescaleFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetRescaleFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRescaleFactor */
    if ( strcmp ( argv[2], "GetRescaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRescaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRescaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rescaling increment for the cube. This value is applied to\n each dimension, so volume scaling = std::pow(RescaleFactor, 3).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRescaleFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetRescaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinRelativeCubeScreenArea */
    if ( strcmp ( argv[2], "SetMinRelativeCubeScreenArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinRelativeCubeScreenArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinRelativeCubeScreenArea */
    Tcl_DStringAppendElement ( &dString, " Set the min/max cube representational area relative to the render window\n area. If adaptive scaling is on and the cube's image is outside of these\n bounds, the cube is adaptively scaled. The max and min relative cube sizes\n are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than\n <RescaleFactor> greater than MinRelativeCubeScreenArea.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinRelativeCubeScreenArea(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetMinRelativeCubeScreenArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinRelativeCubeScreenArea */
    if ( strcmp ( argv[2], "GetMinRelativeCubeScreenArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinRelativeCubeScreenArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinRelativeCubeScreenArea */
    Tcl_DStringAppendElement ( &dString, " Set the min/max cube representational area relative to the render window\n area. If adaptive scaling is on and the cube's image is outside of these\n bounds, the cube is adaptively scaled. The max and min relative cube sizes\n are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than\n <RescaleFactor> greater than MinRelativeCubeScreenArea.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMinRelativeCubeScreenArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetMinRelativeCubeScreenArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaxRelativeCubeScreenArea */
    if ( strcmp ( argv[2], "SetMaxRelativeCubeScreenArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxRelativeCubeScreenArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxRelativeCubeScreenArea */
    Tcl_DStringAppendElement ( &dString, " Set the min/max cube representational area relative to the render window\n area. If adaptive scaling is on and the cube's image is outside of these\n bounds, the cube is adaptively scaled. The max and min relative cube sizes\n are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than\n <RescaleFactor> greater than MinRelativeCubeScreenArea.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxRelativeCubeScreenArea(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetMaxRelativeCubeScreenArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxRelativeCubeScreenArea */
    if ( strcmp ( argv[2], "GetMaxRelativeCubeScreenArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxRelativeCubeScreenArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxRelativeCubeScreenArea */
    Tcl_DStringAppendElement ( &dString, " Set the min/max cube representational area relative to the render window\n area. If adaptive scaling is on and the cube's image is outside of these\n bounds, the cube is adaptively scaled. The max and min relative cube sizes\n are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than\n <RescaleFactor> greater than MinRelativeCubeScreenArea.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMaxRelativeCubeScreenArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetMaxRelativeCubeScreenArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLengthUnit */
    if ( strcmp ( argv[2], "SetLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Set the label for the unit of length of a side of the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLengthUnit(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for SetLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLengthUnit */
    if ( strcmp ( argv[2], "GetLengthUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLengthUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLengthUnit */
    Tcl_DStringAppendElement ( &dString, " Set the label for the unit of length of a side of the cube.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetLengthUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeasurementCubeHandleRepresentation3D" );
    /* Closing for GetLengthUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkHandleRepresentationCppCommand(static_cast<vtkHandleRepresentation *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
