// tcl wrapper for vtkScalarBarActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarBarActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkScalarBarActorNewCommand()
{
  vtkScalarBarActor *temp = vtkScalarBarActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkScalarBarActorCppCommand(vtkScalarBarActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkScalarBarActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkScalarBarActorCppCommand(static_cast<vtkScalarBarActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkScalarBarActor_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkScalarBarActor"),vtkScalarBarActorNewCommand,vtkScalarBarActorCommand);
  return 0;
}

int VTKTCL_EXPORT vtkScalarBarActorCppCommand(vtkScalarBarActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkScalarBarActor",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkScalarBarActor  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarActor");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkScalarBarActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarActor");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkScalarBarActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarActor");
    return TCL_OK;
  }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
  {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
  {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
  {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
  }
  if ((!strcmp("SetUseOpacity",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetUseOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseOpacity",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseOpacity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseOpacityOn",argv[1]))&&(argc == 2))
  {
    op->UseOpacityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseOpacityOff",argv[1]))&&(argc == 2))
  {
    op->UseOpacityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumNumberOfColors",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumNumberOfColors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumNumberOfColorsMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfColorsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfColorsMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfColorsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumNumberOfColors",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfColors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfLabelsMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfLabelsMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOrientationMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOrientationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOrientationMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOrientationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOrientationToHorizontal",argv[1]))&&(argc == 2))
  {
    op->SetOrientationToHorizontal();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOrientationToVertical",argv[1]))&&(argc == 2))
  {
    op->SetOrientationToVertical();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
  {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
  {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
  {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
  {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
  {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
  {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetAnnotationTextProperty",argv[1]))&&(argc == 3))
  {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
  {
    op->SetAnnotationTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAnnotationTextProperty",argv[1]))&&(argc == 2))
  {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAnnotationTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetComponentTitle",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetComponentTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComponentTitle",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetComponentTitle();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
  {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
  {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetTextureGridWidth",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTextureGridWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTextureGridWidth",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTextureGridWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTextureActor",argv[1]))&&(argc == 2))
  {
    vtkTexturedActor2D  *temp20;
    temp20 = (op)->GetTextureActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexturedActor2D");
    return TCL_OK;
  }
  if ((!strcmp("SetTextPosition",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTextPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTextPositionMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTextPositionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTextPositionMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTextPositionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTextPosition",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTextPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTextPositionToPrecedeScalarBar",argv[1]))&&(argc == 2))
  {
    op->SetTextPositionToPrecedeScalarBar();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTextPositionToSucceedScalarBar",argv[1]))&&(argc == 2))
  {
    op->SetTextPositionToSucceedScalarBar();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumWidthInPixels",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumWidthInPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumWidthInPixels",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumWidthInPixels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumHeightInPixels",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumHeightInPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumHeightInPixels",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaximumHeightInPixels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAnnotationLeaderPadding",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetAnnotationLeaderPadding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAnnotationLeaderPadding",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetAnnotationLeaderPadding();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawAnnotations",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawAnnotations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawAnnotations",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawAnnotations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawAnnotationsOn",argv[1]))&&(argc == 2))
  {
    op->DrawAnnotationsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawAnnotationsOff",argv[1]))&&(argc == 2))
  {
    op->DrawAnnotationsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawNanAnnotation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawNanAnnotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawNanAnnotation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawNanAnnotation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawNanAnnotationOn",argv[1]))&&(argc == 2))
  {
    op->DrawNanAnnotationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawNanAnnotationOff",argv[1]))&&(argc == 2))
  {
    op->DrawNanAnnotationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawBelowRangeSwatch",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDrawBelowRangeSwatch(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawBelowRangeSwatch",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDrawBelowRangeSwatch();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawBelowRangeSwatchOn",argv[1]))&&(argc == 2))
  {
    op->DrawBelowRangeSwatchOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawBelowRangeSwatchOff",argv[1]))&&(argc == 2))
  {
    op->DrawBelowRangeSwatchOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetBelowRangeAnnotation",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetBelowRangeAnnotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBelowRangeAnnotation",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetBelowRangeAnnotation();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetDrawAboveRangeSwatch",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDrawAboveRangeSwatch(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawAboveRangeSwatch",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDrawAboveRangeSwatch();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawAboveRangeSwatchOn",argv[1]))&&(argc == 2))
  {
    op->DrawAboveRangeSwatchOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawAboveRangeSwatchOff",argv[1]))&&(argc == 2))
  {
    op->DrawAboveRangeSwatchOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAboveRangeAnnotation",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetAboveRangeAnnotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAboveRangeAnnotation",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetAboveRangeAnnotation();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetFixedAnnotationLeaderLineColor",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetFixedAnnotationLeaderLineColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFixedAnnotationLeaderLineColor",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetFixedAnnotationLeaderLineColor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("FixedAnnotationLeaderLineColorOn",argv[1]))&&(argc == 2))
  {
    op->FixedAnnotationLeaderLineColorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("FixedAnnotationLeaderLineColorOff",argv[1]))&&(argc == 2))
  {
    op->FixedAnnotationLeaderLineColorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetNanAnnotation",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetNanAnnotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNanAnnotation",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetNanAnnotation();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetAnnotationTextScaling",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAnnotationTextScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAnnotationTextScaling",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAnnotationTextScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AnnotationTextScalingOn",argv[1]))&&(argc == 2))
  {
    op->AnnotationTextScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AnnotationTextScalingOff",argv[1]))&&(argc == 2))
  {
    op->AnnotationTextScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawBackground",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawBackground",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawBackgroundOn",argv[1]))&&(argc == 2))
  {
    op->DrawBackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawBackgroundOff",argv[1]))&&(argc == 2))
  {
    op->DrawBackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawFrame",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawFrame(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawFrame",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawFrame();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawFrameOn",argv[1]))&&(argc == 2))
  {
    op->DrawFrameOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawFrameOff",argv[1]))&&(argc == 2))
  {
    op->DrawFrameOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawColorBar",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawColorBar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawColorBar",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawColorBar();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawColorBarOn",argv[1]))&&(argc == 2))
  {
    op->DrawColorBarOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawColorBarOff",argv[1]))&&(argc == 2))
  {
    op->DrawColorBarOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawTickLabels",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawTickLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawTickLabels",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawTickLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawTickLabelsOn",argv[1]))&&(argc == 2))
  {
    op->DrawTickLabelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawTickLabelsOff",argv[1]))&&(argc == 2))
  {
    op->DrawTickLabelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetBackgroundProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty2D  *temp0;
    error = 0;

    temp0 = (vtkProperty2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty2D"),interp,error));
    if (!error)
  {
    op->SetBackgroundProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBackgroundProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetBackgroundProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
  }
  if ((!strcmp("SetFrameProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty2D  *temp0;
    error = 0;

    temp0 = (vtkProperty2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty2D"),interp,error));
    if (!error)
  {
    op->SetFrameProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFrameProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetFrameProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
  }
  if ((!strcmp("GetTextPad",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTextPad();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTextPad",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTextPad(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVerticalTitleSeparation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetVerticalTitleSeparation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetVerticalTitleSeparation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetVerticalTitleSeparation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBarRatio",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetBarRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetBarRatio",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetBarRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBarRatioMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetBarRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetBarRatioMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetBarRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTitleRatio",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTitleRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTitleRatio",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTitleRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitleRatioMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTitleRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTitleRatioMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTitleRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUnconstrainedFontSize",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUnconstrainedFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUnconstrainedFontSize",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUnconstrainedFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UnconstrainedFontSizeOn",argv[1]))&&(argc == 2))
  {
    op->UnconstrainedFontSizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UnconstrainedFontSizeOff",argv[1]))&&(argc == 2))
  {
    op->UnconstrainedFontSizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkScalarBarActorCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkScalarBarActor:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLookupTable\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseOpacity\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseOpacity\n",nullptr);
    Tcl_AppendResult(interp,"  UseOpacityOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseOpacityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfColors\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfColorsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfColorsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfColors\n",nullptr);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",nullptr);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOrientationMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOrientationMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOrientation\n",nullptr);
    Tcl_AppendResult(interp,"  SetOrientationToHorizontal\n",nullptr);
    Tcl_AppendResult(interp,"  SetOrientationToVertical\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetAnnotationTextProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAnnotationTextProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitle\n",nullptr);
    Tcl_AppendResult(interp,"  SetComponentTitle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComponentTitle\n",nullptr);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetTextureGridWidth\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextureGridWidth\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextureActor\n",nullptr);
    Tcl_AppendResult(interp,"  SetTextPosition\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextPositionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextPositionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextPosition\n",nullptr);
    Tcl_AppendResult(interp,"  SetTextPositionToPrecedeScalarBar\n",nullptr);
    Tcl_AppendResult(interp,"  SetTextPositionToSucceedScalarBar\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumWidthInPixels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumWidthInPixels\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumHeightInPixels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumHeightInPixels\n",nullptr);
    Tcl_AppendResult(interp,"  SetAnnotationLeaderPadding\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAnnotationLeaderPadding\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawAnnotations\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawAnnotations\n",nullptr);
    Tcl_AppendResult(interp,"  DrawAnnotationsOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawAnnotationsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawNanAnnotation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawNanAnnotation\n",nullptr);
    Tcl_AppendResult(interp,"  DrawNanAnnotationOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawNanAnnotationOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawBelowRangeSwatch\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawBelowRangeSwatch\n",nullptr);
    Tcl_AppendResult(interp,"  DrawBelowRangeSwatchOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawBelowRangeSwatchOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetBelowRangeAnnotation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBelowRangeAnnotation\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawAboveRangeSwatch\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawAboveRangeSwatch\n",nullptr);
    Tcl_AppendResult(interp,"  DrawAboveRangeSwatchOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawAboveRangeSwatchOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetAboveRangeAnnotation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAboveRangeAnnotation\n",nullptr);
    Tcl_AppendResult(interp,"  SetFixedAnnotationLeaderLineColor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFixedAnnotationLeaderLineColor\n",nullptr);
    Tcl_AppendResult(interp,"  FixedAnnotationLeaderLineColorOn\n",nullptr);
    Tcl_AppendResult(interp,"  FixedAnnotationLeaderLineColorOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetNanAnnotation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNanAnnotation\n",nullptr);
    Tcl_AppendResult(interp,"  SetAnnotationTextScaling\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAnnotationTextScaling\n",nullptr);
    Tcl_AppendResult(interp,"  AnnotationTextScalingOn\n",nullptr);
    Tcl_AppendResult(interp,"  AnnotationTextScalingOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawBackground\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawBackground\n",nullptr);
    Tcl_AppendResult(interp,"  DrawBackgroundOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawBackgroundOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawFrame\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawFrame\n",nullptr);
    Tcl_AppendResult(interp,"  DrawFrameOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawFrameOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawColorBar\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawColorBar\n",nullptr);
    Tcl_AppendResult(interp,"  DrawColorBarOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawColorBarOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawTickLabels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawTickLabels\n",nullptr);
    Tcl_AppendResult(interp,"  DrawTickLabelsOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawTickLabelsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetBackgroundProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBackgroundProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetFrameProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFrameProperty\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextPad\n",nullptr);
    Tcl_AppendResult(interp,"  SetTextPad\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVerticalTitleSeparation\n",nullptr);
    Tcl_AppendResult(interp,"  SetVerticalTitleSeparation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBarRatio\n",nullptr);
    Tcl_AppendResult(interp,"  SetBarRatio\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBarRatioMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetBarRatioMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleRatio\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitleRatio\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleRatioMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleRatioMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  SetUnconstrainedFontSize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUnconstrainedFontSize\n",nullptr);
    Tcl_AppendResult(interp,"  UnconstrainedFontSizeOn\n",nullptr);
    Tcl_AppendResult(interp,"  UnconstrainedFontSizeOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetUseOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetUseOpacity" );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOn" );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfColors" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColors" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToHorizontal" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToVertical" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetComponentTitle" );
    Tcl_DStringAppendElement ( &dString, "GetComponentTitle" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "SetTextureGridWidth" );
    Tcl_DStringAppendElement ( &dString, "GetTextureGridWidth" );
    Tcl_DStringAppendElement ( &dString, "GetTextureActor" );
    Tcl_DStringAppendElement ( &dString, "SetTextPosition" );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextPosition" );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToPrecedeScalarBar" );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToSucceedScalarBar" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumWidthInPixels" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumWidthInPixels" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumHeightInPixels" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHeightInPixels" );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLeaderPadding" );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLeaderPadding" );
    Tcl_DStringAppendElement ( &dString, "SetDrawAnnotations" );
    Tcl_DStringAppendElement ( &dString, "GetDrawAnnotations" );
    Tcl_DStringAppendElement ( &dString, "DrawAnnotationsOn" );
    Tcl_DStringAppendElement ( &dString, "DrawAnnotationsOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawNanAnnotation" );
    Tcl_DStringAppendElement ( &dString, "GetDrawNanAnnotation" );
    Tcl_DStringAppendElement ( &dString, "DrawNanAnnotationOn" );
    Tcl_DStringAppendElement ( &dString, "DrawNanAnnotationOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawBelowRangeSwatch" );
    Tcl_DStringAppendElement ( &dString, "GetDrawBelowRangeSwatch" );
    Tcl_DStringAppendElement ( &dString, "DrawBelowRangeSwatchOn" );
    Tcl_DStringAppendElement ( &dString, "DrawBelowRangeSwatchOff" );
    Tcl_DStringAppendElement ( &dString, "SetBelowRangeAnnotation" );
    Tcl_DStringAppendElement ( &dString, "GetBelowRangeAnnotation" );
    Tcl_DStringAppendElement ( &dString, "SetDrawAboveRangeSwatch" );
    Tcl_DStringAppendElement ( &dString, "GetDrawAboveRangeSwatch" );
    Tcl_DStringAppendElement ( &dString, "DrawAboveRangeSwatchOn" );
    Tcl_DStringAppendElement ( &dString, "DrawAboveRangeSwatchOff" );
    Tcl_DStringAppendElement ( &dString, "SetAboveRangeAnnotation" );
    Tcl_DStringAppendElement ( &dString, "GetAboveRangeAnnotation" );
    Tcl_DStringAppendElement ( &dString, "SetFixedAnnotationLeaderLineColor" );
    Tcl_DStringAppendElement ( &dString, "GetFixedAnnotationLeaderLineColor" );
    Tcl_DStringAppendElement ( &dString, "FixedAnnotationLeaderLineColorOn" );
    Tcl_DStringAppendElement ( &dString, "FixedAnnotationLeaderLineColorOff" );
    Tcl_DStringAppendElement ( &dString, "SetNanAnnotation" );
    Tcl_DStringAppendElement ( &dString, "GetNanAnnotation" );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationTextScaling" );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationTextScaling" );
    Tcl_DStringAppendElement ( &dString, "AnnotationTextScalingOn" );
    Tcl_DStringAppendElement ( &dString, "AnnotationTextScalingOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawFrame" );
    Tcl_DStringAppendElement ( &dString, "GetDrawFrame" );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOn" );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawColorBar" );
    Tcl_DStringAppendElement ( &dString, "GetDrawColorBar" );
    Tcl_DStringAppendElement ( &dString, "DrawColorBarOn" );
    Tcl_DStringAppendElement ( &dString, "DrawColorBarOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawTickLabels" );
    Tcl_DStringAppendElement ( &dString, "GetDrawTickLabels" );
    Tcl_DStringAppendElement ( &dString, "DrawTickLabelsOn" );
    Tcl_DStringAppendElement ( &dString, "DrawTickLabelsOff" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundProperty" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundProperty" );
    Tcl_DStringAppendElement ( &dString, "SetFrameProperty" );
    Tcl_DStringAppendElement ( &dString, "GetFrameProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextPad" );
    Tcl_DStringAppendElement ( &dString, "SetTextPad" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalTitleSeparation" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalTitleSeparation" );
    Tcl_DStringAppendElement ( &dString, "GetBarRatio" );
    Tcl_DStringAppendElement ( &dString, "SetBarRatio" );
    Tcl_DStringAppendElement ( &dString, "GetBarRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBarRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTitleRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTitleRatio" );
    Tcl_DStringAppendElement ( &dString, "GetTitleRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTitleRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetUnconstrainedFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetUnconstrainedFontSize" );
    Tcl_DStringAppendElement ( &dString, "UnconstrainedFontSizeOn" );
    Tcl_DStringAppendElement ( &dString, "UnconstrainedFontSizeOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkScalarBarActor *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with 64 maximum colors; 5 labels; %%-#6.3g label\n format, no title, and vertical orientation. The initial scalar bar\n size is (0.05 x 0.8) of the viewport size.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkScalarBarActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *viewport) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderTranslucentPolygonalGeometry(vtkViewport *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *viewport) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "int HasTranslucentPolygonalGeometry() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the lookup table to use. The lookup table specifies the number\n of colors to use in the table (if not overridden), the scalar range,\n and any annotated values.\n Annotated values are rendered using vtkTextActor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable(vtkScalarsToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the lookup table to use. The lookup table specifies the number\n of colors to use in the table (if not overridden), the scalar range,\n and any annotated values.\n Annotated values are rendered using vtkTextActor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseOpacity */
    if ( strcmp ( argv[2], "SetUseOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseOpacity */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseOpacity(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetUseOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseOpacity */
    if ( strcmp ( argv[2], "GetUseOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseOpacity */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetUseOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseOpacityOn */
    if ( strcmp ( argv[2], "UseOpacityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseOpacityOn */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseOpacityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for UseOpacityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseOpacityOff */
    if ( strcmp ( argv[2], "UseOpacityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseOpacityOff */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseOpacityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for UseOpacityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumNumberOfColors */
    if ( strcmp ( argv[2], "SetMaximumNumberOfColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfColors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfColors(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetMaximumNumberOfColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfColorsMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfColorsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfColorsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfColorsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumNumberOfColorsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfColorsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfColorsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfColorsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfColorsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumNumberOfColorsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfColors */
    if ( strcmp ( argv[2], "GetMaximumNumberOfColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfColors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumNumberOfColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNumberOfLabels */
    if ( strcmp ( argv[2], "SetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of tick labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfLabels(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLabelsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of tick labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfLabelsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetNumberOfLabelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLabelsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of tick labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfLabelsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetNumberOfLabelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLabels */
    if ( strcmp ( argv[2], "GetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of tick labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOrientation */
    if ( strcmp ( argv[2], "SetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientation */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOrientation(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOrientationMinValue */
    if ( strcmp ( argv[2], "GetOrientationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOrientationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetOrientationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOrientationMaxValue */
    if ( strcmp ( argv[2], "GetOrientationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOrientationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetOrientationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOrientationToHorizontal */
    if ( strcmp ( argv[2], "SetOrientationToHorizontal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToHorizontal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationToHorizontal */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationToHorizontal();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetOrientationToHorizontal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOrientationToVertical */
    if ( strcmp ( argv[2], "SetOrientationToVertical" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToVertical" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationToVertical */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationToVertical();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetOrientationToVertical */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetTitleTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAnnotationTextProperty */
    if ( strcmp ( argv[2], "SetAnnotationTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnnotationTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the annotation text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAnnotationTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetAnnotationTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAnnotationTextProperty */
    if ( strcmp ( argv[2], "GetAnnotationTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnnotationTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the annotation text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetAnnotationTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetAnnotationTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the scalar\n bar.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelFormat(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the scalar\n bar.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the scalar bar actor,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitle(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the scalar bar actor,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComponentTitle */
    if ( strcmp ( argv[2], "SetComponentTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title for the component that is selected,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComponentTitle(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetComponentTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComponentTitle */
    if ( strcmp ( argv[2], "GetComponentTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title for the component that is selected,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetComponentTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetComponentTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of a scalar bar actor. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTextureGridWidth */
    if ( strcmp ( argv[2], "SetTextureGridWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureGridWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureGridWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the texture grid. Used only if UseOpacity is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextureGridWidth(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextureGridWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextureGridWidth */
    if ( strcmp ( argv[2], "GetTextureGridWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureGridWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureGridWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the texture grid. Used only if UseOpacity is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTextureGridWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextureGridWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextureActor */
    if ( strcmp ( argv[2], "GetTextureActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureActor */
    Tcl_DStringAppendElement ( &dString, " Get the texture actor.. you may want to change some properties on it\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTexturedActor2D *GetTextureActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextureActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTextPosition */
    if ( strcmp ( argv[2], "SetTextPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextPosition */
    Tcl_DStringAppendElement ( &dString, " Should the title and tick marks precede the scalar bar or succeed it?\n This is measured along the viewport coordinate direction perpendicular\n to the long axis of the scalar bar, not the reading direction.\n Thus, succeed implies the that the text is above scalar bar if\n the orientation is horizontal or right of scalar bar if the orientation\n is vertical. Precede is the opposite.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextPosition(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextPositionMinValue */
    if ( strcmp ( argv[2], "GetTextPositionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextPositionMinValue */
    Tcl_DStringAppendElement ( &dString, " Should the title and tick marks precede the scalar bar or succeed it?\n This is measured along the viewport coordinate direction perpendicular\n to the long axis of the scalar bar, not the reading direction.\n Thus, succeed implies the that the text is above scalar bar if\n the orientation is horizontal or right of scalar bar if the orientation\n is vertical. Precede is the opposite.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTextPositionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextPositionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextPositionMaxValue */
    if ( strcmp ( argv[2], "GetTextPositionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextPositionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Should the title and tick marks precede the scalar bar or succeed it?\n This is measured along the viewport coordinate direction perpendicular\n to the long axis of the scalar bar, not the reading direction.\n Thus, succeed implies the that the text is above scalar bar if\n the orientation is horizontal or right of scalar bar if the orientation\n is vertical. Precede is the opposite.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTextPositionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextPositionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextPosition */
    if ( strcmp ( argv[2], "GetTextPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextPosition */
    Tcl_DStringAppendElement ( &dString, " Should the title and tick marks precede the scalar bar or succeed it?\n This is measured along the viewport coordinate direction perpendicular\n to the long axis of the scalar bar, not the reading direction.\n Thus, succeed implies the that the text is above scalar bar if\n the orientation is horizontal or right of scalar bar if the orientation\n is vertical. Precede is the opposite.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTextPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTextPositionToPrecedeScalarBar */
    if ( strcmp ( argv[2], "SetTextPositionToPrecedeScalarBar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToPrecedeScalarBar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextPositionToPrecedeScalarBar */
    Tcl_DStringAppendElement ( &dString, " Should the title and tick marks precede the scalar bar or succeed it?\n This is measured along the viewport coordinate direction perpendicular\n to the long axis of the scalar bar, not the reading direction.\n Thus, succeed implies the that the text is above scalar bar if\n the orientation is horizontal or right of scalar bar if the orientation\n is vertical. Precede is the opposite.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextPositionToPrecedeScalarBar();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextPositionToPrecedeScalarBar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTextPositionToSucceedScalarBar */
    if ( strcmp ( argv[2], "SetTextPositionToSucceedScalarBar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToSucceedScalarBar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextPositionToSucceedScalarBar */
    Tcl_DStringAppendElement ( &dString, " Should the title and tick marks precede the scalar bar or succeed it?\n This is measured along the viewport coordinate direction perpendicular\n to the long axis of the scalar bar, not the reading direction.\n Thus, succeed implies the that the text is above scalar bar if\n the orientation is horizontal or right of scalar bar if the orientation\n is vertical. Precede is the opposite.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextPositionToSucceedScalarBar();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextPositionToSucceedScalarBar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumWidthInPixels */
    if ( strcmp ( argv[2], "SetMaximumWidthInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumWidthInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumWidthInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undesirably stretch\n the size of the actor too much. These methods allow the user to set\n bounds on the maximum size of the scalar bar in pixels along any\n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumWidthInPixels(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetMaximumWidthInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumWidthInPixels */
    if ( strcmp ( argv[2], "GetMaximumWidthInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumWidthInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumWidthInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undesirably stretch\n the size of the actor too much. These methods allow the user to set\n bounds on the maximum size of the scalar bar in pixels along any\n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumWidthInPixels();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumWidthInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumHeightInPixels */
    if ( strcmp ( argv[2], "SetMaximumHeightInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumHeightInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumHeightInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undesirably stretch\n the size of the actor too much. These methods allow the user to set\n bounds on the maximum size of the scalar bar in pixels along any\n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumHeightInPixels(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetMaximumHeightInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumHeightInPixels */
    if ( strcmp ( argv[2], "GetMaximumHeightInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHeightInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumHeightInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undesirably stretch\n the size of the actor too much. These methods allow the user to set\n bounds on the maximum size of the scalar bar in pixels along any\n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumHeightInPixels();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumHeightInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAnnotationLeaderPadding */
    if ( strcmp ( argv[2], "SetAnnotationLeaderPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLeaderPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnnotationLeaderPadding */
    Tcl_DStringAppendElement ( &dString, " Set/get the padding between the scalar bar and the text annotations.\n This space is used to draw leader lines.\n The default is 8 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAnnotationLeaderPadding(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetAnnotationLeaderPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAnnotationLeaderPadding */
    if ( strcmp ( argv[2], "GetAnnotationLeaderPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLeaderPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnnotationLeaderPadding */
    Tcl_DStringAppendElement ( &dString, " Set/get the padding between the scalar bar and the text annotations.\n This space is used to draw leader lines.\n The default is 8 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetAnnotationLeaderPadding();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetAnnotationLeaderPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawAnnotations */
    if ( strcmp ( argv[2], "SetDrawAnnotations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawAnnotations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawAnnotations */
    Tcl_DStringAppendElement ( &dString, " Set/get whether text annotations should be rendered or not.\n Currently, this only affects rendering when \\a IndexedLookup is true.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawAnnotations(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawAnnotations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawAnnotations */
    if ( strcmp ( argv[2], "GetDrawAnnotations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawAnnotations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawAnnotations */
    Tcl_DStringAppendElement ( &dString, " Set/get whether text annotations should be rendered or not.\n Currently, this only affects rendering when \\a IndexedLookup is true.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawAnnotations();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawAnnotations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawAnnotationsOn */
    if ( strcmp ( argv[2], "DrawAnnotationsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawAnnotationsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawAnnotationsOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether text annotations should be rendered or not.\n Currently, this only affects rendering when \\a IndexedLookup is true.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawAnnotationsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawAnnotationsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawAnnotationsOff */
    if ( strcmp ( argv[2], "DrawAnnotationsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawAnnotationsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawAnnotationsOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether text annotations should be rendered or not.\n Currently, this only affects rendering when \\a IndexedLookup is true.\n The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawAnnotationsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawAnnotationsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawNanAnnotation */
    if ( strcmp ( argv[2], "SetDrawNanAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawNanAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawNanAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the NaN annotation should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawNanAnnotation(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawNanAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawNanAnnotation */
    if ( strcmp ( argv[2], "GetDrawNanAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawNanAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawNanAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the NaN annotation should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawNanAnnotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawNanAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawNanAnnotationOn */
    if ( strcmp ( argv[2], "DrawNanAnnotationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawNanAnnotationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawNanAnnotationOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the NaN annotation should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawNanAnnotationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawNanAnnotationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawNanAnnotationOff */
    if ( strcmp ( argv[2], "DrawNanAnnotationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawNanAnnotationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawNanAnnotationOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the NaN annotation should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawNanAnnotationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawNanAnnotationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawBelowRangeSwatch */
    if ( strcmp ( argv[2], "SetDrawBelowRangeSwatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawBelowRangeSwatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawBelowRangeSwatch */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Below range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawBelowRangeSwatch(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawBelowRangeSwatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawBelowRangeSwatch */
    if ( strcmp ( argv[2], "GetDrawBelowRangeSwatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawBelowRangeSwatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawBelowRangeSwatch */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Below range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDrawBelowRangeSwatch();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawBelowRangeSwatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawBelowRangeSwatchOn */
    if ( strcmp ( argv[2], "DrawBelowRangeSwatchOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBelowRangeSwatchOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBelowRangeSwatchOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Below range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawBelowRangeSwatchOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawBelowRangeSwatchOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawBelowRangeSwatchOff */
    if ( strcmp ( argv[2], "DrawBelowRangeSwatchOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBelowRangeSwatchOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBelowRangeSwatchOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Below range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawBelowRangeSwatchOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawBelowRangeSwatchOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBelowRangeAnnotation */
    if ( strcmp ( argv[2], "SetBelowRangeAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBelowRangeAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBelowRangeAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get the annotation text for \"Below Range\" values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBelowRangeAnnotation(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetBelowRangeAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBelowRangeAnnotation */
    if ( strcmp ( argv[2], "GetBelowRangeAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBelowRangeAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBelowRangeAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get the annotation text for \"Below Range\" values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetBelowRangeAnnotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetBelowRangeAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawAboveRangeSwatch */
    if ( strcmp ( argv[2], "SetDrawAboveRangeSwatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawAboveRangeSwatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawAboveRangeSwatch */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Above range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawAboveRangeSwatch(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawAboveRangeSwatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawAboveRangeSwatch */
    if ( strcmp ( argv[2], "GetDrawAboveRangeSwatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawAboveRangeSwatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawAboveRangeSwatch */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Above range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDrawAboveRangeSwatch();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawAboveRangeSwatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawAboveRangeSwatchOn */
    if ( strcmp ( argv[2], "DrawAboveRangeSwatchOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawAboveRangeSwatchOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawAboveRangeSwatchOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Above range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawAboveRangeSwatchOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawAboveRangeSwatchOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawAboveRangeSwatchOff */
    if ( strcmp ( argv[2], "DrawAboveRangeSwatchOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawAboveRangeSwatchOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawAboveRangeSwatchOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether the Above range swatch should be rendered or not.\n This only affects rendering when \\a DrawAnnotations is true.\n The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawAboveRangeSwatchOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawAboveRangeSwatchOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAboveRangeAnnotation */
    if ( strcmp ( argv[2], "SetAboveRangeAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAboveRangeAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAboveRangeAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get the annotation text for \"Above Range Swatch\" values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAboveRangeAnnotation(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetAboveRangeAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAboveRangeAnnotation */
    if ( strcmp ( argv[2], "GetAboveRangeAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAboveRangeAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAboveRangeAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get the annotation text for \"Above Range Swatch\" values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetAboveRangeAnnotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetAboveRangeAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFixedAnnotationLeaderLineColor */
    if ( strcmp ( argv[2], "SetFixedAnnotationLeaderLineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedAnnotationLeaderLineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedAnnotationLeaderLineColor */
    Tcl_DStringAppendElement ( &dString, " Set/get how leader lines connecting annotations to values should be colored.\n\n * When true, leader lines are all the same color (and match the LabelTextProperty color).\n * When false, leader lines take on the color of the value they correspond to.\n * This only affects rendering when \\a DrawAnnotations is true.\n * The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFixedAnnotationLeaderLineColor(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetFixedAnnotationLeaderLineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFixedAnnotationLeaderLineColor */
    if ( strcmp ( argv[2], "GetFixedAnnotationLeaderLineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixedAnnotationLeaderLineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixedAnnotationLeaderLineColor */
    Tcl_DStringAppendElement ( &dString, " Set/get how leader lines connecting annotations to values should be colored.\n\n * When true, leader lines are all the same color (and match the LabelTextProperty color).\n * When false, leader lines take on the color of the value they correspond to.\n * This only affects rendering when \\a DrawAnnotations is true.\n * The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetFixedAnnotationLeaderLineColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetFixedAnnotationLeaderLineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FixedAnnotationLeaderLineColorOn */
    if ( strcmp ( argv[2], "FixedAnnotationLeaderLineColorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FixedAnnotationLeaderLineColorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FixedAnnotationLeaderLineColorOn */
    Tcl_DStringAppendElement ( &dString, " Set/get how leader lines connecting annotations to values should be colored.\n\n * When true, leader lines are all the same color (and match the LabelTextProperty color).\n * When false, leader lines take on the color of the value they correspond to.\n * This only affects rendering when \\a DrawAnnotations is true.\n * The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FixedAnnotationLeaderLineColorOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for FixedAnnotationLeaderLineColorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FixedAnnotationLeaderLineColorOff */
    if ( strcmp ( argv[2], "FixedAnnotationLeaderLineColorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FixedAnnotationLeaderLineColorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FixedAnnotationLeaderLineColorOff */
    Tcl_DStringAppendElement ( &dString, " Set/get how leader lines connecting annotations to values should be colored.\n\n * When true, leader lines are all the same color (and match the LabelTextProperty color).\n * When false, leader lines take on the color of the value they correspond to.\n * This only affects rendering when \\a DrawAnnotations is true.\n * The default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FixedAnnotationLeaderLineColorOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for FixedAnnotationLeaderLineColorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNanAnnotation */
    if ( strcmp ( argv[2], "SetNanAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNanAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNanAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get the annotation text for \"NaN\" values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNanAnnotation(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetNanAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNanAnnotation */
    if ( strcmp ( argv[2], "GetNanAnnotation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNanAnnotation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNanAnnotation */
    Tcl_DStringAppendElement ( &dString, " Set/get the annotation text for \"NaN\" values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetNanAnnotation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetNanAnnotation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAnnotationTextScaling */
    if ( strcmp ( argv[2], "SetAnnotationTextScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationTextScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnnotationTextScaling */
    Tcl_DStringAppendElement ( &dString, " Set/get whether annotation labels should be scaled with the viewport.\n\n * The default value is 0 (no scaling).\n * If non-zero, the vtkTextActor instances used to render annotation\n * labels will have their TextScaleMode set to viewport-based scaling,\n * which nonlinearly scales font size with the viewport size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAnnotationTextScaling(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetAnnotationTextScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAnnotationTextScaling */
    if ( strcmp ( argv[2], "GetAnnotationTextScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationTextScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnnotationTextScaling */
    Tcl_DStringAppendElement ( &dString, " Set/get whether annotation labels should be scaled with the viewport.\n\n * The default value is 0 (no scaling).\n * If non-zero, the vtkTextActor instances used to render annotation\n * labels will have their TextScaleMode set to viewport-based scaling,\n * which nonlinearly scales font size with the viewport size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAnnotationTextScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetAnnotationTextScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AnnotationTextScalingOn */
    if ( strcmp ( argv[2], "AnnotationTextScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AnnotationTextScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AnnotationTextScalingOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether annotation labels should be scaled with the viewport.\n\n * The default value is 0 (no scaling).\n * If non-zero, the vtkTextActor instances used to render annotation\n * labels will have their TextScaleMode set to viewport-based scaling,\n * which nonlinearly scales font size with the viewport size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AnnotationTextScalingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for AnnotationTextScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AnnotationTextScalingOff */
    if ( strcmp ( argv[2], "AnnotationTextScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AnnotationTextScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AnnotationTextScalingOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether annotation labels should be scaled with the viewport.\n\n * The default value is 0 (no scaling).\n * If non-zero, the vtkTextActor instances used to render annotation\n * labels will have their TextScaleMode set to viewport-based scaling,\n * which nonlinearly scales font size with the viewport size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AnnotationTextScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for AnnotationTextScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawBackground */
    if ( strcmp ( argv[2], "SetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawBackground(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawBackground */
    if ( strcmp ( argv[2], "GetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawBackground();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawBackgroundOn */
    if ( strcmp ( argv[2], "DrawBackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawBackgroundOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawBackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawBackgroundOff */
    if ( strcmp ( argv[2], "DrawBackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawBackgroundOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawBackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawFrame */
    if ( strcmp ( argv[2], "SetDrawFrame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawFrame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawFrame */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawFrame(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawFrame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawFrame */
    if ( strcmp ( argv[2], "GetDrawFrame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawFrame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawFrame */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawFrame();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawFrame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawFrameOn */
    if ( strcmp ( argv[2], "DrawFrameOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawFrameOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawFrameOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawFrameOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawFrameOff */
    if ( strcmp ( argv[2], "DrawFrameOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawFrameOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawFrameOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawFrameOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawColorBar */
    if ( strcmp ( argv[2], "SetDrawColorBar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawColorBar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawColorBar */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the color bar should be drawn. If off, only the tickmarks\n and text will be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawColorBar(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawColorBar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawColorBar */
    if ( strcmp ( argv[2], "GetDrawColorBar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawColorBar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawColorBar */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the color bar should be drawn. If off, only the tickmarks\n and text will be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawColorBar();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawColorBar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawColorBarOn */
    if ( strcmp ( argv[2], "DrawColorBarOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawColorBarOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawColorBarOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the color bar should be drawn. If off, only the tickmarks\n and text will be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawColorBarOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawColorBarOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawColorBarOff */
    if ( strcmp ( argv[2], "DrawColorBarOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawColorBarOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawColorBarOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the color bar should be drawn. If off, only the tickmarks\n and text will be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawColorBarOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawColorBarOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawTickLabels */
    if ( strcmp ( argv[2], "SetDrawTickLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawTickLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawTickLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the tick labels should be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawTickLabels(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawTickLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawTickLabels */
    if ( strcmp ( argv[2], "GetDrawTickLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawTickLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawTickLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the tick labels should be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawTickLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawTickLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawTickLabelsOn */
    if ( strcmp ( argv[2], "DrawTickLabelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawTickLabelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawTickLabelsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the tick labels should be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawTickLabelsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawTickLabelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawTickLabelsOff */
    if ( strcmp ( argv[2], "DrawTickLabelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawTickLabelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawTickLabelsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the tick labels should be drawn. Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawTickLabelsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawTickLabelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBackgroundProperty */
    if ( strcmp ( argv[2], "SetBackgroundProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBackgroundProperty(vtkProperty2D *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetBackgroundProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBackgroundProperty */
    if ( strcmp ( argv[2], "GetBackgroundProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProperty2D *GetBackgroundProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetBackgroundProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFrameProperty */
    if ( strcmp ( argv[2], "SetFrameProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFrameProperty(vtkProperty2D *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetFrameProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFrameProperty */
    if ( strcmp ( argv[2], "GetFrameProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProperty2D *GetFrameProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetFrameProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextPad */
    if ( strcmp ( argv[2], "GetTextPad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextPad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextPad */
    Tcl_DStringAppendElement ( &dString, " Set/get the amount of padding around text boxes.\n The default is 1 pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTextPad();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextPad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTextPad */
    if ( strcmp ( argv[2], "SetTextPad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextPad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextPad */
    Tcl_DStringAppendElement ( &dString, " Set/get the amount of padding around text boxes.\n The default is 1 pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextPad(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextPad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVerticalTitleSeparation */
    if ( strcmp ( argv[2], "GetVerticalTitleSeparation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalTitleSeparation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalTitleSeparation */
    Tcl_DStringAppendElement ( &dString, " Set/get the margin in pixels, between the title and the bar,\n when the \\a Orientation is vertical.\n The default is 0 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVerticalTitleSeparation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetVerticalTitleSeparation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVerticalTitleSeparation */
    if ( strcmp ( argv[2], "SetVerticalTitleSeparation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalTitleSeparation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalTitleSeparation */
    Tcl_DStringAppendElement ( &dString, " Set/get the margin in pixels, between the title and the bar,\n when the \\a Orientation is vertical.\n The default is 0 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVerticalTitleSeparation(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetVerticalTitleSeparation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBarRatio */
    if ( strcmp ( argv[2], "GetBarRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBarRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBarRatio */
    Tcl_DStringAppendElement ( &dString, " Set/get the thickness of the color bar relative to the widget frame.\n The default is 0.375 and must always be in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetBarRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetBarRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBarRatio */
    if ( strcmp ( argv[2], "SetBarRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBarRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBarRatio */
    Tcl_DStringAppendElement ( &dString, " Set/get the thickness of the color bar relative to the widget frame.\n The default is 0.375 and must always be in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBarRatio(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetBarRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBarRatioMinValue */
    if ( strcmp ( argv[2], "GetBarRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBarRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBarRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the thickness of the color bar relative to the widget frame.\n The default is 0.375 and must always be in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetBarRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetBarRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBarRatioMaxValue */
    if ( strcmp ( argv[2], "GetBarRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBarRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBarRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the thickness of the color bar relative to the widget frame.\n The default is 0.375 and must always be in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetBarRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetBarRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleRatio */
    if ( strcmp ( argv[2], "GetTitleRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleRatio */
    Tcl_DStringAppendElement ( &dString, " Set/get the ratio of the title height to the tick label height\n (used only when the \\a Orientation is horizontal).\n The default is 0.5, which attempts to make the labels and title\n the same size. This must be a number in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTitleRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTitleRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitleRatio */
    if ( strcmp ( argv[2], "SetTitleRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleRatio */
    Tcl_DStringAppendElement ( &dString, " Set/get the ratio of the title height to the tick label height\n (used only when the \\a Orientation is horizontal).\n The default is 0.5, which attempts to make the labels and title\n the same size. This must be a number in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleRatio(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTitleRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleRatioMinValue */
    if ( strcmp ( argv[2], "GetTitleRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the ratio of the title height to the tick label height\n (used only when the \\a Orientation is horizontal).\n The default is 0.5, which attempts to make the labels and title\n the same size. This must be a number in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTitleRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTitleRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleRatioMaxValue */
    if ( strcmp ( argv[2], "GetTitleRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the ratio of the title height to the tick label height\n (used only when the \\a Orientation is horizontal).\n The default is 0.5, which attempts to make the labels and title\n the same size. This must be a number in the range \\]0, 1\\[.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTitleRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTitleRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUnconstrainedFontSize */
    if ( strcmp ( argv[2], "SetUnconstrainedFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUnconstrainedFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUnconstrainedFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the font size of title and labels is unconstrained. Default is off.\n When it is constrained, the size of the scalar bar will constrained the font size\n When it is not, the size of the font will always be respected\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUnconstrainedFontSize(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetUnconstrainedFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUnconstrainedFontSize */
    if ( strcmp ( argv[2], "GetUnconstrainedFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnconstrainedFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnconstrainedFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the font size of title and labels is unconstrained. Default is off.\n When it is constrained, the size of the scalar bar will constrained the font size\n When it is not, the size of the font will always be respected\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUnconstrainedFontSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetUnconstrainedFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UnconstrainedFontSizeOn */
    if ( strcmp ( argv[2], "UnconstrainedFontSizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnconstrainedFontSizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnconstrainedFontSizeOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the font size of title and labels is unconstrained. Default is off.\n When it is constrained, the size of the scalar bar will constrained the font size\n When it is not, the size of the font will always be respected\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnconstrainedFontSizeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for UnconstrainedFontSizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UnconstrainedFontSizeOff */
    if ( strcmp ( argv[2], "UnconstrainedFontSizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnconstrainedFontSizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnconstrainedFontSizeOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the font size of title and labels is unconstrained. Default is off.\n When it is constrained, the size of the scalar bar will constrained the font size\n When it is not, the size of the font will always be respected\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnconstrainedFontSizeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for UnconstrainedFontSizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
