// tcl wrapper for vtkContextTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextTransform.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkContextTransformNewCommand()
{
  vtkContextTransform *temp = vtkContextTransform::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractContextItemCppCommand(vtkAbstractContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContextTransformCppCommand(vtkContextTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkContextTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkContextTransformCppCommand(static_cast<vtkContextTransform *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContextTransform_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextTransform"),vtkContextTransformNewCommand,vtkContextTransformCommand);
  return 0;
}

int VTKTCL_EXPORT vtkContextTransformCppCommand(vtkContextTransform *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkContextTransform",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkAbstractContextItemCppCommand(static_cast<vtkAbstractContextItem *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractContextItem"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkContextTransform  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextTransform");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkContextTransform  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextTransform");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkContextTransform  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContextTransform");
    return TCL_OK;
  }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
  {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("Identity",argv[1]))&&(argc == 2))
  {
    op->Identity();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Translate",argv[1]))&&(argc == 4))
  {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->Translate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Scale",argv[1]))&&(argc == 4))
  {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->Scale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Rotate",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->Rotate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
  {
    vtkTransform2D  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform2D");
    return TCL_OK;
  }
  if ((!strcmp("SetPanMouseButton",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPanMouseButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPanMouseButton",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPanMouseButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPanModifier",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPanModifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPanModifier",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPanModifier();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSecondaryPanMouseButton",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSecondaryPanMouseButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSecondaryPanMouseButton",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSecondaryPanMouseButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSecondaryPanModifier",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSecondaryPanModifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSecondaryPanModifier",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSecondaryPanModifier();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetZoomMouseButton",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetZoomMouseButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetZoomMouseButton",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetZoomMouseButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetZoomModifier",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetZoomModifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetZoomModifier",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetZoomModifier();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSecondaryZoomMouseButton",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSecondaryZoomMouseButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSecondaryZoomMouseButton",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSecondaryZoomMouseButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSecondaryZoomModifier",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSecondaryZoomModifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSecondaryZoomModifier",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSecondaryZoomModifier();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetZoomOnMouseWheel",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetZoomOnMouseWheel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetZoomOnMouseWheel",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetZoomOnMouseWheel();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ZoomOnMouseWheelOn",argv[1]))&&(argc == 2))
  {
    op->ZoomOnMouseWheelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ZoomOnMouseWheelOff",argv[1]))&&(argc == 2))
  {
    op->ZoomOnMouseWheelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPanYOnMouseWheel",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetPanYOnMouseWheel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPanYOnMouseWheel",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetPanYOnMouseWheel();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("PanYOnMouseWheelOn",argv[1]))&&(argc == 2))
  {
    op->PanYOnMouseWheelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PanYOnMouseWheelOff",argv[1]))&&(argc == 2))
  {
    op->PanYOnMouseWheelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkContextTransformCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkAbstractContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContextTransform:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  Update\n",nullptr);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Identity\n",nullptr);
    Tcl_AppendResult(interp,"  Translate\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  Scale\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  Rotate\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTransform\n",nullptr);
    Tcl_AppendResult(interp,"  SetPanMouseButton\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPanMouseButton\n",nullptr);
    Tcl_AppendResult(interp,"  SetPanModifier\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPanModifier\n",nullptr);
    Tcl_AppendResult(interp,"  SetSecondaryPanMouseButton\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSecondaryPanMouseButton\n",nullptr);
    Tcl_AppendResult(interp,"  SetSecondaryPanModifier\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSecondaryPanModifier\n",nullptr);
    Tcl_AppendResult(interp,"  SetZoomMouseButton\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetZoomMouseButton\n",nullptr);
    Tcl_AppendResult(interp,"  SetZoomModifier\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetZoomModifier\n",nullptr);
    Tcl_AppendResult(interp,"  SetSecondaryZoomMouseButton\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSecondaryZoomMouseButton\n",nullptr);
    Tcl_AppendResult(interp,"  SetSecondaryZoomModifier\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSecondaryZoomModifier\n",nullptr);
    Tcl_AppendResult(interp,"  SetZoomOnMouseWheel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetZoomOnMouseWheel\n",nullptr);
    Tcl_AppendResult(interp,"  ZoomOnMouseWheelOn\n",nullptr);
    Tcl_AppendResult(interp,"  ZoomOnMouseWheelOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPanYOnMouseWheel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPanYOnMouseWheel\n",nullptr);
    Tcl_AppendResult(interp,"  PanYOnMouseWheelOn\n",nullptr);
    Tcl_AppendResult(interp,"  PanYOnMouseWheelOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "SetPanMouseButton" );
    Tcl_DStringAppendElement ( &dString, "GetPanMouseButton" );
    Tcl_DStringAppendElement ( &dString, "SetPanModifier" );
    Tcl_DStringAppendElement ( &dString, "GetPanModifier" );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryPanMouseButton" );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryPanMouseButton" );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryPanModifier" );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryPanModifier" );
    Tcl_DStringAppendElement ( &dString, "SetZoomMouseButton" );
    Tcl_DStringAppendElement ( &dString, "GetZoomMouseButton" );
    Tcl_DStringAppendElement ( &dString, "SetZoomModifier" );
    Tcl_DStringAppendElement ( &dString, "GetZoomModifier" );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryZoomMouseButton" );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryZoomMouseButton" );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryZoomModifier" );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryZoomModifier" );
    Tcl_DStringAppendElement ( &dString, "SetZoomOnMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "GetZoomOnMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "ZoomOnMouseWheelOn" );
    Tcl_DStringAppendElement ( &dString, "ZoomOnMouseWheelOff" );
    Tcl_DStringAppendElement ( &dString, "SetPanYOnMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "GetPanYOnMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "PanYOnMouseWheelOn" );
    Tcl_DStringAppendElement ( &dString, "PanYOnMouseWheelOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkContextTransform *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a vtkContextTransform object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkContextTransform *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "void Update() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the item, called whenever the item needs to be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Paint(vtkContext2D *painter) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Identity */
    if ( strcmp ( argv[2], "Identity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Identity */
    Tcl_DStringAppendElement ( &dString, " Reset the transform to the identity transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Identity();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for Identity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Translate */
    if ( strcmp ( argv[2], "Translate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Translate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Translate */
    Tcl_DStringAppendElement ( &dString, " Translate the item by the specified amounts dx and dy in the x and y\n directions.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Translate(float dx, float dy);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for Translate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Scale */
    if ( strcmp ( argv[2], "Scale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scale */
    Tcl_DStringAppendElement ( &dString, " Scale the item by the specified amounts dx and dy in the x and y\n directions.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Scale(float dx, float dy);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for Scale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Rotate */
    if ( strcmp ( argv[2], "Rotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Rotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Rotate */
    Tcl_DStringAppendElement ( &dString, " Rotate the item by the specified angle.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Rotate(float angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for Rotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Access the vtkTransform2D that controls object transformation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTransform2D *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPanMouseButton */
    if ( strcmp ( argv[2], "SetPanMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPanMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPanMouseButton */
    Tcl_DStringAppendElement ( &dString, " The mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::LEFT_BUTTON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPanMouseButton(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetPanMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPanMouseButton */
    if ( strcmp ( argv[2], "GetPanMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPanMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPanMouseButton */
    Tcl_DStringAppendElement ( &dString, " The mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::LEFT_BUTTON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPanMouseButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetPanMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPanModifier */
    if ( strcmp ( argv[2], "SetPanModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPanModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPanModifier */
    Tcl_DStringAppendElement ( &dString, " The modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPanModifier(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetPanModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPanModifier */
    if ( strcmp ( argv[2], "GetPanModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPanModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPanModifier */
    Tcl_DStringAppendElement ( &dString, " The modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPanModifier();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetPanModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSecondaryPanMouseButton */
    if ( strcmp ( argv[2], "SetSecondaryPanMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryPanMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSecondaryPanMouseButton */
    Tcl_DStringAppendElement ( &dString, " A secondary mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_BUTTON (disabled).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSecondaryPanMouseButton(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetSecondaryPanMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSecondaryPanMouseButton */
    if ( strcmp ( argv[2], "GetSecondaryPanMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryPanMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondaryPanMouseButton */
    Tcl_DStringAppendElement ( &dString, " A secondary mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_BUTTON (disabled).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSecondaryPanMouseButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetSecondaryPanMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSecondaryPanModifier */
    if ( strcmp ( argv[2], "SetSecondaryPanModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryPanModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSecondaryPanModifier */
    Tcl_DStringAppendElement ( &dString, " A secondary modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSecondaryPanModifier(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetSecondaryPanModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSecondaryPanModifier */
    if ( strcmp ( argv[2], "GetSecondaryPanModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryPanModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondaryPanModifier */
    Tcl_DStringAppendElement ( &dString, " A secondary modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSecondaryPanModifier();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetSecondaryPanModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetZoomMouseButton */
    if ( strcmp ( argv[2], "SetZoomMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZoomMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZoomMouseButton */
    Tcl_DStringAppendElement ( &dString, " The mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::RIGHT_BUTTON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetZoomMouseButton(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetZoomMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetZoomMouseButton */
    if ( strcmp ( argv[2], "GetZoomMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZoomMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZoomMouseButton */
    Tcl_DStringAppendElement ( &dString, " The mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::RIGHT_BUTTON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetZoomMouseButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetZoomMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetZoomModifier */
    if ( strcmp ( argv[2], "SetZoomModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZoomModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZoomModifier */
    Tcl_DStringAppendElement ( &dString, " The modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetZoomModifier(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetZoomModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetZoomModifier */
    if ( strcmp ( argv[2], "GetZoomModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZoomModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZoomModifier */
    Tcl_DStringAppendElement ( &dString, " The modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::NO_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetZoomModifier();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetZoomModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSecondaryZoomMouseButton */
    if ( strcmp ( argv[2], "SetSecondaryZoomMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryZoomMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSecondaryZoomMouseButton */
    Tcl_DStringAppendElement ( &dString, " A secondary mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::LEFT_BUTTON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSecondaryZoomMouseButton(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetSecondaryZoomMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSecondaryZoomMouseButton */
    if ( strcmp ( argv[2], "GetSecondaryZoomMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryZoomMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondaryZoomMouseButton */
    Tcl_DStringAppendElement ( &dString, " A secondary mouse button from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::LEFT_BUTTON.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSecondaryZoomMouseButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetSecondaryZoomMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSecondaryZoomModifier */
    if ( strcmp ( argv[2], "SetSecondaryZoomModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSecondaryZoomModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSecondaryZoomModifier */
    Tcl_DStringAppendElement ( &dString, " A secondary modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::SHIFT_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSecondaryZoomModifier(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetSecondaryZoomModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSecondaryZoomModifier */
    if ( strcmp ( argv[2], "GetSecondaryZoomModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondaryZoomModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondaryZoomModifier */
    Tcl_DStringAppendElement ( &dString, " A secondary modifier from vtkContextMouseEvent to use for panning.\n Default is vtkContextMouseEvent::SHIFT_MODIFIER.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSecondaryZoomModifier();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetSecondaryZoomModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetZoomOnMouseWheel */
    if ( strcmp ( argv[2], "SetZoomOnMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZoomOnMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZoomOnMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Whether to zoom on mouse wheels. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetZoomOnMouseWheel(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetZoomOnMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetZoomOnMouseWheel */
    if ( strcmp ( argv[2], "GetZoomOnMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZoomOnMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZoomOnMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Whether to zoom on mouse wheels. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetZoomOnMouseWheel();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetZoomOnMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ZoomOnMouseWheelOn */
    if ( strcmp ( argv[2], "ZoomOnMouseWheelOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZoomOnMouseWheelOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZoomOnMouseWheelOn */
    Tcl_DStringAppendElement ( &dString, " Whether to zoom on mouse wheels. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ZoomOnMouseWheelOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for ZoomOnMouseWheelOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ZoomOnMouseWheelOff */
    if ( strcmp ( argv[2], "ZoomOnMouseWheelOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZoomOnMouseWheelOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZoomOnMouseWheelOff */
    Tcl_DStringAppendElement ( &dString, " Whether to zoom on mouse wheels. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ZoomOnMouseWheelOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for ZoomOnMouseWheelOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPanYOnMouseWheel */
    if ( strcmp ( argv[2], "SetPanYOnMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPanYOnMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPanYOnMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Whether to pan in the Y direction on mouse wheels. Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPanYOnMouseWheel(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for SetPanYOnMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPanYOnMouseWheel */
    if ( strcmp ( argv[2], "GetPanYOnMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPanYOnMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPanYOnMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Whether to pan in the Y direction on mouse wheels. Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetPanYOnMouseWheel();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for GetPanYOnMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PanYOnMouseWheelOn */
    if ( strcmp ( argv[2], "PanYOnMouseWheelOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PanYOnMouseWheelOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PanYOnMouseWheelOn */
    Tcl_DStringAppendElement ( &dString, " Whether to pan in the Y direction on mouse wheels. Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PanYOnMouseWheelOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for PanYOnMouseWheelOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PanYOnMouseWheelOff */
    if ( strcmp ( argv[2], "PanYOnMouseWheelOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PanYOnMouseWheelOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PanYOnMouseWheelOff */
    Tcl_DStringAppendElement ( &dString, " Whether to pan in the Y direction on mouse wheels. Default is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PanYOnMouseWheelOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContextTransform" );
    /* Closing for PanYOnMouseWheelOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkAbstractContextItemCppCommand(static_cast<vtkAbstractContextItem *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
