// tcl wrapper for vtkRenderWindowInteractor3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindowInteractor3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkRenderWindowInteractor3DNewCommand()
{
  vtkRenderWindowInteractor3D *temp = vtkRenderWindowInteractor3D::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderWindowInteractor3DCppCommand(vtkRenderWindowInteractor3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkRenderWindowInteractor3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkRenderWindowInteractor3DCppCommand(static_cast<vtkRenderWindowInteractor3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderWindowInteractor3D_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderWindowInteractor3D"),vtkRenderWindowInteractor3DNewCommand,vtkRenderWindowInteractor3DCommand);
  return 0;
}

int VTKTCL_EXPORT vtkRenderWindowInteractor3DCppCommand(vtkRenderWindowInteractor3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkRenderWindowInteractor3D",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkRenderWindowInteractorCppCommand(static_cast<vtkRenderWindowInteractor *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderWindowInteractor"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkRenderWindowInteractor3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor3D");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkRenderWindowInteractor3D  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor3D");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkRenderWindowInteractor3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor3D");
    return TCL_OK;
  }
  if ((!strcmp("Enable",argv[1]))&&(argc == 2))
  {
    op->Enable();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Disable",argv[1]))&&(argc == 2))
  {
    op->Disable();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("TerminateApp",argv[1]))&&(argc == 2))
  {
    op->TerminateApp();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPhysicalEventPosition",argv[1]))&&(argc == 6))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
  {
    op->SetPhysicalEventPosition(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetWorldEventPosition",argv[1]))&&(argc == 6))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
  {
    op->SetWorldEventPosition(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetWorldEventOrientation",argv[1]))&&(argc == 7))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp4;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
  {
    op->SetWorldEventOrientation(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RightButtonPressEvent",argv[1]))&&(argc == 2))
  {
    op->RightButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RightButtonReleaseEvent",argv[1]))&&(argc == 2))
  {
    op->RightButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("MiddleButtonPressEvent",argv[1]))&&(argc == 2))
  {
    op->MiddleButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("MiddleButtonReleaseEvent",argv[1]))&&(argc == 2))
  {
    op->MiddleButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTouchPadPosition",argv[1]))&&(argc == 4))
  {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetTouchPadPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetTouchPadPosition",argv[1]))&&(argc == 4))
  {
    float  temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->SetTouchPadPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTouchPadPosition",argv[1]))&&(argc == 2))
  {
    float   *temp20;
    temp20 = (op)->GetTouchPadPosition();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetPhysicalTranslation",argv[1]))&&(argc == 6))
  {
    vtkCamera  *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
  {
    op->SetPhysicalTranslation(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPhysicalScale",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetPhysicalScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPhysicalScale",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetPhysicalScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTranslation3D",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetTranslation3D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTranslation3D",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetTranslation3D();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetLastTranslation3D",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetLastTranslation3D();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetDone",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDone();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkRenderWindowInteractor3DCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderWindowInteractor3D:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  Enable\n",nullptr);
    Tcl_AppendResult(interp,"  Disable\n",nullptr);
    Tcl_AppendResult(interp,"  TerminateApp\n",nullptr);
    Tcl_AppendResult(interp,"  SetPhysicalEventPosition\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetWorldEventPosition\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetWorldEventOrientation\t with 5 args\n",nullptr);
    Tcl_AppendResult(interp,"  RightButtonPressEvent\n",nullptr);
    Tcl_AppendResult(interp,"  RightButtonReleaseEvent\n",nullptr);
    Tcl_AppendResult(interp,"  MiddleButtonPressEvent\n",nullptr);
    Tcl_AppendResult(interp,"  MiddleButtonReleaseEvent\n",nullptr);
    Tcl_AppendResult(interp,"  SetTouchPadPosition\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetTouchPadPosition\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetTouchPadPosition\n",nullptr);
    Tcl_AppendResult(interp,"  SetPhysicalTranslation\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPhysicalScale\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPhysicalScale\n",nullptr);
    Tcl_AppendResult(interp,"  SetTranslation3D\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetTranslation3D\n",nullptr);
    Tcl_AppendResult(interp,"  GetLastTranslation3D\n",nullptr);
    Tcl_AppendResult(interp,"  GetDone\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Enable" );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    Tcl_DStringAppendElement ( &dString, "TerminateApp" );
    Tcl_DStringAppendElement ( &dString, "SetPhysicalEventPosition" );
    Tcl_DStringAppendElement ( &dString, "SetWorldEventPosition" );
    Tcl_DStringAppendElement ( &dString, "SetWorldEventOrientation" );
    Tcl_DStringAppendElement ( &dString, "RightButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "RightButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "SetTouchPadPosition" );
    Tcl_DStringAppendElement ( &dString, "SetTouchPadPosition" );
    Tcl_DStringAppendElement ( &dString, "GetTouchPadPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPhysicalTranslation" );
    Tcl_DStringAppendElement ( &dString, "SetPhysicalScale" );
    Tcl_DStringAppendElement ( &dString, "GetPhysicalScale" );
    Tcl_DStringAppendElement ( &dString, "SetTranslation3D" );
    Tcl_DStringAppendElement ( &dString, "GetTranslation3D" );
    Tcl_DStringAppendElement ( &dString, "GetLastTranslation3D" );
    Tcl_DStringAppendElement ( &dString, "GetDone" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object so that light follows camera motion.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderWindowInteractor3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderWindowInteractor3D *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Enable */
    if ( strcmp ( argv[2], "Enable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Enable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Enable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void Enable() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for Enable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Disable */
    if ( strcmp ( argv[2], "Disable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Disable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void Disable() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for Disable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TerminateApp */
    if ( strcmp ( argv[2], "TerminateApp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TerminateApp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TerminateApp */
    Tcl_DStringAppendElement ( &dString, " OpenVR specific application terminate, calls ClassExitMethod then\n calls PostQuitMessage(0) to terminate the application. An application can Specify\n ExitMethod for alternative behavior (i.e. suppression of keyboard exit)\n" );
    Tcl_DStringAppendElement ( &dString, "void TerminateApp(void) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for TerminateApp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPhysicalEventPosition */
    if ( strcmp ( argv[2], "SetPhysicalEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPhysicalEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPhysicalEventPosition */
    Tcl_DStringAppendElement ( &dString, " With VR we know the physical/room coordinate positions\n and orientations of events. These methods\n support setting them.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPhysicalEventPosition(double x, double y, double z, int pointerIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetPhysicalEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWorldEventPosition */
    if ( strcmp ( argv[2], "SetWorldEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWorldEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWorldEventPosition */
    Tcl_DStringAppendElement ( &dString, " With VR we know the world coordinate positions\n and orientations of events. These methods\n support setting them.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWorldEventPosition(double x, double y, double z, int pointerIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetWorldEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWorldEventOrientation */
    if ( strcmp ( argv[2], "SetWorldEventOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWorldEventOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWorldEventOrientation */
    Tcl_DStringAppendElement ( &dString, " With VR we know the world coordinate positions\n and orientations of events. These methods\n support setting them.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWorldEventOrientation(double w, double x, double y, double z, int pointerIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetWorldEventOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RightButtonPressEvent */
    if ( strcmp ( argv[2], "RightButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Override to set pointers down\n" );
    Tcl_DStringAppendElement ( &dString, "void RightButtonPressEvent() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for RightButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RightButtonReleaseEvent */
    if ( strcmp ( argv[2], "RightButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Override to set pointers down\n" );
    Tcl_DStringAppendElement ( &dString, "void RightButtonReleaseEvent() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for RightButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MiddleButtonPressEvent */
    if ( strcmp ( argv[2], "MiddleButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MiddleButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Override to set pointers down\n" );
    Tcl_DStringAppendElement ( &dString, "void MiddleButtonPressEvent() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for MiddleButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MiddleButtonReleaseEvent */
    if ( strcmp ( argv[2], "MiddleButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MiddleButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Override to set pointers down\n" );
    Tcl_DStringAppendElement ( &dString, "void MiddleButtonReleaseEvent() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for MiddleButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTouchPadPosition */
    if ( strcmp ( argv[2], "SetTouchPadPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTouchPadPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTouchPadPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTouchPadPosition(float, float);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetTouchPadPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTouchPadPosition */
    if ( strcmp ( argv[2], "SetTouchPadPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTouchPadPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTouchPadPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTouchPadPosition(float a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetTouchPadPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTouchPadPosition */
    if ( strcmp ( argv[2], "GetTouchPadPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTouchPadPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTouchPadPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetTouchPadPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for GetTouchPadPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPhysicalTranslation */
    if ( strcmp ( argv[2], "SetPhysicalTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPhysicalTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPhysicalTranslation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional scale translation to map world coordinates into the\n 3D physical space (meters, 0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPhysicalTranslation(vtkCamera *, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetPhysicalTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPhysicalScale */
    if ( strcmp ( argv[2], "SetPhysicalScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPhysicalScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPhysicalScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional scale translation to map world coordinates into the\n 3D physical space (meters, 0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPhysicalScale(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetPhysicalScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPhysicalScale */
    if ( strcmp ( argv[2], "GetPhysicalScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhysicalScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhysicalScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional scale translation to map world coordinates into the\n 3D physical space (meters, 0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPhysicalScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for GetPhysicalScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTranslation3D */
    if ( strcmp ( argv[2], "SetTranslation3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslation3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslation3D */
    Tcl_DStringAppendElement ( &dString, " Set/get the translation for pan/swipe gestures, update LastTranslation\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslation3D(double val\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for SetTranslation3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTranslation3D */
    if ( strcmp ( argv[2], "GetTranslation3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslation3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslation3D */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetTranslation3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for GetTranslation3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLastTranslation3D */
    if ( strcmp ( argv[2], "GetLastTranslation3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastTranslation3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastTranslation3D */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetLastTranslation3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for GetLastTranslation3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDone */
    if ( strcmp ( argv[2], "GetDone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDone */
    Tcl_DStringAppendElement ( &dString, " Is the interactor loop done\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDone();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor3D" );
    /* Closing for GetDone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkRenderWindowInteractorCppCommand(static_cast<vtkRenderWindowInteractor *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
