// tcl wrapper for vtkWindowToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindowToImageFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkWindowToImageFilterNewCommand()
{
  vtkWindowToImageFilter *temp = vtkWindowToImageFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkWindowToImageFilterCppCommand(vtkWindowToImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkWindowToImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkWindowToImageFilterCppCommand(static_cast<vtkWindowToImageFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkWindowToImageFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkWindowToImageFilter"),vtkWindowToImageFilterNewCommand,vtkWindowToImageFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkWindowToImageFilterCppCommand(vtkWindowToImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkWindowToImageFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkWindowToImageFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowToImageFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkWindowToImageFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowToImageFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkWindowToImageFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowToImageFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
  {
    vtkWindow  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindow");
    return TCL_OK;
  }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetMagnification",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMagnification(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetMagnification",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMagnification();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
#endif
  if ((!strcmp("SetScale",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetScale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetScale",argv[1]))&&(argc == 4))
  {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
  {
    op->SetScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScale",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetScale();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetScale",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFixBoundary",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetFixBoundary(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFixBoundary",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetFixBoundary();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("FixBoundaryOn",argv[1]))&&(argc == 2))
  {
    op->FixBoundaryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("FixBoundaryOff",argv[1]))&&(argc == 2))
  {
    op->FixBoundaryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ReadFrontBufferOn",argv[1]))&&(argc == 2))
  {
    op->ReadFrontBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ReadFrontBufferOff",argv[1]))&&(argc == 2))
  {
    op->ReadFrontBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetReadFrontBuffer",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetReadFrontBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetReadFrontBuffer",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetReadFrontBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ShouldRerenderOn",argv[1]))&&(argc == 2))
  {
    op->ShouldRerenderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ShouldRerenderOff",argv[1]))&&(argc == 2))
  {
    op->ShouldRerenderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetShouldRerender",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetShouldRerender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetShouldRerender",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetShouldRerender();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 6))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
  {
    op->SetViewport(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetViewport",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetViewport();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetInputBufferType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetInputBufferType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInputBufferType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetInputBufferType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInputBufferTypeToRGB",argv[1]))&&(argc == 2))
  {
    op->SetInputBufferTypeToRGB();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetInputBufferTypeToRGBA",argv[1]))&&(argc == 2))
  {
    op->SetInputBufferTypeToRGBA();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetInputBufferTypeToZBuffer",argv[1]))&&(argc == 2))
  {
    op->SetInputBufferTypeToZBuffer();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
  {
    vtkImageData  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkWindowToImageFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkWindowToImageFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInput\n",nullptr);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetMagnification\t with 1 arg\n",nullptr);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetMagnification\n",nullptr);
#endif
    Tcl_AppendResult(interp,"  SetScale\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetScale\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetScale\n",nullptr);
    Tcl_AppendResult(interp,"  SetScale\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetFixBoundary\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFixBoundary\n",nullptr);
    Tcl_AppendResult(interp,"  FixBoundaryOn\n",nullptr);
    Tcl_AppendResult(interp,"  FixBoundaryOff\n",nullptr);
    Tcl_AppendResult(interp,"  ReadFrontBufferOn\n",nullptr);
    Tcl_AppendResult(interp,"  ReadFrontBufferOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetReadFrontBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  SetReadFrontBuffer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ShouldRerenderOn\n",nullptr);
    Tcl_AppendResult(interp,"  ShouldRerenderOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetShouldRerender\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetShouldRerender\n",nullptr);
    Tcl_AppendResult(interp,"  SetViewport\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetViewport\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputBufferType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInputBufferType\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputBufferTypeToRGB\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputBufferTypeToRGBA\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputBufferTypeToZBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutput\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
#endif
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "SetFixBoundary" );
    Tcl_DStringAppendElement ( &dString, "GetFixBoundary" );
    Tcl_DStringAppendElement ( &dString, "FixBoundaryOn" );
    Tcl_DStringAppendElement ( &dString, "FixBoundaryOff" );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOn" );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOff" );
    Tcl_DStringAppendElement ( &dString, "GetReadFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetReadFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOn" );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOff" );
    Tcl_DStringAppendElement ( &dString, "SetShouldRerender" );
    Tcl_DStringAppendElement ( &dString, "GetShouldRerender" );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferType" );
    Tcl_DStringAppendElement ( &dString, "GetInputBufferType" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGB" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGBA" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToZBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkWindowToImageFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkWindowToImageFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Indicates what renderer to get the pixel data from. Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput(vtkWindow *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Returns which renderer is being used as the source for the pixel data.\n Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkWindow *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetMagnification */
    if ( strcmp ( argv[2], "SetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnification */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by SetScale/GetScale as of VTK 8.1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnification(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetMagnification */
    if ( strcmp ( argv[2], "GetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnification */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by SetScale/GetScale as of VTK 8.1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnification();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
#endif
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScale(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScale(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScale */
    if ( strcmp ( argv[2], "GetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set same scale factors for x and y.\n i.e. same as calling this->SetScale(scale, scale).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScale(int scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFixBoundary */
    if ( strcmp ( argv[2], "SetFixBoundary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixBoundary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixBoundary */
    Tcl_DStringAppendElement ( &dString, " When scale factor > 1, this class render the full image in tiles.\n Sometimes that results in artificial artifacts at internal tile seams.\n To overcome this issue, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFixBoundary(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetFixBoundary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFixBoundary */
    if ( strcmp ( argv[2], "GetFixBoundary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFixBoundary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFixBoundary */
    Tcl_DStringAppendElement ( &dString, " When scale factor > 1, this class render the full image in tiles.\n Sometimes that results in artificial artifacts at internal tile seams.\n To overcome this issue, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetFixBoundary();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetFixBoundary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FixBoundaryOn */
    if ( strcmp ( argv[2], "FixBoundaryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FixBoundaryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FixBoundaryOn */
    Tcl_DStringAppendElement ( &dString, " When scale factor > 1, this class render the full image in tiles.\n Sometimes that results in artificial artifacts at internal tile seams.\n To overcome this issue, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FixBoundaryOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for FixBoundaryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FixBoundaryOff */
    if ( strcmp ( argv[2], "FixBoundaryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FixBoundaryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FixBoundaryOff */
    Tcl_DStringAppendElement ( &dString, " When scale factor > 1, this class render the full image in tiles.\n Sometimes that results in artificial artifacts at internal tile seams.\n To overcome this issue, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FixBoundaryOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for FixBoundaryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReadFrontBufferOn */
    if ( strcmp ( argv[2], "ReadFrontBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadFrontBufferOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReadFrontBufferOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ReadFrontBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReadFrontBufferOff */
    if ( strcmp ( argv[2], "ReadFrontBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadFrontBufferOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReadFrontBufferOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ReadFrontBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetReadFrontBuffer */
    if ( strcmp ( argv[2], "GetReadFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReadFrontBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetReadFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetReadFrontBuffer */
    if ( strcmp ( argv[2], "SetReadFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReadFrontBuffer(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetReadFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShouldRerenderOn */
    if ( strcmp ( argv[2], "ShouldRerenderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShouldRerenderOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if scale factor > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShouldRerenderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ShouldRerenderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShouldRerenderOff */
    if ( strcmp ( argv[2], "ShouldRerenderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShouldRerenderOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if scale factor > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShouldRerenderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ShouldRerenderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetShouldRerender */
    if ( strcmp ( argv[2], "SetShouldRerender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShouldRerender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShouldRerender */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if scale factor > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShouldRerender(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetShouldRerender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetShouldRerender */
    if ( strcmp ( argv[2], "GetShouldRerender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShouldRerender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShouldRerender */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if scale factor > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetShouldRerender();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetShouldRerender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetViewport */
    if ( strcmp ( argv[2], "SetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the extents to be used to generate the image. Initial value is\n {0,0,1,1} (This option does not work if scale factor > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewport(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetViewport */
    if ( strcmp ( argv[2], "GetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the extents to be used to generate the image. Initial value is\n {0,0,1,1} (This option does not work if scale factor > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputBufferType */
    if ( strcmp ( argv[2], "SetInputBufferType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferType */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA\n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputBufferType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInputBufferType */
    if ( strcmp ( argv[2], "GetInputBufferType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputBufferType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputBufferType */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA\n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInputBufferType();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetInputBufferType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputBufferTypeToRGB */
    if ( strcmp ( argv[2], "SetInputBufferTypeToRGB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferTypeToRGB */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA\n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputBufferTypeToRGB();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferTypeToRGB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputBufferTypeToRGBA */
    if ( strcmp ( argv[2], "SetInputBufferTypeToRGBA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGBA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferTypeToRGBA */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA\n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputBufferTypeToRGBA();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferTypeToRGBA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputBufferTypeToZBuffer */
    if ( strcmp ( argv[2], "SetInputBufferTypeToZBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToZBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferTypeToZBuffer */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA\n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputBufferTypeToZBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferTypeToZBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
