// tcl wrapper for vtkGenericOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericOpenGLRenderWindow.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkGenericOpenGLRenderWindowNewCommand()
{
  vtkGenericOpenGLRenderWindow *temp = vtkGenericOpenGLRenderWindow::New();
  return static_cast<ClientData>(temp);
}

int vtkOpenGLRenderWindowCppCommand(vtkOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericOpenGLRenderWindowCppCommand(vtkGenericOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkGenericOpenGLRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkGenericOpenGLRenderWindowCppCommand(static_cast<vtkGenericOpenGLRenderWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericOpenGLRenderWindow_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenericOpenGLRenderWindow"),vtkGenericOpenGLRenderWindowNewCommand,vtkGenericOpenGLRenderWindowCommand);
  return 0;
}

int VTKTCL_EXPORT vtkGenericOpenGLRenderWindowCppCommand(vtkGenericOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkGenericOpenGLRenderWindow",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkOpenGLRenderWindow"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkGenericOpenGLRenderWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericOpenGLRenderWindow");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkGenericOpenGLRenderWindow  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericOpenGLRenderWindow");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkGenericOpenGLRenderWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericOpenGLRenderWindow");
    return TCL_OK;
  }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
  {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Frame",argv[1]))&&(argc == 2))
  {
    op->Frame();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("MakeCurrent",argv[1]))&&(argc == 2))
  {
    op->MakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("IsCurrent",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->IsCurrent();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SupportsOpenGL",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->SupportsOpenGL();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsDirect",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->IsDirect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetFrontBuffer",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->SetFrontBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFrontLeftBuffer",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->SetFrontLeftBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFrontRightBuffer",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->SetFrontRightBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBackBuffer",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->SetBackBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBackLeftBuffer",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->SetBackLeftBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBackRightBuffer",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->SetBackRightBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("PushState",argv[1]))&&(argc == 2))
  {
    op->PushState();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PopState",argv[1]))&&(argc == 2))
  {
    op->PopState();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetWindowInfo",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetParentInfo",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetParentInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScreenSize",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetScreenSize();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
  {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("HideCursor",argv[1]))&&(argc == 2))
  {
    op->HideCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ShowCursor",argv[1]))&&(argc == 2))
  {
    op->ShowCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetFullScreen",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetFullScreen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("WindowRemap",argv[1]))&&(argc == 2))
  {
    op->WindowRemap();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetEventPending",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEventPending();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNextWindowInfo",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetNextWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("CreateAWindow",argv[1]))&&(argc == 2))
  {
    op->CreateAWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DestroyWindow",argv[1]))&&(argc == 2))
  {
    op->DestroyWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetIsDirect",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetIsDirect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSupportsOpenGL",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSupportsOpenGL(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetIsCurrent",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetIsCurrent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
  {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumHardwareLineWidth",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaximumHardwareLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetForceMaximumHardwareLineWidth",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetForceMaximumHardwareLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetForceMaximumHardwareLineWidthMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetForceMaximumHardwareLineWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetForceMaximumHardwareLineWidthMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetForceMaximumHardwareLineWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetForceMaximumHardwareLineWidth",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetForceMaximumHardwareLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetReadyForRendering",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetReadyForRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetReadyForRendering",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetReadyForRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetScreenSize",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetScreenSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetScreenSize",argv[1]))&&(argc == 4))
  {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
  {
    op->SetScreenSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetIsPicking",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetIsPicking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkGenericOpenGLRenderWindowCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericOpenGLRenderWindow:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  Finalize\n",nullptr);
    Tcl_AppendResult(interp,"  Frame\n",nullptr);
    Tcl_AppendResult(interp,"  MakeCurrent\n",nullptr);
    Tcl_AppendResult(interp,"  IsCurrent\n",nullptr);
    Tcl_AppendResult(interp,"  SupportsOpenGL\n",nullptr);
    Tcl_AppendResult(interp,"  IsDirect\n",nullptr);
    Tcl_AppendResult(interp,"  SetFrontBuffer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetFrontLeftBuffer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetFrontRightBuffer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetBackBuffer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetBackLeftBuffer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetBackRightBuffer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  PushState\n",nullptr);
    Tcl_AppendResult(interp,"  PopState\n",nullptr);
    Tcl_AppendResult(interp,"  SetWindowInfo\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetParentInfo\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScreenSize\n",nullptr);
    Tcl_AppendResult(interp,"  Start\n",nullptr);
    Tcl_AppendResult(interp,"  HideCursor\n",nullptr);
    Tcl_AppendResult(interp,"  ShowCursor\n",nullptr);
    Tcl_AppendResult(interp,"  SetFullScreen\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  WindowRemap\n",nullptr);
    Tcl_AppendResult(interp,"  GetEventPending\n",nullptr);
    Tcl_AppendResult(interp,"  SetNextWindowInfo\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  CreateAWindow\n",nullptr);
    Tcl_AppendResult(interp,"  DestroyWindow\n",nullptr);
    Tcl_AppendResult(interp,"  SetIsDirect\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetSupportsOpenGL\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetIsCurrent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Render\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumHardwareLineWidth\n",nullptr);
    Tcl_AppendResult(interp,"  SetForceMaximumHardwareLineWidth\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetForceMaximumHardwareLineWidthMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetForceMaximumHardwareLineWidthMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetForceMaximumHardwareLineWidth\n",nullptr);
    Tcl_AppendResult(interp,"  SetReadyForRendering\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetReadyForRendering\n",nullptr);
    Tcl_AppendResult(interp,"  SetScreenSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetScreenSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetIsPicking\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    Tcl_DStringAppendElement ( &dString, "SetFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetFrontLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetFrontRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetBackBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetBackLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetBackRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "PushState" );
    Tcl_DStringAppendElement ( &dString, "PopState" );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    Tcl_DStringAppendElement ( &dString, "GetScreenSize" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "CreateAWindow" );
    Tcl_DStringAppendElement ( &dString, "DestroyWindow" );
    Tcl_DStringAppendElement ( &dString, "SetIsDirect" );
    Tcl_DStringAppendElement ( &dString, "SetSupportsOpenGL" );
    Tcl_DStringAppendElement ( &dString, "SetIsCurrent" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHardwareLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetForceMaximumHardwareLineWidth" );
    Tcl_DStringAppendElement ( &dString, "GetForceMaximumHardwareLineWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetForceMaximumHardwareLineWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetForceMaximumHardwareLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetReadyForRendering" );
    Tcl_DStringAppendElement ( &dString, "GetReadyForRendering" );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    Tcl_DStringAppendElement ( &dString, "SetIsPicking" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericOpenGLRenderWindow *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericOpenGLRenderWindow *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Finalize */
    if ( strcmp ( argv[2], "Finalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Finalize */
    Tcl_DStringAppendElement ( &dString, " Cleans up graphics resources allocated in the context for this VTK scene.\n" );
    Tcl_DStringAppendElement ( &dString, "void Finalize() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for Finalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Frame */
    if ( strcmp ( argv[2], "Frame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Frame */
    Tcl_DStringAppendElement ( &dString, " flush the pending drawing operations\n Class user may to watch for WindowFrameEvent and act on it\n" );
    Tcl_DStringAppendElement ( &dString, "void Frame() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for Frame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MakeCurrent */
    if ( strcmp ( argv[2], "MakeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeCurrent */
    Tcl_DStringAppendElement ( &dString, " Makes the context current.  It is the class user's\n responsibility to watch for WindowMakeCurrentEvent and set it current.\n" );
    Tcl_DStringAppendElement ( &dString, "void MakeCurrent() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for MakeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsCurrent */
    if ( strcmp ( argv[2], "IsCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsCurrent */
    Tcl_DStringAppendElement ( &dString, " Returns if the context is current.  It is the class user's\n responsibility to watch for WindowIsCurrentEvent and set the bool* flag\n passed through the call data parameter.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsCurrent() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for IsCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SupportsOpenGL */
    if ( strcmp ( argv[2], "SupportsOpenGL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SupportsOpenGL */
    Tcl_DStringAppendElement ( &dString, " Returns if OpenGL is supported.  It is the class user's\n responsibility to watch for WindowSupportsOpenGLEvent and set the int* flag\n passed through the call data parameter.\n" );
    Tcl_DStringAppendElement ( &dString, "int SupportsOpenGL() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SupportsOpenGL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsDirect */
    if ( strcmp ( argv[2], "IsDirect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDirect */
    Tcl_DStringAppendElement ( &dString, " Returns if the context is direct.  It is the class user's\n responsibility to watch for WindowIsDirectEvent and set the int* flag\n passed through the call data parameter.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsDirect() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for IsDirect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFrontBuffer */
    if ( strcmp ( argv[2], "SetFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " set the drawing buffers to use\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFrontLeftBuffer */
    if ( strcmp ( argv[2], "SetFrontLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontLeftBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontLeftBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFrontLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFrontRightBuffer */
    if ( strcmp ( argv[2], "SetFrontRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontRightBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontRightBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFrontRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBackBuffer */
    if ( strcmp ( argv[2], "SetBackBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetBackBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBackLeftBuffer */
    if ( strcmp ( argv[2], "SetBackLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackLeftBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackLeftBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetBackLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBackRightBuffer */
    if ( strcmp ( argv[2], "SetBackRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackRightBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackRightBuffer(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetBackRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PushState */
    if ( strcmp ( argv[2], "PushState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PushState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PushState */
    Tcl_DStringAppendElement ( &dString, " no-op (for API compat with OpenGL1).\n" );
    Tcl_DStringAppendElement ( &dString, "void PushState();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for PushState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PopState */
    if ( strcmp ( argv[2], "PopState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PopState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PopState */
    Tcl_DStringAppendElement ( &dString, " no-op (for API compat with OpenGL1).\n" );
    Tcl_DStringAppendElement ( &dString, "void PopState();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for PopState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWindowInfo */
    if ( strcmp ( argv[2], "SetWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowInfo(char *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetParentInfo */
    if ( strcmp ( argv[2], "SetParentInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParentInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetParentInfo(char *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetParentInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScreenSize */
    if ( strcmp ( argv[2], "GetScreenSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScreenSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScreenSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetScreenSize() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetScreenSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Start() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HideCursor */
    if ( strcmp ( argv[2], "HideCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideCursor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void HideCursor() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for HideCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ShowCursor */
    if ( strcmp ( argv[2], "ShowCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowCursor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ShowCursor() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for ShowCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFullScreen */
    if ( strcmp ( argv[2], "SetFullScreen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFullScreen */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFullScreen(int) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetFullScreen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WindowRemap */
    if ( strcmp ( argv[2], "WindowRemap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WindowRemap */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void WindowRemap() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for WindowRemap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEventPending */
    if ( strcmp ( argv[2], "GetEventPending" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventPending */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetEventPending() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetEventPending */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNextWindowInfo */
    if ( strcmp ( argv[2], "SetNextWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNextWindowInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNextWindowInfo(char *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetNextWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateAWindow */
    if ( strcmp ( argv[2], "CreateAWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateAWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateAWindow */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void CreateAWindow() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for CreateAWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DestroyWindow */
    if ( strcmp ( argv[2], "DestroyWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DestroyWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DestroyWindow */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DestroyWindow() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for DestroyWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIsDirect */
    if ( strcmp ( argv[2], "SetIsDirect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIsDirect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIsDirect */
    Tcl_DStringAppendElement ( &dString, " Allow to update state within observer callback without changing\n data argument and MTime.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIsDirect(int newValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetIsDirect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSupportsOpenGL */
    if ( strcmp ( argv[2], "SetSupportsOpenGL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSupportsOpenGL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSupportsOpenGL */
    Tcl_DStringAppendElement ( &dString, " Allow to update state within observer callback without changing\n data argument and MTime.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSupportsOpenGL(int newValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetSupportsOpenGL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIsCurrent */
    if ( strcmp ( argv[2], "SetIsCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIsCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIsCurrent */
    Tcl_DStringAppendElement ( &dString, " Allow to update state within observer callback without changing\n data argument and MTime.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIsCurrent(bool newValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetIsCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Override the Render method to do some state management.\n This method saves the OpenGL state before asking its child renderers to\n render their image. Once this is done, the OpenGL state is restored.\n \\sa vtkOpenGLRenderWindow::SaveGLState()\n \\sa vtkOpenGLRenderWindow::RestoreGLState()\n" );
    Tcl_DStringAppendElement ( &dString, "void Render() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumHardwareLineWidth */
    if ( strcmp ( argv[2], "GetMaximumHardwareLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHardwareLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumHardwareLineWidth */
    Tcl_DStringAppendElement ( &dString, " Overridden to pass explicitly specified MaximumHardwareLineWidth, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumHardwareLineWidth() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetMaximumHardwareLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetForceMaximumHardwareLineWidth */
    if ( strcmp ( argv[2], "SetForceMaximumHardwareLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceMaximumHardwareLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceMaximumHardwareLineWidth */
    Tcl_DStringAppendElement ( &dString, " Specificy a non-zero line width to force the hardware line width determined\n by the window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetForceMaximumHardwareLineWidth(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetForceMaximumHardwareLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetForceMaximumHardwareLineWidthMinValue */
    if ( strcmp ( argv[2], "GetForceMaximumHardwareLineWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceMaximumHardwareLineWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceMaximumHardwareLineWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specificy a non-zero line width to force the hardware line width determined\n by the window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetForceMaximumHardwareLineWidthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetForceMaximumHardwareLineWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetForceMaximumHardwareLineWidthMaxValue */
    if ( strcmp ( argv[2], "GetForceMaximumHardwareLineWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceMaximumHardwareLineWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceMaximumHardwareLineWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specificy a non-zero line width to force the hardware line width determined\n by the window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetForceMaximumHardwareLineWidthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetForceMaximumHardwareLineWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetForceMaximumHardwareLineWidth */
    if ( strcmp ( argv[2], "GetForceMaximumHardwareLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceMaximumHardwareLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceMaximumHardwareLineWidth */
    Tcl_DStringAppendElement ( &dString, " Specificy a non-zero line width to force the hardware line width determined\n by the window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetForceMaximumHardwareLineWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetForceMaximumHardwareLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetReadyForRendering */
    if ( strcmp ( argv[2], "SetReadyForRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadyForRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadyForRendering */
    Tcl_DStringAppendElement ( &dString, " Set this to true to indicate that the context is now ready. For backwards\n compatibility reasons, it's set to true by default. If set to false, the\n `Render` call will be skipped entirely.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReadyForRendering(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetReadyForRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetReadyForRendering */
    if ( strcmp ( argv[2], "GetReadyForRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadyForRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadyForRendering */
    Tcl_DStringAppendElement ( &dString, " Set this to true to indicate that the context is now ready. For backwards\n compatibility reasons, it's set to true by default. If set to false, the\n `Render` call will be skipped entirely.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetReadyForRendering();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for GetReadyForRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScreenSize */
    if ( strcmp ( argv[2], "SetScreenSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScreenSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScreenSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetScreenSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScreenSize */
    if ( strcmp ( argv[2], "SetScreenSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScreenSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetScreenSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetScreenSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIsPicking */
    if ( strcmp ( argv[2], "SetIsPicking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIsPicking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIsPicking */
    Tcl_DStringAppendElement ( &dString, " Overridden to invoke vtkCommand::StartPickEvent and\n vtkCommand::EndPickEvent.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIsPicking(int isPicking) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLRenderWindow" );
    /* Closing for SetIsPicking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
