#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkClientServerCompositePass_TclCreate(Tcl_Interp *interp);
int vtkClientServerSynchronizedRenderers_TclCreate(Tcl_Interp *interp);
int vtkCompositedSynchronizedRenderers_TclCreate(Tcl_Interp *interp);
int vtkCompositer_TclCreate(Tcl_Interp *interp);
int vtkCompositeRenderManager_TclCreate(Tcl_Interp *interp);
int vtkCompressCompositer_TclCreate(Tcl_Interp *interp);
int vtkParallelRenderManager_TclCreate(Tcl_Interp *interp);
int vtkPHardwareSelector_TclCreate(Tcl_Interp *interp);
int vtkSynchronizedRenderers_TclCreate(Tcl_Interp *interp);
int vtkSynchronizedRenderWindows_TclCreate(Tcl_Interp *interp);
int vtkTreeCompositer_TclCreate(Tcl_Interp *interp);
int vtkImageRenderManager_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkrenderingparalleltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkrenderingparalleltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkrenderingparalleltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkrenderingparalleltcl_Init(interp);
}


int VTK_EXPORT Vtkrenderingparalleltcl_Init(Tcl_Interp *interp)
{

  vtkClientServerCompositePass_TclCreate(interp);
  vtkClientServerSynchronizedRenderers_TclCreate(interp);
  vtkCompositedSynchronizedRenderers_TclCreate(interp);
  vtkCompositer_TclCreate(interp);
  vtkCompositeRenderManager_TclCreate(interp);
  vtkCompressCompositer_TclCreate(interp);
  vtkParallelRenderManager_TclCreate(interp);
  vtkPHardwareSelector_TclCreate(interp);
  vtkSynchronizedRenderers_TclCreate(interp);
  vtkSynchronizedRenderWindows_TclCreate(interp);
  vtkTreeCompositer_TclCreate(interp);
  vtkImageRenderManager_TclCreate(interp);
  char pkgName[]="vtkRenderingParallelTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
