// tcl wrapper for vtkGPUVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGPUVolumeRayCastMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkGPUVolumeRayCastMapperNewCommand()
{
  vtkGPUVolumeRayCastMapper *temp = vtkGPUVolumeRayCastMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGPUVolumeRayCastMapperCppCommand(vtkGPUVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkGPUVolumeRayCastMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkGPUVolumeRayCastMapperCppCommand(static_cast<vtkGPUVolumeRayCastMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGPUVolumeRayCastMapper_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkGPUVolumeRayCastMapper"),vtkGPUVolumeRayCastMapperNewCommand,vtkGPUVolumeRayCastMapperCommand);
  return 0;
}

int VTKTCL_EXPORT vtkGPUVolumeRayCastMapperCppCommand(vtkGPUVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkGPUVolumeRayCastMapper",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkGPUVolumeRayCastMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGPUVolumeRayCastMapper");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkGPUVolumeRayCastMapper  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGPUVolumeRayCastMapper");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkGPUVolumeRayCastMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGPUVolumeRayCastMapper");
    return TCL_OK;
  }
  if ((!strcmp("SetAutoAdjustSampleDistances",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAutoAdjustSampleDistances(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAutoAdjustSampleDistancesMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetAutoAdjustSampleDistancesMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetAutoAdjustSampleDistances",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistances();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AutoAdjustSampleDistancesOn",argv[1]))&&(argc == 2))
  {
    op->AutoAdjustSampleDistancesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AutoAdjustSampleDistancesOff",argv[1]))&&(argc == 2))
  {
    op->AutoAdjustSampleDistancesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLockSampleDistanceToInputSpacing",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetLockSampleDistanceToInputSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLockSampleDistanceToInputSpacingMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLockSampleDistanceToInputSpacingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLockSampleDistanceToInputSpacingMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLockSampleDistanceToInputSpacingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLockSampleDistanceToInputSpacing",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLockSampleDistanceToInputSpacing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LockSampleDistanceToInputSpacingOn",argv[1]))&&(argc == 2))
  {
    op->LockSampleDistanceToInputSpacingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LockSampleDistanceToInputSpacingOff",argv[1]))&&(argc == 2))
  {
    op->LockSampleDistanceToInputSpacingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetUseJittering",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetUseJittering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseJitteringMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseJitteringMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetUseJitteringMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseJitteringMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetUseJittering",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseJittering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseJitteringOn",argv[1]))&&(argc == 2))
  {
    op->UseJitteringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseJitteringOff",argv[1]))&&(argc == 2))
  {
    op->UseJitteringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetUseDepthPass",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetUseDepthPass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseDepthPassMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseDepthPassMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetUseDepthPassMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseDepthPassMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetUseDepthPass",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseDepthPass();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseDepthPassOn",argv[1]))&&(argc == 2))
  {
    op->UseDepthPassOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseDepthPassOff",argv[1]))&&(argc == 2))
  {
    op->UseDepthPassOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetDepthPassContourValues",argv[1]))&&(argc == 2))
  {
    vtkContourValues  *temp20;
    temp20 = (op)->GetDepthPassContourValues();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourValues");
    return TCL_OK;
  }
  if ((!strcmp("SetSampleDistance",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSampleDistance",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetImageSampleDistance",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetImageSampleDistance",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMinimumImageSampleDistance",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMinimumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinimumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMinimumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMinimumImageSampleDistance",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumImageSampleDistance",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMaximumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumImageSampleDistance",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetFinalColorWindow",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetFinalColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFinalColorWindow",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetFinalColorWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetFinalColorLevel",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetFinalColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFinalColorLevel",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetFinalColorLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaxMemoryInBytes",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaxMemoryInBytes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaxMemoryInBytes",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxMemoryInBytes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaxMemoryFraction",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMaxMemoryFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaxMemoryFractionMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFractionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxMemoryFractionMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFractionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxMemoryFraction",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFraction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetReportProgress",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetReportProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetReportProgress",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetReportProgress();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsRenderSupported",argv[1]))&&(argc == 4))
  {
    vtkRenderWindow  *temp0;
    vtkVolumeProperty  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    temp1 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolumeProperty"),interp,error));
    if (!error)
  {
    temp20 = (op)->IsRenderSupported(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetMaskInput",argv[1]))&&(argc == 3))
  {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
  {
    op->SetMaskInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaskInput",argv[1]))&&(argc == 2))
  {
    vtkImageData  *temp20;
    temp20 = (op)->GetMaskInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
  }
  if ((!strcmp("SetMaskType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaskType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaskType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaskType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaskTypeToBinary",argv[1]))&&(argc == 2))
  {
    op->SetMaskTypeToBinary();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMaskTypeToLabelMap",argv[1]))&&(argc == 2))
  {
    op->SetMaskTypeToLabelMap();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetMaskBlendFactor",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMaskBlendFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaskBlendFactorMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaskBlendFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaskBlendFactorMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaskBlendFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaskBlendFactor",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaskBlendFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRenderToImage",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetRenderToImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRenderToImage",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetRenderToImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("RenderToImageOn",argv[1]))&&(argc == 2))
  {
    op->RenderToImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RenderToImageOff",argv[1]))&&(argc == 2))
  {
    op->RenderToImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDepthImageScalarType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDepthImageScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDepthImageScalarType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDepthImageScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDepthImageScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
  {
    op->SetDepthImageScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDepthImageScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
  {
    op->SetDepthImageScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDepthImageScalarTypeToFloat",argv[1]))&&(argc == 2))
  {
    op->SetDepthImageScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetClampDepthToBackface",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetClampDepthToBackface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetClampDepthToBackface",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetClampDepthToBackface();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ClampDepthToBackfaceOn",argv[1]))&&(argc == 2))
  {
    op->ClampDepthToBackfaceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ClampDepthToBackfaceOff",argv[1]))&&(argc == 2))
  {
    op->ClampDepthToBackfaceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetDepthImage",argv[1]))&&(argc == 3))
  {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
  {
    op->GetDepthImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColorImage",argv[1]))&&(argc == 3))
  {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
  {
    op->GetColorImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
  {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GPURender",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
  {
    op->GPURender(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetReductionRatio",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->GetReductionRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetColorRangeType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetColorRangeType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColorRangeType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetColorRangeType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetScalarOpacityRangeType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetScalarOpacityRangeType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarOpacityRangeType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetScalarOpacityRangeType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetGradientOpacityRangeType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetGradientOpacityRangeType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGradientOpacityRangeType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetGradientOpacityRangeType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkGPUVolumeRayCastMapperCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGPUVolumeRayCastMapper:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetAutoAdjustSampleDistances\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistances\n",nullptr);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOn\n",nullptr);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLockSampleDistanceToInputSpacing\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLockSampleDistanceToInputSpacingMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetLockSampleDistanceToInputSpacingMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetLockSampleDistanceToInputSpacing\n",nullptr);
    Tcl_AppendResult(interp,"  LockSampleDistanceToInputSpacingOn\n",nullptr);
    Tcl_AppendResult(interp,"  LockSampleDistanceToInputSpacingOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseJittering\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseJitteringMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseJitteringMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseJittering\n",nullptr);
    Tcl_AppendResult(interp,"  UseJitteringOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseJitteringOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseDepthPass\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseDepthPassMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseDepthPassMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseDepthPass\n",nullptr);
    Tcl_AppendResult(interp,"  UseDepthPassOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseDepthPassOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetDepthPassContourValues\n",nullptr);
    Tcl_AppendResult(interp,"  SetSampleDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSampleDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetImageSampleDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetImageSampleDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinimumImageSampleDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumImageSampleDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetFinalColorWindow\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFinalColorWindow\n",nullptr);
    Tcl_AppendResult(interp,"  SetFinalColorLevel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFinalColorLevel\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaxMemoryInBytes\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxMemoryInBytes\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaxMemoryFraction\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxMemoryFractionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxMemoryFractionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxMemoryFraction\n",nullptr);
    Tcl_AppendResult(interp,"  SetReportProgress\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetReportProgress\n",nullptr);
    Tcl_AppendResult(interp,"  IsRenderSupported\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaskInput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaskInput\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaskType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaskType\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaskTypeToBinary\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaskTypeToLabelMap\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaskBlendFactor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaskBlendFactorMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaskBlendFactorMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaskBlendFactor\n",nullptr);
    Tcl_AppendResult(interp,"  SetRenderToImage\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRenderToImage\n",nullptr);
    Tcl_AppendResult(interp,"  RenderToImageOn\n",nullptr);
    Tcl_AppendResult(interp,"  RenderToImageOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDepthImageScalarType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDepthImageScalarType\n",nullptr);
    Tcl_AppendResult(interp,"  SetDepthImageScalarTypeToUnsignedChar\n",nullptr);
    Tcl_AppendResult(interp,"  SetDepthImageScalarTypeToUnsignedShort\n",nullptr);
    Tcl_AppendResult(interp,"  SetDepthImageScalarTypeToFloat\n",nullptr);
    Tcl_AppendResult(interp,"  SetClampDepthToBackface\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetClampDepthToBackface\n",nullptr);
    Tcl_AppendResult(interp,"  ClampDepthToBackfaceOn\n",nullptr);
    Tcl_AppendResult(interp,"  ClampDepthToBackfaceOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetDepthImage\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetColorImage\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GPURender\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetReductionRatio\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetColorRangeType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetColorRangeType\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarOpacityRangeType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarOpacityRangeType\n",nullptr);
    Tcl_AppendResult(interp,"  SetGradientOpacityRangeType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGradientOpacityRangeType\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    Tcl_DStringAppendElement ( &dString, "SetLockSampleDistanceToInputSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacing" );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOn" );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseJittering" );
    Tcl_DStringAppendElement ( &dString, "GetUseJitteringMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetUseJitteringMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetUseJittering" );
    Tcl_DStringAppendElement ( &dString, "UseJitteringOn" );
    Tcl_DStringAppendElement ( &dString, "UseJitteringOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthPass" );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPassMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPassMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPass" );
    Tcl_DStringAppendElement ( &dString, "UseDepthPassOn" );
    Tcl_DStringAppendElement ( &dString, "UseDepthPassOff" );
    Tcl_DStringAppendElement ( &dString, "GetDepthPassContourValues" );
    Tcl_DStringAppendElement ( &dString, "SetSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryInBytes" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryInBytes" );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryFraction" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFraction" );
    Tcl_DStringAppendElement ( &dString, "SetReportProgress" );
    Tcl_DStringAppendElement ( &dString, "GetReportProgress" );
    Tcl_DStringAppendElement ( &dString, "IsRenderSupported" );
    Tcl_DStringAppendElement ( &dString, "SetMaskInput" );
    Tcl_DStringAppendElement ( &dString, "GetMaskInput" );
    Tcl_DStringAppendElement ( &dString, "SetMaskType" );
    Tcl_DStringAppendElement ( &dString, "GetMaskType" );
    Tcl_DStringAppendElement ( &dString, "SetMaskTypeToBinary" );
    Tcl_DStringAppendElement ( &dString, "SetMaskTypeToLabelMap" );
    Tcl_DStringAppendElement ( &dString, "SetMaskBlendFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactor" );
    Tcl_DStringAppendElement ( &dString, "SetRenderToImage" );
    Tcl_DStringAppendElement ( &dString, "GetRenderToImage" );
    Tcl_DStringAppendElement ( &dString, "RenderToImageOn" );
    Tcl_DStringAppendElement ( &dString, "RenderToImageOff" );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetDepthImageScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetClampDepthToBackface" );
    Tcl_DStringAppendElement ( &dString, "GetClampDepthToBackface" );
    Tcl_DStringAppendElement ( &dString, "ClampDepthToBackfaceOn" );
    Tcl_DStringAppendElement ( &dString, "ClampDepthToBackfaceOff" );
    Tcl_DStringAppendElement ( &dString, "GetDepthImage" );
    Tcl_DStringAppendElement ( &dString, "GetColorImage" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "GPURender" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetReductionRatio" );
    Tcl_DStringAppendElement ( &dString, "SetColorRangeType" );
    Tcl_DStringAppendElement ( &dString, "GetColorRangeType" );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityRangeType" );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityRangeType" );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacityRangeType" );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityRangeType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGPUVolumeRayCastMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGPUVolumeRayCastMapper *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "SetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAutoAdjustSampleDistances(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAutoAdjustSampleDistancesMinValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMinValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAutoAdjustSampleDistancesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAutoAdjustSampleDistancesMaxValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMaxValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAutoAdjustSampleDistancesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAutoAdjustSampleDistances();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AutoAdjustSampleDistancesOn */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOn */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AutoAdjustSampleDistancesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AutoAdjustSampleDistancesOff */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOff */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AutoAdjustSampleDistancesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLockSampleDistanceToInputSpacing */
    if ( strcmp ( argv[2], "SetLockSampleDistanceToInputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLockSampleDistanceToInputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLockSampleDistanceToInputSpacing */
    Tcl_DStringAppendElement ( &dString, " Compute the sample distance from the data spacing.  When the number of\n voxels is 8, the sample distance will be roughly 1/200 the average voxel\n size. The distance will grow proportionally to numVoxels^(1/3). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLockSampleDistanceToInputSpacing(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetLockSampleDistanceToInputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLockSampleDistanceToInputSpacingMinValue */
    if ( strcmp ( argv[2], "GetLockSampleDistanceToInputSpacingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockSampleDistanceToInputSpacingMinValue */
    Tcl_DStringAppendElement ( &dString, " Compute the sample distance from the data spacing.  When the number of\n voxels is 8, the sample distance will be roughly 1/200 the average voxel\n size. The distance will grow proportionally to numVoxels^(1/3). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLockSampleDistanceToInputSpacingMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetLockSampleDistanceToInputSpacingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLockSampleDistanceToInputSpacingMaxValue */
    if ( strcmp ( argv[2], "GetLockSampleDistanceToInputSpacingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockSampleDistanceToInputSpacingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Compute the sample distance from the data spacing.  When the number of\n voxels is 8, the sample distance will be roughly 1/200 the average voxel\n size. The distance will grow proportionally to numVoxels^(1/3). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLockSampleDistanceToInputSpacingMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetLockSampleDistanceToInputSpacingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLockSampleDistanceToInputSpacing */
    if ( strcmp ( argv[2], "GetLockSampleDistanceToInputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockSampleDistanceToInputSpacing */
    Tcl_DStringAppendElement ( &dString, " Compute the sample distance from the data spacing.  When the number of\n voxels is 8, the sample distance will be roughly 1/200 the average voxel\n size. The distance will grow proportionally to numVoxels^(1/3). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLockSampleDistanceToInputSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetLockSampleDistanceToInputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LockSampleDistanceToInputSpacingOn */
    if ( strcmp ( argv[2], "LockSampleDistanceToInputSpacingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockSampleDistanceToInputSpacingOn */
    Tcl_DStringAppendElement ( &dString, " Compute the sample distance from the data spacing.  When the number of\n voxels is 8, the sample distance will be roughly 1/200 the average voxel\n size. The distance will grow proportionally to numVoxels^(1/3). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LockSampleDistanceToInputSpacingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for LockSampleDistanceToInputSpacingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LockSampleDistanceToInputSpacingOff */
    if ( strcmp ( argv[2], "LockSampleDistanceToInputSpacingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockSampleDistanceToInputSpacingOff */
    Tcl_DStringAppendElement ( &dString, " Compute the sample distance from the data spacing.  When the number of\n voxels is 8, the sample distance will be roughly 1/200 the average voxel\n size. The distance will grow proportionally to numVoxels^(1/3). Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LockSampleDistanceToInputSpacingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for LockSampleDistanceToInputSpacingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseJittering */
    if ( strcmp ( argv[2], "SetUseJittering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseJittering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseJittering */
    Tcl_DStringAppendElement ( &dString, " If UseJittering is on, each ray traversal direction will be\n perturbed slightly using a noise-texture to get rid of wood-grain\n effect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseJittering(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetUseJittering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseJitteringMinValue */
    if ( strcmp ( argv[2], "GetUseJitteringMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseJitteringMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseJitteringMinValue */
    Tcl_DStringAppendElement ( &dString, " If UseJittering is on, each ray traversal direction will be\n perturbed slightly using a noise-texture to get rid of wood-grain\n effect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseJitteringMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetUseJitteringMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseJitteringMaxValue */
    if ( strcmp ( argv[2], "GetUseJitteringMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseJitteringMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseJitteringMaxValue */
    Tcl_DStringAppendElement ( &dString, " If UseJittering is on, each ray traversal direction will be\n perturbed slightly using a noise-texture to get rid of wood-grain\n effect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseJitteringMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetUseJitteringMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseJittering */
    if ( strcmp ( argv[2], "GetUseJittering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseJittering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseJittering */
    Tcl_DStringAppendElement ( &dString, " If UseJittering is on, each ray traversal direction will be\n perturbed slightly using a noise-texture to get rid of wood-grain\n effect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseJittering();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetUseJittering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseJitteringOn */
    if ( strcmp ( argv[2], "UseJitteringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseJitteringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseJitteringOn */
    Tcl_DStringAppendElement ( &dString, " If UseJittering is on, each ray traversal direction will be\n perturbed slightly using a noise-texture to get rid of wood-grain\n effect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseJitteringOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for UseJitteringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseJitteringOff */
    if ( strcmp ( argv[2], "UseJitteringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseJitteringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseJitteringOff */
    Tcl_DStringAppendElement ( &dString, " If UseJittering is on, each ray traversal direction will be\n perturbed slightly using a noise-texture to get rid of wood-grain\n effect.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseJitteringOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for UseJitteringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseDepthPass */
    if ( strcmp ( argv[2], "SetUseDepthPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDepthPass */
    Tcl_DStringAppendElement ( &dString, " If UseDepthPass is on, the mapper will use two passes. In the first\n pass, an isocontour depth buffer will be utilized as starting point\n for ray-casting hence eliminating traversal on voxels that are\n not going to participate in final rendering. UseDepthPass requires\n reasonable contour values to be set which can be set by calling\n GetDepthPassContourValues() method and using vtkControurValues API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseDepthPass(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetUseDepthPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseDepthPassMinValue */
    if ( strcmp ( argv[2], "GetUseDepthPassMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPassMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDepthPassMinValue */
    Tcl_DStringAppendElement ( &dString, " If UseDepthPass is on, the mapper will use two passes. In the first\n pass, an isocontour depth buffer will be utilized as starting point\n for ray-casting hence eliminating traversal on voxels that are\n not going to participate in final rendering. UseDepthPass requires\n reasonable contour values to be set which can be set by calling\n GetDepthPassContourValues() method and using vtkControurValues API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseDepthPassMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetUseDepthPassMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseDepthPassMaxValue */
    if ( strcmp ( argv[2], "GetUseDepthPassMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPassMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDepthPassMaxValue */
    Tcl_DStringAppendElement ( &dString, " If UseDepthPass is on, the mapper will use two passes. In the first\n pass, an isocontour depth buffer will be utilized as starting point\n for ray-casting hence eliminating traversal on voxels that are\n not going to participate in final rendering. UseDepthPass requires\n reasonable contour values to be set which can be set by calling\n GetDepthPassContourValues() method and using vtkControurValues API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseDepthPassMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetUseDepthPassMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseDepthPass */
    if ( strcmp ( argv[2], "GetUseDepthPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDepthPass */
    Tcl_DStringAppendElement ( &dString, " If UseDepthPass is on, the mapper will use two passes. In the first\n pass, an isocontour depth buffer will be utilized as starting point\n for ray-casting hence eliminating traversal on voxels that are\n not going to participate in final rendering. UseDepthPass requires\n reasonable contour values to be set which can be set by calling\n GetDepthPassContourValues() method and using vtkControurValues API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseDepthPass();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetUseDepthPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseDepthPassOn */
    if ( strcmp ( argv[2], "UseDepthPassOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthPassOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthPassOn */
    Tcl_DStringAppendElement ( &dString, " If UseDepthPass is on, the mapper will use two passes. In the first\n pass, an isocontour depth buffer will be utilized as starting point\n for ray-casting hence eliminating traversal on voxels that are\n not going to participate in final rendering. UseDepthPass requires\n reasonable contour values to be set which can be set by calling\n GetDepthPassContourValues() method and using vtkControurValues API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseDepthPassOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for UseDepthPassOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseDepthPassOff */
    if ( strcmp ( argv[2], "UseDepthPassOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthPassOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthPassOff */
    Tcl_DStringAppendElement ( &dString, " If UseDepthPass is on, the mapper will use two passes. In the first\n pass, an isocontour depth buffer will be utilized as starting point\n for ray-casting hence eliminating traversal on voxels that are\n not going to participate in final rendering. UseDepthPass requires\n reasonable contour values to be set which can be set by calling\n GetDepthPassContourValues() method and using vtkControurValues API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseDepthPassOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for UseDepthPassOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDepthPassContourValues */
    if ( strcmp ( argv[2], "GetDepthPassContourValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthPassContourValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthPassContourValues */
    Tcl_DStringAppendElement ( &dString, " Return handle to contour values container so\n that values can be set by the application. Contour values\n will be used only when UseDepthPass is on.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContourValues *GetDepthPassContourValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetDepthPassContourValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSampleDistance */
    if ( strcmp ( argv[2], "SetSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples used for rendering\n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSampleDistance(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSampleDistance */
    if ( strcmp ( argv[2], "GetSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples used for rendering\n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetImageSampleDistance */
    if ( strcmp ( argv[2], "SetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageSampleDistance(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetImageSampleDistance */
    if ( strcmp ( argv[2], "GetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinimumImageSampleDistance(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMinimumImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMinimumImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMinimumImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumImageSampleDistance(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaximumImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaximumImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaximumImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFinalColorWindow */
    if ( strcmp ( argv[2], "SetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFinalColorWindow(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFinalColorWindow */
    if ( strcmp ( argv[2], "GetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetFinalColorWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFinalColorLevel */
    if ( strcmp ( argv[2], "SetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFinalColorLevel(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFinalColorLevel */
    if ( strcmp ( argv[2], "GetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetFinalColorLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaxMemoryInBytes */
    if ( strcmp ( argv[2], "SetMaxMemoryInBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryInBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxMemoryInBytes */
    Tcl_DStringAppendElement ( &dString, " Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaxMemoryInBytes(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaxMemoryInBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxMemoryInBytes */
    if ( strcmp ( argv[2], "GetMaxMemoryInBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryInBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryInBytes */
    Tcl_DStringAppendElement ( &dString, " Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaxMemoryInBytes();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryInBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaxMemoryFraction */
    if ( strcmp ( argv[2], "SetMaxMemoryFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxMemoryFraction */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaxMemoryFraction(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaxMemoryFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxMemoryFractionMinValue */
    if ( strcmp ( argv[2], "GetMaxMemoryFractionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFractionMinValue */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaxMemoryFractionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryFractionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxMemoryFractionMaxValue */
    if ( strcmp ( argv[2], "GetMaxMemoryFractionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFractionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaxMemoryFractionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryFractionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxMemoryFraction */
    if ( strcmp ( argv[2], "GetMaxMemoryFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFraction */
    Tcl_DStringAppendElement ( &dString, " Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaxMemoryFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaxMemoryFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetReportProgress */
    if ( strcmp ( argv[2], "SetReportProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReportProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReportProgress */
    Tcl_DStringAppendElement ( &dString, " Tells if the mapper will report intermediate progress.\n Initial value is true. As the progress works with a GL blocking\n call (glFinish()), this can be useful for huge dataset but can\n slow down rendering of small dataset. It should be set to true\n for big dataset or complex shading and streaming but to false for\n small datasets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReportProgress(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetReportProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetReportProgress */
    if ( strcmp ( argv[2], "GetReportProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReportProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReportProgress */
    Tcl_DStringAppendElement ( &dString, " Tells if the mapper will report intermediate progress.\n Initial value is true. As the progress works with a GL blocking\n call (glFinish()), this can be useful for huge dataset but can\n slow down rendering of small dataset. It should be set to true\n for big dataset or complex shading and streaming but to false for\n small datasets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetReportProgress();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetReportProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsRenderSupported */
    if ( strcmp ( argv[2], "IsRenderSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsRenderSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsRenderSupported */
    Tcl_DStringAppendElement ( &dString, " Based on hardware and properties, we may or may not be able to\n render using 3D texture mapping. This indicates if 3D texture\n mapping is supported by the hardware, and if the other extensions\n necessary to support the specific properties are available.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsRenderSupported(vtkRenderWindow *window, vtkVolumeProperty *property);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for IsRenderSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaskInput */
    if ( strcmp ( argv[2], "SetMaskInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskInput */
    Tcl_DStringAppendElement ( &dString, " Optionally, set a mask input. This mask may be a binary mask or a label\n map. This must be specified via SetMaskType.\n\n * If the mask is a binary mask, the volume rendering is confined to regions\n * within the binary mask. The binary mask is assumed to have a datatype of\n * UCHAR and values of 255 (inside) and 0 (outside).\n\n * The mask may also be a label map. The label map is allowed to contain only\n * 3 labels (values of 0, 1 and 2) and must have a datatype of UCH ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskInput(vtkImageData *mask);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaskInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaskInput */
    if ( strcmp ( argv[2], "GetMaskInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskInput */
    Tcl_DStringAppendElement ( &dString, " Optionally, set a mask input. This mask may be a binary mask or a label\n map. This must be specified via SetMaskType.\n\n * If the mask is a binary mask, the volume rendering is confined to regions\n * within the binary mask. The binary mask is assumed to have a datatype of\n * UCHAR and values of 255 (inside) and 0 (outside).\n\n * The mask may also be a label map. The label map is allowed to contain only\n * 3 labels (values of 0, 1 and 2) and must have a datatype of UCH ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageData *GetMaskInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaskType */
    if ( strcmp ( argv[2], "SetMaskType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskType */
    Tcl_DStringAppendElement ( &dString, " Set the mask type, if mask is to be used. See documentation for\n SetMaskInput(). The default is a LabelMapMaskType.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaskType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaskType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaskType */
    if ( strcmp ( argv[2], "GetMaskType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskType */
    Tcl_DStringAppendElement ( &dString, " Set the mask type, if mask is to be used. See documentation for\n SetMaskInput(). The default is a LabelMapMaskType.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaskType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaskTypeToBinary */
    if ( strcmp ( argv[2], "SetMaskTypeToBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskTypeToBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskTypeToBinary */
    Tcl_DStringAppendElement ( &dString, " Set the mask type, if mask is to be used. See documentation for\n SetMaskInput(). The default is a LabelMapMaskType.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskTypeToBinary();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaskTypeToBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaskTypeToLabelMap */
    if ( strcmp ( argv[2], "SetMaskTypeToLabelMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskTypeToLabelMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskTypeToLabelMap */
    Tcl_DStringAppendElement ( &dString, " Set the mask type, if mask is to be used. See documentation for\n SetMaskInput(). The default is a LabelMapMaskType.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskTypeToLabelMap();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaskTypeToLabelMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaskBlendFactor */
    if ( strcmp ( argv[2], "SetMaskBlendFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskBlendFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskBlendFactor */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true. This is relevant\n only for the label map mask.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color transfer function.\n The default value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaskBlendFactor(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetMaskBlendFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaskBlendFactorMinValue */
    if ( strcmp ( argv[2], "GetMaskBlendFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskBlendFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true. This is relevant\n only for the label map mask.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color transfer function.\n The default value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaskBlendFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskBlendFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaskBlendFactorMaxValue */
    if ( strcmp ( argv[2], "GetMaskBlendFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskBlendFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true. This is relevant\n only for the label map mask.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color transfer function.\n The default value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaskBlendFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskBlendFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaskBlendFactor */
    if ( strcmp ( argv[2], "GetMaskBlendFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskBlendFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskBlendFactor */
    Tcl_DStringAppendElement ( &dString, " Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true. This is relevant\n only for the label map mask.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color transfer function.\n The default value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaskBlendFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetMaskBlendFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRenderToImage */
    if ( strcmp ( argv[2], "SetRenderToImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderToImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderToImage */
    Tcl_DStringAppendElement ( &dString, " Enable or disable setting output of volume rendering to be\n color and depth textures. By default this is set to 0 (off).\n It should be noted that it is possible that underlying API specific\n mapper may not supoport RenderToImage mode.\n \\warning\n \\li This method ignores any other volumes / props in the scene.\n \\li This method does not respect the general attributes of the\n scene i.e. background color, etc. It always produces a color\n image that has a transparent w ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderToImage(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetRenderToImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRenderToImage */
    if ( strcmp ( argv[2], "GetRenderToImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderToImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderToImage */
    Tcl_DStringAppendElement ( &dString, " Enable or disable setting output of volume rendering to be\n color and depth textures. By default this is set to 0 (off).\n It should be noted that it is possible that underlying API specific\n mapper may not supoport RenderToImage mode.\n \\warning\n \\li This method ignores any other volumes / props in the scene.\n \\li This method does not respect the general attributes of the\n scene i.e. background color, etc. It always produces a color\n image that has a transparent w ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRenderToImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetRenderToImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderToImageOn */
    if ( strcmp ( argv[2], "RenderToImageOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderToImageOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderToImageOn */
    Tcl_DStringAppendElement ( &dString, " Enable or disable setting output of volume rendering to be\n color and depth textures. By default this is set to 0 (off).\n It should be noted that it is possible that underlying API specific\n mapper may not supoport RenderToImage mode.\n \\warning\n \\li This method ignores any other volumes / props in the scene.\n \\li This method does not respect the general attributes of the\n scene i.e. background color, etc. It always produces a color\n image that has a transparent w ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderToImageOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for RenderToImageOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderToImageOff */
    if ( strcmp ( argv[2], "RenderToImageOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderToImageOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderToImageOff */
    Tcl_DStringAppendElement ( &dString, " Enable or disable setting output of volume rendering to be\n color and depth textures. By default this is set to 0 (off).\n It should be noted that it is possible that underlying API specific\n mapper may not supoport RenderToImage mode.\n \\warning\n \\li This method ignores any other volumes / props in the scene.\n \\li This method does not respect the general attributes of the\n scene i.e. background color, etc. It always produces a color\n image that has a transparent w ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderToImageOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for RenderToImageOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDepthImageScalarType */
    if ( strcmp ( argv[2], "SetDepthImageScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthImageScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar type of the depth texture in RenderToImage mode.\n By default, the type if VTK_FLOAT.\n \\sa SetRenderToImage()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDepthImageScalarType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetDepthImageScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDepthImageScalarType */
    if ( strcmp ( argv[2], "GetDepthImageScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthImageScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthImageScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar type of the depth texture in RenderToImage mode.\n By default, the type if VTK_FLOAT.\n \\sa SetRenderToImage()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDepthImageScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetDepthImageScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDepthImageScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetDepthImageScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthImageScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar type of the depth texture in RenderToImage mode.\n By default, the type if VTK_FLOAT.\n \\sa SetRenderToImage()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthImageScalarTypeToUnsignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetDepthImageScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDepthImageScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetDepthImageScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthImageScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar type of the depth texture in RenderToImage mode.\n By default, the type if VTK_FLOAT.\n \\sa SetRenderToImage()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthImageScalarTypeToUnsignedShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetDepthImageScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDepthImageScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetDepthImageScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthImageScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthImageScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar type of the depth texture in RenderToImage mode.\n By default, the type if VTK_FLOAT.\n \\sa SetRenderToImage()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthImageScalarTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetDepthImageScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClampDepthToBackface */
    if ( strcmp ( argv[2], "SetClampDepthToBackface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClampDepthToBackface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClampDepthToBackface */
    Tcl_DStringAppendElement ( &dString, " Enable or disable clamping the depth value of the fully\n transparent voxel to the depth of the back-face of the\n volume. This parameter is used when RenderToImage mode is\n enabled. When ClampDepthToBackFace is false, the fully transparent\n voxels will have a value of 1.0 in the depth image. When\n this is true, the fully transparent voxels will have the\n depth value of the face at which the ray exits the volume.\n By default, this is set to 0 (off).\n \\sa SetRenderToI ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClampDepthToBackface(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetClampDepthToBackface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClampDepthToBackface */
    if ( strcmp ( argv[2], "GetClampDepthToBackface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClampDepthToBackface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClampDepthToBackface */
    Tcl_DStringAppendElement ( &dString, " Enable or disable clamping the depth value of the fully\n transparent voxel to the depth of the back-face of the\n volume. This parameter is used when RenderToImage mode is\n enabled. When ClampDepthToBackFace is false, the fully transparent\n voxels will have a value of 1.0 in the depth image. When\n this is true, the fully transparent voxels will have the\n depth value of the face at which the ray exits the volume.\n By default, this is set to 0 (off).\n \\sa SetRenderToI ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetClampDepthToBackface();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetClampDepthToBackface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ClampDepthToBackfaceOn */
    if ( strcmp ( argv[2], "ClampDepthToBackfaceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampDepthToBackfaceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampDepthToBackfaceOn */
    Tcl_DStringAppendElement ( &dString, " Enable or disable clamping the depth value of the fully\n transparent voxel to the depth of the back-face of the\n volume. This parameter is used when RenderToImage mode is\n enabled. When ClampDepthToBackFace is false, the fully transparent\n voxels will have a value of 1.0 in the depth image. When\n this is true, the fully transparent voxels will have the\n depth value of the face at which the ray exits the volume.\n By default, this is set to 0 (off).\n \\sa SetRenderToI ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClampDepthToBackfaceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for ClampDepthToBackfaceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ClampDepthToBackfaceOff */
    if ( strcmp ( argv[2], "ClampDepthToBackfaceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampDepthToBackfaceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampDepthToBackfaceOff */
    Tcl_DStringAppendElement ( &dString, " Enable or disable clamping the depth value of the fully\n transparent voxel to the depth of the back-face of the\n volume. This parameter is used when RenderToImage mode is\n enabled. When ClampDepthToBackFace is false, the fully transparent\n voxels will have a value of 1.0 in the depth image. When\n this is true, the fully transparent voxels will have the\n depth value of the face at which the ray exits the volume.\n By default, this is set to 0 (off).\n \\sa SetRenderToI ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClampDepthToBackfaceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for ClampDepthToBackfaceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDepthImage */
    if ( strcmp ( argv[2], "GetDepthImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthImage */
    Tcl_DStringAppendElement ( &dString, " Low level API to export the depth texture as vtkImageData in\n RenderToImage mode.\n Should be implemented by the graphics API specific mapper (GL or other).\n \\sa SetRenderToImage()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetDepthImage(vtkImageData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetDepthImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColorImage */
    if ( strcmp ( argv[2], "GetColorImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorImage */
    Tcl_DStringAppendElement ( &dString, " Low level API to export the color texture as vtkImageData in\n RenderToImage mode.\n Should be implemented by the graphics API specific mapper (GL or other).\n \\sa SetRenderToImage()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetColorImage(vtkImageData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetColorImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Initialize rendering for this volume.\n \\warning INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n" );
    Tcl_DStringAppendElement ( &dString, "void Render(vtkRenderer *, vtkVolume *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GPURender */
    if ( strcmp ( argv[2], "GPURender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GPURender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GPURender */
    Tcl_DStringAppendElement ( &dString, " Handled in the subclass - the actual render method\n \\pre input is up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GPURender(vtkRenderer *, vtkVolume *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GPURender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n \\warning INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetReductionRatio */
    if ( strcmp ( argv[2], "GetReductionRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReductionRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReductionRatio */
    Tcl_DStringAppendElement ( &dString, " Return how much the dataset has to be reduced in each dimension to\n fit on the GPU. If the value is 1.0, there is no need to reduce the\n dataset.\n \\pre the calling thread has a current OpenGL context.\n \\pre mapper_supported: IsRenderSupported(renderer->GetRenderWindow(),0)\n The computation is based on hardware limits (3D texture indexable size)\n and MaxMemoryInBytes.\n \\post valid_i_ratio: ratio\\[0\\]>0 && ratio\\[0\\]<=1.0\n \\post valid_j_ratio: ratio\\[1\\]>0 & ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetReductionRatio(double ratio\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetReductionRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColorRangeType */
    if ( strcmp ( argv[2], "SetColorRangeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorRangeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorRangeType */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the scalar range or the native transfer function range\n when looking up transfer functions for color and opacity values. When the\n range is set to TransferFunctionRange::SCALAR, the function is distributed\n over the entire scalar range. If it is set to\n TransferFunctionRange::NATIVE, the scalar values outside the native\n transfer function range will be truncated to native range. By\n default, the volume scalar range is used.\n\n \\note The native ran ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorRangeType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetColorRangeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColorRangeType */
    if ( strcmp ( argv[2], "GetColorRangeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorRangeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorRangeType */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the scalar range or the native transfer function range\n when looking up transfer functions for color and opacity values. When the\n range is set to TransferFunctionRange::SCALAR, the function is distributed\n over the entire scalar range. If it is set to\n TransferFunctionRange::NATIVE, the scalar values outside the native\n transfer function range will be truncated to native range. By\n default, the volume scalar range is used.\n\n \\note The native ran ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetColorRangeType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetColorRangeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarOpacityRangeType */
    if ( strcmp ( argv[2], "SetScalarOpacityRangeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityRangeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarOpacityRangeType */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the scalar range or the native transfer function range\n when looking up transfer functions for color and opacity values. When the\n range is set to TransferFunctionRange::SCALAR, the function is distributed\n over the entire scalar range. If it is set to\n TransferFunctionRange::NATIVE, the scalar values outside the native\n transfer function range will be truncated to native range. By\n default, the volume scalar range is used.\n\n \\note The native ran ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarOpacityRangeType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetScalarOpacityRangeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarOpacityRangeType */
    if ( strcmp ( argv[2], "GetScalarOpacityRangeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityRangeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarOpacityRangeType */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the scalar range or the native transfer function range\n when looking up transfer functions for color and opacity values. When the\n range is set to TransferFunctionRange::SCALAR, the function is distributed\n over the entire scalar range. If it is set to\n TransferFunctionRange::NATIVE, the scalar values outside the native\n transfer function range will be truncated to native range. By\n default, the volume scalar range is used.\n\n \\note The native ran ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetScalarOpacityRangeType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetScalarOpacityRangeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGradientOpacityRangeType */
    if ( strcmp ( argv[2], "SetGradientOpacityRangeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacityRangeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientOpacityRangeType */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the scalar range or the native transfer function range\n when looking up transfer functions for color and opacity values. When the\n range is set to TransferFunctionRange::SCALAR, the function is distributed\n over the entire scalar range. If it is set to\n TransferFunctionRange::NATIVE, the scalar values outside the native\n transfer function range will be truncated to native range. By\n default, the volume scalar range is used.\n\n \\note The native ran ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGradientOpacityRangeType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for SetGradientOpacityRangeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGradientOpacityRangeType */
    if ( strcmp ( argv[2], "GetGradientOpacityRangeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityRangeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientOpacityRangeType */
    Tcl_DStringAppendElement ( &dString, " Set whether to use the scalar range or the native transfer function range\n when looking up transfer functions for color and opacity values. When the\n range is set to TransferFunctionRange::SCALAR, the function is distributed\n over the entire scalar range. If it is set to\n TransferFunctionRange::NATIVE, the scalar values outside the native\n transfer function range will be truncated to native range. By\n default, the volume scalar range is used.\n\n \\note The native ran ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGradientOpacityRangeType();" );
    Tcl_DStringAppendElement ( &dString, "vtkGPUVolumeRayCastMapper" );
    /* Closing for GetGradientOpacityRangeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
