// tcl wrapper for vtkOpenGLGPUVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLGPUVolumeRayCastMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkOpenGLGPUVolumeRayCastMapperNewCommand()
{
  vtkOpenGLGPUVolumeRayCastMapper *temp = vtkOpenGLGPUVolumeRayCastMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkGPUVolumeRayCastMapperCppCommand(vtkGPUVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLGPUVolumeRayCastMapperCppCommand(vtkOpenGLGPUVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkOpenGLGPUVolumeRayCastMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkOpenGLGPUVolumeRayCastMapperCppCommand(static_cast<vtkOpenGLGPUVolumeRayCastMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLGPUVolumeRayCastMapper_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLGPUVolumeRayCastMapper"),vtkOpenGLGPUVolumeRayCastMapperNewCommand,vtkOpenGLGPUVolumeRayCastMapperCommand);
  return 0;
}

int VTKTCL_EXPORT vtkOpenGLGPUVolumeRayCastMapperCppCommand(vtkOpenGLGPUVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkOpenGLGPUVolumeRayCastMapper",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkGPUVolumeRayCastMapperCppCommand(static_cast<vtkGPUVolumeRayCastMapper *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkGPUVolumeRayCastMapper"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkOpenGLGPUVolumeRayCastMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLGPUVolumeRayCastMapper");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkOpenGLGPUVolumeRayCastMapper  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLGPUVolumeRayCastMapper");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkOpenGLGPUVolumeRayCastMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLGPUVolumeRayCastMapper");
    return TCL_OK;
  }
  if ((!strcmp("GetDepthImage",argv[1]))&&(argc == 3))
  {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
  {
    op->GetDepthImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetColorImage",argv[1]))&&(argc == 3))
  {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
  {
    op->GetColorImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCurrentPass",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCurrentPass();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetNoiseGenerator",argv[1]))&&(argc == 3))
  {
    vtkImplicitFunction  *temp0;
    error = 0;

    temp0 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImplicitFunction"),interp,error));
    if (!error)
  {
    op->SetNoiseGenerator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetNoiseTextureSize",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetNoiseTextureSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetNoiseTextureSize",argv[1]))&&(argc == 4))
  {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
  {
    op->SetNoiseTextureSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPartitions",argv[1]))&&(argc == 5))
  {
    unsigned short    temp0;
    unsigned short    temp1;
    unsigned short    temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned short>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned short>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned short>(tempi);
    if (!error)
  {
    op->SetPartitions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("PreLoadData",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    bool   temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
  {
    temp20 = (op)->PreLoadData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetVertexShaderCode",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetVertexShaderCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVertexShaderCode",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetVertexShaderCode();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetFragmentShaderCode",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFragmentShaderCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFragmentShaderCode",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFragmentShaderCode();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLGPUVolumeRayCastMapperCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkGPUVolumeRayCastMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLGPUVolumeRayCastMapper:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetDepthImage\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetColorImage\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCurrentPass\n",nullptr);
    Tcl_AppendResult(interp,"  SetNoiseGenerator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetNoiseTextureSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetNoiseTextureSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPartitions\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  PreLoadData\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetVertexShaderCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVertexShaderCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetFragmentShaderCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFragmentShaderCode\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGPUVolumeRayCastMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetDepthImage" );
    Tcl_DStringAppendElement ( &dString, "GetColorImage" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentPass" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseGenerator" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseTextureSize" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseTextureSize" );
    Tcl_DStringAppendElement ( &dString, "SetPartitions" );
    Tcl_DStringAppendElement ( &dString, "PreLoadData" );
    Tcl_DStringAppendElement ( &dString, "SetVertexShaderCode" );
    Tcl_DStringAppendElement ( &dString, "GetVertexShaderCode" );
    Tcl_DStringAppendElement ( &dString, "SetFragmentShaderCode" );
    Tcl_DStringAppendElement ( &dString, "GetFragmentShaderCode" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGPUVolumeRayCastMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLGPUVolumeRayCastMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLGPUVolumeRayCastMapper *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDepthImage */
    if ( strcmp ( argv[2], "GetDepthImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthImage */
    Tcl_DStringAppendElement ( &dString, " Low level API to export the depth texture as vtkImageData in\n RenderToImage mode.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetDepthImage(vtkImageData *im) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for GetDepthImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetColorImage */
    if ( strcmp ( argv[2], "GetColorImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorImage */
    Tcl_DStringAppendElement ( &dString, " Low level API to export the color texture as vtkImageData in\n RenderToImage mode.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetColorImage(vtkImageData *im) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for GetColorImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCurrentPass */
    if ( strcmp ( argv[2], "GetCurrentPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentPass */
    Tcl_DStringAppendElement ( &dString, " Mapper can have multiple passes and internally it will set\n the state. The state can not be set externally explicitly\n but can be set indirectly depending on the options set by\n the user.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCurrentPass();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for GetCurrentPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNoiseGenerator */
    if ( strcmp ( argv[2], "SetNoiseGenerator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseGenerator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseGenerator */
    Tcl_DStringAppendElement ( &dString, " Sets a user defined function to generate the ray jittering noise.\n vtkPerlinNoise is used by default with a texture size equivlent to\n the window size. These settings will have no effect when UseJittering\n is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseGenerator(vtkImplicitFunction *generator);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for SetNoiseGenerator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNoiseTextureSize */
    if ( strcmp ( argv[2], "SetNoiseTextureSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseTextureSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseTextureSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseTextureSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for SetNoiseTextureSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNoiseTextureSize */
    if ( strcmp ( argv[2], "SetNoiseTextureSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseTextureSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseTextureSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseTextureSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for SetNoiseTextureSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPartitions */
    if ( strcmp ( argv[2], "SetPartitions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartitions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartitions */
    Tcl_DStringAppendElement ( &dString, " Set a fixed number of partitions in which to split the volume\n during rendring. This will force by-block rendering without\n trying to compute an optimum number of partitions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPartitions(unsigned short x, unsigned short y, unsigned short z);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for SetPartitions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PreLoadData */
    if ( strcmp ( argv[2], "PreLoadData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreLoadData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreLoadData */
    Tcl_DStringAppendElement ( &dString, " Load the volume texture into GPU memory.  Actual loading occurs\n in vtkVolumeTexture::LoadVolume.  The mapper by default loads data\n lazily (at render time), so it is most commonly not necessary to call\n this function.  This method is only exposed in order to support on-site\n loading which is useful in cases where the user needs to know a-priori\n whether loading will succeed  or not.\n" );
    Tcl_DStringAppendElement ( &dString, "bool PreLoadData(vtkRenderer *ren, vtkVolume *vol);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for PreLoadData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVertexShaderCode */
    if ( strcmp ( argv[2], "SetVertexShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexShaderCode(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for SetVertexShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVertexShaderCode */
    if ( strcmp ( argv[2], "GetVertexShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetVertexShaderCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for GetVertexShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFragmentShaderCode */
    if ( strcmp ( argv[2], "SetFragmentShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFragmentShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFragmentShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFragmentShaderCode(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for SetFragmentShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFragmentShaderCode */
    if ( strcmp ( argv[2], "GetFragmentShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFragmentShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFragmentShaderCode */
    Tcl_DStringAppendElement ( &dString, " Allow the program to set the shader codes used directly\n instead of using the built in templates. Be aware, if\n set, this template will be used for all cases,\n primitive types, picking etc.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFragmentShaderCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLGPUVolumeRayCastMapper" );
    /* Closing for GetFragmentShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkGPUVolumeRayCastMapperCppCommand(static_cast<vtkGPUVolumeRayCastMapper *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
