// python wrapper for vtkExtractArraysOverTime
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkExtractArraysOverTime.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkExtractArraysOverTime(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkExtractArraysOverTime_ClassNew(); }

#ifndef DECLARED_PyvtkMultiBlockDataSetAlgorithm_ClassNew
extern "C" { PyObject *PyvtkMultiBlockDataSetAlgorithm_ClassNew(); }
#define DECLARED_PyvtkMultiBlockDataSetAlgorithm_ClassNew
#endif

static const char *PyvtkExtractArraysOverTime_Doc =
  "vtkExtractArraysOverTime - extracts a selection over time.\n\n"
  "Superclass: vtkMultiBlockDataSetAlgorithm\n\n"
  "vtkExtractArraysOverTime extracts a selection over time. The output\n"
  "is a multiblock dataset. If selection content type is\n"
  "vtkSelection::Locations, then each output block corresponds to each\n"
  "probed location. Otherwise, each output block corresponds to an\n"
  "extracted cell/point depending on whether the selection field type is\n"
  "CELL or POINT. Each block is a vtkTable with a column named Time (or\n"
  "TimeData if Time exists in the input). When extracting point data,\n"
  "the input point coordinates are copied to a column named Point\n"
  "Coordinates or Points (if Point Coordinates exists in the input).\n"
  "This algorithm does not produce a TIME_STEPS or TIME_RANGE\n"
  "information because it works across time.@par Caveat: This algorithm\n"
  "works only with source that produce TIME_STEPS(). Continuous time\n"
  "range is not yet supported.\n\n";


static PyObject *
PyvtkExtractArraysOverTime_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkExtractArraysOverTime::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkExtractArraysOverTime::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkExtractArraysOverTime *tempr = vtkExtractArraysOverTime::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkExtractArraysOverTime *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkExtractArraysOverTime::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfTimeSteps");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfTimeSteps() :
      op->vtkExtractArraysOverTime::GetNumberOfTimeSteps());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_SetSelectionConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelectionConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  vtkAlgorithmOutput *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
  {
    if (ap.IsBound())
    {
      op->SetSelectionConnection(temp0);
    }
    else
    {
      op->vtkExtractArraysOverTime::SetSelectionConnection(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_SetSelectionExtractor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelectionExtractor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  vtkExtractSelection *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkExtractSelection"))
  {
    if (ap.IsBound())
    {
      op->SetSelectionExtractor(temp0);
    }
    else
    {
      op->vtkExtractArraysOverTime::SetSelectionExtractor(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_GetSelectionExtractor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionExtractor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkExtractSelection *tempr = (ap.IsBound() ?
      op->GetSelectionExtractor() :
      op->vtkExtractArraysOverTime::GetSelectionExtractor());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_SetReportStatisticsOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReportStatisticsOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetReportStatisticsOnly(temp0);
    }
    else
    {
      op->vtkExtractArraysOverTime::SetReportStatisticsOnly(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_GetReportStatisticsOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReportStatisticsOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetReportStatisticsOnly() :
      op->vtkExtractArraysOverTime::GetReportStatisticsOnly());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_ReportStatisticsOnlyOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReportStatisticsOnlyOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->ReportStatisticsOnlyOn();
    }
    else
    {
      op->vtkExtractArraysOverTime::ReportStatisticsOnlyOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkExtractArraysOverTime_ReportStatisticsOnlyOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReportStatisticsOnlyOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractArraysOverTime *op = static_cast<vtkExtractArraysOverTime *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->ReportStatisticsOnlyOff();
    }
    else
    {
      op->vtkExtractArraysOverTime::ReportStatisticsOnlyOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkExtractArraysOverTime_Methods[] = {
  {"IsTypeOf", PyvtkExtractArraysOverTime_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkExtractArraysOverTime_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkExtractArraysOverTime_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkExtractArraysOverTime\nC++: static vtkExtractArraysOverTime *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkExtractArraysOverTime_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkExtractArraysOverTime\nC++: vtkExtractArraysOverTime *NewInstance()\n\n"},
  {"GetNumberOfTimeSteps", PyvtkExtractArraysOverTime_GetNumberOfTimeSteps, METH_VARARGS,
   "V.GetNumberOfTimeSteps() -> int\nC++: virtual int GetNumberOfTimeSteps()\n\nGet the number of time steps\n"},
  {"SetSelectionConnection", PyvtkExtractArraysOverTime_SetSelectionConnection, METH_VARARGS,
   "V.SetSelectionConnection(vtkAlgorithmOutput)\nC++: void SetSelectionConnection(vtkAlgorithmOutput *algOutput)\n\nConvenience method to specify the selection connection (2nd input\nport)\n"},
  {"SetSelectionExtractor", PyvtkExtractArraysOverTime_SetSelectionExtractor, METH_VARARGS,
   "V.SetSelectionExtractor(vtkExtractSelection)\nC++: virtual void SetSelectionExtractor(vtkExtractSelection *)\n\nSet/get the vtkExtractSelection instance used to obtain array\nvalues at each time step. An instance of vtkExtractSelection is\ncreated on demand when the filter is first executed.\n\n* This is used by ParaView to override the default\n* extractor with one that supports Python-based QUERY\n* selection.\n"},
  {"GetSelectionExtractor", PyvtkExtractArraysOverTime_GetSelectionExtractor, METH_VARARGS,
   "V.GetSelectionExtractor() -> vtkExtractSelection\nC++: virtual vtkExtractSelection *GetSelectionExtractor()\n\nSet/get the vtkExtractSelection instance used to obtain array\nvalues at each time step. An instance of vtkExtractSelection is\ncreated on demand when the filter is first executed.\n\n* This is used by ParaView to override the default\n* extractor with one that supports Python-based QUERY\n* selection.\n"},
  {"SetReportStatisticsOnly", PyvtkExtractArraysOverTime_SetReportStatisticsOnly, METH_VARARGS,
   "V.SetReportStatisticsOnly(int)\nC++: virtual void SetReportStatisticsOnly(int _arg)\n\nInstead of breaking a selection into a separate time-history\ntable for each (block,ID)-tuple, you may call\nReportStatisticsOnlyOn(). Then a single table per block of the\ninput dataset will report the minimum, maximum, quartiles, and\n(for numerical arrays) the average and standard deviation of the\nselection over time.\n\n* The default is off to preserve backwards-compatibility.\n"},
  {"GetReportStatisticsOnly", PyvtkExtractArraysOverTime_GetReportStatisticsOnly, METH_VARARGS,
   "V.GetReportStatisticsOnly() -> int\nC++: virtual int GetReportStatisticsOnly()\n\nInstead of breaking a selection into a separate time-history\ntable for each (block,ID)-tuple, you may call\nReportStatisticsOnlyOn(). Then a single table per block of the\ninput dataset will report the minimum, maximum, quartiles, and\n(for numerical arrays) the average and standard deviation of the\nselection over time.\n\n* The default is off to preserve backwards-compatibility.\n"},
  {"ReportStatisticsOnlyOn", PyvtkExtractArraysOverTime_ReportStatisticsOnlyOn, METH_VARARGS,
   "V.ReportStatisticsOnlyOn()\nC++: virtual void ReportStatisticsOnlyOn()\n\nInstead of breaking a selection into a separate time-history\ntable for each (block,ID)-tuple, you may call\nReportStatisticsOnlyOn(). Then a single table per block of the\ninput dataset will report the minimum, maximum, quartiles, and\n(for numerical arrays) the average and standard deviation of the\nselection over time.\n\n* The default is off to preserve backwards-compatibility.\n"},
  {"ReportStatisticsOnlyOff", PyvtkExtractArraysOverTime_ReportStatisticsOnlyOff, METH_VARARGS,
   "V.ReportStatisticsOnlyOff()\nC++: virtual void ReportStatisticsOnlyOff()\n\nInstead of breaking a selection into a separate time-history\ntable for each (block,ID)-tuple, you may call\nReportStatisticsOnlyOn(). Then a single table per block of the\ninput dataset will report the minimum, maximum, quartiles, and\n(for numerical arrays) the average and standard deviation of the\nselection over time.\n\n* The default is off to preserve backwards-compatibility.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkExtractArraysOverTime_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkFiltersExtractionPython.vtkExtractArraysOverTime", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkExtractArraysOverTime_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkExtractArraysOverTime_StaticNew()
{
  return vtkExtractArraysOverTime::New();
}

PyObject *PyvtkExtractArraysOverTime_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkExtractArraysOverTime_Type, PyvtkExtractArraysOverTime_Methods,
    "vtkExtractArraysOverTime",
 &PyvtkExtractArraysOverTime_StaticNew);

  PyTypeObject *pytype = &PyvtkExtractArraysOverTime_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkMultiBlockDataSetAlgorithm_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkExtractArraysOverTime(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkExtractArraysOverTime_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkExtractArraysOverTime", o) != 0)
  {
    Py_DECREF(o);
  }

}

