// python wrapper for vtkGeoAlignedImageSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkGeoAlignedImageSource.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoAlignedImageSource(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkGeoAlignedImageSource_ClassNew(); }

#ifndef DECLARED_PyvtkGeoSource_ClassNew
extern "C" { PyObject *PyvtkGeoSource_ClassNew(); }
#define DECLARED_PyvtkGeoSource_ClassNew
#endif

static const char *PyvtkGeoAlignedImageSource_Doc =
  "vtkGeoAlignedImageSource - Splits hi-res image into tiles.\n\n"
  "Superclass: vtkGeoSource\n\n"
  "vtkGeoAlignedImageSource uses a high resolution image to generate\n"
  "tiles at multiple resolutions in a hierarchy. It should be used as a\n"
  "source in vtkGeoAlignedImageRepresentation.\n\n"
  "@sa\n"
  "vtkGeoAlignedImageRepresentation vtkGeoView vtkGeoView2D\n\n";


static PyObject *
PyvtkGeoAlignedImageSource_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkGeoAlignedImageSource::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoAlignedImageSource::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkGeoAlignedImageSource *tempr = vtkGeoAlignedImageSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoAlignedImageSource *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoAlignedImageSource::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_FetchRoot(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FetchRoot");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  vtkGeoTreeNode *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode"))
  {
    bool tempr = (ap.IsBound() ?
      op->FetchRoot(temp0) :
      op->vtkGeoAlignedImageSource::FetchRoot(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_FetchChild(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FetchChild");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  vtkGeoTreeNode *temp0 = nullptr;
  int temp1;
  vtkGeoTreeNode *temp2 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode") &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkGeoTreeNode"))
  {
    bool tempr = (ap.IsBound() ?
      op->FetchChild(temp0, temp1, temp2) :
      op->vtkGeoAlignedImageSource::FetchChild(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_GetImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkImageData *tempr = (ap.IsBound() ?
      op->GetImage() :
      op->vtkGeoAlignedImageSource::GetImage());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_SetImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  vtkImageData *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImageData"))
  {
    if (ap.IsBound())
    {
      op->SetImage(temp0);
    }
    else
    {
      op->vtkGeoAlignedImageSource::SetImage(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_SetLatitudeRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLatitudeRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  double temp0;
  double temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    if (ap.IsBound())
    {
      op->SetLatitudeRange(temp0, temp1);
    }
    else
    {
      op->vtkGeoAlignedImageSource::SetLatitudeRange(temp0, temp1);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoAlignedImageSource_SetLatitudeRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLatitudeRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  const int size0 = 2;
  double temp0[2];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    if (ap.IsBound())
    {
      op->SetLatitudeRange(temp0);
    }
    else
    {
      op->vtkGeoAlignedImageSource::SetLatitudeRange(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoAlignedImageSource_SetLatitudeRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 2:
      return PyvtkGeoAlignedImageSource_SetLatitudeRange_s1(self, args);
    case 1:
      return PyvtkGeoAlignedImageSource_SetLatitudeRange_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "SetLatitudeRange");
  return nullptr;
}



static PyObject *
PyvtkGeoAlignedImageSource_GetLatitudeRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLatitudeRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  int sizer = 2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetLatitudeRange() :
      op->vtkGeoAlignedImageSource::GetLatitudeRange());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_SetLongitudeRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLongitudeRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  double temp0;
  double temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    if (ap.IsBound())
    {
      op->SetLongitudeRange(temp0, temp1);
    }
    else
    {
      op->vtkGeoAlignedImageSource::SetLongitudeRange(temp0, temp1);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoAlignedImageSource_SetLongitudeRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLongitudeRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  const int size0 = 2;
  double temp0[2];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    if (ap.IsBound())
    {
      op->SetLongitudeRange(temp0);
    }
    else
    {
      op->vtkGeoAlignedImageSource::SetLongitudeRange(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkGeoAlignedImageSource_SetLongitudeRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 2:
      return PyvtkGeoAlignedImageSource_SetLongitudeRange_s1(self, args);
    case 1:
      return PyvtkGeoAlignedImageSource_SetLongitudeRange_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "SetLongitudeRange");
  return nullptr;
}



static PyObject *
PyvtkGeoAlignedImageSource_GetLongitudeRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLongitudeRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  int sizer = 2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double *tempr = (ap.IsBound() ?
      op->GetLongitudeRange() :
      op->vtkGeoAlignedImageSource::GetLongitudeRange());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_SetOverlap(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOverlap");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetOverlap(temp0);
    }
    else
    {
      op->vtkGeoAlignedImageSource::SetOverlap(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_GetOverlapMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOverlapMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetOverlapMinValue() :
      op->vtkGeoAlignedImageSource::GetOverlapMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_GetOverlapMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOverlapMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetOverlapMaxValue() :
      op->vtkGeoAlignedImageSource::GetOverlapMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_GetOverlap(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOverlap");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetOverlap() :
      op->vtkGeoAlignedImageSource::GetOverlap());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_SetPowerOfTwoSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPowerOfTwoSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetPowerOfTwoSize(temp0);
    }
    else
    {
      op->vtkGeoAlignedImageSource::SetPowerOfTwoSize(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_GetPowerOfTwoSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPowerOfTwoSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetPowerOfTwoSize() :
      op->vtkGeoAlignedImageSource::GetPowerOfTwoSize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_PowerOfTwoSizeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PowerOfTwoSizeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->PowerOfTwoSizeOn();
    }
    else
    {
      op->vtkGeoAlignedImageSource::PowerOfTwoSizeOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAlignedImageSource_PowerOfTwoSizeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PowerOfTwoSizeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAlignedImageSource *op = static_cast<vtkGeoAlignedImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->PowerOfTwoSizeOff();
    }
    else
    {
      op->vtkGeoAlignedImageSource::PowerOfTwoSizeOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkGeoAlignedImageSource_Methods[] = {
  {"IsTypeOf", PyvtkGeoAlignedImageSource_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkGeoAlignedImageSource_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkGeoAlignedImageSource_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkGeoAlignedImageSource\nC++: static vtkGeoAlignedImageSource *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkGeoAlignedImageSource_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkGeoAlignedImageSource\nC++: vtkGeoAlignedImageSource *NewInstance()\n\n"},
  {"FetchRoot", PyvtkGeoAlignedImageSource_FetchRoot, METH_VARARGS,
   "V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: bool FetchRoot(vtkGeoTreeNode *node) override;\n\nFetch the root image.\n"},
  {"FetchChild", PyvtkGeoAlignedImageSource_FetchChild, METH_VARARGS,
   "V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: bool FetchChild(vtkGeoTreeNode *parent, int index,\n    vtkGeoTreeNode *child) override;\n\nFetch a child image.\n"},
  {"GetImage", PyvtkGeoAlignedImageSource_GetImage, METH_VARARGS,
   "V.GetImage() -> vtkImageData\nC++: virtual vtkImageData *GetImage()\n\nThe high-resolution image to be used to cover the globe.\n"},
  {"SetImage", PyvtkGeoAlignedImageSource_SetImage, METH_VARARGS,
   "V.SetImage(vtkImageData)\nC++: virtual void SetImage(vtkImageData *image)\n\nThe high-resolution image to be used to cover the globe.\n"},
  {"SetLatitudeRange", PyvtkGeoAlignedImageSource_SetLatitudeRange, METH_VARARGS,
   "V.SetLatitudeRange(float, float)\nC++: void SetLatitudeRange(double, double)\nV.SetLatitudeRange((float, float))\nC++: void SetLatitudeRange(double a[2])\n\n"},
  {"GetLatitudeRange", PyvtkGeoAlignedImageSource_GetLatitudeRange, METH_VARARGS,
   "V.GetLatitudeRange() -> (float, float)\nC++: double *GetLatitudeRange()\n\n"},
  {"SetLongitudeRange", PyvtkGeoAlignedImageSource_SetLongitudeRange, METH_VARARGS,
   "V.SetLongitudeRange(float, float)\nC++: void SetLongitudeRange(double, double)\nV.SetLongitudeRange((float, float))\nC++: void SetLongitudeRange(double a[2])\n\n"},
  {"GetLongitudeRange", PyvtkGeoAlignedImageSource_GetLongitudeRange, METH_VARARGS,
   "V.GetLongitudeRange() -> (float, float)\nC++: double *GetLongitudeRange()\n\n"},
  {"SetOverlap", PyvtkGeoAlignedImageSource_SetOverlap, METH_VARARGS,
   "V.SetOverlap(float)\nC++: virtual void SetOverlap(double _arg)\n\nThe overlap of adjacent tiles.\n"},
  {"GetOverlapMinValue", PyvtkGeoAlignedImageSource_GetOverlapMinValue, METH_VARARGS,
   "V.GetOverlapMinValue() -> float\nC++: virtual double GetOverlapMinValue()\n\nThe overlap of adjacent tiles.\n"},
  {"GetOverlapMaxValue", PyvtkGeoAlignedImageSource_GetOverlapMaxValue, METH_VARARGS,
   "V.GetOverlapMaxValue() -> float\nC++: virtual double GetOverlapMaxValue()\n\nThe overlap of adjacent tiles.\n"},
  {"GetOverlap", PyvtkGeoAlignedImageSource_GetOverlap, METH_VARARGS,
   "V.GetOverlap() -> float\nC++: virtual double GetOverlap()\n\nThe overlap of adjacent tiles.\n"},
  {"SetPowerOfTwoSize", PyvtkGeoAlignedImageSource_SetPowerOfTwoSize, METH_VARARGS,
   "V.SetPowerOfTwoSize(bool)\nC++: virtual void SetPowerOfTwoSize(bool _arg)\n\nWhether to force image sizes to a power of two.\n"},
  {"GetPowerOfTwoSize", PyvtkGeoAlignedImageSource_GetPowerOfTwoSize, METH_VARARGS,
   "V.GetPowerOfTwoSize() -> bool\nC++: virtual bool GetPowerOfTwoSize()\n\nWhether to force image sizes to a power of two.\n"},
  {"PowerOfTwoSizeOn", PyvtkGeoAlignedImageSource_PowerOfTwoSizeOn, METH_VARARGS,
   "V.PowerOfTwoSizeOn()\nC++: virtual void PowerOfTwoSizeOn()\n\nWhether to force image sizes to a power of two.\n"},
  {"PowerOfTwoSizeOff", PyvtkGeoAlignedImageSource_PowerOfTwoSizeOff, METH_VARARGS,
   "V.PowerOfTwoSizeOff()\nC++: virtual void PowerOfTwoSizeOff()\n\nWhether to force image sizes to a power of two.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkGeoAlignedImageSource_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoAlignedImageSource", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkGeoAlignedImageSource_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkGeoAlignedImageSource_StaticNew()
{
  return vtkGeoAlignedImageSource::New();
}

PyObject *PyvtkGeoAlignedImageSource_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkGeoAlignedImageSource_Type, PyvtkGeoAlignedImageSource_Methods,
    "vtkGeoAlignedImageSource",
 &PyvtkGeoAlignedImageSource_StaticNew);

  PyTypeObject *pytype = &PyvtkGeoAlignedImageSource_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkGeoSource_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkGeoAlignedImageSource(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkGeoAlignedImageSource_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkGeoAlignedImageSource", o) != 0)
  {
    Py_DECREF(o);
  }

}

