// python wrapper for vtkGeoAssignCoordinates
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkGeoAssignCoordinates.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoAssignCoordinates(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkGeoAssignCoordinates_ClassNew(); }

#ifndef DECLARED_PyvtkPassInputTypeAlgorithm_ClassNew
extern "C" { PyObject *PyvtkPassInputTypeAlgorithm_ClassNew(); }
#define DECLARED_PyvtkPassInputTypeAlgorithm_ClassNew
#endif

static const char *PyvtkGeoAssignCoordinates_Doc =
  "vtkGeoAssignCoordinates - Given latitude and longitude arrays, take\nthe values in those arrays and convert them to x,y,z world\ncoordinates.\n\n"
  "Superclass: vtkPassInputTypeAlgorithm\n\n"
  "Givem latitude and longitude arrays, take the values in those arrays\n"
  "and convert them to x,y,z world coordinates. Uses a spherical model\n"
  "of the earth to do the conversion. The position is in meters relative\n"
  "to the center of the earth.\n\n"
  "If a transform is given, use the transform to convert latitude and\n"
  "longitude to the world coordinate.\n\n";


static PyObject *
PyvtkGeoAssignCoordinates_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkGeoAssignCoordinates::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoAssignCoordinates::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkGeoAssignCoordinates *tempr = vtkGeoAssignCoordinates::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoAssignCoordinates *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoAssignCoordinates::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_SetLongitudeArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLongitudeArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLongitudeArrayName(temp0);
    }
    else
    {
      op->vtkGeoAssignCoordinates::SetLongitudeArrayName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_GetLongitudeArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLongitudeArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetLongitudeArrayName() :
      op->vtkGeoAssignCoordinates::GetLongitudeArrayName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_SetLatitudeArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLatitudeArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetLatitudeArrayName(temp0);
    }
    else
    {
      op->vtkGeoAssignCoordinates::SetLatitudeArrayName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_GetLatitudeArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLatitudeArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetLatitudeArrayName() :
      op->vtkGeoAssignCoordinates::GetLatitudeArrayName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_SetGlobeRadius(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlobeRadius");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetGlobeRadius(temp0);
    }
    else
    {
      op->vtkGeoAssignCoordinates::SetGlobeRadius(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_GetGlobeRadius(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlobeRadius");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetGlobeRadius() :
      op->vtkGeoAssignCoordinates::GetGlobeRadius());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_SetTransform(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTransform");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  vtkAbstractTransform *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAbstractTransform"))
  {
    if (ap.IsBound())
    {
      op->SetTransform(temp0);
    }
    else
    {
      op->vtkGeoAssignCoordinates::SetTransform(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_GetTransform(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTransform");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkAbstractTransform *tempr = (ap.IsBound() ?
      op->GetTransform() :
      op->vtkGeoAssignCoordinates::GetTransform());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_SetCoordinatesInArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCoordinatesInArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCoordinatesInArrays(temp0);
    }
    else
    {
      op->vtkGeoAssignCoordinates::SetCoordinatesInArrays(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_GetCoordinatesInArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCoordinatesInArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetCoordinatesInArrays() :
      op->vtkGeoAssignCoordinates::GetCoordinatesInArrays());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_CoordinatesInArraysOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CoordinatesInArraysOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->CoordinatesInArraysOn();
    }
    else
    {
      op->vtkGeoAssignCoordinates::CoordinatesInArraysOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoAssignCoordinates_CoordinatesInArraysOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CoordinatesInArraysOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoAssignCoordinates *op = static_cast<vtkGeoAssignCoordinates *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->CoordinatesInArraysOff();
    }
    else
    {
      op->vtkGeoAssignCoordinates::CoordinatesInArraysOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkGeoAssignCoordinates_Methods[] = {
  {"IsTypeOf", PyvtkGeoAssignCoordinates_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkGeoAssignCoordinates_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkGeoAssignCoordinates_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkGeoAssignCoordinates\nC++: static vtkGeoAssignCoordinates *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkGeoAssignCoordinates_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkGeoAssignCoordinates\nC++: vtkGeoAssignCoordinates *NewInstance()\n\n"},
  {"SetLongitudeArrayName", PyvtkGeoAssignCoordinates_SetLongitudeArrayName, METH_VARARGS,
   "V.SetLongitudeArrayName(string)\nC++: virtual void SetLongitudeArrayName(const char *_arg)\n\nSet the longitude coordinate array name.\n"},
  {"GetLongitudeArrayName", PyvtkGeoAssignCoordinates_GetLongitudeArrayName, METH_VARARGS,
   "V.GetLongitudeArrayName() -> string\nC++: virtual char *GetLongitudeArrayName()\n\nSet the longitude coordinate array name.\n"},
  {"SetLatitudeArrayName", PyvtkGeoAssignCoordinates_SetLatitudeArrayName, METH_VARARGS,
   "V.SetLatitudeArrayName(string)\nC++: virtual void SetLatitudeArrayName(const char *_arg)\n\nSet the latitude coordinate array name.\n"},
  {"GetLatitudeArrayName", PyvtkGeoAssignCoordinates_GetLatitudeArrayName, METH_VARARGS,
   "V.GetLatitudeArrayName() -> string\nC++: virtual char *GetLatitudeArrayName()\n\nSet the latitude coordinate array name.\n"},
  {"SetGlobeRadius", PyvtkGeoAssignCoordinates_SetGlobeRadius, METH_VARARGS,
   "V.SetGlobeRadius(float)\nC++: virtual void SetGlobeRadius(double _arg)\n\nThe base radius to use in GLOBAL mode. Default is the earth's\nradius.\n"},
  {"GetGlobeRadius", PyvtkGeoAssignCoordinates_GetGlobeRadius, METH_VARARGS,
   "V.GetGlobeRadius() -> float\nC++: virtual double GetGlobeRadius()\n\nThe base radius to use in GLOBAL mode. Default is the earth's\nradius.\n"},
  {"SetTransform", PyvtkGeoAssignCoordinates_SetTransform, METH_VARARGS,
   "V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform(vtkAbstractTransform *trans)\n\nThe transform to use to convert coordinates of the form (lat,\nlong, 0) to (x, y z). If this is nullptr (the default), use\nGlobeRadius to perform a spherical embedding.\n"},
  {"GetTransform", PyvtkGeoAssignCoordinates_GetTransform, METH_VARARGS,
   "V.GetTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform()\n\nThe transform to use to convert coordinates of the form (lat,\nlong, 0) to (x, y z). If this is nullptr (the default), use\nGlobeRadius to perform a spherical embedding.\n"},
  {"SetCoordinatesInArrays", PyvtkGeoAssignCoordinates_SetCoordinatesInArrays, METH_VARARGS,
   "V.SetCoordinatesInArrays(bool)\nC++: virtual void SetCoordinatesInArrays(bool _arg)\n\nIf on, uses LatitudeArrayName and LongitudeArrayName to move\nvalues in data arrays into the points of the data set. Turn off\nif the latitude and longitude are already in the points.\n"},
  {"GetCoordinatesInArrays", PyvtkGeoAssignCoordinates_GetCoordinatesInArrays, METH_VARARGS,
   "V.GetCoordinatesInArrays() -> bool\nC++: virtual bool GetCoordinatesInArrays()\n\nIf on, uses LatitudeArrayName and LongitudeArrayName to move\nvalues in data arrays into the points of the data set. Turn off\nif the latitude and longitude are already in the points.\n"},
  {"CoordinatesInArraysOn", PyvtkGeoAssignCoordinates_CoordinatesInArraysOn, METH_VARARGS,
   "V.CoordinatesInArraysOn()\nC++: virtual void CoordinatesInArraysOn()\n\nIf on, uses LatitudeArrayName and LongitudeArrayName to move\nvalues in data arrays into the points of the data set. Turn off\nif the latitude and longitude are already in the points.\n"},
  {"CoordinatesInArraysOff", PyvtkGeoAssignCoordinates_CoordinatesInArraysOff, METH_VARARGS,
   "V.CoordinatesInArraysOff()\nC++: virtual void CoordinatesInArraysOff()\n\nIf on, uses LatitudeArrayName and LongitudeArrayName to move\nvalues in data arrays into the points of the data set. Turn off\nif the latitude and longitude are already in the points.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkGeoAssignCoordinates_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoAssignCoordinates", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkGeoAssignCoordinates_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkGeoAssignCoordinates_StaticNew()
{
  return vtkGeoAssignCoordinates::New();
}

PyObject *PyvtkGeoAssignCoordinates_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkGeoAssignCoordinates_Type, PyvtkGeoAssignCoordinates_Methods,
    "vtkGeoAssignCoordinates",
 &PyvtkGeoAssignCoordinates_StaticNew);

  PyTypeObject *pytype = &PyvtkGeoAssignCoordinates_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkPassInputTypeAlgorithm_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkGeoAssignCoordinates(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkGeoAssignCoordinates_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkGeoAssignCoordinates", o) != 0)
  {
    Py_DECREF(o);
  }

}

