// python wrapper for vtkGeoFileTerrainSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkGeoFileTerrainSource.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoFileTerrainSource(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkGeoFileTerrainSource_ClassNew(); }

#ifndef DECLARED_PyvtkGeoSource_ClassNew
extern "C" { PyObject *PyvtkGeoSource_ClassNew(); }
#define DECLARED_PyvtkGeoSource_ClassNew
#endif

static const char *PyvtkGeoFileTerrainSource_Doc =
  "vtkGeoFileTerrainSource - A source for tiled geometry on disk.\n\n"
  "Superclass: vtkGeoSource\n\n"
  "vtkGeoFileTerrainSource reads geometry tiles as .vtp files from a\n"
  "directory that follow a certain naming convention containing the\n"
  "level of the patch and the position within that level. Use\n"
  "vtkGeoTerrain's SaveDatabase method to create a database of files in\n"
  "this format.\n\n";


static PyObject *
PyvtkGeoFileTerrainSource_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkGeoFileTerrainSource::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoFileTerrainSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoFileTerrainSource *op = static_cast<vtkGeoFileTerrainSource *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoFileTerrainSource::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoFileTerrainSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkGeoFileTerrainSource *tempr = vtkGeoFileTerrainSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoFileTerrainSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoFileTerrainSource *op = static_cast<vtkGeoFileTerrainSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoFileTerrainSource *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoFileTerrainSource::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkGeoFileTerrainSource_FetchRoot(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FetchRoot");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoFileTerrainSource *op = static_cast<vtkGeoFileTerrainSource *>(vp);

  vtkGeoTreeNode *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode"))
  {
    bool tempr = (ap.IsBound() ?
      op->FetchRoot(temp0) :
      op->vtkGeoFileTerrainSource::FetchRoot(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoFileTerrainSource_FetchChild(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FetchChild");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoFileTerrainSource *op = static_cast<vtkGeoFileTerrainSource *>(vp);

  vtkGeoTreeNode *temp0 = nullptr;
  int temp1;
  vtkGeoTreeNode *temp2 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode") &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkGeoTreeNode"))
  {
    bool tempr = (ap.IsBound() ?
      op->FetchChild(temp0, temp1, temp2) :
      op->vtkGeoFileTerrainSource::FetchChild(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoFileTerrainSource_SetPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoFileTerrainSource *op = static_cast<vtkGeoFileTerrainSource *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetPath(temp0);
    }
    else
    {
      op->vtkGeoFileTerrainSource::SetPath(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoFileTerrainSource_GetPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoFileTerrainSource *op = static_cast<vtkGeoFileTerrainSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetPath() :
      op->vtkGeoFileTerrainSource::GetPath());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkGeoFileTerrainSource_Methods[] = {
  {"IsTypeOf", PyvtkGeoFileTerrainSource_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkGeoFileTerrainSource_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkGeoFileTerrainSource_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkGeoFileTerrainSource\nC++: static vtkGeoFileTerrainSource *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkGeoFileTerrainSource_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkGeoFileTerrainSource\nC++: vtkGeoFileTerrainSource *NewInstance()\n\n"},
  {"FetchRoot", PyvtkGeoFileTerrainSource_FetchRoot, METH_VARARGS,
   "V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: bool FetchRoot(vtkGeoTreeNode *root) override;\n\nRetrieve the root geometry representing the entire globe.\n"},
  {"FetchChild", PyvtkGeoFileTerrainSource_FetchChild, METH_VARARGS,
   "V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: bool FetchChild(vtkGeoTreeNode *node, int index,\n    vtkGeoTreeNode *child) override;\n\nRetrieve the child's geometry from disk.\n"},
  {"SetPath", PyvtkGeoFileTerrainSource_SetPath, METH_VARARGS,
   "V.SetPath(string)\nC++: virtual void SetPath(const char *_arg)\n\nThe path the tiled geometry database.\n"},
  {"GetPath", PyvtkGeoFileTerrainSource_GetPath, METH_VARARGS,
   "V.GetPath() -> string\nC++: virtual char *GetPath()\n\nThe path the tiled geometry database.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkGeoFileTerrainSource_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkGeovisCorePython.vtkGeoFileTerrainSource", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkGeoFileTerrainSource_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkGeoFileTerrainSource_StaticNew()
{
  return vtkGeoFileTerrainSource::New();
}

PyObject *PyvtkGeoFileTerrainSource_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkGeoFileTerrainSource_Type, PyvtkGeoFileTerrainSource_Methods,
    "vtkGeoFileTerrainSource",
 &PyvtkGeoFileTerrainSource_StaticNew);

  PyTypeObject *pytype = &PyvtkGeoFileTerrainSource_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkGeoSource_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkGeoFileTerrainSource(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkGeoFileTerrainSource_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkGeoFileTerrainSource", o) != 0)
  {
    Py_DECREF(o);
  }

}

