// python wrapper for vtkPComputeHistogram2DOutliers
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkPComputeHistogram2DOutliers.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkPComputeHistogram2DOutliers(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkPComputeHistogram2DOutliers_ClassNew(); }

#ifndef DECLARED_PyvtkComputeHistogram2DOutliers_ClassNew
extern "C" { PyObject *PyvtkComputeHistogram2DOutliers_ClassNew(); }
#define DECLARED_PyvtkComputeHistogram2DOutliers_ClassNew
#endif

static const char *PyvtkPComputeHistogram2DOutliers_Doc =
  "vtkPComputeHistogram2DOutliers - extract outlier rows from\n a vtkTable based on input 2D histograms, in parallel.\n\n"
  "Superclass: vtkComputeHistogram2DOutliers\n\n"
  "This class does exactly the same this as\n"
  "vtkComputeHistogram2DOutliers,\n"
  " but does it in a multi-process environment.  After each node\n"
  " computes their own local outliers, class does an AllGather\n"
  " that distributes the outliers to every node.  This could probably\n"
  "just\n"
  " be a Gather onto the root node instead.\n\n\n"
  " After this operation, the row selection will only contain local row\n"
  "ids,\n"
  " since I'm not sure how to deal with distributed ids.\n\n"
  "@sa\n"
  " vtkComputeHistogram2DOutliers\n\n"
  "@par Thanks:\n"
  " Developed by David Feng at Sandia National Laboratories\n"
  "----------------------------------------------------------------------\n"
  "    --------\n\n";


static PyObject *
PyvtkPComputeHistogram2DOutliers_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkPComputeHistogram2DOutliers::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPComputeHistogram2DOutliers_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPComputeHistogram2DOutliers *op = static_cast<vtkPComputeHistogram2DOutliers *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPComputeHistogram2DOutliers::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPComputeHistogram2DOutliers_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkPComputeHistogram2DOutliers *tempr = vtkPComputeHistogram2DOutliers::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPComputeHistogram2DOutliers_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPComputeHistogram2DOutliers *op = static_cast<vtkPComputeHistogram2DOutliers *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkPComputeHistogram2DOutliers *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPComputeHistogram2DOutliers::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkPComputeHistogram2DOutliers_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPComputeHistogram2DOutliers *op = static_cast<vtkPComputeHistogram2DOutliers *>(vp);

  vtkMultiProcessController *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
  {
    if (ap.IsBound())
    {
      op->SetController(temp0);
    }
    else
    {
      op->vtkPComputeHistogram2DOutliers::SetController(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPComputeHistogram2DOutliers_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPComputeHistogram2DOutliers *op = static_cast<vtkPComputeHistogram2DOutliers *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkMultiProcessController *tempr = (ap.IsBound() ?
      op->GetController() :
      op->vtkPComputeHistogram2DOutliers::GetController());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkPComputeHistogram2DOutliers_Methods[] = {
  {"IsTypeOf", PyvtkPComputeHistogram2DOutliers_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkPComputeHistogram2DOutliers_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkPComputeHistogram2DOutliers_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkPComputeHistogram2DOutliers\nC++: static vtkPComputeHistogram2DOutliers *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkPComputeHistogram2DOutliers_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkPComputeHistogram2DOutliers\nC++: vtkPComputeHistogram2DOutliers *NewInstance()\n\n"},
  {"SetController", PyvtkPComputeHistogram2DOutliers_SetController, METH_VARARGS,
   "V.SetController(vtkMultiProcessController)\nC++: virtual void SetController(vtkMultiProcessController *)\n\n"},
  {"GetController", PyvtkPComputeHistogram2DOutliers_GetController, METH_VARARGS,
   "V.GetController() -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *GetController()\n\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkPComputeHistogram2DOutliers_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkFiltersParallelImagingPython.vtkPComputeHistogram2DOutliers", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkPComputeHistogram2DOutliers_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkPComputeHistogram2DOutliers_StaticNew()
{
  return vtkPComputeHistogram2DOutliers::New();
}

PyObject *PyvtkPComputeHistogram2DOutliers_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkPComputeHistogram2DOutliers_Type, PyvtkPComputeHistogram2DOutliers_Methods,
    "vtkPComputeHistogram2DOutliers",
 &PyvtkPComputeHistogram2DOutliers_StaticNew);

  PyTypeObject *pytype = &PyvtkPComputeHistogram2DOutliers_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkComputeHistogram2DOutliers_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkPComputeHistogram2DOutliers(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkPComputeHistogram2DOutliers_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkPComputeHistogram2DOutliers", o) != 0)
  {
    Py_DECREF(o);
  }

}

