// python wrapper for vtkQImageToImageSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkQImageToImageSource.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkQImageToImageSource(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkQImageToImageSource_ClassNew(); }

#ifndef DECLARED_PyvtkImageAlgorithm_ClassNew
extern "C" { PyObject *PyvtkImageAlgorithm_ClassNew(); }
#define DECLARED_PyvtkImageAlgorithm_ClassNew
#endif

static const char *PyvtkQImageToImageSource_Doc =
  "vtkQImageToImageSource - Create image data from a QImage.\n\n"
  "Superclass: vtkImageAlgorithm\n\n"
  "vtkQImageToImageSource produces image data from a QImage.\n\n";


static PyObject *
PyvtkQImageToImageSource_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkQImageToImageSource::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQImageToImageSource::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkQImageToImageSource *tempr = vtkQImageToImageSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkQImageToImageSource *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQImageToImageSource::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_SetQImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetQImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  QImage *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QImage"))
  {
    if (ap.IsBound())
    {
      op->SetQImage(temp0);
    }
    else
    {
      op->vtkQImageToImageSource::SetQImage(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_GetQImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetQImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const QImage *tempr = (ap.IsBound() ?
      op->GetQImage() :
      op->vtkQImageToImageSource::GetQImage());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildSIPObject(tempr, "QImage", false);
    }
  }

  return result;
}

static PyMethodDef PyvtkQImageToImageSource_Methods[] = {
  {"IsTypeOf", PyvtkQImageToImageSource_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkQImageToImageSource_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkQImageToImageSource_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkQImageToImageSource\nC++: static vtkQImageToImageSource *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkQImageToImageSource_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkQImageToImageSource\nC++: vtkQImageToImageSource *NewInstance()\n\n"},
  {"SetQImage", PyvtkQImageToImageSource_SetQImage, METH_VARARGS,
   "V.SetQImage(QImage)\nC++: void SetQImage(QImage *image)\n\nSet/Get QImage surface to be used.\n"},
  {"GetQImage", PyvtkQImageToImageSource_GetQImage, METH_VARARGS,
   "V.GetQImage() -> QImage\nC++: const QImage *GetQImage()\n\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkQImageToImageSource_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkRenderingQtPython.vtkQImageToImageSource", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkQImageToImageSource_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkQImageToImageSource_StaticNew()
{
  return vtkQImageToImageSource::New();
}

PyObject *PyvtkQImageToImageSource_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkQImageToImageSource_Type, PyvtkQImageToImageSource_Methods,
    "vtkQImageToImageSource",
 &PyvtkQImageToImageSource_StaticNew);

  PyTypeObject *pytype = &PyvtkQImageToImageSource_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkImageAlgorithm_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkQImageToImageSource(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkQImageToImageSource_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkQImageToImageSource", o) != 0)
  {
    Py_DECREF(o);
  }

}

