// tcl wrapper for vtkCategoryLegend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCategoryLegend.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkCategoryLegendNewCommand()
{
  vtkCategoryLegend *temp = vtkCategoryLegend::New();
  return static_cast<ClientData>(temp);
}

int vtkChartLegendCppCommand(vtkChartLegend *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCategoryLegendCppCommand(vtkCategoryLegend *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkCategoryLegendCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkCategoryLegendCppCommand(static_cast<vtkCategoryLegend *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCategoryLegend_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkCategoryLegend"),vtkCategoryLegendNewCommand,vtkCategoryLegendCommand);
  return 0;
}

int VTKTCL_EXPORT vtkCategoryLegendCppCommand(vtkCategoryLegend *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkCategoryLegend",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkChartLegendCppCommand(static_cast<vtkChartLegend *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkChartLegend"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkCategoryLegend  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCategoryLegend");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkCategoryLegend  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCategoryLegend");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkCategoryLegend  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCategoryLegend");
    return TCL_OK;
  }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetScalarsToColors",argv[1]))&&(argc == 3))
  {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
  {
    op->SetScalarsToColors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarsToColors",argv[1]))&&(argc == 2))
  {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetScalarsToColors();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
  }
  if ((!strcmp("GetValues",argv[1]))&&(argc == 2))
  {
    vtkVariantArray  *temp20;
    temp20 = (op)->GetValues();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVariantArray");
    return TCL_OK;
  }
  if ((!strcmp("SetValues",argv[1]))&&(argc == 3))
  {
    vtkVariantArray  *temp0;
    error = 0;

    temp0 = (vtkVariantArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVariantArray"),interp,error));
    if (!error)
  {
    op->SetValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetTitle();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOutlierLabel",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetOutlierLabel();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOutlierLabel",argv[1]))&&(argc == 3))
  {
    vtkStdString   temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetOutlierLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkCategoryLegendCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkChartLegendCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCategoryLegend:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarsToColors\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarsToColors\n",nullptr);
    Tcl_AppendResult(interp,"  GetValues\n",nullptr);
    Tcl_AppendResult(interp,"  SetValues\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitle\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutlierLabel\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutlierLabel\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkChartLegendCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "SetScalarsToColors" );
    Tcl_DStringAppendElement ( &dString, "GetScalarsToColors" );
    Tcl_DStringAppendElement ( &dString, "GetValues" );
    Tcl_DStringAppendElement ( &dString, "SetValues" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetOutlierLabel" );
    Tcl_DStringAppendElement ( &dString, "SetOutlierLabel" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkChartLegendCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCategoryLegend *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCategoryLegend *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint the legend into a rectangle defined by the bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Paint(vtkContext2D *painter) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarsToColors */
    if ( strcmp ( argv[2], "SetScalarsToColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarsToColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarsToColors */
    Tcl_DStringAppendElement ( &dString, " Get/Set the vtkScalarsToColors used to draw this legend.\n Since this legend represents categorical data, this\n vtkScalarsToColors must have been populated using SetAnnotation().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarsToColors(vtkScalarsToColors *stc);" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for SetScalarsToColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarsToColors */
    if ( strcmp ( argv[2], "GetScalarsToColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarsToColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarsToColors */
    Tcl_DStringAppendElement ( &dString, " Get/Set the vtkScalarsToColors used to draw this legend.\n Since this legend represents categorical data, this\n vtkScalarsToColors must have been populated using SetAnnotation().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkScalarsToColors *GetScalarsToColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for GetScalarsToColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetValues */
    if ( strcmp ( argv[2], "GetValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValues */
    Tcl_DStringAppendElement ( &dString, " Get/Set the array of values that will be represented by this legend.\n This array must contain distinct annotated values from the ScalarsToColors.\n Each value in this array will be drawn as a separate entry within this\n legend.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkVariantArray *GetValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for GetValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetValues */
    if ( strcmp ( argv[2], "SetValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValues */
    Tcl_DStringAppendElement ( &dString, " Get/Set the array of values that will be represented by this legend.\n This array must contain distinct annotated values from the ScalarsToColors.\n Each value in this array will be drawn as a separate entry within this\n legend.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetValues(vtkVariantArray *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for SetValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Get/set the title text of the legend.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutlierLabel */
    if ( strcmp ( argv[2], "GetOutlierLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlierLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlierLabel */
    Tcl_DStringAppendElement ( &dString, " Get/set the label to use for outlier data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetOutlierLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for GetOutlierLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutlierLabel */
    if ( strcmp ( argv[2], "SetOutlierLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlierLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlierLabel */
    Tcl_DStringAppendElement ( &dString, " Get/set the label to use for outlier data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutlierLabel(vtkStdString _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCategoryLegend" );
    /* Closing for SetOutlierLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkChartLegendCppCommand(static_cast<vtkChartLegend *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
