// java wrapper for vtkArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArray_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArray_CreateArray_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkArray *op;
  int      temp0;
  int      temp1;
  vtkArray  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateArray(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArray_IsDense_13(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  bool   temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDense();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArray_Resize_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Resize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArray_Resize_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Resize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArray_Resize_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Resize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArray_GetDimensions_17(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  vtkIdType   temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArray_GetSize_18(JNIEnv *env, jobject obj)
{
  vtkArray *op;
   unsigned long long   temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArray_GetNonNullSize_19(JNIEnv *env, jobject obj)
{
  vtkArray *op;
   unsigned long long   temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNonNullSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArray_SetName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArray *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArray_GetName_111(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  vtkStdString   temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArray_SetDimensionLabel_112(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkArray *op;
  vtkIdType   temp0;
  vtkStdString temp1;
  temp0 = id0;
  vtkJavaUTFToString(env,id1,temp1);

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensionLabel(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArray_GetDimensionLabel_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkArray *op;
  vtkIdType   temp0;
  vtkStdString   temp20;
  temp0 = id0;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionLabel(temp0);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArray_DeepCopy_114(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  vtkArray  *temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeepCopy();
  return (jlong)(size_t)temp20;}
