// tcl wrapper for vtkArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArray.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkArrayCppCommand(vtkArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkArrayCppCommand(static_cast<vtkArray *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkArray_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkArrayCppCommand(vtkArray *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkArray",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkArray  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArray");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkArray  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArray");
    return TCL_OK;
  }
  if ((!strcmp("CreateArray",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    vtkArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    temp20 = (op)->CreateArray(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArray");
    return TCL_OK;
  }
  }
  if ((!strcmp("IsDense",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->IsDense();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("Resize",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->Resize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Resize",argv[1]))&&(argc == 4))
  {
    vtkIdType   temp0;
    vtkIdType   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->Resize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Resize",argv[1]))&&(argc == 5))
  {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    op->Resize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetDimensions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
  {
    unsigned long long   temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%llu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNonNullSize",argv[1]))&&(argc == 2))
  {
    unsigned long long   temp20;
    temp20 = (op)->GetNonNullSize();
    char tempResult[1024];
    sprintf(tempResult,"%llu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetName();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDimensionLabel",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    vtkStdString   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetDimensionLabel(temp0);
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 2))
  {
    vtkArray  *temp20;
    temp20 = (op)->DeepCopy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArray");
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkArrayCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkArray:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  CreateArray\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  IsDense\n",nullptr);
    Tcl_AppendResult(interp,"  Resize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Resize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  Resize\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetDimensions\n",nullptr);
    Tcl_AppendResult(interp,"  GetSize\n",nullptr);
    Tcl_AppendResult(interp,"  GetNonNullSize\n",nullptr);
    Tcl_AppendResult(interp,"  GetName\n",nullptr);
    Tcl_AppendResult(interp,"  GetDimensionLabel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DeepCopy\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "CreateArray" );
    Tcl_DStringAppendElement ( &dString, "IsDense" );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "GetNonNullSize" );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionLabel" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkArray *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArray *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateArray */
    if ( strcmp ( argv[2], "CreateArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateArray */
    Tcl_DStringAppendElement ( &dString, " Creates a new array where StorageType is one of vtkArray::DENSE\n or vtkArray::SPARSE, and ValueType is one of VTK_CHAR,\n VTK_UNSIGNED_CHAR, VTK_SHORT, VTK_UNSIGNED_SHORT,  VTK_INT,\n VTK_UNSIGNED_INT, VTK_LONG, VTK_UNSIGNED_LONG, VTK_DOUBLE,\n VTK_ID_TYPE, or VTK_STRING.  The caller is responsible for the\n lifetime of the returned object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkArray *CreateArray(int StorageType, int ValueType);" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for CreateArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsDense */
    if ( strcmp ( argv[2], "IsDense" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDense" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDense */
    Tcl_DStringAppendElement ( &dString, " Returns true iff the underlying array storage is \"dense\", i.e. that\n GetSize() and GetNonNullSize() will always return the same value.\n If not, the array is \"sparse\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsDense() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for IsDense */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Resize */
    if ( strcmp ( argv[2], "Resize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Resize */
    Tcl_DStringAppendElement ( &dString, " Resizes the array to the given extents (number of dimensions and\n size of each dimension).  Note that concrete implementations of\n vtkArray may place constraints on the the extents that they will\n store, so you cannot assume that GetExtents() will always return\n the same value passed to Resize().\n\n * The contents of the array are undefined after calling Resize() - you\n * should initialize its contents accordingly.  In particular,\n * dimension-labels will be undefine ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void Resize(const CoordinateT i);" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for Resize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Resize */
    if ( strcmp ( argv[2], "Resize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Resize */
    Tcl_DStringAppendElement ( &dString, " Resizes the array to the given extents (number of dimensions and\n size of each dimension).  Note that concrete implementations of\n vtkArray may place constraints on the the extents that they will\n store, so you cannot assume that GetExtents() will always return\n the same value passed to Resize().\n\n * The contents of the array are undefined after calling Resize() - you\n * should initialize its contents accordingly.  In particular,\n * dimension-labels will be undefine ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void Resize(const CoordinateT i, const CoordinateT j);" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for Resize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Resize */
    if ( strcmp ( argv[2], "Resize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Resize */
    Tcl_DStringAppendElement ( &dString, " Resizes the array to the given extents (number of dimensions and\n size of each dimension).  Note that concrete implementations of\n vtkArray may place constraints on the the extents that they will\n store, so you cannot assume that GetExtents() will always return\n the same value passed to Resize().\n\n * The contents of the array are undefined after calling Resize() - you\n * should initialize its contents accordingly.  In particular,\n * dimension-labels will be undefine ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void Resize(const CoordinateT i, const CoordinateT j, const CoordinateT k);" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for Resize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDimensions */
    if ( strcmp ( argv[2], "GetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensions */
    Tcl_DStringAppendElement ( &dString, " Returns the number of dimensions stored in the array.  Note that\n this is the same as calling GetExtents().GetDimensions().\n" );
    Tcl_DStringAppendElement ( &dString, "DimensionT GetDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for GetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Returns the number of values stored in the array.  Note that this is\n the same as calling GetExtents().GetSize(), and represents the\n maximum number of values that could ever be stored using the current\n extents.  This is equal to the number of values stored in a  dense\n array, but may be larger than the number of values stored in a\n sparse array.\n" );
    Tcl_DStringAppendElement ( &dString, "SizeT GetSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNonNullSize */
    if ( strcmp ( argv[2], "GetNonNullSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonNullSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonNullSize */
    Tcl_DStringAppendElement ( &dString, " Returns the number of non-null values stored in the array.  Note\n that this value will equal GetSize() for dense arrays, and will be\n less-than-or-equal to GetSize() for sparse arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual SizeT GetNonNullSize() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for GetNonNullSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetName */
    if ( strcmp ( argv[2], "GetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetName */
    Tcl_DStringAppendElement ( &dString, " Returns the array name.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetName();" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for GetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDimensionLabel */
    if ( strcmp ( argv[2], "GetDimensionLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionLabel */
    Tcl_DStringAppendElement ( &dString, " Returns the label for the i-th array dimension.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetDimensionLabel(DimensionT i);" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for GetDimensionLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Returns a new array that is a deep copy of this array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkArray *DeepCopy() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkArray" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
