// tcl wrapper for vtkHyperTreeGridCursor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGridCursor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkHyperTreeGridCursorNewCommand()
{
  vtkHyperTreeGridCursor *temp = vtkHyperTreeGridCursor::New();
  return static_cast<ClientData>(temp);
}

int vtkHyperTreeCursorCppCommand(vtkHyperTreeCursor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperTreeGridCursorCppCommand(vtkHyperTreeGridCursor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkHyperTreeGridCursorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkHyperTreeGridCursorCppCommand(static_cast<vtkHyperTreeGridCursor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperTreeGridCursor_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkHyperTreeGridCursor"),vtkHyperTreeGridCursorNewCommand,vtkHyperTreeGridCursorCommand);
  return 0;
}

int VTKTCL_EXPORT vtkHyperTreeGridCursorCppCommand(vtkHyperTreeGridCursor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkHyperTreeGridCursor",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkHyperTreeCursorCppCommand(static_cast<vtkHyperTreeCursor *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkHyperTreeCursor"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkHyperTreeGridCursor  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridCursor");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridCursor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridCursor");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridCursor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridCursor");
    return TCL_OK;
  }
  if ((!strcmp("Clone",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridCursor  *temp20;
    temp20 = (op)->Clone();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridCursor");
    return TCL_OK;
  }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 4))
  {
    vtkHyperTreeGrid  *temp0;
    vtkIdType   temp1;
    error = 0;

    temp0 = (vtkHyperTreeGrid *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeGrid"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->Initialize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetGrid",argv[1]))&&(argc == 3))
  {
    vtkHyperTreeGrid  *temp0;
    error = 0;

    temp0 = (vtkHyperTreeGrid *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeGrid"),interp,error));
    if (!error)
  {
    op->SetGrid(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGrid",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGrid  *temp20;
    temp20 = (op)->GetGrid();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGrid");
    return TCL_OK;
  }
  if ((!strcmp("SetTree",argv[1]))&&(argc == 3))
  {
    vtkHyperTree  *temp0;
    error = 0;

    temp0 = (vtkHyperTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTree"),interp,error));
    if (!error)
  {
    op->SetTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTree",argv[1]))&&(argc == 2))
  {
    vtkHyperTree  *temp20;
    temp20 = (op)->GetTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTree");
    return TCL_OK;
  }
  if ((!strcmp("GetVertexId",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetVertexId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetGlobalNodeIndex",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetGlobalNodeIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsLeaf",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->IsLeaf();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsRoot",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->IsRoot();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetChildIndex",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetChildIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ToRoot",argv[1]))&&(argc == 2))
  {
    op->ToRoot();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ToParent",argv[1]))&&(argc == 2))
  {
    op->ToParent();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ToChild",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->ToChild(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ToSameVertex",argv[1]))&&(argc == 3))
  {
    vtkHyperTreeCursor  *temp0;
    error = 0;

    temp0 = (vtkHyperTreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeCursor"),interp,error));
    if (!error)
  {
    op->ToSameVertex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsEqual",argv[1]))&&(argc == 3))
  {
    vtkHyperTreeCursor  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkHyperTreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeCursor"),interp,error));
    if (!error)
  {
    temp20 = (op)->IsEqual(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SameTree",argv[1]))&&(argc == 3))
  {
    vtkHyperTreeCursor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkHyperTreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperTreeCursor"),interp,error));
    if (!error)
  {
    temp20 = (op)->SameTree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfChildren",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfChildren();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPoint",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->GetPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfCursors",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfCursors();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetCursor",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    vtkHyperTreeGridCursor  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    temp20 = (op)->GetCursor(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridCursor");
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCornerCursors",argv[1]))&&(argc == 5))
  {
    unsigned int      temp0;
    unsigned int      temp1;
    vtkIdList  *temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetCornerCursors(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkHyperTreeGridCursorCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkHyperTreeCursorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperTreeGridCursor:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  Clone\n",nullptr);
    Tcl_AppendResult(interp,"  Initialize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetGrid\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGrid\n",nullptr);
    Tcl_AppendResult(interp,"  SetTree\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTree\n",nullptr);
    Tcl_AppendResult(interp,"  GetVertexId\n",nullptr);
    Tcl_AppendResult(interp,"  GetGlobalNodeIndex\n",nullptr);
    Tcl_AppendResult(interp,"  IsLeaf\n",nullptr);
    Tcl_AppendResult(interp,"  IsRoot\n",nullptr);
    Tcl_AppendResult(interp,"  GetLevel\n",nullptr);
    Tcl_AppendResult(interp,"  GetChildIndex\n",nullptr);
    Tcl_AppendResult(interp,"  ToRoot\n",nullptr);
    Tcl_AppendResult(interp,"  ToParent\n",nullptr);
    Tcl_AppendResult(interp,"  ToChild\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ToSameVertex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsEqual\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SameTree\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfChildren\n",nullptr);
    Tcl_AppendResult(interp,"  GetDimension\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPoint\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfCursors\n",nullptr);
    Tcl_AppendResult(interp,"  GetCursor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCornerCursors\t with 3 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkHyperTreeCursorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Clone" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "SetGrid" );
    Tcl_DStringAppendElement ( &dString, "GetGrid" );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    Tcl_DStringAppendElement ( &dString, "GetVertexId" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIndex" );
    Tcl_DStringAppendElement ( &dString, "IsLeaf" );
    Tcl_DStringAppendElement ( &dString, "IsRoot" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "GetChildIndex" );
    Tcl_DStringAppendElement ( &dString, "ToRoot" );
    Tcl_DStringAppendElement ( &dString, "ToParent" );
    Tcl_DStringAppendElement ( &dString, "ToChild" );
    Tcl_DStringAppendElement ( &dString, "ToSameVertex" );
    Tcl_DStringAppendElement ( &dString, "IsEqual" );
    Tcl_DStringAppendElement ( &dString, "SameTree" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCursors" );
    Tcl_DStringAppendElement ( &dString, "GetCursor" );
    Tcl_DStringAppendElement ( &dString, "GetCornerCursors" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkHyperTreeCursorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeGridCursor *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeGridCursor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Clone */
    if ( strcmp ( argv[2], "Clone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clone */
    Tcl_DStringAppendElement ( &dString, " Create a copy of `this'.\n \\post results_exists:result!=0\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor *Clone() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for Clone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGrid" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize cursor at root of given tree index in grid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize(vtkHyperTreeGrid *, vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGrid */
    if ( strcmp ( argv[2], "SetGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGrid */
    Tcl_DStringAppendElement ( &dString, " Set the hyper tree grid to which the cursor is pointing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGrid(vtkHyperTreeGrid *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for SetGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGrid */
    if ( strcmp ( argv[2], "GetGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGrid */
    Tcl_DStringAppendElement ( &dString, " Set the hyper tree grid to which the cursor is pointing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkHyperTreeGrid *GetGrid();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTree */
    if ( strcmp ( argv[2], "SetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTree */
    Tcl_DStringAppendElement ( &dString, " Set the hyper tree to which the cursor is pointing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTree(vtkHyperTree *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for SetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTree */
    if ( strcmp ( argv[2], "GetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTree */
    Tcl_DStringAppendElement ( &dString, " Set the hyper tree to which the cursor is pointing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTree *GetTree() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVertexId */
    if ( strcmp ( argv[2], "GetVertexId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexId */
    Tcl_DStringAppendElement ( &dString, " Return the index of the current vertex in the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetVertexId() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetVertexId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGlobalNodeIndex */
    if ( strcmp ( argv[2], "GetGlobalNodeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeIndex */
    Tcl_DStringAppendElement ( &dString, " Return the global index (relative to the grid) of the\n current vertex in the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetGlobalNodeIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetGlobalNodeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsLeaf */
    if ( strcmp ( argv[2], "IsLeaf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLeaf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLeaf */
    Tcl_DStringAppendElement ( &dString, " Is the cursor pointing to a leaf?\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsLeaf() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for IsLeaf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsRoot */
    if ( strcmp ( argv[2], "IsRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsRoot */
    Tcl_DStringAppendElement ( &dString, " Is the cursor at tree root?\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsRoot() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for IsRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, " Get the level of the tree vertex pointed by the cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetLevel() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetChildIndex */
    if ( strcmp ( argv[2], "GetChildIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChildIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChildIndex */
    Tcl_DStringAppendElement ( &dString, " Return the child number of the current vertex relative to its parent.\n \\pre not_root: !IsRoot().\n \\post valid_range: result>=0 && result<GetNumberOfChildren()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetChildIndex() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetChildIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToRoot */
    if ( strcmp ( argv[2], "ToRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToRoot */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the root vertex.\n \\pre can be root\n \\post is_root: IsRoot()\n" );
    Tcl_DStringAppendElement ( &dString, "void ToRoot() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for ToRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToParent */
    if ( strcmp ( argv[2], "ToParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToParent */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the parent of the current vertex.\n \\pre not_root: !IsRoot()\n" );
    Tcl_DStringAppendElement ( &dString, "void ToParent() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for ToParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToChild */
    if ( strcmp ( argv[2], "ToChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToChild */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to child `child' of the current vertex.\n \\pre not_leaf: !IsLeaf()\n \\pre valid_child: child>=0 && child<this->GetNumberOfChildren()\n" );
    Tcl_DStringAppendElement ( &dString, "void ToChild(int child) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for ToChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ToSameVertex */
    if ( strcmp ( argv[2], "ToSameVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToSameVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToSameVertex */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the same vertex pointed by `other'.\n \\pre other_exists: other!=0\n \\pre same_hypertree: this->SameTree(other);\n \\post equal: this->IsEqual(other)\n NB: not implemented\n" );
    Tcl_DStringAppendElement ( &dString, "void ToSameVertex(vtkHyperTreeCursor *other) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for ToSameVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsEqual */
    if ( strcmp ( argv[2], "IsEqual" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsEqual" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsEqual */
    Tcl_DStringAppendElement ( &dString, " Is `this' equal to `other'?\n \\pre other_exists: other!=0\n \\pre same_hypertree: this->SameTree(other);\n NB: not implemented\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsEqual(vtkHyperTreeCursor *other) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for IsEqual */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SameTree */
    if ( strcmp ( argv[2], "SameTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SameTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SameTree */
    Tcl_DStringAppendElement ( &dString, " Are `this' and `other' pointing on the same hypertree?\n \\pre other_exists: other!=0\n NB: not implemented\n" );
    Tcl_DStringAppendElement ( &dString, "int SameTree(vtkHyperTreeCursor *other) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for SameTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfChildren */
    if ( strcmp ( argv[2], "GetNumberOfChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfChildren */
    Tcl_DStringAppendElement ( &dString, " Return the number of children for each node (non-vertex leaf) of the tree.\n \\post positive_number: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfChildren() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetNumberOfChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, " Return the dimension of the tree.\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimension() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the bounds of the cursor.\n NB: The basic hyper tree grid cursor does not have bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double pt\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPoint */
    if ( strcmp ( argv[2], "GetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint */
    Tcl_DStringAppendElement ( &dString, " Compute the center coordinates of the cursor.\n NB: The basic hyper tree grid cursor is always centered at 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint(double pt\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfCursors */
    if ( strcmp ( argv[2], "GetNumberOfCursors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCursors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCursors */
    Tcl_DStringAppendElement ( &dString, " Return the number of neighborhood cursors\n The neighborhood definition depends on the type of cursor.\n NB: Only super cursors keep track of neighborhoods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetNumberOfCursors();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetNumberOfCursors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCursor */
    if ( strcmp ( argv[2], "GetCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursor */
    Tcl_DStringAppendElement ( &dString, " Return the cursor pointing into i-th neighbor.\n The neighborhood definition depends on the type of cursor.\n NB: Only super cursors keep track of neighborhoods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkHyperTreeGridCursor *GetCursor(unsigned int);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCornerCursors */
    if ( strcmp ( argv[2], "GetCornerCursors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerCursors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerCursors */
    Tcl_DStringAppendElement ( &dString, " Return the list of cursors pointing to the leaves touching a\n given corner of the cell.\n Return whether the considered cell is the owner of said corner.\n NB: Only the Moore super cursor implements this functionality.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCornerCursors(unsigned int, unsigned int, vtkIdList *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridCursor" );
    /* Closing for GetCornerCursors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkHyperTreeCursorCppCommand(static_cast<vtkHyperTreeCursor *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
