// tcl wrapper for vtkPlanesIntersection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlanesIntersection.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPlanesIntersectionNewCommand()
{
  vtkPlanesIntersection *temp = vtkPlanesIntersection::New();
  return static_cast<ClientData>(temp);
}

int vtkPlanesCppCommand(vtkPlanes *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPlanesIntersectionCppCommand(vtkPlanesIntersection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPlanesIntersectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPlanesIntersectionCppCommand(static_cast<vtkPlanesIntersection *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPlanesIntersection_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlanesIntersection"),vtkPlanesIntersectionNewCommand,vtkPlanesIntersectionCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPlanesIntersectionCppCommand(vtkPlanesIntersection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPlanesIntersection",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPlanesCppCommand(static_cast<vtkPlanes *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPlanes"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPlanesIntersection  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlanesIntersection");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPlanesIntersection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlanesIntersection");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPlanesIntersection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlanesIntersection");
    return TCL_OK;
  }
  if ((!strcmp("SetRegionVertices",argv[1]))&&(argc == 3))
  {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
  {
    op->SetRegionVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfRegionVertices",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfRegionVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumRegionVertices",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumRegionVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IntersectsRegion",argv[1]))&&(argc == 3))
  {
    vtkPoints  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
  {
    temp20 = (op)->IntersectsRegion(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("Convert3DCell",argv[1]))&&(argc == 3))
  {
    vtkCell  *temp0;
    vtkPlanesIntersection  *temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
  {
    temp20 = (op)->Convert3DCell(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlanesIntersection");
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPlanesIntersectionCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPlanesCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPlanesIntersection:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetRegionVertices\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfRegionVertices\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumRegionVertices\n",nullptr);
    Tcl_AppendResult(interp,"  IntersectsRegion\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  Convert3DCell\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPlanesCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetRegionVertices" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegionVertices" );
    Tcl_DStringAppendElement ( &dString, "GetNumRegionVertices" );
    Tcl_DStringAppendElement ( &dString, "IntersectsRegion" );
    Tcl_DStringAppendElement ( &dString, "Convert3DCell" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPlanesCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlanesIntersection *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlanesIntersection *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRegionVertices */
    if ( strcmp ( argv[2], "SetRegionVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRegionVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRegionVertices */
    Tcl_DStringAppendElement ( &dString, " It helps if you know the vertices of the convex region.\n If you don't, we will calculate them.  Region vertices\n are 3-tuples.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRegionVertices(vtkPoints *pts);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for SetRegionVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfRegionVertices */
    if ( strcmp ( argv[2], "GetNumberOfRegionVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegionVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRegionVertices */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRegionVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for GetNumberOfRegionVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumRegionVertices */
    if ( strcmp ( argv[2], "GetNumRegionVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumRegionVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumRegionVertices */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumRegionVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for GetNumRegionVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IntersectsRegion */
    if ( strcmp ( argv[2], "IntersectsRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntersectsRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntersectsRegion */
    Tcl_DStringAppendElement ( &dString, " Return 1 if the axis aligned box defined by R intersects\n the region defined by the planes, or 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "int IntersectsRegion(vtkPoints *R);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for IntersectsRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Convert3DCell */
    if ( strcmp ( argv[2], "Convert3DCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Convert3DCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Convert3DCell */
    Tcl_DStringAppendElement ( &dString, " Another convenience function provided by this class, returns\n the vtkPlanesIntersection object representing a 3D\n cell.  The point IDs for each face must be given in\n counter-clockwise order from the outside of the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlanesIntersection *Convert3DCell(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    /* Closing for Convert3DCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPlanesCppCommand(static_cast<vtkPlanes *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
