// java wrapper for vtkStaticCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStaticCellLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStaticCellLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStaticCellLocator",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStaticCellLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStaticCellLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_SetDivisions_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkStaticCellLocator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDivisions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_SetDivisions_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkStaticCellLocator *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDivisions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStaticCellLocator_GetDivisions_14(JNIEnv *env, jobject obj)
{
  vtkStaticCellLocator *op;
  int     *temp20;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDivisions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_FindCell_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkStaticCellLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindCell(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_IntersectWithLine_16(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jobject id3)
{
  vtkStaticCellLocator *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectWithLine(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_GenerateRepresentation_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkStaticCellLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_FreeSearchStructure_18(JNIEnv *env, jobject obj)
{
  vtkStaticCellLocator *op;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_BuildLocator_19(JNIEnv *env, jobject obj)
{
  vtkStaticCellLocator *op;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStaticCellLocator_SetMaxNumberOfBuckets_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkStaticCellLocator *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxNumberOfBuckets(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_GetMaxNumberOfBucketsMinValue_111(JNIEnv *env, jobject obj)
{
  vtkStaticCellLocator *op;
  vtkIdType   temp20;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfBucketsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_GetMaxNumberOfBucketsMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkStaticCellLocator *op;
  vtkIdType   temp20;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfBucketsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStaticCellLocator_GetMaxNumberOfBuckets_113(JNIEnv *env, jobject obj)
{
  vtkStaticCellLocator *op;
  vtkIdType   temp20;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfBuckets();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStaticCellLocator_GetLargeIds_114(JNIEnv *env, jobject obj)
{
  vtkStaticCellLocator *op;
  bool   temp20;

  op = (vtkStaticCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLargeIds();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStaticCellLocator_VTKInit(JNIEnv *, jobject)
{
  vtkStaticCellLocator *aNewOne = vtkStaticCellLocator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
