// java wrapper for vtkUnstructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGrid",dType)) { return me; }
  if ((res= vtkUnstructuredGridBase_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Allocate_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_InsertNextCell_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Reset_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_CopyStructure_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGrid *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetNumberOfCells_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetCell_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCell_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellBounds_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellPoints_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetPointCells_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_NewCellIterator_113(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkCellIterator  *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewCellIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellType_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellTypesArray_115(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellTypesArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellLocationsArray_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkIdTypeArray  *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLocationsArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Squeeze_117(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Initialize_118(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetMaxCellSize_119(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_BuildLinks_120(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLinks();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellLinks_121(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkCellLinks  *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLinks();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetFaceStream_122(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetFaceStream(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_SetCells_123(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  vtkCellArray  *temp1;
  temp0 = id0;
  temp1 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_SetCells_124(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkUnstructuredGrid *op;
  vtkUnsignedCharArray  *temp0;
  vtkIdTypeArray  *temp1;
  vtkCellArray  *temp2;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCells(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_SetCells_125(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4)
{
  vtkUnstructuredGrid *op;
  vtkUnsignedCharArray  *temp0;
  vtkIdTypeArray  *temp1;
  vtkCellArray  *temp2;
  vtkIdTypeArray  *temp3;
  vtkIdTypeArray  *temp4;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCells(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetCells_126(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkCellArray  *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCells();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_RemoveReferenceToCell_127(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_AddReferenceToCell_128(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->AddReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_ResizeCellList_129(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->ResizeCellList(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellNeighbors_130(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetPiece_131(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetNumberOfPieces_132(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetGhostLevel_133(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetActualMemorySize_134(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
   unsigned long     temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_ShallowCopy_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_DeepCopy_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetIdsOfCellsOfType_137(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  vtkIdTypeArray  *temp1;
  temp0 = id0;
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetIdsOfCellsOfType(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_IsHomogeneous_138(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsHomogeneous();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_RemoveGhostCells_139(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveGhostCells();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetData_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGrid *op;
  vtkInformation  *temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetData_141(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkUnstructuredGrid  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetFaces_142(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkIdTypeArray  *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaces();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetFaceLocations_143(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkIdTypeArray  *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceLocations();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_InitializeFacesRepresentation_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InitializeFacesRepresentation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetMeshMTime_145(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
   unsigned long     temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeshMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGrid_GetCell_146(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkCell  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGrid_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGrid *aNewOne = vtkUnstructuredGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
