// tcl wrapper for vtkSphereTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphereTree.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkSphereTreeNewCommand()
{
  vtkSphereTree *temp = vtkSphereTree::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSphereTreeCppCommand(vtkSphereTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkSphereTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkSphereTreeCppCommand(static_cast<vtkSphereTree *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSphereTree_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphereTree"),vtkSphereTreeNewCommand,vtkSphereTreeCommand);
  return 0;
}

int VTKTCL_EXPORT vtkSphereTreeCppCommand(vtkSphereTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkSphereTree",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkSphereTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereTree");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkSphereTree  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereTree");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkSphereTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereTree");
    return TCL_OK;
  }
  if ((!strcmp("SetDataSet",argv[1]))&&(argc == 3))
  {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->SetDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 2))
  {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  if ((!strcmp("Build",argv[1]))&&(argc == 2))
  {
    op->Build();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Build",argv[1]))&&(argc == 3))
  {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->Build(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBuildHierarchy",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetBuildHierarchy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBuildHierarchy",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetBuildHierarchy();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("BuildHierarchyOn",argv[1]))&&(argc == 2))
  {
    op->BuildHierarchyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("BuildHierarchyOff",argv[1]))&&(argc == 2))
  {
    op->BuildHierarchyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetResolutionMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetResolutionMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaxLevel",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaxLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaxLevelMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaxLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxLevelMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaxLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMaxLevel",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMaxLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfLevels",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLevels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkSphereTreeCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSphereTree:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetDataSet\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDataSet\n",nullptr);
    Tcl_AppendResult(interp,"  Build\n",nullptr);
    Tcl_AppendResult(interp,"  Build\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetBuildHierarchy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBuildHierarchy\n",nullptr);
    Tcl_AppendResult(interp,"  BuildHierarchyOn\n",nullptr);
    Tcl_AppendResult(interp,"  BuildHierarchyOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetResolutionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetResolutionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetResolution\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaxLevel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxLevelMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxLevelMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaxLevel\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLevels\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    Tcl_DStringAppendElement ( &dString, "Build" );
    Tcl_DStringAppendElement ( &dString, "Build" );
    Tcl_DStringAppendElement ( &dString, "SetBuildHierarchy" );
    Tcl_DStringAppendElement ( &dString, "GetBuildHierarchy" );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOn" );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOff" );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLevels" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the sphere tree.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSphereTree *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSphereTree *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDataSet */
    if ( strcmp ( argv[2], "SetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSet */
    Tcl_DStringAppendElement ( &dString, " Specify the dataset from which to build the sphere tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataSet(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for SetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDataSet */
    if ( strcmp ( argv[2], "GetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSet */
    Tcl_DStringAppendElement ( &dString, " Specify the dataset from which to build the sphere tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataSet *GetDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Build */
    if ( strcmp ( argv[2], "Build" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Build" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Build */
    Tcl_DStringAppendElement ( &dString, " Build the sphere tree (if necessary) from the data set specified. The\n build time is recorded so the sphere tree will only build if something has\n changed. An alternative method is available to both set the dataset and\n then build the sphere tree.\n" );
    Tcl_DStringAppendElement ( &dString, "void Build();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for Build */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Build */
    if ( strcmp ( argv[2], "Build" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Build" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Build */
    Tcl_DStringAppendElement ( &dString, " Build the sphere tree (if necessary) from the data set specified. The\n build time is recorded so the sphere tree will only build if something has\n changed. An alternative method is available to both set the dataset and\n then build the sphere tree.\n" );
    Tcl_DStringAppendElement ( &dString, "void Build(vtkDataSet *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for Build */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBuildHierarchy */
    if ( strcmp ( argv[2], "SetBuildHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBuildHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBuildHierarchy */
    Tcl_DStringAppendElement ( &dString, " Control whether the tree hierarchy is built. If not, then just\n cell spheres are created (one for each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBuildHierarchy(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for SetBuildHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBuildHierarchy */
    if ( strcmp ( argv[2], "GetBuildHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBuildHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBuildHierarchy */
    Tcl_DStringAppendElement ( &dString, " Control whether the tree hierarchy is built. If not, then just\n cell spheres are created (one for each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetBuildHierarchy();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetBuildHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildHierarchyOn */
    if ( strcmp ( argv[2], "BuildHierarchyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildHierarchyOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the tree hierarchy is built. If not, then just\n cell spheres are created (one for each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildHierarchyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for BuildHierarchyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildHierarchyOff */
    if ( strcmp ( argv[2], "BuildHierarchyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildHierarchyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildHierarchyOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the tree hierarchy is built. If not, then just\n cell spheres are created (one for each cell).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildHierarchyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for BuildHierarchyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetResolution */
    if ( strcmp ( argv[2], "SetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolution */
    Tcl_DStringAppendElement ( &dString, " Sphere tree creation requires gathering spheres into groups. The\n Resolution variable is a rough guide to the size of each group (the size\n different meanings depending on the type of data (structured versus\n unstructured). For example, in 3D structured data, blocks of resolution\n Resolution^3 are created. By default the Resolution is three.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResolution(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for SetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetResolutionMinValue */
    if ( strcmp ( argv[2], "GetResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Sphere tree creation requires gathering spheres into groups. The\n Resolution variable is a rough guide to the size of each group (the size\n different meanings depending on the type of data (structured versus\n unstructured). For example, in 3D structured data, blocks of resolution\n Resolution^3 are created. By default the Resolution is three.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetResolutionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetResolutionMaxValue */
    if ( strcmp ( argv[2], "GetResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Sphere tree creation requires gathering spheres into groups. The\n Resolution variable is a rough guide to the size of each group (the size\n different meanings depending on the type of data (structured versus\n unstructured). For example, in 3D structured data, blocks of resolution\n Resolution^3 are created. By default the Resolution is three.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetResolutionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetResolution */
    if ( strcmp ( argv[2], "GetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolution */
    Tcl_DStringAppendElement ( &dString, " Sphere tree creation requires gathering spheres into groups. The\n Resolution variable is a rough guide to the size of each group (the size\n different meanings depending on the type of data (structured versus\n unstructured). For example, in 3D structured data, blocks of resolution\n Resolution^3 are created. By default the Resolution is three.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaxLevel */
    if ( strcmp ( argv[2], "SetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of levels for the tree. By default, the\n number of levels is set to ten. If the number of levels is set to one or\n less, then no hierarchy is built (i.e., just the spheres for each cell\n are created). Note that the actual level of the tree may be less than\n this value depending on the number of cells and Resolution factor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaxLevel(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for SetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxLevelMinValue */
    if ( strcmp ( argv[2], "GetMaxLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of levels for the tree. By default, the\n number of levels is set to ten. If the number of levels is set to one or\n less, then no hierarchy is built (i.e., just the spheres for each cell\n are created). Note that the actual level of the tree may be less than\n this value depending on the number of cells and Resolution factor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaxLevelMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetMaxLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxLevelMaxValue */
    if ( strcmp ( argv[2], "GetMaxLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of levels for the tree. By default, the\n number of levels is set to ten. If the number of levels is set to one or\n less, then no hierarchy is built (i.e., just the spheres for each cell\n are created). Note that the actual level of the tree may be less than\n this value depending on the number of cells and Resolution factor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaxLevelMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetMaxLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaxLevel */
    if ( strcmp ( argv[2], "GetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of levels for the tree. By default, the\n number of levels is set to ten. If the number of levels is set to one or\n less, then no hierarchy is built (i.e., just the spheres for each cell\n are created). Note that the actual level of the tree may be less than\n this value depending on the number of cells and Resolution factor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaxLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLevels */
    if ( strcmp ( argv[2], "GetNumberOfLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLevels */
    Tcl_DStringAppendElement ( &dString, " Get the current depth of the sphere tree. This value may change each\n time the sphere tree is built and the branching factor (i.e.,\n resolution) changes. Note that after building the sphere tree there are\n \\[0,this->NumberOfLevels) defined levels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfLevels();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    /* Closing for GetNumberOfLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
