// tcl wrapper for vtkMoleculeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMoleculeMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkMoleculeMapperNewCommand()
{
  vtkMoleculeMapper *temp = vtkMoleculeMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkMapperCppCommand(vtkMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMoleculeMapperCppCommand(vtkMoleculeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkMoleculeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkMoleculeMapperCppCommand(static_cast<vtkMoleculeMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMoleculeMapper_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkMoleculeMapper"),vtkMoleculeMapperNewCommand,vtkMoleculeMapperCommand);
  return 0;
}

int VTKTCL_EXPORT vtkMoleculeMapperCppCommand(vtkMoleculeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkMoleculeMapper",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkMapperCppCommand(static_cast<vtkMapper *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkMapper"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkMoleculeMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMoleculeMapper");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkMoleculeMapper  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMoleculeMapper");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkMoleculeMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMoleculeMapper");
    return TCL_OK;
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkMolecule  *temp0;
    error = 0;

    temp0 = (vtkMolecule *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMolecule"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
  {
    vtkMolecule  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMolecule");
    return TCL_OK;
  }
  if ((!strcmp("UseBallAndStickSettings",argv[1]))&&(argc == 2))
  {
    op->UseBallAndStickSettings();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseVDWSpheresSettings",argv[1]))&&(argc == 2))
  {
    op->UseVDWSpheresSettings();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseLiquoriceStickSettings",argv[1]))&&(argc == 2))
  {
    op->UseLiquoriceStickSettings();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseFastSettings",argv[1]))&&(argc == 2))
  {
    op->UseFastSettings();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetRenderAtoms",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetRenderAtoms();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRenderAtoms",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetRenderAtoms(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderAtomsOn",argv[1]))&&(argc == 2))
  {
    op->RenderAtomsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RenderAtomsOff",argv[1]))&&(argc == 2))
  {
    op->RenderAtomsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetRenderBonds",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetRenderBonds();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRenderBonds",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetRenderBonds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderBondsOn",argv[1]))&&(argc == 2))
  {
    op->RenderBondsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RenderBondsOff",argv[1]))&&(argc == 2))
  {
    op->RenderBondsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetRenderLattice",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetRenderLattice();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRenderLattice",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetRenderLattice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderLatticeOn",argv[1]))&&(argc == 2))
  {
    op->RenderLatticeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RenderLatticeOff",argv[1]))&&(argc == 2))
  {
    op->RenderLatticeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetAtomicRadiusType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAtomicRadiusType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAtomicRadiusType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAtomicRadiusType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAtomicRadiusTypeAsString",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetAtomicRadiusTypeAsString();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetAtomicRadiusTypeToCovalentRadius",argv[1]))&&(argc == 2))
  {
    op->SetAtomicRadiusTypeToCovalentRadius();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAtomicRadiusTypeToVDWRadius",argv[1]))&&(argc == 2))
  {
    op->SetAtomicRadiusTypeToVDWRadius();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAtomicRadiusTypeToUnitRadius",argv[1]))&&(argc == 2))
  {
    op->SetAtomicRadiusTypeToUnitRadius();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAtomicRadiusTypeToCustomArrayRadius",argv[1]))&&(argc == 2))
  {
    op->SetAtomicRadiusTypeToCustomArrayRadius();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetAtomicRadiusScaleFactor",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetAtomicRadiusScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAtomicRadiusScaleFactor",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetAtomicRadiusScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseMultiCylindersForBonds",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseMultiCylindersForBonds();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseMultiCylindersForBonds",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseMultiCylindersForBonds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("UseMultiCylindersForBondsOn",argv[1]))&&(argc == 2))
  {
    op->UseMultiCylindersForBondsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseMultiCylindersForBondsOff",argv[1]))&&(argc == 2))
  {
    op->UseMultiCylindersForBondsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetBondColorMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetBondColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetBondColorMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetBondColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBondColorModeAsString",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetBondColorModeAsString();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetBondColorModeToSingleColor",argv[1]))&&(argc == 2))
  {
    op->SetBondColorModeToSingleColor();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetBondColorModeToDiscreteByAtom",argv[1]))&&(argc == 2))
  {
    op->SetBondColorModeToDiscreteByAtom();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetBondColor",argv[1]))&&(argc == 2))
  {
    unsigned char    *temp20;
    temp20 = (op)->GetBondColor();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u %u ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetBondColor",argv[1]))&&(argc == 5))
  {
    unsigned char     temp0;
    unsigned char     temp1;
    unsigned char     temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned char>(tempi);
    if (!error)
  {
    op->SetBondColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBondRadius",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetBondRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetBondRadius",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetBondRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLatticeColor",argv[1]))&&(argc == 2))
  {
    unsigned char    *temp20;
    temp20 = (op)->GetLatticeColor();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u %u ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetLatticeColor",argv[1]))&&(argc == 5))
  {
    unsigned char     temp0;
    unsigned char     temp1;
    unsigned char     temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned char>(tempi);
    if (!error)
  {
    op->SetLatticeColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectedAtomsAndBonds",argv[1]))&&(argc == 5))
  {
    vtkSelection  *temp0;
    vtkIdTypeArray  *temp1;
    vtkIdTypeArray  *temp2;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp2 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
  {
    op->GetSelectedAtomsAndBonds(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectedAtoms",argv[1]))&&(argc == 4))
  {
    vtkSelection  *temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
  {
    op->GetSelectedAtoms(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectedBonds",argv[1]))&&(argc == 4))
  {
    vtkSelection  *temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
  {
    op->GetSelectedBonds(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
  {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
  {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("FillInputPortInformation",argv[1]))&&(argc == 4))
  {
    int      temp0;
    vtkInformation  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
  {
    temp20 = (op)->FillInputPortInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSupportsSelection",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetSupportsSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkMoleculeMapperCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMoleculeMapper:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInput\n",nullptr);
    Tcl_AppendResult(interp,"  UseBallAndStickSettings\n",nullptr);
    Tcl_AppendResult(interp,"  UseVDWSpheresSettings\n",nullptr);
    Tcl_AppendResult(interp,"  UseLiquoriceStickSettings\n",nullptr);
    Tcl_AppendResult(interp,"  UseFastSettings\n",nullptr);
    Tcl_AppendResult(interp,"  GetRenderAtoms\n",nullptr);
    Tcl_AppendResult(interp,"  SetRenderAtoms\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderAtomsOn\n",nullptr);
    Tcl_AppendResult(interp,"  RenderAtomsOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetRenderBonds\n",nullptr);
    Tcl_AppendResult(interp,"  SetRenderBonds\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderBondsOn\n",nullptr);
    Tcl_AppendResult(interp,"  RenderBondsOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetRenderLattice\n",nullptr);
    Tcl_AppendResult(interp,"  SetRenderLattice\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderLatticeOn\n",nullptr);
    Tcl_AppendResult(interp,"  RenderLatticeOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetAtomicRadiusType\n",nullptr);
    Tcl_AppendResult(interp,"  SetAtomicRadiusType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAtomicRadiusTypeAsString\n",nullptr);
    Tcl_AppendResult(interp,"  SetAtomicRadiusTypeToCovalentRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetAtomicRadiusTypeToVDWRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetAtomicRadiusTypeToUnitRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetAtomicRadiusTypeToCustomArrayRadius\n",nullptr);
    Tcl_AppendResult(interp,"  GetAtomicRadiusScaleFactor\n",nullptr);
    Tcl_AppendResult(interp,"  SetAtomicRadiusScaleFactor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseMultiCylindersForBonds\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseMultiCylindersForBonds\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UseMultiCylindersForBondsOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseMultiCylindersForBondsOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetBondColorMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetBondColorMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBondColorModeAsString\n",nullptr);
    Tcl_AppendResult(interp,"  SetBondColorModeToSingleColor\n",nullptr);
    Tcl_AppendResult(interp,"  SetBondColorModeToDiscreteByAtom\n",nullptr);
    Tcl_AppendResult(interp,"  GetBondColor\n",nullptr);
    Tcl_AppendResult(interp,"  SetBondColor\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetBondRadius\n",nullptr);
    Tcl_AppendResult(interp,"  SetBondRadius\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLatticeColor\n",nullptr);
    Tcl_AppendResult(interp,"  SetLatticeColor\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectedAtomsAndBonds\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectedAtoms\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectedBonds\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  FillInputPortInformation\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSupportsSelection\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "UseBallAndStickSettings" );
    Tcl_DStringAppendElement ( &dString, "UseVDWSpheresSettings" );
    Tcl_DStringAppendElement ( &dString, "UseLiquoriceStickSettings" );
    Tcl_DStringAppendElement ( &dString, "UseFastSettings" );
    Tcl_DStringAppendElement ( &dString, "GetRenderAtoms" );
    Tcl_DStringAppendElement ( &dString, "SetRenderAtoms" );
    Tcl_DStringAppendElement ( &dString, "RenderAtomsOn" );
    Tcl_DStringAppendElement ( &dString, "RenderAtomsOff" );
    Tcl_DStringAppendElement ( &dString, "GetRenderBonds" );
    Tcl_DStringAppendElement ( &dString, "SetRenderBonds" );
    Tcl_DStringAppendElement ( &dString, "RenderBondsOn" );
    Tcl_DStringAppendElement ( &dString, "RenderBondsOff" );
    Tcl_DStringAppendElement ( &dString, "GetRenderLattice" );
    Tcl_DStringAppendElement ( &dString, "SetRenderLattice" );
    Tcl_DStringAppendElement ( &dString, "RenderLatticeOn" );
    Tcl_DStringAppendElement ( &dString, "RenderLatticeOff" );
    Tcl_DStringAppendElement ( &dString, "GetAtomicRadiusType" );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusType" );
    Tcl_DStringAppendElement ( &dString, "GetAtomicRadiusTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToCovalentRadius" );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToVDWRadius" );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToUnitRadius" );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToCustomArrayRadius" );
    Tcl_DStringAppendElement ( &dString, "GetAtomicRadiusScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetUseMultiCylindersForBonds" );
    Tcl_DStringAppendElement ( &dString, "SetUseMultiCylindersForBonds" );
    Tcl_DStringAppendElement ( &dString, "UseMultiCylindersForBondsOn" );
    Tcl_DStringAppendElement ( &dString, "UseMultiCylindersForBondsOff" );
    Tcl_DStringAppendElement ( &dString, "GetBondColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetBondColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetBondColorModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetBondColorModeToSingleColor" );
    Tcl_DStringAppendElement ( &dString, "SetBondColorModeToDiscreteByAtom" );
    Tcl_DStringAppendElement ( &dString, "GetBondColor" );
    Tcl_DStringAppendElement ( &dString, "SetBondColor" );
    Tcl_DStringAppendElement ( &dString, "GetBondRadius" );
    Tcl_DStringAppendElement ( &dString, "SetBondRadius" );
    Tcl_DStringAppendElement ( &dString, "GetLatticeColor" );
    Tcl_DStringAppendElement ( &dString, "SetLatticeColor" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedAtomsAndBonds" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedAtoms" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedBonds" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMoleculeMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMoleculeMapper *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Get/Set the input vtkMolecule.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(vtkMolecule *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get/Set the input vtkMolecule.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseBallAndStickSettings */
    if ( strcmp ( argv[2], "UseBallAndStickSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseBallAndStickSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseBallAndStickSettings */
    Tcl_DStringAppendElement ( &dString, " Set ivars to default ball-and-stick settings. This is equivalent\n to the following:\n - SetRenderAtoms( true )\n - SetRenderBonds( true )\n - SetAtomicRadiusType( VDWRadius )\n - SetAtomicRadiusScaleFactor( 0.3 )\n - SetBondColorMode( DiscreteByAtom )\n - SetUseMultiCylindersForBonds( true )\n - SetBondRadius( 0.075 )\n" );
    Tcl_DStringAppendElement ( &dString, "void UseBallAndStickSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for UseBallAndStickSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseVDWSpheresSettings */
    if ( strcmp ( argv[2], "UseVDWSpheresSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseVDWSpheresSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseVDWSpheresSettings */
    Tcl_DStringAppendElement ( &dString, " Set ivars to default van der Waals spheres settings. This is\n equivalent to the following:\n - SetRenderAtoms( true )\n - SetRenderBonds( true )\n - SetAtomicRadiusType( VDWRadius )\n - SetAtomicRadiusScaleFactor( 1.0 )\n - SetBondColorMode( DiscreteByAtom )\n - SetUseMultiCylindersForBonds( true )\n - SetBondRadius( 0.075 )\n" );
    Tcl_DStringAppendElement ( &dString, "void UseVDWSpheresSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for UseVDWSpheresSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseLiquoriceStickSettings */
    if ( strcmp ( argv[2], "UseLiquoriceStickSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLiquoriceStickSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLiquoriceStickSettings */
    Tcl_DStringAppendElement ( &dString, " Set ivars to default liquorice stick settings. This is\n equivalent to the following:\n - SetRenderAtoms( true )\n - SetRenderBonds( true )\n - SetAtomicRadiusType( UnitRadius )\n - SetAtomicRadiusScaleFactor( 0.1 )\n - SetBondColorMode( DiscreteByAtom )\n - SetUseMultiCylindersForBonds( false )\n - SetBondRadius( 0.1 )\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLiquoriceStickSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for UseLiquoriceStickSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseFastSettings */
    if ( strcmp ( argv[2], "UseFastSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFastSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFastSettings */
    Tcl_DStringAppendElement ( &dString, " Set ivars to use fast settings that may be useful for rendering\n extremely large molecules where the overall shape is more\n important than the details of the atoms/bond. This is equivalent\n to the following:\n - SetRenderAtoms( true )\n - SetRenderBonds( true )\n - SetAtomicRadiusType( UnitRadius )\n - SetAtomicRadiusScaleFactor( 0.60 )\n - SetBondColorMode( SingleColor )\n - SetBondColor( 50, 50, 50 )\n - SetUseMultiCylindersForBonds( false )\n - SetBondRadius( 0.075 )\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFastSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for UseFastSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRenderAtoms */
    if ( strcmp ( argv[2], "GetRenderAtoms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderAtoms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderAtoms */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render atoms. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetRenderAtoms();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetRenderAtoms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRenderAtoms */
    if ( strcmp ( argv[2], "SetRenderAtoms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderAtoms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderAtoms */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render atoms. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderAtoms(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetRenderAtoms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderAtomsOn */
    if ( strcmp ( argv[2], "RenderAtomsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderAtomsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderAtomsOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render atoms. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderAtomsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for RenderAtomsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderAtomsOff */
    if ( strcmp ( argv[2], "RenderAtomsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderAtomsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderAtomsOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render atoms. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderAtomsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for RenderAtomsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRenderBonds */
    if ( strcmp ( argv[2], "GetRenderBonds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderBonds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderBonds */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetRenderBonds();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetRenderBonds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRenderBonds */
    if ( strcmp ( argv[2], "SetRenderBonds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderBonds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderBonds */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderBonds(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetRenderBonds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderBondsOn */
    if ( strcmp ( argv[2], "RenderBondsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderBondsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderBondsOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderBondsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for RenderBondsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderBondsOff */
    if ( strcmp ( argv[2], "RenderBondsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderBondsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderBondsOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderBondsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for RenderBondsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRenderLattice */
    if ( strcmp ( argv[2], "GetRenderLattice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderLattice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderLattice */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render the unit cell lattice, if present.\n Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetRenderLattice();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetRenderLattice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRenderLattice */
    if ( strcmp ( argv[2], "SetRenderLattice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderLattice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderLattice */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render the unit cell lattice, if present.\n Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderLattice(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetRenderLattice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderLatticeOn */
    if ( strcmp ( argv[2], "RenderLatticeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderLatticeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderLatticeOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render the unit cell lattice, if present.\n Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderLatticeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for RenderLatticeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderLatticeOff */
    if ( strcmp ( argv[2], "RenderLatticeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderLatticeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderLatticeOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not to render the unit cell lattice, if present.\n Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderLatticeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for RenderLatticeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAtomicRadiusType */
    if ( strcmp ( argv[2], "GetAtomicRadiusType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAtomicRadiusType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAtomicRadiusType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the type of radius used to generate the atoms. Default:\n VDWRadius. If CustomArrayRadius is used, the VertexData array named\n 'radii' is used for per-atom radii.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAtomicRadiusType();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetAtomicRadiusType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAtomicRadiusType */
    if ( strcmp ( argv[2], "SetAtomicRadiusType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomicRadiusType */
    Tcl_DStringAppendElement ( &dString, " Get/Set the type of radius used to generate the atoms. Default:\n VDWRadius. If CustomArrayRadius is used, the VertexData array named\n 'radii' is used for per-atom radii.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAtomicRadiusType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetAtomicRadiusType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAtomicRadiusTypeAsString */
    if ( strcmp ( argv[2], "GetAtomicRadiusTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAtomicRadiusTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAtomicRadiusTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Get/Set the type of radius used to generate the atoms. Default:\n VDWRadius. If CustomArrayRadius is used, the VertexData array named\n 'radii' is used for per-atom radii.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAtomicRadiusTypeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetAtomicRadiusTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAtomicRadiusTypeToCovalentRadius */
    if ( strcmp ( argv[2], "SetAtomicRadiusTypeToCovalentRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToCovalentRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomicRadiusTypeToCovalentRadius */
    Tcl_DStringAppendElement ( &dString, " Get/Set the type of radius used to generate the atoms. Default:\n VDWRadius. If CustomArrayRadius is used, the VertexData array named\n 'radii' is used for per-atom radii.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAtomicRadiusTypeToCovalentRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetAtomicRadiusTypeToCovalentRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAtomicRadiusTypeToVDWRadius */
    if ( strcmp ( argv[2], "SetAtomicRadiusTypeToVDWRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToVDWRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomicRadiusTypeToVDWRadius */
    Tcl_DStringAppendElement ( &dString, " Get/Set the type of radius used to generate the atoms. Default:\n VDWRadius. If CustomArrayRadius is used, the VertexData array named\n 'radii' is used for per-atom radii.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAtomicRadiusTypeToVDWRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetAtomicRadiusTypeToVDWRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAtomicRadiusTypeToUnitRadius */
    if ( strcmp ( argv[2], "SetAtomicRadiusTypeToUnitRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToUnitRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomicRadiusTypeToUnitRadius */
    Tcl_DStringAppendElement ( &dString, " Get/Set the type of radius used to generate the atoms. Default:\n VDWRadius. If CustomArrayRadius is used, the VertexData array named\n 'radii' is used for per-atom radii.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAtomicRadiusTypeToUnitRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetAtomicRadiusTypeToUnitRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAtomicRadiusTypeToCustomArrayRadius */
    if ( strcmp ( argv[2], "SetAtomicRadiusTypeToCustomArrayRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusTypeToCustomArrayRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomicRadiusTypeToCustomArrayRadius */
    Tcl_DStringAppendElement ( &dString, " Get/Set the type of radius used to generate the atoms. Default:\n VDWRadius. If CustomArrayRadius is used, the VertexData array named\n 'radii' is used for per-atom radii.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAtomicRadiusTypeToCustomArrayRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetAtomicRadiusTypeToCustomArrayRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAtomicRadiusScaleFactor */
    if ( strcmp ( argv[2], "GetAtomicRadiusScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAtomicRadiusScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAtomicRadiusScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the uniform scaling factor applied to the atoms.\n This is ignored when AtomicRadiusType == CustomArrayRadius.\n Default: 0.3.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetAtomicRadiusScaleFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetAtomicRadiusScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAtomicRadiusScaleFactor */
    if ( strcmp ( argv[2], "SetAtomicRadiusScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAtomicRadiusScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAtomicRadiusScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the uniform scaling factor applied to the atoms.\n This is ignored when AtomicRadiusType == CustomArrayRadius.\n Default: 0.3.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAtomicRadiusScaleFactor(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetAtomicRadiusScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseMultiCylindersForBonds */
    if ( strcmp ( argv[2], "GetUseMultiCylindersForBonds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseMultiCylindersForBonds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseMultiCylindersForBonds */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether multicylinders will be used to represent multiple\n bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseMultiCylindersForBonds();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetUseMultiCylindersForBonds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseMultiCylindersForBonds */
    if ( strcmp ( argv[2], "SetUseMultiCylindersForBonds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseMultiCylindersForBonds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseMultiCylindersForBonds */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether multicylinders will be used to represent multiple\n bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseMultiCylindersForBonds(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetUseMultiCylindersForBonds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseMultiCylindersForBondsOn */
    if ( strcmp ( argv[2], "UseMultiCylindersForBondsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseMultiCylindersForBondsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseMultiCylindersForBondsOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether multicylinders will be used to represent multiple\n bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseMultiCylindersForBondsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for UseMultiCylindersForBondsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseMultiCylindersForBondsOff */
    if ( strcmp ( argv[2], "UseMultiCylindersForBondsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseMultiCylindersForBondsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseMultiCylindersForBondsOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether multicylinders will be used to represent multiple\n bonds. Default: On.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseMultiCylindersForBondsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for UseMultiCylindersForBondsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBondColorMode */
    if ( strcmp ( argv[2], "GetBondColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBondColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBondColorMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the method by which bonds are colored.\n\n * If 'SingleColor' is used, all bonds will be the same color. Use\n * SetBondColor to set the rgb values used.\n\n * If 'DiscreteByAtom' is selected, each bond is colored using the\n * same lookup table as the atoms at each end, with a sharp color\n * boundary at the bond center.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetBondColorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetBondColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBondColorMode */
    if ( strcmp ( argv[2], "SetBondColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBondColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBondColorMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the method by which bonds are colored.\n\n * If 'SingleColor' is used, all bonds will be the same color. Use\n * SetBondColor to set the rgb values used.\n\n * If 'DiscreteByAtom' is selected, each bond is colored using the\n * same lookup table as the atoms at each end, with a sharp color\n * boundary at the bond center.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBondColorMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetBondColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBondColorModeAsString */
    if ( strcmp ( argv[2], "GetBondColorModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBondColorModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBondColorModeAsString */
    Tcl_DStringAppendElement ( &dString, " Get/Set the method by which bonds are colored.\n\n * If 'SingleColor' is used, all bonds will be the same color. Use\n * SetBondColor to set the rgb values used.\n\n * If 'DiscreteByAtom' is selected, each bond is colored using the\n * same lookup table as the atoms at each end, with a sharp color\n * boundary at the bond center.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetBondColorModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetBondColorModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBondColorModeToSingleColor */
    if ( strcmp ( argv[2], "SetBondColorModeToSingleColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBondColorModeToSingleColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBondColorModeToSingleColor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the method by which bonds are colored.\n\n * If 'SingleColor' is used, all bonds will be the same color. Use\n * SetBondColor to set the rgb values used.\n\n * If 'DiscreteByAtom' is selected, each bond is colored using the\n * same lookup table as the atoms at each end, with a sharp color\n * boundary at the bond center.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBondColorModeToSingleColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetBondColorModeToSingleColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBondColorModeToDiscreteByAtom */
    if ( strcmp ( argv[2], "SetBondColorModeToDiscreteByAtom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBondColorModeToDiscreteByAtom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBondColorModeToDiscreteByAtom */
    Tcl_DStringAppendElement ( &dString, " Get/Set the method by which bonds are colored.\n\n * If 'SingleColor' is used, all bonds will be the same color. Use\n * SetBondColor to set the rgb values used.\n\n * If 'DiscreteByAtom' is selected, each bond is colored using the\n * same lookup table as the atoms at each end, with a sharp color\n * boundary at the bond center.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBondColorModeToDiscreteByAtom();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetBondColorModeToDiscreteByAtom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBondColor */
    if ( strcmp ( argv[2], "GetBondColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBondColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBondColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetBondColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetBondColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBondColor */
    if ( strcmp ( argv[2], "SetBondColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBondColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBondColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBondColor(unsigned char, unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetBondColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBondRadius */
    if ( strcmp ( argv[2], "GetBondRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBondRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBondRadius */
    Tcl_DStringAppendElement ( &dString, " Get/Set the radius of the bond cylinders. Default: 0.075\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetBondRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetBondRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBondRadius */
    if ( strcmp ( argv[2], "SetBondRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBondRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBondRadius */
    Tcl_DStringAppendElement ( &dString, " Get/Set the radius of the bond cylinders. Default: 0.075\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBondRadius(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetBondRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLatticeColor */
    if ( strcmp ( argv[2], "GetLatticeColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatticeColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatticeColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned char *GetLatticeColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetLatticeColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLatticeColor */
    if ( strcmp ( argv[2], "SetLatticeColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatticeColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatticeColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLatticeColor(unsigned char, unsigned char, unsigned char);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for SetLatticeColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectedAtomsAndBonds */
    if ( strcmp ( argv[2], "GetSelectedAtomsAndBonds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedAtomsAndBonds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedAtomsAndBonds */
    Tcl_DStringAppendElement ( &dString, " Extract the ids atoms and/or bonds rendered by this molecule from a\n vtkSelection object. The vtkIdTypeArray\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSelectedAtomsAndBonds(vtkSelection *selection, vtkIdTypeArray *atomIds, vtkIdTypeArray *bondIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetSelectedAtomsAndBonds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectedAtoms */
    if ( strcmp ( argv[2], "GetSelectedAtoms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedAtoms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedAtoms */
    Tcl_DStringAppendElement ( &dString, " Extract the ids atoms and/or bonds rendered by this molecule from a\n vtkSelection object. The vtkIdTypeArray\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSelectedAtoms(vtkSelection *selection, vtkIdTypeArray *atomIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetSelectedAtoms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectedBonds */
    if ( strcmp ( argv[2], "GetSelectedBonds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedBonds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedBonds */
    Tcl_DStringAppendElement ( &dString, " Extract the ids atoms and/or bonds rendered by this molecule from a\n vtkSelection object. The vtkIdTypeArray\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSelectedBonds(vtkSelection *selection, vtkIdTypeArray *bondIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetSelectedBonds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Reimplemented from base class\n" );
    Tcl_DStringAppendElement ( &dString, "void Render(vtkRenderer *, vtkActor *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Reimplemented from base class\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Reimplemented from base class\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: FillInputPortInformation */
    if ( strcmp ( argv[2], "FillInputPortInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FillInputPortInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FillInputPortInformation */
    Tcl_DStringAppendElement ( &dString, " Reimplemented from base class\n" );
    Tcl_DStringAppendElement ( &dString, "int FillInputPortInformation(int port, vtkInformation *info) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for FillInputPortInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSupportsSelection */
    if ( strcmp ( argv[2], "GetSupportsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSupportsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSupportsSelection */
    Tcl_DStringAppendElement ( &dString, " Reimplemented from base class\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetSupportsSelection() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeMapper" );
    /* Closing for GetSupportsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkMapperCppCommand(static_cast<vtkMapper *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
