// tcl wrapper for vtkClipPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipPolyData.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkClipPolyDataNewCommand()
{
  vtkClipPolyData *temp = vtkClipPolyData::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkClipPolyDataCppCommand(vtkClipPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkClipPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkClipPolyDataCppCommand(static_cast<vtkClipPolyData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkClipPolyData_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkClipPolyData"),vtkClipPolyDataNewCommand,vtkClipPolyDataCommand);
  return 0;
}

int VTKTCL_EXPORT vtkClipPolyDataCppCommand(vtkClipPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkClipPolyData",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkClipPolyData  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipPolyData");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkClipPolyData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipPolyData");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkClipPolyData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipPolyData");
    return TCL_OK;
  }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInsideOut",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetInsideOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInsideOut",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetInsideOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("InsideOutOn",argv[1]))&&(argc == 2))
  {
    op->InsideOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InsideOutOff",argv[1]))&&(argc == 2))
  {
    op->InsideOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetClipFunction",argv[1]))&&(argc == 3))
  {
    vtkImplicitFunction  *temp0;
    error = 0;

    temp0 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImplicitFunction"),interp,error));
    if (!error)
  {
    op->SetClipFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetClipFunction",argv[1]))&&(argc == 2))
  {
    vtkImplicitFunction  *temp20;
    temp20 = (op)->GetClipFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitFunction");
    return TCL_OK;
  }
  if ((!strcmp("SetGenerateClipScalars",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetGenerateClipScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGenerateClipScalars",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetGenerateClipScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GenerateClipScalarsOn",argv[1]))&&(argc == 2))
  {
    op->GenerateClipScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GenerateClipScalarsOff",argv[1]))&&(argc == 2))
  {
    op->GenerateClipScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetGenerateClippedOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetGenerateClippedOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGenerateClippedOutput",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetGenerateClippedOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GenerateClippedOutputOn",argv[1]))&&(argc == 2))
  {
    op->GenerateClippedOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GenerateClippedOutputOff",argv[1]))&&(argc == 2))
  {
    op->GenerateClippedOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetClippedOutput",argv[1]))&&(argc == 2))
  {
    vtkPolyData  *temp20;
    temp20 = (op)->GetClippedOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
  }
  if ((!strcmp("GetClippedOutputPort",argv[1]))&&(argc == 2))
  {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetClippedOutputPort();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
  }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
  {
    vtkIncrementalPointLocator  *temp0;
    error = 0;

    temp0 = (vtkIncrementalPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIncrementalPointLocator"),interp,error));
    if (!error)
  {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
  {
    vtkIncrementalPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalPointLocator");
    return TCL_OK;
  }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
  {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOutputPointsPrecision",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOutputPointsPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputPointsPrecision",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPointsPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkClipPolyDataCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkClipPolyData:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetValue\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetValue\n",nullptr);
    Tcl_AppendResult(interp,"  SetInsideOut\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInsideOut\n",nullptr);
    Tcl_AppendResult(interp,"  InsideOutOn\n",nullptr);
    Tcl_AppendResult(interp,"  InsideOutOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetClipFunction\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetClipFunction\n",nullptr);
    Tcl_AppendResult(interp,"  SetGenerateClipScalars\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGenerateClipScalars\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateClipScalarsOn\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateClipScalarsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetGenerateClippedOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGenerateClippedOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateClippedOutputOn\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateClippedOutputOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetClippedOutput\n",nullptr);
    Tcl_AppendResult(interp,"  GetClippedOutputPort\n",nullptr);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLocator\n",nullptr);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputPointsPrecision\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPointsPrecision\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    Tcl_DStringAppendElement ( &dString, "SetClipFunction" );
    Tcl_DStringAppendElement ( &dString, "GetClipFunction" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClipScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClipScalars" );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClippedOutput" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClippedOutput" );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOff" );
    Tcl_DStringAppendElement ( &dString, "GetClippedOutput" );
    Tcl_DStringAppendElement ( &dString, "GetClippedOutputPort" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkClipPolyData *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with user-specified implicit function; InsideOut turned off;\n value set to 0.0; GenerateClipScalars turned off; GenerateClippedOutput\n turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkClipPolyData *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, " Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetValue(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInsideOut */
    if ( strcmp ( argv[2], "SetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInsideOut(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInsideOut */
    if ( strcmp ( argv[2], "GetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInsideOut();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InsideOutOn */
    if ( strcmp ( argv[2], "InsideOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsideOutOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for InsideOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InsideOutOff */
    if ( strcmp ( argv[2], "InsideOutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsideOutOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for InsideOutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClipFunction */
    if ( strcmp ( argv[2], "SetClipFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the implicit function with which to perform the\n clipping. If you do not define an implicit function, then the input\n scalar data will be used for clipping.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClipFunction(vtkImplicitFunction *);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SetClipFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClipFunction */
    if ( strcmp ( argv[2], "GetClipFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the implicit function with which to perform the\n clipping. If you do not define an implicit function, then the input\n scalar data will be used for clipping.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImplicitFunction *GetClipFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetClipFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGenerateClipScalars */
    if ( strcmp ( argv[2], "SetGenerateClipScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClipScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateClipScalars */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the\n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n GenerateClipScalars is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateClipScalars(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SetGenerateClipScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGenerateClipScalars */
    if ( strcmp ( argv[2], "GetGenerateClipScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClipScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateClipScalars */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the\n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n GenerateClipScalars is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGenerateClipScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetGenerateClipScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateClipScalarsOn */
    if ( strcmp ( argv[2], "GenerateClipScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClipScalarsOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the\n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n GenerateClipScalars is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateClipScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GenerateClipScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateClipScalarsOff */
    if ( strcmp ( argv[2], "GenerateClipScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClipScalarsOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the\n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n GenerateClipScalars is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateClipScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GenerateClipScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGenerateClippedOutput */
    if ( strcmp ( argv[2], "SetGenerateClippedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClippedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateClippedOutput */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n GenerateClippedOutput is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateClippedOutput(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SetGenerateClippedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGenerateClippedOutput */
    if ( strcmp ( argv[2], "GetGenerateClippedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClippedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateClippedOutput */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n GenerateClippedOutput is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGenerateClippedOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetGenerateClippedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateClippedOutputOn */
    if ( strcmp ( argv[2], "GenerateClippedOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClippedOutputOn */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n GenerateClippedOutput is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateClippedOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GenerateClippedOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateClippedOutputOff */
    if ( strcmp ( argv[2], "GenerateClippedOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClippedOutputOff */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n GenerateClippedOutput is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateClippedOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GenerateClippedOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClippedOutput */
    if ( strcmp ( argv[2], "GetClippedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClippedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClippedOutput */
    Tcl_DStringAppendElement ( &dString, " Return the Clipped output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetClippedOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetClippedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClippedOutputPort */
    if ( strcmp ( argv[2], "GetClippedOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClippedOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClippedOutputPort */
    Tcl_DStringAppendElement ( &dString, " Return the output port (a vtkAlgorithmOutput) of the clipped output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput *GetClippedOutputPort();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetClippedOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator(vtkIncrementalPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIncrementalPointLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create default locator. Used to create one when none is specified. The\n locator is used to merge coincident points.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the mtime also considering the locator and clip function.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputPointsPrecision */
    if ( strcmp ( argv[2], "SetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings. OutputPointsPrecision is DEFAULT_PRECISION\n by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputPointsPrecision(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for SetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPointsPrecision */
    if ( strcmp ( argv[2], "GetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output types. See the documentation\n for the vtkAlgorithm::DesiredOutputPrecision enum for an explanation of\n the available precision settings. OutputPointsPrecision is DEFAULT_PRECISION\n by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPointsPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipPolyData" );
    /* Closing for GetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
