// tcl wrapper for vtkFlyingEdges3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFlyingEdges3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkFlyingEdges3DNewCommand()
{
  vtkFlyingEdges3D *temp = vtkFlyingEdges3D::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFlyingEdges3DCppCommand(vtkFlyingEdges3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkFlyingEdges3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkFlyingEdges3DCppCommand(static_cast<vtkFlyingEdges3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFlyingEdges3D_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkFlyingEdges3D"),vtkFlyingEdges3DNewCommand,vtkFlyingEdges3DCommand);
  return 0;
}

int VTKTCL_EXPORT vtkFlyingEdges3DCppCommand(vtkFlyingEdges3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkFlyingEdges3D",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkFlyingEdges3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFlyingEdges3D");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkFlyingEdges3D  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFlyingEdges3D");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkFlyingEdges3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFlyingEdges3D");
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeNormals",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputeNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeNormals",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputeNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeNormalsOn",argv[1]))&&(argc == 2))
  {
    op->ComputeNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeNormalsOff",argv[1]))&&(argc == 2))
  {
    op->ComputeNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeGradients",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputeGradients(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeGradients",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputeGradients();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeGradientsOn",argv[1]))&&(argc == 2))
  {
    op->ComputeGradientsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeGradientsOff",argv[1]))&&(argc == 2))
  {
    op->ComputeGradientsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeScalars",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputeScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeScalars",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputeScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ComputeScalarsOn",argv[1]))&&(argc == 2))
  {
    op->ComputeScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeScalarsOff",argv[1]))&&(argc == 2))
  {
    op->ComputeScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetInterpolateAttributes",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetInterpolateAttributes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInterpolateAttributes",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetInterpolateAttributes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("InterpolateAttributesOn",argv[1]))&&(argc == 2))
  {
    op->InterpolateAttributesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InterpolateAttributesOff",argv[1]))&&(argc == 2))
  {
    op->InterpolateAttributesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 4))
  {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 3))
  {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetNumberOfContours",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetNumberOfContours(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNumberOfContours",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfContours();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GenerateValues",argv[1]))&&(argc == 5))
  {
    int      temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->GenerateValues(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetArrayComponent",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetArrayComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetArrayComponent",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkFlyingEdges3DCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFlyingEdges3D:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeNormals\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeNormals\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeNormalsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeNormalsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeGradients\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeGradients\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeGradientsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeGradientsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeScalars\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeScalars\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeScalarsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeScalarsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolateAttributes\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInterpolateAttributes\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateAttributesOn\n",nullptr);
    Tcl_AppendResult(interp,"  InterpolateAttributesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetValue\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetValue\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetNumberOfContours\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfContours\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateValues\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetArrayComponent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetArrayComponent\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradients" );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradients" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeScalars" );
    Tcl_DStringAppendElement ( &dString, "GetComputeScalars" );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateAttributes" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOn" );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOff" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfContours" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContours" );
    Tcl_DStringAppendElement ( &dString, "GenerateValues" );
    Tcl_DStringAppendElement ( &dString, "SetArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFlyingEdges3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFlyingEdges3D *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Because we delegate to vtkContourValues.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeNormals */
    if ( strcmp ( argv[2], "SetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeNormals(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeNormals */
    if ( strcmp ( argv[2], "GetComputeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeNormals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputeNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetComputeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeNormalsOn */
    if ( strcmp ( argv[2], "ComputeNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for ComputeNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeNormalsOff */
    if ( strcmp ( argv[2], "ComputeNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be processed\n by filters that modify topology or geometry, it may be wise to turn\n Normals and Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for ComputeNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeGradients */
    if ( strcmp ( argv[2], "SetComputeGradients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeGradients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeGradients(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SetComputeGradients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeGradients */
    if ( strcmp ( argv[2], "GetComputeGradients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeGradients */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputeGradients();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetComputeGradients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeGradientsOn */
    if ( strcmp ( argv[2], "ComputeGradientsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeGradientsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for ComputeGradientsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeGradientsOff */
    if ( strcmp ( argv[2], "ComputeGradientsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of gradients. Gradient computation is fairly\n expensive in both time and storage. Note that if ComputeNormals is on,\n gradients will have to be calculated, but will not be stored in the\n output dataset. If the output data will be processed by filters that\n modify topology or geometry, it may be wise to turn Normals and\n Gradients off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeGradientsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for ComputeGradientsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeScalars */
    if ( strcmp ( argv[2], "SetComputeScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeScalars(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SetComputeScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeScalars */
    if ( strcmp ( argv[2], "GetComputeScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputeScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetComputeScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeScalarsOn */
    if ( strcmp ( argv[2], "ComputeScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for ComputeScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeScalarsOff */
    if ( strcmp ( argv[2], "ComputeScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the computation of scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for ComputeScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolateAttributes */
    if ( strcmp ( argv[2], "SetInterpolateAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolateAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolateAttributes */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate other attribute data. That is, as the\n isosurface is generated, interpolate all point attribute data across\n the edge. This is independent of scalar interpolation, which is\n controlled by the ComputeScalars flag.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterpolateAttributes(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SetInterpolateAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInterpolateAttributes */
    if ( strcmp ( argv[2], "GetInterpolateAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolateAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolateAttributes */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate other attribute data. That is, as the\n isosurface is generated, interpolate all point attribute data across\n the edge. This is independent of scalar interpolation, which is\n controlled by the ComputeScalars flag.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInterpolateAttributes();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetInterpolateAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateAttributesOn */
    if ( strcmp ( argv[2], "InterpolateAttributesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAttributesOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate other attribute data. That is, as the\n isosurface is generated, interpolate all point attribute data across\n the edge. This is independent of scalar interpolation, which is\n controlled by the ComputeScalars flag.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateAttributesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for InterpolateAttributesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InterpolateAttributesOff */
    if ( strcmp ( argv[2], "InterpolateAttributesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateAttributesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateAttributesOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to interpolate other attribute data. That is, as the\n isosurface is generated, interpolate all point attribute data across\n the edge. This is independent of scalar interpolation, which is\n controlled by the ComputeScalars flag.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateAttributesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for InterpolateAttributesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, " Set a particular contour value at contour number i. The index i ranges\n between 0<=i<NumberOfContours.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValue(int i, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Get the ith contour value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetValue(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNumberOfContours */
    if ( strcmp ( argv[2], "SetNumberOfContours" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfContours" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfContours */
    Tcl_DStringAppendElement ( &dString, " Set the number of contours to place into the list. You only really\n need to use this method to reduce list size. The method SetValue()\n will automatically increase list size as needed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfContours(int number);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SetNumberOfContours */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfContours */
    if ( strcmp ( argv[2], "GetNumberOfContours" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContours" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfContours */
    Tcl_DStringAppendElement ( &dString, " Get the number of contours in the list of contour values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfContours();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetNumberOfContours */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateValues */
    if ( strcmp ( argv[2], "GenerateValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateValues */
    Tcl_DStringAppendElement ( &dString, " Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateValues(int numContours, double rangeStart, double rangeEnd);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GenerateValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetArrayComponent */
    if ( strcmp ( argv[2], "SetArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Set/get which component of the scalar array to contour on; defaults to 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetArrayComponent(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for SetArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetArrayComponent */
    if ( strcmp ( argv[2], "GetArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Set/get which component of the scalar array to contour on; defaults to 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkFlyingEdges3D" );
    /* Closing for GetArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
