// tcl wrapper for vtkSphereTreeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphereTreeFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkSphereTreeFilterNewCommand()
{
  vtkSphereTreeFilter *temp = vtkSphereTreeFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSphereTreeFilterCppCommand(vtkSphereTreeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkSphereTreeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkSphereTreeFilterCppCommand(static_cast<vtkSphereTreeFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSphereTreeFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkSphereTreeFilter"),vtkSphereTreeFilterNewCommand,vtkSphereTreeFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkSphereTreeFilterCppCommand(vtkSphereTreeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkSphereTreeFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkSphereTreeFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereTreeFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkSphereTreeFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereTreeFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkSphereTreeFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereTreeFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetSphereTree",argv[1]))&&(argc == 3))
  {
    vtkSphereTree  *temp0;
    error = 0;

    temp0 = (vtkSphereTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSphereTree"),interp,error));
    if (!error)
  {
    op->SetSphereTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSphereTree",argv[1]))&&(argc == 2))
  {
    vtkSphereTree  *temp20;
    temp20 = (op)->GetSphereTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereTree");
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetExtractionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExtractionMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetExtractionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToLevels",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToLevels();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToPoint",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToPoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToLine",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExtractionModeToPlane",argv[1]))&&(argc == 2))
  {
    op->SetExtractionModeToPlane();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetExtractionModeAsString",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetExtractionModeAsString();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetTreeHierarchy",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetTreeHierarchy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTreeHierarchy",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetTreeHierarchy();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("TreeHierarchyOn",argv[1]))&&(argc == 2))
  {
    op->TreeHierarchyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("TreeHierarchyOff",argv[1]))&&(argc == 2))
  {
    op->TreeHierarchyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLevel",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLevelMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLevelMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPoint",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPoint",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPoint",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetPoint();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetRay",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetRay(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRay",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetRay(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRay",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetRay();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetNormal();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkSphereTreeFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSphereTreeFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetSphereTree\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSphereTree\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractionMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToLevels\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToPoint\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToLine\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractionModeToPlane\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractionModeAsString\n",nullptr);
    Tcl_AppendResult(interp,"  SetTreeHierarchy\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTreeHierarchy\n",nullptr);
    Tcl_AppendResult(interp,"  TreeHierarchyOn\n",nullptr);
    Tcl_AppendResult(interp,"  TreeHierarchyOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLevel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLevelMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetLevelMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetLevel\n",nullptr);
    Tcl_AppendResult(interp,"  SetPoint\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPoint\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPoint\n",nullptr);
    Tcl_AppendResult(interp,"  SetRay\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetRay\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetRay\n",nullptr);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetNormal\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetSphereTree" );
    Tcl_DStringAppendElement ( &dString, "GetSphereTree" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionMode" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionMode" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLevels" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPoint" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLine" );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPlane" );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetTreeHierarchy" );
    Tcl_DStringAppendElement ( &dString, "GetTreeHierarchy" );
    Tcl_DStringAppendElement ( &dString, "TreeHierarchyOn" );
    Tcl_DStringAppendElement ( &dString, "TreeHierarchyOff" );
    Tcl_DStringAppendElement ( &dString, "SetLevel" );
    Tcl_DStringAppendElement ( &dString, "GetLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    Tcl_DStringAppendElement ( &dString, "SetRay" );
    Tcl_DStringAppendElement ( &dString, "SetRay" );
    Tcl_DStringAppendElement ( &dString, "GetRay" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the sphere tree filter.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSphereTreeFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSphereTreeFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSphereTree */
    if ( strcmp ( argv[2], "SetSphereTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSphereTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSphereTree */
    Tcl_DStringAppendElement ( &dString, " Specify and retrieve the sphere tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSphereTree(vtkSphereTree *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetSphereTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSphereTree */
    if ( strcmp ( argv[2], "GetSphereTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereTree */
    Tcl_DStringAppendElement ( &dString, " Specify and retrieve the sphere tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSphereTree *GetSphereTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetSphereTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionMode */
    if ( strcmp ( argv[2], "SetExtractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionMode */
    Tcl_DStringAppendElement ( &dString, " Specify what information this filter is to extract from the sphere\n tree. Options include: spheres that make up one or more levels; spheres\n that intersect a specified plane; spheres that intersect a specified line;\n and spheres that intersect a specified point. What is extracted are sphere\n centers, a radius, and an optional level. By default the specified levels\n are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExtractionMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetExtractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractionMode */
    if ( strcmp ( argv[2], "GetExtractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionMode */
    Tcl_DStringAppendElement ( &dString, " Specify what information this filter is to extract from the sphere\n tree. Options include: spheres that make up one or more levels; spheres\n that intersect a specified plane; spheres that intersect a specified line;\n and spheres that intersect a specified point. What is extracted are sphere\n centers, a radius, and an optional level. By default the specified levels\n are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExtractionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetExtractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToLevels */
    if ( strcmp ( argv[2], "SetExtractionModeToLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToLevels */
    Tcl_DStringAppendElement ( &dString, " Specify what information this filter is to extract from the sphere\n tree. Options include: spheres that make up one or more levels; spheres\n that intersect a specified plane; spheres that intersect a specified line;\n and spheres that intersect a specified point. What is extracted are sphere\n centers, a radius, and an optional level. By default the specified levels\n are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToLevels();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetExtractionModeToLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToPoint */
    if ( strcmp ( argv[2], "SetExtractionModeToPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToPoint */
    Tcl_DStringAppendElement ( &dString, " Specify what information this filter is to extract from the sphere\n tree. Options include: spheres that make up one or more levels; spheres\n that intersect a specified plane; spheres that intersect a specified line;\n and spheres that intersect a specified point. What is extracted are sphere\n centers, a radius, and an optional level. By default the specified levels\n are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetExtractionModeToPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToLine */
    if ( strcmp ( argv[2], "SetExtractionModeToLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToLine */
    Tcl_DStringAppendElement ( &dString, " Specify what information this filter is to extract from the sphere\n tree. Options include: spheres that make up one or more levels; spheres\n that intersect a specified plane; spheres that intersect a specified line;\n and spheres that intersect a specified point. What is extracted are sphere\n centers, a radius, and an optional level. By default the specified levels\n are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToLine();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetExtractionModeToLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractionModeToPlane */
    if ( strcmp ( argv[2], "SetExtractionModeToPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractionModeToPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractionModeToPlane */
    Tcl_DStringAppendElement ( &dString, " Specify what information this filter is to extract from the sphere\n tree. Options include: spheres that make up one or more levels; spheres\n that intersect a specified plane; spheres that intersect a specified line;\n and spheres that intersect a specified point. What is extracted are sphere\n centers, a radius, and an optional level. By default the specified levels\n are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractionModeToPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetExtractionModeToPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractionModeAsString */
    if ( strcmp ( argv[2], "GetExtractionModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractionModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractionModeAsString */
    Tcl_DStringAppendElement ( &dString, " Specify what information this filter is to extract from the sphere\n tree. Options include: spheres that make up one or more levels; spheres\n that intersect a specified plane; spheres that intersect a specified line;\n and spheres that intersect a specified point. What is extracted are sphere\n centers, a radius, and an optional level. By default the specified levels\n are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetExtractionModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetExtractionModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTreeHierarchy */
    if ( strcmp ( argv[2], "SetTreeHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTreeHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTreeHierarchy */
    Tcl_DStringAppendElement ( &dString, " Enable or disable the building and generation of the sphere tree\n hierarchy. The hierarchy represents different levels in the tree\n and enables rapid traversal of the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTreeHierarchy(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetTreeHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTreeHierarchy */
    if ( strcmp ( argv[2], "GetTreeHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTreeHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTreeHierarchy */
    Tcl_DStringAppendElement ( &dString, " Enable or disable the building and generation of the sphere tree\n hierarchy. The hierarchy represents different levels in the tree\n and enables rapid traversal of the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetTreeHierarchy();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetTreeHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TreeHierarchyOn */
    if ( strcmp ( argv[2], "TreeHierarchyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TreeHierarchyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TreeHierarchyOn */
    Tcl_DStringAppendElement ( &dString, " Enable or disable the building and generation of the sphere tree\n hierarchy. The hierarchy represents different levels in the tree\n and enables rapid traversal of the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TreeHierarchyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for TreeHierarchyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TreeHierarchyOff */
    if ( strcmp ( argv[2], "TreeHierarchyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TreeHierarchyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TreeHierarchyOff */
    Tcl_DStringAppendElement ( &dString, " Enable or disable the building and generation of the sphere tree\n hierarchy. The hierarchy represents different levels in the tree\n and enables rapid traversal of the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TreeHierarchyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for TreeHierarchyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLevel */
    if ( strcmp ( argv[2], "SetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the level of the tree to extract (used when ExtractionMode is\n set to Levels). A value of (-1) means all levels. Note that level 0 is\n the root of the sphere tree. By default all levels are extracted. Note\n that if TreeHierarchy is off, then it is only possible to extract leaf\n spheres (i.e., spheres for each cell of the associated dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLevel(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLevelMinValue */
    if ( strcmp ( argv[2], "GetLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the level of the tree to extract (used when ExtractionMode is\n set to Levels). A value of (-1) means all levels. Note that level 0 is\n the root of the sphere tree. By default all levels are extracted. Note\n that if TreeHierarchy is off, then it is only possible to extract leaf\n spheres (i.e., spheres for each cell of the associated dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLevelMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLevelMaxValue */
    if ( strcmp ( argv[2], "GetLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the level of the tree to extract (used when ExtractionMode is\n set to Levels). A value of (-1) means all levels. Note that level 0 is\n the root of the sphere tree. By default all levels are extracted. Note\n that if TreeHierarchy is off, then it is only possible to extract leaf\n spheres (i.e., spheres for each cell of the associated dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLevelMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the level of the tree to extract (used when ExtractionMode is\n set to Levels). A value of (-1) means all levels. Note that level 0 is\n the root of the sphere tree. By default all levels are extracted. Note\n that if TreeHierarchy is off, then it is only possible to extract leaf\n spheres (i.e., spheres for each cell of the associated dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPoint */
    if ( strcmp ( argv[2], "SetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPoint */
    if ( strcmp ( argv[2], "SetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPoint */
    if ( strcmp ( argv[2], "GetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint */
    Tcl_DStringAppendElement ( &dString, " Specify a point used to extract one or more leaf spheres. This method is\n used when extracting spheres using a point, line, or plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRay */
    if ( strcmp ( argv[2], "SetRay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRay(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetRay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRay */
    if ( strcmp ( argv[2], "SetRay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRay(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetRay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRay */
    if ( strcmp ( argv[2], "GetRay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRay */
    Tcl_DStringAppendElement ( &dString, " Specify a line used to extract spheres (used when ExtractionMode is set\n to Line). The Ray plus Point define an infinite line. The ray is a\n vector defining the direction of the line.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRay();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetRay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Specify a plane used to extract spheres (used when ExtractionMode is set\n to Plane). The plane Normal plus Point define an infinite plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Modified GetMTime because the sphere tree may have changed.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereTreeFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
