// tcl wrapper for vtkExtractArraysOverTime object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractArraysOverTime.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkExtractArraysOverTimeNewCommand()
{
  vtkExtractArraysOverTime *temp = vtkExtractArraysOverTime::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractArraysOverTimeCppCommand(vtkExtractArraysOverTime *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkExtractArraysOverTimeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkExtractArraysOverTimeCppCommand(static_cast<vtkExtractArraysOverTime *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractArraysOverTime_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractArraysOverTime"),vtkExtractArraysOverTimeNewCommand,vtkExtractArraysOverTimeCommand);
  return 0;
}

int VTKTCL_EXPORT vtkExtractArraysOverTimeCppCommand(vtkExtractArraysOverTime *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkExtractArraysOverTime",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkExtractArraysOverTime  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractArraysOverTime");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkExtractArraysOverTime  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractArraysOverTime");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkExtractArraysOverTime  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractArraysOverTime");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSelectionConnection",argv[1]))&&(argc == 3))
  {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
  {
    op->SetSelectionConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSelectionExtractor",argv[1]))&&(argc == 3))
  {
    vtkExtractSelection  *temp0;
    error = 0;

    temp0 = (vtkExtractSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExtractSelection"),interp,error));
    if (!error)
  {
    op->SetSelectionExtractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSelectionExtractor",argv[1]))&&(argc == 2))
  {
    vtkExtractSelection  *temp20;
    temp20 = (op)->GetSelectionExtractor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractSelection");
    return TCL_OK;
  }
  if ((!strcmp("SetReportStatisticsOnly",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetReportStatisticsOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetReportStatisticsOnly",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetReportStatisticsOnly();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ReportStatisticsOnlyOn",argv[1]))&&(argc == 2))
  {
    op->ReportStatisticsOnlyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ReportStatisticsOnlyOff",argv[1]))&&(argc == 2))
  {
    op->ReportStatisticsOnlyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkExtractArraysOverTimeCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractArraysOverTime:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectionConnection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetSelectionExtractor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSelectionExtractor\n",nullptr);
    Tcl_AppendResult(interp,"  SetReportStatisticsOnly\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetReportStatisticsOnly\n",nullptr);
    Tcl_AppendResult(interp,"  ReportStatisticsOnlyOn\n",nullptr);
    Tcl_AppendResult(interp,"  ReportStatisticsOnlyOff\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionExtractor" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionExtractor" );
    Tcl_DStringAppendElement ( &dString, "SetReportStatisticsOnly" );
    Tcl_DStringAppendElement ( &dString, "GetReportStatisticsOnly" );
    Tcl_DStringAppendElement ( &dString, "ReportStatisticsOnlyOn" );
    Tcl_DStringAppendElement ( &dString, "ReportStatisticsOnlyOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractArraysOverTime *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractArraysOverTime *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfTimeSteps */
    if ( strcmp ( argv[2], "GetNumberOfTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Get the number of time steps\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfTimeSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for GetNumberOfTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectionConnection */
    if ( strcmp ( argv[2], "SetSelectionConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience method to specify the selection connection (2nd input\n port)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionConnection(vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for SetSelectionConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSelectionExtractor */
    if ( strcmp ( argv[2], "SetSelectionExtractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionExtractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionExtractor */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkExtractSelection instance used to obtain\n array values at each time step.\n An instance of vtkExtractSelection is created on\n demand when the filter is first executed.\n\n * This is used by ParaView to override the default\n * extractor with one that supports Python-based QUERY\n * selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionExtractor(vtkExtractSelection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for SetSelectionExtractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSelectionExtractor */
    if ( strcmp ( argv[2], "GetSelectionExtractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionExtractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionExtractor */
    Tcl_DStringAppendElement ( &dString, " Set/get the vtkExtractSelection instance used to obtain\n array values at each time step.\n An instance of vtkExtractSelection is created on\n demand when the filter is first executed.\n\n * This is used by ParaView to override the default\n * extractor with one that supports Python-based QUERY\n * selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkExtractSelection *GetSelectionExtractor();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for GetSelectionExtractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetReportStatisticsOnly */
    if ( strcmp ( argv[2], "SetReportStatisticsOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReportStatisticsOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReportStatisticsOnly */
    Tcl_DStringAppendElement ( &dString, " Instead of breaking a selection into a separate time-history\n table for each (block,ID)-tuple, you may call\n ReportStatisticsOnlyOn(). Then a single table per\n block of the input dataset will report the minimum, maximum,\n quartiles, and (for numerical arrays) the average and standard\n deviation of the selection over time.\n\n * The default is off to preserve backwards-compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReportStatisticsOnly(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for SetReportStatisticsOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetReportStatisticsOnly */
    if ( strcmp ( argv[2], "GetReportStatisticsOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReportStatisticsOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReportStatisticsOnly */
    Tcl_DStringAppendElement ( &dString, " Instead of breaking a selection into a separate time-history\n table for each (block,ID)-tuple, you may call\n ReportStatisticsOnlyOn(). Then a single table per\n block of the input dataset will report the minimum, maximum,\n quartiles, and (for numerical arrays) the average and standard\n deviation of the selection over time.\n\n * The default is off to preserve backwards-compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReportStatisticsOnly();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for GetReportStatisticsOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReportStatisticsOnlyOn */
    if ( strcmp ( argv[2], "ReportStatisticsOnlyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportStatisticsOnlyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportStatisticsOnlyOn */
    Tcl_DStringAppendElement ( &dString, " Instead of breaking a selection into a separate time-history\n table for each (block,ID)-tuple, you may call\n ReportStatisticsOnlyOn(). Then a single table per\n block of the input dataset will report the minimum, maximum,\n quartiles, and (for numerical arrays) the average and standard\n deviation of the selection over time.\n\n * The default is off to preserve backwards-compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReportStatisticsOnlyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for ReportStatisticsOnlyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReportStatisticsOnlyOff */
    if ( strcmp ( argv[2], "ReportStatisticsOnlyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportStatisticsOnlyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportStatisticsOnlyOff */
    Tcl_DStringAppendElement ( &dString, " Instead of breaking a selection into a separate time-history\n table for each (block,ID)-tuple, you may call\n ReportStatisticsOnlyOn(). Then a single table per\n block of the input dataset will report the minimum, maximum,\n quartiles, and (for numerical arrays) the average and standard\n deviation of the selection over time.\n\n * The default is off to preserve backwards-compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReportStatisticsOnlyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractArraysOverTime" );
    /* Closing for ReportStatisticsOnlyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
