// tcl wrapper for vtkExtractTimeSteps object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractTimeSteps.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkExtractTimeStepsNewCommand()
{
  vtkExtractTimeSteps *temp = vtkExtractTimeSteps::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractTimeStepsCppCommand(vtkExtractTimeSteps *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkExtractTimeStepsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkExtractTimeStepsCppCommand(static_cast<vtkExtractTimeSteps *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractTimeSteps_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractTimeSteps"),vtkExtractTimeStepsNewCommand,vtkExtractTimeStepsCommand);
  return 0;
}

int VTKTCL_EXPORT vtkExtractTimeStepsCppCommand(vtkExtractTimeSteps *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkExtractTimeSteps",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkExtractTimeSteps  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractTimeSteps");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkExtractTimeSteps  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractTimeSteps");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkExtractTimeSteps  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractTimeSteps");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AddTimeStepIndex",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->AddTimeStepIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GenerateTimeStepIndices",argv[1]))&&(argc == 5))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    op->GenerateTimeStepIndices(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ClearTimeStepIndices",argv[1]))&&(argc == 2))
  {
    op->ClearTimeStepIndices();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetUseRange",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseRange",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("UseRangeOn",argv[1]))&&(argc == 2))
  {
    op->UseRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseRangeOff",argv[1]))&&(argc == 2))
  {
    op->UseRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
  {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
  {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTimeStepInterval",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTimeStepInterval();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTimeStepInterval",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTimeStepInterval(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTimeStepIntervalMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTimeStepIntervalMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTimeStepIntervalMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTimeStepIntervalMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTimeEstimationMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTimeEstimationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTimeEstimationMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTimeEstimationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetTimeEstimationModeToPrevious",argv[1]))&&(argc == 2))
  {
    op->SetTimeEstimationModeToPrevious();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTimeEstimationModeToNext",argv[1]))&&(argc == 2))
  {
    op->SetTimeEstimationModeToNext();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTimeEstimationModeToNearest",argv[1]))&&(argc == 2))
  {
    op->SetTimeEstimationModeToNearest();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkExtractTimeStepsCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractTimeSteps:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",nullptr);
    Tcl_AppendResult(interp,"  AddTimeStepIndex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GenerateTimeStepIndices\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  ClearTimeStepIndices\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseRange\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseRange\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UseRangeOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseRangeOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetRange\n",nullptr);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetTimeStepInterval\n",nullptr);
    Tcl_AppendResult(interp,"  SetTimeStepInterval\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTimeStepIntervalMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTimeStepIntervalMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTimeEstimationMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetTimeEstimationMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetTimeEstimationModeToPrevious\n",nullptr);
    Tcl_AppendResult(interp,"  SetTimeEstimationModeToNext\n",nullptr);
    Tcl_AppendResult(interp,"  SetTimeEstimationModeToNearest\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "AddTimeStepIndex" );
    Tcl_DStringAppendElement ( &dString, "GenerateTimeStepIndices" );
    Tcl_DStringAppendElement ( &dString, "ClearTimeStepIndices" );
    Tcl_DStringAppendElement ( &dString, "GetUseRange" );
    Tcl_DStringAppendElement ( &dString, "SetUseRange" );
    Tcl_DStringAppendElement ( &dString, "UseRangeOn" );
    Tcl_DStringAppendElement ( &dString, "UseRangeOff" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepInterval" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepInterval" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepIntervalMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepIntervalMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimeEstimationMode" );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationMode" );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationModeToPrevious" );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationModeToNext" );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationModeToNearest" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractTimeSteps *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractTimeSteps *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfTimeSteps */
    if ( strcmp ( argv[2], "GetNumberOfTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Get the number of time steps that will be extracted\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTimeSteps() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GetNumberOfTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddTimeStepIndex */
    if ( strcmp ( argv[2], "AddTimeStepIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTimeStepIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTimeStepIndex */
    Tcl_DStringAppendElement ( &dString, " Add a time step index. Not added if the index already exists.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddTimeStepIndex(int timeStepIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for AddTimeStepIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GenerateTimeStepIndices */
    if ( strcmp ( argv[2], "GenerateTimeStepIndices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateTimeStepIndices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateTimeStepIndices */
    Tcl_DStringAppendElement ( &dString, " Generate a range of indices in \\[begin, end) with a step size of 'step'\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateTimeStepIndices(int begin, int end, int step);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GenerateTimeStepIndices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ClearTimeStepIndices */
    if ( strcmp ( argv[2], "ClearTimeStepIndices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearTimeStepIndices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearTimeStepIndices */
    Tcl_DStringAppendElement ( &dString, " Clear the time step indices\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearTimeStepIndices();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for ClearTimeStepIndices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseRange */
    if ( strcmp ( argv[2], "GetUseRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRange */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether to extract a range of timesteps.  When false, extracts\n the time steps explicitly set with SetTimeStepIndices.  Defaults to false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GetUseRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseRange */
    if ( strcmp ( argv[2], "SetUseRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRange */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether to extract a range of timesteps.  When false, extracts\n the time steps explicitly set with SetTimeStepIndices.  Defaults to false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseRange(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetUseRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseRangeOn */
    if ( strcmp ( argv[2], "UseRangeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRangeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRangeOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether to extract a range of timesteps.  When false, extracts\n the time steps explicitly set with SetTimeStepIndices.  Defaults to false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseRangeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for UseRangeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseRangeOff */
    if ( strcmp ( argv[2], "UseRangeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRangeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRangeOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether to extract a range of timesteps.  When false, extracts\n the time steps explicitly set with SetTimeStepIndices.  Defaults to false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseRangeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for UseRangeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTimeStepInterval */
    if ( strcmp ( argv[2], "GetTimeStepInterval" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepInterval" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepInterval */
    Tcl_DStringAppendElement ( &dString, " Get/Set the time step interval to extract.  This is the N in 'extract every\n Nth timestep in this range'.  Default to 1 or 'extract all timesteps in this range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTimeStepInterval();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GetTimeStepInterval */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTimeStepInterval */
    if ( strcmp ( argv[2], "SetTimeStepInterval" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepInterval" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepInterval */
    Tcl_DStringAppendElement ( &dString, " Get/Set the time step interval to extract.  This is the N in 'extract every\n Nth timestep in this range'.  Default to 1 or 'extract all timesteps in this range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTimeStepInterval(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetTimeStepInterval */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTimeStepIntervalMinValue */
    if ( strcmp ( argv[2], "GetTimeStepIntervalMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepIntervalMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepIntervalMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the time step interval to extract.  This is the N in 'extract every\n Nth timestep in this range'.  Default to 1 or 'extract all timesteps in this range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTimeStepIntervalMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GetTimeStepIntervalMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTimeStepIntervalMaxValue */
    if ( strcmp ( argv[2], "GetTimeStepIntervalMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepIntervalMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepIntervalMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the time step interval to extract.  This is the N in 'extract every\n Nth timestep in this range'.  Default to 1 or 'extract all timesteps in this range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTimeStepIntervalMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GetTimeStepIntervalMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTimeEstimationMode */
    if ( strcmp ( argv[2], "GetTimeEstimationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeEstimationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeEstimationMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set what to do when the requested time is not one of the timesteps this filter\n is set to extract.  Should be one of the values of the enum vtkExtractTimeSteps::EstimationMode.\n The default is PREVIOUS_TIMESTEP.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTimeEstimationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for GetTimeEstimationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTimeEstimationMode */
    if ( strcmp ( argv[2], "SetTimeEstimationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeEstimationMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set what to do when the requested time is not one of the timesteps this filter\n is set to extract.  Should be one of the values of the enum vtkExtractTimeSteps::EstimationMode.\n The default is PREVIOUS_TIMESTEP.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTimeEstimationMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetTimeEstimationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTimeEstimationModeToPrevious */
    if ( strcmp ( argv[2], "SetTimeEstimationModeToPrevious" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationModeToPrevious" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeEstimationModeToPrevious */
    Tcl_DStringAppendElement ( &dString, " Get/Set what to do when the requested time is not one of the timesteps this filter\n is set to extract.  Should be one of the values of the enum vtkExtractTimeSteps::EstimationMode.\n The default is PREVIOUS_TIMESTEP.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeEstimationModeToPrevious();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetTimeEstimationModeToPrevious */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTimeEstimationModeToNext */
    if ( strcmp ( argv[2], "SetTimeEstimationModeToNext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationModeToNext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeEstimationModeToNext */
    Tcl_DStringAppendElement ( &dString, " Get/Set what to do when the requested time is not one of the timesteps this filter\n is set to extract.  Should be one of the values of the enum vtkExtractTimeSteps::EstimationMode.\n The default is PREVIOUS_TIMESTEP.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeEstimationModeToNext();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetTimeEstimationModeToNext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTimeEstimationModeToNearest */
    if ( strcmp ( argv[2], "SetTimeEstimationModeToNearest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeEstimationModeToNearest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeEstimationModeToNearest */
    Tcl_DStringAppendElement ( &dString, " Get/Set what to do when the requested time is not one of the timesteps this filter\n is set to extract.  Should be one of the values of the enum vtkExtractTimeSteps::EstimationMode.\n The default is PREVIOUS_TIMESTEP.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeEstimationModeToNearest();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTimeSteps" );
    /* Closing for SetTimeEstimationModeToNearest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
