#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkConvertSelection_TclCreate(Tcl_Interp *interp);
int vtkExtractArraysOverTime_TclCreate(Tcl_Interp *interp);
int vtkExtractBlock_TclCreate(Tcl_Interp *interp);
int vtkExtractCells_TclCreate(Tcl_Interp *interp);
int vtkExtractDataOverTime_TclCreate(Tcl_Interp *interp);
int vtkExtractDataSets_TclCreate(Tcl_Interp *interp);
int vtkExtractEdges_TclCreate(Tcl_Interp *interp);
int vtkExtractGeometry_TclCreate(Tcl_Interp *interp);
int vtkExtractGrid_TclCreate(Tcl_Interp *interp);
int vtkExtractLevel_TclCreate(Tcl_Interp *interp);
int vtkExtractPolyDataGeometry_TclCreate(Tcl_Interp *interp);
int vtkExtractRectilinearGrid_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedBlock_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedIds_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedLocations_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedPolyDataIds_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedRows_TclCreate(Tcl_Interp *interp);
int vtkExtractSelectedThresholds_TclCreate(Tcl_Interp *interp);
int vtkExtractSelection_TclCreate(Tcl_Interp *interp);
int vtkExtractTemporalFieldData_TclCreate(Tcl_Interp *interp);
int vtkExtractTensorComponents_TclCreate(Tcl_Interp *interp);
int vtkExtractTimeSteps_TclCreate(Tcl_Interp *interp);
int vtkExtractUnstructuredGrid_TclCreate(Tcl_Interp *interp);
int vtkExtractVectorComponents_TclCreate(Tcl_Interp *interp);
int vtkProbeSelectedLocations_TclCreate(Tcl_Interp *interp);
int vtkHierarchicalDataExtractDataSets_TclCreate(Tcl_Interp *interp);
int vtkHierarchicalDataExtractLevel_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfiltersextractiontcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfiltersextractiontcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfiltersextractiontcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfiltersextractiontcl_Init(interp);
}


int VTK_EXPORT Vtkfiltersextractiontcl_Init(Tcl_Interp *interp)
{

  vtkConvertSelection_TclCreate(interp);
  vtkExtractArraysOverTime_TclCreate(interp);
  vtkExtractBlock_TclCreate(interp);
  vtkExtractCells_TclCreate(interp);
  vtkExtractDataOverTime_TclCreate(interp);
  vtkExtractDataSets_TclCreate(interp);
  vtkExtractEdges_TclCreate(interp);
  vtkExtractGeometry_TclCreate(interp);
  vtkExtractGrid_TclCreate(interp);
  vtkExtractLevel_TclCreate(interp);
  vtkExtractPolyDataGeometry_TclCreate(interp);
  vtkExtractRectilinearGrid_TclCreate(interp);
  vtkExtractSelectedBlock_TclCreate(interp);
  vtkExtractSelectedIds_TclCreate(interp);
  vtkExtractSelectedLocations_TclCreate(interp);
  vtkExtractSelectedPolyDataIds_TclCreate(interp);
  vtkExtractSelectedRows_TclCreate(interp);
  vtkExtractSelectedThresholds_TclCreate(interp);
  vtkExtractSelection_TclCreate(interp);
  vtkExtractTemporalFieldData_TclCreate(interp);
  vtkExtractTensorComponents_TclCreate(interp);
  vtkExtractTimeSteps_TclCreate(interp);
  vtkExtractUnstructuredGrid_TclCreate(interp);
  vtkExtractVectorComponents_TclCreate(interp);
  vtkProbeSelectedLocations_TclCreate(interp);
  vtkHierarchicalDataExtractDataSets_TclCreate(interp);
  vtkHierarchicalDataExtractLevel_TclCreate(interp);
  char pkgName[]="vtkFiltersExtractionTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
