// tcl wrapper for vtkEvenlySpacedStreamlines2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEvenlySpacedStreamlines2D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkEvenlySpacedStreamlines2DNewCommand()
{
  vtkEvenlySpacedStreamlines2D *temp = vtkEvenlySpacedStreamlines2D::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkEvenlySpacedStreamlines2DCppCommand(vtkEvenlySpacedStreamlines2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkEvenlySpacedStreamlines2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkEvenlySpacedStreamlines2DCppCommand(static_cast<vtkEvenlySpacedStreamlines2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkEvenlySpacedStreamlines2D_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkEvenlySpacedStreamlines2D"),vtkEvenlySpacedStreamlines2DNewCommand,vtkEvenlySpacedStreamlines2DCommand);
  return 0;
}

int VTKTCL_EXPORT vtkEvenlySpacedStreamlines2DCppCommand(vtkEvenlySpacedStreamlines2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkEvenlySpacedStreamlines2D",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkEvenlySpacedStreamlines2D  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEvenlySpacedStreamlines2D");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkEvenlySpacedStreamlines2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEvenlySpacedStreamlines2D");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkEvenlySpacedStreamlines2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEvenlySpacedStreamlines2D");
    return TCL_OK;
  }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetStartPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetStartPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetStartPosition",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetStartPosition();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
  {
    vtkInitialValueProblemSolver  *temp0;
    error = 0;

    temp0 = (vtkInitialValueProblemSolver *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInitialValueProblemSolver"),interp,error));
    if (!error)
  {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
  {
    vtkInitialValueProblemSolver  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInitialValueProblemSolver");
    return TCL_OK;
  }
  if ((!strcmp("SetIntegratorType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetIntegratorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntegratorType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetIntegratorType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetIntegratorTypeToRungeKutta2",argv[1]))&&(argc == 2))
  {
    op->SetIntegratorTypeToRungeKutta2();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetIntegratorTypeToRungeKutta4",argv[1]))&&(argc == 2))
  {
    op->SetIntegratorTypeToRungeKutta4();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetInterpolatorTypeToDataSetPointLocator",argv[1]))&&(argc == 2))
  {
    op->SetInterpolatorTypeToDataSetPointLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetInterpolatorTypeToCellLocator",argv[1]))&&(argc == 2))
  {
    op->SetInterpolatorTypeToCellLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetIntegrationStepUnit",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntegrationStepUnit",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMaximumNumberOfSteps",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMaximumNumberOfSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumNumberOfSteps",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMinimumNumberOfLoopPoints",argv[1]))&&(argc == 3))
  {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMinimumNumberOfLoopPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinimumNumberOfLoopPoints",argv[1]))&&(argc == 2))
  {
    vtkIdType   temp20;
    temp20 = (op)->GetMinimumNumberOfLoopPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInitialIntegrationStep",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetInitialIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInitialIntegrationStep",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetInitialIntegrationStep();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSeparatingDistance",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSeparatingDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSeparatingDistance",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetSeparatingDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSeparatingDistanceRatio",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSeparatingDistanceRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSeparatingDistanceRatio",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetSeparatingDistanceRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetClosedLoopMaximumDistance",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetClosedLoopMaximumDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetClosedLoopMaximumDistance",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetClosedLoopMaximumDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLoopAngle",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetLoopAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLoopAngle",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetLoopAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTerminalSpeed",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTerminalSpeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTerminalSpeed",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTerminalSpeed();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeVorticity",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetComputeVorticity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetComputeVorticity",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetComputeVorticity();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInterpolatorPrototype",argv[1]))&&(argc == 3))
  {
    vtkAbstractInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractInterpolatedVelocityField"),interp,error));
    if (!error)
  {
    op->SetInterpolatorPrototype(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInterpolatorType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetInterpolatorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkEvenlySpacedStreamlines2DCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkEvenlySpacedStreamlines2D:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetStartPosition\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntegrator\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntegratorType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntegratorType\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta2\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta4\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolatorTypeToDataSetPointLocator\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolatorTypeToCellLocator\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntegrationStepUnit\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntegrationStepUnit\n",nullptr);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSteps\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSteps\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinimumNumberOfLoopPoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumNumberOfLoopPoints\n",nullptr);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStep\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInitialIntegrationStep\n",nullptr);
    Tcl_AppendResult(interp,"  SetSeparatingDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSeparatingDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetSeparatingDistanceRatio\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSeparatingDistanceRatio\n",nullptr);
    Tcl_AppendResult(interp,"  SetClosedLoopMaximumDistance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetClosedLoopMaximumDistance\n",nullptr);
    Tcl_AppendResult(interp,"  SetLoopAngle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLoopAngle\n",nullptr);
    Tcl_AppendResult(interp,"  SetTerminalSpeed\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTerminalSpeed\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeVorticity\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeVorticity\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolatorPrototype\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterpolatorType\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorType" );
    Tcl_DStringAppendElement ( &dString, "GetIntegratorType" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta2" );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta4" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToDataSetPointLocator" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToCellLocator" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepUnit" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumNumberOfLoopPoints" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfLoopPoints" );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStep" );
    Tcl_DStringAppendElement ( &dString, "SetSeparatingDistance" );
    Tcl_DStringAppendElement ( &dString, "GetSeparatingDistance" );
    Tcl_DStringAppendElement ( &dString, "SetSeparatingDistanceRatio" );
    Tcl_DStringAppendElement ( &dString, "GetSeparatingDistanceRatio" );
    Tcl_DStringAppendElement ( &dString, "SetClosedLoopMaximumDistance" );
    Tcl_DStringAppendElement ( &dString, "GetClosedLoopMaximumDistance" );
    Tcl_DStringAppendElement ( &dString, "SetLoopAngle" );
    Tcl_DStringAppendElement ( &dString, "GetLoopAngle" );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorPrototype" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkEvenlySpacedStreamlines2D *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object to start from position (0,0,0), with forward\n integration, terminal speed 1.0E-12, vorticity computation on,\n integration step size 0.5 (in cell length unit), maximum number\n of steps 2000, using Runge-Kutta2, and maximum propagation 1.0\n (in arc length unit).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkEvenlySpacedStreamlines2D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStartPosition */
    if ( strcmp ( argv[2], "GetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetStartPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntegrator */
    if ( strcmp ( argv[2], "SetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrator(vtkInitialValueProblemSolver *);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntegrator */
    if ( strcmp ( argv[2], "GetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInitialValueProblemSolver *GetIntegrator();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntegratorType */
    if ( strcmp ( argv[2], "SetIntegratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorType */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetIntegratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntegratorType */
    if ( strcmp ( argv[2], "GetIntegratorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegratorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegratorType */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegratorType();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetIntegratorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntegratorTypeToRungeKutta2 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta2 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta2();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetIntegratorTypeToRungeKutta2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntegratorTypeToRungeKutta4 */
    if ( strcmp ( argv[2], "SetIntegratorTypeToRungeKutta4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegratorTypeToRungeKutta4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegratorTypeToRungeKutta4 */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used for streamline generation.\n The object passed is not actually used but is cloned with\n NewInstance in the process of integration  (prototype pattern).\n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegratorTypeToRungeKutta4();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetIntegratorTypeToRungeKutta4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolatorTypeToDataSetPointLocator */
    if ( strcmp ( argv[2], "SetInterpolatorTypeToDataSetPointLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToDataSetPointLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorTypeToDataSetPointLocator */
    Tcl_DStringAppendElement ( &dString, " Set the velocity field interpolator type to the one involving\n a dataset point locator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorTypeToDataSetPointLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetInterpolatorTypeToDataSetPointLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolatorTypeToCellLocator */
    if ( strcmp ( argv[2], "SetInterpolatorTypeToCellLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorTypeToCellLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorTypeToCellLocator */
    Tcl_DStringAppendElement ( &dString, " Set the velocity field interpolator type to the one involving\n a cell locator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorTypeToCellLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetInterpolatorTypeToCellLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntegrationStepUnit */
    if ( strcmp ( argv[2], "SetIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, " Specify a uniform integration step unit for\n InitialIntegrationStep, and SeparatingDistance. Valid units are\n LENGTH_UNIT (1) (value is in global coordinates) and CELL_LENGTH_UNIT (2)\n (the value is in number of cell lengths)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationStepUnit(int unit);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntegrationStepUnit */
    if ( strcmp ( argv[2], "GetIntegrationStepUnit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepUnit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepUnit */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationStepUnit();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetIntegrationStepUnit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "SetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of steps for integrating a streamline.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfSteps(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumNumberOfSteps */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of steps for integrating a streamline.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMaximumNumberOfSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetMaximumNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinimumNumberOfLoopPoints */
    if ( strcmp ( argv[2], "SetMinimumNumberOfLoopPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumNumberOfLoopPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumNumberOfLoopPoints */
    Tcl_DStringAppendElement ( &dString, " We don't try to eliminate loops with fewer points than this. Default value\n is 4.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinimumNumberOfLoopPoints(vtkIdType _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetMinimumNumberOfLoopPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumNumberOfLoopPoints */
    if ( strcmp ( argv[2], "GetMinimumNumberOfLoopPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumNumberOfLoopPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumNumberOfLoopPoints */
    Tcl_DStringAppendElement ( &dString, " We don't try to eliminate loops with fewer points than this. Default value\n is 4.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetMinimumNumberOfLoopPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetMinimumNumberOfLoopPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInitialIntegrationStep */
    if ( strcmp ( argv[2], "SetInitialIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Initial step size used for line integration, expressed in\n IntegrationStepUnit\n\n This is the constant / fixed size for non-adaptive integration\n methods, i.e., RK2 and RK4\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInitialIntegrationStep(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetInitialIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInitialIntegrationStep */
    if ( strcmp ( argv[2], "GetInitialIntegrationStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialIntegrationStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialIntegrationStep */
    Tcl_DStringAppendElement ( &dString, " Specify the Initial step size used for line integration, expressed in\n IntegrationStepUnit\n\n This is the constant / fixed size for non-adaptive integration\n methods, i.e., RK2 and RK4\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetInitialIntegrationStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetInitialIntegrationStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSeparatingDistance */
    if ( strcmp ( argv[2], "SetSeparatingDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeparatingDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeparatingDistance */
    Tcl_DStringAppendElement ( &dString, " Specify the separation distance between streamlines expressed in\n IntegrationStepUnit.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSeparatingDistance(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetSeparatingDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSeparatingDistance */
    if ( strcmp ( argv[2], "GetSeparatingDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeparatingDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeparatingDistance */
    Tcl_DStringAppendElement ( &dString, " Specify the separation distance between streamlines expressed in\n IntegrationStepUnit.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetSeparatingDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetSeparatingDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSeparatingDistanceRatio */
    if ( strcmp ( argv[2], "SetSeparatingDistanceRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeparatingDistanceRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeparatingDistanceRatio */
    Tcl_DStringAppendElement ( &dString, " Streamline integration is stoped if streamlines are closer than\n SeparatingDistance*SeparatingDistanceRatio to other streamlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSeparatingDistanceRatio(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetSeparatingDistanceRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSeparatingDistanceRatio */
    if ( strcmp ( argv[2], "GetSeparatingDistanceRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeparatingDistanceRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeparatingDistanceRatio */
    Tcl_DStringAppendElement ( &dString, " Streamline integration is stoped if streamlines are closer than\n SeparatingDistance*SeparatingDistanceRatio to other streamlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetSeparatingDistanceRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetSeparatingDistanceRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClosedLoopMaximumDistance */
    if ( strcmp ( argv[2], "SetClosedLoopMaximumDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosedLoopMaximumDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosedLoopMaximumDistance */
    Tcl_DStringAppendElement ( &dString, " Loops are considered closed if the have two points at distance less than this.\n This is expressed in IntegrationStepUnit.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClosedLoopMaximumDistance(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetClosedLoopMaximumDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClosedLoopMaximumDistance */
    if ( strcmp ( argv[2], "GetClosedLoopMaximumDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClosedLoopMaximumDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClosedLoopMaximumDistance */
    Tcl_DStringAppendElement ( &dString, " Loops are considered closed if the have two points at distance less than this.\n This is expressed in IntegrationStepUnit.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetClosedLoopMaximumDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetClosedLoopMaximumDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLoopAngle */
    if ( strcmp ( argv[2], "SetLoopAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLoopAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLoopAngle */
    Tcl_DStringAppendElement ( &dString, " The angle (in radians) between the vector created by p0p1 and the\n velocity in the point closing the loop. p0 is the current point\n and p1 is the point before that.  Default value is 20 degrees in radians.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLoopAngle(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetLoopAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLoopAngle */
    if ( strcmp ( argv[2], "GetLoopAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLoopAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLoopAngle */
    Tcl_DStringAppendElement ( &dString, " The angle (in radians) between the vector created by p0p1 and the\n velocity in the point closing the loop. p0 is the current point\n and p1 is the point before that.  Default value is 20 degrees in radians.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLoopAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetLoopAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTerminalSpeed */
    if ( strcmp ( argv[2], "SetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, " Specify the terminal speed value, below which integration is terminated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTerminalSpeed(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTerminalSpeed */
    if ( strcmp ( argv[2], "GetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, " Specify the terminal speed value, below which integration is terminated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTerminalSpeed();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeVorticity */
    if ( strcmp ( argv[2], "SetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off vorticity computation at streamline points\n (necessary for generating proper stream-ribbons using the\n vtkRibbonFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeVorticity(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeVorticity */
    if ( strcmp ( argv[2], "GetComputeVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeVorticity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off vorticity computation at streamline points\n (necessary for generating proper stream-ribbons using the\n vtkRibbonFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetComputeVorticity();" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for GetComputeVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolatorPrototype */
    if ( strcmp ( argv[2], "SetInterpolatorPrototype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorPrototype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractInterpolatedVelocityField" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorPrototype */
    Tcl_DStringAppendElement ( &dString, " The object used to interpolate the velocity field during\n integration is of the same class as this prototype.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorPrototype(vtkAbstractInterpolatedVelocityField *ivf);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetInterpolatorPrototype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterpolatorType */
    if ( strcmp ( argv[2], "SetInterpolatorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatorType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the velocity field interpolator to determine whether\n vtkInterpolatedVelocityField (INTERPOLATOR_WITH_DATASET_POINT_LOCATOR) or\n vtkCellLocatorInterpolatedVelocityField (INTERPOLATOR_WITH_CELL_LOCATOR)\n is employed for locating cells during streamline integration. The latter\n (adopting vtkAbstractCellLocator sub-classes such as vtkCellLocator and\n vtkModifiedBSPTree) is more robust then the former (through vtkDataSet /\n vtkPointSet::FindCell() coupled  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatorType(int interpType);" );
    Tcl_DStringAppendElement ( &dString, "vtkEvenlySpacedStreamlines2D" );
    /* Closing for SetInterpolatorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
