// tcl wrapper for vtkIntersectionPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIntersectionPolyDataFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkIntersectionPolyDataFilterNewCommand()
{
  vtkIntersectionPolyDataFilter *temp = vtkIntersectionPolyDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkIntersectionPolyDataFilterCppCommand(vtkIntersectionPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkIntersectionPolyDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkIntersectionPolyDataFilterCppCommand(static_cast<vtkIntersectionPolyDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkIntersectionPolyDataFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkIntersectionPolyDataFilter"),vtkIntersectionPolyDataFilterNewCommand,vtkIntersectionPolyDataFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkIntersectionPolyDataFilterCppCommand(vtkIntersectionPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkIntersectionPolyDataFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkIntersectionPolyDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntersectionPolyDataFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkIntersectionPolyDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntersectionPolyDataFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkIntersectionPolyDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntersectionPolyDataFilter");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfIntersectionPoints",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfIntersectionPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfIntersectionLines",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfIntersectionLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetSplitFirstOutput",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSplitFirstOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSplitFirstOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSplitFirstOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SplitFirstOutputOn",argv[1]))&&(argc == 2))
  {
    op->SplitFirstOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SplitFirstOutputOff",argv[1]))&&(argc == 2))
  {
    op->SplitFirstOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetSplitSecondOutput",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSplitSecondOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSplitSecondOutput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSplitSecondOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SplitSecondOutputOn",argv[1]))&&(argc == 2))
  {
    op->SplitSecondOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SplitSecondOutputOff",argv[1]))&&(argc == 2))
  {
    op->SplitSecondOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetComputeIntersectionPointArray",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetComputeIntersectionPointArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetComputeIntersectionPointArray",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetComputeIntersectionPointArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ComputeIntersectionPointArrayOn",argv[1]))&&(argc == 2))
  {
    op->ComputeIntersectionPointArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ComputeIntersectionPointArrayOff",argv[1]))&&(argc == 2))
  {
    op->ComputeIntersectionPointArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetCheckInput",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCheckInput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCheckInput",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCheckInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("CheckInputOn",argv[1]))&&(argc == 2))
  {
    op->CheckInputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CheckInputOff",argv[1]))&&(argc == 2))
  {
    op->CheckInputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetCheckMesh",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCheckMesh();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCheckMesh",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCheckMesh(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("CheckMeshOn",argv[1]))&&(argc == 2))
  {
    op->CheckMeshOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CheckMeshOff",argv[1]))&&(argc == 2))
  {
    op->CheckMeshOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetStatus",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRelativeSubtriangleArea",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetRelativeSubtriangleArea();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetRelativeSubtriangleArea",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetRelativeSubtriangleArea(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("CleanAndCheckInput",argv[1]))&&(argc == 4))
  {
    vtkPolyData  *temp0;
    double   temp1;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->CleanAndCheckInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkIntersectionPolyDataFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkIntersectionPolyDataFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfIntersectionPoints\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfIntersectionLines\n",nullptr);
    Tcl_AppendResult(interp,"  GetSplitFirstOutput\n",nullptr);
    Tcl_AppendResult(interp,"  SetSplitFirstOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SplitFirstOutputOn\n",nullptr);
    Tcl_AppendResult(interp,"  SplitFirstOutputOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetSplitSecondOutput\n",nullptr);
    Tcl_AppendResult(interp,"  SetSplitSecondOutput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SplitSecondOutputOn\n",nullptr);
    Tcl_AppendResult(interp,"  SplitSecondOutputOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetComputeIntersectionPointArray\n",nullptr);
    Tcl_AppendResult(interp,"  SetComputeIntersectionPointArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeIntersectionPointArrayOn\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeIntersectionPointArrayOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetCheckInput\n",nullptr);
    Tcl_AppendResult(interp,"  SetCheckInput\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  CheckInputOn\n",nullptr);
    Tcl_AppendResult(interp,"  CheckInputOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetCheckMesh\n",nullptr);
    Tcl_AppendResult(interp,"  SetCheckMesh\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  CheckMeshOn\n",nullptr);
    Tcl_AppendResult(interp,"  CheckMeshOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetStatus\n",nullptr);
    Tcl_AppendResult(interp,"  GetTolerance\n",nullptr);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRelativeSubtriangleArea\n",nullptr);
    Tcl_AppendResult(interp,"  SetRelativeSubtriangleArea\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  CleanAndCheckInput\t with 2 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionPoints" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionLines" );
    Tcl_DStringAppendElement ( &dString, "GetSplitFirstOutput" );
    Tcl_DStringAppendElement ( &dString, "SetSplitFirstOutput" );
    Tcl_DStringAppendElement ( &dString, "SplitFirstOutputOn" );
    Tcl_DStringAppendElement ( &dString, "SplitFirstOutputOff" );
    Tcl_DStringAppendElement ( &dString, "GetSplitSecondOutput" );
    Tcl_DStringAppendElement ( &dString, "SetSplitSecondOutput" );
    Tcl_DStringAppendElement ( &dString, "SplitSecondOutputOn" );
    Tcl_DStringAppendElement ( &dString, "SplitSecondOutputOff" );
    Tcl_DStringAppendElement ( &dString, "GetComputeIntersectionPointArray" );
    Tcl_DStringAppendElement ( &dString, "SetComputeIntersectionPointArray" );
    Tcl_DStringAppendElement ( &dString, "ComputeIntersectionPointArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeIntersectionPointArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetCheckInput" );
    Tcl_DStringAppendElement ( &dString, "SetCheckInput" );
    Tcl_DStringAppendElement ( &dString, "CheckInputOn" );
    Tcl_DStringAppendElement ( &dString, "CheckInputOff" );
    Tcl_DStringAppendElement ( &dString, "GetCheckMesh" );
    Tcl_DStringAppendElement ( &dString, "SetCheckMesh" );
    Tcl_DStringAppendElement ( &dString, "CheckMeshOn" );
    Tcl_DStringAppendElement ( &dString, "CheckMeshOff" );
    Tcl_DStringAppendElement ( &dString, "GetStatus" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRelativeSubtriangleArea" );
    Tcl_DStringAppendElement ( &dString, "SetRelativeSubtriangleArea" );
    Tcl_DStringAppendElement ( &dString, "CleanAndCheckInput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIntersectionPolyDataFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIntersectionPolyDataFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfIntersectionPoints */
    if ( strcmp ( argv[2], "GetNumberOfIntersectionPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIntersectionPoints */
    Tcl_DStringAppendElement ( &dString, " Integer describing the number of intersection points and lines\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfIntersectionPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetNumberOfIntersectionPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfIntersectionLines */
    if ( strcmp ( argv[2], "GetNumberOfIntersectionLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntersectionLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIntersectionLines */
    Tcl_DStringAppendElement ( &dString, " Integer describing the number of intersection points and lines\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfIntersectionLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetNumberOfIntersectionLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSplitFirstOutput */
    if ( strcmp ( argv[2], "GetSplitFirstOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitFirstOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitFirstOutput */
    Tcl_DStringAppendElement ( &dString, " If on, the second output will be the first input mesh split by the\n intersection with the second input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSplitFirstOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetSplitFirstOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSplitFirstOutput */
    if ( strcmp ( argv[2], "SetSplitFirstOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitFirstOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitFirstOutput */
    Tcl_DStringAppendElement ( &dString, " If on, the second output will be the first input mesh split by the\n intersection with the second input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSplitFirstOutput(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SetSplitFirstOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SplitFirstOutputOn */
    if ( strcmp ( argv[2], "SplitFirstOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplitFirstOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplitFirstOutputOn */
    Tcl_DStringAppendElement ( &dString, " If on, the second output will be the first input mesh split by the\n intersection with the second input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SplitFirstOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SplitFirstOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SplitFirstOutputOff */
    if ( strcmp ( argv[2], "SplitFirstOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplitFirstOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplitFirstOutputOff */
    Tcl_DStringAppendElement ( &dString, " If on, the second output will be the first input mesh split by the\n intersection with the second input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SplitFirstOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SplitFirstOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSplitSecondOutput */
    if ( strcmp ( argv[2], "GetSplitSecondOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitSecondOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitSecondOutput */
    Tcl_DStringAppendElement ( &dString, " If on, the third output will be the second input mesh split by the\n intersection with the first input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSplitSecondOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetSplitSecondOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSplitSecondOutput */
    if ( strcmp ( argv[2], "SetSplitSecondOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitSecondOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitSecondOutput */
    Tcl_DStringAppendElement ( &dString, " If on, the third output will be the second input mesh split by the\n intersection with the first input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSplitSecondOutput(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SetSplitSecondOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SplitSecondOutputOn */
    if ( strcmp ( argv[2], "SplitSecondOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplitSecondOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplitSecondOutputOn */
    Tcl_DStringAppendElement ( &dString, " If on, the third output will be the second input mesh split by the\n intersection with the first input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SplitSecondOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SplitSecondOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SplitSecondOutputOff */
    if ( strcmp ( argv[2], "SplitSecondOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplitSecondOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplitSecondOutputOff */
    Tcl_DStringAppendElement ( &dString, " If on, the third output will be the second input mesh split by the\n intersection with the first input mesh. Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SplitSecondOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SplitSecondOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetComputeIntersectionPointArray */
    if ( strcmp ( argv[2], "GetComputeIntersectionPointArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeIntersectionPointArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeIntersectionPointArray */
    Tcl_DStringAppendElement ( &dString, " If on, the output split surfaces will contain information about which\n points are on the intersection of the two inputs. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetComputeIntersectionPointArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetComputeIntersectionPointArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetComputeIntersectionPointArray */
    if ( strcmp ( argv[2], "SetComputeIntersectionPointArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeIntersectionPointArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeIntersectionPointArray */
    Tcl_DStringAppendElement ( &dString, " If on, the output split surfaces will contain information about which\n points are on the intersection of the two inputs. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComputeIntersectionPointArray(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SetComputeIntersectionPointArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeIntersectionPointArrayOn */
    if ( strcmp ( argv[2], "ComputeIntersectionPointArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeIntersectionPointArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeIntersectionPointArrayOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output split surfaces will contain information about which\n points are on the intersection of the two inputs. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeIntersectionPointArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for ComputeIntersectionPointArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeIntersectionPointArrayOff */
    if ( strcmp ( argv[2], "ComputeIntersectionPointArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeIntersectionPointArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeIntersectionPointArrayOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output split surfaces will contain information about which\n points are on the intersection of the two inputs. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeIntersectionPointArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for ComputeIntersectionPointArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCheckInput */
    if ( strcmp ( argv[2], "GetCheckInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckInput */
    Tcl_DStringAppendElement ( &dString, " If on, the normals of the input will be checked. Default: OFF\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCheckInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetCheckInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCheckInput */
    if ( strcmp ( argv[2], "SetCheckInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckInput */
    Tcl_DStringAppendElement ( &dString, " If on, the normals of the input will be checked. Default: OFF\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCheckInput(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SetCheckInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CheckInputOn */
    if ( strcmp ( argv[2], "CheckInputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckInputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckInputOn */
    Tcl_DStringAppendElement ( &dString, " If on, the normals of the input will be checked. Default: OFF\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CheckInputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for CheckInputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CheckInputOff */
    if ( strcmp ( argv[2], "CheckInputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckInputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckInputOff */
    Tcl_DStringAppendElement ( &dString, " If on, the normals of the input will be checked. Default: OFF\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CheckInputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for CheckInputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCheckMesh */
    if ( strcmp ( argv[2], "GetCheckMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckMesh */
    Tcl_DStringAppendElement ( &dString, " If on, the output remeshed surfaces will be checked for bad cells and\n free edges. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCheckMesh();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetCheckMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCheckMesh */
    if ( strcmp ( argv[2], "SetCheckMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckMesh */
    Tcl_DStringAppendElement ( &dString, " If on, the output remeshed surfaces will be checked for bad cells and\n free edges. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCheckMesh(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SetCheckMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CheckMeshOn */
    if ( strcmp ( argv[2], "CheckMeshOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckMeshOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckMeshOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output remeshed surfaces will be checked for bad cells and\n free edges. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CheckMeshOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for CheckMeshOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CheckMeshOff */
    if ( strcmp ( argv[2], "CheckMeshOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckMeshOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckMeshOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output remeshed surfaces will be checked for bad cells and\n free edges. Default: ON\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CheckMeshOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for CheckMeshOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetStatus */
    if ( strcmp ( argv[2], "GetStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStatus */
    Tcl_DStringAppendElement ( &dString, " Check the status of the filter after update. If the status is zero,\n there was an error in the operation. If status is one, everything\n went smoothly\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetStatus();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance for geometric tests in the filter\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance for geometric tests in the filter\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTolerance(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance for geometric tests in the filter\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance for geometric tests in the filter\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRelativeSubtriangleArea */
    if ( strcmp ( argv[2], "GetRelativeSubtriangleArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelativeSubtriangleArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelativeSubtriangleArea */
    Tcl_DStringAppendElement ( &dString, " When discretizing polygons, the minimum ratio of the smallest acceptable\n triangle area w.r.t. the area of the polygon\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRelativeSubtriangleArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for GetRelativeSubtriangleArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRelativeSubtriangleArea */
    if ( strcmp ( argv[2], "SetRelativeSubtriangleArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRelativeSubtriangleArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRelativeSubtriangleArea */
    Tcl_DStringAppendElement ( &dString, " When discretizing polygons, the minimum ratio of the smallest acceptable\n triangle area w.r.t. the area of the polygon\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRelativeSubtriangleArea(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for SetRelativeSubtriangleArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CleanAndCheckInput */
    if ( strcmp ( argv[2], "CleanAndCheckInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CleanAndCheckInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CleanAndCheckInput */
    Tcl_DStringAppendElement ( &dString, " Function to clean and check the inputs\n" );
    Tcl_DStringAppendElement ( &dString, "static void CleanAndCheckInput(vtkPolyData *pd, double tolerance);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntersectionPolyDataFilter" );
    /* Closing for CleanAndCheckInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
