// tcl wrapper for vtkTemporalArrayOperatorFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalArrayOperatorFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkTemporalArrayOperatorFilterNewCommand()
{
  vtkTemporalArrayOperatorFilter *temp = vtkTemporalArrayOperatorFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiTimeStepAlgorithmCppCommand(vtkMultiTimeStepAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalArrayOperatorFilterCppCommand(vtkTemporalArrayOperatorFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkTemporalArrayOperatorFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkTemporalArrayOperatorFilterCppCommand(static_cast<vtkTemporalArrayOperatorFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalArrayOperatorFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkTemporalArrayOperatorFilter"),vtkTemporalArrayOperatorFilterNewCommand,vtkTemporalArrayOperatorFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkTemporalArrayOperatorFilterCppCommand(vtkTemporalArrayOperatorFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkTemporalArrayOperatorFilter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkMultiTimeStepAlgorithmCppCommand(static_cast<vtkMultiTimeStepAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiTimeStepAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkTemporalArrayOperatorFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalArrayOperatorFilter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkTemporalArrayOperatorFilter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalArrayOperatorFilter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkTemporalArrayOperatorFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalArrayOperatorFilter");
    return TCL_OK;
  }
  if ((!strcmp("SetOperator",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOperator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOperator",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOperator();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetFirstTimeStepIndex",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetFirstTimeStepIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFirstTimeStepIndex",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetFirstTimeStepIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSecondTimeStepIndex",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSecondTimeStepIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSecondTimeStepIndex",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSecondTimeStepIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOutputArrayNameSuffix",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetOutputArrayNameSuffix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputArrayNameSuffix",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetOutputArrayNameSuffix();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalArrayOperatorFilterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkMultiTimeStepAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalArrayOperatorFilter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetOperator\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOperator\n",nullptr);
    Tcl_AppendResult(interp,"  SetFirstTimeStepIndex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFirstTimeStepIndex\n",nullptr);
    Tcl_AppendResult(interp,"  SetSecondTimeStepIndex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSecondTimeStepIndex\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputArrayNameSuffix\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputArrayNameSuffix\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiTimeStepAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetOperator" );
    Tcl_DStringAppendElement ( &dString, "GetOperator" );
    Tcl_DStringAppendElement ( &dString, "SetFirstTimeStepIndex" );
    Tcl_DStringAppendElement ( &dString, "GetFirstTimeStepIndex" );
    Tcl_DStringAppendElement ( &dString, "SetSecondTimeStepIndex" );
    Tcl_DStringAppendElement ( &dString, "GetSecondTimeStepIndex" );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayNameSuffix" );
    Tcl_DStringAppendElement ( &dString, "GetOutputArrayNameSuffix" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiTimeStepAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalArrayOperatorFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalArrayOperatorFilter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOperator */
    if ( strcmp ( argv[2], "SetOperator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperator */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the operator to apply. Default is ADD (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOperator(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for SetOperator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOperator */
    if ( strcmp ( argv[2], "GetOperator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperator */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the operator to apply. Default is ADD (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOperator();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for GetOperator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFirstTimeStepIndex */
    if ( strcmp ( argv[2], "SetFirstTimeStepIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFirstTimeStepIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFirstTimeStepIndex */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the first time step.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFirstTimeStepIndex(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for SetFirstTimeStepIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFirstTimeStepIndex */
    if ( strcmp ( argv[2], "GetFirstTimeStepIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFirstTimeStepIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFirstTimeStepIndex */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the first time step.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetFirstTimeStepIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for GetFirstTimeStepIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSecondTimeStepIndex */
    if ( strcmp ( argv[2], "SetSecondTimeStepIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSecondTimeStepIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSecondTimeStepIndex */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the second time step.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSecondTimeStepIndex(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for SetSecondTimeStepIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSecondTimeStepIndex */
    if ( strcmp ( argv[2], "GetSecondTimeStepIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondTimeStepIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondTimeStepIndex */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the second time step.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSecondTimeStepIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for GetSecondTimeStepIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputArrayNameSuffix */
    if ( strcmp ( argv[2], "SetOutputArrayNameSuffix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputArrayNameSuffix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputArrayNameSuffix */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the suffix to be append to the output array name.\n If not specified, output will be suffixed with '_' and the operation\n type (eg. myarrayname_add).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputArrayNameSuffix(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for SetOutputArrayNameSuffix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputArrayNameSuffix */
    if ( strcmp ( argv[2], "GetOutputArrayNameSuffix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputArrayNameSuffix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputArrayNameSuffix */
    Tcl_DStringAppendElement ( &dString, " @brief Set/Get the suffix to be append to the output array name.\n If not specified, output will be suffixed with '_' and the operation\n type (eg. myarrayname_add).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetOutputArrayNameSuffix();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalArrayOperatorFilter" );
    /* Closing for GetOutputArrayNameSuffix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkMultiTimeStepAlgorithmCppCommand(static_cast<vtkMultiTimeStepAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
