// tcl wrapper for vtkHyperTreeGridAxisClip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGridAxisClip.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkHyperTreeGridAxisClipNewCommand()
{
  vtkHyperTreeGridAxisClip *temp = vtkHyperTreeGridAxisClip::New();
  return static_cast<ClientData>(temp);
}

int vtkHyperTreeGridAlgorithmCppCommand(vtkHyperTreeGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperTreeGridAxisClipCppCommand(vtkHyperTreeGridAxisClip *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkHyperTreeGridAxisClipCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkHyperTreeGridAxisClipCppCommand(static_cast<vtkHyperTreeGridAxisClip *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperTreeGridAxisClip_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkHyperTreeGridAxisClip"),vtkHyperTreeGridAxisClipNewCommand,vtkHyperTreeGridAxisClipCommand);
  return 0;
}

int VTKTCL_EXPORT vtkHyperTreeGridAxisClipCppCommand(vtkHyperTreeGridAxisClip *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkHyperTreeGridAxisClip",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkHyperTreeGridAlgorithmCppCommand(static_cast<vtkHyperTreeGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkHyperTreeGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridAxisClip  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAxisClip");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkHyperTreeGridAxisClip  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAxisClip");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridAxisClip  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAxisClip");
    return TCL_OK;
  }
  if ((!strcmp("SetClipType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetClipType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetClipTypeMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetClipTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetClipTypeMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetClipTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetClipType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetClipType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetClipTypeToPlane",argv[1]))&&(argc == 2))
  {
    op->SetClipTypeToPlane();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetClipTypeToBox",argv[1]))&&(argc == 2))
  {
    op->SetClipTypeToBox();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetClipTypeToQuadric",argv[1]))&&(argc == 2))
  {
    op->SetClipTypeToQuadric();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneNormalAxis",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPlaneNormalAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPlaneNormalAxisMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPlaneNormalAxisMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPlaneNormalAxisMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPlaneNormalAxisMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPlaneNormalAxis",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPlaneNormalAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPlanePosition",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetPlanePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPlanePosition",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetPlanePosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
  {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetMinimumBounds",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->GetMinimumBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMaximumBounds",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->GetMaximumBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInsideOut",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetInsideOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInsideOut",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetInsideOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("InsideOutOn",argv[1]))&&(argc == 2))
  {
    op->InsideOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InsideOutOff",argv[1]))&&(argc == 2))
  {
    op->InsideOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetQuadric",argv[1]))&&(argc == 3))
  {
    vtkQuadric  *temp0;
    error = 0;

    temp0 = (vtkQuadric *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkQuadric"),interp,error));
    if (!error)
  {
    op->SetQuadric(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQuadric",argv[1]))&&(argc == 2))
  {
    vtkQuadric  *temp20;
    temp20 = (op)->GetQuadric();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadric");
    return TCL_OK;
  }
  if ((!strcmp("SetQuadricCoefficients",argv[1]))&&(argc == 12))
  {
    double temp0[10];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (!error)
  {
    op->SetQuadricCoefficients(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQuadricCoefficients",argv[1]))&&(argc == 12))
  {
    double temp0[10];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (!error)
  {
    op->GetQuadricCoefficients(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkHyperTreeGridAxisClipCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkHyperTreeGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperTreeGridAxisClip:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetClipType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetClipTypeMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetClipTypeMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetClipType\n",nullptr);
    Tcl_AppendResult(interp,"  SetClipTypeToPlane\n",nullptr);
    Tcl_AppendResult(interp,"  SetClipTypeToBox\n",nullptr);
    Tcl_AppendResult(interp,"  SetClipTypeToQuadric\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneNormalAxis\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaneNormalAxisMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaneNormalAxisMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaneNormalAxis\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlanePosition\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlanePosition\n",nullptr);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinimumBounds\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumBounds\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetInsideOut\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInsideOut\n",nullptr);
    Tcl_AppendResult(interp,"  InsideOutOn\n",nullptr);
    Tcl_AppendResult(interp,"  InsideOutOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetQuadric\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQuadric\n",nullptr);
    Tcl_AppendResult(interp,"  SetQuadricCoefficients\t with 10 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetQuadricCoefficients\t with 10 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkHyperTreeGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetClipType" );
    Tcl_DStringAppendElement ( &dString, "GetClipTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetClipTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetClipType" );
    Tcl_DStringAppendElement ( &dString, "SetClipTypeToPlane" );
    Tcl_DStringAppendElement ( &dString, "SetClipTypeToBox" );
    Tcl_DStringAppendElement ( &dString, "SetClipTypeToQuadric" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneNormalAxis" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneNormalAxisMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneNormalAxisMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneNormalAxis" );
    Tcl_DStringAppendElement ( &dString, "SetPlanePosition" );
    Tcl_DStringAppendElement ( &dString, "GetPlanePosition" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumBounds" );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    Tcl_DStringAppendElement ( &dString, "SetQuadric" );
    Tcl_DStringAppendElement ( &dString, "GetQuadric" );
    Tcl_DStringAppendElement ( &dString, "SetQuadricCoefficients" );
    Tcl_DStringAppendElement ( &dString, "GetQuadricCoefficients" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkHyperTreeGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeGridAxisClip *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeGridAxisClip *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClipType */
    if ( strcmp ( argv[2], "SetClipType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipType */
    Tcl_DStringAppendElement ( &dString, " Set/get type of clip.\n Default value is 0 (plane clip).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClipType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetClipType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClipTypeMinValue */
    if ( strcmp ( argv[2], "GetClipTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get type of clip.\n Default value is 0 (plane clip).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetClipTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetClipTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClipTypeMaxValue */
    if ( strcmp ( argv[2], "GetClipTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get type of clip.\n Default value is 0 (plane clip).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetClipTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetClipTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetClipType */
    if ( strcmp ( argv[2], "GetClipType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipType */
    Tcl_DStringAppendElement ( &dString, " Set/get type of clip.\n Default value is 0 (plane clip).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetClipType();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetClipType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClipTypeToPlane */
    if ( strcmp ( argv[2], "SetClipTypeToPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipTypeToPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipTypeToPlane */
    Tcl_DStringAppendElement ( &dString, " Set/get type of clip.\n Default value is 0 (plane clip).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClipTypeToPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetClipTypeToPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClipTypeToBox */
    if ( strcmp ( argv[2], "SetClipTypeToBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipTypeToBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipTypeToBox */
    Tcl_DStringAppendElement ( &dString, " Set/get type of clip.\n Default value is 0 (plane clip).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClipTypeToBox();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetClipTypeToBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetClipTypeToQuadric */
    if ( strcmp ( argv[2], "SetClipTypeToQuadric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipTypeToQuadric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipTypeToQuadric */
    Tcl_DStringAppendElement ( &dString, " Set/get type of clip.\n Default value is 0 (plane clip).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClipTypeToQuadric();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetClipTypeToQuadric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneNormalAxis */
    if ( strcmp ( argv[2], "SetPlaneNormalAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneNormalAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneNormalAxis */
    Tcl_DStringAppendElement ( &dString, " Set/get normal axis of clipping plane: 0=X, 1=Y, 2=Z.\n Default value is 0 (X-axis normal).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlaneNormalAxis(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetPlaneNormalAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaneNormalAxisMinValue */
    if ( strcmp ( argv[2], "GetPlaneNormalAxisMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneNormalAxisMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneNormalAxisMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get normal axis of clipping plane: 0=X, 1=Y, 2=Z.\n Default value is 0 (X-axis normal).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlaneNormalAxisMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetPlaneNormalAxisMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaneNormalAxisMaxValue */
    if ( strcmp ( argv[2], "GetPlaneNormalAxisMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneNormalAxisMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneNormalAxisMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get normal axis of clipping plane: 0=X, 1=Y, 2=Z.\n Default value is 0 (X-axis normal).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlaneNormalAxisMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetPlaneNormalAxisMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaneNormalAxis */
    if ( strcmp ( argv[2], "GetPlaneNormalAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneNormalAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneNormalAxis */
    Tcl_DStringAppendElement ( &dString, " Set/get normal axis of clipping plane: 0=X, 1=Y, 2=Z.\n Default value is 0 (X-axis normal).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlaneNormalAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetPlaneNormalAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlanePosition */
    if ( strcmp ( argv[2], "SetPlanePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlanePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlanePosition */
    Tcl_DStringAppendElement ( &dString, " Set/get position of clipping plane: intercept along normal axis.\n Default value is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlanePosition(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetPlanePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlanePosition */
    if ( strcmp ( argv[2], "GetPlanePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlanePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlanePosition */
    Tcl_DStringAppendElement ( &dString, " Set/get position of clipping plane: intercept along normal axis.\n Default value is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPlanePosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetPlanePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double, double, double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Set/get bounds of clipping box.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinimumBounds */
    if ( strcmp ( argv[2], "GetMinimumBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumBounds */
    Tcl_DStringAppendElement ( &dString, " Set/get bounds of clipping box.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetMinimumBounds(double\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetMinimumBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumBounds */
    if ( strcmp ( argv[2], "GetMaximumBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumBounds */
    Tcl_DStringAppendElement ( &dString, " Set/get bounds of clipping box.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetMaximumBounds(double\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetMaximumBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInsideOut */
    if ( strcmp ( argv[2], "SetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag, in the case of clip by hyperplane.\n When off, a cell is clipped out when its origin is above said plane\n intercept along the considered direction, inside otherwise.\n When on, a cell is clipped out when its origin + size is below said\n said plane intercept along the considered direction.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInsideOut(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInsideOut */
    if ( strcmp ( argv[2], "GetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag, in the case of clip by hyperplane.\n When off, a cell is clipped out when its origin is above said plane\n intercept along the considered direction, inside otherwise.\n When on, a cell is clipped out when its origin + size is below said\n said plane intercept along the considered direction.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInsideOut();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InsideOutOn */
    if ( strcmp ( argv[2], "InsideOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag, in the case of clip by hyperplane.\n When off, a cell is clipped out when its origin is above said plane\n intercept along the considered direction, inside otherwise.\n When on, a cell is clipped out when its origin + size is below said\n said plane intercept along the considered direction.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsideOutOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for InsideOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InsideOutOff */
    if ( strcmp ( argv[2], "InsideOutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag, in the case of clip by hyperplane.\n When off, a cell is clipped out when its origin is above said plane\n intercept along the considered direction, inside otherwise.\n When on, a cell is clipped out when its origin + size is below said\n said plane intercept along the considered direction.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsideOutOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for InsideOutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQuadric */
    if ( strcmp ( argv[2], "SetQuadric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkQuadric" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadric */
    Tcl_DStringAppendElement ( &dString, " Set/Get the clipping quadric function.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQuadric(vtkQuadric *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetQuadric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQuadric */
    if ( strcmp ( argv[2], "GetQuadric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuadric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuadric */
    Tcl_DStringAppendElement ( &dString, " Set/Get the clipping quadric function.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkQuadric *GetQuadric();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetQuadric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQuadricCoefficients */
    if ( strcmp ( argv[2], "SetQuadricCoefficients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadricCoefficients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadricCoefficients */
    Tcl_DStringAppendElement ( &dString, " Helpers to set/get the 10 coefficients of the quadric function\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadricCoefficients(double\\[10\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for SetQuadricCoefficients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQuadricCoefficients */
    if ( strcmp ( argv[2], "GetQuadricCoefficients" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuadricCoefficients" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuadricCoefficients */
    Tcl_DStringAppendElement ( &dString, " Helpers to set/get the 10 coefficients of the quadric function\n" );
    Tcl_DStringAppendElement ( &dString, "void GetQuadricCoefficients(double\\[10\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetQuadricCoefficients */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Override GetMTime because we delegate to a vtkQuadric.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisClip" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkHyperTreeGridAlgorithmCppCommand(static_cast<vtkHyperTreeGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
