// tcl wrapper for vtkHyperTreeGridAxisReflection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGridAxisReflection.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkHyperTreeGridAxisReflectionNewCommand()
{
  vtkHyperTreeGridAxisReflection *temp = vtkHyperTreeGridAxisReflection::New();
  return static_cast<ClientData>(temp);
}

int vtkHyperTreeGridAlgorithmCppCommand(vtkHyperTreeGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperTreeGridAxisReflectionCppCommand(vtkHyperTreeGridAxisReflection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkHyperTreeGridAxisReflectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkHyperTreeGridAxisReflectionCppCommand(static_cast<vtkHyperTreeGridAxisReflection *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperTreeGridAxisReflection_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkHyperTreeGridAxisReflection"),vtkHyperTreeGridAxisReflectionNewCommand,vtkHyperTreeGridAxisReflectionCommand);
  return 0;
}

int VTKTCL_EXPORT vtkHyperTreeGridAxisReflectionCppCommand(vtkHyperTreeGridAxisReflection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkHyperTreeGridAxisReflection",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkHyperTreeGridAlgorithmCppCommand(static_cast<vtkHyperTreeGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkHyperTreeGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridAxisReflection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAxisReflection");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkHyperTreeGridAxisReflection  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAxisReflection");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkHyperTreeGridAxisReflection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperTreeGridAxisReflection");
    return TCL_OK;
  }
  if ((!strcmp("SetPlane",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPlaneMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPlaneMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPlaneMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPlaneMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPlane",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToX",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToY",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToZ",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToXMin",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToXMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToYMin",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToYMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToZMin",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToZMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToXMax",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToXMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToYMax",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToYMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPlaneToZMax",argv[1]))&&(argc == 2))
  {
    op->SetPlaneToZMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetCenter();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkHyperTreeGridAxisReflectionCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkHyperTreeGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperTreeGridAxisReflection:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlane\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaneMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaneMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlane\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToX\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToY\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToZ\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToXMin\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToYMin\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToZMin\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToXMax\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToYMax\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaneToZMax\n",nullptr);
    Tcl_AppendResult(interp,"  SetCenter\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCenter\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkHyperTreeGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetPlane" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToX" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToY" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToZ" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToXMin" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToYMin" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToZMin" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToXMax" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToYMax" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToZMax" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkHyperTreeGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeGridAxisReflection *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperTreeGridAxisReflection *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlane */
    if ( strcmp ( argv[2], "SetPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlane */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlane(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaneMinValue */
    if ( strcmp ( argv[2], "GetPlaneMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlaneMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for GetPlaneMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaneMaxValue */
    if ( strcmp ( argv[2], "GetPlaneMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlaneMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for GetPlaneMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlane */
    if ( strcmp ( argv[2], "GetPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlane */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for GetPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToX */
    if ( strcmp ( argv[2], "SetPlaneToX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToX */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToX();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToY */
    if ( strcmp ( argv[2], "SetPlaneToY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToY */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToY();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToZ */
    if ( strcmp ( argv[2], "SetPlaneToZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToZ */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToXMin */
    if ( strcmp ( argv[2], "SetPlaneToXMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToXMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToXMin */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToXMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToXMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToYMin */
    if ( strcmp ( argv[2], "SetPlaneToYMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToYMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToYMin */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToYMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToYMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToZMin */
    if ( strcmp ( argv[2], "SetPlaneToZMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToZMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToZMin */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToZMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToZMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToXMax */
    if ( strcmp ( argv[2], "SetPlaneToXMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToXMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToXMax */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToXMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToXMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToYMax */
    if ( strcmp ( argv[2], "SetPlaneToYMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToYMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToYMax */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToYMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToYMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaneToZMax */
    if ( strcmp ( argv[2], "SetPlaneToZMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneToZMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneToZMax */
    Tcl_DStringAppendElement ( &dString, " Set the normal of the plane to use as mirror.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneToZMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetPlaneToZMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, " If the reflection plane is set to X, Y or Z, this variable\n is use to set the position of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCenter(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " If the reflection plane is set to X, Y or Z, this variable\n is use to set the position of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperTreeGridAxisReflection" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkHyperTreeGridAlgorithmCppCommand(static_cast<vtkHyperTreeGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
