// tcl wrapper for vtkExtractPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractPoints.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkExtractPointsNewCommand()
{
  vtkExtractPoints *temp = vtkExtractPoints::New();
  return static_cast<ClientData>(temp);
}

int vtkPointCloudFilterCppCommand(vtkPointCloudFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractPointsCppCommand(vtkExtractPoints *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkExtractPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkExtractPointsCppCommand(static_cast<vtkExtractPoints *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractPoints_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractPoints"),vtkExtractPointsNewCommand,vtkExtractPointsCommand);
  return 0;
}

int VTKTCL_EXPORT vtkExtractPointsCppCommand(vtkExtractPoints *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkExtractPoints",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPointCloudFilterCppCommand(static_cast<vtkPointCloudFilter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPointCloudFilter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkExtractPoints  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractPoints");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkExtractPoints  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractPoints");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkExtractPoints  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractPoints");
    return TCL_OK;
  }
  if ((!strcmp("SetImplicitFunction",argv[1]))&&(argc == 3))
  {
    vtkImplicitFunction  *temp0;
    error = 0;

    temp0 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImplicitFunction"),interp,error));
    if (!error)
  {
    op->SetImplicitFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetImplicitFunction",argv[1]))&&(argc == 2))
  {
    vtkImplicitFunction  *temp20;
    temp20 = (op)->GetImplicitFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitFunction");
    return TCL_OK;
  }
  if ((!strcmp("SetExtractInside",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetExtractInside(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExtractInside",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetExtractInside();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ExtractInsideOn",argv[1]))&&(argc == 2))
  {
    op->ExtractInsideOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ExtractInsideOff",argv[1]))&&(argc == 2))
  {
    op->ExtractInsideOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkExtractPointsCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPointCloudFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractPoints:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetImplicitFunction\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetImplicitFunction\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtractInside\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtractInside\n",nullptr);
    Tcl_AppendResult(interp,"  ExtractInsideOn\n",nullptr);
    Tcl_AppendResult(interp,"  ExtractInsideOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPointCloudFilterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetImplicitFunction" );
    Tcl_DStringAppendElement ( &dString, "GetImplicitFunction" );
    Tcl_DStringAppendElement ( &dString, "SetExtractInside" );
    Tcl_DStringAppendElement ( &dString, "GetExtractInside" );
    Tcl_DStringAppendElement ( &dString, "ExtractInsideOn" );
    Tcl_DStringAppendElement ( &dString, "ExtractInsideOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPointCloudFilterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractPoints *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractPoints *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiating, obtaining type information, and\n printing information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetImplicitFunction */
    if ( strcmp ( argv[2], "SetImplicitFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImplicitFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImplicitFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the implicit function for inside/outside checks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImplicitFunction(vtkImplicitFunction *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for SetImplicitFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetImplicitFunction */
    if ( strcmp ( argv[2], "GetImplicitFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImplicitFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImplicitFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the implicit function for inside/outside checks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImplicitFunction *GetImplicitFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for GetImplicitFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtractInside */
    if ( strcmp ( argv[2], "SetExtractInside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractInside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractInside */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to extract points that are inside of implicit\n function (ExtractInside == true) or outside of implicit function\n (ExtractInside == false). By default, ExtractInside is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExtractInside(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for SetExtractInside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtractInside */
    if ( strcmp ( argv[2], "GetExtractInside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractInside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractInside */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to extract points that are inside of implicit\n function (ExtractInside == true) or outside of implicit function\n (ExtractInside == false). By default, ExtractInside is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetExtractInside();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for GetExtractInside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExtractInsideOn */
    if ( strcmp ( argv[2], "ExtractInsideOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractInsideOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractInsideOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to extract points that are inside of implicit\n function (ExtractInside == true) or outside of implicit function\n (ExtractInside == false). By default, ExtractInside is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExtractInsideOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for ExtractInsideOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExtractInsideOff */
    if ( strcmp ( argv[2], "ExtractInsideOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractInsideOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractInsideOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to extract points that are inside of implicit\n function (ExtractInside == true) or outside of implicit function\n (ExtractInside == false). By default, ExtractInside is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExtractInsideOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for ExtractInsideOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime taking into account changes to the implicit function\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractPoints" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPointCloudFilterCppCommand(static_cast<vtkPointCloudFilter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
