// java wrapper for vtkSPHInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSPHInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSPHInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSPHInterpolator",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSPHInterpolator_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSPHInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetSourceData_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSPHInterpolator *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSPHInterpolator_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkDataObject  *temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetSourceConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSPHInterpolator *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetLocator_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSPHInterpolator *op;
  vtkAbstractPointLocator  *temp0;
  temp0 = (vtkAbstractPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSPHInterpolator_GetLocator_16(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkAbstractPointLocator  *temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetKernel_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSPHInterpolator *op;
  vtkSPHKernel  *temp0;
  temp0 = (vtkSPHKernel *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSPHInterpolator_GetKernel_18(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkSPHKernel  *temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKernel();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetCutoffArrayName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutoffArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSPHInterpolator_GetCutoffArrayName_110(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutoffArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetDensityArrayName_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDensityArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSPHInterpolator_GetDensityArrayName_112(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDensityArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetMassArrayName_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMassArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSPHInterpolator_GetMassArrayName_114(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMassArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_AddExcludedArray_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddExcludedArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_ClearExcludedArrays_116(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearExcludedArrays();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSPHInterpolator_GetNumberOfExcludedArrays_117(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  int      temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfExcludedArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSPHInterpolator_GetExcludedArray_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkSPHInterpolator *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExcludedArray(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_AddDerivativeArray_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDerivativeArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_ClearDerivativeArrays_120(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearDerivativeArrays();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSPHInterpolator_GetNumberOfDerivativeArrays_121(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  int      temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfDerivativeArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSPHInterpolator_GetDerivativeArray_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkSPHInterpolator *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDerivativeArray(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetNullPointsStrategy_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkSPHInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNullPointsStrategy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSPHInterpolator_GetNullPointsStrategy_124(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  int      temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNullPointsStrategy();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetNullPointsStrategyToMaskPoints_125(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNullPointsStrategyToMaskPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetNullPointsStrategyToNullValue_126(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNullPointsStrategyToNullValue();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetValidPointsMaskArrayName_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValidPointsMaskArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSPHInterpolator_GetValidPointsMaskArrayName_128(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValidPointsMaskArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetNullValue_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSPHInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNullValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSPHInterpolator_GetNullValue_130(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  double   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNullValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetComputeShepardSum_131(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSPHInterpolator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeShepardSum(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_ComputeShepardSumOn_132(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeShepardSumOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_ComputeShepardSumOff_133(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeShepardSumOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSPHInterpolator_GetComputeShepardSum_134(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  bool   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeShepardSum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetShepardSumArrayName_135(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShepardSumArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSPHInterpolator_GetShepardSumArrayName_136(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  vtkStdString   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShepardSumArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetPromoteOutputArrays_137(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSPHInterpolator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPromoteOutputArrays(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PromoteOutputArraysOn_138(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PromoteOutputArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PromoteOutputArraysOff_139(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PromoteOutputArraysOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSPHInterpolator_GetPromoteOutputArrays_140(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  bool   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPromoteOutputArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetPassPointArrays_141(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSPHInterpolator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassPointArrays(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PassPointArraysOn_142(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PassPointArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PassPointArraysOff_143(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PassPointArraysOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSPHInterpolator_GetPassPointArrays_144(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  bool   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassPointArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetPassCellArrays_145(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSPHInterpolator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassCellArrays(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PassCellArraysOn_146(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PassCellArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PassCellArraysOff_147(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PassCellArraysOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSPHInterpolator_GetPassCellArrays_148(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  bool   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassCellArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_SetPassFieldArrays_149(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSPHInterpolator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassFieldArrays(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PassFieldArraysOn_150(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PassFieldArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSPHInterpolator_PassFieldArraysOff_151(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->PassFieldArraysOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSPHInterpolator_GetPassFieldArrays_152(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
  bool   temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassFieldArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSPHInterpolator_GetMTime_153(JNIEnv *env, jobject obj)
{
  vtkSPHInterpolator *op;
   unsigned long     temp20;

  op = (vtkSPHInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSPHInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkSPHInterpolator *aNewOne = vtkSPHInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
