// tcl wrapper for vtkCellTypeSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellTypeSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkCellTypeSourceNewCommand()
{
  vtkCellTypeSource *temp = vtkCellTypeSource::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellTypeSourceCppCommand(vtkCellTypeSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkCellTypeSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkCellTypeSourceCppCommand(static_cast<vtkCellTypeSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellTypeSource_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkCellTypeSource"),vtkCellTypeSourceNewCommand,vtkCellTypeSourceCommand);
  return 0;
}

int VTKTCL_EXPORT vtkCellTypeSourceCppCommand(vtkCellTypeSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkCellTypeSource",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkCellTypeSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellTypeSource");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkCellTypeSource  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellTypeSource");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkCellTypeSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellTypeSource");
    return TCL_OK;
  }
  if ((!strcmp("SetCellType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCellType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCellType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCellOrder",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCellOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCellOrder",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCellOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCompleteQuadraticSimplicialElements",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCompleteQuadraticSimplicialElements(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCompleteQuadraticSimplicialElements",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCompleteQuadraticSimplicialElements();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CompleteQuadraticSimplicialElementsOn",argv[1]))&&(argc == 2))
  {
    op->CompleteQuadraticSimplicialElementsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CompleteQuadraticSimplicialElementsOff",argv[1]))&&(argc == 2))
  {
    op->CompleteQuadraticSimplicialElementsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPolynomialFieldOrder",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPolynomialFieldOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPolynomialFieldOrderMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPolynomialFieldOrderMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPolynomialFieldOrderMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPolynomialFieldOrderMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPolynomialFieldOrder",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPolynomialFieldOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetCellDimension",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCellDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOutputPrecision",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOutputPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputPrecisionMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPrecisionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOutputPrecisionMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPrecisionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetOutputPrecision",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetBlocksDimensions",argv[1]))&&(argc == 5))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
  {
    op->SetBlocksDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBlocksDimensions",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetBlocksDimensions();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkCellTypeSourceCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellTypeSource:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetCellType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellType\n",nullptr);
    Tcl_AppendResult(interp,"  SetCellOrder\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellOrder\n",nullptr);
    Tcl_AppendResult(interp,"  SetCompleteQuadraticSimplicialElements\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCompleteQuadraticSimplicialElements\n",nullptr);
    Tcl_AppendResult(interp,"  CompleteQuadraticSimplicialElementsOn\n",nullptr);
    Tcl_AppendResult(interp,"  CompleteQuadraticSimplicialElementsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPolynomialFieldOrder\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPolynomialFieldOrderMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPolynomialFieldOrderMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPolynomialFieldOrder\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellDimension\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputPrecision\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPrecisionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPrecisionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPrecision\n",nullptr);
    Tcl_AppendResult(interp,"  SetBlocksDimensions\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetBlocksDimensions\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetCellType" );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    Tcl_DStringAppendElement ( &dString, "SetCellOrder" );
    Tcl_DStringAppendElement ( &dString, "GetCellOrder" );
    Tcl_DStringAppendElement ( &dString, "SetCompleteQuadraticSimplicialElements" );
    Tcl_DStringAppendElement ( &dString, "GetCompleteQuadraticSimplicialElements" );
    Tcl_DStringAppendElement ( &dString, "CompleteQuadraticSimplicialElementsOn" );
    Tcl_DStringAppendElement ( &dString, "CompleteQuadraticSimplicialElementsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolynomialFieldOrder" );
    Tcl_DStringAppendElement ( &dString, "GetPolynomialFieldOrderMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPolynomialFieldOrderMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPolynomialFieldOrder" );
    Tcl_DStringAppendElement ( &dString, "GetCellDimension" );
    Tcl_DStringAppendElement ( &dString, "SetOutputPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPrecisionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPrecisionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPrecision" );
    Tcl_DStringAppendElement ( &dString, "SetBlocksDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetBlocksDimensions" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, obtaining type and printing instance values.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellTypeSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, obtaining type and printing instance values.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, obtaining type and printing instance values.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, obtaining type and printing instance values.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellTypeSource *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instantiation, obtaining type and printing instance values.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCellType */
    if ( strcmp ( argv[2], "SetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of cells to be generated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellType(int cellType);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for SetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellType */
    if ( strcmp ( argv[2], "GetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of cells to be generated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCellType();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCellOrder */
    if ( strcmp ( argv[2], "SetCellOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellOrder */
    Tcl_DStringAppendElement ( &dString, " Set/Get the order of Lagrange interpolation to be used.\n\n This is only used when the cell type is a Lagrange element.\n The default is cubic (order 3).\n Lagrange elements are the same order along all axes\n (i.e., you cannot specify a different interpolation order\n for the i, j, and k axes of a hexahedron).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellOrder(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for SetCellOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellOrder */
    if ( strcmp ( argv[2], "GetCellOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellOrder */
    Tcl_DStringAppendElement ( &dString, " Set/Get the order of Lagrange interpolation to be used.\n\n This is only used when the cell type is a Lagrange element.\n The default is cubic (order 3).\n Lagrange elements are the same order along all axes\n (i.e., you cannot specify a different interpolation order\n for the i, j, and k axes of a hexahedron).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCellOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetCellOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCompleteQuadraticSimplicialElements */
    if ( strcmp ( argv[2], "SetCompleteQuadraticSimplicialElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompleteQuadraticSimplicialElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompleteQuadraticSimplicialElements */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether quadratic cells with simplicial shapes should be \"completed\".\n\n By default, quadratic Lagrange cells with simplicial shapes\n do not completely span the basis of all polynomial of the maximal\n degree. This can be corrected by adding mid-face and body-centered\n nodes. Setting this option to true will generate cells with these\n additional nodes.\n\n This is only used when\n (1) the cell type is a Lagrange triangle, tetrahedron, or wedge;\n and (2) \\a C ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCompleteQuadraticSimplicialElements(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for SetCompleteQuadraticSimplicialElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCompleteQuadraticSimplicialElements */
    if ( strcmp ( argv[2], "GetCompleteQuadraticSimplicialElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompleteQuadraticSimplicialElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompleteQuadraticSimplicialElements */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether quadratic cells with simplicial shapes should be \"completed\".\n\n By default, quadratic Lagrange cells with simplicial shapes\n do not completely span the basis of all polynomial of the maximal\n degree. This can be corrected by adding mid-face and body-centered\n nodes. Setting this option to true will generate cells with these\n additional nodes.\n\n This is only used when\n (1) the cell type is a Lagrange triangle, tetrahedron, or wedge;\n and (2) \\a C ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCompleteQuadraticSimplicialElements();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetCompleteQuadraticSimplicialElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CompleteQuadraticSimplicialElementsOn */
    if ( strcmp ( argv[2], "CompleteQuadraticSimplicialElementsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompleteQuadraticSimplicialElementsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompleteQuadraticSimplicialElementsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether quadratic cells with simplicial shapes should be \"completed\".\n\n By default, quadratic Lagrange cells with simplicial shapes\n do not completely span the basis of all polynomial of the maximal\n degree. This can be corrected by adding mid-face and body-centered\n nodes. Setting this option to true will generate cells with these\n additional nodes.\n\n This is only used when\n (1) the cell type is a Lagrange triangle, tetrahedron, or wedge;\n and (2) \\a C ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CompleteQuadraticSimplicialElementsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for CompleteQuadraticSimplicialElementsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CompleteQuadraticSimplicialElementsOff */
    if ( strcmp ( argv[2], "CompleteQuadraticSimplicialElementsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompleteQuadraticSimplicialElementsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompleteQuadraticSimplicialElementsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether quadratic cells with simplicial shapes should be \"completed\".\n\n By default, quadratic Lagrange cells with simplicial shapes\n do not completely span the basis of all polynomial of the maximal\n degree. This can be corrected by adding mid-face and body-centered\n nodes. Setting this option to true will generate cells with these\n additional nodes.\n\n This is only used when\n (1) the cell type is a Lagrange triangle, tetrahedron, or wedge;\n and (2) \\a C ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CompleteQuadraticSimplicialElementsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for CompleteQuadraticSimplicialElementsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPolynomialFieldOrder */
    if ( strcmp ( argv[2], "SetPolynomialFieldOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolynomialFieldOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolynomialFieldOrder */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polynomial order of the \"Polynomial\" point field.\n The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPolynomialFieldOrder(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for SetPolynomialFieldOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPolynomialFieldOrderMinValue */
    if ( strcmp ( argv[2], "GetPolynomialFieldOrderMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolynomialFieldOrderMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolynomialFieldOrderMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polynomial order of the \"Polynomial\" point field.\n The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPolynomialFieldOrderMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetPolynomialFieldOrderMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPolynomialFieldOrderMaxValue */
    if ( strcmp ( argv[2], "GetPolynomialFieldOrderMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolynomialFieldOrderMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolynomialFieldOrderMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polynomial order of the \"Polynomial\" point field.\n The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPolynomialFieldOrderMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetPolynomialFieldOrderMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPolynomialFieldOrder */
    if ( strcmp ( argv[2], "GetPolynomialFieldOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolynomialFieldOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolynomialFieldOrder */
    Tcl_DStringAppendElement ( &dString, " Set/Get the polynomial order of the \"Polynomial\" point field.\n The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPolynomialFieldOrder();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetPolynomialFieldOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellDimension */
    if ( strcmp ( argv[2], "GetCellDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellDimension */
    Tcl_DStringAppendElement ( &dString, " Get the dimension of the cell blocks to be generated\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetCellDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputPrecision */
    if ( strcmp ( argv[2], "SetOutputPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output points.\n vtkAlgorithm::SINGLE_PRECISION (0) - Output single-precision floating point.\n vtkAlgorithm::DOUBLE_PRECISION (1) - Output double-precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputPrecision(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for SetOutputPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPrecisionMinValue */
    if ( strcmp ( argv[2], "GetOutputPrecisionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPrecisionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPrecisionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output points.\n vtkAlgorithm::SINGLE_PRECISION (0) - Output single-precision floating point.\n vtkAlgorithm::DOUBLE_PRECISION (1) - Output double-precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPrecisionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetOutputPrecisionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPrecisionMaxValue */
    if ( strcmp ( argv[2], "GetOutputPrecisionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPrecisionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPrecisionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output points.\n vtkAlgorithm::SINGLE_PRECISION (0) - Output single-precision floating point.\n vtkAlgorithm::DOUBLE_PRECISION (1) - Output double-precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPrecisionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetOutputPrecisionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPrecision */
    if ( strcmp ( argv[2], "GetOutputPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPrecision */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired precision for the output points.\n vtkAlgorithm::SINGLE_PRECISION (0) - Output single-precision floating point.\n vtkAlgorithm::DOUBLE_PRECISION (1) - Output double-precision floating point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetOutputPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBlocksDimensions */
    if ( strcmp ( argv[2], "SetBlocksDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlocksDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlocksDimensions */
    Tcl_DStringAppendElement ( &dString, " Set the number of cells in each direction. If a 1D cell type is\n selected then only the first dimension is used and if a 2D cell\n type is selected then the first and second dimensions are used.\n Default is (1, 1, 1), which results in a single block of cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlocksDimensions(int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for SetBlocksDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBlocksDimensions */
    if ( strcmp ( argv[2], "GetBlocksDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlocksDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlocksDimensions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetBlocksDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellTypeSource" );
    /* Closing for GetBlocksDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
