#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkCPExodusIIElementBlock_TclCreate(Tcl_Interp *interp);
int vtkCPExodusIIInSituReader_TclCreate(Tcl_Interp *interp);
int vtkExodusIICache_TclCreate(Tcl_Interp *interp);
int vtkExodusIIReader_TclCreate(Tcl_Interp *interp);
int vtkExodusIIWriter_TclCreate(Tcl_Interp *interp);
int vtkModelMetadata_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioexodustcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioexodustcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioexodustcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioexodustcl_Init(interp);
}


int VTK_EXPORT Vtkioexodustcl_Init(Tcl_Interp *interp)
{

  vtkCPExodusIIElementBlock_TclCreate(interp);
  vtkCPExodusIIInSituReader_TclCreate(interp);
  vtkExodusIICache_TclCreate(interp);
  vtkExodusIIReader_TclCreate(interp);
  vtkExodusIIWriter_TclCreate(interp);
  vtkModelMetadata_TclCreate(interp);
  char pkgName[]="vtkIOExodusTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
