// tcl wrapper for vtkSVGExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSVGExporter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkSVGExporterNewCommand()
{
  vtkSVGExporter *temp = vtkSVGExporter::New();
  return static_cast<ClientData>(temp);
}

int vtkExporterCppCommand(vtkExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSVGExporterCppCommand(vtkSVGExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkSVGExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkSVGExporterCppCommand(static_cast<vtkSVGExporter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSVGExporter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkSVGExporter"),vtkSVGExporterNewCommand,vtkSVGExporterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkSVGExporterCppCommand(vtkSVGExporter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkSVGExporter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkExporter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkSVGExporter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSVGExporter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkSVGExporter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSVGExporter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkSVGExporter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSVGExporter");
    return TCL_OK;
  }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetDescription",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetDescription(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDescription",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetDescription();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetTextAsPath",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetTextAsPath(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTextAsPath",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetTextAsPath();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("TextAsPathOn",argv[1]))&&(argc == 2))
  {
    op->TextAsPathOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("TextAsPathOff",argv[1]))&&(argc == 2))
  {
    op->TextAsPathOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawBackground",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDrawBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawBackground",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDrawBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawBackgroundOn",argv[1]))&&(argc == 2))
  {
    op->DrawBackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawBackgroundOff",argv[1]))&&(argc == 2))
  {
    op->DrawBackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSubdivisionThreshold",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSubdivisionThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSubdivisionThreshold",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSubdivisionThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkSVGExporterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSVGExporter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitle\n",nullptr);
    Tcl_AppendResult(interp,"  SetDescription\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDescription\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  SetTextAsPath\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextAsPath\n",nullptr);
    Tcl_AppendResult(interp,"  TextAsPathOn\n",nullptr);
    Tcl_AppendResult(interp,"  TextAsPathOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawBackground\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawBackground\n",nullptr);
    Tcl_AppendResult(interp,"  DrawBackgroundOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawBackgroundOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSubdivisionThreshold\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSubdivisionThreshold\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetDescription" );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetTextAsPath" );
    Tcl_DStringAppendElement ( &dString, "GetTextAsPath" );
    Tcl_DStringAppendElement ( &dString, "TextAsPathOn" );
    Tcl_DStringAppendElement ( &dString, "TextAsPathOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivisionThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivisionThreshold" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkExporterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSVGExporter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSVGExporter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitle(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDescription */
    if ( strcmp ( argv[2], "SetDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDescription */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDescription(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for SetDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDescription */
    if ( strcmp ( argv[2], "GetDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescription */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetDescription();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for GetDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTextAsPath */
    if ( strcmp ( argv[2], "SetTextAsPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextAsPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextAsPath */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextAsPath(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for SetTextAsPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextAsPath */
    if ( strcmp ( argv[2], "GetTextAsPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextAsPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextAsPath */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetTextAsPath();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for GetTextAsPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TextAsPathOn */
    if ( strcmp ( argv[2], "TextAsPathOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextAsPathOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextAsPathOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void TextAsPathOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for TextAsPathOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TextAsPathOff */
    if ( strcmp ( argv[2], "TextAsPathOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextAsPathOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextAsPathOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void TextAsPathOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for TextAsPathOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawBackground */
    if ( strcmp ( argv[2], "SetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawBackground */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawBackground(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for SetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawBackground */
    if ( strcmp ( argv[2], "GetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawBackground */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDrawBackground();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for GetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawBackgroundOn */
    if ( strcmp ( argv[2], "DrawBackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawBackgroundOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for DrawBackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawBackgroundOff */
    if ( strcmp ( argv[2], "DrawBackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawBackgroundOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for DrawBackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSubdivisionThreshold */
    if ( strcmp ( argv[2], "SetSubdivisionThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivisionThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivisionThreshold */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSubdivisionThreshold(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for SetSubdivisionThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSubdivisionThreshold */
    if ( strcmp ( argv[2], "GetSubdivisionThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivisionThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivisionThreshold */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSubdivisionThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkSVGExporter" );
    /* Closing for GetSubdivisionThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
