// tcl wrapper for vtkOpenFOAMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenFOAMReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkOpenFOAMReaderNewCommand()
{
  vtkOpenFOAMReader *temp = vtkOpenFOAMReader::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenFOAMReaderCppCommand(vtkOpenFOAMReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkOpenFOAMReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkOpenFOAMReaderCppCommand(static_cast<vtkOpenFOAMReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenFOAMReader_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenFOAMReader"),vtkOpenFOAMReaderNewCommand,vtkOpenFOAMReaderCommand);
  return 0;
}

int VTKTCL_EXPORT vtkOpenFOAMReaderCppCommand(vtkOpenFOAMReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkOpenFOAMReader",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkOpenFOAMReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenFOAMReader");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkOpenFOAMReader  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenFOAMReader");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkOpenFOAMReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenFOAMReader");
    return TCL_OK;
  }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfCellArrays",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfCellArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetCellArrayStatus",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->GetCellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetCellArrayStatus",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetCellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCellArrayName",argv[1]))&&(argc == 3))
  {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetCellArrayName(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("DisableAllCellArrays",argv[1]))&&(argc == 2))
  {
    op->DisableAllCellArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EnableAllCellArrays",argv[1]))&&(argc == 2))
  {
    op->EnableAllCellArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfPointArrays",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfPointArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPointArrayStatus",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->GetPointArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPointArrayStatus",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetPointArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPointArrayName",argv[1]))&&(argc == 3))
  {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetPointArrayName(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("DisableAllPointArrays",argv[1]))&&(argc == 2))
  {
    op->DisableAllPointArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EnableAllPointArrays",argv[1]))&&(argc == 2))
  {
    op->EnableAllPointArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfLagrangianArrays",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLagrangianArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetLagrangianArrayStatus",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->GetLagrangianArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetLagrangianArrayStatus",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetLagrangianArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLagrangianArrayName",argv[1]))&&(argc == 3))
  {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetLagrangianArrayName(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("DisableAllLagrangianArrays",argv[1]))&&(argc == 2))
  {
    op->DisableAllLagrangianArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EnableAllLagrangianArrays",argv[1]))&&(argc == 2))
  {
    op->EnableAllLagrangianArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfPatchArrays",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfPatchArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPatchArrayStatus",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->GetPatchArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPatchArrayStatus",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetPatchArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPatchArrayName",argv[1]))&&(argc == 3))
  {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetPatchArrayName(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("DisableAllPatchArrays",argv[1]))&&(argc == 2))
  {
    op->DisableAllPatchArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EnableAllPatchArrays",argv[1]))&&(argc == 2))
  {
    op->EnableAllPatchArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCreateCellToPoint",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCreateCellToPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCreateCellToPoint",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCreateCellToPoint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CreateCellToPointOn",argv[1]))&&(argc == 2))
  {
    op->CreateCellToPointOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CreateCellToPointOff",argv[1]))&&(argc == 2))
  {
    op->CreateCellToPointOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCacheMesh",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCacheMesh(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCacheMesh",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCacheMesh();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CacheMeshOn",argv[1]))&&(argc == 2))
  {
    op->CacheMeshOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CacheMeshOff",argv[1]))&&(argc == 2))
  {
    op->CacheMeshOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDecomposePolyhedra",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDecomposePolyhedra(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDecomposePolyhedra",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDecomposePolyhedra();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DecomposePolyhedraOn",argv[1]))&&(argc == 2))
  {
    op->DecomposePolyhedraOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DecomposePolyhedraOff",argv[1]))&&(argc == 2))
  {
    op->DecomposePolyhedraOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPositionsIsIn13Format",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetPositionsIsIn13Format(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPositionsIsIn13Format",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetPositionsIsIn13Format();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("PositionsIsIn13FormatOn",argv[1]))&&(argc == 2))
  {
    op->PositionsIsIn13FormatOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PositionsIsIn13FormatOff",argv[1]))&&(argc == 2))
  {
    op->PositionsIsIn13FormatOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSkipZeroTime",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetSkipZeroTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSkipZeroTime",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetSkipZeroTime();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SkipZeroTimeOn",argv[1]))&&(argc == 2))
  {
    op->SkipZeroTimeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SkipZeroTimeOff",argv[1]))&&(argc == 2))
  {
    op->SkipZeroTimeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetListTimeStepsByControlDict",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetListTimeStepsByControlDict(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetListTimeStepsByControlDict",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetListTimeStepsByControlDict();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ListTimeStepsByControlDictOn",argv[1]))&&(argc == 2))
  {
    op->ListTimeStepsByControlDictOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ListTimeStepsByControlDictOff",argv[1]))&&(argc == 2))
  {
    op->ListTimeStepsByControlDictOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAddDimensionsToArrayNames",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAddDimensionsToArrayNames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAddDimensionsToArrayNames",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAddDimensionsToArrayNames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AddDimensionsToArrayNamesOn",argv[1]))&&(argc == 2))
  {
    op->AddDimensionsToArrayNamesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AddDimensionsToArrayNamesOff",argv[1]))&&(argc == 2))
  {
    op->AddDimensionsToArrayNamesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetReadZones",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetReadZones(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetReadZones",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetReadZones();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ReadZonesOn",argv[1]))&&(argc == 2))
  {
    op->ReadZonesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ReadZonesOff",argv[1]))&&(argc == 2))
  {
    op->ReadZonesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetUse64BitLabels",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUse64BitLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUse64BitLabels",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUse64BitLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("Use64BitLabelsOn",argv[1]))&&(argc == 2))
  {
    op->Use64BitLabelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Use64BitLabelsOff",argv[1]))&&(argc == 2))
  {
    op->Use64BitLabelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetUse64BitFloats",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUse64BitFloats(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUse64BitFloats",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUse64BitFloats();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("Use64BitFloatsOn",argv[1]))&&(argc == 2))
  {
    op->Use64BitFloatsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Use64BitFloatsOff",argv[1]))&&(argc == 2))
  {
    op->Use64BitFloatsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetRefresh",argv[1]))&&(argc == 2))
  {
    op->SetRefresh();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetParent",argv[1]))&&(argc == 3))
  {
    vtkOpenFOAMReader  *temp0;
    error = 0;

    temp0 = (vtkOpenFOAMReader *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkOpenFOAMReader"),interp,error));
    if (!error)
  {
    op->SetParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetTimeValue",argv[1]))&&(argc == 3))
  {
    double   temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    temp20 = (op)->SetTimeValue(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTimeValues",argv[1]))&&(argc == 2))
  {
    vtkDoubleArray  *temp20;
    temp20 = (op)->GetTimeValues();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDoubleArray");
    return TCL_OK;
  }
  if ((!strcmp("MakeMetaDataAtTimeStep",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    temp20 = (op)->MakeMetaDataAtTimeStep(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkOpenFOAMReaderCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenFOAMReader:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfCellArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellArrayStatus\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetCellArrayStatus\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetCellArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DisableAllCellArrays\n",nullptr);
    Tcl_AppendResult(interp,"  EnableAllCellArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfPointArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetPointArrayStatus\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetPointArrayStatus\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPointArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DisableAllPointArrays\n",nullptr);
    Tcl_AppendResult(interp,"  EnableAllPointArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLagrangianArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetLagrangianArrayStatus\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetLagrangianArrayStatus\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetLagrangianArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DisableAllLagrangianArrays\n",nullptr);
    Tcl_AppendResult(interp,"  EnableAllLagrangianArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfPatchArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetPatchArrayStatus\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetPatchArrayStatus\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPatchArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  DisableAllPatchArrays\n",nullptr);
    Tcl_AppendResult(interp,"  EnableAllPatchArrays\n",nullptr);
    Tcl_AppendResult(interp,"  SetCreateCellToPoint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCreateCellToPoint\n",nullptr);
    Tcl_AppendResult(interp,"  CreateCellToPointOn\n",nullptr);
    Tcl_AppendResult(interp,"  CreateCellToPointOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetCacheMesh\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCacheMesh\n",nullptr);
    Tcl_AppendResult(interp,"  CacheMeshOn\n",nullptr);
    Tcl_AppendResult(interp,"  CacheMeshOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDecomposePolyhedra\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDecomposePolyhedra\n",nullptr);
    Tcl_AppendResult(interp,"  DecomposePolyhedraOn\n",nullptr);
    Tcl_AppendResult(interp,"  DecomposePolyhedraOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPositionsIsIn13Format\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPositionsIsIn13Format\n",nullptr);
    Tcl_AppendResult(interp,"  PositionsIsIn13FormatOn\n",nullptr);
    Tcl_AppendResult(interp,"  PositionsIsIn13FormatOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSkipZeroTime\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSkipZeroTime\n",nullptr);
    Tcl_AppendResult(interp,"  SkipZeroTimeOn\n",nullptr);
    Tcl_AppendResult(interp,"  SkipZeroTimeOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetListTimeStepsByControlDict\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetListTimeStepsByControlDict\n",nullptr);
    Tcl_AppendResult(interp,"  ListTimeStepsByControlDictOn\n",nullptr);
    Tcl_AppendResult(interp,"  ListTimeStepsByControlDictOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetAddDimensionsToArrayNames\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAddDimensionsToArrayNames\n",nullptr);
    Tcl_AppendResult(interp,"  AddDimensionsToArrayNamesOn\n",nullptr);
    Tcl_AppendResult(interp,"  AddDimensionsToArrayNamesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetReadZones\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetReadZones\n",nullptr);
    Tcl_AppendResult(interp,"  ReadZonesOn\n",nullptr);
    Tcl_AppendResult(interp,"  ReadZonesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetUse64BitLabels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUse64BitLabels\n",nullptr);
    Tcl_AppendResult(interp,"  Use64BitLabelsOn\n",nullptr);
    Tcl_AppendResult(interp,"  Use64BitLabelsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetUse64BitFloats\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUse64BitFloats\n",nullptr);
    Tcl_AppendResult(interp,"  Use64BitFloatsOn\n",nullptr);
    Tcl_AppendResult(interp,"  Use64BitFloatsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetRefresh\n",nullptr);
    Tcl_AppendResult(interp,"  SetParent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetTimeValue\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTimeValues\n",nullptr);
    Tcl_AppendResult(interp,"  MakeMetaDataAtTimeStep\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    Tcl_DStringAppendElement ( &dString, "DisableAllCellArrays" );
    Tcl_DStringAppendElement ( &dString, "EnableAllCellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    Tcl_DStringAppendElement ( &dString, "DisableAllPointArrays" );
    Tcl_DStringAppendElement ( &dString, "EnableAllPointArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLagrangianArrays" );
    Tcl_DStringAppendElement ( &dString, "GetLagrangianArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetLagrangianArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetLagrangianArrayName" );
    Tcl_DStringAppendElement ( &dString, "DisableAllLagrangianArrays" );
    Tcl_DStringAppendElement ( &dString, "EnableAllLagrangianArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPatchArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPatchArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPatchArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPatchArrayName" );
    Tcl_DStringAppendElement ( &dString, "DisableAllPatchArrays" );
    Tcl_DStringAppendElement ( &dString, "EnableAllPatchArrays" );
    Tcl_DStringAppendElement ( &dString, "SetCreateCellToPoint" );
    Tcl_DStringAppendElement ( &dString, "GetCreateCellToPoint" );
    Tcl_DStringAppendElement ( &dString, "CreateCellToPointOn" );
    Tcl_DStringAppendElement ( &dString, "CreateCellToPointOff" );
    Tcl_DStringAppendElement ( &dString, "SetCacheMesh" );
    Tcl_DStringAppendElement ( &dString, "GetCacheMesh" );
    Tcl_DStringAppendElement ( &dString, "CacheMeshOn" );
    Tcl_DStringAppendElement ( &dString, "CacheMeshOff" );
    Tcl_DStringAppendElement ( &dString, "SetDecomposePolyhedra" );
    Tcl_DStringAppendElement ( &dString, "GetDecomposePolyhedra" );
    Tcl_DStringAppendElement ( &dString, "DecomposePolyhedraOn" );
    Tcl_DStringAppendElement ( &dString, "DecomposePolyhedraOff" );
    Tcl_DStringAppendElement ( &dString, "SetPositionsIsIn13Format" );
    Tcl_DStringAppendElement ( &dString, "GetPositionsIsIn13Format" );
    Tcl_DStringAppendElement ( &dString, "PositionsIsIn13FormatOn" );
    Tcl_DStringAppendElement ( &dString, "PositionsIsIn13FormatOff" );
    Tcl_DStringAppendElement ( &dString, "SetSkipZeroTime" );
    Tcl_DStringAppendElement ( &dString, "GetSkipZeroTime" );
    Tcl_DStringAppendElement ( &dString, "SkipZeroTimeOn" );
    Tcl_DStringAppendElement ( &dString, "SkipZeroTimeOff" );
    Tcl_DStringAppendElement ( &dString, "SetListTimeStepsByControlDict" );
    Tcl_DStringAppendElement ( &dString, "GetListTimeStepsByControlDict" );
    Tcl_DStringAppendElement ( &dString, "ListTimeStepsByControlDictOn" );
    Tcl_DStringAppendElement ( &dString, "ListTimeStepsByControlDictOff" );
    Tcl_DStringAppendElement ( &dString, "SetAddDimensionsToArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetAddDimensionsToArrayNames" );
    Tcl_DStringAppendElement ( &dString, "AddDimensionsToArrayNamesOn" );
    Tcl_DStringAppendElement ( &dString, "AddDimensionsToArrayNamesOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadZones" );
    Tcl_DStringAppendElement ( &dString, "GetReadZones" );
    Tcl_DStringAppendElement ( &dString, "ReadZonesOn" );
    Tcl_DStringAppendElement ( &dString, "ReadZonesOff" );
    Tcl_DStringAppendElement ( &dString, "SetUse64BitLabels" );
    Tcl_DStringAppendElement ( &dString, "GetUse64BitLabels" );
    Tcl_DStringAppendElement ( &dString, "Use64BitLabelsOn" );
    Tcl_DStringAppendElement ( &dString, "Use64BitLabelsOff" );
    Tcl_DStringAppendElement ( &dString, "SetUse64BitFloats" );
    Tcl_DStringAppendElement ( &dString, "GetUse64BitFloats" );
    Tcl_DStringAppendElement ( &dString, "Use64BitFloatsOn" );
    Tcl_DStringAppendElement ( &dString, "Use64BitFloatsOff" );
    Tcl_DStringAppendElement ( &dString, "SetRefresh" );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    Tcl_DStringAppendElement ( &dString, "SetTimeValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimeValues" );
    Tcl_DStringAppendElement ( &dString, "MakeMetaDataAtTimeStep" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenFOAMReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenFOAMReader *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Determine if the file can be read with this reader.\n" );
    Tcl_DStringAppendElement ( &dString, "int CanReadFile(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfCellArrays */
    if ( strcmp ( argv[2], "GetNumberOfCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of cell arrays available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellArrays(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetNumberOfCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellArrayStatus */
    if ( strcmp ( argv[2], "GetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the cell array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCellArrayStatus */
    if ( strcmp ( argv[2], "SetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCellArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCellArrayName */
    if ( strcmp ( argv[2], "GetCellArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the  cell array with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCellArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetCellArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DisableAllCellArrays */
    if ( strcmp ( argv[2], "DisableAllCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableAllCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableAllCellArrays */
    Tcl_DStringAppendElement ( &dString, " Turn on/off all cell arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableAllCellArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for DisableAllCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EnableAllCellArrays */
    if ( strcmp ( argv[2], "EnableAllCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableAllCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableAllCellArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableAllCellArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for EnableAllCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfPointArrays */
    if ( strcmp ( argv[2], "GetNumberOfPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of point arrays available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointArrays(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetNumberOfPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPointArrayStatus */
    if ( strcmp ( argv[2], "GetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the point array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPointArrayStatus */
    if ( strcmp ( argv[2], "SetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPointArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPointArrayName */
    if ( strcmp ( argv[2], "GetPointArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the  point array with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPointArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetPointArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DisableAllPointArrays */
    if ( strcmp ( argv[2], "DisableAllPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableAllPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableAllPointArrays */
    Tcl_DStringAppendElement ( &dString, " Turn on/off all point arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableAllPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for DisableAllPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EnableAllPointArrays */
    if ( strcmp ( argv[2], "EnableAllPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableAllPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableAllPointArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableAllPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for EnableAllPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLagrangianArrays */
    if ( strcmp ( argv[2], "GetNumberOfLagrangianArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLagrangianArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLagrangianArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of Lagrangian arrays available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLagrangianArrays(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetNumberOfLagrangianArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLagrangianArrayStatus */
    if ( strcmp ( argv[2], "GetLagrangianArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLagrangianArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLagrangianArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the Lagrangian array with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLagrangianArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetLagrangianArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLagrangianArrayStatus */
    if ( strcmp ( argv[2], "SetLagrangianArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLagrangianArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLagrangianArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLagrangianArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetLagrangianArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLagrangianArrayName */
    if ( strcmp ( argv[2], "GetLagrangianArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLagrangianArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLagrangianArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the  Lagrangian array with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLagrangianArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetLagrangianArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DisableAllLagrangianArrays */
    if ( strcmp ( argv[2], "DisableAllLagrangianArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableAllLagrangianArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableAllLagrangianArrays */
    Tcl_DStringAppendElement ( &dString, " Turn on/off all Lagrangian arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableAllLagrangianArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for DisableAllLagrangianArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EnableAllLagrangianArrays */
    if ( strcmp ( argv[2], "EnableAllLagrangianArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableAllLagrangianArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableAllLagrangianArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableAllLagrangianArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for EnableAllLagrangianArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfPatchArrays */
    if ( strcmp ( argv[2], "GetNumberOfPatchArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPatchArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPatchArrays */
    Tcl_DStringAppendElement ( &dString, " Get the number of Patches (including Internal Mesh) available in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPatchArrays(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetNumberOfPatchArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPatchArrayStatus */
    if ( strcmp ( argv[2], "GetPatchArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatchArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatchArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the Patch with the given name is to\n be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPatchArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetPatchArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPatchArrayStatus */
    if ( strcmp ( argv[2], "SetPatchArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatchArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatchArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPatchArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetPatchArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPatchArrayName */
    if ( strcmp ( argv[2], "GetPatchArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatchArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatchArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the name of the Patch with the given index in\n the input.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPatchArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetPatchArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DisableAllPatchArrays */
    if ( strcmp ( argv[2], "DisableAllPatchArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableAllPatchArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableAllPatchArrays */
    Tcl_DStringAppendElement ( &dString, " Turn on/off all Patches including the Internal Mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableAllPatchArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for DisableAllPatchArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EnableAllPatchArrays */
    if ( strcmp ( argv[2], "EnableAllPatchArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableAllPatchArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableAllPatchArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableAllPatchArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for EnableAllPatchArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCreateCellToPoint */
    if ( strcmp ( argv[2], "SetCreateCellToPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCreateCellToPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCreateCellToPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to create cell-to-point translated data for cell-type data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCreateCellToPoint(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetCreateCellToPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCreateCellToPoint */
    if ( strcmp ( argv[2], "GetCreateCellToPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCreateCellToPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCreateCellToPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to create cell-to-point translated data for cell-type data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCreateCellToPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetCreateCellToPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateCellToPointOn */
    if ( strcmp ( argv[2], "CreateCellToPointOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateCellToPointOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateCellToPointOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to create cell-to-point translated data for cell-type data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateCellToPointOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for CreateCellToPointOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateCellToPointOff */
    if ( strcmp ( argv[2], "CreateCellToPointOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateCellToPointOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateCellToPointOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether to create cell-to-point translated data for cell-type data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateCellToPointOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for CreateCellToPointOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCacheMesh */
    if ( strcmp ( argv[2], "SetCacheMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCacheMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCacheMesh */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether mesh is to be cached.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCacheMesh(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetCacheMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCacheMesh */
    if ( strcmp ( argv[2], "GetCacheMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheMesh */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether mesh is to be cached.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCacheMesh();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetCacheMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CacheMeshOn */
    if ( strcmp ( argv[2], "CacheMeshOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CacheMeshOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CacheMeshOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether mesh is to be cached.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CacheMeshOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for CacheMeshOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CacheMeshOff */
    if ( strcmp ( argv[2], "CacheMeshOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CacheMeshOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CacheMeshOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether mesh is to be cached.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CacheMeshOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for CacheMeshOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDecomposePolyhedra */
    if ( strcmp ( argv[2], "SetDecomposePolyhedra" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDecomposePolyhedra" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDecomposePolyhedra */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether polyhedra are to be decomposed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDecomposePolyhedra(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetDecomposePolyhedra */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDecomposePolyhedra */
    if ( strcmp ( argv[2], "GetDecomposePolyhedra" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDecomposePolyhedra" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDecomposePolyhedra */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether polyhedra are to be decomposed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDecomposePolyhedra();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetDecomposePolyhedra */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DecomposePolyhedraOn */
    if ( strcmp ( argv[2], "DecomposePolyhedraOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DecomposePolyhedraOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DecomposePolyhedraOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether polyhedra are to be decomposed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DecomposePolyhedraOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for DecomposePolyhedraOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DecomposePolyhedraOff */
    if ( strcmp ( argv[2], "DecomposePolyhedraOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DecomposePolyhedraOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DecomposePolyhedraOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether polyhedra are to be decomposed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DecomposePolyhedraOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for DecomposePolyhedraOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPositionsIsIn13Format */
    if ( strcmp ( argv[2], "SetPositionsIsIn13Format" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPositionsIsIn13Format" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPositionsIsIn13Format */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lagrangian/positions have additional data or not.\n For historical reasons, PositionsIsIn13Format is used to denote that\n the positions only have x,y,z value and the cell of the enclosing cell.\n In OpenFOAM 1.4-2.4, positions included facei and stepFraction information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPositionsIsIn13Format(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetPositionsIsIn13Format */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPositionsIsIn13Format */
    if ( strcmp ( argv[2], "GetPositionsIsIn13Format" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositionsIsIn13Format" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositionsIsIn13Format */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lagrangian/positions have additional data or not.\n For historical reasons, PositionsIsIn13Format is used to denote that\n the positions only have x,y,z value and the cell of the enclosing cell.\n In OpenFOAM 1.4-2.4, positions included facei and stepFraction information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPositionsIsIn13Format();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetPositionsIsIn13Format */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PositionsIsIn13FormatOn */
    if ( strcmp ( argv[2], "PositionsIsIn13FormatOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionsIsIn13FormatOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionsIsIn13FormatOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lagrangian/positions have additional data or not.\n For historical reasons, PositionsIsIn13Format is used to denote that\n the positions only have x,y,z value and the cell of the enclosing cell.\n In OpenFOAM 1.4-2.4, positions included facei and stepFraction information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PositionsIsIn13FormatOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for PositionsIsIn13FormatOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PositionsIsIn13FormatOff */
    if ( strcmp ( argv[2], "PositionsIsIn13FormatOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PositionsIsIn13FormatOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PositionsIsIn13FormatOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lagrangian/positions have additional data or not.\n For historical reasons, PositionsIsIn13Format is used to denote that\n the positions only have x,y,z value and the cell of the enclosing cell.\n In OpenFOAM 1.4-2.4, positions included facei and stepFraction information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PositionsIsIn13FormatOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for PositionsIsIn13FormatOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSkipZeroTime */
    if ( strcmp ( argv[2], "SetSkipZeroTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSkipZeroTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSkipZeroTime */
    Tcl_DStringAppendElement ( &dString, " Ignore 0/ time directory, which is normally missing Lagrangian fields\n and may have many dictionary functionality that we cannot easily handle.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSkipZeroTime(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetSkipZeroTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSkipZeroTime */
    if ( strcmp ( argv[2], "GetSkipZeroTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSkipZeroTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSkipZeroTime */
    Tcl_DStringAppendElement ( &dString, " Ignore 0/ time directory, which is normally missing Lagrangian fields\n and may have many dictionary functionality that we cannot easily handle.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetSkipZeroTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetSkipZeroTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SkipZeroTimeOn */
    if ( strcmp ( argv[2], "SkipZeroTimeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SkipZeroTimeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SkipZeroTimeOn */
    Tcl_DStringAppendElement ( &dString, " Ignore 0/ time directory, which is normally missing Lagrangian fields\n and may have many dictionary functionality that we cannot easily handle.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SkipZeroTimeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SkipZeroTimeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SkipZeroTimeOff */
    if ( strcmp ( argv[2], "SkipZeroTimeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SkipZeroTimeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SkipZeroTimeOff */
    Tcl_DStringAppendElement ( &dString, " Ignore 0/ time directory, which is normally missing Lagrangian fields\n and may have many dictionary functionality that we cannot easily handle.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SkipZeroTimeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SkipZeroTimeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetListTimeStepsByControlDict */
    if ( strcmp ( argv[2], "SetListTimeStepsByControlDict" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetListTimeStepsByControlDict" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetListTimeStepsByControlDict */
    Tcl_DStringAppendElement ( &dString, " Determine if time directories are to be listed according to controlDict\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetListTimeStepsByControlDict(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetListTimeStepsByControlDict */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetListTimeStepsByControlDict */
    if ( strcmp ( argv[2], "GetListTimeStepsByControlDict" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetListTimeStepsByControlDict" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetListTimeStepsByControlDict */
    Tcl_DStringAppendElement ( &dString, " Determine if time directories are to be listed according to controlDict\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetListTimeStepsByControlDict();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetListTimeStepsByControlDict */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ListTimeStepsByControlDictOn */
    if ( strcmp ( argv[2], "ListTimeStepsByControlDictOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ListTimeStepsByControlDictOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ListTimeStepsByControlDictOn */
    Tcl_DStringAppendElement ( &dString, " Determine if time directories are to be listed according to controlDict\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ListTimeStepsByControlDictOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for ListTimeStepsByControlDictOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ListTimeStepsByControlDictOff */
    if ( strcmp ( argv[2], "ListTimeStepsByControlDictOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ListTimeStepsByControlDictOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ListTimeStepsByControlDictOff */
    Tcl_DStringAppendElement ( &dString, " Determine if time directories are to be listed according to controlDict\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ListTimeStepsByControlDictOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for ListTimeStepsByControlDictOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAddDimensionsToArrayNames */
    if ( strcmp ( argv[2], "SetAddDimensionsToArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAddDimensionsToArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAddDimensionsToArrayNames */
    Tcl_DStringAppendElement ( &dString, " Add dimensions to array names\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAddDimensionsToArrayNames(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetAddDimensionsToArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAddDimensionsToArrayNames */
    if ( strcmp ( argv[2], "GetAddDimensionsToArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAddDimensionsToArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAddDimensionsToArrayNames */
    Tcl_DStringAppendElement ( &dString, " Add dimensions to array names\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAddDimensionsToArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetAddDimensionsToArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddDimensionsToArrayNamesOn */
    if ( strcmp ( argv[2], "AddDimensionsToArrayNamesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDimensionsToArrayNamesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDimensionsToArrayNamesOn */
    Tcl_DStringAppendElement ( &dString, " Add dimensions to array names\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDimensionsToArrayNamesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for AddDimensionsToArrayNamesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddDimensionsToArrayNamesOff */
    if ( strcmp ( argv[2], "AddDimensionsToArrayNamesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDimensionsToArrayNamesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDimensionsToArrayNamesOff */
    Tcl_DStringAppendElement ( &dString, " Add dimensions to array names\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDimensionsToArrayNamesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for AddDimensionsToArrayNamesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetReadZones */
    if ( strcmp ( argv[2], "SetReadZones" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadZones" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadZones */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether zones will be read.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReadZones(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetReadZones */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetReadZones */
    if ( strcmp ( argv[2], "GetReadZones" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadZones" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadZones */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether zones will be read.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReadZones();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetReadZones */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReadZonesOn */
    if ( strcmp ( argv[2], "ReadZonesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadZonesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadZonesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether zones will be read.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReadZonesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for ReadZonesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReadZonesOff */
    if ( strcmp ( argv[2], "ReadZonesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadZonesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadZonesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether zones will be read.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReadZonesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for ReadZonesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUse64BitLabels */
    if ( strcmp ( argv[2], "SetUse64BitLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUse64BitLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUse64BitLabels */
    Tcl_DStringAppendElement ( &dString, " If true, labels are expected to be 64-bit, rather than 32.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUse64BitLabels(bool val);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetUse64BitLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUse64BitLabels */
    if ( strcmp ( argv[2], "GetUse64BitLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUse64BitLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUse64BitLabels */
    Tcl_DStringAppendElement ( &dString, " If true, labels are expected to be 64-bit, rather than 32.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUse64BitLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetUse64BitLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Use64BitLabelsOn */
    if ( strcmp ( argv[2], "Use64BitLabelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Use64BitLabelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Use64BitLabelsOn */
    Tcl_DStringAppendElement ( &dString, " If true, labels are expected to be 64-bit, rather than 32.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Use64BitLabelsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for Use64BitLabelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Use64BitLabelsOff */
    if ( strcmp ( argv[2], "Use64BitLabelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Use64BitLabelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Use64BitLabelsOff */
    Tcl_DStringAppendElement ( &dString, " If true, labels are expected to be 64-bit, rather than 32.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Use64BitLabelsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for Use64BitLabelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUse64BitFloats */
    if ( strcmp ( argv[2], "SetUse64BitFloats" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUse64BitFloats" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUse64BitFloats */
    Tcl_DStringAppendElement ( &dString, " If true, floats are expected to be 64-bit, rather than 32. Note that\n vtkFloatArrays may still be used in the output if this is true. This flag\n is only used to ensure that binary data is correctly parsed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUse64BitFloats(bool val);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetUse64BitFloats */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUse64BitFloats */
    if ( strcmp ( argv[2], "GetUse64BitFloats" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUse64BitFloats" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUse64BitFloats */
    Tcl_DStringAppendElement ( &dString, " If true, floats are expected to be 64-bit, rather than 32. Note that\n vtkFloatArrays may still be used in the output if this is true. This flag\n is only used to ensure that binary data is correctly parsed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUse64BitFloats();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetUse64BitFloats */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Use64BitFloatsOn */
    if ( strcmp ( argv[2], "Use64BitFloatsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Use64BitFloatsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Use64BitFloatsOn */
    Tcl_DStringAppendElement ( &dString, " If true, floats are expected to be 64-bit, rather than 32. Note that\n vtkFloatArrays may still be used in the output if this is true. This flag\n is only used to ensure that binary data is correctly parsed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Use64BitFloatsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for Use64BitFloatsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Use64BitFloatsOff */
    if ( strcmp ( argv[2], "Use64BitFloatsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Use64BitFloatsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Use64BitFloatsOff */
    Tcl_DStringAppendElement ( &dString, " If true, floats are expected to be 64-bit, rather than 32. Note that\n vtkFloatArrays may still be used in the output if this is true. This flag\n is only used to ensure that binary data is correctly parsed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Use64BitFloatsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for Use64BitFloatsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRefresh */
    if ( strcmp ( argv[2], "SetRefresh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRefresh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRefresh */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRefresh();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetRefresh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetParent */
    if ( strcmp ( argv[2], "SetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetParent(vtkOpenFOAMReader *parent);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTimeValue */
    if ( strcmp ( argv[2], "SetTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool SetTimeValue(const double);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for SetTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTimeValues */
    if ( strcmp ( argv[2], "GetTimeValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeValues */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray *GetTimeValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for GetTimeValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MakeMetaDataAtTimeStep */
    if ( strcmp ( argv[2], "MakeMetaDataAtTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeMetaDataAtTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeMetaDataAtTimeStep */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int MakeMetaDataAtTimeStep(const bool);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenFOAMReader" );
    /* Closing for MakeMetaDataAtTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
