// tcl wrapper for vtkNIFTIImageHeader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNIFTIImageHeader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkNIFTIImageHeaderNewCommand()
{
  vtkNIFTIImageHeader *temp = vtkNIFTIImageHeader::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkNIFTIImageHeaderCppCommand(vtkNIFTIImageHeader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkNIFTIImageHeaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkNIFTIImageHeaderCppCommand(static_cast<vtkNIFTIImageHeader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkNIFTIImageHeader_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkNIFTIImageHeader"),vtkNIFTIImageHeaderNewCommand,vtkNIFTIImageHeaderCommand);
  return 0;
}

int VTKTCL_EXPORT vtkNIFTIImageHeaderCppCommand(vtkNIFTIImageHeader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkNIFTIImageHeader",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkNIFTIImageHeader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNIFTIImageHeader");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkNIFTIImageHeader  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNIFTIImageHeader");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkNIFTIImageHeader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNIFTIImageHeader");
    return TCL_OK;
  }
  if ((!strcmp("GetMagic",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetMagic();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetVoxOffset",argv[1]))&&(argc == 2))
  {
    long long   temp20;
    temp20 = (op)->GetVoxOffset();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetBitPix",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetBitPix();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDim",argv[1]))&&(argc == 3))
  {
    int      temp0;
    long long   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetDim(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPixDim",argv[1]))&&(argc == 3))
  {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetPixDim(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetIntentCode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetIntentCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntentCode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetIntentCode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetIntentName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetIntentName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntentName",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetIntentName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetIntentP1",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetIntentP1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntentP1",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetIntentP1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetIntentP2",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetIntentP2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntentP2",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetIntentP2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetIntentP3",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetIntentP3(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetIntentP3",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetIntentP3();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSclSlope",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSclSlope(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSclSlope",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetSclSlope();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSclInter",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSclInter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSclInter",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetSclInter();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCalMin",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetCalMin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCalMin",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetCalMin();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCalMax",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetCalMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCalMax",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetCalMax();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSliceDuration",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSliceDuration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSliceDuration",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetSliceDuration();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTOffset",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTOffset",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSliceStart",argv[1]))&&(argc == 3))
  {
    long long   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSliceStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSliceStart",argv[1]))&&(argc == 2))
  {
    long long   temp20;
    temp20 = (op)->GetSliceStart();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSliceEnd",argv[1]))&&(argc == 3))
  {
    long long   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSliceEnd(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSliceEnd",argv[1]))&&(argc == 2))
  {
    long long   temp20;
    temp20 = (op)->GetSliceEnd();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSliceCode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSliceCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSliceCode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSliceCode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetXYZTUnits",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetXYZTUnits(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetXYZTUnits",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetXYZTUnits();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDimInfo",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDimInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDimInfo",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDimInfo();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDescrip",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetDescrip(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDescrip",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetDescrip();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetAuxFile",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetAuxFile(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAuxFile",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetAuxFile();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetQFormCode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetQFormCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQFormCode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetQFormCode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSFormCode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSFormCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSFormCode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSFormCode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetQuaternB",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetQuaternB(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQuaternB",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetQuaternB();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetQuaternC",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetQuaternC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQuaternC",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetQuaternC();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetQuaternD",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetQuaternD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQuaternD",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetQuaternD();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetQOffsetX",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetQOffsetX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQOffsetX",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetQOffsetX();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetQOffsetY",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetQOffsetY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQOffsetY",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetQOffsetY();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetQOffsetZ",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetQOffsetZ(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetQOffsetZ",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetQOffsetZ();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSRowX",argv[1]))&&(argc == 6))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
  {
    op->SetSRowX(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSRowX",argv[1]))&&(argc == 6))
  {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
  {
    op->SetSRowX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSRowX",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetSRowX();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetSRowY",argv[1]))&&(argc == 6))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
  {
    op->SetSRowY(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSRowY",argv[1]))&&(argc == 6))
  {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
  {
    op->SetSRowY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSRowY",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetSRowY();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetSRowZ",argv[1]))&&(argc == 6))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
  {
    op->SetSRowZ(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSRowZ",argv[1]))&&(argc == 6))
  {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
  {
    op->SetSRowZ(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSRowZ",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetSRowZ();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
  {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
  {
    vtkNIFTIImageHeader  *temp0;
    error = 0;

    temp0 = (vtkNIFTIImageHeader *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkNIFTIImageHeader"),interp,error));
    if (!error)
  {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkNIFTIImageHeaderCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkNIFTIImageHeader:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetMagic\n",nullptr);
    Tcl_AppendResult(interp,"  GetVoxOffset\n",nullptr);
    Tcl_AppendResult(interp,"  GetDataType\n",nullptr);
    Tcl_AppendResult(interp,"  GetBitPix\n",nullptr);
    Tcl_AppendResult(interp,"  GetDim\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPixDim\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntentCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntentCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntentName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntentName\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntentP1\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntentP1\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntentP2\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntentP2\n",nullptr);
    Tcl_AppendResult(interp,"  SetIntentP3\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetIntentP3\n",nullptr);
    Tcl_AppendResult(interp,"  SetSclSlope\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSclSlope\n",nullptr);
    Tcl_AppendResult(interp,"  SetSclInter\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSclInter\n",nullptr);
    Tcl_AppendResult(interp,"  SetCalMin\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCalMin\n",nullptr);
    Tcl_AppendResult(interp,"  SetCalMax\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCalMax\n",nullptr);
    Tcl_AppendResult(interp,"  SetSliceDuration\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSliceDuration\n",nullptr);
    Tcl_AppendResult(interp,"  SetTOffset\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTOffset\n",nullptr);
    Tcl_AppendResult(interp,"  SetSliceStart\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSliceStart\n",nullptr);
    Tcl_AppendResult(interp,"  SetSliceEnd\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSliceEnd\n",nullptr);
    Tcl_AppendResult(interp,"  SetSliceCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSliceCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetXYZTUnits\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetXYZTUnits\n",nullptr);
    Tcl_AppendResult(interp,"  SetDimInfo\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDimInfo\n",nullptr);
    Tcl_AppendResult(interp,"  SetDescrip\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDescrip\n",nullptr);
    Tcl_AppendResult(interp,"  SetAuxFile\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAuxFile\n",nullptr);
    Tcl_AppendResult(interp,"  SetQFormCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQFormCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetSFormCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSFormCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetQuaternB\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQuaternB\n",nullptr);
    Tcl_AppendResult(interp,"  SetQuaternC\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQuaternC\n",nullptr);
    Tcl_AppendResult(interp,"  SetQuaternD\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQuaternD\n",nullptr);
    Tcl_AppendResult(interp,"  SetQOffsetX\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQOffsetX\n",nullptr);
    Tcl_AppendResult(interp,"  SetQOffsetY\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQOffsetY\n",nullptr);
    Tcl_AppendResult(interp,"  SetQOffsetZ\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetQOffsetZ\n",nullptr);
    Tcl_AppendResult(interp,"  SetSRowX\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetSRowX\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSRowX\n",nullptr);
    Tcl_AppendResult(interp,"  SetSRowY\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetSRowY\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSRowY\n",nullptr);
    Tcl_AppendResult(interp,"  SetSRowZ\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetSRowZ\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSRowZ\n",nullptr);
    Tcl_AppendResult(interp,"  Initialize\n",nullptr);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetMagic" );
    Tcl_DStringAppendElement ( &dString, "GetVoxOffset" );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    Tcl_DStringAppendElement ( &dString, "GetBitPix" );
    Tcl_DStringAppendElement ( &dString, "GetDim" );
    Tcl_DStringAppendElement ( &dString, "GetPixDim" );
    Tcl_DStringAppendElement ( &dString, "SetIntentCode" );
    Tcl_DStringAppendElement ( &dString, "GetIntentCode" );
    Tcl_DStringAppendElement ( &dString, "SetIntentName" );
    Tcl_DStringAppendElement ( &dString, "GetIntentName" );
    Tcl_DStringAppendElement ( &dString, "SetIntentP1" );
    Tcl_DStringAppendElement ( &dString, "GetIntentP1" );
    Tcl_DStringAppendElement ( &dString, "SetIntentP2" );
    Tcl_DStringAppendElement ( &dString, "GetIntentP2" );
    Tcl_DStringAppendElement ( &dString, "SetIntentP3" );
    Tcl_DStringAppendElement ( &dString, "GetIntentP3" );
    Tcl_DStringAppendElement ( &dString, "SetSclSlope" );
    Tcl_DStringAppendElement ( &dString, "GetSclSlope" );
    Tcl_DStringAppendElement ( &dString, "SetSclInter" );
    Tcl_DStringAppendElement ( &dString, "GetSclInter" );
    Tcl_DStringAppendElement ( &dString, "SetCalMin" );
    Tcl_DStringAppendElement ( &dString, "GetCalMin" );
    Tcl_DStringAppendElement ( &dString, "SetCalMax" );
    Tcl_DStringAppendElement ( &dString, "GetCalMax" );
    Tcl_DStringAppendElement ( &dString, "SetSliceDuration" );
    Tcl_DStringAppendElement ( &dString, "GetSliceDuration" );
    Tcl_DStringAppendElement ( &dString, "SetTOffset" );
    Tcl_DStringAppendElement ( &dString, "GetTOffset" );
    Tcl_DStringAppendElement ( &dString, "SetSliceStart" );
    Tcl_DStringAppendElement ( &dString, "GetSliceStart" );
    Tcl_DStringAppendElement ( &dString, "SetSliceEnd" );
    Tcl_DStringAppendElement ( &dString, "GetSliceEnd" );
    Tcl_DStringAppendElement ( &dString, "SetSliceCode" );
    Tcl_DStringAppendElement ( &dString, "GetSliceCode" );
    Tcl_DStringAppendElement ( &dString, "SetXYZTUnits" );
    Tcl_DStringAppendElement ( &dString, "GetXYZTUnits" );
    Tcl_DStringAppendElement ( &dString, "SetDimInfo" );
    Tcl_DStringAppendElement ( &dString, "GetDimInfo" );
    Tcl_DStringAppendElement ( &dString, "SetDescrip" );
    Tcl_DStringAppendElement ( &dString, "GetDescrip" );
    Tcl_DStringAppendElement ( &dString, "SetAuxFile" );
    Tcl_DStringAppendElement ( &dString, "GetAuxFile" );
    Tcl_DStringAppendElement ( &dString, "SetQFormCode" );
    Tcl_DStringAppendElement ( &dString, "GetQFormCode" );
    Tcl_DStringAppendElement ( &dString, "SetSFormCode" );
    Tcl_DStringAppendElement ( &dString, "GetSFormCode" );
    Tcl_DStringAppendElement ( &dString, "SetQuaternB" );
    Tcl_DStringAppendElement ( &dString, "GetQuaternB" );
    Tcl_DStringAppendElement ( &dString, "SetQuaternC" );
    Tcl_DStringAppendElement ( &dString, "GetQuaternC" );
    Tcl_DStringAppendElement ( &dString, "SetQuaternD" );
    Tcl_DStringAppendElement ( &dString, "GetQuaternD" );
    Tcl_DStringAppendElement ( &dString, "SetQOffsetX" );
    Tcl_DStringAppendElement ( &dString, "GetQOffsetX" );
    Tcl_DStringAppendElement ( &dString, "SetQOffsetY" );
    Tcl_DStringAppendElement ( &dString, "GetQOffsetY" );
    Tcl_DStringAppendElement ( &dString, "SetQOffsetZ" );
    Tcl_DStringAppendElement ( &dString, "GetQOffsetZ" );
    Tcl_DStringAppendElement ( &dString, "SetSRowX" );
    Tcl_DStringAppendElement ( &dString, "SetSRowX" );
    Tcl_DStringAppendElement ( &dString, "GetSRowX" );
    Tcl_DStringAppendElement ( &dString, "SetSRowY" );
    Tcl_DStringAppendElement ( &dString, "SetSRowY" );
    Tcl_DStringAppendElement ( &dString, "GetSRowY" );
    Tcl_DStringAppendElement ( &dString, "SetSRowZ" );
    Tcl_DStringAppendElement ( &dString, "SetSRowZ" );
    Tcl_DStringAppendElement ( &dString, "GetSRowZ" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Static method for construction.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkNIFTIImageHeader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Static method for construction.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Static method for construction.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Static method for construction.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkNIFTIImageHeader *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Static method for construction.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMagic */
    if ( strcmp ( argv[2], "GetMagic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagic */
    Tcl_DStringAppendElement ( &dString, " Get the magic number for the NIFTI file as a null-terminated string.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetMagic();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetMagic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVoxOffset */
    if ( strcmp ( argv[2], "GetVoxOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVoxOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVoxOffset */
    Tcl_DStringAppendElement ( &dString, " Get the offset to the pixel data within the file.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeInt64 GetVoxOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetVoxOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDataType */
    if ( strcmp ( argv[2], "GetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataType */
    Tcl_DStringAppendElement ( &dString, " Get the data type.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataType();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBitPix */
    if ( strcmp ( argv[2], "GetBitPix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBitPix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBitPix */
    Tcl_DStringAppendElement ( &dString, " Get the number of bits per pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBitPix();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetBitPix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDim */
    if ( strcmp ( argv[2], "GetDim" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDim" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDim */
    Tcl_DStringAppendElement ( &dString, " Get the nth dimension of the data, where GetDim(0) returns the\n number of dimensions that are defined for the file.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeInt64 GetDim(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetDim */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPixDim */
    if ( strcmp ( argv[2], "GetPixDim" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixDim" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixDim */
    Tcl_DStringAppendElement ( &dString, " Get the sample spacing in the nth dimension. If GetPixDim(0) is\n negative, then the quaternion for the qform describes the correct\n orientation only after the slice ordering has been reversed.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPixDim(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetPixDim */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntentCode */
    if ( strcmp ( argv[2], "SetIntentCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntentCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntentCode */
    Tcl_DStringAppendElement ( &dString, " Get the NIFTI intent code.  This is an enumerated value in the NIFTI\n header that states what the data is intended to be used for.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIntentCode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetIntentCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntentCode */
    if ( strcmp ( argv[2], "GetIntentCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntentCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntentCode */
    Tcl_DStringAppendElement ( &dString, " Get the NIFTI intent code.  This is an enumerated value in the NIFTI\n header that states what the data is intended to be used for.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntentCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetIntentCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntentName */
    if ( strcmp ( argv[2], "SetIntentName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntentName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntentName */
    Tcl_DStringAppendElement ( &dString, " Get the intent name.  This should match the intent code.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntentName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetIntentName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntentName */
    if ( strcmp ( argv[2], "GetIntentName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntentName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntentName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetIntentName();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetIntentName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntentP1 */
    if ( strcmp ( argv[2], "SetIntentP1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntentP1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntentP1 */
    Tcl_DStringAppendElement ( &dString, " Get one of the NIFTI intent parameters.  The definition of these\n parameters varies according to the IntentCode.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIntentP1(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetIntentP1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntentP1 */
    if ( strcmp ( argv[2], "GetIntentP1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntentP1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntentP1 */
    Tcl_DStringAppendElement ( &dString, " Get one of the NIFTI intent parameters.  The definition of these\n parameters varies according to the IntentCode.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntentP1();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetIntentP1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntentP2 */
    if ( strcmp ( argv[2], "SetIntentP2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntentP2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntentP2 */
    Tcl_DStringAppendElement ( &dString, " Get one of the NIFTI intent parameters.  The definition of these\n parameters varies according to the IntentCode.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIntentP2(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetIntentP2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntentP2 */
    if ( strcmp ( argv[2], "GetIntentP2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntentP2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntentP2 */
    Tcl_DStringAppendElement ( &dString, " Get one of the NIFTI intent parameters.  The definition of these\n parameters varies according to the IntentCode.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntentP2();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetIntentP2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetIntentP3 */
    if ( strcmp ( argv[2], "SetIntentP3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntentP3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntentP3 */
    Tcl_DStringAppendElement ( &dString, " Get one of the NIFTI intent parameters.  The definition of these\n parameters varies according to the IntentCode.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIntentP3(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetIntentP3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetIntentP3 */
    if ( strcmp ( argv[2], "GetIntentP3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntentP3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntentP3 */
    Tcl_DStringAppendElement ( &dString, " Get one of the NIFTI intent parameters.  The definition of these\n parameters varies according to the IntentCode.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntentP3();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetIntentP3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSclSlope */
    if ( strcmp ( argv[2], "SetSclSlope" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSclSlope" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSclSlope */
    Tcl_DStringAppendElement ( &dString, " Get the scale and slope to apply to the data in order to get\n the real-valued data values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSclSlope(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSclSlope */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSclSlope */
    if ( strcmp ( argv[2], "GetSclSlope" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSclSlope" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSclSlope */
    Tcl_DStringAppendElement ( &dString, " Get the scale and slope to apply to the data in order to get\n the real-valued data values.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSclSlope();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSclSlope */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSclInter */
    if ( strcmp ( argv[2], "SetSclInter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSclInter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSclInter */
    Tcl_DStringAppendElement ( &dString, " Get the scale and slope to apply to the data in order to get\n the real-valued data values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSclInter(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSclInter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSclInter */
    if ( strcmp ( argv[2], "GetSclInter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSclInter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSclInter */
    Tcl_DStringAppendElement ( &dString, " Get the scale and slope to apply to the data in order to get\n the real-valued data values.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSclInter();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSclInter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCalMin */
    if ( strcmp ( argv[2], "SetCalMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCalMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCalMin */
    Tcl_DStringAppendElement ( &dString, " Get the calibrated range of the data, i.e. the values stored in the\n cal_min and cal_max fields in the header.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCalMin(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetCalMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCalMin */
    if ( strcmp ( argv[2], "GetCalMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCalMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCalMin */
    Tcl_DStringAppendElement ( &dString, " Get the calibrated range of the data, i.e. the values stored in the\n cal_min and cal_max fields in the header.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCalMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetCalMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCalMax */
    if ( strcmp ( argv[2], "SetCalMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCalMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCalMax */
    Tcl_DStringAppendElement ( &dString, " Get the calibrated range of the data, i.e. the values stored in the\n cal_min and cal_max fields in the header.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCalMax(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetCalMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCalMax */
    if ( strcmp ( argv[2], "GetCalMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCalMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCalMax */
    Tcl_DStringAppendElement ( &dString, " Get the calibrated range of the data, i.e. the values stored in the\n cal_min and cal_max fields in the header.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCalMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetCalMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSliceDuration */
    if ( strcmp ( argv[2], "SetSliceDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceDuration */
    Tcl_DStringAppendElement ( &dString, " Get the slice_duration and toffset from the header.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceDuration(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSliceDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSliceDuration */
    if ( strcmp ( argv[2], "GetSliceDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceDuration */
    Tcl_DStringAppendElement ( &dString, " Get the slice_duration and toffset from the header.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSliceDuration();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSliceDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTOffset */
    if ( strcmp ( argv[2], "SetTOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTOffset */
    Tcl_DStringAppendElement ( &dString, " Get the slice_duration and toffset from the header.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTOffset(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetTOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTOffset */
    if ( strcmp ( argv[2], "GetTOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTOffset */
    Tcl_DStringAppendElement ( &dString, " Get the slice_duration and toffset from the header.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetTOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSliceStart */
    if ( strcmp ( argv[2], "SetSliceStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceStart */
    Tcl_DStringAppendElement ( &dString, " Get the slice range for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceStart(vtkTypeInt64 _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSliceStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSliceStart */
    if ( strcmp ( argv[2], "GetSliceStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceStart */
    Tcl_DStringAppendElement ( &dString, " Get the slice range for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeInt64 GetSliceStart();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSliceStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSliceEnd */
    if ( strcmp ( argv[2], "SetSliceEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceEnd */
    Tcl_DStringAppendElement ( &dString, " Get the slice range for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceEnd(vtkTypeInt64 _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSliceEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSliceEnd */
    if ( strcmp ( argv[2], "GetSliceEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceEnd */
    Tcl_DStringAppendElement ( &dString, " Get the slice range for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeInt64 GetSliceEnd();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSliceEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSliceCode */
    if ( strcmp ( argv[2], "SetSliceCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceCode */
    Tcl_DStringAppendElement ( &dString, " Get the slice code for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceCode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSliceCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSliceCode */
    if ( strcmp ( argv[2], "GetSliceCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceCode */
    Tcl_DStringAppendElement ( &dString, " Get the slice code for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSliceCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetXYZTUnits */
    if ( strcmp ( argv[2], "SetXYZTUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXYZTUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXYZTUnits */
    Tcl_DStringAppendElement ( &dString, " Get a bitfield that describes the units for the first 4 dims.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetXYZTUnits(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetXYZTUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetXYZTUnits */
    if ( strcmp ( argv[2], "GetXYZTUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXYZTUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXYZTUnits */
    Tcl_DStringAppendElement ( &dString, " Get a bitfield that describes the units for the first 4 dims.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXYZTUnits();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetXYZTUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDimInfo */
    if ( strcmp ( argv[2], "SetDimInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimInfo */
    Tcl_DStringAppendElement ( &dString, " Get a bitfield with extra information about the dimensions, it\n states which dimensions are the phase encode, frequency encode,\n and slice encode dimensions for MRI acquisitions.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDimInfo(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetDimInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDimInfo */
    if ( strcmp ( argv[2], "GetDimInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimInfo */
    Tcl_DStringAppendElement ( &dString, " Get a bitfield with extra information about the dimensions, it\n states which dimensions are the phase encode, frequency encode,\n and slice encode dimensions for MRI acquisitions.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimInfo();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetDimInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDescrip */
    if ( strcmp ( argv[2], "SetDescrip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDescrip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDescrip */
    Tcl_DStringAppendElement ( &dString, " Get a null-terminated file descriptor, this usually gives the\n name of the software that wrote the file. It will have a maximum\n length of 80 characters.  Use ASCII to ensure compatibility with\n all NIFTI software, the NIFTI standard itself does not specify what\n encodings are permitted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDescrip(const char *descrip);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetDescrip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDescrip */
    if ( strcmp ( argv[2], "GetDescrip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescrip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescrip */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDescrip();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetDescrip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAuxFile */
    if ( strcmp ( argv[2], "SetAuxFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAuxFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAuxFile */
    Tcl_DStringAppendElement ( &dString, " Get an auxiliary file, e.g. a color table, that is associated\n with this data.  The length of the filename must be a maximum of\n 24 characters, and it will be assumed to be in the same directory\n as the NIFTI file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAuxFile(const char *auxfile);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetAuxFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAuxFile */
    if ( strcmp ( argv[2], "GetAuxFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAuxFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAuxFile */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAuxFile();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetAuxFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQFormCode */
    if ( strcmp ( argv[2], "SetQFormCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQFormCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQFormCode */
    Tcl_DStringAppendElement ( &dString, " Get the QForm or SForm code.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQFormCode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetQFormCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQFormCode */
    if ( strcmp ( argv[2], "GetQFormCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQFormCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQFormCode */
    Tcl_DStringAppendElement ( &dString, " Get the QForm or SForm code.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetQFormCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetQFormCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSFormCode */
    if ( strcmp ( argv[2], "SetSFormCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSFormCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSFormCode */
    Tcl_DStringAppendElement ( &dString, " Get the QForm or SForm code.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSFormCode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSFormCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSFormCode */
    if ( strcmp ( argv[2], "GetSFormCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSFormCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSFormCode */
    Tcl_DStringAppendElement ( &dString, " Get the QForm or SForm code.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSFormCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSFormCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQuaternB */
    if ( strcmp ( argv[2], "SetQuaternB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuaternB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuaternB */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQuaternB(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetQuaternB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQuaternB */
    if ( strcmp ( argv[2], "GetQuaternB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuaternB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuaternB */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetQuaternB();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetQuaternB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQuaternC */
    if ( strcmp ( argv[2], "SetQuaternC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuaternC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuaternC */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQuaternC(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetQuaternC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQuaternC */
    if ( strcmp ( argv[2], "GetQuaternC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuaternC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuaternC */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetQuaternC();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetQuaternC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQuaternD */
    if ( strcmp ( argv[2], "SetQuaternD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuaternD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuaternD */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQuaternD(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetQuaternD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQuaternD */
    if ( strcmp ( argv[2], "GetQuaternD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuaternD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuaternD */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetQuaternD();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetQuaternD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQOffsetX */
    if ( strcmp ( argv[2], "SetQOffsetX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQOffsetX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQOffsetX */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQOffsetX(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetQOffsetX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQOffsetX */
    if ( strcmp ( argv[2], "GetQOffsetX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQOffsetX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQOffsetX */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetQOffsetX();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetQOffsetX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQOffsetY */
    if ( strcmp ( argv[2], "SetQOffsetY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQOffsetY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQOffsetY */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQOffsetY(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetQOffsetY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQOffsetY */
    if ( strcmp ( argv[2], "GetQOffsetY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQOffsetY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQOffsetY */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetQOffsetY();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetQOffsetY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetQOffsetZ */
    if ( strcmp ( argv[2], "SetQOffsetZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQOffsetZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQOffsetZ */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetQOffsetZ(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetQOffsetZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetQOffsetZ */
    if ( strcmp ( argv[2], "GetQOffsetZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQOffsetZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQOffsetZ */
    Tcl_DStringAppendElement ( &dString, " Get information about the quaternion transformation.  Note that\n the vtkNIFTIImageWriter ignores this part of the header if a quaternion\n has been set via vtkNIFTIImageWriter::SetQFormMatrix().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetQOffsetZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetQOffsetZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSRowX */
    if ( strcmp ( argv[2], "SetSRowX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSRowX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSRowX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSRowX(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSRowX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSRowX */
    if ( strcmp ( argv[2], "SetSRowX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSRowX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSRowX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSRowX(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSRowX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSRowX */
    if ( strcmp ( argv[2], "GetSRowX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSRowX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSRowX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSRowX();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSRowX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSRowY */
    if ( strcmp ( argv[2], "SetSRowY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSRowY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSRowY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSRowY(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSRowY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSRowY */
    if ( strcmp ( argv[2], "SetSRowY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSRowY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSRowY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSRowY(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSRowY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSRowY */
    if ( strcmp ( argv[2], "GetSRowY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSRowY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSRowY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSRowY();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSRowY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSRowZ */
    if ( strcmp ( argv[2], "SetSRowZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSRowZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSRowZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSRowZ(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSRowZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSRowZ */
    if ( strcmp ( argv[2], "SetSRowZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSRowZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSRowZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSRowZ(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for SetSRowZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSRowZ */
    if ( strcmp ( argv[2], "GetSRowZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSRowZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSRowZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSRowZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for GetSRowZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the header to default values.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Make a copy of the header.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkNIFTIImageHeader *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkNIFTIImageHeader" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
