// tcl wrapper for vtkPNGWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPNGWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPNGWriterNewCommand()
{
  vtkPNGWriter *temp = vtkPNGWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkImageWriterCppCommand(vtkImageWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPNGWriterCppCommand(vtkPNGWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPNGWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPNGWriterCppCommand(static_cast<vtkPNGWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPNGWriter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPNGWriter"),vtkPNGWriterNewCommand,vtkPNGWriterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPNGWriterCppCommand(vtkPNGWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPNGWriter",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkImageWriterCppCommand(static_cast<vtkImageWriter *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageWriter"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPNGWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPNGWriter");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPNGWriter  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPNGWriter");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPNGWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPNGWriter");
    return TCL_OK;
  }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
  {
    op->Write();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCompressionLevel",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCompressionLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCompressionLevelMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCompressionLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetCompressionLevelMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCompressionLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetCompressionLevel",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCompressionLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetWriteToMemory",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->SetWriteToMemory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetWriteToMemory",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetWriteToMemory();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WriteToMemoryOn",argv[1]))&&(argc == 2))
  {
    op->WriteToMemoryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WriteToMemoryOff",argv[1]))&&(argc == 2))
  {
    op->WriteToMemoryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetResult",argv[1]))&&(argc == 3))
  {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
  {
    op->SetResult(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetResult",argv[1]))&&(argc == 2))
  {
    vtkUnsignedCharArray  *temp20;
    temp20 = (op)->GetResult();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
  }
  if ((!strcmp("AddText",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
  {
    op->AddText(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPNGWriterCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkImageWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPNGWriter:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  Write\n",nullptr);
    Tcl_AppendResult(interp,"  SetCompressionLevel\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCompressionLevelMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetCompressionLevelMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetCompressionLevel\n",nullptr);
    Tcl_AppendResult(interp,"  SetWriteToMemory\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetWriteToMemory\n",nullptr);
    Tcl_AppendResult(interp,"  WriteToMemoryOn\n",nullptr);
    Tcl_AppendResult(interp,"  WriteToMemoryOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetResult\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetResult\n",nullptr);
    Tcl_AppendResult(interp,"  AddText\t with 2 args\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "SetCompressionLevel" );
    Tcl_DStringAppendElement ( &dString, "GetCompressionLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCompressionLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCompressionLevel" );
    Tcl_DStringAppendElement ( &dString, "SetWriteToMemory" );
    Tcl_DStringAppendElement ( &dString, "GetWriteToMemory" );
    Tcl_DStringAppendElement ( &dString, "WriteToMemoryOn" );
    Tcl_DStringAppendElement ( &dString, "WriteToMemoryOff" );
    Tcl_DStringAppendElement ( &dString, "SetResult" );
    Tcl_DStringAppendElement ( &dString, "GetResult" );
    Tcl_DStringAppendElement ( &dString, "AddText" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPNGWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPNGWriter *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " The main interface which triggers the writer to start.\n" );
    Tcl_DStringAppendElement ( &dString, "void Write() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCompressionLevel */
    if ( strcmp ( argv[2], "SetCompressionLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressionLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressionLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zlib compression level.\n The range is 0-9, with 0 meaning no compression\n corresponding to the largest file size, and 9 meaning\n best compression, corresponding to the smallest file size.\n The default is 5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCompressionLevel(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for SetCompressionLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCompressionLevelMinValue */
    if ( strcmp ( argv[2], "GetCompressionLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompressionLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompressionLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zlib compression level.\n The range is 0-9, with 0 meaning no compression\n corresponding to the largest file size, and 9 meaning\n best compression, corresponding to the smallest file size.\n The default is 5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCompressionLevelMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for GetCompressionLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCompressionLevelMaxValue */
    if ( strcmp ( argv[2], "GetCompressionLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompressionLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompressionLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zlib compression level.\n The range is 0-9, with 0 meaning no compression\n corresponding to the largest file size, and 9 meaning\n best compression, corresponding to the smallest file size.\n The default is 5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCompressionLevelMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for GetCompressionLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCompressionLevel */
    if ( strcmp ( argv[2], "GetCompressionLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompressionLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompressionLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zlib compression level.\n The range is 0-9, with 0 meaning no compression\n corresponding to the largest file size, and 9 meaning\n best compression, corresponding to the smallest file size.\n The default is 5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCompressionLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for GetCompressionLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetWriteToMemory */
    if ( strcmp ( argv[2], "SetWriteToMemory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteToMemory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteToMemory */
    Tcl_DStringAppendElement ( &dString, " Write the image to memory (a vtkUnsignedCharArray)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWriteToMemory(unsigned int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for SetWriteToMemory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetWriteToMemory */
    if ( strcmp ( argv[2], "GetWriteToMemory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteToMemory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteToMemory */
    Tcl_DStringAppendElement ( &dString, " Write the image to memory (a vtkUnsignedCharArray)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetWriteToMemory();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for GetWriteToMemory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteToMemoryOn */
    if ( strcmp ( argv[2], "WriteToMemoryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToMemoryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToMemoryOn */
    Tcl_DStringAppendElement ( &dString, " Write the image to memory (a vtkUnsignedCharArray)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteToMemoryOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for WriteToMemoryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WriteToMemoryOff */
    if ( strcmp ( argv[2], "WriteToMemoryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToMemoryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToMemoryOff */
    Tcl_DStringAppendElement ( &dString, " Write the image to memory (a vtkUnsignedCharArray)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteToMemoryOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for WriteToMemoryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetResult */
    if ( strcmp ( argv[2], "SetResult" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResult" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResult */
    Tcl_DStringAppendElement ( &dString, " When writing to memory this is the result, it will be nullptr until the\n data is written the first time\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResult(vtkUnsignedCharArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for SetResult */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetResult */
    if ( strcmp ( argv[2], "GetResult" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResult" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResult */
    Tcl_DStringAppendElement ( &dString, " When writing to memory this is the result, it will be nullptr until the\n data is written the first time\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkUnsignedCharArray *GetResult();" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for GetResult */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AddText */
    if ( strcmp ( argv[2], "AddText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddText */
    Tcl_DStringAppendElement ( &dString, " Adds a text chunk to the PNG. More than one text chunk with the same key is permissible.\n There are a number of predefined keywords that should be used\n when appropriate. See\n http://www.libpng.org/pub/png/spec/1.2/PNG-Chunks.html\n for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddText(const char *key, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkPNGWriter" );
    /* Closing for AddText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkImageWriterCppCommand(static_cast<vtkImageWriter *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
