// tcl wrapper for vtkNetCDFCAMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNetCDFCAMReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkNetCDFCAMReaderNewCommand()
{
  vtkNetCDFCAMReader *temp = vtkNetCDFCAMReader::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkNetCDFCAMReaderCppCommand(vtkNetCDFCAMReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkNetCDFCAMReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkNetCDFCAMReaderCppCommand(static_cast<vtkNetCDFCAMReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkNetCDFCAMReader_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkNetCDFCAMReader"),vtkNetCDFCAMReaderNewCommand,vtkNetCDFCAMReaderCommand);
  return 0;
}

int VTKTCL_EXPORT vtkNetCDFCAMReaderCppCommand(vtkNetCDFCAMReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkNetCDFCAMReader",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkNetCDFCAMReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFCAMReader");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkNetCDFCAMReader  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFCAMReader");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkNetCDFCAMReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkNetCDFCAMReader");
    return TCL_OK;
  }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetConnectivityFileName",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetConnectivityFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetConnectivityFileName",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetConnectivityFileName();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetVerticalDimension",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetVerticalDimension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVerticalDimensionMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetVerticalDimensionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetVerticalDimensionMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetVerticalDimensionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetVerticalDimension",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetVerticalDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SingleMidpointLayerOn",argv[1]))&&(argc == 2))
  {
    op->SingleMidpointLayerOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SingleMidpointLayerOff",argv[1]))&&(argc == 2))
  {
    op->SingleMidpointLayerOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSingleMidpointLayer",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSingleMidpointLayer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSingleMidpointLayer",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSingleMidpointLayer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMidpointLayerIndex",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMidpointLayerIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMidpointLayerIndex",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMidpointLayerIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMidpointLayersRange",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetMidpointLayersRange();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SingleInterfaceLayerOn",argv[1]))&&(argc == 2))
  {
    op->SingleInterfaceLayerOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SingleInterfaceLayerOff",argv[1]))&&(argc == 2))
  {
    op->SingleInterfaceLayerOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetSingleInterfaceLayer",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSingleInterfaceLayer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSingleInterfaceLayer",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSingleInterfaceLayer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetInterfaceLayerIndex",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetInterfaceLayerIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInterfaceLayerIndex",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetInterfaceLayerIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetInterfaceLayersRange",argv[1]))&&(argc == 2))
  {
    int     *temp20;
    temp20 = (op)->GetInterfaceLayersRange();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfPointArrays",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfPointArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPointArrayName",argv[1]))&&(argc == 3))
  {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetPointArrayName(temp0);
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPointArrayStatus",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->GetPointArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPointArrayStatus",argv[1]))&&(argc == 4))
  {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetPointArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("DisableAllPointArrays",argv[1]))&&(argc == 2))
  {
    op->DisableAllPointArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EnableAllPointArrays",argv[1]))&&(argc == 2))
  {
    op->EnableAllPointArrays();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkNetCDFCAMReaderCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkNetCDFCAMReader:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetFileName\n",nullptr);
    Tcl_AppendResult(interp,"  SetConnectivityFileName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetConnectivityFileName\n",nullptr);
    Tcl_AppendResult(interp,"  SetVerticalDimension\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVerticalDimensionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetVerticalDimensionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetVerticalDimension\n",nullptr);
    Tcl_AppendResult(interp,"  SingleMidpointLayerOn\n",nullptr);
    Tcl_AppendResult(interp,"  SingleMidpointLayerOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSingleMidpointLayer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSingleMidpointLayer\n",nullptr);
    Tcl_AppendResult(interp,"  SetMidpointLayerIndex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMidpointLayerIndex\n",nullptr);
    Tcl_AppendResult(interp,"  GetMidpointLayersRange\n",nullptr);
    Tcl_AppendResult(interp,"  SingleInterfaceLayerOn\n",nullptr);
    Tcl_AppendResult(interp,"  SingleInterfaceLayerOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetSingleInterfaceLayer\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSingleInterfaceLayer\n",nullptr);
    Tcl_AppendResult(interp,"  SetInterfaceLayerIndex\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInterfaceLayerIndex\n",nullptr);
    Tcl_AppendResult(interp,"  GetInterfaceLayersRange\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfPointArrays\n",nullptr);
    Tcl_AppendResult(interp,"  GetPointArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPointArrayStatus\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetPointArrayStatus\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  DisableAllPointArrays\n",nullptr);
    Tcl_AppendResult(interp,"  EnableAllPointArrays\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetConnectivityFileName" );
    Tcl_DStringAppendElement ( &dString, "GetConnectivityFileName" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalDimension" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalDimensionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalDimensionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalDimension" );
    Tcl_DStringAppendElement ( &dString, "SingleMidpointLayerOn" );
    Tcl_DStringAppendElement ( &dString, "SingleMidpointLayerOff" );
    Tcl_DStringAppendElement ( &dString, "SetSingleMidpointLayer" );
    Tcl_DStringAppendElement ( &dString, "GetSingleMidpointLayer" );
    Tcl_DStringAppendElement ( &dString, "SetMidpointLayerIndex" );
    Tcl_DStringAppendElement ( &dString, "GetMidpointLayerIndex" );
    Tcl_DStringAppendElement ( &dString, "GetMidpointLayersRange" );
    Tcl_DStringAppendElement ( &dString, "SingleInterfaceLayerOn" );
    Tcl_DStringAppendElement ( &dString, "SingleInterfaceLayerOff" );
    Tcl_DStringAppendElement ( &dString, "SetSingleInterfaceLayer" );
    Tcl_DStringAppendElement ( &dString, "GetSingleInterfaceLayer" );
    Tcl_DStringAppendElement ( &dString, "SetInterfaceLayerIndex" );
    Tcl_DStringAppendElement ( &dString, "GetInterfaceLayerIndex" );
    Tcl_DStringAppendElement ( &dString, "GetInterfaceLayersRange" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "DisableAllPointArrays" );
    Tcl_DStringAppendElement ( &dString, "EnableAllPointArrays" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkNetCDFCAMReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkNetCDFCAMReader *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Returns 1 if this file can be read and 0 if the file cannot be read.\n Because NetCDF CAM files come in pairs and we only check one of the\n files, the result is not definitive.  Invalid files may still return 1\n although a valid file will never return 0.\n" );
    Tcl_DStringAppendElement ( &dString, "static int CanReadFile(const char *fileName);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(const char *fileName);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetConnectivityFileName */
    if ( strcmp ( argv[2], "SetConnectivityFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConnectivityFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConnectivityFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetConnectivityFileName(const char *fileName);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetConnectivityFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetConnectivityFileName */
    if ( strcmp ( argv[2], "GetConnectivityFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConnectivityFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConnectivityFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetConnectivityFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetConnectivityFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVerticalDimension */
    if ( strcmp ( argv[2], "SetVerticalDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalDimension */
    Tcl_DStringAppendElement ( &dString, " Set whether to read a single layer, midpoint layers or interface layers.\n VERTICAL_DIMENSION_SINGLE_LAYER (0) indicates that only a single\n layer will be read in. The NetCDF variables loaded will be the\n ones with dimensions (time, ncol).\n VERTICAL_DIMENSION_MIDPOINT_LAYERS (1) indicates that variables defined\n on midpoint layers will be read in. These are variables with dimensions\n (time, lev, ncol).\n VERTICAL_DIMENSION_INTERFACE_LAYERS (2) indicates that variables\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVerticalDimension(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetVerticalDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVerticalDimensionMinValue */
    if ( strcmp ( argv[2], "GetVerticalDimensionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalDimensionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalDimensionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set whether to read a single layer, midpoint layers or interface layers.\n VERTICAL_DIMENSION_SINGLE_LAYER (0) indicates that only a single\n layer will be read in. The NetCDF variables loaded will be the\n ones with dimensions (time, ncol).\n VERTICAL_DIMENSION_MIDPOINT_LAYERS (1) indicates that variables defined\n on midpoint layers will be read in. These are variables with dimensions\n (time, lev, ncol).\n VERTICAL_DIMENSION_INTERFACE_LAYERS (2) indicates that variables\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVerticalDimensionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetVerticalDimensionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVerticalDimensionMaxValue */
    if ( strcmp ( argv[2], "GetVerticalDimensionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalDimensionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalDimensionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set whether to read a single layer, midpoint layers or interface layers.\n VERTICAL_DIMENSION_SINGLE_LAYER (0) indicates that only a single\n layer will be read in. The NetCDF variables loaded will be the\n ones with dimensions (time, ncol).\n VERTICAL_DIMENSION_MIDPOINT_LAYERS (1) indicates that variables defined\n on midpoint layers will be read in. These are variables with dimensions\n (time, lev, ncol).\n VERTICAL_DIMENSION_INTERFACE_LAYERS (2) indicates that variables\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVerticalDimensionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetVerticalDimensionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVerticalDimension */
    if ( strcmp ( argv[2], "GetVerticalDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalDimension */
    Tcl_DStringAppendElement ( &dString, " Set whether to read a single layer, midpoint layers or interface layers.\n VERTICAL_DIMENSION_SINGLE_LAYER (0) indicates that only a single\n layer will be read in. The NetCDF variables loaded will be the\n ones with dimensions (time, ncol).\n VERTICAL_DIMENSION_MIDPOINT_LAYERS (1) indicates that variables defined\n on midpoint layers will be read in. These are variables with dimensions\n (time, lev, ncol).\n VERTICAL_DIMENSION_INTERFACE_LAYERS (2) indicates that variables\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVerticalDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetVerticalDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SingleMidpointLayerOn */
    if ( strcmp ( argv[2], "SingleMidpointLayerOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleMidpointLayerOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleMidpointLayerOn */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SingleMidpointLayerOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SingleMidpointLayerOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SingleMidpointLayerOff */
    if ( strcmp ( argv[2], "SingleMidpointLayerOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleMidpointLayerOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleMidpointLayerOff */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SingleMidpointLayerOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SingleMidpointLayerOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSingleMidpointLayer */
    if ( strcmp ( argv[2], "SetSingleMidpointLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSingleMidpointLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSingleMidpointLayer */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSingleMidpointLayer(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetSingleMidpointLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSingleMidpointLayer */
    if ( strcmp ( argv[2], "GetSingleMidpointLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSingleMidpointLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSingleMidpointLayer */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSingleMidpointLayer();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetSingleMidpointLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMidpointLayerIndex */
    if ( strcmp ( argv[2], "SetMidpointLayerIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMidpointLayerIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMidpointLayerIndex */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMidpointLayerIndex(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetMidpointLayerIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMidpointLayerIndex */
    if ( strcmp ( argv[2], "GetMidpointLayerIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMidpointLayerIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMidpointLayerIndex */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMidpointLayerIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetMidpointLayerIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMidpointLayersRange */
    if ( strcmp ( argv[2], "GetMidpointLayersRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMidpointLayersRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMidpointLayersRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetMidpointLayersRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetMidpointLayersRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SingleInterfaceLayerOn */
    if ( strcmp ( argv[2], "SingleInterfaceLayerOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleInterfaceLayerOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleInterfaceLayerOn */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SingleInterfaceLayerOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SingleInterfaceLayerOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SingleInterfaceLayerOff */
    if ( strcmp ( argv[2], "SingleInterfaceLayerOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleInterfaceLayerOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleInterfaceLayerOff */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SingleInterfaceLayerOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SingleInterfaceLayerOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSingleInterfaceLayer */
    if ( strcmp ( argv[2], "SetSingleInterfaceLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSingleInterfaceLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSingleInterfaceLayer */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSingleInterfaceLayer(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetSingleInterfaceLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSingleInterfaceLayer */
    if ( strcmp ( argv[2], "GetSingleInterfaceLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSingleInterfaceLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSingleInterfaceLayer */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSingleInterfaceLayer();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetSingleInterfaceLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInterfaceLayerIndex */
    if ( strcmp ( argv[2], "SetInterfaceLayerIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterfaceLayerIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterfaceLayerIndex */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInterfaceLayerIndex(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetInterfaceLayerIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInterfaceLayerIndex */
    if ( strcmp ( argv[2], "GetInterfaceLayerIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterfaceLayerIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterfaceLayerIndex */
    Tcl_DStringAppendElement ( &dString, " If SingleXXXLayer is 1, we'll load only the layer specified by\n XXXLayerIndex.  Otherwise, we load all layers. We do that for\n midpoint layer variables ( which have dimension 'lev') or for\n interface layer variables (which have dimension 'ilev').\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInterfaceLayerIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetInterfaceLayerIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInterfaceLayersRange */
    if ( strcmp ( argv[2], "GetInterfaceLayersRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterfaceLayersRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterfaceLayersRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetInterfaceLayersRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetInterfaceLayersRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfPointArrays */
    if ( strcmp ( argv[2], "GetNumberOfPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointArrays */
    Tcl_DStringAppendElement ( &dString, " The following methods allow selective reading of variables.\n By default, ALL data variables on the nodes are read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetNumberOfPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPointArrayName */
    if ( strcmp ( argv[2], "GetPointArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayName */
    Tcl_DStringAppendElement ( &dString, " The following methods allow selective reading of variables.\n By default, ALL data variables on the nodes are read.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPointArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetPointArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPointArrayStatus */
    if ( strcmp ( argv[2], "GetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " The following methods allow selective reading of variables.\n By default, ALL data variables on the nodes are read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for GetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPointArrayStatus */
    if ( strcmp ( argv[2], "SetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " The following methods allow selective reading of variables.\n By default, ALL data variables on the nodes are read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointArrayStatus(const char *name, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for SetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DisableAllPointArrays */
    if ( strcmp ( argv[2], "DisableAllPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableAllPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableAllPointArrays */
    Tcl_DStringAppendElement ( &dString, " The following methods allow selective reading of variables.\n By default, ALL data variables on the nodes are read.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableAllPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for DisableAllPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EnableAllPointArrays */
    if ( strcmp ( argv[2], "EnableAllPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableAllPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableAllPointArrays */
    Tcl_DStringAppendElement ( &dString, " The following methods allow selective reading of variables.\n By default, ALL data variables on the nodes are read.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableAllPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkNetCDFCAMReader" );
    /* Closing for EnableAllPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
