#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkEnSightWriter_TclCreate(Tcl_Interp *interp);
int vtkMultiBlockPLOT3DReader_TclCreate(Tcl_Interp *interp);
int vtkPlot3DMetaReader_TclCreate(Tcl_Interp *interp);
int vtkPChacoReader_TclCreate(Tcl_Interp *interp);
int vtkPDataSetReader_TclCreate(Tcl_Interp *interp);
int vtkPDataSetWriter_TclCreate(Tcl_Interp *interp);
int vtkPImageWriter_TclCreate(Tcl_Interp *interp);
int vtkPOpenFOAMReader_TclCreate(Tcl_Interp *interp);
int vtkPSLACReader_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioparalleltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioparalleltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioparalleltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioparalleltcl_Init(interp);
}


int VTK_EXPORT Vtkioparalleltcl_Init(Tcl_Interp *interp)
{

  vtkEnSightWriter_TclCreate(interp);
  vtkMultiBlockPLOT3DReader_TclCreate(interp);
  vtkPlot3DMetaReader_TclCreate(interp);
  vtkPChacoReader_TclCreate(interp);
  vtkPDataSetReader_TclCreate(interp);
  vtkPDataSetWriter_TclCreate(interp);
  vtkPImageWriter_TclCreate(interp);
  vtkPOpenFOAMReader_TclCreate(interp);
  vtkPSLACReader_TclCreate(interp);
  char pkgName[]="vtkIOParallelTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
