// tcl wrapper for vtkInteractorStyleRubberBandZoom object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleRubberBandZoom.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkInteractorStyleRubberBandZoomNewCommand()
{
  vtkInteractorStyleRubberBandZoom *temp = vtkInteractorStyleRubberBandZoom::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleRubberBandZoomCppCommand(vtkInteractorStyleRubberBandZoom *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkInteractorStyleRubberBandZoomCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkInteractorStyleRubberBandZoomCppCommand(static_cast<vtkInteractorStyleRubberBandZoom *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleRubberBandZoom_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleRubberBandZoom"),vtkInteractorStyleRubberBandZoomNewCommand,vtkInteractorStyleRubberBandZoomCommand);
  return 0;
}

int VTKTCL_EXPORT vtkInteractorStyleRubberBandZoomCppCommand(vtkInteractorStyleRubberBandZoom *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkInteractorStyleRubberBandZoom",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyle"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkInteractorStyleRubberBandZoom  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleRubberBandZoom");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkInteractorStyleRubberBandZoom  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleRubberBandZoom");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkInteractorStyleRubberBandZoom  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleRubberBandZoom");
    return TCL_OK;
  }
  if ((!strcmp("SetLockAspectToViewport",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetLockAspectToViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLockAspectToViewport",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLockAspectToViewport();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LockAspectToViewportOn",argv[1]))&&(argc == 2))
  {
    op->LockAspectToViewportOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LockAspectToViewportOff",argv[1]))&&(argc == 2))
  {
    op->LockAspectToViewportOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCenterAtStartPosition",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCenterAtStartPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCenterAtStartPosition",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCenterAtStartPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CenterAtStartPositionOn",argv[1]))&&(argc == 2))
  {
    op->CenterAtStartPositionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CenterAtStartPositionOff",argv[1]))&&(argc == 2))
  {
    op->CenterAtStartPositionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetUseDollyForPerspectiveProjection",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseDollyForPerspectiveProjection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseDollyForPerspectiveProjection",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseDollyForPerspectiveProjection();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseDollyForPerspectiveProjectionOn",argv[1]))&&(argc == 2))
  {
    op->UseDollyForPerspectiveProjectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseDollyForPerspectiveProjectionOff",argv[1]))&&(argc == 2))
  {
    op->UseDollyForPerspectiveProjectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
  {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
  {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
  {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleRubberBandZoomCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleRubberBandZoom:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetLockAspectToViewport\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLockAspectToViewport\n",nullptr);
    Tcl_AppendResult(interp,"  LockAspectToViewportOn\n",nullptr);
    Tcl_AppendResult(interp,"  LockAspectToViewportOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetCenterAtStartPosition\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCenterAtStartPosition\n",nullptr);
    Tcl_AppendResult(interp,"  CenterAtStartPositionOn\n",nullptr);
    Tcl_AppendResult(interp,"  CenterAtStartPositionOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseDollyForPerspectiveProjection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseDollyForPerspectiveProjection\n",nullptr);
    Tcl_AppendResult(interp,"  UseDollyForPerspectiveProjectionOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseDollyForPerspectiveProjectionOff\n",nullptr);
    Tcl_AppendResult(interp,"  OnMouseMove\n",nullptr);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",nullptr);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetLockAspectToViewport" );
    Tcl_DStringAppendElement ( &dString, "GetLockAspectToViewport" );
    Tcl_DStringAppendElement ( &dString, "LockAspectToViewportOn" );
    Tcl_DStringAppendElement ( &dString, "LockAspectToViewportOff" );
    Tcl_DStringAppendElement ( &dString, "SetCenterAtStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetCenterAtStartPosition" );
    Tcl_DStringAppendElement ( &dString, "CenterAtStartPositionOn" );
    Tcl_DStringAppendElement ( &dString, "CenterAtStartPositionOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseDollyForPerspectiveProjection" );
    Tcl_DStringAppendElement ( &dString, "GetUseDollyForPerspectiveProjection" );
    Tcl_DStringAppendElement ( &dString, "UseDollyForPerspectiveProjectionOn" );
    Tcl_DStringAppendElement ( &dString, "UseDollyForPerspectiveProjectionOff" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleRubberBandZoom *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleRubberBandZoom *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLockAspectToViewport */
    if ( strcmp ( argv[2], "SetLockAspectToViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLockAspectToViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLockAspectToViewport */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the interactor will lock the rendered box to the\n viewport's aspect ratio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLockAspectToViewport(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for SetLockAspectToViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLockAspectToViewport */
    if ( strcmp ( argv[2], "GetLockAspectToViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockAspectToViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockAspectToViewport */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the interactor will lock the rendered box to the\n viewport's aspect ratio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLockAspectToViewport();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for GetLockAspectToViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LockAspectToViewportOn */
    if ( strcmp ( argv[2], "LockAspectToViewportOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockAspectToViewportOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockAspectToViewportOn */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the interactor will lock the rendered box to the\n viewport's aspect ratio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LockAspectToViewportOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for LockAspectToViewportOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LockAspectToViewportOff */
    if ( strcmp ( argv[2], "LockAspectToViewportOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockAspectToViewportOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockAspectToViewportOff */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the interactor will lock the rendered box to the\n viewport's aspect ratio.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LockAspectToViewportOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for LockAspectToViewportOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCenterAtStartPosition */
    if ( strcmp ( argv[2], "SetCenterAtStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenterAtStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenterAtStartPosition */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the position where the user starts the\n interaction is treated as the center of the box rather that one of the\n corners of the box.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCenterAtStartPosition(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for SetCenterAtStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCenterAtStartPosition */
    if ( strcmp ( argv[2], "GetCenterAtStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenterAtStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenterAtStartPosition */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the position where the user starts the\n interaction is treated as the center of the box rather that one of the\n corners of the box.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCenterAtStartPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for GetCenterAtStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CenterAtStartPositionOn */
    if ( strcmp ( argv[2], "CenterAtStartPositionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CenterAtStartPositionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CenterAtStartPositionOn */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the position where the user starts the\n interaction is treated as the center of the box rather that one of the\n corners of the box.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CenterAtStartPositionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for CenterAtStartPositionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CenterAtStartPositionOff */
    if ( strcmp ( argv[2], "CenterAtStartPositionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CenterAtStartPositionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CenterAtStartPositionOff */
    Tcl_DStringAppendElement ( &dString, " When set to true (default, false), the position where the user starts the\n interaction is treated as the center of the box rather that one of the\n corners of the box.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CenterAtStartPositionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for CenterAtStartPositionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseDollyForPerspectiveProjection */
    if ( strcmp ( argv[2], "SetUseDollyForPerspectiveProjection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDollyForPerspectiveProjection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDollyForPerspectiveProjection */
    Tcl_DStringAppendElement ( &dString, " If camera is in perspective projection mode, this interactor style uses\n vtkCamera::Dolly to dolly the camera ahead for zooming. However, that can\n have unintended consequences such as the camera entering into the data.\n Another option is to use vtkCamera::Zoom instead. In that case, the camera\n position is left unchanged, instead the focal point is changed to the\n center of the target box and then the view angle is changed to zoom in.\n To use this approach, set this  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseDollyForPerspectiveProjection(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for SetUseDollyForPerspectiveProjection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseDollyForPerspectiveProjection */
    if ( strcmp ( argv[2], "GetUseDollyForPerspectiveProjection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDollyForPerspectiveProjection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDollyForPerspectiveProjection */
    Tcl_DStringAppendElement ( &dString, " If camera is in perspective projection mode, this interactor style uses\n vtkCamera::Dolly to dolly the camera ahead for zooming. However, that can\n have unintended consequences such as the camera entering into the data.\n Another option is to use vtkCamera::Zoom instead. In that case, the camera\n position is left unchanged, instead the focal point is changed to the\n center of the target box and then the view angle is changed to zoom in.\n To use this approach, set this  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseDollyForPerspectiveProjection();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for GetUseDollyForPerspectiveProjection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseDollyForPerspectiveProjectionOn */
    if ( strcmp ( argv[2], "UseDollyForPerspectiveProjectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDollyForPerspectiveProjectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDollyForPerspectiveProjectionOn */
    Tcl_DStringAppendElement ( &dString, " If camera is in perspective projection mode, this interactor style uses\n vtkCamera::Dolly to dolly the camera ahead for zooming. However, that can\n have unintended consequences such as the camera entering into the data.\n Another option is to use vtkCamera::Zoom instead. In that case, the camera\n position is left unchanged, instead the focal point is changed to the\n center of the target box and then the view angle is changed to zoom in.\n To use this approach, set this  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseDollyForPerspectiveProjectionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for UseDollyForPerspectiveProjectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseDollyForPerspectiveProjectionOff */
    if ( strcmp ( argv[2], "UseDollyForPerspectiveProjectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDollyForPerspectiveProjectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDollyForPerspectiveProjectionOff */
    Tcl_DStringAppendElement ( &dString, " If camera is in perspective projection mode, this interactor style uses\n vtkCamera::Dolly to dolly the camera ahead for zooming. However, that can\n have unintended consequences such as the camera entering into the data.\n Another option is to use vtkCamera::Zoom instead. In that case, the camera\n position is left unchanged, instead the focal point is changed to the\n center of the target box and then the view angle is changed to zoom in.\n To use this approach, set this  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseDollyForPerspectiveProjectionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for UseDollyForPerspectiveProjectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "void OnMouseMove() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OnLeftButtonDown */
    if ( strcmp ( argv[2], "OnLeftButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonDown */
    Tcl_DStringAppendElement ( &dString, " Event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "void OnLeftButtonDown() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for OnLeftButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, " Event bindings\n" );
    Tcl_DStringAppendElement ( &dString, "void OnLeftButtonUp() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleRubberBandZoom" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
