// tcl wrapper for vtk3DWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtk3DWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtk3DWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtk3DWidget_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtk3DWidget",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkInteractorObserverCppCommand(static_cast<vtkInteractorObserver *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorObserver"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtk3DWidget  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtk3DWidget");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtk3DWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtk3DWidget");
    return TCL_OK;
  }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
  {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
  {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetProp3D",argv[1]))&&(argc == 3))
  {
    vtkProp3D  *temp0;
    error = 0;

    temp0 = (vtkProp3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp3D"),interp,error));
    if (!error)
  {
    op->SetProp3D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetProp3D",argv[1]))&&(argc == 2))
  {
    vtkProp3D  *temp20;
    temp20 = (op)->GetProp3D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp3D");
    return TCL_OK;
  }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
  {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
  {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
  {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
  {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
  {
    vtkDataSet  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
  }
  if ((!strcmp("SetPlaceFactor",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetPlaceFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPlaceFactorMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetPlaceFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPlaceFactorMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetPlaceFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPlaceFactor",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetPlaceFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetHandleSize",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetHandleSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHandleSizeMinValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetHandleSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetHandleSizeMaxValue",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetHandleSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetHandleSize",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetHandleSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtk3DWidgetCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkInteractorObserverCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtk3DWidget:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  PlaceWidget\n",nullptr);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetProp3D\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetProp3D\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInput\n",nullptr);
    Tcl_AppendResult(interp,"  SetPlaceFactor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaceFactorMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaceFactorMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetPlaceFactor\n",nullptr);
    Tcl_AppendResult(interp,"  SetHandleSize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHandleSizeMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetHandleSizeMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetHandleSize\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorObserverCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetProp3D" );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetPlaceFactor" );
    Tcl_DStringAppendElement ( &dString, "GetPlaceFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPlaceFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPlaceFactor" );
    Tcl_DStringAppendElement ( &dString, "SetHandleSize" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorObserverCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtk3DWidget *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " This method is used to initially place the widget.  The placement of the\n widget depends on whether a Prop3D or input dataset is provided. If one\n of these two is provided, they will be used to obtain a bounding box,\n around which the widget is placed. Otherwise, you can manually specify a\n bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds)\n is required by all subclasses; the other methods are provided as\n convenience methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget(double bounds\\[6\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " This method is used to initially place the widget.  The placement of the\n widget depends on whether a Prop3D or input dataset is provided. If one\n of these two is provided, they will be used to obtain a bounding box,\n around which the widget is placed. Otherwise, you can manually specify a\n bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds)\n is required by all subclasses; the other methods are provided as\n convenience methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " This method is used to initially place the widget.  The placement of the\n widget depends on whether a Prop3D or input dataset is provided. If one\n of these two is provided, they will be used to obtain a bounding box,\n around which the widget is placed. Otherwise, you can manually specify a\n bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds)\n is required by all subclasses; the other methods are provided as\n convenience methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetProp3D */
    if ( strcmp ( argv[2], "SetProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProp3D */
    Tcl_DStringAppendElement ( &dString, " Specify a vtkProp3D around which to place the widget. This\n is not required, but if supplied, it is used to initially\n position the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProp3D(vtkProp3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for SetProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProp3D */
    if ( strcmp ( argv[2], "GetProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProp3D */
    Tcl_DStringAppendElement ( &dString, " Specify a vtkProp3D around which to place the widget. This\n is not required, but if supplied, it is used to initially\n position the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp3D *GetProp3D();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Specify the input dataset. This is not required, but if supplied,\n and no vtkProp3D is specified, it is used to initially position\n the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputData(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Specify the input dataset. This is not required, but if supplied,\n and no vtkProp3D is specified, it is used to initially position\n the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection(vtkAlgorithmOutput *);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Specify the input dataset. This is not required, but if supplied,\n and no vtkProp3D is specified, it is used to initially position\n the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataSet *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPlaceFactor */
    if ( strcmp ( argv[2], "SetPlaceFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaceFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaceFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlaceFactor(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for SetPlaceFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaceFactorMinValue */
    if ( strcmp ( argv[2], "GetPlaceFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaceFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaceFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPlaceFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetPlaceFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaceFactorMaxValue */
    if ( strcmp ( argv[2], "GetPlaceFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaceFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaceFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPlaceFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetPlaceFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPlaceFactor */
    if ( strcmp ( argv[2], "GetPlaceFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaceFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaceFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPlaceFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetPlaceFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetHandleSize */
    if ( strcmp ( argv[2], "SetHandleSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHandleSize(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for SetHandleSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHandleSizeMinValue */
    if ( strcmp ( argv[2], "GetHandleSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetHandleSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetHandleSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHandleSizeMaxValue */
    if ( strcmp ( argv[2], "GetHandleSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetHandleSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetHandleSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHandleSize */
    if ( strcmp ( argv[2], "GetHandleSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetHandleSize();" );
    Tcl_DStringAppendElement ( &dString, "vtk3DWidget" );
    /* Closing for GetHandleSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkInteractorObserverCppCommand(static_cast<vtkInteractorObserver *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
