// tcl wrapper for vtkAbstractWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractWidgetCppCommand(vtkAbstractWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAbstractWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractWidget_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkAbstractWidgetCppCommand(vtkAbstractWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkAbstractWidget",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkInteractorObserverCppCommand(static_cast<vtkInteractorObserver *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorObserver"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkAbstractWidget  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractWidget");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkAbstractWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractWidget");
    return TCL_OK;
  }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetProcessEvents",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetProcessEvents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetProcessEventsMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetProcessEventsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetProcessEventsMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetProcessEventsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetProcessEvents",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetProcessEvents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ProcessEventsOn",argv[1]))&&(argc == 2))
  {
    op->ProcessEventsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ProcessEventsOff",argv[1]))&&(argc == 2))
  {
    op->ProcessEventsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetEventTranslator",argv[1]))&&(argc == 2))
  {
    vtkWidgetEventTranslator  *temp20;
    temp20 = (op)->GetEventTranslator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWidgetEventTranslator");
    return TCL_OK;
  }
  if ((!strcmp("CreateDefaultRepresentation",argv[1]))&&(argc == 2))
  {
    op->CreateDefaultRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
  {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetParent",argv[1]))&&(argc == 3))
  {
    vtkAbstractWidget  *temp0;
    error = 0;

    temp0 = (vtkAbstractWidget *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractWidget"),interp,error));
    if (!error)
  {
    op->SetParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetParent",argv[1]))&&(argc == 2))
  {
    vtkAbstractWidget  *temp20;
    temp20 = (op)->GetParent();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractWidget");
    return TCL_OK;
  }
  if ((!strcmp("GetRepresentation",argv[1]))&&(argc == 2))
  {
    vtkWidgetRepresentation  *temp20;
    temp20 = (op)->GetRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWidgetRepresentation");
    return TCL_OK;
  }
  if ((!strcmp("SetManagesCursor",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetManagesCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetManagesCursor",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetManagesCursor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ManagesCursorOn",argv[1]))&&(argc == 2))
  {
    op->ManagesCursorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ManagesCursorOff",argv[1]))&&(argc == 2))
  {
    op->ManagesCursorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPriority",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetPriority(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractWidgetCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkInteractorObserverCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractWidget:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetProcessEvents\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetProcessEventsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetProcessEventsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetProcessEvents\n",nullptr);
    Tcl_AppendResult(interp,"  ProcessEventsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ProcessEventsOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetEventTranslator\n",nullptr);
    Tcl_AppendResult(interp,"  CreateDefaultRepresentation\n",nullptr);
    Tcl_AppendResult(interp,"  Render\n",nullptr);
    Tcl_AppendResult(interp,"  SetParent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetParent\n",nullptr);
    Tcl_AppendResult(interp,"  GetRepresentation\n",nullptr);
    Tcl_AppendResult(interp,"  SetManagesCursor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetManagesCursor\n",nullptr);
    Tcl_AppendResult(interp,"  ManagesCursorOn\n",nullptr);
    Tcl_AppendResult(interp,"  ManagesCursorOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPriority\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorObserverCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetProcessEvents" );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProcessEvents" );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOn" );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOff" );
    Tcl_DStringAppendElement ( &dString, "GetEventTranslator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetManagesCursor" );
    Tcl_DStringAppendElement ( &dString, "GetManagesCursor" );
    Tcl_DStringAppendElement ( &dString, "ManagesCursorOn" );
    Tcl_DStringAppendElement ( &dString, "ManagesCursorOff" );
    Tcl_DStringAppendElement ( &dString, "SetPriority" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorObserverCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard macros implementing standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard macros implementing standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard macros implementing standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAbstractWidget *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard macros implementing standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods for activating this widget. Note that the widget representation\n must be specified or the widget will not appear.\n ProcessEvents (On by default) must be On for Enabled widget to respond\n to interaction. If ProcessEvents is Off, enabling/disabling a widget\n merely affects the visibility of the representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnabled(int) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetProcessEvents */
    if ( strcmp ( argv[2], "SetProcessEvents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessEvents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessEvents */
    Tcl_DStringAppendElement ( &dString, " Methods to change whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must override SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProcessEvents(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for SetProcessEvents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProcessEventsMinValue */
    if ( strcmp ( argv[2], "GetProcessEventsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessEventsMinValue */
    Tcl_DStringAppendElement ( &dString, " Methods to change whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must override SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetProcessEventsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for GetProcessEventsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProcessEventsMaxValue */
    if ( strcmp ( argv[2], "GetProcessEventsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessEventsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Methods to change whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must override SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetProcessEventsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for GetProcessEventsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProcessEvents */
    if ( strcmp ( argv[2], "GetProcessEvents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessEvents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessEvents */
    Tcl_DStringAppendElement ( &dString, " Methods to change whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must override SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetProcessEvents();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for GetProcessEvents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProcessEventsOn */
    if ( strcmp ( argv[2], "ProcessEventsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessEventsOn */
    Tcl_DStringAppendElement ( &dString, " Methods to change whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must override SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProcessEventsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for ProcessEventsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProcessEventsOff */
    if ( strcmp ( argv[2], "ProcessEventsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessEventsOff */
    Tcl_DStringAppendElement ( &dString, " Methods to change whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must override SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProcessEventsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for ProcessEventsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEventTranslator */
    if ( strcmp ( argv[2], "GetEventTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventTranslator */
    Tcl_DStringAppendElement ( &dString, " Get the event translator. Careful manipulation of this class enables\n the user to override the default event bindings.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator *GetEventTranslator();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for GetEventTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CreateDefaultRepresentation */
    if ( strcmp ( argv[2], "CreateDefaultRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create the default widget representation if one is not set. The\n representation defines the geometry of the widget (i.e., how it appears)\n as well as providing special methods for manipulting the state and\n appearance of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateDefaultRepresentation() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for CreateDefaultRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This method is called by subclasses when a render method is to be\n invoked on the vtkRenderWindowInteractor. This method should be called\n (instead of vtkRenderWindow::Render() because it has built into it\n optimizations for minimizing renders and/or speeding renders.\n" );
    Tcl_DStringAppendElement ( &dString, "void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetParent */
    if ( strcmp ( argv[2], "SetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParent */
    Tcl_DStringAppendElement ( &dString, " Specifying a parent to this widget is used when creating composite\n widgets. It is an internal method not meant to be used by the public.\n When a widget has a parent, it defers the rendering to the parent. It\n may also defer managing the cursor (see ManagesCursor ivar).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParent(vtkAbstractWidget *parent);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for SetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetParent */
    if ( strcmp ( argv[2], "GetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractWidget *GetParent();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for GetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRepresentation */
    if ( strcmp ( argv[2], "GetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Return an instance of vtkWidgetRepresentation used to represent this\n widget in the scene. Note that the representation is a subclass of\n vtkProp (typically a subclass of vtkWidgetRepresenation) so it can be\n added to the renderer independent of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetRepresentation *GetRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for GetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetManagesCursor */
    if ( strcmp ( argv[2], "SetManagesCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetManagesCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetManagesCursor */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetManagesCursor(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for SetManagesCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetManagesCursor */
    if ( strcmp ( argv[2], "GetManagesCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetManagesCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetManagesCursor */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetManagesCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for GetManagesCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ManagesCursorOn */
    if ( strcmp ( argv[2], "ManagesCursorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ManagesCursorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ManagesCursorOn */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ManagesCursorOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for ManagesCursorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ManagesCursorOff */
    if ( strcmp ( argv[2], "ManagesCursorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ManagesCursorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ManagesCursorOff */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ManagesCursorOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for ManagesCursorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPriority */
    if ( strcmp ( argv[2], "SetPriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPriority */
    Tcl_DStringAppendElement ( &dString, " Override the superclass method. This will automatically change the\n priority of the widget. Unlike the superclass documentation, no\n methods such as SetInteractor to null and reset it etc. are necessary\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPriority(float) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractWidget" );
    /* Closing for SetPriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkInteractorObserverCppCommand(static_cast<vtkInteractorObserver *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
