// tcl wrapper for vtkScalarBarRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarBarRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkScalarBarRepresentationNewCommand()
{
  vtkScalarBarRepresentation *temp = vtkScalarBarRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkBorderRepresentationCppCommand(vtkBorderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkScalarBarRepresentationCppCommand(vtkScalarBarRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkScalarBarRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkScalarBarRepresentationCppCommand(static_cast<vtkScalarBarRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkScalarBarRepresentation_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkScalarBarRepresentation"),vtkScalarBarRepresentationNewCommand,vtkScalarBarRepresentationCommand);
  return 0;
}

int VTKTCL_EXPORT vtkScalarBarRepresentationCppCommand(vtkScalarBarRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkScalarBarRepresentation",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkBorderRepresentationCppCommand(static_cast<vtkBorderRepresentation *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkBorderRepresentation"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkScalarBarRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarRepresentation");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkScalarBarRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarRepresentation");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkScalarBarRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarRepresentation");
    return TCL_OK;
  }
  if ((!strcmp("GetScalarBarActor",argv[1]))&&(argc == 2))
  {
    vtkScalarBarActor  *temp20;
    temp20 = (op)->GetScalarBarActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarActor");
    return TCL_OK;
  }
  if ((!strcmp("SetScalarBarActor",argv[1]))&&(argc == 3))
  {
    vtkScalarBarActor  *temp0;
    error = 0;

    temp0 = (vtkScalarBarActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarBarActor"),interp,error));
    if (!error)
  {
    op->SetScalarBarActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
  {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->GetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 3))
  {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
  {
    op->GetActors2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAutoOrient",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetAutoOrient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAutoOrient",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetAutoOrient();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkScalarBarRepresentationCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkBorderRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkScalarBarRepresentation:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarBarActor\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarBarActor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",nullptr);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetActors2D\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",nullptr);
    Tcl_AppendResult(interp,"  SetAutoOrient\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAutoOrient\n",nullptr);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOrientation\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkBorderRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetScalarBarActor" );
    Tcl_DStringAppendElement ( &dString, "SetScalarBarActor" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetAutoOrient" );
    Tcl_DStringAppendElement ( &dString, "GetAutoOrient" );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkBorderRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkScalarBarRepresentation *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkScalarBarRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarBarActor */
    if ( strcmp ( argv[2], "GetScalarBarActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarBarActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarBarActor */
    Tcl_DStringAppendElement ( &dString, " The prop that is placed in the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkScalarBarActor *GetScalarBarActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for GetScalarBarActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarBarActor */
    if ( strcmp ( argv[2], "SetScalarBarActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarBarActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarBarActor */
    Tcl_DStringAppendElement ( &dString, " The prop that is placed in the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarBarActor(vtkScalarBarActor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for SetScalarBarActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildRepresentation() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void WidgetInteraction(double eventPos\\[2\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetSize(double size\\[2\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVisibility */
    if ( strcmp ( argv[2], "GetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVisibility */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVisibility() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for GetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVisibility */
    if ( strcmp ( argv[2], "SetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVisibility */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVisibility(int) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for SetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetActors2D */
    if ( strcmp ( argv[2], "GetActors2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors2D */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetActors2D(vtkPropCollection *collection) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for GetActors2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *window) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderTranslucentPolygonalGeometry(vtkViewport *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasTranslucentPolygonalGeometry() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAutoOrient */
    if ( strcmp ( argv[2], "SetAutoOrient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoOrient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoOrient */
    Tcl_DStringAppendElement ( &dString, " If true, the orientation will be updated based on the widget's position.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAutoOrient(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for SetAutoOrient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAutoOrient */
    if ( strcmp ( argv[2], "GetAutoOrient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoOrient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoOrient */
    Tcl_DStringAppendElement ( &dString, " If true, the orientation will be updated based on the widget's position.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetAutoOrient();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for GetAutoOrient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOrientation */
    if ( strcmp ( argv[2], "SetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the orientation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientation(int orient);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for SetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the orientation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarRepresentation" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkBorderRepresentationCppCommand(static_cast<vtkBorderRepresentation *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
