// tcl wrapper for vtkFXAAOptions object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFXAAOptions.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkFXAAOptionsNewCommand()
{
  vtkFXAAOptions *temp = vtkFXAAOptions::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFXAAOptionsCppCommand(vtkFXAAOptions *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkFXAAOptionsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkFXAAOptionsCppCommand(static_cast<vtkFXAAOptions *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFXAAOptions_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkFXAAOptions"),vtkFXAAOptionsNewCommand,vtkFXAAOptionsCommand);
  return 0;
}

int VTKTCL_EXPORT vtkFXAAOptionsCppCommand(vtkFXAAOptions *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkFXAAOptions",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkFXAAOptions  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFXAAOptions");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkFXAAOptions  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFXAAOptions");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkFXAAOptions  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFXAAOptions");
    return TCL_OK;
  }
  if ((!strcmp("SetRelativeContrastThreshold",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetRelativeContrastThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRelativeContrastThresholdMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetRelativeContrastThresholdMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRelativeContrastThresholdMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetRelativeContrastThresholdMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetRelativeContrastThreshold",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetRelativeContrastThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetHardContrastThreshold",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetHardContrastThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHardContrastThresholdMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetHardContrastThresholdMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetHardContrastThresholdMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetHardContrastThresholdMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetHardContrastThreshold",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetHardContrastThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSubpixelBlendLimit",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSubpixelBlendLimit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSubpixelBlendLimitMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSubpixelBlendLimitMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetSubpixelBlendLimitMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSubpixelBlendLimitMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetSubpixelBlendLimit",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSubpixelBlendLimit();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSubpixelContrastThreshold",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetSubpixelContrastThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSubpixelContrastThresholdMinValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSubpixelContrastThresholdMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetSubpixelContrastThresholdMaxValue",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSubpixelContrastThresholdMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetSubpixelContrastThreshold",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetSubpixelContrastThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseHighQualityEndpoints",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetUseHighQualityEndpoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseHighQualityEndpoints",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseHighQualityEndpoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("UseHighQualityEndpointsOn",argv[1]))&&(argc == 2))
  {
    op->UseHighQualityEndpointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("UseHighQualityEndpointsOff",argv[1]))&&(argc == 2))
  {
    op->UseHighQualityEndpointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetEndpointSearchIterations",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetEndpointSearchIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetEndpointSearchIterationsMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEndpointSearchIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetEndpointSearchIterationsMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEndpointSearchIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetEndpointSearchIterations",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEndpointSearchIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDebugOptionValue",argv[1]))&&(argc == 3))
  {
    vtkFXAAOptions::DebugOption   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<vtkFXAAOptions::DebugOption>(tempi);
    if (!error)
  {
    op->SetDebugOptionValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDebugOptionValue",argv[1]))&&(argc == 2))
  {
    vtkFXAAOptions::DebugOption   temp20;
    temp20 = (op)->GetDebugOptionValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkFXAAOptionsCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFXAAOptions:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetRelativeContrastThreshold\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetRelativeContrastThresholdMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRelativeContrastThresholdMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetRelativeContrastThreshold\n",nullptr);
    Tcl_AppendResult(interp,"  SetHardContrastThreshold\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHardContrastThresholdMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetHardContrastThresholdMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetHardContrastThreshold\n",nullptr);
    Tcl_AppendResult(interp,"  SetSubpixelBlendLimit\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSubpixelBlendLimitMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetSubpixelBlendLimitMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetSubpixelBlendLimit\n",nullptr);
    Tcl_AppendResult(interp,"  SetSubpixelContrastThreshold\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSubpixelContrastThresholdMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetSubpixelContrastThresholdMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetSubpixelContrastThreshold\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseHighQualityEndpoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseHighQualityEndpoints\n",nullptr);
    Tcl_AppendResult(interp,"  UseHighQualityEndpointsOn\n",nullptr);
    Tcl_AppendResult(interp,"  UseHighQualityEndpointsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetEndpointSearchIterations\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetEndpointSearchIterationsMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetEndpointSearchIterationsMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetEndpointSearchIterations\n",nullptr);
    Tcl_AppendResult(interp,"  SetDebugOptionValue\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDebugOptionValue\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetRelativeContrastThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetRelativeContrastThresholdMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRelativeContrastThresholdMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRelativeContrastThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetHardContrastThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetHardContrastThresholdMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHardContrastThresholdMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHardContrastThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetSubpixelBlendLimit" );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelBlendLimitMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelBlendLimitMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelBlendLimit" );
    Tcl_DStringAppendElement ( &dString, "SetSubpixelContrastThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelContrastThresholdMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelContrastThresholdMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelContrastThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetUseHighQualityEndpoints" );
    Tcl_DStringAppendElement ( &dString, "GetUseHighQualityEndpoints" );
    Tcl_DStringAppendElement ( &dString, "UseHighQualityEndpointsOn" );
    Tcl_DStringAppendElement ( &dString, "UseHighQualityEndpointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetEndpointSearchIterations" );
    Tcl_DStringAppendElement ( &dString, "GetEndpointSearchIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndpointSearchIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndpointSearchIterations" );
    Tcl_DStringAppendElement ( &dString, "SetDebugOptionValue" );
    Tcl_DStringAppendElement ( &dString, "GetDebugOptionValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFXAAOptions *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFXAAOptions *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRelativeContrastThreshold */
    if ( strcmp ( argv[2], "SetRelativeContrastThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRelativeContrastThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRelativeContrastThreshold */
    Tcl_DStringAppendElement ( &dString, " Threshold for applying FXAA to a pixel, relative to the maximum luminosity\n of its 4 immediate neighbors.\n\n * The luminosity of the current pixel and it's NSWE neighbors is computed.\n * The maximum luminosity and luminosity range (contrast) of all 5 pixels is\n * found. If the contrast is less than RelativeContrastThreshold * maxLum,\n * the pixel is not considered aliased and will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/3: Too little\n * - 1/4: Low q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRelativeContrastThreshold(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SetRelativeContrastThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRelativeContrastThresholdMinValue */
    if ( strcmp ( argv[2], "GetRelativeContrastThresholdMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelativeContrastThresholdMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelativeContrastThresholdMinValue */
    Tcl_DStringAppendElement ( &dString, " Threshold for applying FXAA to a pixel, relative to the maximum luminosity\n of its 4 immediate neighbors.\n\n * The luminosity of the current pixel and it's NSWE neighbors is computed.\n * The maximum luminosity and luminosity range (contrast) of all 5 pixels is\n * found. If the contrast is less than RelativeContrastThreshold * maxLum,\n * the pixel is not considered aliased and will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/3: Too little\n * - 1/4: Low q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetRelativeContrastThresholdMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetRelativeContrastThresholdMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRelativeContrastThresholdMaxValue */
    if ( strcmp ( argv[2], "GetRelativeContrastThresholdMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelativeContrastThresholdMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelativeContrastThresholdMaxValue */
    Tcl_DStringAppendElement ( &dString, " Threshold for applying FXAA to a pixel, relative to the maximum luminosity\n of its 4 immediate neighbors.\n\n * The luminosity of the current pixel and it's NSWE neighbors is computed.\n * The maximum luminosity and luminosity range (contrast) of all 5 pixels is\n * found. If the contrast is less than RelativeContrastThreshold * maxLum,\n * the pixel is not considered aliased and will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/3: Too little\n * - 1/4: Low q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetRelativeContrastThresholdMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetRelativeContrastThresholdMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRelativeContrastThreshold */
    if ( strcmp ( argv[2], "GetRelativeContrastThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelativeContrastThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelativeContrastThreshold */
    Tcl_DStringAppendElement ( &dString, " Threshold for applying FXAA to a pixel, relative to the maximum luminosity\n of its 4 immediate neighbors.\n\n * The luminosity of the current pixel and it's NSWE neighbors is computed.\n * The maximum luminosity and luminosity range (contrast) of all 5 pixels is\n * found. If the contrast is less than RelativeContrastThreshold * maxLum,\n * the pixel is not considered aliased and will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/3: Too little\n * - 1/4: Low q ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetRelativeContrastThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetRelativeContrastThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetHardContrastThreshold */
    if ( strcmp ( argv[2], "SetHardContrastThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHardContrastThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHardContrastThreshold */
    Tcl_DStringAppendElement ( &dString, " Similar to RelativeContrastThreshold, but not scaled by the maximum\n luminosity.\n\n * If the contrast of the current pixel and it's 4 immediate NSWE neighbors is\n * less than HardContrastThreshold, the pixel is not considered aliased and\n * will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/32: Visible limit\n * - 1/16: High quality (default)\n * - 1/12: Upper limit (start of visible unfiltered edges)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHardContrastThreshold(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SetHardContrastThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHardContrastThresholdMinValue */
    if ( strcmp ( argv[2], "GetHardContrastThresholdMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHardContrastThresholdMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHardContrastThresholdMinValue */
    Tcl_DStringAppendElement ( &dString, " Similar to RelativeContrastThreshold, but not scaled by the maximum\n luminosity.\n\n * If the contrast of the current pixel and it's 4 immediate NSWE neighbors is\n * less than HardContrastThreshold, the pixel is not considered aliased and\n * will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/32: Visible limit\n * - 1/16: High quality (default)\n * - 1/12: Upper limit (start of visible unfiltered edges)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetHardContrastThresholdMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetHardContrastThresholdMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHardContrastThresholdMaxValue */
    if ( strcmp ( argv[2], "GetHardContrastThresholdMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHardContrastThresholdMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHardContrastThresholdMaxValue */
    Tcl_DStringAppendElement ( &dString, " Similar to RelativeContrastThreshold, but not scaled by the maximum\n luminosity.\n\n * If the contrast of the current pixel and it's 4 immediate NSWE neighbors is\n * less than HardContrastThreshold, the pixel is not considered aliased and\n * will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/32: Visible limit\n * - 1/16: High quality (default)\n * - 1/12: Upper limit (start of visible unfiltered edges)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetHardContrastThresholdMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetHardContrastThresholdMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHardContrastThreshold */
    if ( strcmp ( argv[2], "GetHardContrastThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHardContrastThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHardContrastThreshold */
    Tcl_DStringAppendElement ( &dString, " Similar to RelativeContrastThreshold, but not scaled by the maximum\n luminosity.\n\n * If the contrast of the current pixel and it's 4 immediate NSWE neighbors is\n * less than HardContrastThreshold, the pixel is not considered aliased and\n * will not be affected by FXAA.\n\n * Suggested settings:\n * - 1/32: Visible limit\n * - 1/16: High quality (default)\n * - 1/12: Upper limit (start of visible unfiltered edges)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetHardContrastThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetHardContrastThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSubpixelBlendLimit */
    if ( strcmp ( argv[2], "SetSubpixelBlendLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubpixelBlendLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubpixelBlendLimit */
    Tcl_DStringAppendElement ( &dString, " Subpixel aliasing is corrected by applying a lowpass filter to the current\n pixel. This is implemented by blending an average of the 3x3 neighborhood\n around the pixel into the final result. The amount of blending is\n determined by comparing the detected amount of subpixel aliasing to the\n total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAveNSWE) / (lumMaxCNSWE - lumMinCNSWE)\n\n * This parameter sets an upper limit to the amount of subpixel ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSubpixelBlendLimit(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SetSubpixelBlendLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSubpixelBlendLimitMinValue */
    if ( strcmp ( argv[2], "GetSubpixelBlendLimitMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelBlendLimitMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubpixelBlendLimitMinValue */
    Tcl_DStringAppendElement ( &dString, " Subpixel aliasing is corrected by applying a lowpass filter to the current\n pixel. This is implemented by blending an average of the 3x3 neighborhood\n around the pixel into the final result. The amount of blending is\n determined by comparing the detected amount of subpixel aliasing to the\n total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAveNSWE) / (lumMaxCNSWE - lumMinCNSWE)\n\n * This parameter sets an upper limit to the amount of subpixel ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSubpixelBlendLimitMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetSubpixelBlendLimitMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSubpixelBlendLimitMaxValue */
    if ( strcmp ( argv[2], "GetSubpixelBlendLimitMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelBlendLimitMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubpixelBlendLimitMaxValue */
    Tcl_DStringAppendElement ( &dString, " Subpixel aliasing is corrected by applying a lowpass filter to the current\n pixel. This is implemented by blending an average of the 3x3 neighborhood\n around the pixel into the final result. The amount of blending is\n determined by comparing the detected amount of subpixel aliasing to the\n total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAveNSWE) / (lumMaxCNSWE - lumMinCNSWE)\n\n * This parameter sets an upper limit to the amount of subpixel ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSubpixelBlendLimitMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetSubpixelBlendLimitMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSubpixelBlendLimit */
    if ( strcmp ( argv[2], "GetSubpixelBlendLimit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelBlendLimit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubpixelBlendLimit */
    Tcl_DStringAppendElement ( &dString, " Subpixel aliasing is corrected by applying a lowpass filter to the current\n pixel. This is implemented by blending an average of the 3x3 neighborhood\n around the pixel into the final result. The amount of blending is\n determined by comparing the detected amount of subpixel aliasing to the\n total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAveNSWE) / (lumMaxCNSWE - lumMinCNSWE)\n\n * This parameter sets an upper limit to the amount of subpixel ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSubpixelBlendLimit();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetSubpixelBlendLimit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSubpixelContrastThreshold */
    if ( strcmp ( argv[2], "SetSubpixelContrastThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubpixelContrastThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubpixelContrastThreshold */
    Tcl_DStringAppendElement ( &dString, " Minimum amount of subpixel aliasing required for subpixel antialiasing to\n be applied.\n\n * Subpixel aliasing is corrected by applying a lowpass filter to the current\n * pixel. This is implemented by blending an average of the 3x3 neighborhood\n * around the pixel into the final result. The amount of blending is\n * determined by comparing the detected amount of subpixel aliasing to the\n * total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAve ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSubpixelContrastThreshold(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SetSubpixelContrastThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSubpixelContrastThresholdMinValue */
    if ( strcmp ( argv[2], "GetSubpixelContrastThresholdMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelContrastThresholdMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubpixelContrastThresholdMinValue */
    Tcl_DStringAppendElement ( &dString, " Minimum amount of subpixel aliasing required for subpixel antialiasing to\n be applied.\n\n * Subpixel aliasing is corrected by applying a lowpass filter to the current\n * pixel. This is implemented by blending an average of the 3x3 neighborhood\n * around the pixel into the final result. The amount of blending is\n * determined by comparing the detected amount of subpixel aliasing to the\n * total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAve ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSubpixelContrastThresholdMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetSubpixelContrastThresholdMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSubpixelContrastThresholdMaxValue */
    if ( strcmp ( argv[2], "GetSubpixelContrastThresholdMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelContrastThresholdMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubpixelContrastThresholdMaxValue */
    Tcl_DStringAppendElement ( &dString, " Minimum amount of subpixel aliasing required for subpixel antialiasing to\n be applied.\n\n * Subpixel aliasing is corrected by applying a lowpass filter to the current\n * pixel. This is implemented by blending an average of the 3x3 neighborhood\n * around the pixel into the final result. The amount of blending is\n * determined by comparing the detected amount of subpixel aliasing to the\n * total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAve ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSubpixelContrastThresholdMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetSubpixelContrastThresholdMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSubpixelContrastThreshold */
    if ( strcmp ( argv[2], "GetSubpixelContrastThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubpixelContrastThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubpixelContrastThreshold */
    Tcl_DStringAppendElement ( &dString, " Minimum amount of subpixel aliasing required for subpixel antialiasing to\n be applied.\n\n * Subpixel aliasing is corrected by applying a lowpass filter to the current\n * pixel. This is implemented by blending an average of the 3x3 neighborhood\n * around the pixel into the final result. The amount of blending is\n * determined by comparing the detected amount of subpixel aliasing to the\n * total contrasting of the CNSWE pixels:\n\n * SubpixelBlending = abs(lumC - lumAve ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetSubpixelContrastThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetSubpixelContrastThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseHighQualityEndpoints */
    if ( strcmp ( argv[2], "SetUseHighQualityEndpoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseHighQualityEndpoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseHighQualityEndpoints */
    Tcl_DStringAppendElement ( &dString, " Use an improved edge endpoint detection algorithm.\n\n * If true, a modified edge endpoint detection algorithm is used that requires\n * more texture lookups, but will properly detect aliased single-pixel lines.\n\n * If false, the edge endpoint algorithm proposed by NVIDIA will by used. This\n * algorithm is faster (fewer lookups), but will fail to detect endpoints of\n * single pixel edge steps.\n\n * Default setting is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseHighQualityEndpoints(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SetUseHighQualityEndpoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseHighQualityEndpoints */
    if ( strcmp ( argv[2], "GetUseHighQualityEndpoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseHighQualityEndpoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseHighQualityEndpoints */
    Tcl_DStringAppendElement ( &dString, " Use an improved edge endpoint detection algorithm.\n\n * If true, a modified edge endpoint detection algorithm is used that requires\n * more texture lookups, but will properly detect aliased single-pixel lines.\n\n * If false, the edge endpoint algorithm proposed by NVIDIA will by used. This\n * algorithm is faster (fewer lookups), but will fail to detect endpoints of\n * single pixel edge steps.\n\n * Default setting is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseHighQualityEndpoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetUseHighQualityEndpoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseHighQualityEndpointsOn */
    if ( strcmp ( argv[2], "UseHighQualityEndpointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseHighQualityEndpointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseHighQualityEndpointsOn */
    Tcl_DStringAppendElement ( &dString, " Use an improved edge endpoint detection algorithm.\n\n * If true, a modified edge endpoint detection algorithm is used that requires\n * more texture lookups, but will properly detect aliased single-pixel lines.\n\n * If false, the edge endpoint algorithm proposed by NVIDIA will by used. This\n * algorithm is faster (fewer lookups), but will fail to detect endpoints of\n * single pixel edge steps.\n\n * Default setting is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseHighQualityEndpointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for UseHighQualityEndpointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UseHighQualityEndpointsOff */
    if ( strcmp ( argv[2], "UseHighQualityEndpointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseHighQualityEndpointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseHighQualityEndpointsOff */
    Tcl_DStringAppendElement ( &dString, " Use an improved edge endpoint detection algorithm.\n\n * If true, a modified edge endpoint detection algorithm is used that requires\n * more texture lookups, but will properly detect aliased single-pixel lines.\n\n * If false, the edge endpoint algorithm proposed by NVIDIA will by used. This\n * algorithm is faster (fewer lookups), but will fail to detect endpoints of\n * single pixel edge steps.\n\n * Default setting is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UseHighQualityEndpointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for UseHighQualityEndpointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetEndpointSearchIterations */
    if ( strcmp ( argv[2], "SetEndpointSearchIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndpointSearchIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndpointSearchIterations */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations for the endpoint search algorithm. Increasing\n this value will increase runtime, but also properly detect longer edges.\n The current implementation steps one pixel in both the positive and\n negative directions per iteration. The default value is 12, which will\n resolve endpoints of edges < 25 pixels long (2 * 12 + 1).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEndpointSearchIterations(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SetEndpointSearchIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEndpointSearchIterationsMinValue */
    if ( strcmp ( argv[2], "GetEndpointSearchIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndpointSearchIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndpointSearchIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations for the endpoint search algorithm. Increasing\n this value will increase runtime, but also properly detect longer edges.\n The current implementation steps one pixel in both the positive and\n negative directions per iteration. The default value is 12, which will\n resolve endpoints of edges < 25 pixels long (2 * 12 + 1).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEndpointSearchIterationsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetEndpointSearchIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEndpointSearchIterationsMaxValue */
    if ( strcmp ( argv[2], "GetEndpointSearchIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndpointSearchIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndpointSearchIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations for the endpoint search algorithm. Increasing\n this value will increase runtime, but also properly detect longer edges.\n The current implementation steps one pixel in both the positive and\n negative directions per iteration. The default value is 12, which will\n resolve endpoints of edges < 25 pixels long (2 * 12 + 1).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEndpointSearchIterationsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetEndpointSearchIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEndpointSearchIterations */
    if ( strcmp ( argv[2], "GetEndpointSearchIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndpointSearchIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndpointSearchIterations */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations for the endpoint search algorithm. Increasing\n this value will increase runtime, but also properly detect longer edges.\n The current implementation steps one pixel in both the positive and\n negative directions per iteration. The default value is 12, which will\n resolve endpoints of edges < 25 pixels long (2 * 12 + 1).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEndpointSearchIterations();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetEndpointSearchIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDebugOptionValue */
    if ( strcmp ( argv[2], "SetDebugOptionValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDebugOptionValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDebugOptionValue */
    Tcl_DStringAppendElement ( &dString, " Debugging options that affect the output color buffer. See\n vtkFXAAFilterFS.glsl for details. Only one may be active at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDebugOptionValue(DebugOption _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for SetDebugOptionValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDebugOptionValue */
    if ( strcmp ( argv[2], "GetDebugOptionValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDebugOptionValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDebugOptionValue */
    Tcl_DStringAppendElement ( &dString, " Debugging options that affect the output color buffer. See\n vtkFXAAFilterFS.glsl for details. Only one may be active at a time.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual DebugOption GetDebugOptionValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFXAAOptions" );
    /* Closing for GetDebugOptionValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
