// tcl wrapper for vtkPointGaussianMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointGaussianMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkPointGaussianMapperNewCommand()
{
  vtkPointGaussianMapper *temp = vtkPointGaussianMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataMapperCppCommand(vtkPolyDataMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPointGaussianMapperCppCommand(vtkPointGaussianMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkPointGaussianMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkPointGaussianMapperCppCommand(static_cast<vtkPointGaussianMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPointGaussianMapper_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointGaussianMapper"),vtkPointGaussianMapperNewCommand,vtkPointGaussianMapperCommand);
  return 0;
}

int VTKTCL_EXPORT vtkPointGaussianMapperCppCommand(vtkPointGaussianMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkPointGaussianMapper",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataMapperCppCommand(static_cast<vtkPolyDataMapper *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataMapper"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkPointGaussianMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointGaussianMapper");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkPointGaussianMapper  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointGaussianMapper");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkPointGaussianMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointGaussianMapper");
    return TCL_OK;
  }
  if ((!strcmp("SetScaleFunction",argv[1]))&&(argc == 3))
  {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
  {
    op->SetScaleFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScaleFunction",argv[1]))&&(argc == 2))
  {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetScaleFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
  }
  if ((!strcmp("SetScaleTableSize",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetScaleTableSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScaleTableSize",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetScaleTableSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetScaleArray",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetScaleArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScaleArray",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetScaleArray();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetScaleArrayComponent",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetScaleArrayComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScaleArrayComponent",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetScaleArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScaleFactor",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetEmissive",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetEmissive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetEmissive",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetEmissive();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("EmissiveOn",argv[1]))&&(argc == 2))
  {
    op->EmissiveOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("EmissiveOff",argv[1]))&&(argc == 2))
  {
    op->EmissiveOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetScalarOpacityFunction",argv[1]))&&(argc == 3))
  {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
  {
    op->SetScalarOpacityFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScalarOpacityFunction",argv[1]))&&(argc == 2))
  {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetScalarOpacityFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
  }
  if ((!strcmp("SetOpacityTableSize",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOpacityTableSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOpacityTableSize",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOpacityTableSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetOpacityArray",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetOpacityArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOpacityArray",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetOpacityArray();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetOpacityArrayComponent",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOpacityArrayComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOpacityArrayComponent",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOpacityArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSplatShaderCode",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetSplatShaderCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSplatShaderCode",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetSplatShaderCode();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetTriangleScale",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTriangleScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTriangleScale",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetTriangleScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkPointGaussianMapperCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPointGaussianMapper:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetScaleFunction\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScaleFunction\n",nullptr);
    Tcl_AppendResult(interp,"  SetScaleTableSize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScaleTableSize\n",nullptr);
    Tcl_AppendResult(interp,"  SetScaleArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScaleArray\n",nullptr);
    Tcl_AppendResult(interp,"  SetScaleArrayComponent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScaleArrayComponent\n",nullptr);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScaleFactor\n",nullptr);
    Tcl_AppendResult(interp,"  SetEmissive\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetEmissive\n",nullptr);
    Tcl_AppendResult(interp,"  EmissiveOn\n",nullptr);
    Tcl_AppendResult(interp,"  EmissiveOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetScalarOpacityFunction\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScalarOpacityFunction\n",nullptr);
    Tcl_AppendResult(interp,"  SetOpacityTableSize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOpacityTableSize\n",nullptr);
    Tcl_AppendResult(interp,"  SetOpacityArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOpacityArray\n",nullptr);
    Tcl_AppendResult(interp,"  SetOpacityArrayComponent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOpacityArrayComponent\n",nullptr);
    Tcl_AppendResult(interp,"  SetSplatShaderCode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSplatShaderCode\n",nullptr);
    Tcl_AppendResult(interp,"  SetTriangleScale\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTriangleScale\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFunction" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFunction" );
    Tcl_DStringAppendElement ( &dString, "SetScaleTableSize" );
    Tcl_DStringAppendElement ( &dString, "GetScaleTableSize" );
    Tcl_DStringAppendElement ( &dString, "SetScaleArray" );
    Tcl_DStringAppendElement ( &dString, "GetScaleArray" );
    Tcl_DStringAppendElement ( &dString, "SetScaleArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetScaleArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetEmissive" );
    Tcl_DStringAppendElement ( &dString, "GetEmissive" );
    Tcl_DStringAppendElement ( &dString, "EmissiveOn" );
    Tcl_DStringAppendElement ( &dString, "EmissiveOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityFunction" );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityFunction" );
    Tcl_DStringAppendElement ( &dString, "SetOpacityTableSize" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityTableSize" );
    Tcl_DStringAppendElement ( &dString, "SetOpacityArray" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityArray" );
    Tcl_DStringAppendElement ( &dString, "SetOpacityArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "SetSplatShaderCode" );
    Tcl_DStringAppendElement ( &dString, "GetSplatShaderCode" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleScale" );
    Tcl_DStringAppendElement ( &dString, "GetTriangleScale" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPointGaussianMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPointGaussianMapper *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScaleFunction */
    if ( strcmp ( argv[2], "SetScaleFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional scale transfer function. This is only\n used when a ScaleArray is also specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleFunction(vtkPiecewiseFunction *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetScaleFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScaleFunction */
    if ( strcmp ( argv[2], "GetScaleFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional scale transfer function. This is only\n used when a ScaleArray is also specified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPiecewiseFunction *GetScaleFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetScaleFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScaleTableSize */
    if ( strcmp ( argv[2], "SetScaleTableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleTableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleTableSize */
    Tcl_DStringAppendElement ( &dString, " The size of the table used in computing scale, used when\n converting a vtkPiecewiseFunction to a table\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScaleTableSize(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetScaleTableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScaleTableSize */
    if ( strcmp ( argv[2], "GetScaleTableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleTableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleTableSize */
    Tcl_DStringAppendElement ( &dString, " The size of the table used in computing scale, used when\n converting a vtkPiecewiseFunction to a table\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetScaleTableSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetScaleTableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScaleArray */
    if ( strcmp ( argv[2], "SetScaleArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array to scale with.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScaleArray(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetScaleArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScaleArray */
    if ( strcmp ( argv[2], "GetScaleArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleArray */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the array to scale with.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetScaleArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetScaleArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScaleArrayComponent */
    if ( strcmp ( argv[2], "SetScaleArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the component of the array to scale with.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScaleArrayComponent(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetScaleArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScaleArrayComponent */
    if ( strcmp ( argv[2], "GetScaleArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the component of the array to scale with.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetScaleArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetScaleArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScaleFactor */
    if ( strcmp ( argv[2], "SetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set the default scale factor of the point gaussians.  This\n defaults to 1.0. All radius computations will be scaled by the factor\n including the ScaleArray. If a vtkPiecewideFunction is used the\n scaling happens prior to the function lookup.\n A scale factor of 0.0 indicates that the splats should be rendered\n as simple points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScaleFactor(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScaleFactor */
    if ( strcmp ( argv[2], "GetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set the default scale factor of the point gaussians.  This\n defaults to 1.0. All radius computations will be scaled by the factor\n including the ScaleArray. If a vtkPiecewideFunction is used the\n scaling happens prior to the function lookup.\n A scale factor of 0.0 indicates that the splats should be rendered\n as simple points.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetScaleFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetEmissive */
    if ( strcmp ( argv[2], "SetEmissive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEmissive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEmissive */
    Tcl_DStringAppendElement ( &dString, " Treat the points/splats as emissive light sources. The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEmissive(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetEmissive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetEmissive */
    if ( strcmp ( argv[2], "GetEmissive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEmissive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEmissive */
    Tcl_DStringAppendElement ( &dString, " Treat the points/splats as emissive light sources. The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEmissive();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetEmissive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EmissiveOn */
    if ( strcmp ( argv[2], "EmissiveOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EmissiveOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EmissiveOn */
    Tcl_DStringAppendElement ( &dString, " Treat the points/splats as emissive light sources. The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EmissiveOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for EmissiveOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: EmissiveOff */
    if ( strcmp ( argv[2], "EmissiveOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EmissiveOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EmissiveOff */
    Tcl_DStringAppendElement ( &dString, " Treat the points/splats as emissive light sources. The default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EmissiveOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for EmissiveOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScalarOpacityFunction */
    if ( strcmp ( argv[2], "SetScalarOpacityFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarOpacityFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional opacity transfer function. This is only\n used when an OpacityArray is also specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarOpacityFunction(vtkPiecewiseFunction *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetScalarOpacityFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScalarOpacityFunction */
    if ( strcmp ( argv[2], "GetScalarOpacityFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarOpacityFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the optional opacity transfer function. This is only\n used when an OpacityArray is also specified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPiecewiseFunction *GetScalarOpacityFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetScalarOpacityFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOpacityTableSize */
    if ( strcmp ( argv[2], "SetOpacityTableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacityTableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacityTableSize */
    Tcl_DStringAppendElement ( &dString, " The size of the table used in computing opacities, used when\n converting a vtkPiecewiseFunction to a table\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOpacityTableSize(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetOpacityTableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOpacityTableSize */
    if ( strcmp ( argv[2], "GetOpacityTableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityTableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityTableSize */
    Tcl_DStringAppendElement ( &dString, " The size of the table used in computing opacities, used when\n converting a vtkPiecewiseFunction to a table\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOpacityTableSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetOpacityTableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOpacityArray */
    if ( strcmp ( argv[2], "SetOpacityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacityArray */
    Tcl_DStringAppendElement ( &dString, " Method to set the optional opacity array.  If specified this\n array will be used to generate the opacity values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOpacityArray(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetOpacityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOpacityArray */
    if ( strcmp ( argv[2], "GetOpacityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityArray */
    Tcl_DStringAppendElement ( &dString, " Method to set the optional opacity array.  If specified this\n array will be used to generate the opacity values.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetOpacityArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetOpacityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOpacityArrayComponent */
    if ( strcmp ( argv[2], "SetOpacityArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacityArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacityArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the component of the array to opacify with.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOpacityArrayComponent(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetOpacityArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOpacityArrayComponent */
    if ( strcmp ( argv[2], "GetOpacityArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the component of the array to opacify with.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOpacityArrayComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetOpacityArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSplatShaderCode */
    if ( strcmp ( argv[2], "SetSplatShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplatShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplatShaderCode */
    Tcl_DStringAppendElement ( &dString, " Method to override the fragment shader code for the splat.  You can\n set this to draw other shapes. For the OPenGL2 backend some of\n the variables you can use and/or modify include,\n opacity - 0.0 to 1.0\n diffuseColor - vec3\n ambientColor - vec3\n offsetVCVSOutput - vec2 offset in view coordinates from the splat center\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSplatShaderCode(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetSplatShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSplatShaderCode */
    if ( strcmp ( argv[2], "GetSplatShaderCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplatShaderCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplatShaderCode */
    Tcl_DStringAppendElement ( &dString, " Method to override the fragment shader code for the splat.  You can\n set this to draw other shapes. For the OPenGL2 backend some of\n the variables you can use and/or modify include,\n opacity - 0.0 to 1.0\n diffuseColor - vec3\n ambientColor - vec3\n offsetVCVSOutput - vec2 offset in view coordinates from the splat center\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetSplatShaderCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetSplatShaderCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTriangleScale */
    if ( strcmp ( argv[2], "SetTriangleScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleScale */
    Tcl_DStringAppendElement ( &dString, " When drawing triangles as opposed too point mode\n (triangles are for splats shaders that are bigger than a pixel)\n this controls how large the triangle will be. By default it\n is large enough to contain a cicle of radius 3.0*scale which works\n well for gaussian splats as after 3.0 standard deviations the\n opacity is near zero. For custom shader codes a different\n value can be used. Generally you should use the lowest value you can\n as it will result in fewer fragment ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTriangleScale(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for SetTriangleScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTriangleScale */
    if ( strcmp ( argv[2], "GetTriangleScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriangleScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriangleScale */
    Tcl_DStringAppendElement ( &dString, " When drawing triangles as opposed too point mode\n (triangles are for splats shaders that are bigger than a pixel)\n this controls how large the triangle will be. By default it\n is large enough to contain a cicle of radius 3.0*scale which works\n well for gaussian splats as after 3.0 standard deviations the\n opacity is near zero. For custom shader codes a different\n value can be used. Generally you should use the lowest value you can\n as it will result in fewer fragment ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetTriangleScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointGaussianMapper" );
    /* Closing for GetTriangleScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataMapperCppCommand(static_cast<vtkPolyDataMapper *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
