// tcl wrapper for vtkDepthImageToPointCloud object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDepthImageToPointCloud.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkDepthImageToPointCloudNewCommand()
{
  vtkDepthImageToPointCloud *temp = vtkDepthImageToPointCloud::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDepthImageToPointCloudCppCommand(vtkDepthImageToPointCloud *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkDepthImageToPointCloudCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkDepthImageToPointCloudCppCommand(static_cast<vtkDepthImageToPointCloud *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDepthImageToPointCloud_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkDepthImageToPointCloud"),vtkDepthImageToPointCloudNewCommand,vtkDepthImageToPointCloudCommand);
  return 0;
}

int VTKTCL_EXPORT vtkDepthImageToPointCloudCppCommand(vtkDepthImageToPointCloud *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkDepthImageToPointCloud",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkDepthImageToPointCloud  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthImageToPointCloud");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkDepthImageToPointCloud  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthImageToPointCloud");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkDepthImageToPointCloud  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthImageToPointCloud");
    return TCL_OK;
  }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
  {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
  {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
  {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
  }
  if ((!strcmp("SetCullNearPoints",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCullNearPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCullNearPoints",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCullNearPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CullNearPointsOn",argv[1]))&&(argc == 2))
  {
    op->CullNearPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CullNearPointsOff",argv[1]))&&(argc == 2))
  {
    op->CullNearPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCullFarPoints",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetCullFarPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCullFarPoints",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetCullFarPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CullFarPointsOn",argv[1]))&&(argc == 2))
  {
    op->CullFarPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CullFarPointsOff",argv[1]))&&(argc == 2))
  {
    op->CullFarPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetProduceColorScalars",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetProduceColorScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetProduceColorScalars",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetProduceColorScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ProduceColorScalarsOn",argv[1]))&&(argc == 2))
  {
    op->ProduceColorScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ProduceColorScalarsOff",argv[1]))&&(argc == 2))
  {
    op->ProduceColorScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetProduceVertexCellArray",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetProduceVertexCellArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetProduceVertexCellArray",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetProduceVertexCellArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ProduceVertexCellArrayOn",argv[1]))&&(argc == 2))
  {
    op->ProduceVertexCellArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ProduceVertexCellArrayOff",argv[1]))&&(argc == 2))
  {
    op->ProduceVertexCellArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOutputPointsPrecision",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOutputPointsPrecision(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOutputPointsPrecision",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOutputPointsPrecision();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkDepthImageToPointCloudCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDepthImageToPointCloud:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetMTime\n",nullptr);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCamera\n",nullptr);
    Tcl_AppendResult(interp,"  SetCullNearPoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCullNearPoints\n",nullptr);
    Tcl_AppendResult(interp,"  CullNearPointsOn\n",nullptr);
    Tcl_AppendResult(interp,"  CullNearPointsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetCullFarPoints\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCullFarPoints\n",nullptr);
    Tcl_AppendResult(interp,"  CullFarPointsOn\n",nullptr);
    Tcl_AppendResult(interp,"  CullFarPointsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetProduceColorScalars\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetProduceColorScalars\n",nullptr);
    Tcl_AppendResult(interp,"  ProduceColorScalarsOn\n",nullptr);
    Tcl_AppendResult(interp,"  ProduceColorScalarsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetProduceVertexCellArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetProduceVertexCellArray\n",nullptr);
    Tcl_AppendResult(interp,"  ProduceVertexCellArrayOn\n",nullptr);
    Tcl_AppendResult(interp,"  ProduceVertexCellArrayOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetOutputPointsPrecision\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOutputPointsPrecision\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetCullNearPoints" );
    Tcl_DStringAppendElement ( &dString, "GetCullNearPoints" );
    Tcl_DStringAppendElement ( &dString, "CullNearPointsOn" );
    Tcl_DStringAppendElement ( &dString, "CullNearPointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetCullFarPoints" );
    Tcl_DStringAppendElement ( &dString, "GetCullFarPoints" );
    Tcl_DStringAppendElement ( &dString, "CullFarPointsOn" );
    Tcl_DStringAppendElement ( &dString, "CullFarPointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetProduceColorScalars" );
    Tcl_DStringAppendElement ( &dString, "GetProduceColorScalars" );
    Tcl_DStringAppendElement ( &dString, "ProduceColorScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "ProduceColorScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetProduceVertexCellArray" );
    Tcl_DStringAppendElement ( &dString, "GetProduceVertexCellArray" );
    Tcl_DStringAppendElement ( &dString, "ProduceVertexCellArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ProduceVertexCellArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard instantiation, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDepthImageToPointCloud *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, " Standard instantiation, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard instantiation, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard instantiation, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDepthImageToPointCloud *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard instantiation, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMTimeType GetMTime() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Indicates what camera was used to generate the depth image. The camera\n parameters define a transformation which is used to perform coordinate\n conversion into the 3D x-y-z space of the point cloud.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Returns the camera being used to generate the point cloud from the\n depth image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCullNearPoints */
    if ( strcmp ( argv[2], "SetCullNearPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCullNearPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCullNearPoints */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the near clipping\n plane. These typically are points that are part of the clipped foreground. By\n default this is disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCullNearPoints(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for SetCullNearPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCullNearPoints */
    if ( strcmp ( argv[2], "GetCullNearPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCullNearPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCullNearPoints */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the near clipping\n plane. These typically are points that are part of the clipped foreground. By\n default this is disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCullNearPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for GetCullNearPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CullNearPointsOn */
    if ( strcmp ( argv[2], "CullNearPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CullNearPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CullNearPointsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the near clipping\n plane. These typically are points that are part of the clipped foreground. By\n default this is disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CullNearPointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for CullNearPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CullNearPointsOff */
    if ( strcmp ( argv[2], "CullNearPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CullNearPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CullNearPointsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the near clipping\n plane. These typically are points that are part of the clipped foreground. By\n default this is disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CullNearPointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for CullNearPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCullFarPoints */
    if ( strcmp ( argv[2], "SetCullFarPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCullFarPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCullFarPoints */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the far clipping\n plane. These typically are points that are part of the background. By\n default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCullFarPoints(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for SetCullFarPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCullFarPoints */
    if ( strcmp ( argv[2], "GetCullFarPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCullFarPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCullFarPoints */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the far clipping\n plane. These typically are points that are part of the background. By\n default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCullFarPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for GetCullFarPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CullFarPointsOn */
    if ( strcmp ( argv[2], "CullFarPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CullFarPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CullFarPointsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the far clipping\n plane. These typically are points that are part of the background. By\n default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CullFarPointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for CullFarPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CullFarPointsOff */
    if ( strcmp ( argv[2], "CullFarPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CullFarPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CullFarPointsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to cull points that are located on the far clipping\n plane. These typically are points that are part of the background. By\n default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CullFarPointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for CullFarPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetProduceColorScalars */
    if ( strcmp ( argv[2], "SetProduceColorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProduceColorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProduceColorScalars */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output color scalar values along with the\n point cloud (assuming that the scalar values are available on\n input). By default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProduceColorScalars(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for SetProduceColorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProduceColorScalars */
    if ( strcmp ( argv[2], "GetProduceColorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProduceColorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProduceColorScalars */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output color scalar values along with the\n point cloud (assuming that the scalar values are available on\n input). By default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetProduceColorScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for GetProduceColorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProduceColorScalarsOn */
    if ( strcmp ( argv[2], "ProduceColorScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProduceColorScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProduceColorScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output color scalar values along with the\n point cloud (assuming that the scalar values are available on\n input). By default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProduceColorScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for ProduceColorScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProduceColorScalarsOff */
    if ( strcmp ( argv[2], "ProduceColorScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProduceColorScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProduceColorScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output color scalar values along with the\n point cloud (assuming that the scalar values are available on\n input). By default this is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProduceColorScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for ProduceColorScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetProduceVertexCellArray */
    if ( strcmp ( argv[2], "SetProduceVertexCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProduceVertexCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProduceVertexCellArray */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output a vertex cell array (i.e., Verts) in the\n output point cloud. Some filters require this vertex cells to be\n defined in order to execute properly. For example some mappers will\n only render points if the vertex cells are defined.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProduceVertexCellArray(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for SetProduceVertexCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetProduceVertexCellArray */
    if ( strcmp ( argv[2], "GetProduceVertexCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProduceVertexCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProduceVertexCellArray */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output a vertex cell array (i.e., Verts) in the\n output point cloud. Some filters require this vertex cells to be\n defined in order to execute properly. For example some mappers will\n only render points if the vertex cells are defined.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetProduceVertexCellArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for GetProduceVertexCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProduceVertexCellArrayOn */
    if ( strcmp ( argv[2], "ProduceVertexCellArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProduceVertexCellArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProduceVertexCellArrayOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output a vertex cell array (i.e., Verts) in the\n output point cloud. Some filters require this vertex cells to be\n defined in order to execute properly. For example some mappers will\n only render points if the vertex cells are defined.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProduceVertexCellArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for ProduceVertexCellArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ProduceVertexCellArrayOff */
    if ( strcmp ( argv[2], "ProduceVertexCellArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProduceVertexCellArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProduceVertexCellArrayOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to output a vertex cell array (i.e., Verts) in the\n output point cloud. Some filters require this vertex cells to be\n defined in order to execute properly. For example some mappers will\n only render points if the vertex cells are defined.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ProduceVertexCellArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for ProduceVertexCellArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOutputPointsPrecision */
    if ( strcmp ( argv[2], "SetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set the desired precision for the output points.\n See vtkAlgorithm::DesiredOutputPrecision for the available choices.\n The default is double precision.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputPointsPrecision(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for SetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOutputPointsPrecision */
    if ( strcmp ( argv[2], "GetOutputPointsPrecision" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPointsPrecision" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPointsPrecision */
    Tcl_DStringAppendElement ( &dString, " Set the desired precision for the output points.\n See vtkAlgorithm::DesiredOutputPrecision for the available choices.\n The default is double precision.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOutputPointsPrecision();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthImageToPointCloud" );
    /* Closing for GetOutputPointsPrecision */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
