// tcl wrapper for vtkOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLRenderWindow.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>
int vtkRenderWindowCppCommand(vtkRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLRenderWindowCppCommand(vtkOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkOpenGLRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLRenderWindow_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkOpenGLRenderWindowCppCommand(vtkOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkOpenGLRenderWindow",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkRenderWindowCppCommand(static_cast<vtkRenderWindow *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderWindow"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkOpenGLRenderWindow  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLRenderWindow");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkOpenGLRenderWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLRenderWindow");
    return TCL_OK;
  }
  if ((!strcmp("GetRenderingBackend",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->GetRenderingBackend();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetGlobalMaximumNumberOfMultiSamples",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetGlobalMaximumNumberOfMultiSamples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGlobalMaximumNumberOfMultiSamples",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetGlobalMaximumNumberOfMultiSamples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetPixelData",argv[1]))&&(argc == 9))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkUnsignedCharArray  *temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
  {
    temp20 = (op)->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPixelData",argv[1]))&&(argc == 9))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
  {
    temp20 = (op)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRGBAPixelData",argv[1]))&&(argc == 9))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkFloatArray  *temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkFloatArray"),interp,error));
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
  {
    temp20 = (op)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRGBAPixelData",argv[1]))&&(argc == 10))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp7;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    if (!error)
  {
    temp20 = (op)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRGBACharPixelData",argv[1]))&&(argc == 9))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkUnsignedCharArray  *temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
  {
    temp20 = (op)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRGBACharPixelData",argv[1]))&&(argc == 10))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp7;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    if (!error)
  {
    temp20 = (op)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetZbufferData",argv[1]))&&(argc == 7))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
  {
    temp20 = (op)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetZbufferData",argv[1]))&&(argc == 7))
  {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
  {
    temp20 = (op)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDepthBufferSize",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDepthBufferSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetUsingSRGBColorSpace",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUsingSRGBColorSpace();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
  {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
  {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
  {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
  {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("OpenGLInit",argv[1]))&&(argc == 2))
  {
    op->OpenGLInit();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OpenGLInitState",argv[1]))&&(argc == 2))
  {
    op->OpenGLInitState();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("OpenGLInitContext",argv[1]))&&(argc == 2))
  {
    op->OpenGLInitContext();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetContextSupportsOpenGL32",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetContextSupportsOpenGL32();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetContextSupportsOpenGL32",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetContextSupportsOpenGL32(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBackLeftBuffer",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetBackLeftBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetBackRightBuffer",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetBackRightBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFrontLeftBuffer",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetFrontLeftBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFrontRightBuffer",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetFrontRightBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetBackBuffer",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetBackBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFrontBuffer",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetFrontBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetContextCreationTime",argv[1]))&&(argc == 2))
  {
    unsigned long     temp20;
    temp20 = (op)->GetContextCreationTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetFrameBufferObject",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetFrameBufferObject();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("WaitForCompletion",argv[1]))&&(argc == 2))
  {
    op->WaitForCompletion();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetMaximumHardwareLineWidth",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetMaximumHardwareLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("IsPointSpriteBugPresent",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->IsPointSpriteBugPresent();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDefaultTextureInternalFormat",argv[1]))&&(argc == 7))
  {
    int      temp0;
    int      temp1;
    bool   temp2;
    bool   temp3;
    bool   temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi ? true : false;
    if (!error)
  {
    temp20 = (op)->GetDefaultTextureInternalFormat(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOpenGLSupportMessage",argv[1]))&&(argc == 2))
  {
    std::string   temp20;
    temp20 = (op)->GetOpenGLSupportMessage();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetUseOffScreenBuffers",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    temp20 = (op)->SetUseOffScreenBuffers(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseOffScreenBuffers",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetUseOffScreenBuffers();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SupportsOpenGL",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->SupportsOpenGL();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ReportCapabilities",argv[1]))&&(argc == 2))
  {
    const char    *temp20;
    temp20 = (op)->ReportCapabilities();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
  {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("RegisterGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkGenericOpenGLResourceFreeCallback  *temp0;
    error = 0;

    temp0 = (vtkGenericOpenGLResourceFreeCallback *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericOpenGLResourceFreeCallback"),interp,error));
    if (!error)
  {
    op->RegisterGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("UnregisterGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkGenericOpenGLResourceFreeCallback  *temp0;
    error = 0;

    temp0 = (vtkGenericOpenGLResourceFreeCallback *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericOpenGLResourceFreeCallback"),interp,error));
    if (!error)
  {
    op->UnregisterGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("PushContext",argv[1]))&&(argc == 2))
  {
    op->PushContext();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("PopContext",argv[1]))&&(argc == 2))
  {
    op->PopContext();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("InitializeFromCurrentContext",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->InitializeFromCurrentContext();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDefaultFrameBufferId",argv[1]))&&(argc == 2))
  {
    unsigned int      temp20;
    temp20 = (op)->GetDefaultFrameBufferId();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSwapControl",argv[1]))&&(argc == 3))
  {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->SetSwapControl(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLRenderWindowCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLRenderWindow:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  GetRenderingBackend\n",nullptr);
    Tcl_AppendResult(interp,"  SetGlobalMaximumNumberOfMultiSamples\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGlobalMaximumNumberOfMultiSamples\n",nullptr);
    Tcl_AppendResult(interp,"  GetPixelData\t with 7 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPixelData\t with 7 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetRGBAPixelData\t with 7 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetRGBAPixelData\t with 8 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetRGBACharPixelData\t with 7 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetRGBACharPixelData\t with 8 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetZbufferData\t with 5 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetZbufferData\t with 5 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetDepthBufferSize\n",nullptr);
    Tcl_AppendResult(interp,"  GetUsingSRGBColorSpace\n",nullptr);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  OpenGLInit\n",nullptr);
    Tcl_AppendResult(interp,"  OpenGLInitState\n",nullptr);
    Tcl_AppendResult(interp,"  OpenGLInitContext\n",nullptr);
    Tcl_AppendResult(interp,"  GetContextSupportsOpenGL32\n",nullptr);
    Tcl_AppendResult(interp,"  SetContextSupportsOpenGL32\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBackLeftBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  GetBackRightBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  GetFrontLeftBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  GetFrontRightBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  GetBackBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  GetFrontBuffer\n",nullptr);
    Tcl_AppendResult(interp,"  GetContextCreationTime\n",nullptr);
    Tcl_AppendResult(interp,"  GetFrameBufferObject\n",nullptr);
    Tcl_AppendResult(interp,"  WaitForCompletion\n",nullptr);
    Tcl_AppendResult(interp,"  GetMaximumHardwareLineWidth\n",nullptr);
    Tcl_AppendResult(interp,"  IsPointSpriteBugPresent\n",nullptr);
    Tcl_AppendResult(interp,"  GetDefaultTextureInternalFormat\t with 5 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetOpenGLSupportMessage\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseOffScreenBuffers\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseOffScreenBuffers\n",nullptr);
    Tcl_AppendResult(interp,"  SupportsOpenGL\n",nullptr);
    Tcl_AppendResult(interp,"  ReportCapabilities\n",nullptr);
    Tcl_AppendResult(interp,"  Initialize\n",nullptr);
    Tcl_AppendResult(interp,"  RegisterGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  UnregisterGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  PushContext\n",nullptr);
    Tcl_AppendResult(interp,"  PopContext\n",nullptr);
    Tcl_AppendResult(interp,"  InitializeFromCurrentContext\n",nullptr);
    Tcl_AppendResult(interp,"  GetDefaultFrameBufferId\n",nullptr);
    Tcl_AppendResult(interp,"  SetSwapControl\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetRenderingBackend" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalMaximumNumberOfMultiSamples" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalMaximumNumberOfMultiSamples" );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetRGBAPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetRGBAPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetRGBACharPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetRGBACharPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetZbufferData" );
    Tcl_DStringAppendElement ( &dString, "SetZbufferData" );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferSize" );
    Tcl_DStringAppendElement ( &dString, "GetUsingSRGBColorSpace" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "OpenGLInit" );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitState" );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitContext" );
    Tcl_DStringAppendElement ( &dString, "GetContextSupportsOpenGL32" );
    Tcl_DStringAppendElement ( &dString, "SetContextSupportsOpenGL32" );
    Tcl_DStringAppendElement ( &dString, "GetBackLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetBackRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetFrontLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetFrontRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetBackBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetContextCreationTime" );
    Tcl_DStringAppendElement ( &dString, "GetFrameBufferObject" );
    Tcl_DStringAppendElement ( &dString, "WaitForCompletion" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHardwareLineWidth" );
    Tcl_DStringAppendElement ( &dString, "IsPointSpriteBugPresent" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultTextureInternalFormat" );
    Tcl_DStringAppendElement ( &dString, "GetOpenGLSupportMessage" );
    Tcl_DStringAppendElement ( &dString, "SetUseOffScreenBuffers" );
    Tcl_DStringAppendElement ( &dString, "GetUseOffScreenBuffers" );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    Tcl_DStringAppendElement ( &dString, "ReportCapabilities" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "RegisterGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "UnregisterGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "PushContext" );
    Tcl_DStringAppendElement ( &dString, "PopContext" );
    Tcl_DStringAppendElement ( &dString, "InitializeFromCurrentContext" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultFrameBufferId" );
    Tcl_DStringAppendElement ( &dString, "SetSwapControl" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderWindowCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLRenderWindow *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRenderingBackend */
    if ( strcmp ( argv[2], "GetRenderingBackend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderingBackend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderingBackend */
    Tcl_DStringAppendElement ( &dString, " What rendering backend has the user requested\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetRenderingBackend() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetRenderingBackend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGlobalMaximumNumberOfMultiSamples */
    if ( strcmp ( argv[2], "SetGlobalMaximumNumberOfMultiSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalMaximumNumberOfMultiSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalMaximumNumberOfMultiSamples */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of multisamples\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalMaximumNumberOfMultiSamples(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetGlobalMaximumNumberOfMultiSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGlobalMaximumNumberOfMultiSamples */
    if ( strcmp ( argv[2], "GetGlobalMaximumNumberOfMultiSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalMaximumNumberOfMultiSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalMaximumNumberOfMultiSamples */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of multisamples\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalMaximumNumberOfMultiSamples();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetGlobalMaximumNumberOfMultiSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPixelData */
    if ( strcmp ( argv[2], "GetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBRGB...\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPixelData(int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data, int right) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPixelData */
    if ( strcmp ( argv[2], "SetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBRGB...\n" );
    Tcl_DStringAppendElement ( &dString, "int SetPixelData(int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int right) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRGBAPixelData */
    if ( strcmp ( argv[2], "GetRGBAPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBAPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBAPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRGBAPixelData(int x, int y, int x2, int y2, int front, vtkFloatArray *data, int right=0) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetRGBAPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRGBAPixelData */
    if ( strcmp ( argv[2], "SetRGBAPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRGBAPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRGBAPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "int SetRGBAPixelData(int x, int y, int x2, int y2, vtkFloatArray *data, int front, int blend=0, int right=0) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetRGBAPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRGBACharPixelData */
    if ( strcmp ( argv[2], "GetRGBACharPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBACharPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBACharPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRGBACharPixelData(int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data, int right=0) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetRGBACharPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRGBACharPixelData */
    if ( strcmp ( argv[2], "SetRGBACharPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRGBACharPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRGBACharPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "int SetRGBACharPixelData(int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend=0, int right=0) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetRGBACharPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetZbufferData */
    if ( strcmp ( argv[2], "GetZbufferData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZbufferData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZbufferData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zbuffer data from an image\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZbufferData(int x1, int y1, int x2, int y2, vtkFloatArray *z) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetZbufferData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetZbufferData */
    if ( strcmp ( argv[2], "SetZbufferData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZbufferData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZbufferData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zbuffer data from an image\n" );
    Tcl_DStringAppendElement ( &dString, "int SetZbufferData(int x1, int y1, int x2, int y2, vtkFloatArray *buffer) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetZbufferData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDepthBufferSize */
    if ( strcmp ( argv[2], "GetDepthBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthBufferSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of the depth buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepthBufferSize() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetDepthBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUsingSRGBColorSpace */
    if ( strcmp ( argv[2], "GetUsingSRGBColorSpace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUsingSRGBColorSpace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUsingSRGBColorSpace */
    Tcl_DStringAppendElement ( &dString, " Is this window/fo in sRGB colorspace\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUsingSRGBColorSpace();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetUsingSRGBColorSpace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Set the size of the window in screen coordinates in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSize(int a\\[2\\]) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Set the size of the window in screen coordinates in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSize(int, int) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OpenGLInit */
    if ( strcmp ( argv[2], "OpenGLInit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenGLInit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenGLInit */
    Tcl_DStringAppendElement ( &dString, " Initialize OpenGL for this window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OpenGLInit();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for OpenGLInit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OpenGLInitState */
    if ( strcmp ( argv[2], "OpenGLInitState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenGLInitState */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OpenGLInitState();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for OpenGLInitState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: OpenGLInitContext */
    if ( strcmp ( argv[2], "OpenGLInitContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenGLInitContext */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OpenGLInitContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for OpenGLInitContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetContextSupportsOpenGL32 */
    if ( strcmp ( argv[2], "GetContextSupportsOpenGL32" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContextSupportsOpenGL32" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContextSupportsOpenGL32 */
    Tcl_DStringAppendElement ( &dString, " Get if the context includes opengl core profile 3.2 support\n" );
    Tcl_DStringAppendElement ( &dString, "static bool GetContextSupportsOpenGL32();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetContextSupportsOpenGL32 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetContextSupportsOpenGL32 */
    if ( strcmp ( argv[2], "SetContextSupportsOpenGL32" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContextSupportsOpenGL32" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContextSupportsOpenGL32 */
    Tcl_DStringAppendElement ( &dString, " Get if the context includes opengl core profile 3.2 support\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContextSupportsOpenGL32(bool val);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetContextSupportsOpenGL32 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBackLeftBuffer */
    if ( strcmp ( argv[2], "GetBackLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackLeftBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the back left buffer.\n It is GL_BACK_LEFT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetBackLeftBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetBackLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBackRightBuffer */
    if ( strcmp ( argv[2], "GetBackRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackRightBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the back right buffer.\n It is GL_BACK_RIGHT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetBackRightBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetBackRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFrontLeftBuffer */
    if ( strcmp ( argv[2], "GetFrontLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontLeftBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the front left buffer.\n It is GL_FRONT_LEFT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetFrontLeftBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetFrontLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFrontRightBuffer */
    if ( strcmp ( argv[2], "GetFrontRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontRightBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the front right buffer.\n It is GL_FRONT_RIGHT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetFrontRightBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetFrontRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBackBuffer */
    if ( strcmp ( argv[2], "GetBackBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the back left buffer.\n It is GL_BACK if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetBackBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetBackBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFrontBuffer */
    if ( strcmp ( argv[2], "GetFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the front left buffer.\n It is GL_FRONT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetFrontBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetContextCreationTime */
    if ( strcmp ( argv[2], "GetContextCreationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContextCreationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContextCreationTime */
    Tcl_DStringAppendElement ( &dString, " Get the time when the OpenGL context was created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMTimeType GetContextCreationTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetContextCreationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetFrameBufferObject */
    if ( strcmp ( argv[2], "GetFrameBufferObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameBufferObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameBufferObject */
    Tcl_DStringAppendElement ( &dString, " Returns the current default FBO (0 when OffScreenRendering is inactive).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetFrameBufferObject();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetFrameBufferObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: WaitForCompletion */
    if ( strcmp ( argv[2], "WaitForCompletion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitForCompletion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitForCompletion */
    Tcl_DStringAppendElement ( &dString, " Block the thread until the actual rendering is finished().\n Useful for measurement only.\n" );
    Tcl_DStringAppendElement ( &dString, "void WaitForCompletion() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for WaitForCompletion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMaximumHardwareLineWidth */
    if ( strcmp ( argv[2], "GetMaximumHardwareLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHardwareLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumHardwareLineWidth */
    Tcl_DStringAppendElement ( &dString, " Return the largest line width supported by the hardware\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetMaximumHardwareLineWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetMaximumHardwareLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsPointSpriteBugPresent */
    if ( strcmp ( argv[2], "IsPointSpriteBugPresent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPointSpriteBugPresent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPointSpriteBugPresent */
    Tcl_DStringAppendElement ( &dString, " Returns true if driver has an\n EGL/OpenGL bug that makes vtkChartsCoreCxx-TestChartDoubleColors and other tests to fail\n because point sprites don't work correctly (gl_PointCoord is undefined) unless\n glEnable(GL_POINT_SPRITE)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsPointSpriteBugPresent();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for IsPointSpriteBugPresent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDefaultTextureInternalFormat */
    if ( strcmp ( argv[2], "GetDefaultTextureInternalFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultTextureInternalFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultTextureInternalFormat */
    Tcl_DStringAppendElement ( &dString, " Get a mapping of vtk data types to native texture formats for this window\n we put this on the RenderWindow so that every texture does not have to\n build these structures themselves\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDefaultTextureInternalFormat(int vtktype, int numComponents, bool needInteger, bool needFloat, bool needSRGB);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetDefaultTextureInternalFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOpenGLSupportMessage */
    if ( strcmp ( argv[2], "GetOpenGLSupportMessage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpenGLSupportMessage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpenGLSupportMessage */
    Tcl_DStringAppendElement ( &dString, " Return a message profiding additional details about the\n results of calling SupportsOpenGL()  This can be used\n to retrieve more specifics about what failed\n" );
    Tcl_DStringAppendElement ( &dString, "std::string GetOpenGLSupportMessage();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetOpenGLSupportMessage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseOffScreenBuffers */
    if ( strcmp ( argv[2], "SetUseOffScreenBuffers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseOffScreenBuffers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseOffScreenBuffers */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int SetUseOffScreenBuffers(bool offScreen) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetUseOffScreenBuffers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseOffScreenBuffers */
    if ( strcmp ( argv[2], "GetUseOffScreenBuffers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseOffScreenBuffers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseOffScreenBuffers */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseOffScreenBuffers() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetUseOffScreenBuffers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SupportsOpenGL */
    if ( strcmp ( argv[2], "SupportsOpenGL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SupportsOpenGL */
    Tcl_DStringAppendElement ( &dString, " Does this render window support OpenGL? 0-false, 1-true\n" );
    Tcl_DStringAppendElement ( &dString, "int SupportsOpenGL() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SupportsOpenGL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReportCapabilities */
    if ( strcmp ( argv[2], "ReportCapabilities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportCapabilities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportCapabilities */
    Tcl_DStringAppendElement ( &dString, " Get report of capabilities for the render window\n" );
    Tcl_DStringAppendElement ( &dString, "const char *ReportCapabilities() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for ReportCapabilities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the rendering window.  This will setup all system-specific\n resources.  This method and Finalize() must be symmetric and it\n should be possible to call them multiple times, even changing WindowId\n in-between.  This is what WindowRemap does.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RegisterGraphicsResources */
    if ( strcmp ( argv[2], "RegisterGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegisterGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLResourceFreeCallback" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegisterGraphicsResources */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RegisterGraphicsResources(vtkGenericOpenGLResourceFreeCallback *cb);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for RegisterGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: UnregisterGraphicsResources */
    if ( strcmp ( argv[2], "UnregisterGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnregisterGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericOpenGLResourceFreeCallback" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnregisterGraphicsResources */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UnregisterGraphicsResources(vtkGenericOpenGLResourceFreeCallback *cb);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for UnregisterGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PushContext */
    if ( strcmp ( argv[2], "PushContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PushContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PushContext */
    Tcl_DStringAppendElement ( &dString, " Ability to push and pop this window's context\n as the current context. The idea being to\n if needed make this window's context current\n and when done releasing resources restore\n the prior context.  The default implementation\n here is only meant as a backup for subclasses\n that lack a proper implementation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PushContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for PushContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PopContext */
    if ( strcmp ( argv[2], "PopContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PopContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PopContext */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void PopContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for PopContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: InitializeFromCurrentContext */
    if ( strcmp ( argv[2], "InitializeFromCurrentContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeFromCurrentContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeFromCurrentContext */
    Tcl_DStringAppendElement ( &dString, " Initialize the render window from the information associated\n with the currently activated OpenGL context.\n" );
    Tcl_DStringAppendElement ( &dString, "bool InitializeFromCurrentContext() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for InitializeFromCurrentContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDefaultFrameBufferId */
    if ( strcmp ( argv[2], "GetDefaultFrameBufferId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultFrameBufferId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultFrameBufferId */
    Tcl_DStringAppendElement ( &dString, " Returns the id for the frame buffer object, if any, used by the render window\n in which the window does all its rendering. This may be 0, in which case\n the render window is rendering to the default OpenGL render buffers.\n\n @returns the name (or id) of the frame buffer object to render to.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetDefaultFrameBufferId();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetDefaultFrameBufferId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSwapControl */
    if ( strcmp ( argv[2], "SetSwapControl" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSwapControl" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSwapControl */
    Tcl_DStringAppendElement ( &dString, " Set the number of vertical syncs required between frames.\n A value of 0 means swap buffers as quickly as possible\n regardless of the vertical refresh. A value of 1 means swap\n buffers in sync with the vertical refresh to elimiate tearing.\n A value of -1 means use a value of 1 unless we missed a frame\n in which case swap immediately. Returns true if the call\n succeeded.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool SetSwapControl(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetSwapControl */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkRenderWindowCppCommand(static_cast<vtkRenderWindow *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
