// tcl wrapper for vtkDendrogramItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDendrogramItem.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkDendrogramItemNewCommand()
{
  vtkDendrogramItem *temp = vtkDendrogramItem::New();
  return static_cast<ClientData>(temp);
}

int vtkContextItemCppCommand(vtkContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDendrogramItemCppCommand(vtkDendrogramItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkDendrogramItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkDendrogramItemCppCommand(static_cast<vtkDendrogramItem *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDendrogramItem_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkDendrogramItem"),vtkDendrogramItemNewCommand,vtkDendrogramItemCommand);
  return 0;
}

int VTKTCL_EXPORT vtkDendrogramItemCppCommand(vtkDendrogramItem *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkDendrogramItem",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkContextItem"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkDendrogramItem  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDendrogramItem");
    return TCL_OK;
  }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkDendrogramItem  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDendrogramItem");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkDendrogramItem  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDendrogramItem");
    return TCL_OK;
  }
  if ((!strcmp("SetTree",argv[1]))&&(argc == 3))
  {
    vtkTree  *temp0;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    if (!error)
  {
    op->SetTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTree",argv[1]))&&(argc == 2))
  {
    vtkTree  *temp20;
    temp20 = (op)->GetTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTree");
    return TCL_OK;
  }
  if ((!strcmp("CollapseToNumberOfLeafNodes",argv[1]))&&(argc == 3))
  {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
  {
    op->CollapseToNumberOfLeafNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPrunedTree",argv[1]))&&(argc == 2))
  {
    vtkTree  *temp20;
    temp20 = (op)->GetPrunedTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTree");
    return TCL_OK;
  }
  if ((!strcmp("SetColorArray",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetColorArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetExtendLeafNodes",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetExtendLeafNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExtendLeafNodes",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetExtendLeafNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ExtendLeafNodesOn",argv[1]))&&(argc == 2))
  {
    op->ExtendLeafNodesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ExtendLeafNodesOff",argv[1]))&&(argc == 2))
  {
    op->ExtendLeafNodesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetAngleForOrientation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetAngleForOrientation(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTextAngleForOrientation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetTextAngleForOrientation(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDrawLabels",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDrawLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawLabels",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDrawLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawLabelsOn",argv[1]))&&(argc == 2))
  {
    op->DrawLabelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawLabelsOff",argv[1]))&&(argc == 2))
  {
    op->DrawLabelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
  {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
  {
    float  temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
  {
    float   *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetLeafSpacing",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetLeafSpacing();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLeafSpacing",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetLeafSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("PrepareToPaint",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    op->PrepareToPaint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 6))
  {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
  {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ComputeLabelWidth",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    op->ComputeLabelWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelWidth",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetLabelWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
  {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
  {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLineWidth",argv[1]))&&(argc == 2))
  {
    float    temp20;
    temp20 = (op)->GetLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLineWidth",argv[1]))&&(argc == 3))
  {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDisplayNumberOfCollapsedLeafNodes",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetDisplayNumberOfCollapsedLeafNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDisplayNumberOfCollapsedLeafNodes",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetDisplayNumberOfCollapsedLeafNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DisplayNumberOfCollapsedLeafNodesOn",argv[1]))&&(argc == 2))
  {
    op->DisplayNumberOfCollapsedLeafNodesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DisplayNumberOfCollapsedLeafNodesOff",argv[1]))&&(argc == 2))
  {
    op->DisplayNumberOfCollapsedLeafNodesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("GetDistanceArrayName",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetDistanceArrayName();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDistanceArrayName",argv[1]))&&(argc == 3))
  {
    vtkStdString   temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetDistanceArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVertexNameArrayName",argv[1]))&&(argc == 2))
  {
    vtkStdString   temp20;
    temp20 = (op)->GetVertexNameArrayName();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetVertexNameArrayName",argv[1]))&&(argc == 3))
  {
    vtkStdString   temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetVertexNameArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkDendrogramItemCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDendrogramItem:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  SetTree\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTree\n",nullptr);
    Tcl_AppendResult(interp,"  CollapseToNumberOfLeafNodes\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetPrunedTree\n",nullptr);
    Tcl_AppendResult(interp,"  SetColorArray\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetExtendLeafNodes\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExtendLeafNodes\n",nullptr);
    Tcl_AppendResult(interp,"  ExtendLeafNodesOn\n",nullptr);
    Tcl_AppendResult(interp,"  ExtendLeafNodesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetOrientation\n",nullptr);
    Tcl_AppendResult(interp,"  GetAngleForOrientation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTextAngleForOrientation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawLabels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawLabels\n",nullptr);
    Tcl_AppendResult(interp,"  DrawLabelsOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawLabelsOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPosition\n",nullptr);
    Tcl_AppendResult(interp,"  GetLeafSpacing\n",nullptr);
    Tcl_AppendResult(interp,"  SetLeafSpacing\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  PrepareToPaint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\t with 4 args\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeLabelWidth\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelWidth\n",nullptr);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLineWidth\n",nullptr);
    Tcl_AppendResult(interp,"  SetLineWidth\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetDisplayNumberOfCollapsedLeafNodes\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDisplayNumberOfCollapsedLeafNodes\n",nullptr);
    Tcl_AppendResult(interp,"  DisplayNumberOfCollapsedLeafNodesOn\n",nullptr);
    Tcl_AppendResult(interp,"  DisplayNumberOfCollapsedLeafNodesOff\n",nullptr);
    Tcl_AppendResult(interp,"  GetDistanceArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetDistanceArrayName\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVertexNameArrayName\n",nullptr);
    Tcl_AppendResult(interp,"  SetVertexNameArrayName\t with 1 arg\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    Tcl_DStringAppendElement ( &dString, "CollapseToNumberOfLeafNodes" );
    Tcl_DStringAppendElement ( &dString, "GetPrunedTree" );
    Tcl_DStringAppendElement ( &dString, "SetColorArray" );
    Tcl_DStringAppendElement ( &dString, "SetExtendLeafNodes" );
    Tcl_DStringAppendElement ( &dString, "GetExtendLeafNodes" );
    Tcl_DStringAppendElement ( &dString, "ExtendLeafNodesOn" );
    Tcl_DStringAppendElement ( &dString, "ExtendLeafNodesOff" );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetAngleForOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetTextAngleForOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetDrawLabels" );
    Tcl_DStringAppendElement ( &dString, "GetDrawLabels" );
    Tcl_DStringAppendElement ( &dString, "DrawLabelsOn" );
    Tcl_DStringAppendElement ( &dString, "DrawLabelsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetLeafSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetLeafSpacing" );
    Tcl_DStringAppendElement ( &dString, "PrepareToPaint" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "ComputeLabelWidth" );
    Tcl_DStringAppendElement ( &dString, "GetLabelWidth" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayNumberOfCollapsedLeafNodes" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayNumberOfCollapsedLeafNodes" );
    Tcl_DStringAppendElement ( &dString, "DisplayNumberOfCollapsedLeafNodesOn" );
    Tcl_DStringAppendElement ( &dString, "DisplayNumberOfCollapsedLeafNodesOff" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetDistanceArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexNameArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexNameArrayName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDendrogramItem *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDendrogramItem *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTree */
    if ( strcmp ( argv[2], "SetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTree */
    Tcl_DStringAppendElement ( &dString, " Set the tree that this item draws.  Note that this tree's vertex data\n must contain a vtkStringArray called \"node name\".  The vtkNewickTreeReader\n automatically creates this required array for you.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTree(vtkTree *tree);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTree */
    if ( strcmp ( argv[2], "GetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTree */
    Tcl_DStringAppendElement ( &dString, " Get the tree that this item draws.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTree *GetTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CollapseToNumberOfLeafNodes */
    if ( strcmp ( argv[2], "CollapseToNumberOfLeafNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CollapseToNumberOfLeafNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CollapseToNumberOfLeafNodes */
    Tcl_DStringAppendElement ( &dString, " Collapse subtrees until there are only n leaf nodes left in the tree.\n The leaf nodes that remain are those that are closest to the root.\n Any subtrees that were collapsed prior to this function being called\n may be re-expanded.\n" );
    Tcl_DStringAppendElement ( &dString, "void CollapseToNumberOfLeafNodes(unsigned int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for CollapseToNumberOfLeafNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPrunedTree */
    if ( strcmp ( argv[2], "GetPrunedTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPrunedTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPrunedTree */
    Tcl_DStringAppendElement ( &dString, " Get the collapsed tree\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTree *GetPrunedTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetPrunedTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetColorArray */
    if ( strcmp ( argv[2], "SetColorArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorArray */
    Tcl_DStringAppendElement ( &dString, " Indicate which array within the Tree's VertexData should be used to\n color the tree.  The specified array must be a vtkDoubleArray.\n By default, the tree will be drawn in black.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorArray(const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetColorArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExtendLeafNodes */
    if ( strcmp ( argv[2], "SetExtendLeafNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtendLeafNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtendLeafNodes */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not leaf nodes should be extended so that they all line\n up vertically.  The default is to NOT extend leaf nodes.  When extending\n leaf nodes, the extra length is drawn in grey so as to distinguish it from\n the actual length of the leaf node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExtendLeafNodes(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetExtendLeafNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExtendLeafNodes */
    if ( strcmp ( argv[2], "GetExtendLeafNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtendLeafNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtendLeafNodes */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not leaf nodes should be extended so that they all line\n up vertically.  The default is to NOT extend leaf nodes.  When extending\n leaf nodes, the extra length is drawn in grey so as to distinguish it from\n the actual length of the leaf node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetExtendLeafNodes();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetExtendLeafNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExtendLeafNodesOn */
    if ( strcmp ( argv[2], "ExtendLeafNodesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtendLeafNodesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtendLeafNodesOn */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not leaf nodes should be extended so that they all line\n up vertically.  The default is to NOT extend leaf nodes.  When extending\n leaf nodes, the extra length is drawn in grey so as to distinguish it from\n the actual length of the leaf node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExtendLeafNodesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for ExtendLeafNodesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExtendLeafNodesOff */
    if ( strcmp ( argv[2], "ExtendLeafNodesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtendLeafNodesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtendLeafNodesOff */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not leaf nodes should be extended so that they all line\n up vertically.  The default is to NOT extend leaf nodes.  When extending\n leaf nodes, the extra length is drawn in grey so as to distinguish it from\n the actual length of the leaf node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExtendLeafNodesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for ExtendLeafNodesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetOrientation */
    if ( strcmp ( argv[2], "SetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientation */
    Tcl_DStringAppendElement ( &dString, " Set which way the tree should face within the visualization.  The default\n is for the tree to be drawn left to right.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientation(int orientation);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Get the current tree orientation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAngleForOrientation */
    if ( strcmp ( argv[2], "GetAngleForOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngleForOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngleForOrientation */
    Tcl_DStringAppendElement ( &dString, " Get the rotation angle (in degrees) that corresponds to the given\n tree orientation.  For the default orientation (LEFT_TO_RIGHT), this\n is 90 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngleForOrientation(int orientation);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetAngleForOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTextAngleForOrientation */
    if ( strcmp ( argv[2], "GetTextAngleForOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextAngleForOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextAngleForOrientation */
    Tcl_DStringAppendElement ( &dString, " Get the angle that vertex labels should be rotated for the corresponding\n tree orientation.  For the default orientation (LEFT_TO_RIGHT), this\n is 0 degrees.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextAngleForOrientation(int orientation);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetTextAngleForOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawLabels */
    if ( strcmp ( argv[2], "SetDrawLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawLabels */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not leaf nodes should be labeled by this class.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawLabels(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetDrawLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawLabels */
    if ( strcmp ( argv[2], "GetDrawLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawLabels */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not leaf nodes should be labeled by this class.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDrawLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetDrawLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawLabelsOn */
    if ( strcmp ( argv[2], "DrawLabelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawLabelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawLabelsOn */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not leaf nodes should be labeled by this class.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawLabelsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for DrawLabelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawLabelsOff */
    if ( strcmp ( argv[2], "DrawLabelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawLabelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawLabelsOff */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether or not leaf nodes should be labeled by this class.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawLabelsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for DrawLabelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(float, float);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(float a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLeafSpacing */
    if ( strcmp ( argv[2], "GetLeafSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeafSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeafSpacing */
    Tcl_DStringAppendElement ( &dString, " Get/Set the spacing between the leaf nodes in our dendrogram.\n Default is 18 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLeafSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetLeafSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLeafSpacing */
    if ( strcmp ( argv[2], "SetLeafSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeafSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeafSpacing */
    Tcl_DStringAppendElement ( &dString, " Get/Set the spacing between the leaf nodes in our dendrogram.\n Default is 18 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLeafSpacing(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetLeafSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: PrepareToPaint */
    if ( strcmp ( argv[2], "PrepareToPaint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrepareToPaint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrepareToPaint */
    Tcl_DStringAppendElement ( &dString, " This function calls RebuildBuffers() if necessary.\n Once PrepareToPaint() has been called, GetBounds() is guaranteed\n to provide useful information.\n" );
    Tcl_DStringAppendElement ( &dString, "void PrepareToPaint(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for PrepareToPaint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this item as (Xmin,Xmax,Ymin,Ymax).\n These bounds are only guaranteed to be accurate after Paint() or\n PrepareToPaint() has been called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double bounds\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeLabelWidth */
    if ( strcmp ( argv[2], "ComputeLabelWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeLabelWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeLabelWidth */
    Tcl_DStringAppendElement ( &dString, " Compute the width of the longest leaf node label.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeLabelWidth(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for ComputeLabelWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelWidth */
    if ( strcmp ( argv[2], "GetLabelWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelWidth */
    Tcl_DStringAppendElement ( &dString, " Get the width of the longest leaf node label.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLabelWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetLabelWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paints the input tree as a dendrogram.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Paint(vtkContext2D *painter) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLineWidth */
    if ( strcmp ( argv[2], "GetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidth */
    Tcl_DStringAppendElement ( &dString, " Get/Set how wide the edges of this dendrogram should be.  Default is one pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetLineWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLineWidth */
    if ( strcmp ( argv[2], "SetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineWidth */
    Tcl_DStringAppendElement ( &dString, " Get/Set how wide the edges of this dendrogram should be.  Default is one pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLineWidth(float _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDisplayNumberOfCollapsedLeafNodes */
    if ( strcmp ( argv[2], "SetDisplayNumberOfCollapsedLeafNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayNumberOfCollapsedLeafNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayNumberOfCollapsedLeafNodes */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not the number of collapsed leaf nodes should be written\n inside the triangle representing a collapsed subtree.  Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplayNumberOfCollapsedLeafNodes(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetDisplayNumberOfCollapsedLeafNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDisplayNumberOfCollapsedLeafNodes */
    if ( strcmp ( argv[2], "GetDisplayNumberOfCollapsedLeafNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayNumberOfCollapsedLeafNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayNumberOfCollapsedLeafNodes */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not the number of collapsed leaf nodes should be written\n inside the triangle representing a collapsed subtree.  Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetDisplayNumberOfCollapsedLeafNodes();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetDisplayNumberOfCollapsedLeafNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DisplayNumberOfCollapsedLeafNodesOn */
    if ( strcmp ( argv[2], "DisplayNumberOfCollapsedLeafNodesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayNumberOfCollapsedLeafNodesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayNumberOfCollapsedLeafNodesOn */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not the number of collapsed leaf nodes should be written\n inside the triangle representing a collapsed subtree.  Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayNumberOfCollapsedLeafNodesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for DisplayNumberOfCollapsedLeafNodesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DisplayNumberOfCollapsedLeafNodesOff */
    if ( strcmp ( argv[2], "DisplayNumberOfCollapsedLeafNodesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayNumberOfCollapsedLeafNodesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayNumberOfCollapsedLeafNodesOff */
    Tcl_DStringAppendElement ( &dString, " Get/set whether or not the number of collapsed leaf nodes should be written\n inside the triangle representing a collapsed subtree.  Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayNumberOfCollapsedLeafNodesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for DisplayNumberOfCollapsedLeafNodesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDistanceArrayName */
    if ( strcmp ( argv[2], "GetDistanceArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the array that specifies the distance of each vertex\n from the root (NOT the vertex's parent).  This array should be a part of\n the input tree's VertexData.  By default, this value is \"node weight\",\n which is the name of the array created by vtkNewickTreeReader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetDistanceArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetDistanceArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDistanceArrayName */
    if ( strcmp ( argv[2], "SetDistanceArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistanceArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistanceArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of the array that specifies the distance of each vertex\n from the root (NOT the vertex's parent).  This array should be a part of\n the input tree's VertexData.  By default, this value is \"node weight\",\n which is the name of the array created by vtkNewickTreeReader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDistanceArrayName(vtkStdString _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetDistanceArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVertexNameArrayName */
    if ( strcmp ( argv[2], "GetVertexNameArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexNameArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexNameArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of a vtkStringArray that specifies the names of the\n vertices of the input tree.  This array should be a part of the input\n tree's VertexData.  By default, this value is \"node name\", which is the\n name of the array created by vtkNewickTreeReader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetVertexNameArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for GetVertexNameArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVertexNameArrayName */
    if ( strcmp ( argv[2], "SetVertexNameArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexNameArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexNameArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the name of a vtkStringArray that specifies the names of the\n vertices of the input tree.  This array should be a part of the input\n tree's VertexData.  By default, this value is \"node name\", which is the\n name of the array created by vtkNewickTreeReader.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexNameArrayName(vtkStdString _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkDendrogramItem" );
    /* Closing for SetVertexNameArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
