// tcl wrapper for vtkAxisActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxisActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <sstream>

ClientData vtkAxisActorNewCommand()
{
  vtkAxisActor *temp = vtkAxisActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActorCppCommand(vtkActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAxisActorCppCommand(vtkAxisActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAxisActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
  {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
  }
   return vtkAxisActorCppCommand(static_cast<vtkAxisActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAxisActor_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkAxisActor"),vtkAxisActorNewCommand,vtkAxisActorCommand);
  return 0;
}

int VTKTCL_EXPORT vtkAxisActorCppCommand(vtkAxisActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
  {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
  }
  if (!interp)
  {
    if (!strcmp("DoTypecasting",argv[0]))
    {
      if (!strcmp("vtkAxisActor",argv[1]))
      {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
      }
      if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
      {
        return TCL_OK;
      }
    }
    return TCL_ERROR;
  }

  if (!strcmp("GetSuperClassName",argv[1]))
  {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor"), TCL_VOLATILE);
    return TCL_OK;
  }

  try
  {
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
  {
    vtkObjectBase  *temp0;
    vtkAxisActor  *temp20;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
  {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor");
    return TCL_OK;
  }
  }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
  {
    vtkAxisActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor");
    return TCL_OK;
  }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
  {
    vtkAxisActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor");
    return TCL_OK;
  }
  if ((!strcmp("GetPoint1Coordinate",argv[1]))&&(argc == 2))
  {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint1Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
  }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetPoint1(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetPoint2Coordinate",argv[1]))&&(argc == 2))
  {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint2Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
  }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetPoint2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
  {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
  {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
  {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
  {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
  {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
  {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetUseTextActor3D",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetUseTextActor3D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUseTextActor3D",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUseTextActor3D();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMinorTicksVisible",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetMinorTicksVisible(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinorTicksVisible",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetMinorTicksVisible();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("MinorTicksVisibleOn",argv[1]))&&(argc == 2))
  {
    op->MinorTicksVisibleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("MinorTicksVisibleOff",argv[1]))&&(argc == 2))
  {
    op->MinorTicksVisibleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetExponent",argv[1]))&&(argc == 3))
  {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
  {
    op->SetExponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExponent",argv[1]))&&(argc == 2))
  {
    char    *temp20;
    temp20 = (op)->GetExponent();
    if (temp20)
    {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
    }
    else
    {
      Tcl_ResetResult(interp);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetMajorTickSize",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMajorTickSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMajorTickSize",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMajorTickSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMinorTickSize",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMinorTickSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinorTickSize",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMinorTickSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTickLocation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTickLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTickLocationMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTickLocationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTickLocationMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTickLocationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetTickLocation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTickLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTickLocationToInside",argv[1]))&&(argc == 2))
  {
    op->SetTickLocationToInside();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTickLocationToOutside",argv[1]))&&(argc == 2))
  {
    op->SetTickLocationToOutside();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTickLocationToBoth",argv[1]))&&(argc == 2))
  {
    op->SetTickLocationToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("AxisVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->AxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("AxisVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->AxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTickVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTickVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("TickVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->TickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("TickVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->TickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTitleVisibility",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTitleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitleVisibility",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTitleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("TitleVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->TitleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("TitleVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->TitleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetExponentVisibility",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetExponentVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExponentVisibility",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetExponentVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ExponentVisibilityOn",argv[1]))&&(argc == 2))
  {
    op->ExponentVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("ExponentVisibilityOff",argv[1]))&&(argc == 2))
  {
    op->ExponentVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLastMajorTickPointCorrection",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetLastMajorTickPointCorrection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLastMajorTickPointCorrection",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLastMajorTickPointCorrection();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LastMajorTickPointCorrectionOn",argv[1]))&&(argc == 2))
  {
    op->LastMajorTickPointCorrectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LastMajorTickPointCorrectionOff",argv[1]))&&(argc == 2))
  {
    op->LastMajorTickPointCorrectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetTitleAlignLocation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetTitleAlignLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitleAlignLocation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetTitleAlignLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetExponentLocation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetExponentLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExponentLocation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetExponentLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
  {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
  {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
  {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
  {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
  {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
  {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetAxisLinesProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetAxisLinesProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisLinesProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetAxisLinesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetAxisMainLineProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetAxisMainLineProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisMainLineProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetAxisMainLineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetAxisMajorTicksProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetAxisMajorTicksProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisMajorTicksProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetAxisMajorTicksProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetAxisMinorTicksProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetAxisMinorTicksProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisMinorTicksProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetAxisMinorTicksProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetGridlinesProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetGridlinesProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGridlinesProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetGridlinesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetInnerGridlinesProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetInnerGridlinesProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetInnerGridlinesProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetInnerGridlinesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetGridpolysProperty",argv[1]))&&(argc == 3))
  {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
  {
    op->SetGridpolysProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGridpolysProperty",argv[1]))&&(argc == 2))
  {
    vtkProperty  *temp20;
    temp20 = (op)->GetGridpolysProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
  }
  if ((!strcmp("SetDrawGridlines",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawGridlines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawGridlines",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawGridlines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawGridlinesOn",argv[1]))&&(argc == 2))
  {
    op->DrawGridlinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawGridlinesOff",argv[1]))&&(argc == 2))
  {
    op->DrawGridlinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawGridlinesOnly",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawGridlinesOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawGridlinesOnly",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawGridlinesOnly();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawGridlinesOnlyOn",argv[1]))&&(argc == 2))
  {
    op->DrawGridlinesOnlyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawGridlinesOnlyOff",argv[1]))&&(argc == 2))
  {
    op->DrawGridlinesOnlyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawGridlinesLocation",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawGridlinesLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawGridlinesLocation",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawGridlinesLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawInnerGridlines",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawInnerGridlines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawInnerGridlines",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawInnerGridlines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawInnerGridlinesOn",argv[1]))&&(argc == 2))
  {
    op->DrawInnerGridlinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawInnerGridlinesOff",argv[1]))&&(argc == 2))
  {
    op->DrawInnerGridlinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetGridlineXLength",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetGridlineXLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGridlineXLength",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetGridlineXLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetGridlineYLength",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetGridlineYLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGridlineYLength",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetGridlineYLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetGridlineZLength",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetGridlineZLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetGridlineZLength",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetGridlineZLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDrawGridpolys",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetDrawGridpolys(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDrawGridpolys",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetDrawGridpolys();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("DrawGridpolysOn",argv[1]))&&(argc == 2))
  {
    op->DrawGridpolysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("DrawGridpolysOff",argv[1]))&&(argc == 2))
  {
    op->DrawGridpolysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisType",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAxisType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisTypeMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetAxisTypeMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetAxisType",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisTypeToX",argv[1]))&&(argc == 2))
  {
    op->SetAxisTypeToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisTypeToY",argv[1]))&&(argc == 2))
  {
    op->SetAxisTypeToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisTypeToZ",argv[1]))&&(argc == 2))
  {
    op->SetAxisTypeToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetLog",argv[1]))&&(argc == 3))
  {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
  {
    op->SetLog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLog",argv[1]))&&(argc == 2))
  {
    bool   temp20;
    temp20 = (op)->GetLog();
    char tempResult[1024];
    sprintf(tempResult,"%i",static_cast<int>(temp20));
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("LogOn",argv[1]))&&(argc == 2))
  {
    op->LogOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("LogOff",argv[1]))&&(argc == 2))
  {
    op->LogOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisPosition",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAxisPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisPositionMinValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisPositionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetAxisPositionMaxValue",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisPositionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetAxisPosition",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisPositionToMinMin",argv[1]))&&(argc == 2))
  {
    op->SetAxisPositionToMinMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisPositionToMinMax",argv[1]))&&(argc == 2))
  {
    op->SetAxisPositionToMinMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisPositionToMaxMax",argv[1]))&&(argc == 2))
  {
    op->SetAxisPositionToMaxMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisPositionToMaxMin",argv[1]))&&(argc == 2))
  {
    op->SetAxisPositionToMaxMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
  {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
  {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
  {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
  }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderTranslucentGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderTranslucentGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
  {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
  {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
  {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
  {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("ComputeMaxLabelLength",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    temp20 = (op)->ComputeMaxLabelLength(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("ComputeTitleLength",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    temp20 = (op)->ComputeTitleLength(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetLabelScale",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetLabelScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetLabelScale",argv[1]))&&(argc == 4))
  {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetLabelScale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetTitleScale",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTitleScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetMinorStart",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMinorStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinorStart",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMinorStart();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetMajorStart",argv[1]))&&(argc == 3))
  {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetMajorStart(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetMajorStart",argv[1]))&&(argc == 4))
  {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetMajorStart(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDeltaMinor",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetDeltaMinor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDeltaMinor",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetDeltaMinor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("GetDeltaMajor",argv[1]))&&(argc == 3))
  {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    temp20 = (op)->GetDeltaMajor(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetDeltaMajor",argv[1]))&&(argc == 4))
  {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
  {
    op->SetDeltaMajor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetMinorRangeStart",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMinorRangeStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMinorRangeStart",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMinorRangeStart();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetMajorRangeStart",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetMajorRangeStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetMajorRangeStart",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetMajorRangeStart();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDeltaRangeMinor",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetDeltaRangeMinor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDeltaRangeMinor",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetDeltaRangeMinor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetDeltaRangeMajor",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetDeltaRangeMajor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetDeltaRangeMajor",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetDeltaRangeMajor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLabels",argv[1]))&&(argc == 3))
  {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
  {
    op->SetLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("BuildAxis",argv[1]))&&(argc == 4))
  {
    vtkViewport  *temp0;
    bool   temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
  {
    op->BuildAxis(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitleActor",argv[1]))&&(argc == 2))
  {
    vtkAxisFollower  *temp20;
    temp20 = (op)->GetTitleActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisFollower");
    return TCL_OK;
  }
  if ((!strcmp("GetExponentActor",argv[1]))&&(argc == 2))
  {
    vtkAxisFollower  *temp20;
    temp20 = (op)->GetExponentActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisFollower");
    return TCL_OK;
  }
  if ((!strcmp("GetTitleProp3D",argv[1]))&&(argc == 2))
  {
    vtkProp3DAxisFollower  *temp20;
    temp20 = (op)->GetTitleProp3D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp3DAxisFollower");
    return TCL_OK;
  }
  if ((!strcmp("GetExponentProp3D",argv[1]))&&(argc == 2))
  {
    vtkProp3DAxisFollower  *temp20;
    temp20 = (op)->GetExponentProp3D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp3DAxisFollower");
    return TCL_OK;
  }
  if ((!strcmp("GetNumberOfLabelsBuilt",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsBuilt();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetCalculateTitleOffset",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCalculateTitleOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCalculateTitleOffset",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCalculateTitleOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CalculateTitleOffsetOn",argv[1]))&&(argc == 2))
  {
    op->CalculateTitleOffsetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CalculateTitleOffsetOff",argv[1]))&&(argc == 2))
  {
    op->CalculateTitleOffsetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetCalculateLabelOffset",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetCalculateLabelOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetCalculateLabelOffset",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetCalculateLabelOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("CalculateLabelOffsetOn",argv[1]))&&(argc == 2))
  {
    op->CalculateLabelOffsetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("CalculateLabelOffsetOff",argv[1]))&&(argc == 2))
  {
    op->CalculateLabelOffsetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  if ((!strcmp("SetUse2DMode",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetUse2DMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetUse2DMode",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetUse2DMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetVerticalOffsetXTitle2D",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetVerticalOffsetXTitle2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetVerticalOffsetXTitle2D",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetVerticalOffsetXTitle2D();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetHorizontalOffsetYTitle2D",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetHorizontalOffsetYTitle2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetHorizontalOffsetYTitle2D",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetHorizontalOffsetYTitle2D();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetSaveTitlePosition",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetSaveTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetSaveTitlePosition",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetSaveTitlePosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetAxisBaseForX",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetAxisBaseForX(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetAxisBaseForX",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetAxisBaseForX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisBaseForX",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetAxisBaseForX();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetAxisBaseForY",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetAxisBaseForY(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetAxisBaseForY",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetAxisBaseForY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisBaseForY",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetAxisBaseForY();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetAxisBaseForZ",argv[1]))&&(argc == 5))
  {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
  {
    op->SetAxisBaseForZ(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("SetAxisBaseForZ",argv[1]))&&(argc == 5))
  {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
  {
    op->SetAxisBaseForZ(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisBaseForZ",argv[1]))&&(argc == 2))
  {
    double  *temp20;
    temp20 = (op)->GetAxisBaseForZ();
    if(temp20)
    {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    }
    else
    {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
    }
    return TCL_OK;
  }
  if ((!strcmp("SetAxisOnOrigin",argv[1]))&&(argc == 3))
  {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
  {
    op->SetAxisOnOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetAxisOnOrigin",argv[1]))&&(argc == 2))
  {
    int      temp20;
    temp20 = (op)->GetAxisOnOrigin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetLabelOffset",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetLabelOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetLabelOffset",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetLabelOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetTitleOffset",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetTitleOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetTitleOffset",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetTitleOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetExponentOffset",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetExponentOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetExponentOffset",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetExponentOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }
  if ((!strcmp("SetScreenSize",argv[1]))&&(argc == 3))
  {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
  {
    op->SetScreenSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
  }
  }
  if ((!strcmp("GetScreenSize",argv[1]))&&(argc == 2))
  {
    double   temp20;
    temp20 = (op)->GetScreenSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
  }

  if (!strcmp("ListInstances",argv[1]))
  {
    vtkTclListInstances(interp,(ClientData)(vtkAxisActorCommand));
    return TCL_OK;
  }

  if (!strcmp("ListMethods",argv[1]))
  {
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAxisActor:\n",nullptr);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",nullptr);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  NewInstance\n",nullptr);
    Tcl_AppendResult(interp,"  New\n",nullptr);
    Tcl_AppendResult(interp,"  GetPoint1Coordinate\n",nullptr);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetPoint2Coordinate\n",nullptr);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetRange\n",nullptr);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\n",nullptr);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",nullptr);
    Tcl_AppendResult(interp,"  SetUseTextActor3D\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUseTextActor3D\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinorTicksVisible\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinorTicksVisible\n",nullptr);
    Tcl_AppendResult(interp,"  MinorTicksVisibleOn\n",nullptr);
    Tcl_AppendResult(interp,"  MinorTicksVisibleOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitle\n",nullptr);
    Tcl_AppendResult(interp,"  SetExponent\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExponent\n",nullptr);
    Tcl_AppendResult(interp,"  SetMajorTickSize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMajorTickSize\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinorTickSize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinorTickSize\n",nullptr);
    Tcl_AppendResult(interp,"  SetTickLocation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTickLocationMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTickLocationMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetTickLocation\n",nullptr);
    Tcl_AppendResult(interp,"  SetTickLocationToInside\n",nullptr);
    Tcl_AppendResult(interp,"  SetTickLocationToOutside\n",nullptr);
    Tcl_AppendResult(interp,"  SetTickLocationToBoth\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  AxisVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  AxisVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetTickVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTickVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  TickVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  TickVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitleVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  TitleVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  TitleVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetExponentVisibility\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExponentVisibility\n",nullptr);
    Tcl_AppendResult(interp,"  ExponentVisibilityOn\n",nullptr);
    Tcl_AppendResult(interp,"  ExponentVisibilityOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetLastMajorTickPointCorrection\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLastMajorTickPointCorrection\n",nullptr);
    Tcl_AppendResult(interp,"  LastMajorTickPointCorrectionOn\n",nullptr);
    Tcl_AppendResult(interp,"  LastMajorTickPointCorrectionOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitleAlignLocation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleAlignLocation\n",nullptr);
    Tcl_AppendResult(interp,"  SetExponentLocation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExponentLocation\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisLinesProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisLinesProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisMainLineProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisMainLineProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisMajorTicksProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisMajorTicksProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisMinorTicksProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisMinorTicksProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetGridlinesProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGridlinesProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetInnerGridlinesProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetInnerGridlinesProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetGridpolysProperty\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGridpolysProperty\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawGridlines\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawGridlines\n",nullptr);
    Tcl_AppendResult(interp,"  DrawGridlinesOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawGridlinesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawGridlinesOnly\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawGridlinesOnly\n",nullptr);
    Tcl_AppendResult(interp,"  DrawGridlinesOnlyOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawGridlinesOnlyOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawGridlinesLocation\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawGridlinesLocation\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawInnerGridlines\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawInnerGridlines\n",nullptr);
    Tcl_AppendResult(interp,"  DrawInnerGridlinesOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawInnerGridlinesOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetGridlineXLength\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGridlineXLength\n",nullptr);
    Tcl_AppendResult(interp,"  SetGridlineYLength\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGridlineYLength\n",nullptr);
    Tcl_AppendResult(interp,"  SetGridlineZLength\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetGridlineZLength\n",nullptr);
    Tcl_AppendResult(interp,"  SetDrawGridpolys\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDrawGridpolys\n",nullptr);
    Tcl_AppendResult(interp,"  DrawGridpolysOn\n",nullptr);
    Tcl_AppendResult(interp,"  DrawGridpolysOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisType\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisTypeMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisTypeMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisType\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisTypeToX\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisTypeToY\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisTypeToZ\n",nullptr);
    Tcl_AppendResult(interp,"  SetLog\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLog\n",nullptr);
    Tcl_AppendResult(interp,"  LogOn\n",nullptr);
    Tcl_AppendResult(interp,"  LogOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisPosition\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisPositionMinValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisPositionMaxValue\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisPosition\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisPositionToMinMin\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisPositionToMinMax\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisPositionToMaxMax\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisPositionToMaxMin\n",nullptr);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCamera\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderTranslucentGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",nullptr);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeMaxLabelLength\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  ComputeTitleLength\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelScale\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelScale\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitleScale\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinorStart\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinorStart\n",nullptr);
    Tcl_AppendResult(interp,"  GetMajorStart\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetMajorStart\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetDeltaMinor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDeltaMinor\n",nullptr);
    Tcl_AppendResult(interp,"  GetDeltaMajor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  SetDeltaMajor\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetMinorRangeStart\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMinorRangeStart\n",nullptr);
    Tcl_AppendResult(interp,"  SetMajorRangeStart\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetMajorRangeStart\n",nullptr);
    Tcl_AppendResult(interp,"  SetDeltaRangeMinor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDeltaRangeMinor\n",nullptr);
    Tcl_AppendResult(interp,"  SetDeltaRangeMajor\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetDeltaRangeMajor\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabels\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  BuildAxis\t with 2 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleActor\n",nullptr);
    Tcl_AppendResult(interp,"  GetExponentActor\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleProp3D\n",nullptr);
    Tcl_AppendResult(interp,"  GetExponentProp3D\n",nullptr);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsBuilt\n",nullptr);
    Tcl_AppendResult(interp,"  SetCalculateTitleOffset\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCalculateTitleOffset\n",nullptr);
    Tcl_AppendResult(interp,"  CalculateTitleOffsetOn\n",nullptr);
    Tcl_AppendResult(interp,"  CalculateTitleOffsetOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetCalculateLabelOffset\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetCalculateLabelOffset\n",nullptr);
    Tcl_AppendResult(interp,"  CalculateLabelOffsetOn\n",nullptr);
    Tcl_AppendResult(interp,"  CalculateLabelOffsetOff\n",nullptr);
    Tcl_AppendResult(interp,"  SetUse2DMode\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetUse2DMode\n",nullptr);
    Tcl_AppendResult(interp,"  SetVerticalOffsetXTitle2D\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetVerticalOffsetXTitle2D\n",nullptr);
    Tcl_AppendResult(interp,"  SetHorizontalOffsetYTitle2D\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetHorizontalOffsetYTitle2D\n",nullptr);
    Tcl_AppendResult(interp,"  SetSaveTitlePosition\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetSaveTitlePosition\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisBaseForX\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisBaseForX\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisBaseForX\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisBaseForY\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisBaseForY\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisBaseForY\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisBaseForZ\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisBaseForZ\t with 3 args\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisBaseForZ\n",nullptr);
    Tcl_AppendResult(interp,"  SetAxisOnOrigin\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetAxisOnOrigin\n",nullptr);
    Tcl_AppendResult(interp,"  SetLabelOffset\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetLabelOffset\n",nullptr);
    Tcl_AppendResult(interp,"  SetTitleOffset\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetTitleOffset\n",nullptr);
    Tcl_AppendResult(interp,"  SetExponentOffset\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetExponentOffset\n",nullptr);
    Tcl_AppendResult(interp,"  SetScreenSize\t with 1 arg\n",nullptr);
    Tcl_AppendResult(interp,"  GetScreenSize\n",nullptr);
    return TCL_OK;
  }

  if (!strcmp("DescribeMethods",argv[1]))
  {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetUseTextActor3D" );
    Tcl_DStringAppendElement ( &dString, "GetUseTextActor3D" );
    Tcl_DStringAppendElement ( &dString, "SetMinorTicksVisible" );
    Tcl_DStringAppendElement ( &dString, "GetMinorTicksVisible" );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOn" );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetExponent" );
    Tcl_DStringAppendElement ( &dString, "GetExponent" );
    Tcl_DStringAppendElement ( &dString, "SetMajorTickSize" );
    Tcl_DStringAppendElement ( &dString, "GetMajorTickSize" );
    Tcl_DStringAppendElement ( &dString, "SetMinorTickSize" );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickSize" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocation" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocation" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToInside" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToOutside" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToBoth" );
    Tcl_DStringAppendElement ( &dString, "SetAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetExponentVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetExponentVisibility" );
    Tcl_DStringAppendElement ( &dString, "ExponentVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ExponentVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLastMajorTickPointCorrection" );
    Tcl_DStringAppendElement ( &dString, "GetLastMajorTickPointCorrection" );
    Tcl_DStringAppendElement ( &dString, "LastMajorTickPointCorrectionOn" );
    Tcl_DStringAppendElement ( &dString, "LastMajorTickPointCorrectionOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitleAlignLocation" );
    Tcl_DStringAppendElement ( &dString, "GetTitleAlignLocation" );
    Tcl_DStringAppendElement ( &dString, "SetExponentLocation" );
    Tcl_DStringAppendElement ( &dString, "GetExponentLocation" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLinesProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLinesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisMainLineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisMainLineProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisMajorTicksProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisMajorTicksProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisMinorTicksProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisMinorTicksProperty" );
    Tcl_DStringAppendElement ( &dString, "SetGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "GetGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetInnerGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "GetInnerGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetGridpolysProperty" );
    Tcl_DStringAppendElement ( &dString, "GetGridpolysProperty" );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlines" );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlines" );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOn" );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlinesOnly" );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlinesOnly" );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOnlyOn" );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOnlyOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlinesLocation" );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlinesLocation" );
    Tcl_DStringAppendElement ( &dString, "SetDrawInnerGridlines" );
    Tcl_DStringAppendElement ( &dString, "GetDrawInnerGridlines" );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOn" );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetGridlineXLength" );
    Tcl_DStringAppendElement ( &dString, "GetGridlineXLength" );
    Tcl_DStringAppendElement ( &dString, "SetGridlineYLength" );
    Tcl_DStringAppendElement ( &dString, "GetGridlineYLength" );
    Tcl_DStringAppendElement ( &dString, "SetGridlineZLength" );
    Tcl_DStringAppendElement ( &dString, "GetGridlineZLength" );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridpolys" );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridpolys" );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOn" );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOff" );
    Tcl_DStringAppendElement ( &dString, "SetAxisType" );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisType" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToX" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToY" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToZ" );
    Tcl_DStringAppendElement ( &dString, "SetLog" );
    Tcl_DStringAppendElement ( &dString, "GetLog" );
    Tcl_DStringAppendElement ( &dString, "LogOn" );
    Tcl_DStringAppendElement ( &dString, "LogOff" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPosition" );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisPosition" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMin" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMax" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMax" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMin" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "ComputeMaxLabelLength" );
    Tcl_DStringAppendElement ( &dString, "ComputeTitleLength" );
    Tcl_DStringAppendElement ( &dString, "SetLabelScale" );
    Tcl_DStringAppendElement ( &dString, "SetLabelScale" );
    Tcl_DStringAppendElement ( &dString, "SetTitleScale" );
    Tcl_DStringAppendElement ( &dString, "SetMinorStart" );
    Tcl_DStringAppendElement ( &dString, "GetMinorStart" );
    Tcl_DStringAppendElement ( &dString, "GetMajorStart" );
    Tcl_DStringAppendElement ( &dString, "SetMajorStart" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMajor" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMajor" );
    Tcl_DStringAppendElement ( &dString, "SetMinorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "GetMinorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "SetMajorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "GetMajorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMinor" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMajor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMajor" );
    Tcl_DStringAppendElement ( &dString, "SetLabels" );
    Tcl_DStringAppendElement ( &dString, "BuildAxis" );
    Tcl_DStringAppendElement ( &dString, "GetTitleActor" );
    Tcl_DStringAppendElement ( &dString, "GetExponentActor" );
    Tcl_DStringAppendElement ( &dString, "GetTitleProp3D" );
    Tcl_DStringAppendElement ( &dString, "GetExponentProp3D" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsBuilt" );
    Tcl_DStringAppendElement ( &dString, "SetCalculateTitleOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCalculateTitleOffset" );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOn" );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOff" );
    Tcl_DStringAppendElement ( &dString, "SetCalculateLabelOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCalculateLabelOffset" );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOn" );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOff" );
    Tcl_DStringAppendElement ( &dString, "SetUse2DMode" );
    Tcl_DStringAppendElement ( &dString, "GetUse2DMode" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalOffsetXTitle2D" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalOffsetXTitle2D" );
    Tcl_DStringAppendElement ( &dString, "SetHorizontalOffsetYTitle2D" );
    Tcl_DStringAppendElement ( &dString, "GetHorizontalOffsetYTitle2D" );
    Tcl_DStringAppendElement ( &dString, "SetSaveTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetSaveTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForX" );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForX" );
    Tcl_DStringAppendElement ( &dString, "GetAxisBaseForX" );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForY" );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForY" );
    Tcl_DStringAppendElement ( &dString, "GetAxisBaseForY" );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForZ" );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForZ" );
    Tcl_DStringAppendElement ( &dString, "GetAxisBaseForZ" );
    Tcl_DStringAppendElement ( &dString, "SetAxisOnOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetAxisOnOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetLabelOffset" );
    Tcl_DStringAppendElement ( &dString, "GetLabelOffset" );
    Tcl_DStringAppendElement ( &dString, "SetTitleOffset" );
    Tcl_DStringAppendElement ( &dString, "GetTitleOffset" );
    Tcl_DStringAppendElement ( &dString, "SetExponentOffset" );
    Tcl_DStringAppendElement ( &dString, "GetExponentOffset" );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    Tcl_DStringAppendElement ( &dString, "GetScreenSize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
  }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: IsTypeOf */
    if ( strcmp ( argv[2], "IsTypeOf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTypeOf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTypeOf */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTypeBool IsTypeOf(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for IsTypeOf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeBool IsA(const char *type) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAxisActor *SafeDownCast(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor *NewInstance() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAxisActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPoint1Coordinate */
    if ( strcmp ( argv[2], "GetPoint1Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1Coordinate */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCoordinate *GetPoint1Coordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetPoint1Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetPoint2Coordinate */
    if ( strcmp ( argv[2], "GetPoint2Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2Coordinate */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCoordinate *GetPoint2Coordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetPoint2Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(const double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds(void) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelFormat(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUseTextActor3D */
    if ( strcmp ( argv[2], "SetUseTextActor3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseTextActor3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseTextActor3D */
    Tcl_DStringAppendElement ( &dString, " Render text as polygons (vtkVectorText) or as sprites (vtkTextActor3D).\n In 2D mode, the value is ignored and text is rendered as vtkTextActor.\n False(0) by default.\n See Also:\n GetUse2DMode(), SetUse2DMode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseTextActor3D(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetUseTextActor3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUseTextActor3D */
    if ( strcmp ( argv[2], "GetUseTextActor3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseTextActor3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseTextActor3D */
    Tcl_DStringAppendElement ( &dString, " Render text as polygons (vtkVectorText) or as sprites (vtkTextActor3D).\n In 2D mode, the value is ignored and text is rendered as vtkTextActor.\n False(0) by default.\n See Also:\n GetUse2DMode(), SetUse2DMode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUseTextActor3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetUseTextActor3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinorTicksVisible */
    if ( strcmp ( argv[2], "SetMinorTicksVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorTicksVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorTicksVisible */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinorTicksVisible(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorTicksVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinorTicksVisible */
    if ( strcmp ( argv[2], "GetMinorTicksVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorTicksVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorTicksVisible */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMinorTicksVisible();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorTicksVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MinorTicksVisibleOn */
    if ( strcmp ( argv[2], "MinorTicksVisibleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MinorTicksVisibleOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MinorTicksVisibleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for MinorTicksVisibleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: MinorTicksVisibleOff */
    if ( strcmp ( argv[2], "MinorTicksVisibleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MinorTicksVisibleOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MinorTicksVisibleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for MinorTicksVisibleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the axis actor,\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle(const char *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the axis actor,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExponent */
    if ( strcmp ( argv[2], "SetExponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExponent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the common exponent of the labels values\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExponent(const char *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetExponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExponent */
    if ( strcmp ( argv[2], "GetExponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the common exponent of the labels values\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetExponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetExponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMajorTickSize */
    if ( strcmp ( argv[2], "SetMajorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMajorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMajorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMajorTickSize(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMajorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMajorTickSize */
    if ( strcmp ( argv[2], "GetMajorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMajorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMajorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMajorTickSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMajorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinorTickSize */
    if ( strcmp ( argv[2], "SetMinorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinorTickSize(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinorTickSize */
    if ( strcmp ( argv[2], "GetMinorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMinorTickSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTickLocation */
    if ( strcmp ( argv[2], "SetTickLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n Inside: tick end toward positive direction of perpendicular axes.\n Outside: tick end toward negative direction of perpendicular axes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTickLocation(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTickLocationMinValue */
    if ( strcmp ( argv[2], "GetTickLocationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n Inside: tick end toward positive direction of perpendicular axes.\n Outside: tick end toward negative direction of perpendicular axes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTickLocationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickLocationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTickLocationMaxValue */
    if ( strcmp ( argv[2], "GetTickLocationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n Inside: tick end toward positive direction of perpendicular axes.\n Outside: tick end toward negative direction of perpendicular axes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTickLocationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickLocationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTickLocation */
    if ( strcmp ( argv[2], "GetTickLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n Inside: tick end toward positive direction of perpendicular axes.\n Outside: tick end toward negative direction of perpendicular axes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTickLocation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTickLocationToInside */
    if ( strcmp ( argv[2], "SetTickLocationToInside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToInside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToInside */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToInside(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocationToInside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTickLocationToOutside */
    if ( strcmp ( argv[2], "SetTickLocationToOutside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToOutside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToOutside */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToOutside(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocationToOutside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTickLocationToBoth */
    if ( strcmp ( argv[2], "SetTickLocationToBoth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToBoth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToBoth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToBoth(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocationToBoth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisVisibility */
    if ( strcmp ( argv[2], "SetAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisVisibility(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisVisibility */
    if ( strcmp ( argv[2], "GetAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AxisVisibilityOn */
    if ( strcmp ( argv[2], "AxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AxisVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for AxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: AxisVisibilityOff */
    if ( strcmp ( argv[2], "AxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AxisVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for AxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTickVisibility */
    if ( strcmp ( argv[2], "SetTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis major tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTickVisibility(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTickVisibility */
    if ( strcmp ( argv[2], "GetTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis major tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTickVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TickVisibilityOn */
    if ( strcmp ( argv[2], "TickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis major tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TickVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TickVisibilityOff */
    if ( strcmp ( argv[2], "TickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis major tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TickVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelVisibility */
    if ( strcmp ( argv[2], "SetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelVisibility(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelVisibility */
    if ( strcmp ( argv[2], "GetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LabelVisibilityOn */
    if ( strcmp ( argv[2], "LabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LabelVisibilityOff */
    if ( strcmp ( argv[2], "LabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitleVisibility */
    if ( strcmp ( argv[2], "SetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleVisibility(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleVisibility */
    if ( strcmp ( argv[2], "GetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTitleVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TitleVisibilityOn */
    if ( strcmp ( argv[2], "TitleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TitleVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TitleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: TitleVisibilityOff */
    if ( strcmp ( argv[2], "TitleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TitleVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TitleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExponentVisibility */
    if ( strcmp ( argv[2], "SetExponentVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExponentVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExponentVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExponentVisibility(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetExponentVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExponentVisibility */
    if ( strcmp ( argv[2], "GetExponentVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetExponentVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetExponentVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExponentVisibilityOn */
    if ( strcmp ( argv[2], "ExponentVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExponentVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExponentVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExponentVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ExponentVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ExponentVisibilityOff */
    if ( strcmp ( argv[2], "ExponentVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExponentVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExponentVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExponentVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ExponentVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLastMajorTickPointCorrection */
    if ( strcmp ( argv[2], "SetLastMajorTickPointCorrection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastMajorTickPointCorrection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastMajorTickPointCorrection */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLastMajorTickPointCorrection(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLastMajorTickPointCorrection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLastMajorTickPointCorrection */
    if ( strcmp ( argv[2], "GetLastMajorTickPointCorrection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastMajorTickPointCorrection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastMajorTickPointCorrection */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLastMajorTickPointCorrection();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLastMajorTickPointCorrection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LastMajorTickPointCorrectionOn */
    if ( strcmp ( argv[2], "LastMajorTickPointCorrectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LastMajorTickPointCorrectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LastMajorTickPointCorrectionOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LastMajorTickPointCorrectionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LastMajorTickPointCorrectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LastMajorTickPointCorrectionOff */
    if ( strcmp ( argv[2], "LastMajorTickPointCorrectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LastMajorTickPointCorrectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LastMajorTickPointCorrectionOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis detached exponent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LastMajorTickPointCorrectionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LastMajorTickPointCorrectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitleAlignLocation */
    if ( strcmp ( argv[2], "SetTitleAlignLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleAlignLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleAlignLocation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the alignment of the title related to the axis.\n Possible Alignment: VTK_ALIGN_TOP, VTK_ALIGN_BOTTOM, VTK_ALIGN_POINT1, VTK_ALIGN_POINT2\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleAlignLocation(int location);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleAlignLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleAlignLocation */
    if ( strcmp ( argv[2], "GetTitleAlignLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleAlignLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleAlignLocation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the alignment of the title related to the axis.\n Possible Alignment: VTK_ALIGN_TOP, VTK_ALIGN_BOTTOM, VTK_ALIGN_POINT1, VTK_ALIGN_POINT2\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTitleAlignLocation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleAlignLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExponentLocation */
    if ( strcmp ( argv[2], "SetExponentLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExponentLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExponentLocation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the location of the Detached Exponent related to the axis.\n Possible Location: VTK_ALIGN_TOP, VTK_ALIGN_BOTTOM, VTK_ALIGN_POINT1, VTK_ALIGN_POINT2\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExponentLocation(int location);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetExponentLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExponentLocation */
    if ( strcmp ( argv[2], "GetExponentLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentLocation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the location of the Detached Exponent related to the axis.\n Possible Location: VTK_ALIGN_TOP, VTK_ALIGN_BOTTOM, VTK_ALIGN_POINT1, VTK_ALIGN_POINT2\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExponentLocation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetExponentLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetTitleTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisLinesProperty */
    if ( strcmp ( argv[2], "SetAxisLinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks) (kept for compatibility)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLinesProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisLinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisLinesProperty */
    if ( strcmp ( argv[2], "GetAxisLinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks) (kept for compatibility)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetAxisLinesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisLinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisMainLineProperty */
    if ( strcmp ( argv[2], "SetAxisMainLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisMainLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisMainLineProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set main line axis actor property\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisMainLineProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisMainLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisMainLineProperty */
    if ( strcmp ( argv[2], "GetAxisMainLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisMainLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisMainLineProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set main line axis actor property\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetAxisMainLineProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisMainLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisMajorTicksProperty */
    if ( strcmp ( argv[2], "SetAxisMajorTicksProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisMajorTicksProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisMajorTicksProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisMajorTicksProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisMajorTicksProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisMajorTicksProperty */
    if ( strcmp ( argv[2], "GetAxisMajorTicksProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisMajorTicksProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisMajorTicksProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetAxisMajorTicksProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisMajorTicksProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisMinorTicksProperty */
    if ( strcmp ( argv[2], "SetAxisMinorTicksProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisMinorTicksProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisMinorTicksProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisMinorTicksProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisMinorTicksProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisMinorTicksProperty */
    if ( strcmp ( argv[2], "GetAxisMinorTicksProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisMinorTicksProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisMinorTicksProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetAxisMinorTicksProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisMinorTicksProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGridlinesProperty */
    if ( strcmp ( argv[2], "SetGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridlines actor property (outer grid lines)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridlinesProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGridlinesProperty */
    if ( strcmp ( argv[2], "GetGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridlines actor property (outer grid lines)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetGridlinesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetInnerGridlinesProperty */
    if ( strcmp ( argv[2], "SetInnerGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInnerGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInnerGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set inner gridlines actor property\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInnerGridlinesProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetInnerGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetInnerGridlinesProperty */
    if ( strcmp ( argv[2], "GetInnerGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInnerGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInnerGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set inner gridlines actor property\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetInnerGridlinesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetInnerGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGridpolysProperty */
    if ( strcmp ( argv[2], "SetGridpolysProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridpolysProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridpolysProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridPolys actor property (grid quads)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridpolysProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridpolysProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGridpolysProperty */
    if ( strcmp ( argv[2], "GetGridpolysProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridpolysProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridpolysProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridPolys actor property (grid quads)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetGridpolysProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridpolysProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawGridlines */
    if ( strcmp ( argv[2], "SetDrawGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawGridlines(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawGridlines */
    if ( strcmp ( argv[2], "GetDrawGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawGridlines();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawGridlinesOn */
    if ( strcmp ( argv[2], "DrawGridlinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridlinesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawGridlinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridlinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawGridlinesOff */
    if ( strcmp ( argv[2], "DrawGridlinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridlinesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawGridlinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridlinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawGridlinesOnly */
    if ( strcmp ( argv[2], "SetDrawGridlinesOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlinesOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawGridlinesOnly */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether ONLY the gridlines should be drawn.\n This will only draw GridLines and will skip any other part of the rendering\n such as Axis/Tick/Title/...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawGridlinesOnly(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawGridlinesOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawGridlinesOnly */
    if ( strcmp ( argv[2], "GetDrawGridlinesOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlinesOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawGridlinesOnly */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether ONLY the gridlines should be drawn.\n This will only draw GridLines and will skip any other part of the rendering\n such as Axis/Tick/Title/...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawGridlinesOnly();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawGridlinesOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawGridlinesOnlyOn */
    if ( strcmp ( argv[2], "DrawGridlinesOnlyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOnlyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridlinesOnlyOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether ONLY the gridlines should be drawn.\n This will only draw GridLines and will skip any other part of the rendering\n such as Axis/Tick/Title/...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawGridlinesOnlyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridlinesOnlyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawGridlinesOnlyOff */
    if ( strcmp ( argv[2], "DrawGridlinesOnlyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOnlyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridlinesOnlyOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether ONLY the gridlines should be drawn.\n This will only draw GridLines and will skip any other part of the rendering\n such as Axis/Tick/Title/...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawGridlinesOnlyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridlinesOnlyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawGridlinesLocation */
    if ( strcmp ( argv[2], "SetDrawGridlinesLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlinesLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawGridlinesLocation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawGridlinesLocation(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawGridlinesLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawGridlinesLocation */
    if ( strcmp ( argv[2], "GetDrawGridlinesLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlinesLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawGridlinesLocation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawGridlinesLocation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawGridlinesLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawInnerGridlines */
    if ( strcmp ( argv[2], "SetDrawInnerGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawInnerGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawInnerGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawInnerGridlines(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawInnerGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawInnerGridlines */
    if ( strcmp ( argv[2], "GetDrawInnerGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawInnerGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawInnerGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawInnerGridlines();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawInnerGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawInnerGridlinesOn */
    if ( strcmp ( argv[2], "DrawInnerGridlinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawInnerGridlinesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawInnerGridlinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawInnerGridlinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawInnerGridlinesOff */
    if ( strcmp ( argv[2], "DrawInnerGridlinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawInnerGridlinesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawInnerGridlinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawInnerGridlinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGridlineXLength */
    if ( strcmp ( argv[2], "SetGridlineXLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlineXLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlineXLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGridlineXLength(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlineXLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGridlineXLength */
    if ( strcmp ( argv[2], "GetGridlineXLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlineXLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlineXLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetGridlineXLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlineXLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGridlineYLength */
    if ( strcmp ( argv[2], "SetGridlineYLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlineYLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlineYLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGridlineYLength(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlineYLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGridlineYLength */
    if ( strcmp ( argv[2], "GetGridlineYLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlineYLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlineYLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetGridlineYLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlineYLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetGridlineZLength */
    if ( strcmp ( argv[2], "SetGridlineZLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlineZLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlineZLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGridlineZLength(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlineZLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetGridlineZLength */
    if ( strcmp ( argv[2], "GetGridlineZLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlineZLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlineZLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetGridlineZLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlineZLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDrawGridpolys */
    if ( strcmp ( argv[2], "SetDrawGridpolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridpolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawGridpolys */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDrawGridpolys(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawGridpolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDrawGridpolys */
    if ( strcmp ( argv[2], "GetDrawGridpolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridpolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawGridpolys */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDrawGridpolys();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawGridpolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawGridpolysOn */
    if ( strcmp ( argv[2], "DrawGridpolysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridpolysOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawGridpolysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridpolysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: DrawGridpolysOff */
    if ( strcmp ( argv[2], "DrawGridpolysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridpolysOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawGridpolysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridpolysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisType */
    if ( strcmp ( argv[2], "SetAxisType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisType(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisTypeMinValue */
    if ( strcmp ( argv[2], "GetAxisTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisTypeMaxValue */
    if ( strcmp ( argv[2], "GetAxisTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisType */
    if ( strcmp ( argv[2], "GetAxisType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisType();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisTypeToX */
    if ( strcmp ( argv[2], "SetAxisTypeToX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTypeToX */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTypeToX(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisTypeToX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisTypeToY */
    if ( strcmp ( argv[2], "SetAxisTypeToY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTypeToY */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTypeToY(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisTypeToY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisTypeToZ */
    if ( strcmp ( argv[2], "SetAxisTypeToZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTypeToZ */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTypeToZ(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisTypeToZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLog */
    if ( strcmp ( argv[2], "SetLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLog */
    Tcl_DStringAppendElement ( &dString, " Set/Get The type of scale, enable logarithmic scale or linear by default\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLog(bool _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLog */
    if ( strcmp ( argv[2], "GetLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLog */
    Tcl_DStringAppendElement ( &dString, " Set/Get The type of scale, enable logarithmic scale or linear by default\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLog();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LogOn */
    if ( strcmp ( argv[2], "LogOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get The type of scale, enable logarithmic scale or linear by default\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LogOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LogOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: LogOff */
    if ( strcmp ( argv[2], "LogOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get The type of scale, enable logarithmic scale or linear by default\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LogOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LogOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisPosition */
    if ( strcmp ( argv[2], "SetAxisPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisPosition(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisPositionMinValue */
    if ( strcmp ( argv[2], "GetAxisPositionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisPositionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisPositionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisPositionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisPositionMaxValue */
    if ( strcmp ( argv[2], "GetAxisPositionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisPositionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisPositionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisPositionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisPosition */
    if ( strcmp ( argv[2], "GetAxisPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisPositionToMinMin */
    if ( strcmp ( argv[2], "SetAxisPositionToMinMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMinMin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMinMin(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMinMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisPositionToMinMax */
    if ( strcmp ( argv[2], "SetAxisPositionToMinMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMinMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMinMax(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMinMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisPositionToMaxMax */
    if ( strcmp ( argv[2], "SetAxisPositionToMaxMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMaxMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMaxMax(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMaxMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisPositionToMaxMin */
    if ( strcmp ( argv[2], "SetAxisPositionToMaxMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMaxMin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMaxMin(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMaxMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera for this axis.  The camera is used by the\n labels to 'follow' the camera and be legible from any viewpoint.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera for this axis.  The camera is used by the\n labels to 'follow' the camera and be legible from any viewpoint.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *viewport) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderTranslucentGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderTranslucentGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderTranslucentPolygonalGeometry(vtkViewport *viewport) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *viewport) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasTranslucentPolygonalGeometry() override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *) override;" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeMaxLabelLength */
    if ( strcmp ( argv[2], "ComputeMaxLabelLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMaxLabelLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMaxLabelLength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double ComputeMaxLabelLength(const double\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ComputeMaxLabelLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: ComputeTitleLength */
    if ( strcmp ( argv[2], "ComputeTitleLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeTitleLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeTitleLength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double ComputeTitleLength(const double\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ComputeTitleLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelScale */
    if ( strcmp ( argv[2], "SetLabelScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelScale(const double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelScale */
    if ( strcmp ( argv[2], "SetLabelScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelScale(int labelIndex, const double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitleScale */
    if ( strcmp ( argv[2], "SetTitleScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTitleScale(const double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinorStart */
    if ( strcmp ( argv[2], "SetMinorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinorStart(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinorStart */
    if ( strcmp ( argv[2], "GetMinorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMinorStart();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMajorStart */
    if ( strcmp ( argv[2], "GetMajorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMajorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMajorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMajorStart(int axis);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMajorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMajorStart */
    if ( strcmp ( argv[2], "SetMajorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMajorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMajorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMajorStart(int axis, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMajorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDeltaMinor */
    if ( strcmp ( argv[2], "SetDeltaMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaMinor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDeltaMinor(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDeltaMinor */
    if ( strcmp ( argv[2], "GetDeltaMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaMinor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetDeltaMinor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDeltaMajor */
    if ( strcmp ( argv[2], "GetDeltaMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaMajor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetDeltaMajor(int axis);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDeltaMajor */
    if ( strcmp ( argv[2], "SetDeltaMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaMajor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDeltaMajor(int axis, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMinorRangeStart */
    if ( strcmp ( argv[2], "SetMinorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMinorRangeStart(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMinorRangeStart */
    if ( strcmp ( argv[2], "GetMinorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMinorRangeStart();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetMajorRangeStart */
    if ( strcmp ( argv[2], "SetMajorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMajorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMajorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMajorRangeStart(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMajorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetMajorRangeStart */
    if ( strcmp ( argv[2], "GetMajorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMajorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMajorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetMajorRangeStart();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMajorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDeltaRangeMinor */
    if ( strcmp ( argv[2], "SetDeltaRangeMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaRangeMinor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDeltaRangeMinor(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaRangeMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDeltaRangeMinor */
    if ( strcmp ( argv[2], "GetDeltaRangeMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaRangeMinor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetDeltaRangeMinor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaRangeMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetDeltaRangeMajor */
    if ( strcmp ( argv[2], "SetDeltaRangeMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaRangeMajor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDeltaRangeMajor(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaRangeMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetDeltaRangeMajor */
    if ( strcmp ( argv[2], "GetDeltaRangeMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaRangeMajor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetDeltaRangeMajor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaRangeMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabels */
    if ( strcmp ( argv[2], "SetLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLabels(vtkStringArray *labels);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: BuildAxis */
    if ( strcmp ( argv[2], "BuildAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildAxis */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void BuildAxis(vtkViewport *viewport, bool);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for BuildAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleActor */
    if ( strcmp ( argv[2], "GetTitleActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleActor */
    Tcl_DStringAppendElement ( &dString, " Get title actor and it is responsible for drawing\n title text.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAxisFollower *GetTitleActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExponentActor */
    if ( strcmp ( argv[2], "GetExponentActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentActor */
    Tcl_DStringAppendElement ( &dString, " Get exponent follower actor\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAxisFollower *GetExponentActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetExponentActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleProp3D */
    if ( strcmp ( argv[2], "GetTitleProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleProp3D */
    Tcl_DStringAppendElement ( &dString, " Get title actor and it is responsible for drawing\n title text.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp3DAxisFollower *GetTitleProp3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExponentProp3D */
    if ( strcmp ( argv[2], "GetExponentProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentProp3D */
    Tcl_DStringAppendElement ( &dString, " Get title actor and it is responsible for drawing\n title text.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkProp3DAxisFollower *GetExponentProp3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetExponentProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetNumberOfLabelsBuilt */
    if ( strcmp ( argv[2], "GetNumberOfLabelsBuilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsBuilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsBuilt */
    Tcl_DStringAppendElement ( &dString, " Get total number of labels built. Once built\n this count does not change.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfLabelsBuilt();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetNumberOfLabelsBuilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCalculateTitleOffset */
    if ( strcmp ( argv[2], "SetCalculateTitleOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCalculateTitleOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCalculateTitleOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCalculateTitleOffset(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetCalculateTitleOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCalculateTitleOffset */
    if ( strcmp ( argv[2], "GetCalculateTitleOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCalculateTitleOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCalculateTitleOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCalculateTitleOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetCalculateTitleOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CalculateTitleOffsetOn */
    if ( strcmp ( argv[2], "CalculateTitleOffsetOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateTitleOffsetOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CalculateTitleOffsetOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateTitleOffsetOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CalculateTitleOffsetOff */
    if ( strcmp ( argv[2], "CalculateTitleOffsetOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateTitleOffsetOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CalculateTitleOffsetOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateTitleOffsetOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetCalculateLabelOffset */
    if ( strcmp ( argv[2], "SetCalculateLabelOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCalculateLabelOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCalculateLabelOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCalculateLabelOffset(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetCalculateLabelOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetCalculateLabelOffset */
    if ( strcmp ( argv[2], "GetCalculateLabelOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCalculateLabelOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCalculateLabelOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCalculateLabelOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetCalculateLabelOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CalculateLabelOffsetOn */
    if ( strcmp ( argv[2], "CalculateLabelOffsetOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateLabelOffsetOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CalculateLabelOffsetOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateLabelOffsetOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: CalculateLabelOffsetOff */
    if ( strcmp ( argv[2], "CalculateLabelOffsetOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateLabelOffsetOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CalculateLabelOffsetOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateLabelOffsetOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetUse2DMode */
    if ( strcmp ( argv[2], "SetUse2DMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUse2DMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUse2DMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUse2DMode(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetUse2DMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetUse2DMode */
    if ( strcmp ( argv[2], "GetUse2DMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUse2DMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUse2DMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUse2DMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetUse2DMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetVerticalOffsetXTitle2D */
    if ( strcmp ( argv[2], "SetVerticalOffsetXTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalOffsetXTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalOffsetXTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the vertical offset for X title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVerticalOffsetXTitle2D(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetVerticalOffsetXTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetVerticalOffsetXTitle2D */
    if ( strcmp ( argv[2], "GetVerticalOffsetXTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalOffsetXTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalOffsetXTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the vertical offset for X title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetVerticalOffsetXTitle2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetVerticalOffsetXTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetHorizontalOffsetYTitle2D */
    if ( strcmp ( argv[2], "SetHorizontalOffsetYTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHorizontalOffsetYTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHorizontalOffsetYTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the horizontal offset for Y title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHorizontalOffsetYTitle2D(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetHorizontalOffsetYTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetHorizontalOffsetYTitle2D */
    if ( strcmp ( argv[2], "GetHorizontalOffsetYTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHorizontalOffsetYTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHorizontalOffsetYTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the horizontal offset for Y title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetHorizontalOffsetYTitle2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetHorizontalOffsetYTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetSaveTitlePosition */
    if ( strcmp ( argv[2], "SetSaveTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSaveTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSaveTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether title position must be saved in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSaveTitlePosition(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetSaveTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetSaveTitlePosition */
    if ( strcmp ( argv[2], "GetSaveTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSaveTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSaveTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether title position must be saved in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSaveTitlePosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetSaveTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisBaseForX */
    if ( strcmp ( argv[2], "SetAxisBaseForX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisBaseForX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisBaseForX(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisBaseForX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisBaseForX */
    if ( strcmp ( argv[2], "SetAxisBaseForX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisBaseForX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisBaseForX(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisBaseForX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisBaseForX */
    if ( strcmp ( argv[2], "GetAxisBaseForX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisBaseForX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisBaseForX */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetAxisBaseForX();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisBaseForX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisBaseForY */
    if ( strcmp ( argv[2], "SetAxisBaseForY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisBaseForY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisBaseForY(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisBaseForY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisBaseForY */
    if ( strcmp ( argv[2], "SetAxisBaseForY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisBaseForY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisBaseForY(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisBaseForY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisBaseForY */
    if ( strcmp ( argv[2], "GetAxisBaseForY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisBaseForY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisBaseForY */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetAxisBaseForY();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisBaseForY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisBaseForZ */
    if ( strcmp ( argv[2], "SetAxisBaseForZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisBaseForZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisBaseForZ(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisBaseForZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisBaseForZ */
    if ( strcmp ( argv[2], "SetAxisBaseForZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisBaseForZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisBaseForZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisBaseForZ(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisBaseForZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisBaseForZ */
    if ( strcmp ( argv[2], "GetAxisBaseForZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisBaseForZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisBaseForZ */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetAxisBaseForZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisBaseForZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetAxisOnOrigin */
    if ( strcmp ( argv[2], "SetAxisOnOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisOnOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisOnOrigin */
    Tcl_DStringAppendElement ( &dString, " Notify the axes that is not part of a cube anymore\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisOnOrigin(int _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisOnOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetAxisOnOrigin */
    if ( strcmp ( argv[2], "GetAxisOnOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisOnOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisOnOrigin */
    Tcl_DStringAppendElement ( &dString, " Notify the axes that is not part of a cube anymore\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAxisOnOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisOnOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetLabelOffset */
    if ( strcmp ( argv[2], "SetLabelOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelOffset(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetLabelOffset */
    if ( strcmp ( argv[2], "GetLabelOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLabelOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLabelOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetTitleOffset */
    if ( strcmp ( argv[2], "SetTitleOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleOffset(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetTitleOffset */
    if ( strcmp ( argv[2], "GetTitleOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTitleOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetExponentOffset */
    if ( strcmp ( argv[2], "SetExponentOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExponentOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExponentOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExponentOffset(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetExponentOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetExponentOffset */
    if ( strcmp ( argv[2], "GetExponentOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetExponentOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetExponentOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: SetScreenSize */
    if ( strcmp ( argv[2], "SetScreenSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScreenSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScreenSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScreenSize(double _arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetScreenSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
    /* Starting function: GetScreenSize */
    if ( strcmp ( argv[2], "GetScreenSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScreenSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScreenSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offsets used to position texts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetScreenSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetScreenSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
  }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
 }
 }

  if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
  {
    return TCL_OK;
  }
  }
  catch (std::exception &e)
  {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", nullptr);
    return TCL_ERROR;
  }
  return TCL_ERROR;
}
